/*
By downloading, copying, installing or using the software you agree to this license.
If you do not agree to this license, do not download, install,
copy or use the software.


                  License Agreement For libfacedetection
                     (3-clause BSD License)

Copyright (c) 2018-2019, Shiqi Yu, all rights reserved.
shiqi.yu@gmail.com

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

  * Redistributions of source code must retain the above copyright notice,
    this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.

  * Neither the names of the copyright holders nor the names of the contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.

This software is provided by the copyright holders and contributors "as is" and
any express or implied warranties, including, but not limited to, the implied
warranties of merchantability and fitness for a particular purpose are disclaimed.
In no event shall copyright holders or contributors be liable for any direct,
indirect, incidental, special, exemplary, or consequential damages
(including, but not limited to, procurement of substitute goods or services;
loss of use, data, or profits; or business interruption) however caused
and on any theory of liability, whether in contract, strict liability,
or tort (including negligence or otherwise) arising in any way out of
the use of this software, even if advised of the possibility of such damage.
*/

#include "facedetectcnn.h"

#if defined(_ENABLE_INT8_CONV)
signed char f11[432] = { -14, 12, -9, -21, -8, -14, 12, -6, 25, 2, -12, 1, 28, 4, 13, 15, -6, 13, 16, 46, 13, 2, 2, 7, -25, 15, -4, -16, 43, -16, -11, 25, 24, 2, 25, 29, -3, 31, -14, -24, 61, 43, -3, 12, 53, 4, -8, -49, -71, -43, -4, -23, -43, -27, -14, -5, -17, 15, -15, 1, 29, -26, 13, -13, -8, -24, -20, 14, -50, -22, -35, -18, -27, 7, 22, 8, 11, 45, 18, 15, 12, -26, -74, -2, 1, -22, 9, 23, 48, 26, -55, -45, 48, -8, -1, 27, -1, -7, 14, -77, -48, 54, -18, -37, 54, 34, 26, 53, 17, -23, -7, 0, 3, -37, 2, 30, 11, -40, -47, -12, -9, -35, -25, 9, 27, -24, -71, -36, -42, 10, 49, 24, 35, 105, 58, 6, 5, 20, -27, -8, 33, 9, -41, 2, -17, -21, 0, -65, -16, 7, -20, -33, 32, 9, 78, 48, -42, 19, 66, -55, -20, 16, 31, 73, 20, 4, -8, -3, -86, -36, -1, 32, 52, 30, -15, 23, 39, -78, -36, -11, 0, -31, -39, 51, 37, -34, -1, 17, 11, 4, -7, 12, 55, 33, -15, -12, -36, 18, -6, 21, -1, 93, -4, -42, 45, 3, 2, -34, -44, -30, 31, -42, -34, 1, -15, 10, -1, -31, 8, -4, -17, 29, 14, -15, 42, -12, -35, 18, 6, -38, -29, 5, -52, -6, 20, -7, -71, 111, 17, -33, 57, 4, 1, 1, -34, -14, 4, 0, -49, 50, 29, -5, -8, -35, -21, 25, -3, -21, 4, 48, -6, 12, -16, -89, 12, 9, -30, 58, 80, -14, -1, -54, -80, 38, -29, -23, 57, 65, 35, 2, -29, -38, 41, 4, -56, 65, 31, -13, -15, 89, 127, -78, 0, 84, -92, -82, -45, 31, -11, -14, 36, 11, -19, -5, -12, -24, -18, 2, -13, 4, -20, -31, -47, -39, -17, 46, 51, 39, 43, 47, -41, 23, 14, -57, -20, 23, 25, -6, 18, -19, 27, -26, -2, -13, 60, -17, -13, 26, -16, 24, -58, -60, 45, 124, 65, -29, 36, 5, -56, -102, -59, -78, 15, -34, -68, 41, 9, 11, 61, 61, -41, 95, 12, -42, 52, -17, -48, -24, -13, -18, 70, -50, 3, 53, -46, 39, -7, -36, -26, 21, 16, 18, 45, 11, -13, 26, -1, 29, 46, 42, -1, 36, 25, 12, 13, 3, 29, -24, -21, -36, -40, -54, -25, -71, -52, -5, 4, 15, 5, -34, 20, 15, -59, 8, 12, 47, 28, 10, -49, 40, 4, -84, -5, 23, 28, 3, 51, -53, -6, 29, -82, 18 };
signed char f12[256] = { 1, 13, 14, -55, -43, -4, 2, -14, -3, -18, -10, 18, 27, -45, -6, 9, 43, -46, 20, -23, 30, 27, -19, -43, 19, -28, 8, 37, -13, -8, -28, -21, 15, -40, 43, -36, -54, 44, 6, 13, -30, -53, -35, 31, -2, -9, -53, -18, 3, 16, 53, -2, -24, -12, -5, -15, 18, -7, -1, -28, -11, 18, -3, 38, 29, -12, 25, -83, -30, -51, -29, -24, 7, -3, -19, 47, 19, -24, -53, -10, 11, -18, 14, -3, -12, -50, -8, -10, 33, 16, -7, 26, -37, -4, 18, -26, 23, -11, 39, 16, 27, 6, -48, -38, -11, -34, -23, -37, -82, 6, 33, -46, 2, -24, 0, 24, -38, -20, -11, 8, 40, 2, -13, 18, 17, 39, 12, -5, -7, -42, 31, 20, -1, -32, 28, -2, 34, -22, -68, -7, -62, -33, 6, -46, 6, -24, 33, 5, -6, 39, 4, -28, -10, -79, 8, -29, -33, 7, 2, -19, -5, 1, 19, -15, -29, 32, 14, -34, -19, -40, 18, -16, 3, -1, 12, 5, 27, 0, 18, -62, -7, -24, -75, -22, 43, 21, 29, -20, -65, -4, 12, -49, 9, -36, 9, -44, 37, 1, -12, -22, -67, -1, -26, 21, -13, 44, -34, -45, 41, 2, 19, -27, 50, -23, -98, -19, 16, -11, -6, -36, -67, -11, -16, -48, -41, -8, -3, -1, 6, 6, 12, -13, 18, -13, 127, 6, 0, 9, -21, -4, 26, 44, 30, 4, 3, -23, -1, 43, -48, 18, -16, -16, 24, -18, -4, 3 };
signed char f21[2304] = { 1, -10, -2, -6, -44, -16, 17, -21, -1, -1, -12, 3, -4, 2, 12, 16, -25, 8, -38, 1, -1, -25, 7, 15, -1, -17, 17, -25, 39, 5, -35, 43, -1, -21, 25, 11, -1, -5, 8, -8, 19, 26, -10, 6, 24, 10, 29, 15, -3, 19, -8, 0, 27, 7, -11, 0, 4, -11, -19, 6, 17, 10, 1, 0, 20, -2, -6, -9, -4, 4, 11, -2, -9, -6, -9, -24, -29, -3, -4, -5, -11, 3, 45, 13, -11, 51, 25, -10, 33, 25, 20, 13, 8, 15, 5, -5, 0, 5, -8, 2, 19, 30, -13, 23, 21, -12, 16, 17, -10, 9, 5, -25, 25, 18, -16, 19, 12, -23, -17, -4, 1, -25, -20, -7, -1, -9, -26, 25, -20, -22, 38, -11, -20, 7, -5, 16, 11, -21, 10, -3, -37, 12, 27, -25, 5, 1, 4, 12, 32, -11, 16, 13, -8, 33, 34, -6, -6, -6, -10, -11, -15, 21, -13, -25, -1, 24, 7, -6, -12, 9, -8, -21, -32, 32, -26, -52, 29, 30, 21, 31, 16, 28, 17, 13, 31, 27, 10, -5, 11, -4, 4, -2, -4, -3, 2, 12, 6, -18, 13, -18, -25, -6, -20, -5, 23, 55, 27, -5, -43, -24, -20, -38, -18, 5, -1, 2, 3, 10, 16, -19, -23, 5, 22, 32, 8, -6, -42, 1, -16, -32, -4, -1, -8, -6, -10, -4, 21, -1, -22, -1, 1, -12, -3, 13, 15, 29, 18, 25, 30, 29, 33, 34, -23, -55, -10, -24, -49, -2, 22, 14, 4, -8, -4, -3, -25, -16, -5, 9, -3, 4, 0, -30, 3, 8, -22, -4, 11, 14, -1, 7, -10, 2, 6, -1, -5, 21, 15, -1, 3, -7, -17, 5, -4, -4, -9, 14, 12, 2, 8, 8, 5, 1, 6, 0, -9, -15, 15, -15, 4, -6, -7, 0, -4, 9, -20, 27, 32, 0, 4, -34, 10, -9, -42, 25, 8, -13, -9, -14, -12, -5, -4, 22, 24, -22, -32, -12, -36, -28, -16, -13, -1, -8, 23, 13, 20, 42, 23, -11, 28, 29, 11, 34, 10, 12, -5, -52, -1, 3, 3, 15, 34, 36, 16, 10, 10, 10, -2, 5, 0, -40, -5, 2, -34, -46, 8, -8, -30, 11, -25, 29, 16, -42, -19, 28, -4, -32, -2, -3, -31, -7, -22, -15, 8, 15, 17, 32, 3, -3, 13, -41, -46, -9, -5, -2, 9, -2, 17, 6, 41, 81, 9, 23, 27, 2, 12, 14, 5, -23, -30, 1, 5, -11, 7, -13, -24, 5, 5, -15, -3, 8, 2, 16, 7, -7, -11, -22, -8, -19, -12, 13, -3, 4, -8, -20, 18, 0, 6, -19, -15, 9, 13, 2, -4, -2, 8, -3, -6, 21, 18, -10, 4, 3, 22, -45, 1, 22, -5, 1, 20, -18, -31, -1, -28, -23, -12, -7, -6, 2, 14, -2, -12, -2, 39, -9, -7, 4, -3, 21, -10, 28, 20, -11, 6, 5, 12, 8, -14, -34, 22, 2, 5, -3, -5, 12, 2, 8, 5, -13, -9, -13, -14, 6, -1, -36, -22, -1, 34, 17, -2, 29, 5, -10, -19, -35, 6, -17, 1, -10, -11, 17, -2, -10, 19, 22, -14, 7, 23, 0, -7, 6, -13, -13, -16, 2, 11, 7, 12, 25, 20, -9, 45, 16, -44, 4, 8, -19, 7, -12, 0, 3, 10, -5, -6, -4, -8, -11, -4, 0, 24, 6, 12, -6, -10, -6, -10, -14, -6, 9, 7, 11, 23, 3, 14, 2, -5, -78, -94, -27, -37, 44, 26, 46, 127, -3, -4, -7, 18, -9, 26, 9, 4, 33, -10, 2, -19, -4, -2, -3, 4, 3, 20, 17, 10, -9, -2, -11, -10, -7, -1, 20, 0, -15, -25, -3, -7, -15, -10, 6, 11, 4, 1, 2, -2, 2, 5, 2, 6, 1, 0, 7, 11, 3, 11, -1, -1, -2, 7, 1, 6, -16, 8, -20, -6, 2, 3, 19, 8, 3, -19, -3, -14, 5, -5, 0, 14, -1, 11, -12, -8, -1, -8, -9, -18, -11, 12, -11, -15, -15, -17, -14, -5, -19, -7, 8, -10, -21, -6, -4, -12, -4, 5, 12, 6, -10, 6, 18, -31, -2, -7, -18, -13, -11, -18, -38, -7, -19, 2, -4, 22, 39, -3, -1, 11, -5, 24, -1, -11, 7, -25, 6, 8, -8, -11, 10, -13, 16, -4, -4, 10, 15, -14, 0, 15, -26, 9, 21, -9, -7, 22, -15, -17, 23, -29, -12, 32, -17, 0, 1, 1, -23, 15, 17, -25, 19, 24, -18, 9, 3, -15, 10, -2, -14, 10, 11, -16, -2, -3, -19, 17, -7, -20, 10, 1, -6, -2, -8, 6, 15, 9, -9, -3, 11, 0, 4, -2, -4, 3, 2, -11, 5, -3, -15, 9, -5, -7, 6, 0, 0, -2, -4, -7, 10, 3, 10, 15, 2, 14, 19, 6, -10, 4, 6, 7, -1, -3, 0, -1, -4, -2, 6, 7, -14, 10, -4, 7, 7, -6, 1, -2, -9, -17, 13, -9, -10, 23, 3, -6, 18, -25, -3, 17, -11, -11, 7, -11, -7, -1, -14, 4, 6, -31, 10, 8, -22, 8, -12, 3, 23, -21, -4, 15, -26, 14, 14, 15, 20, 10, -36, -73, -36, -21, -22, -13, -14, -14, -1, -14, -17, 11, 33, 31, 26, -2, 34, 13, -38, -64, -2, -19, -21, 19, 28, 30, 15, 6, -23, 13, 13, -12, 12, 11, 12, -14, -18, 2, -10, 15, 21, 5, -12, -9, 1, 7, -12, -4, 8, 11, 11, 19, 24, 0, -1, 31, 29, -17, -7, 17, 7, -2, -12, -10, -8, 0, -4, -1, -1, 12, 26, 7, 16, 13, 25, 3, 1, 12, 1, 16, -2, 5, 8, 3, 11, 9, -1, 2, 3, 34, -20, -50, -7, -3, -10, -13, 27, 30, 43, 17, 34, 44, -13, -13, -6, 12, 15, 11, 6, 11, 16, -4, -3, 2, 7, -1, -2, 30, 9, -1, -4, 3, -4, 5, 8, -9, -19, -54, -19, 13, -25, -8, 45, 24, 31, -18, -42, -13, 14, 1, -9, 15, 32, 22, 8, 3, 3, 6, -14, -16, 4, 42, -14, 8, 2, 7, -27, -36, 15, 26, 43, 7, 12, 16, 12, 18, 2, -5, -19, 0, 15, -23, 18, 12, 15, 16, 25, 3, 40, 18, 38, 49, 2, 37, 37, 16, -5, 1, 5, -29, -14, -10, -29, -46, 1, 18, 7, 9, 7, -1, 19, 7, 33, 5, 12, 33, 27, 13, 16, 10, 6, -4, 10, 9, 17, 10, -1, 1, 22, -16, -24, 3, 1, -14, -12, -17, -6, -6, -1, 7, 15, -6, -13, 4, -45, -31, 7, -32, -36, 5, -31, -17, 3, -43, -25, -6, -23, -3, -2, 1, 13, -3, -8, 18, 1, -1, 12, 15, -13, -4, 5, -29, -46, 9, -41, -37, -5, 3, -24, -5, -15, -47, -14, -11, -50, -5, 33, 26, 23, -8, -28, 10, 0, -14, 15, 5, -4, 21, -18, 2, 49, -11, 2, 18, 10, 5, 20, -2, -8, 1, 17, 6, 0, 2, -16, -6, 10, 11, 8, 28, 17, 11, -6, -12, 27, -8, 0, 11, 11, -3, 21, -7, 25, 9, -9, 29, -11, -6, 9, -25, -37, -36, -8, -18, -37, -16, -6, -33, 5, 1, 11, 27, -5, 14, 21, -17, 15, 15, -2, -26, 8, -15, -28, -1, -25, -28, 15, 8, 3, -6, -1, -4, 0, -13, 4, -3, 16, 18, 17, 11, 18, 10, -5, 19, 0, -25, -19, 4, -32, -19, 28, -28, -10, 31, 13, 2, 21, -24, -20, 21, -1, 18, 38, -22, -20, 26, -36, -20, 18, -42, 1, 11, 10, -1, 9, -15, -10, 22, -14, -4, 19, -12, -4, 13, -16, -29, 9, 2, -1, 17, -4, -4, 15, -25, -25, 6, -14, -37, 26, 22, 25, 6, 30, 40, 19, 3, 15, -3, 35, 27, 17, -19, -44, -25, -5, -31, 1, 6, -8, 28, 13, 7, 26, 20, -36, -10, -42, -8, -26, 4, 56, -5, -10, 1, -12, 4, 3, -2, 27, 35, -9, 15, 10, 13, -30, -9, 4, -5, -5, -10, -24, -13, 3, 24, 10, -2, 45, 50, 26, 10, 33, 14, 23, 19, 3, 11, 19, -3, 4, 14, 2, -13, -12, -3, 17, 7, 4, 16, 33, 13, -17, 5, -12, 12, 16, 20, 3, 5, -5, -24, -7, 7, -32, 13, 1, -21, -9, -13, -35, -11, -5, -1, 28, -3, 12, 19, -9, -46, -31, -20, 12, 9, 4, 0, 14, -7, -2, -11, -1, 10, 26, 4, 11, 46, 10, -10, 26, 13, -4, 25, 13, 7, -12, -5, 22, 44, 9, -10, 29, 21, -29, -8, -4, -9, -30, -1, -6, -21, -5, -13, -6, -9, 20, -5, 6, -12, -26, -14, 3, 30, -4, 29, -14, 18, 22, -12, 13, 23, 42, 17, -7, 6, -4, 17, 37, -2, 9, 19, 0, 3, 1, -4, 1, -30, -38, 12, -3, -7, 6, 22, 13, 18, 51, 15, 5, 27, 16, -28, -61, -12, 1, -32, -17, -11, -30, -16, -6, -24, -15, -1, -20, -14, -9, -16, -2, -3, -19, -8, 9, 6, 27, -2, -9, 4, -10, -1, -6, 1, 8, -1, 7, 9, -8, 13, 43, 4, 10, 62, 34, 4, 17, 15, -3, 21, -2, -3, 41, 12, -2, 12, 0, -10, -10, -3, 9, 17, -2, 15, 12, -2, 16, -3, 22, 15, 34, 28, 1, 3, 17, 7, 14, 13, -8, -17, 5, 10, 27, -4, -12, 7, 11, -9, 21, 7, -2, 3, 9, -23, 33, -1, -38, 13, -3, -23, 2, 6, 12, -27, -19, 22, -25, -14, 3, 34, 0, -20, -14, 37, -32, -4, 21, -14, 5, -21, -20, 14, 5, -3, 12, 5, 7, -10, -2, 27, 31, -16, 17, 12, 1, -14, -19, 11, -6, 9, 17, -4, 3, 19, -5, 10, -6, -25, 20, 2, -31, 15, 12, -24, -1, 24, 3, 6, -13, -6, 7, 5, 0, -2, 7, -9, 7, 19, -49, 15, 11, -54, 31, 28, 13, 3, -5, 13, 2, 3, 22, -1, -15, -22, -3, 17, -7, 15, -2, 6, 18, 5, -16, 2, 5, 17, 11, 2, 27, 8, 0, -14, 9, 2, 0, 2, 8, 10, -8, -8, -18, -3, 19, -62, 34, 21, -58, 40, 14, -8, -7, 6, -18, 28, 12, 7, 16, -17, -1, -17, -1, -3, 19, -1, 13, 5, -3, 0, -18, 9, -7, -2, 2, -4, 10, 4, 32, 15, 23, 8, -22, 3, 4, -8, -6, 12, -62, -22, -10, -79, -14, -6, 0, 20, 11, 15, -4, 15, 7, -21, 6, 12, 1, 19, 43, 1, 16, 9, -2, 14, 22, 15, 2, -31, -9, -11, -10, -4, -8, -4, 3, 13, 27, 26, 25, 54, 17, 16, 25, 8, 0, 23, -3, 19, 30, 0, 18, 18, 6, -4, -41, -22, 4, -26, 0, -2, -13, -3, 3, 13, 13, 11, 22, -10, 1, 15, 0, -26, -32, -11, -22, -14, 2, 5, -4, 0, -7, -12, -13, -2, 9, 4, -1, 5, 10, 8, -5, 3, -2, 11, -5, 6, 15, 5, -15, -41, 16, -7, 2, 16, 10, -1, 20, 17, 14, 7, -7, -29, -7, 9, 30, 1, -32, -5, -2, -5, 45, -9, 37, 19, -7, -6, -7, 4, 0, -10, 11, -14, -15, 1, 0, -4, -12, 9, -2, -1, -6, -7, -17, -17, 0, -11, -12, 1, -2, -16, -17, 5, -17, -12, -10, 0, 1, -8, -3, 6, -2, -3, -10, 1, 7, -13, -8, -8, -6, 10, 5, 7, -10, -16, 3, -1, 3, -10, -15, -1, -10, 3, 7, -2, -4, -4, 4, 9, 1, 5, -1, -6, -11, 0, -6, -1, -10, -10, 9, -8, 5, -11, -12, -6, -2, -2, 12, 4, 3, 4, 2, 9, -9, 9, -9, -5, 2, 2, -5, 5, -9, -4, -10, 3, 1, 9, -15, 3, -1, -12, 6, 7, -4, -15, -15, -11, 10, 1, 1, 11, 5, 0, 4, 7, -16, -3, -11, -3, -4, -7, -10, -1, 7, 3, 6, -11, 1, 7, 1, 5, -4, -3, -4, -12, -8, -3, 10, -4, 6, 13, 3, -11, 10, -15, -17, 7, 6, -2, -14, -30, 5, -33, 0, 7, 10, 4, 10, -2, 8, -1, 20, 32, -2, 37, 39, -7, -12, 12, 10, 3, 11, -1, -2, 16, 12, 6, 10, 10, 16, 25, 10, 20, 46, 27, -2, 18, 11, -8, 12, -5, -5, 3, 0, 18, 15, 13, 29, 9, 12, 18, 25, 15, 10, -1, 4, 5, -3, 10, 3, 14, 10, 7, 25, 6, 24, 14, -15, 28, 0, -19, -1, 11, 5, 6, 24, -2, -6, 13, 16, -4, 7, 6, -10, -9, -3, -7, -13, 0, 0, 14, 12, -3, 17, 0, 3, 12, 8, -2, 15, 9, 6, 24, -3, 8, 21, 14, -9, 8, 1, 14, 2, -8, 15, 6, -5, -11, -3, -17, -7, -16, -21, 12, 2, -3, 18, -7, -15, 14, -27, 4, 5, -2, 25, -4, 38, 29, 7, 15, 28, 9, 17, 10, 11, 33, 28, -25, -18, 0, 22, -36, -1, 13, 29, 19, 10, 38, 17, -24, 17, 24, 30, -18, -23, 33, 2, -22, 19, 8, -5, -7, 30, 11, 6, 35, 21, 7, -4, 17, -9, -31, 1, -5, -29, -32, -3, 8, -26, 15, 41, 6, 17, 7, 29, 20, 11, 28, 15, 5, 4, 9, -19, 3, 9, -19, 2, 3, 26, 30, -6, -1, 25, 3, 6, 4, 15, 3, -12, -2, 9, 2, -1, -7, -4, 3, -31, 4, -8, -23, -14, -5, -12, -16, -7, -19, -4, -3, 7, -16, 7, 25, 3, 0, 0, -5, 5, -8, -5, 7, -3, -10, -34, 11, 25, -8, -6, 24, 18, 15, 6, 3, -29, -25, -2, 4, -31, -5, -6, -16, 18, -14, -8, 35, -20, -21, 25, 16, 1 };
signed char f22[256] = { 6, -8, 78, 44, -5, -36, 43, 86, 31, -47, -21, -6, -34, -15, -47, -50, -22, 88, -7, 31, -17, -16, -52, -38, 46, 31, -34, -16, -28, 5, 38, 0, -16, -6, -23, -26, -26, 41, 9, -25, 10, 48, -3, -33, -36, -4, 68, -60, -6, 127, -24, -5, -57, -24, 28, 11, -38, -31, 39, 16, -36, -22, 23, -72, -38, 27, 39, -17, 83, -54, -20, -47, -46, 1, 32, 19, 73, -32, 4, -50, -42, -18, -33, -52, -71, 30, 3, 25, 87, -50, -42, 50, -33, -7, 90, -15, -32, 24, 18, -6, 14, -34, 22, 2, 0, 60, 21, -41, -41, 30, -52, 43, -26, -14, 40, 80, 64, 8, 2, 27, -11, 17, -75, -21, 48, -37, -14, 17, -20, -52, 22, -13, -30, -3, 106, -67, 38, -16, -57, 12, -3, 21, 44, -51, -45, -9, -47, -20, -19, -17, 37, 5, -6, 16, 48, -22, 22, 1, 33, 20, -24, -23, -20, -27, -63, -4, 3, -35, 13, 45, -22, 118, -50, 26, 10, 20, 12, -6, 87, 84, 5, -7, 1, 13, -4, 9, 72, -31, -61, -11, -24, -9, -33, 15, -10, -30, -39, 5, -9, -48, 1, -70, 60, 30, -27, -30, -10, 103, -8, 26, -39, 1, -3, 24, -16, 69, 44, 9, -6, 24, 33, 18, -32, -21, 15, -17, -13, -40, -50, 3, -43, -34, -54, -28, -33, 24, -45, 25, 82, 44, 81, -30, -21, 18, 18, 84, 2, -20, -14, -17, -9, 24, 33, 40, -15, 31 };
signed char f31[4608] = { 6, 16, 14, 28, 6, -9, 4, 4, -15, 10, -7, -1, 5, -6, 14, 12, -19, 46, 18, 2, -38, 8, -30, 17, 10, 6, 27, 11, -61, -21, -4, -26, 14, -25, -12, -16, 18, -1, 10, 6, 17, -1, 3, -9, 1, 10, -19, -19, 18, -17, 17, -22, -11, -7, -24, -25, 19, 9, -16, 24, 20, 4, 29, 16, -16, -42, -7, 20, -4, 12, -17, -1, 0, -18, 11, -15, -10, -6, 5, -7, 10, 10, 55, 41, 17, 4, -2, 12, 37, 18, 10, 44, 10, 16, 13, -2, 22, 4, 26, 8, -62, 21, -8, 49, 21, -12, -15, 0, -15, -43, -13, -21, 11, -8, -3, 44, -9, 11, 29, -27, -2, -16, -5, -12, -55, -19, 19, 11, 5, 4, -11, -4, 11, 45, 7, -19, -8, -11, -15, 9, -23, -4, -25, -12, 3, -1, -11, -11, -11, -19, -12, 5, -3, -21, -1, 56, 9, -4, 23, 16, -4, 15, -2, -44, 18, -20, -19, -37, -10, 17, -10, 31, -4, -2, 17, 23, 0, 1, 26, -1, 17, 14, 2, 25, 6, -5, 6, 16, 7, -7, 13, 12, -2, 9, 36, -9, -2, -19, 1, -39, 22, 12, 3, -32, -5, 1, -1, -24, 22, 9, 46, -1, 4, 30, -5, 25, -2, -17, -36, 28, -7, -44, -12, -14, -5, -29, 18, 10, -13, -22, -14, -14, -9, -8, -12, 0, -14, -2, -27, 8, -15, 28, 22, 24, -1, 27, 2, 13, -15, 1, 25, -27, 3, -8, -18, -11, 10, 19, -25, -14, 6, 4, 16, -9, 1, 0, 6, 13, 48, -1, -7, -3, 22, -34, 19, 15, -9, -6, -20, 27, 22, -18, 5, -7, -13, 3, -3, 27, 10, -25, -1, -6, 32, -1, -7, 28, -2, 17, 38, 20, 16, -46, -9, 1, -5, 12, 25, 70, 56, 4, -10, 6, 9, -8, -14, -7, -8, 3, -7, -39, -14, -3, -2, -5, 9, 0, 5, 5, -22, 10, 2, 16, -2, 7, 8, 8, -1, 53, 13, -22, -82, -28, -10, 4, -1, 12, -38, 5, -11, -4, -13, -4, -17, -16, 4, -49, 7, 2, 12, 14, 21, -7, 5, 8, -18, -1, -6, -29, -16, 5, 70, 29, 4, -17, -3, 4, -4, -14, 31, 58, 20, -1, 3, -2, 0, 0, -1, 8, -32, -15, 1, -46, 8, 3, 7, 23, 19, -13, 4, 7, 23, 9, 14, 4, -14, 8, 3, -4, 9, -24, 10, 8, 20, 4, 12, 4, 7, 12, 101, 12, -9, -71, -20, 15, -2, 11, 2, 15, -3, -1, -18, 0, 15, 24, 11, 6, 28, -15, 7, 18, 18, -9, 5, 3, 8, 24, 23, 5, -2, 23, -5, 1, 22, 7, 22, 15, 19, -11, -15, 3, -26, 19, -30, -20, 3, -16, -12, 7, 10, 26, 0, 23, 16, 12, 17, 27, 2, -26, 0, 0, -19, -9, -4, -22, -47, -1, 36, 14, 15, 11, -6, -2, -6, 16, 1, 9, -5, 0, -17, -7, -4, -23, -23, 2, 19, 6, 23, 16, -17, 2, -9, -8, 14, 15, 16, 21, 24, 39, 11, 12, 18, 2, -2, -6, 21, -13, 42, 28, -10, 3, 18, 23, 11, 24, 8, 1, -18, -3, -29, -19, 30, -37, 10, 23, -19, -40, -2, -4, 3, -18, -8, 9, -28, 11, 17, 15, -23, 8, -27, -35, 4, -3, 16, 12, -35, 7, -12, -74, -108, -22, -36, -85, -11, -4, -21, 6, 24, 12, 3, 28, 12, -21, -9, 9, 22, -43, 20, 19, -20, 45, -1, -11, -16, 19, 6, -2, 50, 31, -41, 34, 10, 25, 39, -23, -16, 21, -8, 8, -17, -19, 4, -10, -3, 16, 3, 27, -8, 7, 6, -13, 5, -12, 15, -4, -47, -29, -38, -14, -5, 13, -13, 39, 5, -8, 25, -27, -18, 3, -1, -19, 31, -29, -32, 11, -9, -11, -21, -9, -16, 23, 6, -15, -23, -20, -18, 48, 23, 24, 36, 10, 15, -33, -6, 26, 44, -6, -25, 13, 10, 2, 39, 14, -11, -8, -9, -26, 23, 4, -6, 15, -17, -14, -19, -16, -1, 2, -6, -23, 23, 0, -43, -13, -29, 13, 11, -6, 4, 11, 28, -2, -26, -16, 9, -34, 17, -15, 59, 0, 3, 3, 17, 23, -20, 18, -42, 33, 22, 20, -6, 6, 52, 24, 8, 55, -27, 16, 36, -1, 0, -25, 28, 2, -27, 20, -33, -28, 30, -13, 10, 7, -6, 7, 89, -2, 37, -11, -3, -10, -4, 11, 3, -6, 20, 5, -1, -1, -11, 7, 2, 4, -20, 6, 33, 5, 12, 12, -42, -12, -25, 40, -6, -54, -4, -8, -10, 28, 6, -17, -20, -5, -1, -30, -17, -26, 29, -22, -37, -19, -17, 5, -6, -11, -1, -2, -2, -21, -19, 5, -15, -35, -1, -18, 47, -28, -12, 107, -2, 6, -2, 6, -12, 17, -9, -32, 22, -4, -5, 43, 22, -37, 4, -9, -22, -23, -25, -2, -53, -17, 3, -32, 1, -27, -42, -10, -40, 36, -5, 4, 22, -8, 26, -37, 6, 29, -5, -8, -4, -4, -12, -32, 50, -4, -15, 60, 1, 16, 25, -11, 9, -7, 2, -25, 52, 15, 9, -6, -2, -5, 13, -5, 9, -8, -35, 42, -15, -27, 36, 11, -53, 0, 15, -9, 3, 18, -5, -3, 38, -31, -24, 11, -22, 11, 18, 7, 13, -12, 32, -16, -37, 23, 8, 2, -12, 22, 0, -24, 6, -21, -21, -7, 14, -2, -26, -19, -7, -29, 6, 14, 33, -8, 9, 32, 17, -60, 37, 20, -35, 11, -1, 9, -4, 14, -34, 6, 61, 6, 18, -15, 15, -8, 16, -19, -15, 26, 6, 11, 17, -28, 36, 14, -30, 20, -10, -13, 8, -24, -34, 37, 10, -44, 13, -16, -56, -4, -7, -15, 7, -2, -15, 25, -14, -56, -4, 47, 25, 16, 7, 27, 6, -37, -39, 23, -4, 10, -7, -34, 16, -27, -3, 39, 6, 5, -29, 12, 41, 0, -8, -10, -8, -13, 2, 3, 10, 41, 6, -53, -18, -4, -8, -15, -31, 5, -7, -33, -9, -27, -29, 2, -29, -42, -13, 36, 12, -5, 11, 1, 8, 0, 37, 4, -44, 29, -6, -25, 17, -26, -48, 21, 20, 74, 36, 22, 4, 3, -18, -54, -20, -7, 10, -5, 5, -15, -5, -2, -45, -14, 0, -20, 24, -10, 36, 51, 3, 39, 0, -9, 9, -28, -9, -4, -43, 54, -27, -76, 3, 37, -17, -7, -34, 2, 11, 36, 26, 8, 32, 31, 3, 13, 2, -20, -41, -73, 15, 7, -28, 15, 94, 20, -1, 16, 3, 25, 25, 24, 15, 37, 15, -36, 2, 85, -5, 0, 6, -2, -42, -24, -51, -55, -3, 8, -3, -2, 34, 29, -13, 15, -15, -14, 5, -15, 13, 15, -17, 50, 39, -9, 31, 16, -6, -7, -10, -36, -23, -44, -101, -21, 23, -7, 14, 7, -39, 5, -30, -48, 14, -4, -53, 7, -18, -24, 3, 28, 23, -6, 0, 13, 6, 25, 5, 13, -7, 74, -16, -4, 127, -39, -6, -32, 4, -18, 10, -5, -8, 22, -26, 6, 2, 2, -7, 0, -9, -19, 2, 1, 15, 15, -5, 4, -30, 23, -1, 56, 17, -13, 9, 3, -2, 15, -24, 0, -12, 15, -2, 9, 9, 24, -27, 7, -14, 1, 15, -21, -4, -14, -4, -2, -4, 9, -7, -8, 12, 15, 0, 15, -38, 31, 14, 15, -25, 23, 25, 3, 10, -4, 25, -21, -42, 12, 4, -29, 9, 16, 54, 5, -5, 18, 5, -5, 0, 9, -21, -12, -14, -10, -3, -7, -3, -7, 7, 23, -26, 25, -9, 18, 14, 0, -13, -6, -5, 13, 16, 16, -13, 15, 7, -20, 2, -12, -26, 19, 56, -23, 4, 4, -11, 18, 13, 8, -11, -14, -21, 5, -9, -10, -17, -15, -36, -36, 4, 8, -4, 22, -28, 2, -3, -2, 4, -6, -13, -22, 18, 0, 20, 11, 22, 20, 9, 19, 20, 11, -5, -11, -11, -21, -6, -14, -14, -19, 1, 2, -13, -5, 13, 10, 5, 28, 30, -6, -34, -5, 6, -3, -7, -3, 15, 11, 7, 25, 4, 15, -8, -27, 12, -11, -24, -11, -23, -1, 24, 22, -11, -5, -15, -14, 24, -18, -1, 1, -13, 10, -26, -37, -14, 32, 51, 18, -44, -68, -22, -31, -39, -26, 57, 44, 29, 1, 10, 6, -7, 13, -21, -11, -17, -9, 18, 3, -9, 37, 20, -10, 6, 11, 11, -1, -27, -7, 0, 15, -9, 13, 22, 2, -7, -28, -14, 4, 10, -7, -4, -6, -9, 21, -26, 21, 21, -46, -17, -13, 45, 19, -10, -17, -10, -34, -17, -36, -18, -17, -11, 13, 11, 7, -6, -33, -9, -2, -70, -25, -16, 22, 25, 10, 15, 13, 6, -35, -43, -2, -3, 12, 12, -7, -11, 7, 37, 30, -4, 9, -15, -14, 4, -3, -3, -8, -4, -16, 56, -3, 3, 25, -15, 14, 25, -3, 15, -15, 7, -9, -18, 21, -6, -77, -8, 28, -13, 4, -9, -15, -4, 4, 48, 31, -4, 9, 13, 4, 39, 28, -21, 18, 12, 22, 22, 22, -8, -5, 42, -2, -53, -19, 12, 16, 23, -3, -1, 16, -13, -82, 8, -11, -10, 11, -9, -14, 15, 24, -7, 13, 27, -12, 4, 2, -34, 22, -7, -37, 16, 0, -7, 5, 8, -1, -10, 19, 29, 37, 6, 4, -3, -23, -10, 2, 6, 4, -20, -3, -29, -16, 12, 30, 6, 24, 27, 6, 15, 11, -4, -10, -1, 17, 9, 20, 19, -6, 13, 34, 8, -5, 0, -12, -7, 9, -23, -8, -1, -27, -1, -23, 6, 2, -4, 3, -7, -3, -10, -19, 7, -26, -2, 10, 0, -19, -1, -23, 7, -2, 9, -2, 10, -1, 34, 22, -17, 22, 9, 10, 12, 10, 11, 7, 14, 9, -4, 0, -2, -36, 7, 9, -4, 16, 5, -11, -4, -13, 10, 7, -5, 10, -5, -20, -9, -23, 0, 7, -16, 8, 11, -11, 22, -12, 17, 13, 22, 1, 7, 0, -5, -32, 6, 16, -19, 6, 17, 20, 25, 8, 22, -9, -20, -24, -21, -10, 5, -22, 7, -15, -28, 6, -27, -12, -8, 6, -10, -14, 8, 7, 24, 0, 13, 17, -5, -25, -3, -22, -10, 2, 2, 8, 2, -5, -54, -13, -20, -26, -15, 13, -5, 13, 10, 12, 19, -8, -7, 1, 8, 4, 7, 4, -4, -5, -14, 0, 8, -8, -25, -19, -8, -9, -13, 21, -28, -11, 33, 0, 28, -18, 16, 1, -3, -18, 14, 17, 33, 2, -2, -15, -5, -13, -45, -4, -4, -1, -5, 8, 5, 8, 5, -16, 16, -19, -19, 13, 16, 0, -2, 11, 45, -11, -7, -69, -13, 19, 3, 10, 0, -5, 11, 4, -10, -14, -16, -52, -38, 2, -49, -44, 10, 6, -8, 15, 20, 3, 9, -7, -12, 0, 0, 23, 7, -15, -15, 7, -15, -17, 13, 32, 17, 8, 2, 24, -5, -16, 19, 12, -15, -9, 14, 36, 5, 17, 20, 1, 6, -4, -7, -1, -27, 9, 28, 18, 11, 25, -25, -31, -11, 10, -30, 11, 19, -16, -7, -20, 12, -18, -33, -17, 9, -2, -7, 27, 61, 15, 9, 3, 22, 21, 2, 16, -18, -2, -8, -23, -2, 16, 1, 9, -4, -22, 10, -3, -6, 0, -11, -20, 18, -5, 11, -23, -15, 2, -19, 6, 13, -14, 15, 0, -4, 7, -11, -14, 8, -11, -23, 14, -14, -6, -18, 16, -13, -5, 16, -14, -21, -18, -19, -14, -14, 8, 4, 2, -8, -16, 21, 2, 12, -22, -12, 19, -5, -14, 5, -8, -5, 5, 9, 18, 16, -5, 0, -6, -17, -10, -8, -15, -16, 7, -22, -15, -23, 1, -8, 2, 2, -18, -11, 12, -22, 17, -3, 6, -3, -17, -17, -11, 8, -15, -4, -12, 0, 8, 20, -20, -7, 13, -9, 15, 1, -12, -23, -19, -18, -14, 19, 1, -4, -14, -14, 14, -5, 10, -2, -17, -20, -20, 11, -19, -8, 17, -12, -20, -2, 17, 11, 12, -4, -17, -7, 6, -18, -10, 25, -9, 15, -3, -13, -26, -14, -9, -19, -26, -27, -19, -14, -1, 2, 38, 31, 3, 13, 0, -15, 25, 10, 29, 21, 33, 4, 10, 3, 8, 40, 13, -8, -9, -9, -20, 20, -12, -15, -26, -26, -5, -26, -14, 11, -32, 9, -13, 25, 27, 4, -30, 8, 19, -1, 2, 13, 6, 7, -9, -15, -7, -18, -18, -3, -11, -14, -24, 20, -13, 8, 11, 23, -8, 2, -2, -17, 1, 27, 20, 15, 17, 17, 35, 0, 47, -8, -1, -4, -19, -31, 6, 29, -20, -14, 2, 12, 28, -4, 25, -2, 2, -8, -20, 4, 11, 14, -1, -1, 27, -20, 32, 15, -33, -6, 7, -29, -24, 7, -7, -33, -16, -26, -17, -9, -24, 15, -2, -10, 54, 6, -51, 33, 22, -55, 24, 31, -16, 11, 12, 21, 19, 30, 16, -10, -6, 5, -13, -12, 15, 11, 16, -35, -7, 6, -18, -3, 52, -8, 14, -2, -6, -7, 4, 13, -38, -49, 13, 7, 13, -4, 2, 0, 6, -9, -23, 2, 14, -6, -6, -8, -34, 12, -2, -18, 3, -20, 7, -3, 4, 11, -10, -20, 4, -9, 1, 4, -7, 11, 12, -14, 29, 27, 9, 14, 15, -28, 3, 19, 12, -56, 17, -3, -5, -27, -3, 19, 3, 26, 8, 9, 20, 3, 39, -2, 0, 9, -2, -29, -24, 24, -2, 10, 16, 6, -1, -6, -29, -36, -7, 8, 11, 11, -4, 15, -14, 15, -27, 7, -24, 19, 41, -1, 3, 36, 27, 1, 19, 12, -20, -3, -4, 0, -23, -51, -2, -6, -9, 10, 16, -1, 0, 12, -12, -29, -1, 10, 11, 0, -26, -30, -18, -60, -52, -6, -3, -14, -13, -2, -21, -17, -17, 2, -8, 16, -7, -33, -39, 4, -12, -20, 18, 21, 4, -1, 16, -43, -26, 6, -44, 17, 4, 26, -9, -15, 28, -6, 1, 18, 1, -19, -8, -16, -14, -9, 10, -23, -14, -16, -3, 5, -1, 6, -2, 19, 5, 16, 21, 2, 3, -12, -4, -22, 14, -14, -6, -6, -4, 17, 17, -19, -2, 18, -2, -24, -10, -2, -19, 12, 36, -19, 16, -11, -40, 24, 4, -6, 28, 10, -47, 27, 28, -8, -1, 8, 15, 7, -11, -48, 19, 9, -37, 25, -10, 19, -2, -9, -9, 4, -2, -12, -8, 10, 29, -15, -2, -5, -15, -16, 38, 0, -4, 24, 3, -7, 37, -2, -25, 53, -5, 34, -17, -8, 10, -32, -15, 25, -42, -1, 4, 3, 4, -22, 30, -27, 2, 13, -27, 2, 31, 2, 4, 4, 31, 8, 31, 9, -25, -17, -18, -22, 38, -19, 6, 41, 0, -6, 1, 11, -8, 2, 9, -34, -42, 18, 11, 2, -7, 20, 5, -10, 7, 21, -16, -32, -26, 2, -25, -27, 16, 0, 12, -3, 8, -1, -11, -6, 20, 6, -6, 20, -4, -32, -6, -25, -3, 12, -16, 48, 67, 14, -28, -20, 5, -21, 22, 1, -7, 11, 1, -29, -39, -26, -5, 14, -1, 5, 8, 5, 12, 8, -5, 13, -25, 3, 1, -45, -10, 14, 30, 13, 15, 14, 8, -6, -34, 0, -2, -4, -19, 5, 12, 5, 4, 9, -3, 1, 5, -9, 19, 16, -17, 49, 20, -5, 21, 27, 32, -5, -12, 20, -19, -18, 4, 14, 27, 10, -3, 27, -14, -29, -41, -8, 32, 26, 42, 2, -7, 29, -37, -63, -5, 6, -5, 2, 28, -10, -1, 30, 7, 10, -25, -6, -1, -27, -4, 2, -28, 32, 1, 6, -10, -12, 13, 16, -30, -16, -23, -17, 0, -4, -11, 4, 12, -1, 22, -20, -30, 11, 29, 0, -10, -11, -15, -11, 10, 2, -6, -15, -21, 23, -16, -12, 3, 35, 0, -1, -7, 17, -40, 7, 9, 0, 42, 28, 15, 16, -8, -24, 5, 5, -50, -5, 20, 23, -8, -10, 4, -4, 12, -2, -28, 9, 23, 36, 9, 13, 10, -4, 10, 25, 8, 32, 11, -11, 37, 26, -8, 5, -6, -21, -33, -8, 14, -16, 12, 5, -5, 5, -26, -19, -30, 5, -6, -23, -9, 37, 52, -6, 18, 15, -2, 22, -6, 12, -1, 3, -2, -21, -4, -26, 3, -32, -8, 14, -60, -40, 30, -8, -16, 61, -10, 0, 40, -44, -22, 30, -5, -31, 18, 10, -13, 16, 12, 0, -4, 24, 9, 14, 13, 7, -6, 31, 31, -3, -27, -16, 0, -32, -62, 7, -16, -7, 9, 10, 38, 9, -43, 11, 8, -6, -16, 10, -8, 14, 2, -11, -28, 6, -15, 2, 9, -1, 28, 3, -6, 33, -19, -18, 5, 2, 36, -2, 8, -11, -35, -8, 42, -18, -19, -33, -50, 5, -54, -28, 28, -25, 6, 6, -5, 30, -21, -26, 4, 14, 28, 32, 6, 63, 15, -22, -13, -49, -13, 16, -4, 17, -4, 7, 13, 41, 5, 7, 17, -11, -7, -58, -29, 20, -24, -4, -26, -19, -35, 3, 24, 2, 10, 21, -1, -14, 49, 16, 6, -29, 4, -7, 10, 51, 18, -11, 13, 2, 4, -31, 11, 9, 16, -4, 7, -49, 18, -5, 1, -7, -23, -13, 14, 32, 8, -6, 29, 8, 6, 20, -14, 25, -15, 3, 4, 8, -7, -21, -1, -49, 0, 47, 15, 34, -20, 6, 27, -38, 46, 11, 22, -5, -11, 29, 10, -14, -4, -3, -15, -27, -41, 40, 25, 15, 20, -8, -24, 18, -30, 18, -10, -30, -14, -16, -20, 26, -43, 37, 15, 15, 3, -17, -1, 30, -9, -24, 2, -34, 0, 14, -17, -17, 2, -10, -27, -21, 2, 14, -1, -7, 12, 22, 0, -18, -55, -28, 23, 31, 18, 37, 45, 4, -3, -62, -9, 34, 35, 22, 6, -3, 4, 13, 10, 8, 3, -15, -2, 8, 5, -8, 10, -8, -17, 10, -6, -2, -13, -22, -8, 5, 27, -27, -10, 8, 4, 22, 10, 11, 0, -3, 11, 8, -19, -2, 0, -23, 15, 0, 72, -20, 3, -32, 15, 5, -10, -2, 2, -5, 13, -7, -11, 2, 1, -9, -6, -22, -6, 4, -11, 0, -14, -5, -17, -15, 8, -25, -28, 16, 30, 1, 6, 10, 4, -4, -21, -12, -5, -24, -22, -6, -6, 4, 2, 4, 18, -2, 14, -10, 2, 19, 2, 1, -6, -5, 0, -13, 22, -3, -39, 23, 6, -38, 12, -13, -1, -5, -6, 9, 7, -22, -8, -14, 7, 19, 16, 34, -4, 19, 22, -5, -57, 12, 23, 27, -10, 1, 32, -25, -19, -1, 6, 23, 11, -3, 42, 18, 16, 6, 6, 10, 13, -11, -9, 12, -25, -19, -51, -32, 6, -5, -8, 15, 8, -2, 7, 22, 34, -14, -2, 17, 11, -28, 12, 16, 36, 37, 22, 22, 5, 5, -15, -18, 3, -31, -61, -10, 16, -6, -16, 12, -2, -22, -16, 13, -23, 29, 8, -34, -26, -18, -9, -36, -21, -19, -46, 9, -28, -39, -29, -37, -60, -6, -56, 25, 36, -42, 1, 15, -16, -34, 11, -9, 16, 13, 7, -18, 52, -8, -28, 68, -16, -26, -14, 6, -32, -24, 24, -17, -19, -15, -20, -6, -36, -12, 5, 15, -11, -5, 9, 21, 27, 8, 47, -7, 8, 32, -6, -14, 17, 18, -30, -20, 25, -24, -6, 19, 19, 18, -25, -11, -17, -11, 7, -46, 10, -10, 31, 14, 3, 47, -22, 39, -24, -21, 0, -52, 39, -11, -35, 27, -3, 12, -30, -18, 25, 40, -52, 14, 4, -51, 49, 26, 1, -1, -19, 11, 12, -3, -20, 32, 15, -5, -1, -11, 27, -23, -31, 27, 89, -18, -5, -23, 14, 9, 58, -24, -3, 13, -7, -32, -16, -21, 15, -43, 47, -32, -66, -19, 30, 8, 12, 4, -52, -15, -26, -29, 15, -11, 0, -20, -15, 0, 13, 22, 8, -14, 9, 15, -8, 10, 14, 11, -12, -7, -1, 5, -1, -16, 0, -21, -1, -19, -23, -4, -18, 2, 11, 1, 17, -7, -11, 23, 24, -13, 14, 11, -23, 8, 12, 7, 2, 1, -22, -23, -18, -3, 15, 11, -23, 10, -15, -22, -14, 10, -23, 19, 2, 16, -4, -9, -6, -10, 2, 1, 0, 15, -18, 9, -20, -9, 1, -16, 18, -8, -13, -4, -19, 11, -4, -16, 12, -6, -18, -9, 6, -17, -16, 10, 5, -4, -15, 1, -7, 8, -16, -19, 16, 1, -14, -4, -7, 10, -9, 18, 22, -12, 4, 15, -1, 7, 11, 13, -2, -13, -20, 23, -4, -12, -15, 19, -3, 1, -4, 16, -21, 15, -25, 16, 3, 18, -22, -1, 5, -3, -12, -5, -26, 17, -11, -17, 2, -21, -11, 19, -16, -13, 3, -25, -20, 6, 0, 18, -7, -8, -29, -14, -7, 24, -17, -32, -49, 52, -30, -4, -13, -14, 24, 13, -51, -19, -4, -35, -58, -17, -16, -37, -4, -18, -28, -7, -8, -23, -3, -9, -9, -2, -16, 23, 29, -9, 8, 8, 4, 16, 6, 24, 20, -15, 33, 13, -4, 4, 8, -12, 25, 12, 29, -6, 31, 10, -5, 40, 17, 5, 8, 35, 8, 33, 12, -9, 21, -4, 43, -9, -11, 14, 17, -12, 44, 12, 24, 20, 12, 11, 19, -12, -1, 12, 23, 1, -37, -40, -32, -10, -23, -3, 4, -10, -7, -5, 4, -28, 3, -21, -8, 23, -21, -10, -34, -16, 22, -20, 13, 15, -11, 37, -4, -18, -6, -14, 4, 12, -17, 3, -6, -7, 12, -68, 9, -18, -21, -1, 1, -13, 0, 8, 4, 17, -1, 19, -12, 20, 9, 0, -23, -12, -5, -10, 14, -17, 3, -9, -1, -13, 1, -12, -17, -20, -25, -21, 13, -18, 9, 0, 16, 16, -4, -14, -12, 19, -16, 18, 19, -14, 9, -19, 7, 5, -21, -3, -21, -16, -9, -18, -22, 17, -2, -11, 9, 17, 0, 15, 1, 6, 1, -8, -10, 10, 0, -6, 4, 10, 2, 5, -12, -8, 13, -22, -22, -13, -12, 4, 0, -17, -2, 2, -10, 2, -22, -29, -25, 15, 15, -4, -27, -9, -18, -12, -1, 12, 11, -8, 3, 1, -20, -8, 1, -11, -6, 5, 15, -8, 19, 11, 5, 7, 2, -2, 3, 5, 15, -3, 8, 2, -17, 8, -12, -11, -12, -9, 0, -16, -20, -3, 3, -8, -22, -6, -22, 5, -16, 17, 3, 2, -8, 5, -10, -13, -4, -27, -17, -22, -33, 7, -25, 25, -13, -23, -24, -2, -36, 36, -35, -12, 42, -28, -6, -2, -22, 4, 5, -32, -38, -17, 17, -57, 13, 18, 18, 10, -1, -2, -5, 10, 28, -8, -15, -7, 10, 5, -2, -6, -55, -7, -25, -3, 13, 11, 6, 34, -44, -5, 14, 13, -12, -40, 11, 13, 2, 11, -49, -30, -12, -2, 12, -4, -21, -1, -15, 4, -9, 41, 20, 16, -10, 18, 17, -30, -5, -21, 42, -19, -29, 28, -38, -29, 30, -26, 20, 25, 105, -6, -15, -79, 9, 84, -44, 24, -40, 5, 4, -34, 29, 11, 12, 10, -23, 14, 21, -17, -19, 59, 4, -11, -12, 18, 1, 8, -18, 7, 8, 5, -26, 9, 30, -16, -14, 0, 29, 49, -20, 13, 67, -18, -11, -4, 1, 10, -46, 6, -2, -43, -12, 17, 24, 16, -2, -13, 3, -1, 19, 21, -7, -16, -10, -11, -28, -10, 0, -24, 18, 22, -3, -2, 9, 11, -22, 1, 13, 29, 22, -19, -10, 22, -15, -25, 5, -5, -3, -17, -38, -29, -11, 7, -28, -8, 12, -1, -12, -19, -3, 47, -19, -22, -7, 5, -28, -10, 3, -7, -12, -6, 38, -1, -6, 23, 27, -2, -31, -17, 20, -2, -1, 13, 24, -12, -30, -15, 10, 15, -21, -15, -2, -1, 0, -3, -28, 14, 16, -11, 24, 16, 6, -3, -3, 1, 19, 19, 0, 19, -4, -13, -29, 24, 34, -6, -2, 34, -5, 0, 17, -12, -19, 3, 1, 13, -8, -1, -18, -14, 8, 15, -16, 0, 23, 6, 16, -7, -10, -8, -22, -8, 29, -14, -4, 14, -34, -11, -22, -21, 8, -16, 1, 28, -5, -13, 2, 13, 15, 21, 10, 29, 26, 24, 3, 1, 4, 11, 9, -12, 39, -4, 1, 17, -12, 9, -27, -6, -7, -66, 13, -4, -11, 9, -6, -15, -4, -21, -2, 12, -23, -28, -4, 17, 34, 5, 9, 4, -4, -5, -20, -6, 14, -17, 11, 0, -29, -19, -4, 12, 9, 4, 8, -4, 12, 47, 14, 6, 43, 3, -13, -1, -3, -6, 34, -31, -48, -36, -67, 8, 4, 10, 0, -24, -12, -7, -25, -11, 1, 10, 16, -16, -55, -9, 18, 28, 33, 5, 15, 5, -35, -12, -21, -21, 9, 0, 1, 18, -22, -12, 33, -24, -27, -25, -19, 12, 25, 6, -13, 14, -4, -19, -54, -22, -11, -2, 17, -10, 28, 1, 1, -16, -33, -6, -1, 11, -5, -4, -6, 7, 23, 3, 70, 20, 5, 4, 27, 0, 39, 17, 7, -12, -7, -6, -21, -47, -5, 3, -42, 1, -8, -8, -8, -20, 101, -28, -7, -2, -24, 14, 29, -33, 0, 41, -8, 10, 20, -19, -23, 7, -18, -25, 39, -20, -25, -23, 6, -22, -16, 12, -24, -32, -3, -6, -42, 10, -3, 3, 6, -6, -6, -26, 13, 114, -35, 4, 16, -10, 6, 27, 0, 1, -61, 39, -13, -19, 12, 5, 15, 17, -19, -57, -1, -4, 51, -24, 14, -5, -28, 15, 0, -11, -22, -83, -2, 33, 46, -12, 14, -28, -11, -1, 7, 11, 8, 14, -4, 6, 6, 6, -13, 82, -39, -27, -13, -38, 7, -58, 2, -10, -6, 11, -21, -48, 24, 14, 13, 27, 22, 24, 7, -5, -46, -32, -8, 27, -13, 0, -4, -3, -25, -21, 1, 7, 58, -21, -4, 26, 27, 8, 4, -7, 8, -7, 17, 29, 43, 35, 28, 20, 44, 20, 51, 24, 13, -22, -12, 1, 3, 13, 16, -23, 0, -6, -7, -63, 21, 86, 7, 38, 37, 6, -21, -16, -61, -25, -11, -11, -36, -11, -22, 2, -12, 6, -3, 91, 10, 3, 33, 22, -15, 39, -4, -10, -26, -36, -18, -38, -33, 16, -48, 18, -12, -56, 10, -19, -19, 11, -47, -76, -9, -19, 14, -27, -17, -3, -39, 11, -7, -2, -8, -24, -3, -7, -3, -11, 50, 22, 22, 35, 32, 44, 38, 39, 15, 1, -11, 15, 1, 22, 18, 26, 25, 23, -7, -57, -22, -15, -6, -9, -29, 13, -13, -9, 24, -19, 0, -44, -19, -61, -34, -18, -28, -41, 2, -12, 36, -29, 2, 26, -21, 3, 26, -8, 4, -17, -9, 33, 40, -6, -26, 20, 20, -32, 31, 18, -26, 23, 2, -14, 21, -2, -11, -4, -2, -24, -5, -17, 25, -4, 11, 19, 5, 8, 24, 2, 7, -9, 31, 2, 0, 9, 10, 18, 6, -5, 10, 52, -3, -10, 16, 27, 8, -9, 33, -21, -44, -3, -35, -53, -17, -8, 5, -2, 7, 40, 5, 10, -18, -18, 23, -12, 13, 8, -46, 33, -30, 6, -31, -23, -10, -4, 32, -25, -27, 27, -69, 1, 8, -24, -3, 8, 47, -28, 13, -3, 2, 13, -16, 6, -21, -18, -44, 1, 69, -28, -26, -21, -10, -7, -22, -10, 45, 73, 10, 1, 28, 10, 21, -6, 32, -18, -36, 17, -9, 10, 2, -1, 11, 34, 14, -31, 23, 32, 0, 16, 41, -1, 13, -11, 12, 8, -2, 26, 17, 9, -3, -5, 10, -5, -19, -3, -5, -6, 56, 7, 0, -3, -4, 4, 22, -33, 8 };
signed char f32[1024] = { 44, -36, -52, -10, 7, -4, -25, 3, 25, -22, -6, 43, 5, 31, -17, 1, -12, 2, -41, -15, 63, -40, -53, -4, 9, -6, -18, -16, 42, 21, 14, 15, 18, -31, -38, 8, 30, 10, 38, 76, 13, 6, -19, -52, -68, 33, -22, 75, 62, -39, 35, 1, 26, -24, 83, -5, -13, 16, 87, -40, -82, -85, -45, 33, -17, -3, -117, 23, 125, -19, 2, -11, 14, 50, -13, -50, 20, -42, -32, -33, -29, -49, 4, 24, -42, -4, -47, -9, 34, 35, -56, -29, -61, 23, -21, 69, -48, -11, -21, -19, 38, 64, -35, -25, -59, -41, 9, 36, -28, 1, 33, 0, 38, 10, -24, 31, -33, -25, 50, -14, 1, -26, 23, 56, -9, -21, 32, 19, -14, -21, -90, -43, 73, -7, -25, 12, -10, 62, -68, 8, -13, -44, -45, 11, -42, -22, -35, 39, -63, 20, -30, -33, 55, -29, 2, -25, 14, 32, -51, 75, -21, -5, -12, 38, 8, 52, -11, -11, 58, 8, 9, -10, -4, -40, -21, 21, -43, 67, 7, 54, -26, -22, -31, 19, 34, -19, -68, -53, -27, -35, 15, 3, 72, 23, -30, -28, 39, 76, 7, 10, 25, -48, 12, -11, -21, -25, 5, 40, 1, -25, -25, 18, -45, -8, -6, 18, 6, -45, -28, -12, -8, 7, -21, -39, -30, 34, 4, -12, -40, -97, 30, -24, 1, -23, 20, -18, -4, -6, 3, -31, -18, -15, -25, -29, 15, 0, 24, -24, -15, -33, 27, 43, 10, 9, 75, -4, -14, 59, 104, -6, 42, -15, 28, -6, -46, 24, 4, -16, -9, -21, 1, 11, -19, -21, -13, 56, -57, -16, 7, 34, 1, 44, -15, -13, -65, -28, -36, -2, -5, 30, 5, 0, 59, -30, -7, -52, 21, 8, 10, -23, 31, 10, 10, 64, -40, 82, 41, 1, -4, 19, -31, -3, -27, 33, -65, 41, -14, -40, -34, 4, 39, -45, -99, -48, 39, 16, -19, 88, 22, 1, 31, 19, -22, -4, -23, 12, -45, -31, 40, -36, 11, -22, -7, -34, -15, -30, -43, 30, 33, 98, -63, -52, 20, 4, 44, 15, 0, 21, 5, -31, -2, 5, -68, -7, -59, 12, -5, 54, 41, -5, 31, 48, 16, -63, 33, 9, -13, 24, -20, -33, -5, -25, 18, -3, -7, -13, 11, -22, 7, 37, 13, 0, 4, -9, 34, -28, -33, 9, 30, -70, -2, -17, 34, 12, 4, 12, 43, -1, 39, 33, 127, 1, 25, -22, -22, 0, -24, 22, -18, -3, -8, 46, 1, -35, 15, -21, 24, -29, -8, -22, 30, 53, 92, 11, 19, -7, -15, -17, 64, -28, 11, -32, 6, 11, 30, 95, -22, 36, -29, 10, 11, 63, -39, -35, -2, -17, -32, -46, -25, 9, -39, -33, -17, 53, 1, 27, 4, -2, -19, 11, 2, 44, 54, 11, 13, -26, 12, 30, -11, 40, 67, -13, -9, 54, -76, 1, 14, 73, -7, -15, -47, 1, -16, 34, -97, 1, -39, -3, -23, -15, 29, -44, -13, 46, -57, -9, 6, -55, -30, -7, -10, -8, -5, 33, 73, -57, 51, -10, -61, -23, 29, -18, -35, -33, -31, 18, -21, -6, 6, -80, -73, 26, 8, -12, -6, 35, -55, 24, -22, 11, -51, -41, -4, -17, 40, -5, -27, -8, -6, -6, -67, -35, 10, 23, -19, -4, -1, 17, 24, 29, 42, -25, -26, -44, -18, 17, 73, -24, 45, 34, 2, -43, -7, -17, 53, -8, -16, -42, -10, 14, -23, -66, 103, -36, 72, 4, 10, 18, 3, -3, -8, -1, -38, -47, -26, -16, 5, -10, -23, -29, -25, -27, -51, 34, 15, -46, -1, 33, -20, 5, -34, 40, -35, 22, -18, 36, -58, 81, -17, 21, 31, -43, 17, 27, -25, -21, -34, -8, -48, 11, 57, -34, 37, 17, -17, 17, 43, 14, 41, 14, -12, 8, -9, 15, 10, -15, 26, 12, 1, -14, -28, 49, -53, -28, 47, 11, 23, 29, -54, -30, 0, -4, 11, 30, 52, 0, 91, 1, 33, -4, -18, 37, 48, 0, -38, -31, 3, -6, -27, 66, 26, 105, -60, 18, -15, -34, -2, 7, -29, 33, 15, -14, -70, -36, -44, 6, 15, 38, 6, 17, 65, 1, -17, -35, -20, 20, -5, 31, -29, 8, 17, 80, 0, 35, 33, -24, 28, -26, 65, -18, -30, -3, -36, 10, 6, 3, 13, -9, -18, -17, 0, 65, 21, 42, 9, 0, -11, -24, 37, -40, -56, -21, -21, -32, 59, -1, 5, -21, -11, -33, -16, -27, -14, -76, 24, -12, -62, 44, 7, 44, -41, 17, -29, 9, -2, -9, 41, 63, -50, -47, 10, -20, 19, 53, -13, 64, 111, 31, -62, -2, -23, 42, -51, 35, -33, -59, -20, -51, -52, -47, -43, -30, -26, 3, -29, 19, -18, 68, -42, -35, 70, 35, -26, 32, -6, 19, -5, 26, -42, -56, -15, 41, -36, -37, 10, 16, -21, 17, -15, -14, -26, 34, 57, -10, -32, -9, -39, -46, -26, -43, -44, 12, 54, 59, -5, -13, -12, -18, 12, 25, -5, -11, 28, -1, 29, 4, 15, 38, -30, 13, 24, -9, -36, 73, -2, 40, 65, 1, -52, 11, 28, -21, 0, 30, 0, 29, -24, -36, -25, 12, 60, -8, 65, 6, -10, -39, 33, 14, -30, -10, 35, -12, 23, 8, 12, 16, -58, 13, -26, -6, -8, 52, -3, 35, 13, 5, -54, -45, 19, 23, -49, 71, -19, 3, -8, -96, -39, -75, -86, 12, -3, -35, 63, -36, -6, 119, 87, -55, 95, 28, 46, 2, 31, 17, -64, 64, -79, 68, 48, -34, -4, 93, -57, -31, 2, -5, -29, 26, -28, 13, 22, 16, 14, 39, -34, -2, -1, 64, -43, 19, 27, 19, 16, -40, 45, -41, -18, -20, -46, -14, -51, -17, 21, 82, 0, -23, 26, 17, 8, 16, 13, 7, -59, 2, -31, 25, 7, -27, -64, 6, 65, 17, -62, -44, 8, 35, 53, -9, -36, 35, -4, -22, -30, -23, 11, -13, 38, -13, 77, 5, -31, 18, 24, 55, 13, -5, -42, 4, -23, 21, 1, -7, 8, -12, -38, -10, -38, 16, 62, -15, 25, 18, 55, -27 };
signed char f33[9216] = { -2, -24, -13, -28, -41, 5, -15, -2, 24, 9, 50, 23, 35, 29, 25, 48, 17, 26, 24, 58, 55, 87, 61, 63, 51, 19, 36, 27, -21, -21, 35, -23, -23, 33, 6, -6, 46, 43, 17, 13, 37, 12, -7, 3, 11, -13, -13, -22, 2, 6, -19, -8, -24, -39, 13, -64, -33, -1, -39, -8, -4, -63, -7, 13, -21, 23, 5, 13, 13, -15, 7, 37, 2, -5, 24, -17, 16, 23, -21, -31, -3, -27, -46, -42, 8, -31, -25, -32, -57, -23, 5, -18, -12, -7, -14, 13, 32, -11, -27, 9, -19, -10, 12, -31, -33, 33, 22, 9, 32, 0, -24, 22, 1, 3, 9, 4, 41, 10, 13, 19, -3, -32, -23, 48, -21, -6, -24, 0, -14, 13, -33, 9, 35, 2, 19, 17, 16, 23, 9, 8, 8, -24, -18, 28, 0, -21, -21, 38, 5, 4, 20, -24, -2, 7, 15, -18, -48, 4, -13, -28, 38, 2, 13, -9, -2, 24, 2, -35, 24, 7, -49, -7, -11, 28, -31, -1, 2, -2, 18, 5, 10, 12, 15, -26, -10, 2, -26, -9, 32, 35, 52, 7, -7, 11, 0, -52, -8, -33, -52, -46, -7, -15, -18, -38, -21, -8, -3, -9, -19, -2, -7, 6, 15, -19, -4, 18, -30, 5, -8, -22, -5, -17, -19, -11, -6, 5, 4, -5, 6, 2, 8, -21, 4, 21, -22, -19, -46, -15, -38, -37, -1, 5, -47, -22, -52, 9, -25, -52, 5, -31, -46, 12, 24, 49, 34, 42, 79, 51, 26, 70, 21, 4, 53, 74, 21, 19, 36, 20, -10, 32, -16, -12, 16, 3, -24, 13, -16, -61, -6, -2, -30, -6, -7, 8, -6, -29, -16, 21, 16, -25, 1, 13, -20, -15, -6, -24, -10, 21, -14, -18, -19, 2, -16, 16, -23, -6, -15, -22, -25, 11, 15, -7, 3, 10, -19, -16, 0, 18, 7, 4, -21, 19, -18, 13, -10, 5, -14, 3, -2, -2, 11, 10, 13, 10, -27, -19, 18, 3, -10, 17, 4, -23, -1, 4, -18, 19, -18, -1, -9, 4, -19, -22, -13, 24, -3, -3, -9, -1, -12, 8, -8, 11, 10, 5, -19, 8, -4, 0, -3, -20, -21, -11, -22, -25, -10, 2, -11, -10, 7, -15, -12, -9, 6, -18, 4, 25, 7, -28, -15, 16, -11, 14, 2, 11, 6, -23, -9, -3, -4, -2, -28, 17, -6, -28, -4, -25, -25, 20, -7, 10, -14, -13, 19, -16, 14, 18, -24, -24, -21, 20, 6, 9, -19, 5, -13, 22, 19, -8, -18, -13, -5, -15, -26, -15, 6, 0, -22, -8, -18, 14, -10, -24, -1, 14, 17, -12, 12, 17, 7, -13, 19, 16, 9, 0, 9, 18, -6, -8, -16, -18, -9, -21, -12, 8, 7, -20, -14, -17, -23, 19, 20, 16, -11, -9, 1, 10, -1, -21, -1, 2, -23, 8, -13, 19, -19, -21, -23, -11, 13, 23, -7, -11, -6, -21, 16, -9, -11, -17, 9, -13, 11, 19, -13, -6, 20, 25, 22, 1, 15, -14, -10, 0, 7, -8, -25, 6, -1, 24, -10, 10, -18, -11, -22, -25, -20, 13, 8, 12, -23, -16, -13, 13, -13, -6, -21, -15, 16, -9, 24, -25, -25, 20, 5, -16, 18, 0, 12, -17, -4, -19, -5, 5, -16, -10, -26, 3, 0, 22, -22, 7, 22, 24, -12, -1, 10, -6, 15, -13, -26, -4, 0, -3, -31, 9, -26, 0, -27, -17, 11, -31, -2, 1, -8, 13, 21, 11, 15, 18, 5, 53, 26, -1, 5, 28, -12, 1, 8, -8, 8, -12, -4, -2, 0, 18, 9, 4, 11, -15, -18, -1, 11, 1, -2, 0, 8, -1, 9, -1, 1, -3, -9, 8, -8, 2, 6, -52, 4, 2, 26, 18, -3, 10, 18, 8, -2, 5, -18, 20, 2, 6, -5, -8, 15, 10, 3, 7, 24, 0, 17, 12, -10, 21, 6, 12, 11, 1, -4, -4, 10, 15, 24, 40, 7, 0, 18, 44, -20, 5, 27, -2, -18, 8, -3, -7, 7, 13, -14, -1, 5, 28, -15, -25, 6, 66, -8, -3, -16, 5, -13, -21, -19, -24, -23, 34, 15, 17, -2, 6, 39, -9, -6, 12, 24, 5, 20, 1, -6, 10, -19, -13, -9, -49, 13, 57, -16, -8, 44, 15, -12, -10, -2, 21, -4, -15, 34, 1, -10, 15, -8, -5, -10, 16, 2, -24, 26, 15, 21, 4, -13, 12, -12, -10, 9, -7, -8, -4, -5, 18, 6, 16, -15, 7, 9, 11, 0, 8, -21, 10, 24, -12, -1, 13, -6, -22, -7, -12, 21, 3, 22, 28, -5, 9, 43, 24, 19, -26, -22, 12, -18, -22, 16, 12, 3, 1, -21, -24, 17, -28, 1, 12, 10, -7, 14, 0, -7, -8, -28, 2, -1, -6, -8, -24, -5, 22, -3, 3, 8, 9, -29, -13, 6, 20, 17, -5, 39, 23, -7, 0, 7, 23, -60, -34, 20, -68, -30, 13, 5, -21, -3, -19, 1, 4, 18, 13, -12, -2, 0, -7, -41, 25, -18, -14, 20, 4, -2, 64, 26, -31, 21, 9, -28, 9, 19, -13, -27, 15, 19, 13, -20, 11, 18, 7, 5, -1, 29, -18, -38, 43, 53, -29, 37, 46, 11, -8, 14, -14, 0, -10, -8, -6, -2, -32, -22, -32, -24, 40, 58, 7, 18, 50, 19, 24, 6, -9, 7, 32, 17, 4, 3, 2, -8, -22, 4, 25, 69, -17, 35, 64, 35, 13, -1, 38, 59, 11, -26, 9, 10, -3, 33, 14, -8, 3, -4, -8, -7, -30, 2, -10, 15, 9, -28, 5, -2, -17, 7, 7, 1, 17, 2, -17, -21, 9, -9, 5, 8, 23, 53, 9, -2, 3, 10, 4, 8, 2, -10, -2, -9, -10, 24, -21, -19, -24, -7, 13, 22, 19, 12, -14, -6, 2, -9, 2, 17, -27, -11, 9, 2, -13, 22, -2, 7, -26, -46, -36, -26, -11, -61, -18, -16, -9, -12, 5, 9, 22, -6, 8, -2, 10, -17, 16, -18, -22, 54, -14, -22, 15, -6, 5, 6, -27, -8, -2, -48, -12, 10, 33, 1, 3, -34, -5, 3, -12, -18, 4, -17, -17, -20, -14, -18, 7, -11, -20, -17, -23, -14, -14, -8, -12, -8, 12, 6, 25, 19, -11, -35, 25, 30, -17, -12, 1, -16, -8, -1, 17, 5, -23, 35, 75, -6, 3, 6, 18, 28, 33, 57, 4, 28, 16, 6, 18, 21, 10, -7, 9, 11, 16, -14, -3, 13, 25, 11, 20, 2, -10, -18, -2, 21, 7, -21, -39, 1, 11, -18, 8, -3, -39, 5, 17, -11, 9, -3, -11, -16, 34, 7, -6, 25, 14, 8, 29, 30, 7, -57, 12, -15, 21, 13, -20, -17, -4, -18, -4, -2, 32, -32, -2, 8, -13, 22, 28, -44, 32, 36, -7, 16, -14, -31, -2, 23, -14, -23, 12, 0, 16, 3, -4, -13, -38, 47, 13, 7, 4, 18, -20, 2, -4, -30, -24, 20, -15, 12, -5, 10, -16, -21, -19, -20, -21, 1, -19, -4, -5, 22, 17, -11, -2, -20, 7, -23, -24, -28, 3, 17, -14, -3, -19, 13, -23, 0, 16, -11, 12, 11, -23, -19, -11, -13, -25, 6, 9, -17, 9, -11, -21, -25, -24, 6, 10, -11, 1, -8, -14, -21, 13, -18, -4, -4, 12, -18, 23, -15, 8, 2, 3, 11, -6, -12, 13, -14, 20, -5, 23, -4, -27, 13, 8, -14, -13, -20, -24, -9, 10, -18, 9, 13, 5, -18, 13, 7, -4, 13, 17, 0, -21, -21, -11, -13, -10, -1, -14, -21, 9, -24, 2, 9, -14, 0, 2, -8, 4, 16, -26, -21, 16, 5, 0, -14, 5, -10, -4, 1, 13, 23, 21, -19, -25, -16, 4, 6, 1, -18, 1, 2, 3, 10, 13, -10, -11, -5, 5, -23, -22, -19, 2, 22, 20, 16, -11, 4, 21, -9, 17, -4, 6, 10, -20, -13, -13, -23, 11, -21, 3, 12, -25, 11, 16, -13, 19, -4, -14, 18, -24, -12, -19, -23, -24, 17, -2, -21, 3, -21, 9, 6, -27, -15, 1, 8, -17, -5, 0, -6, 18, -10, -6, -17, 1, -19, 9, -8, -13, -5, 17, -5, -13, -2, -2, 9, 8, 9, 3, -14, -3, -24, -3, 18, 25, -1, -11, -13, 23, -22, -6, -26, -19, -22, -2, -1, 6, 9, -20, -20, 2, -13, -15, 11, 2, -23, -17, 17, -3, -18, -18, -19, -23, 10, -20, 15, -17, -24, -7, -24, -26, -8, -4, -16, -22, 13, -1, -7, 4, 16, -25, -9, 17, 13, 22, -4, -4, -18, 1, -4, -25, 14, 11, -17, -13, -20, 4, -11, -26, -5, -2, 3, -24, 7, 6, -33, 12, -11, -12, -1, -13, -1, -4, -22, 2, -3, -30, 17, -8, -29, -3, 20, -14, 1, 17, 9, -14, -5, -1, -1, -14, 20, -5, -12, 20, 4, -15, -11, -5, -6, -20, 29, 36, 7, 23, 35, 26, 4, -2, -24, -12, 35, 16, -20, 4, -4, 0, 12, -4, 14, 5, 20, -7, 2, 14, 5, -14, 21, 8, 19, 41, -22, -26, -11, -32, -17, 12, 22, -16, 3, 4, 14, 6, -19, -4, -18, -8, -31, 18, -9, -13, 8, -8, 23, 40, 3, 38, 34, -8, -1, 13, -25, -10, 13, -18, -13, -27, -20, 35, 26, -1, -18, -33, 11, -2, 10, 15, -7, 11, 0, 12, -12, 17, 7, 24, -4, -8, -7, -19, 28, -5, -11, 13, -9, -18, -42, -23, -18, -23, -26, -6, 9, -30, -2, 24, 1, -20, 10, -14, -14, 17, -15, -14, -17, -18, 0, -16, 2, -13, -4, 17, -12, 0, -11, -20, -10, -25, -11, -13, 6, 29, -6, 19, -11, -12, -2, -21, 31, 23, 16, -1, 4, 21, 0, 18, 16, 26, 20, -1, -20, -5, 35, 29, -20, 20, 32, 25, 1, 12, -27, -11, 0, -1, -1, 6, -2, -35, -12, -19, 18, 4, -34, 28, 14, -3, 2, -24, -32, -12, 11, -8, 5, 27, 19, 29, 30, 2, 1, -9, 17, 4, -6, 17, 44, 56, 67, 26, 9, 17, 38, 38, 15, 22, 27, 0, -3, 6, -43, -18, 14, -1, -43, -1, 45, -15, -12, -18, 6, 40, -33, 3, -14, -16, -5, -1, -11, 2, -31, -16, 35, 33, 13, 8, 10, 8, 0, 11, -11, 12, -1, 17, 25, -7, 20, 17, 5, 22, -3, 13, 8, -12, -24, -18, -1, -15, -23, 7, 0, 5, -17, -26, 2, -18, 14, 5, 2, -16, -6, -17, 18, 13, -1, -8, 15, -11, 5, 3, 3, -17, 9, -24, -2, -18, -11, -6, -16, 2, -13, -5, -4, -18, -10, -22, -14, -8, -19, -18, 8, -20, 16, -17, -17, -17, 20, 5, -1, -13, -22, -14, -9, -1, -24, -26, -1, -24, 22, 5, 5, -8, -7, 4, -18, -13, 19, -7, -27, -12, -10, -22, 21, -9, -10, -5, 12, -24, -12, 1, -10, 20, -5, -9, -17, -11, 11, 18, 11, -22, -28, -32, -15, -21, 5, -1, -21, 6, -9, -19, 11, 17, -32, 8, -14, -29, -18, -7, 11, -2, -9, 3, 3, 16, -27, 12, 2, 7, 18, 20, 15, -12, -4, 25, -25, 7, 13, 13, 19, 7, -24, 19, 25, 5, -17, -21, 16, 11, 7, -26, -23, -27, 1, 19, -7, -11, 21, -6, -1, -1, -5, 23, 14, -13, 2, -3, 9, 22, 22, -20, -24, 4, -22, 2, 19, -16, 5, 4, -7, -8, 10, -24, 8, 19, -12, 8, 24, -16, 18, -3, -14, 14, -14, 11, 3, 6, 15, -25, -22, -15, 1, 0, 8, 1, -26, -10, 11, -24, -16, 24, -19, 1, 11, 21, -20, -25, -19, 2, -3, -7, -11, 12, 11, -12, -26, 16, -24, 8, 10, -26, -11, -1, -13, -24, -15, -3, -11, 11, -3, 7, 3, 6, -7, 2, -21, 4, -11, -12, -9, -22, 2, 13, 20, -24, -19, 19, -23, -16, -22, -6, -2, 21, -12, -9, -6, 0, 14, -18, -22, 10, 3, -16, -2, -2, -2, -1, 18, -11, -7, 15, -20, -7, 18, 21, -26, 4, -13, 5, -29, 4, -6, -7, -28, -23, 6, 8, -26, -23, -20, 14, -23, -26, -1, 4, -6, 13, 19, 16, 0, 11, -6, -20, 7, -13, 11, -12, -24, 1, -16, 17, 12, 15, 7, -7, -6, -12, 25, -5, 19, -14, 23, 25, -23, 5, -1, -22, -3, 11, -27, -18, -27, 4, 18, -7, -26, -20, 13, -17, -6, 13, -14, 7, -10, 17, -18, 8, -8, 19, -4, 11, -13, -13, 6, -27, 21, -6, 12, 12, 6, -20, -20, -18, 8, -26, -24, -11, -15, -13, -26, -13, 13, -24, -1, 12, -24, 12, 5, -7, 11, -26, 6, 7, 3, -8, -25, -2, -4, 9, -16, -19, -15, 11, -1, 6, -8, -18, -8, 10, -14, 13, 15, -19, -19, 8, 4, 9, -19, 16, 20, -11, 24, 22, 5, 9, -19, 1, -5, -19, -13, 3, -19, 6, -6, -3, 0, -7, -30, -11, 4, -15, -16, 21, 18, 10, 13, -14, -6, -21, -22, -14, 26, -10, -19, 10, -24, -15, -15, -4, 6, 3, -9, -6, 6, 17, 12, -3, -10, -9, 9, -6, -16, -5, -11, -21, -20, -10, 7, -9, -13, 5, 18, 22, 12, -3, -9, -12, 15, 0, 6, 2, -3, -4, 15, -6, 15, -11, 17, 4, 16, 16, -6, 2, 6, 5, -2, -15, 10, 3, -18, 9, -1, 4, -6, -5, 5, 2, -23, -13, 14, 24, -5, 23, 2, 1, 2, 10, -27, 17, -16, -5, 0, 7, -8, 0, -4, -4, -7, -9, -20, -6, -13, 14, -3, 14, -10, -4, -4, -18, -23, 0, 11, 7, 23, 20, -20, 3, -6, 26, 0, -2, -9, 8, -11, 11, 17, -3, -13, 0, -6, -3, 1, 16, -19, -13, -18, 8, 40, 10, -4, -1, 36, -22, -66, -54, -13, 26, 4, -13, 22, 7, -17, 63, -26, -57, 73, 51, -44, 40, 37, -9, -27, -17, -16, 41, -14, -5, -9, 2, -15, -9, 8, 8, 69, 23, -42, 24, 12, -3, -4, -11, 26, -6, -52, -39, -15, -66, -18, 19, 4, 21, 24, -42, 16, -25, -33, 4, 21, -15, -2, -18, -28, 3, -10, -5, 8, 8, 1, 5, -11, 3, -1, 1, 18, 25, -15, -2, 27, -18, -33, 14, -97, -55, 8, 10, -40, 13, 46, 8, 42, -35, -32, 26, 14, -14, 43, -4, -33, 1, 41, 15, -23, 73, -49, -29, 10, -58, -19, 31, 20, 2, -26, -17, -19, -19, 9, -43, -26, -11, -10, -6, -9, -16, 12, 32, -12, 9, 9, 11, -14, -1, 16, 33, 22, 4, -3, 27, -5, -18, -16, 3, -24, -14, 16, 0, 3, -6, 10, -25, -7, -1, -21, -16, 54, 15, -1, 16, -1, 0, 22, 2, -1, 35, -47, 0, -18, -11, 13, -36, -42, -21, -27, -34, -15, -20, 11, -2, -5, -21, -33, 24, 21, -29, -25, -18, -28, 57, 34, -21, -39, -40, -18, -42, -28, -9, -33, 27, 38, -33, -2, 6, -52, -25, -32, 22, 14, 16, -2, 13, -8, -27, 24, 26, 19, 29, 9, -58, -26, -12, -28, -13, 31, -33, 14, -13, -32, 24, -11, -18, 18, 11, -26, -47, -41, -7, -50, -11, -26, -36, 0, -39, -15, 14, -46, 15, 26, 11, -1, -26, -4, 3, -11, 81, 39, 16, 87, 52, -9, -36, 8, -50, 10, 24, -13, 16, 14, -42, -35, 13, -36, -2, 38, -32, -68, 28, -15, -44, -80, -3, -8, 13, 16, -70, -40, -28, 13, -19, -3, -21, 16, 7, -10, -27, -13, -18, -26, -7, -23, 15, -4, -21, -10, 5, -17, 16, 23, 1, 9, 19, -10, -25, 21, -22, -15, 7, -15, -26, -17, -20, 16, -11, -15, 16, -5, 4, -24, -4, -25, 16, 1, -24, -12, -7, 22, -6, -12, 6, -1, 1, -5, -25, -19, -15, -12, -20, -25, -1, -23, -13, -4, 5, 15, -26, -2, -20, -8, 4, 1, -18, -18, -2, 18, -14, 16, -11, 9, -13, 20, 6, 18, -18, -14, -3, -20, 20, -13, 12, -8, -27, -20, -1, -20, -24, -8, 14, 7, 4, 0, 0, -5, 16, -18, -2, -26, -4, -19, -9, 15, -10, 0, -16, -18, -15, -5, -14, -17, -24, -14, -25, 19, -4, 11, -25, 9, 22, -24, 25, 16, -21, 2, -22, 14, -7, 10, 22, -11, -21, 9, 17, -24, 5, 14, 12, 12, -6, 5, 6, 12, -5, 16, 11, -11, 5, -20, 18, 4, -3, -6, -4, -14, 8, -24, 14, -11, 14, -11, 1, 20, 1, -19, -17, 5, 16, -22, 6, 11, 17, -1, -15, 17, -9, 19, -19, 17, 8, -26, 16, -7, -7, -10, 6, -20, 16, 10, -20, -4, 17, -10, -14, 16, -6, -18, 8, 8, 7, 2, 13, 7, 16, -13, -22, -22, -17, 16, 2, 4, 20, 1, -13, 13, 1, -8, 13, -13, -5, -25, 14, 24, 14, -20, -15, -21, -7, -14, -15, -4, -28, 13, 5, -19, -22, -6, 2, 10, -11, 14, -13, -17, -27, -8, -23, 19, -24, -17, 3, 5, 20, -14, -19, -21, 22, -2, 8, 17, -16, 9, 20, -11, 8, -9, 12, -18, 13, 6, 8, -25, 10, -3, -19, -1, -6, 5, -7, 37, -11, 4, 56, -7, -20, -71, -68, -6, 32, -18, -1, -2, -14, 9, 27, -70, 9, -17, -24, 3, 55, 24, -8, -28, -21, 31, -8, -15, 6, 27, -10, -9, -10, -1, -2, -37, -66, 17, 10, -24, 7, -21, -12, 8, -41, -42, -11, -39, -34, -4, 39, 2, 8, 70, 8, 11, 11, -20, 11, 46, -13, -16, 17, 17, 14, -9, -5, 21, 15, -9, 21, -22, 9, 9, -16, 13, 2, 30, -1, 0, 9, 18, 10, -78, -37, 10, -25, -63, 13, 60, 4, 18, 57, 42, 9, 8, -32, 36, -21, -9, -7, -16, -49, -10, 44, -53, -24, -13, -44, -5, 1, -16, 23, -36, -60, -28, -58, -51, 6, 24, 26, 1, -59, -33, -4, -16, -13, 23, 21, -8, 7, -7, -8, -11, -4, 0, 16, 32, 2, 14, 18, 12, -2, -14, -6, 34, 1, -17, 3, 31, -13, 13, 5, -19, 10, 6, 6, -3, 15, 5, -10, 32, 9, 3, -3, 16, 7, 0, -1, -1, 0, -21, 8, -24, -20, -12, 4, 8, 10, -19, -28, -18, -27, -13, -3, -65, -21, -28, 40, 0, 1, 72, -35, -8, -13, -23, 5, -22, -16, 2, -31, 12, -30, -8, -17, -14, -11, -25, 29, -8, 13, -8, -1, 52, 10, 38, 54, 12, 14, 25, 1, -39, -12, 11, -19, 4, 11, 12, 27, -5, 22, -5, 0, -37, -21, -36, -14, -31, -25, -44, -42, -12, -39, 36, 19, -23, -2, 4, -47, -47, -5, -46, -32, 41, 64, 24, 26, 124, 4, 50, -16, -13, 2, 13, -10, -20, -11, 8, -12, -23, -45, -1, -9, 15, 0, -37, 25, -15, -25, -23, -6, -50, 7, 16, -49, -46, -30, 25, 21, -15, -2, 20, -8, 21, -8, -12, 10, -1, -5, 1, -5, -12, -12, -10, 4, -7, -18, -11, -11, -27, -16, -20, -15, -15, 1, 10, 21, 0, 8, 0, -13, 12, 15, 2, -21, 9, -36, 4, -1, -5, -13, -9, -1, -28, 1, -9, -34, -13, 1, 10, -22, -2, 6, -18, 3, 5, -11, 7, 17, 8, -1, 8, -3, -1, 0, 6, -12, -16, 1, 3, -2, 6, 6, -8, -2, -43, 4, -22, 5, 22, -8, 24, 3, 3, -5, -6, 22, -33, -23, -24, -16, -21, -10, 2, -8, -3, -2, -4, 24, -6, -10, 22, 45, -5, 13, 8, 10, -12, -4, -6, 3, -5, 8, -10, 11, 1, 8, -10, 35, 3, -2, 22, 7, 14, 31, 13, 30, 25, -16, 24, -6, 24, 17, -18, -17, 17, 12, 5, 6, 2, 6, 6, 20, 11, -23, -8, 15, -44, -18, -6, 2, 18, 1, -4, -14, -1, 2, 2, 18, -4, 6, 2, -14, -13, 15, -11, -12, 15, 14, 2, -16, 4, -2, -10, -1, -1, 15, 31, 13, 20, -12, -2, 18, 23, 16, 20, -16, -19, -2, 9, -26, -4, 0, -11, 2, 51, 46, -8, 21, 29, 9, 19, 29, 6, -7, 18, 2, -21, -13, -5, -11, -19, -13, -18, -37, -18, -4, -15, -20, -12, 4, -13, -4, 14, -2, -17, 6, 10, -4, -13, -1, 6, 0, 24, 14, -8, 9, 46, 15, 9, 21, 37, 16, 2, 18, 11, 0, -7, 4, 25, -12, -9, -17, 13, -16, -16, -11, -32, 18, -5, -21, 18, 9, -11, 23, 17, -1, 15, -8, -8, 0, 1, -19, 10, 2, -23, -2, -9, 8, 0, 2, -13, 12, 25, 11, -15, 23, 23, 3, 42, 40, -39, -5, -29, 8, 26, 24, 2, 5, 0, 23, 93, 61, -21, -5, 11, 32, 91, 98, 10, -14, 13, 9, 48, 15, -1, 12, 6, -4, 1, -2, 5, 24, 20, 31, 92, 68, 11, 14, -13, 27, -25, -37, 42, 3, -52, 6, -12, -19, 11, 47, 10, -9, -28, -57, 59, 42, -43, 9, -12, -16, 20, -13, -8, -13, -20, -29, -17, -46, -26, 17, -22, 18, 15, -5, -31, 30, 44, 26, -3, -57, -44, 32, -9, -8, 40, 13, -26, 16, 49, -29, -3, 16, -21, -25, -10, -47, -17, 44, -4, -21, 127, -3, 1, 8, -19, 8, 63, 38, 10, 52, 59, -20, -19, -26, -18, 17, 16, 8, 1, 5, 0, -17, 13, -15, 29, -1, 17, -17, -24, 1, 17, 5, 6, 27, 23, -26, -18, -5, -44, -86, -48, -16, -2, -31, -24, 31, -49, 18, -19, -13, -10, 2, -6, 0, 5, 26, -9, 8, -25, -7, 26, -45, -1, -31, -62, -37, -42, -3, -13, -34, 9, -8, -3, 6, 41, -25, -26, 15, -21, -9, 59, 47, 46, -15, 63, 28, -1, 32, 18, -8, -39, -2, -2, -18, 10, -33, -22, 7, 25, -2, 8, -16, -11, -28, -1, 13, 12, -27, -49, 39, 1, -6, 39, -1, -9, -47, 6, -29, -50, -13, -39, 15, -12, -19, 4, -31, -61, -29, 14, -7, -11, -4, -25, -49, -15, -26, -49, 20, -41, 11, -4, -55, 12, 48, 11, 59, -29, -31, -25, -11, 39, 29, 18, 101, 66, -47, -25, 8, -25, 14, 66, -62, 8, 26, 24, -2, 0, -31, -13, 49, -8, -62, 30, 3, 2, 7, 7, -32, -5, -25, -65, 22, 4, 4, -23, 1, -3, 4, 3, -8, 8, 17, -7, 9, 6, -24, -17, 12, -8, 1, 16, 3, -7, 15, -11, -11, 20, -8, 0, 18, -3, 23, -2, -1, -3, -3, -14, 21, -6, -2, -20, 14, 17, 22, 12, 7, 23, -27, 18, -28, -29, -33, 1, 2, -16, 12, -13, 4, -3, -12, -4, -17, -7, 12, -25, 6, -20, -18, 3, 2, -24, -7, 0, -2, -24, 8, -26, 6, -15, -4, -15, -11, -6, -18, -20, -16, 18, -19, 17, 7, 2, 17, -11, -8, 5, 12, 15, -14, -28, -29, 13, -27, -21, -11, -5, -14, -22, -20, -1, -14, -22, -1, 14, -3, 11, -15, -27, 6, 0, -22, -10, 20, -19, -16, -17, -16, 7, 4, 0, -18, 8, 7, 25, 4, 21, 25, -14, -16, -22, 8, 21, -3, 15, 14, 11, -24, 0, 0, -18, 6, -18, 13, 10, -11, -7, 1, -4, 5, -14, -10, -1, -24, -6, -7, -20, -8, 16, -1, 1, -5, 4, 18, -15, 5, 5, -22, -20, -25, -9, -3, -20, -11, -9, 0, 2, 4, 0, -22, 2, -10, -16, -26, 20, 18, -4, -9, -20, -25, -8, 9, 21, -9, -5, 21, -26, 12, 19, -20, 20, 10, -20, 4, 23, 20, 7, -24, 2, -3, -19, -17, -22, -20, -23, -5, 2, -18, 14, 8, -18, -21, -26, 0, -8, 19, 12, -24, 10, 14, -25, -5, 0, -24, 10, -27, -8, -22, 0, -9, 5, -2, 18, -26, 13, -10, 12, -13, 18, -24, -14, -15, -21, -12, -24, 23, -5, -17, 20, 6, 2, 0, -16, -15, 7, -13, 8, -6, -23, -11, 2, -26, 17, 11, -3, -19, -27, -11, -22, 16, 1, 7, 12, -18, -32, 13, -15, 24, 14, -14, 28, 11, -26, -10, 6, 18, -24, -23, -7, -17, 4, 8, -4, 1, 2, -7, 1, -9, 28, -6, 0, 10, -11, -37, -7, 13, -5, 10, 4, 9, 12, -18, 0, -21, 17, -23, -3, -6, 10, 1, -17, -32, -23, 0, -17, -4, -5, 8, -25, 5, 8, 32, 2, -27, 15, 5, -3, 13, -5, -4, -5, 15, 18, 6, -10, 3, 7, 11, 1, 19, -7, 2, 16, -6, -15, -38, -8, -4, -9, -30, -3, -36, -2, -4, -22, -13, 17, 26, 13, -2, 3, -6, -6, -9, 0, -13, -5, -17, 2, -11, -6, -14, -36, -7, -25, -14, -2, -46, -23, -10, -1, -17, 16, 3, -19, -8, -23, -1, 3, 9, -17, -6, 16, 6, 15, 6, 14, -19, -12, 13, 2, -19, 2, 16, -19, -1, 19, 28, 26, 25, 5, -9, 8, 27, 21, 18, 13, 4, 1, -20, 13, -14, 3, -25, 1, 2, -7, 6, 20, 14, -3, -19, 6, -1, 3, 7, -13, -10, -9, 17, 2, 21, -8, -32, 4, -18, 10, 0, 12, -35, 15, 17, -16, -17, -28, -8, 7, 5, -18, -14, -33, -10, -14, -25, -28, -25, -23, -25, -21, 17, 13, -5, 0, -10, -11, 15, -9, 12, 10, -9, 13, 9, 2, 32, 12, -11, 34, 24, 0, -29, -20, -12, 18, 8, 22, -15, -20, -38, -46, -23, -14, -12, -16, -34, -23, 4, -5, -24, 3, -12, -4, -11, 1, 1, -3, -12, 4, 4, -6, -14, 23, 29, 41, 11, -11, 11, -14, 11, 3, 0, 18, -22, -14, -9, 4, -4, -6, -23, 3, -7, -4, -6, -1, -11, 1, -31, 1, 11, -23, -18, 2, 50, -12, 24, -16, 9, 23, 30, 30, -33, 1, 3, 7, 9, 9, -8, -5, -11, 0, -14, -2, 7, 31, 12, 27, 4, 12, 20, 28, 15, 11, 2, 17, 20, 1, 23, 4, 19, 42, 9, -2, 31, 32, 17, 41, 19, 16, 32, 11, -22, 20, -15, -3, 15, -21, 79, -1, -17, 13, -7, -24, -6, 3, -17, 6, -39, -15, -2, -8, -17, 21, -16, 13, 9, -17, 22, 30, 21, -13, 20, -7, -9, 7, -15, 22, 40, 16, 8, -3, 27, -25, -12, 1, 3, -4, 1, -4, 7, 5, -28, 17, -10, -38, 8, -19, -30, 10, 11, 21, 53, 6, 29, -12, 13, 39, 5, 65, 24, 60, 18, -11, -15, 8, 9, -6, -1, 6, -29, 14, -33, -19, -6, 13, -27, -9, -55, -55, -47, -43, -29, -48, -53, -34, -60, 27, -21, 23, -9, -2, 29, 32, -10, 32, -10, 2, 10, -7, -41, 15, -6, -9, -12, -20, -26, 26, -14, 2, 7, -12, -16, -13, -1, -9, 10, 27, -25, -2, 11, 17, 19, 32, 1, 8, 16, 15, -4, -15, -8, -15, -3, -9, 0, 1, -6, 21, -4, 23, -13, 18, 9, -6, 14, 6, -11, 18, 17, 19, 10, 26, 15, -5, 24, 3, 28, 5, 0, 31, -21, 24, 33, 3, 28, 22, -7, 1, 2, 6, -25, -8, -5, 0, 3, -18, 0, -8, 7, 1, -9, 14, 2, 12, -11, -15, 54, 10, -18, 30, -63, 3, -8, 52, 29, 39, 42, -15, 9, 29, 8, -8, 7, 22, 30, -3, 8, -5, -8, -24, 21, -2, 2, -15, -24, -20, 6, -16, -20, -17, -8, -23, 17, 34, 25, 2, 20, 3, 38, -7, 19, -14, -4, 7, 7, 28, 5, -19, -55, -51, 32, 36, 2, 30, 41, -6, 22, 23, 35, -11, 31, 13, -21, 2, -12, -14, -55, -27, 1, 26, 8, 4, -8, -20, -16, -43, 2, 0, 36, 13, 16, 21, 11, -10, 7, 2, 18, 29, 15, -12, 15, 11, -14, -39, -34, 10, 66, 10, -5, 31, 6, -26, -76, -35, 10, 6, -3, 20, -2, 13, -15, 0, -20, -8, 19, 0, -5, -19, -12, -18, -11, -30, 2, 2, -15, -8, 65, -3, -59, -52, -74, -33, -4, 9, -2, 16, -14, 4, -25, -17, -15, 16, -13, -5, -5, -25, -25, -54, -4, 3, 34, 12, 1, 18, -16, 11, -4, -53, 35, 30, 21, 4, -3, -7, -7, -6, -1, 7, 9, -26, 6, -5, 24, 2, -4, -4, -1, -5, 1, 13, -11, -2, -24, -20, 11, -14, 20, -27, -10, 29, -2, -20, -43, -50, 0, -1, -4, 16, -22, 6, -10, 20, 10, -19, 19, 51, -7, -2, 7, 1, -27, 9, 3, 19, 18, 7, -16, -8, -4, -19, 0, 5, -30, -20, -14, -4, 21, 11, 31, 1, -24, -14, 4, -24, -42, -31, 3, -20, 22, 37, 2, 0, 1, 16, 3, -26, -43, -19, 12, -21, 8, 20, -13, 5, -8, -15, -24, -11, -9, -8, -11, -15, 0, -17, -9, -38, 20, 19, 17, -4, 13, -18, -12, -22, 4, 24, 10, -6, -23, 18, 35, -21, -71, -18, 2, 20, 10, -19, 19, -9, 7, -69, -80, -8, 53, 46, -6, 1, -3, 5, -24, 7, -17, 11, 2, 4, 3, -8, -30, 23, 19, -4, -9, 21, -18, 4, 38, -69, -3, 18, -9, 16, 15, 7, 3, 13, 0, -1, -30, 13, -17, -12, -8, 5, -17, -9, 15, -4, -9, -4, -27, -17, 1, -10, -21, -5, 11, 21, 3, 15, 16, 10, 8, -9, -17, 24, 4, -1, -2, 3, -5, -17, -15, -20, 2, 18, 20, -17, -24, -20, 24, -12, 19, -20, -2, -8, -1, -19, -12, 16, 9, -21, -12, -8, -5, -12, 1, -6, -4, -17, -19, -10, -18, 8, -25, 5, 7, 9, -1, -1, 10, -10, 11, -16, 7, -23, -22, -11, -18, 0, -13, -14, -22, -1, 17, -3, 15, -25, 1, 12, -26, -15, 4, 16, 17, 7, -26, -25, -29, -22, -27, 3, 19, -15, -25, -26, -28, -8, 16, -8, -22, 6, -27, 1, 13, 3, -30, -16, 1, -3, -12, -29, -27, -9, 6, 13, 9, -12, -1, 10, -7, -19, 5, -13, 18, -17, 9, 20, 0, -16, 22, 23, -1, -14, 1, 10, 12, 8, -15, 18, -18, 9, -7, 22, -7, 12, -19, 9, 8, 2, 5, 2, -21, 22, -5, 7, 8, 15, -2, -11, 9, -21, -16, 7, 21, -12, 16, -14, -9, -25, 8, -21, -25, 12, 6, -5, -25, -16, 13, 8, -1, -4, -27, -7, -8, 14, 1, -1, -5, -25, -9, -3, 8, 16, -3, 6, 4, 7, -21, 6, 4, -9, -19, -26, 9, 3, 1, -4, -18, -21, 11, 15, 10, 20, 8, 4, -18, 15, -16, -1, 24, 13, 0, -1, 4, -22, -22, -21, 11, -1, -12, 13, 5, 0, 15, -21, -24, 8, -2, 0, -8, 20, -4, 11, -15, -29, 2, 6, -23, -31, -4, 16, -24, -1, 14, -18, 13, -19, 20, 5, 6, -15, -6, -19, 11, 18, -7, -18, -22, 16, 11, -7, -8, 7, -21, 0, -13, 33, 50, -15, -30, -9, 8, -92, -64, -52, 14, 21, -8, 26, 1, 1, 74, 38, -45, 16, 30, 2, 25, 82, 13, -31, -33, -6, 4, -25, -8, 12, -16, -2, -24, -26, -15, -41, -4, -23, 5, 58, -18, -4, -12, -16, -24, -79, -71, 28, -14, -17, -10, 38, -2, 81, -10, 17, 29, -56, -1, 100, -22, 13, 16, -9, 9, 10, -14, 17, -1, -11, -15, 6, -2, 17, 28, 16, 33, 27, 7, 30, -22, -11, -8, -68, -84, -14, 26, -33, -28, 65, 32, 10, 28, 13, 22, 8, -17, 37, -20, -50, -5, 46, -10, -31, 42, -57, -35, -23, -13, -31, -8, -2, 11, -66, -21, -45, -26, -7, -33, -14, 42, -16, -50, -61, -42, 22, 13, -1, 26, 7, 30, 16, 2, -3, 56, 35, 22, 32, 52, 22, -11, 18, -9, -21, -25, 28, 42, -72, -7, 67, -46, -8, -27, 27, -31, 9, 55, -20, 3, 1, 1, 0, -3, -6, 38, -24, -10, -17, -19, -14, -43, -33, -18, -24, -5, -26, 9, -17, -11, -5, -33, -33, -39, 8, -19, -36, -53, -3, 44, 40, -29, 6, -21, -16, -53, -34, -16, -54, 0, 50, -36, -21, 1, -1, -13, -23, 34, -11, 12, 21, 27, 19, 28, 18, 67, 2, 84, -2, -15, 2, -8, -8, -36, 7, -14, 3, 41, 4, 39, 0, -19, -4, 12, -11, -28, -37, 6, -61, -21, -47, -80, -22, -49, -43, 19, -34, -23, 10, -13, -24, -20, -10, 4, -12, 61, 108, 30, 41, 75, 12, -29, 66, -49, -7, 68, -52, 7, 50, -29, -39, 13, -6, -52, 4, 4, -33, -32, 32, -34, -34, 13, -26, -38, 9, -43, -64, -17, 1, -4, -9, -11, -6, 0, 14, -7, -14, 10, -3, -13, 9, -23, -6, -23, -4, 5, -10, 16, -2, 4, -14, 12, -20, 20, 4, -4, 14, 21, -19, -2, 10, 13, 13, -11, 3, 13, -23, -19, 0, -8, 13, 22, -2, 16, -7, 19, -10, -15, 12, -18, -2, 2, -1, -19, -1, 0, -22, 1, 16, 1, -7, 1, 0, 2, 25, 8, -11, 24, -16, -24, 22, -1, 18, 22, 1, 4, -7, -10, 11, 18, -25, -12, -1, 2, -23, 18, -4, 5, -25, -22, 11, 11, -14, 22, 18, -8, -11, -16, -19, -14, -27, -11, -8, -8, 1, -11, 11, -21, -12, -29, 2, -27, 15, 11, -28, -5, -8, -6, 17, -4, -22, 8, -7, -9, 18, -21, 22, -3, 24, -21, 0, 8, -5, 0, 21, 16, 13, -2, 7, -2, 19, -15, -6, 2, 5, -18, -25, -5, -16, -19, 16, -23, -11, 11, -8, -7, -10, 3, 19, -24, 22, -3, -7, 16, -1, 12, 12, -21, 11, 17, 23, 20, 15, -17, 24, 0, -14, 13, -4, 14, -6, -26, 18, 1, -1, 5, -15, -16, 14, -14, -17, -19, 6, -14, -20, 1, -7, 20, -15, -18, 15, -11, 1, -4, 21, -15, 22, 12, 24, 14, 7, -18, 10, -24, 2, -5, -22, -4, -6, -13, -21, -11, -13, -18, 6, -7, -16, 13, 20, 4, 12, 6, -13, 0, -27, -26, -28, -2, 14, -12, 9, -16, 12, -25, 11, -14, -6, -26, -24, 18, -18, -21, -1, 0, 10, 18, 4, 11, -2, -24, -8, -1, 13, 6, 12, 20, -20, 15, -13, -3, 14, -15, -22, 12, 12, -12, -6, -22, -4, 0, -26, 2, 0, -10, 7, -7, 30, -27, 8, 26, -43, 54, 17, 47, 26, 28, -15, 21, 11, -2, 15, -7, -69, 1, 13, -30, -23, 36, -28, -13, 32, 46, 12, -1, 4, 5, -1, -22, 10, 5, 4, 8, -19, -27, -26, -13, -21, 4, 18, -1, 8, -17, 8, 4, -34, 62, -53, -8, -33, -24, -8, -28, 18, 0, -1, 11, 6, -28, 5, 20, 22, 20, -9, -22, -26, -5, -1, 11, 2, -9, 11, 49, -3, -3, 6, 16, -15, 8, 0, 10, 5, 8, 39, 5, -31, 28, 47, 49, 6, 4, 12, 21, 42, 47, 30, -14, -21, 34, 12, -76, 33, 34, -15, 26, -7, -19, -7, -15, 18, 6, 7, 12, -31, -7, 15, 6, -14, -3, -21, -12, 14, 4, -13, -2, -2, 2, 7, 11, 10, 23, -38, 3, -17, -8, 16, -27, 20, 5, 14, 8, 41, 31, 32, 16, -7, 29, 35, 15, 44, 13, 27, 3, -17, -7, 15, -15, -17, 5, 17, 28, 26, 7, 9, 19, -3, -9, -9, 13, 1, 6, -6, 1, -4, -9, 15, -13, 2, -5, -8, 11, -7, -28, -9, -7, -23, 22, -28, 16, 37, -41, 15, 28, 23, 22, -3, -2, -35, 8, -14, 7, -6, -13, 12, 21, 1, 26, 38, 17, -62, 18, 25, -9, 46, 7, -7, 2, 26, 10, 40, 32, 14, 15, 2, -16, 20, -5, 0, 20, 27, 27, 7, -36, -9, 24, -36, 18, -7, -8, -1, -21, 58, 13, -25, 62, -24, 9, 11, 42, 57, 24, -1, 19, -19, -36, 30, -36, 36, 40, -24, -12, 39, -57, -31, 6, -30, -10, -32, -11, -31, -1, 43, -29, -14, 49, -43, -2, -6, -31, -2, -43, 19, -12, 17, 2, -2, 37, -38, 20, -9, -3, -9, -7, -6, 4, 2, -19, -6, 18, -36, -48, -21, -40, 3, -28, -14, -12, -44, -49, 2, -5, -9, -16, -20, 4, -8, -8, -14, -15, 3, 9, -34, -47, -45, -30, -41, -8, -7, -10, 19, 0, -1, 20, 16, 110, 51, 12, 24, 31, 23, 22, -10, 21, 42, -26, -20, -12, -9, -14, -3, 1, 3, 12, -8, 6, 32, 12, 8, 10, 8, 18, 13, -3, 24, 26, 18, -4, -4, -15, 8, 25, 21, 3, 15, -15, -11, 11, 8, -24, 10, 12, 7, -7, 33, 2, 34, 10, 11, 5, -16, -27, -58, -19, -20, -4, -8, -16, -4, -13, -18, -31, 23, 5, 21, -3, 2, 0, -35, -11, -69, -51, 27, 0, 5, 5, -1, 14, 0, 18, 36, 13, 28, 11, 17, 29, 22, 4, 12, 34, 7, -11, 6, -12, 40, -1, -2, 2, -2, 5, 30, 14, 1, -21, -1, -25, -10, -26, -9, 17, 18, -23, -1, 20, -26, -11, -2, -8, 6, 0, 9, 11, 19, 1, 1, 3, 4, -2, -3, -6, -6, -13, -20, -28, 13, -7, 5, -37, -6, -25, -3, 10, -12, 22, 20, 9, 4, 14, 7, -1, -4, 11, -16, -7, -26, 23, 5, 17, 12, 22, 34, 14, 4, -1, 0, 12, 30, 7, 11, 16, 9, 9, 32, 28, 12, 13, -9, 5, -26, -32, 3, 12, 12, 21, -9, 21, 1, -16, 22, 10, 0, 21, 27, 31, -7, -12, -32, -30, 25, 67, 40, 38, 79, -6, -37, -77, -36, -15, 23, -26, -8, -2, -24, 3, -25, -32, -7, 5, 29, 4, -19, -19, 13, -34, -7, 10, 14, 21, 27, -13, -45, 18, 3, -8, -15, 8, -28, 18, -38, -10, -48, -40, -39, 29, 24, 18, 20, 12, 13, 38, 23, 25, 11, -10, -2, -3, 12, -7, 9, -8, 3, 9, -24, -21, -6, 20, 12, 1, -24, -12, 7, 28, 8, 41, 19, 21, 17, -3, 6, -31, -10, -9, 20, -3, 10, -13, -31, -23, 51, 63, -7, 44, -8, 4, 11, -32, 3, 13, 14, 11, -12, -1, 10, -6, 2, 1, 3, 25, 10, 34, 37, 17, 41, 21, 8, 23, 18, 2, -8, -3, 0, 6, 6, 21, 46, 39, 9, -15, -7, 12, -14, -17, 7, -38, -16, -19, -10, -29, -1, -3, 13, -3, 25, 58, -6, 15, 12, 16, -25, -6, -9, -20, 0, -16, -17, 12, -11, -22, -21, -4, -24, -13, -6, -38, -15, 10, -1, 25, -17, 21, 4, 17, 35, 8, 30, 13, 5, 25, -66, -30, -21, -16, 1, -10, -30, 4, -9, 1, -10, 1, -20, -16, -18, 11, 18, 13, 9, -8, 6, -23, -16, -29, 5, -2, 11, -34, -23, -19, -20, -7, 5, -39, -32, -18, 5, -25, -2, 19, -17, -8, 20, 5, 0, -10, 12, -16, 13, 1, -11, 20, 5, 11, 30, 23, 54, 10, 2, 14, 5, 10, 7, -9, -21, 4, 22, 56, 16, -10, 18, 10, -10, 10, 31, 11, 22, -10, -14, -47, -27, -13, 2, 14, -24, -18, 24, -14, -18, 14, 26, 13, 21, 28, -3, 11, -2, -8, 14, -13, -19, 0, 17, 8, -2, 15, -9, -4, 10, 52, 38, 46, 51, 31, 24, -17, -4, -25, -7, -19, -13, 11, -14, 0, 0, 6, 16, 1, 6, 15, 2, 5, 9, 15, -9, -40, -9, -21, 3, 10, 12, -12, -20, -6, 13, -8, 17, 13, -32, 17, -10, -6, -7, -21, -57, -6, -36, -16, -5, -27, -24, 13, 4, -14, 12, 25, -19, -25, 11, 6, 1, 1, 3, 13, 4, 2, 28, 10, 25, 27, 1, -27, 12, 7, -24, -4, 8, -19, 28, 2, -25, -11, -10, -2, 43, -10, -23, 15, -32, 20, 11, -7, -2, 18, -6, 25, -3, -29, -4, 16, -19, -3, 21, -13, 15, 1, -13, -14, -14, -17, 10, -15, -10, 32, 10, -1, -11, -1, -21, -4, -6, -24, -3, 13, -6, 8, 63, 27, 13, 26, 25, 12, 24, -5, 3, -9, -11, 34, 8, -24, -9, -7, 12, 5, 33, -3, -19, 1, 7, -33, 7, 21, 16, 46, -7, -12, 23, -2, 7, 8, 6, -20, 12, 9, -28, -23, -5, -20, -23, -22, -12, -8, -13, -2, 11, -3, 15, 19, -14, -11, -29, -35, -10, 23, -28, -5, -8, -11, -14, -35, -12, -18, -14, -29, 3, -11, 18, -9, 2, 33, 4, 14, 21, 14, 23, -5, -22, -29, 3, -11, -13, -5, -12, -26, -9, 17, -14, 9, -2, -29, 13, -5, -47, 3, -26, 20, 30, -25, 13, -21, 11, 35, 25, 21, 5, -16, 12, -12, -3, -4, -14, 17, 31, 15, -5, 10, 20, 4, 12, -1, 4, -14, -5, 14, -9, 27, 5, -2, 10, -2, 26, 8, 21, 25, 15, 10, 40, 5, -34, 13, 14, -40, 3, 6, 5, 0, 22, 20, 7, -7, 16, 13, -5, -14, -10, -24, -20, -9, 27, -5, 24, 72, 40, -28, 10, 7, -5, 27, 11, -28, 3, -10, -6, 0, 7, -15, 2, 14, -15, 21, 24, 0, 13, 2, 12, 13, -23, 4, -3, 6, 23, 10, -12, -24, -58, 16, 5, -10, 4, 3, -21, 1, 13, 7, -5, 9, 8, -2, 1, 7, -12, 24, 11, -7, 5, -9, 0, 20, -13, 0, 9, 1, 11, 18, 4, -3, 16, 3, -13, 20, 17, -24, -22, -11, 25, -6, 16, 9, -10, -62, 2, -9, -8, -4, -2, 2, -14, -19, -50, -17, 1, 10, -2, 6, 20, -6, -13, -11, 1, 2, 18, -14, -2, 14, 3, 6, -21, -3, -2, 5, -7, 15, -6, 0, -24, -81, 18, 10, -20, -1, 4, 0, 7, -1, 23, -1, 13, 46, 5, 0, 2, -8, -4, -33, 6, 17, -9, -3, 16, 16, 4, 4, -31, 15, -6, -30, -8, 11, -3, 12, 24, -28, -3, 14, -15, 3, 12, 22, 13, 25, 20, -14, -1, -7, 16, -2, 18, -10, -16, 20, 22, 9, 3, 0, -1, 6, 6, 12, -16, -9, 20, -12, -8, 10, 7, 4, -35, -24, -7, 13, 2, -3, 9, 5, -7, 4, -26, 5, 5, 9, -1, 2, -1, -10, 13, -9, 0, 12, -5, 10, -9, 18, -2, -6, -24, -11, 9, 1, -4, 2, 12, -4, -18, -30, 9, -5, 10, 17, 5, -8, 3, -19, -63, 19, 27, -15, 12, 13, -11, -4, -6, -23, -2, 7, 1, 9, -3, -5, -7, -11, 20, 7, 22, 33, 13, 6, 2, 11, 1, -31, 15, -3, -8, -5, 8, 2, 1, -4, -91, 18, 37, -10, 5, 13, -3, -5, 1, -65, -1, 17, -34, 1, 10, -33, -1, 10, 8, 6, 15, 6, -2, 36, 55, 7, 12, -37, 14, -3, 10, 5, -1, 2, 7, -7, -12, 20, -2, -10, -4, 3, 0, 1, 18, -28, 22, 38, 6, 4, -3, 4, -6, -9, -7, 32, 14, 0, 17, -8, 6, 10, 7, 0, -6, -7, -12, -4, -11, 10, 19, -6, -4, 6, 16, 7, -2, 19, 15, 13, -15, -12, 14, 7, -20, -13, 3, -10, 11, -8, 0, 8, 2, 7, -12, 10, -18, -4, -13, -14, 3, 7, 3, 7, 12, 15, 18, -1, 13, 17, 22, 8, 8, -14, -3, -13, -26, -14, 12, 6, 14, 3, 7, 2, -17, -5, -1, -6, 9, 3, -19, 38, 0, 20, -13, 14, -21, -38, -37, -14, -16, -27, -8, 3, -16, 17, -10, 14, 11, -16, -13, -29, -31, -32, -23, -12, -40, -5, -33, -21, 40, 31, 12, 28, 2, 2, 49, 8, 0, 3, -7, -12, 2, 8, -20, 11, 4, -7, 12, -31, 11, -3, -2, 6, -13, 2, -5, -4, 27, 4, 7, 14, 16, -24, -4, 7, -33, -9, -38, -3, -1, -17, 5, 2, 6, -2, -3, -6, 12, -8, 5, -9, -7, -18, -12, -20, -19, -21, -30, -6, -32, -17, -32, -24, 23, 11, -10, -5, -7, 5, 14, 21, 2, -13, 1, -25, 7, -20, 2, 1, 27, 11, 2, -23, -2, 13, -2, -12, 8, -10, 6, 16, 33, -12, 8, 22, -4, -9, 11, 8, 11, -14, 22, 21, 6, 16, 16, -15, -25, -40, 1, -20, 13, -7, 31, 28, -2, 14, 18, -3, -5, 0, 13, -6, -14, -12, 29, 1, 13, 21, -10, 19, 46, 16, 0, -17, -25, -4, -24, -14, -4, -16, -23, 7, -21, -16, -17, 14, 16, -7, 10, -13, 16, -21, 4, 37, 11, 33, 29, -12, 17, 32, 17, 27, 19, 0, 21, 10, -18, 3, 15, -6, -25, -10, -2, -4, -27, 10, 12, 1, 10, -18, 18, -2, 12, -13, 52, 0, 23, -59, -58, -50, 1, -30, -44, -15, 11, -52, -5, -9, 22, 35, -1, 17, -5, -9, -14, 20, 17, -29, -5, 21, -26, 35, -11, -48, 12, 18, 4, 19, 9, -11, 11, -15, -8, -5, -18, 23, -50, 91, -32, 18, 7, 36, -3, 10, 31, -48, 48, -12, -23, 8, 6, -59, -33, -71, -10, -28, -29, -27, -32, -17, -29, -22, -19, 3, -23, -5, -10, -34, -82, -24, -28, -48, 9, 36, 31, -23, 9, -33, -66, -99, -65, -5, 51, -63, -33, 18, -33, 18, 35, 66, 2, 8, -31, 38, -17, 81, 3, -23, -31, 18, 75, -10, -16, 25, -26, -11, -39, -31, -7, 9, -42, -2, 2, -18, -1, 26, 22, 9, 16, 7, 6, -16, 17, -9, -15, 5, 30, 33, 17, 20, 26, -7, 43, 46, 2, -9, -14, -33, 15, 41, 4, 42, 32, 36, 18, 19, 37, 27, -9, 0, -19, -45, -54, -23, 14, -4, -27, -16, 6, 49, 23, 20, 19, 34, 1, 30, -24, 12, -3, -19, 18, -27, -29, -9, 13, -23, -18, -19, 21, -24, 7, 26, 0, -3, -19, -10, -38, 23, 12, -37, 12, 24, -28, -23, -20, -15, -54, -40, 19, -6, -53, 0, -17, -24, -18, -90, -52, -53, 41, -58, -34, 4, -4, -16, -16, -14, -10, -26, -51, 9, -9, -28, 8, 21, -18, 2, 3, -26, -48, -2, -26, 24, -26, -11, -33, 92, -40, 6, -17, 37, -45, -60, -75, -30, 13, -12, -81, 1, -47, -21, -2, 59, -35, -21, -9, 4, -5, -1, 34, 42, 25, 26, -31, -9, -8, 10, -5, 12, 55, 22, 44, -13, 73, -4, -12, -5, 7, -82, 29, 36, 72, 4, 38, 39, 34, -1, 10, 6, -2, 6, 16, -2, -9, 4, 16, -19, 22, 21, 20, 32, 22, 23, -4, 4, -18, 12, 5, 11, 19, -10, -15, 21, -15, -41, -3, -20, -31, -23, -22, -6, -10, -24, 38, -4, -20, -10, 27, 5, -13, -19, -37, -16, 24, -15, 15, 14, -12, 21, -1, -19, 1, 1, -1, 22, -5, -6, -15, 2, 27, 50, 8, 9, -26, 21, -5, 26, -12, -3, 8, 20, 29, 23, 28, 22, 36, 23, -30, -26, -7, 2, 63, 17, 14, 20, 1, 4, 32, 3, -17, -13, 34, 23, 47, 59, -10, 15, 58, 0, 34, 79, 17, 34, 21, 8, -50, -30, -9, 3, 13, 23, 15, -1, -21, 5, -7, 0, 24, 3, 16, 23, 23, -30, -14, -7, -1, 11, -2, 6, 25, -18, 30, 60, -4, -26, -18, 6, 11, 51, 19, 2, 19, 6, -25, 8, -33, -7, -15, -12, 15, 52, 35, 24, 35, 50, 35, 18, 24, 26, 32, 31, 4, 17, 17, -2, -19, -7, -5, 10, -11, 0, 8, -14, 47, 27, 17, -48, -24, 16, 7, 51, 17, 30, 20, 5, -18, -35, -19, 2, -14, -1, -9, 11, -4, -21, 24, -4, -13, -5, 31, -11, 3, -14, 30, -13, 8, 21, 26, 28, 15, 39, 35, 7, -1, -5, 3, 16, 4, 20, 15, 15, 16, 9, 18, -30, -2, -7, -7, 17, 18, 47, 57, 1, -26, 37, 42, 5, 16, -8, 25, -18, 15, -7, -26, 17, -26, 4, 13, -10, -13, 16, -6, -24, 2, -27, -26, -10, 11, 1, 21, 28, -5, 21, 19, 24, 14, -4, 5, 7, -5, 27, -18, -4, -1, -2, -23, 25, 16, -53, -28, 8, -69, -43, -58, 26, 12, 7, 35, 35, 18, 47, 58, 3, 49, 112, 28, -42, -18, -39, -44, -29, -33, 18, 22, -12, 5, -23, 24, -24, -4, -7, 49, 94, 19, -26, 26, -4, -25, -33, 5, 24, 43, -33, -10, -28, -40, 16, 31, 9, 4, -45, -33, 4, -37, -13, 48, -13, 34, 4, -26, -46, -4, 6, -4, 21, 14, 12, 30, 23, 16, 12, -24, -16, 11, -31, 8, -7, -53, -8, 0, -3, 5, 23, 34, 2, -49, -57, -41, -17, -61, -24, -32, -30, 4, -7, -49, -8, 71, 42, 0, 20, 29, -13, 58, 52, 4, 32, 55, 28, -43, -17, 7, -2, 53, -10, -7, 5, -10, 5, 9, 3, -1, 7, 13, 18, 23, 5, -1, -8, 19, -9, -2, -23, -17, -17, 13, -4, -5, -12, -26, -11, -32, 26, 37, -33, -23, 3, -41, 23, 14, -20, -8, 13, 0, -2, -5, 17, 23, 3, -5, 5, -21, -44, -33, 6, 1, -54, -42, -52, -4, -30, -19, -7, 15, 12, 4, 13, 37, 15, 39, 28, 35, 32, 3, -27, 45, 1, -93, -105, -50, -28, -16, -3, -64, -41, 23, -7, 9, -16, 14, 11, -27, -4, 16, 42, -10, 30, 15, -17, -34, 3, -71, 1, -42, -16, -43, -13, -34, -37, -26, -13, 18, 32, -35, 16, 4, -37, 8, -9, 23, -39, -27, -14, -41, -3, -26, 0, 49, -5, -16, 41, -7, -13, 13, 43, 30, -14, 98, 89, 49, -19, 4, -2, -17, 29, -2, -42, 29, -29, -13, 19, 15, -40, -40, 4, -51, 66, 42, -28, 8, 15, 0, -24, 39, -6, -7, 3, 10, 13, 41, -21, -17, 12, -14, -8, -22, -22, 12, -2, -20, 22, -16, 13, 17, 17, -10, -9, 16, 12, 12, -12, -8, -27, -13, 1, 12, 2, 15, 43, 25, 3, 8, -27, -13, 14, 2, -9, 18, -5, -20, -2, -26, -14, 18, -16, -3, -3, 40, -19, -23, -22, 0, -4, -10, -5, 2, -1, 10, 13, -15, -10, 27, -16, 3, -18, -10, -7, 14, 5, -10, -18, 11, -4, 1, 7, -14, -8, -10, -21, -26, -3, -4, -30, -20, -6, 22, 3, -6, -1, -24, -18, -19, -20, 19, 23, 40, 13, 34, 30, -4, -10, 10, 0, -18, 2, -14, -22, -22, -4, 5, -27, -5, 12, -15, -3, 3, -10, 2, 30, 10, -10, -21, -19, -7, 20, 7, 21, 23, 26, -21, -14, -4, -19, -4, 24, -4, 0, 23, 4, 11, -1, -3, 7, -2, 11, -25, -3, 1, -22, 22, -12, -37, -13, -30, -15, -1, -23, -24, -4, 0, -6, -1, 8, -16, 0, 4, -4, 3, 14, -24, 0, 3, -5, 5, -9, 19, -26, 15, 2, -6, 19, -5, 3, -4, -14, 13, -12, 19, -30, -4, -8, 13, 9, -18, -26, 16, 8, -12, -8, 29, 36, -9, 41, 41, -21, 5, 26, 17, 6, 3, -15, -7, -2, 6, 0, -5, 1, 9, -1, 18, -1, -17, -11, 20, 18, -13, -9, 17, 9, -16, -22, -8, 4, -21, -16, 0, -16, 12, -6, 9, 3, 18, -25, 2, 17, -13, 0, 17, 22, 4, 20, 2, 15, -8, 28, -6, -20, -13, -8, -40, -36, 5, 18, -11, -14, -23, -41, -16, -10, -10, -12, -22, -16, 5, -14, -31, 12, 10, 1, 9, 15, 2, -20, -7, 4, 9, 3, 26, -7, -11, 4, 3, 4, 19, -38, -39, -22, -37, -16, -30, 24, 26, 9, 31, 33, 1, 86, 50, 5, 27, 19, 16, 30, 51, 13, 60, 41, 19, -10, -21, -5, -1, 8, -15, 6, -31, -29, 12, 5, 3, 15, -6, -6, 2, 3, -6, -9, -25, 13, -2, -15, 2, 4, 40, 9, -24, -44, -17, -11, -61, -41, 6, -46, -14, -43, -44, -19, -35, -36, -10, 32, -12, 13, 7, 25, 7, 35, 16, 9, 6, 8, -17, -32, -13, -1, -13, -3, -19, 9, 25, -3, 10, -30, -24, -15, -11, -3, 11, -12, -17, 10, -19, 8, -3, 8, -12, 12, -9, -21, 5, 22, 7, -12, 9, -8, -17, 11, 4, 3, -21, 12, 31, 26, 4, 45, 6, -13, -2, 9, -1, 7, -9, -18, 35, 9, 10, 25, 44, 29, 45, 27, 10, 36, 7, -10, -23, 8, 0, 15, -47, -22, 40, -28, -18, -29, 13, 12, 21, 40, 21, -2, 23, 26, 24, -13, -15, 43, 48, 4, 36, 14, 14, 5, 11, 17, -24, 11, -18, 15, 11, 38, 17, 13, 7, 18, 7, 7, -12, -3, -1, 24, 13, 3, 30, 15, 15, -3, -6, -3, -7, -19, 28, -28, -18, -19, -12, -6, -10, 1, -7, -6, -35, -20, 6, -20, -39, 23, -3, 11, 8, -4, 5, -3, -14, 6, 3, -40, -11, 2, -35, 7, 3, -49, -2, -6, -17, -21, -25, -4, -19, 1, 9, -10, 6, -1, -19, 10, -8, 12, 19, -14, 41, -12, -15, -26, -3, -22, -33, 13, -20, 4, -19, 12, 25, -12, 32, 34, 19, -5, 12, -15, -15, -8, 31, -15, 5, 31, -13, 19, 40, -44, 8, 23, -7, 7, 30, 20, 11, -4, 45, -19, 10, 51, -12, 18, -35, 5, 17, 11, -14, -18, -14, -16, -9, -33, -40, -10, -2, 4, -10, -21, -8, 1, 0, 0, 10, 10, -10, 11, 30, -25, -2, 18, -10, 5, -17, -52, 6, -28, -6, 2, -26, 9, -16, -40, -57, -5, 28, 17, -1, 7, -23, -11, 14, -4, 23, 65, -17, 5, 17, -8, -3, 12, 0, 4, -26, 6, 16, 14, 5, 22, 7, 23, 21, 23, 25, 29, 68, 34, 25, -36, -19, -20, -51, -30, 11, -14, -31, -12, 89, 38, 21, 37, 25, 24, -12, 23, 27, -33, -15, -17, 16, -48, -29, -58, -39, -34, -36, -41, -33, -23, -43, 2, -48, -59, -12, -29, -18, 3, 18, 5, 6, -73, -74, -7, -1, 11, -5, -24, 18, 4, 17, 1, 22, 11, 32, -8, 28, 9, 7, -12, 23, -17, 2, 42, 18, 38, -2, 21, 44, 10, 44, 56, -1, 6, -24, -6, -7, -10, -24, -18, -12, 40, 4, -20, 23, 2, -4, 26, 2, 10, -9, 1, -9, -8, -13, -5, 12, -8, -27, -24, -22, -31, -11, -12, -50, 13, -5, -10, -12, -7, -48, -36, 6, -18, 10, -14, -13, -33, -10, -27, -22, -13, -21, -3, -10, -9, -3, 13, 26, 75, 4, 7, 39, 15, 23, 21, 26, 95, 62, 23, 29, 9, 21, 13, -3, 21, 15, -2, -21, 2, -8, 20, -44, -37, -32, -19, -39, -42, -57, -45, -39, -13, -21, 12, -1, 28, 21, -47, -64, -6, 15, 7, 11, 99, 57, 19, 5, -43, 26, 3, 21, 2, 26, -3, 17, -4, 15, 9, -32, -17, 5, -19, 12, 11, -5, 19, 9, 14, -2, 1, -34, -49, -15, -17, -50, -11 };
signed char f41[18432] = { 20, 43, 12, 6, -22, 15, 30, 8, 13, 27, 1, 22, -3, 30, -17, 6, 7, -17, -17, 30, 49, -14, -32, -8, 30, -43, -9, -17, -19, 17, 19, 12, -25, 29, 18, -24, -16, 27, 0, 24, 23, -12, -21, -4, -30, -11, -16, -9, 12, -13, 23, -24, -35, -25, 3, -23, 31, -8, 29, -27, -9, -7, 3, 31, -21, -28, 27, 19, 12, 10, 21, -17, 38, 12, -2, 49, -23, 24, 27, 28, 5, 4, 10, -7, 31, -22, 15, -11, 32, 13, 23, 33, 47, 31, 32, 31, -14, -16, -3, -9, -22, -63, 1, -16, -31, -26, 12, -40, 11, 40, -36, 4, 31, 24, 17, 27, 32, -10, -6, -6, -5, 4, -19, -15, 3, 6, 13, -1, -20, -11, -11, 30, 28, -15, -1, 14, 86, 8, -17, 8, -18, -1, 9, 18, 27, 52, 44, -11, -42, 35, 19, -15, -21, 18, -19, 20, 28, -17, -29, 13, 9, -18, 69, 42, 48, 25, 26, 33, 10, 69, 46, 22, -1, -1, 13, -16, 32, 11, -8, 28, 8, -17, 38, 37, -1, -3, 23, 63, 4, 7, -14, -6, 25, -30, -55, 10, 32, -54, 3, -42, 37, -12, 33, 35, -50, -12, 5, 3, -1, 17, 9, 14, 31, 35, 16, 51, -35, -7, -25, 2, 17, -4, -27, -16, -11, -1, -19, 26, 14, -28, 28, 21, -28, -7, -13, -27, 37, -17, 4, 5, -29, -17, -18, -19, -3, -15, 14, 14, -22, -25, 58, 2, 11, 32, -13, 4, -6, 26, 2, 31, -2, -5, -11, 5, 27, -27, -23, 0, 29, 3, 8, 45, 45, 45, 17, -16, 6, 38, 49, -21, 16, 17, -22, -20, -28, 19, 4, -4, 25, -40, 4, 14, 17, -1, 1, 0, -19, 22, 5, -9, 31, -11, -6, 2, 26, -16, 16, -37, 8, 16, 21, 8, 8, -29, 35, -22, -10, -31, 26, 22, 6, 32, 23, 52, -3, -12, 14, 23, -11, 30, -19, 22, 21, 0, 6, 23, 10, 40, 3, -11, 6, -10, 11, 13, 7, -1, 0, -14, 23, 27, 15, 10, -16, -30, 8, 5, -2, 22, 20, -19, 0, 30, 28, 23, 11, -22, 1, 1, -6, -20, -8, -31, -28, 21, -18, -1, -22, 25, -22, -24, 0, -5, 22, 19, 14, 27, -10, -8, -25, -1, -9, 15, 5, -23, 3, 24, -2, 22, 11, 13, -30, 14, 27, -19, 14, 24, -19, 5, 0, 20, 29, 29, -1, -30, -27, -23, -15, 7, -15, -17, 24, 24, -3, 28, -7, -16, 1, -3, 21, -1, -14, -13, -22, -19, -1, -27, 22, 4, 22, 5, 21, 12, -25, 19, 19, 6, -19, -22, -8, -18, 21, 34, 17, 16, -17, 13, 14, 28, -5, 11, 0, -19, -29, 22, 24, 22, 8, 15, 8, -12, -24, -4, 8, -55, 14, 23, -28, -10, 25, 0, -22, -19, -34, -11, 10, -28, -8, 40, 13, -31, -8, -30, 9, 44, 24, 1, -3, -31, -14, -32, -53, 9, -39, -16, -14, -17, -9, -30, -6, 17, 6, -10, -29, -6, 21, 23, 22, 17, 30, 6, 53, 3, -22, -4, 9, -1, 4, 24, -20, 11, -4, 27, 32, 15, 10, -2, -13, 10, -19, 25, 24, 18, -2, -4, -13, -30, 0, 5, -4, 10, -12, 28, 4, -27, -14, 6, -33, -6, -26, -20, -35, 17, 4, -19, 51, -19, 21, 23, -30, -19, -37, 5, 8, -36, 21, -20, -12, -28, -47, 26, 7, -21, -45, -41, -52, -5, 22, 9, 4, 13, 11, -4, 26, 4, -2, 1, 32, -25, 21, -12, -56, 7, -14, -25, -11, -67, 15, 16, -15, -5, -44, -2, -4, -2, 21, 22, 19, 20, -20, 8, -2, -3, -18, 2, -4, -1, 13, 48, 37, 7, 24, -30, 28, 9, -25, 12, 14, -4, 9, -13, 29, -18, -6, 14, 31, -17, 15, -27, -14, -27, -12, -36, -15, 0, -36, 2, 16, 11, 2, 25, -1, 24, -9, -29, 22, -13, 8, -43, -40, 2, 23, -15, 22, -12, -12, 7, 37, 0, 17, 30, -12, 19, 20, 10, -47, -16, -10, -13, -6, 20, 0, -4, 20, -1, -14, 17, -15, 5, 28, -18, -29, -24, -21, 1, -30, -9, -11, -25, -5, -10, -1, 29, 10, 34, -23, 31, 14, -11, 3, 54, 34, 45, 29, 41, 62, -2, -27, -16, -57, 9, -30, 4, 20, -21, -7, -21, -19, -6, -32, -46, -10, -23, 5, -39, -18, -43, -22, -23, 5, -29, -11, -12, 5, -13, 24, 20, -28, 1, -18, -10, 22, -9, -4, -28, 22, -24, -5, -11, 8, -7, -34, -48, -22, -26, -5, 2, -19, -3, 9, -5, 7, 2, -17, 44, -22, 14, 14, 9, 30, 12, 17, 34, -32, -34, 6, -8, -21, 10, 21, 29, 42, 2, 6, 18, -3, -2, 16, 2, -15, -11, -20, -41, 33, 5, 1, -2, -10, -11, 11, -13, 12, -13, 5, 9, -28, 42, 21, -10, -1, 20, 30, -20, -2, 8, -28, 0, 11, 21, -30, -31, -15, 6, 4, 21, 1, -8, 33, 106, 30, 24, 28, 11, 15, 49, 9, -16, -5, -25, -27, -2, -6, -27, 33, -1, 5, 32, 32, 7, 19, -5, -2, 22, 17, 5, -7, 31, -31, 12, -16, 11, 16, -3, -9, -65, 11, -35, -39, 12, 36, -49, 23, -14, 47, -29, 0, 25, -20, -34, -21, 4, 19, 14, -16, 17, 29, 20, 15, 30, 21, 2, 56, -64, -10, 4, -22, 0, 67, 12, -6, 18, 17, -29, -23, -3, 15, -22, 20, 4, 1, -9, -1, 2, 28, -17, 33, 22, -23, -1, -5, -18, 40, 57, -4, 30, 24, 19, 28, -25, 28, 14, -20, -3, -7, -6, -9, -23, -21, -15, -17, -17, -30, -15, 17, -6, -5, -13, -1, -4, -32, 15, 15, -9, 17, 9, -13, -17, 31, -5, 10, -2, -15, 11, -13, -6, -25, 23, -23, 22, 20, -11, -24, 14, -15, 23, 25, 27, -6, -15, 17, -15, 9, 31, -22, -2, 38, 5, -2, 36, 8, 6, -3, 24, 10, 25, 7, 20, -13, 30, 4, -26, -10, 6, 1, -3, 27, 20, 27, -2, 15, 5, 22, 9, -20, 19, -4, -12, 24, -6, 31, -5, -16, 15, 30, -13, -18, 22, 29, 3, 10, -17, 7, 8, 13, -15, -53, 24, -50, -62, 25, -27, 56, 17, 46, 57, 32, -8, -6, 7, 1, 3, -18, -31, 3, 17, -37, -17, 44, -29, 12, 7, -20, 5, -34, 2, -8, 14, -10, -12, -8, 7, -17, -33, 4, 10, -31, -21, -11, 23, -11, -29, 29, 12, -6, 17, -1, -21, 5, -1, -26, -9, -8, -18, 21, 29, -57, -2, -20, -4, -6, -12, 43, 16, 20, 46, -44, 17, 34, 22, -12, 31, 7, -23, 16, -2, 47, 43, -101, 4, 58, -80, 43, 21, -99, 6, -35, -14, -9, -25, 11, 21, -28, 1, -1, 12, 27, -37, -41, -2, 24, -23, 21, 4, 24, -27, -17, -31, 31, -5, -27, 1, -23, -27, 8, 6, -47, -1, 69, 62, 13, -11, -17, -25, -2, -38, -20, -18, -9, 2, 17, -31, -11, 15, -30, 10, -31, -32, -1, -13, -11, 14, 20, -10, 11, -15, -17, 21, 22, -4, 30, -22, -17, -27, -30, -7, 1, 20, 3, 21, 25, -9, -15, 3, -24, 16, 12, -22, 22, -18, -52, 9, 26, -23, -31, -22, -32, 23, 17, 1, -21, -1, -13, -4, 2, -19, -12, -30, -43, -2, 20, -23, -33, -3, 8, -4, -2, 20, 13, 0, -14, 3, 1, 16, 21, -9, -10, 0, -6, 32, 11, 2, 29, 0, -1, -18, -3, -2, 29, -6, 22, 1, -18, 1, 5, -30, -25, -21, 2, -6, 2, 30, 17, -4, 14, -5, -26, -26, 10, 22, 10, 13, 17, 9, -33, -57, -43, -18, -12, 24, -11, -10, 30, -12, 7, 1, -19, -23, -19, 19, -19, 5, -16, -12, -33, -3, -12, -31, -2, 20, -24, -15, 16, -17, -27, -6, -2, -6, 16, 1, -53, -25, -17, 3, 3, 15, 8, -25, -6, -11, -26, 15, -19, -39, 3, -18, -12, 38, -19, -33, 5, 10, -17, -19, 4, -20, 6, 11, -15, -30, -21, 6, -19, 10, 31, 29, -22, 10, -22, -4, 5, -14, 7, -2, 25, 32, -17, -22, 21, 11, 36, -3, 26, -23, -6, -7, -8, 68, 31, -1, 25, -7, 8, -37, 40, 65, 8, 6, 31, 2, 1, 31, -2, 18, 26, -28, -28, -23, 25, 3, 31, 15, 13, -24, 20, -17, -1, -33, -64, 1, -16, 30, 67, 31, 23, 28, -25, 7, -18, -8, 1, 17, 13, 18, -23, 0, -17, -9, -20, -29, -15, -8, 10, 21, -25, -17, 30, -16, 12, 19, 3, -22, -20, 23, -7, 13, -34, -11, -20, -28, 7, -37, -33, 34, -24, -6, -24, 16, 30, 12, 25, -9, 25, -5, 21, 2, -23, 9, 1, -30, 17, 11, 6, 23, -15, -13, 17, -18, -26, -16, -19, -12, -21, 29, -10, 20, 16, -26, 10, -31, 31, 0, -19, 10, -7, -5, -6, -16, 29, 20, 2, -27, -16, -6, 9, -17, 15, -1, 9, 18, -8, 7, -3, 14, 20, -21, -1, 12, 8, -24, 10, 25, 1, -31, 16, 19, -3, 15, -11, 25, -28, -27, 18, 24, 21, -13, -36, -1, 6, 25, 31, -17, 25, -1, -4, -20, 6, 16, -13, 4, -22, -10, 26, 28, 18, -3, 26, 7, -27, -22, -20, 4, 9, 23, -10, 25, 5, -6, 3, 21, 29, -23, -34, -6, -29, -29, -6, -15, -27, -19, 11, 29, 14, 15, -12, -28, -25, 33, 0, -20, 24, -20, 6, 17, -10, 29, -27, 15, -23, 20, -24, -24, 14, 26, 24, 9, 27, 6, -3, -12, 23, -21, 13, 7, -28, -25, 6, 21, -14, -11, -10, 10, -25, 3, 29, 22, -29, 3, 14, -20, 25, 7, -28, -14, 19, 4, -2, 3, 2, 0, 26, 13, 9, -7, -9, -4, -8, 19, -4, 24, 23, 10, -13, 15, -31, -24, 19, 13, -17, 21, -14, -18, -32, 8, -1, -25, -13, -30, -16, -29, 2, 5, 20, -4, -8, 5, 14, -8, 2, 10, 21, 10, -19, 21, -27, -8, 8, -25, -7, -16, 29, 23, 8, 14, -24, 12, 18, 31, -18, 1, 31, 23, 26, -16, 17, -23, -22, -14, 19, -14, 50, 43, 14, 22, 20, -39, 18, 5, -1, -8, -4, -20, 30, -24, 12, -1, 5, 13, -7, 15, -19, -29, -53, -26, 22, -31, 14, 36, 33, 0, -11, -15, -22, -6, 25, -16, 22, 12, -12, -22, 19, 3, 6, 9, -15, 25, -19, 54, -12, -30, 25, -13, 26, 20, -6, 17, 1, -1, 21, -1, 6, 10, 7, -15, -12, 0, 17, 9, -11, 23, -16, -26, 20, -15, 5, 21, -13, 5, 22, 15, 0, -6, -19, -12, 4, -20, 18, 14, -28, -23, 7, 18, -25, 18, -11, -32, 9, -7, -20, -34, -26, 16, 12, -29, -24, -17, -9, -18, -1, -8, -33, 24, 20, -16, 13, 27, -6, 8, 15, 12, -19, -25, 31, 15, -1, -17, 0, 25, 30, 16, 17, 9, 4, 29, -4, 51, -38, 26, 6, -78, 1, -49, -99, -19, 6, -13, 35, 39, 23, 26, 39, 24, 31, 22, 29, 26, 27, -17, -2, -16, -22, -7, -17, 15, 46, 9, -16, -22, 18, 39, 5, 16, -9, 1, -32, -8, -8, 20, -6, 25, -20, -29, -9, -41, -9, 2, -24, -12, -2, -8, -33, -40, 9, 4, 32, 2, -14, -22, -5, -1, 41, 0, -26, 54, -23, 2, 14, -11, -47, 33, -1, -50, -19, 21, -30, 15, -5, 1, -33, -16, -18, 19, 1, 10, 29, -2, -8, -2, -2, -27, -27, 8, 13, 30, -23, -3, -6, -18, -20, 35, 16, 28, 8, 16, -1, 13, 31, 45, -5, 53, 7, 24, -20, 1, 43, -13, 4, 15, -26, -19, -21, -16, -25, 2, 2, -18, 20, -19, -6, -16, 47, 46, 56, 23, 9, 44, 15, 32, 8, -27, 16, 2, 19, -13, 6, -8, 2, -28, -12, -11, 20, 16, -22, 5, -18, -5, 8, -25, 17, 6, -18, 20, -19, 7, -9, 21, 9, 19, 30, -22, -16, -8, 27, -15, -27, 18, 13, 6, -5, 11, -28, 23, 23, 2, -28, -9, -2, -16, -16, 1, -17, 25, -26, 6, 17, 9, -12, -13, -31, 18, -6, 30, 20, -8, 16, 3, 6, -21, -3, -8, 18, 5, 4, 5, -1, 27, 21, -29, -15, -18, 2, 31, 5, 30, 25, -20, -1, -11, -6, 12, -16, 8, -9, 26, 14, -15, 21, 27, 8, -18, -5, -6, -6, -6, 8, -30, 15, -2, 15, -3, 29, -21, 4, 1, 29, 8, 0, 18, 23, -9, 10, -11, -23, -10, 18, -19, 22, -28, -20, -26, 26, 7, -6, 15, -5, 21, -10, 1, -3, -31, -22, -8, 16, -10, -26, -7, -21, 21, -18, -35, 22, 0, -12, 31, 22, -19, -23, -14, -15, -30, 30, 6, -12, -15, 0, -12, 1, -24, -7, -11, 25, 18, -22, 10, -26, -29, -27, -13, 25, -19, 29, 30, -5, 10, -26, -31, 26, -31, 21, 17, 8, -4, -17, 1, -19, -32, 9, -31, 18, -11, -28, -2, -1, 28, 1, -21, -5, -32, -30, -24, 10, -25, -30, 3, -2, 25, -26, -26, 3, 19, 12, 15, 26, 18, -2, -7, -26, 10, 25, 24, -16, -2, 2, -12, 5, -22, 12, 29, 11, -26, -3, -19, 11, -13, -1, 25, 8, 10, -17, -21, 13, 13, -27, -26, -14, -7, -29, -27, 4, -9, -8, -24, 2, 18, 18, -29, 18, -31, -22, 17, 1, 13, -4, -23, -27, 23, 28, 27, -16, 16, -19, 1, -8, 15, 16, -22, -20, -18, -5, -9, -14, 27, 30, -4, 22, 14, -2, 9, -10, 32, -7, -13, 2, 16, 8, -7, -3, 6, -12, -23, 18, -32, 24, -18, -25, 26, 13, -30, -14, 11, -13, -7, 2, -15, 13, -21, -1, -17, 7, -9, -20, 12, 6, -23, -15, 3, -26, 8, -5, 18, 31, 49, 8, -14, 28, -13, 13, 6, 3, -8, -29, 22, 0, 17, 27, -8, -8, -13, -9, -14, -29, 30, 29, -24, -26, -10, -14, -14, 16, 12, 27, 20, -31, -5, -28, -16, -13, 19, 16, 13, -2, -2, -23, 5, -28, -24, 29, -9, -18, -11, 34, 38, 18, -16, -9, 13, 17, -34, 11, -8, 17, 26, -4, 9, -10, -1, 14, 22, 10, -12, -14, -36, -13, 4, 3, -2, 21, -4, 7, 4, -12, 5, -7, -8, 11, -7, 6, -1, -21, -27, 16, -88, -60, -14, -2, 42, -3, 44, 57, -7, -13, 17, 6, -17, -11, -7, 16, 9, -4, 20, 26, 18, -12, 18, 14, -14, 28, -15, 13, 30, 6, 12, 15, 2, 16, 13, -11, -31, -4, -1, -14, 0, 26, 12, 31, 30, -18, -37, -55, -17, 38, 0, 17, 3, 7, -34, -48, -14, -10, -21, 2, -49, -8, -1, -42, -43, -36, 15, 17, 17, 10, 16, 5, -45, -38, -9, -2, 8, -7, -26, -6, 17, -6, 14, 26, 27, -1, 14, -13, 11, 11, 21, -16, 19, -8, 19, 11, 14, -24, -7, -25, -4, 20, 21, 47, 25, 24, 0, 6, -59, 6, -50, 6, 29, 26, 18, 10, 32, -12, -2, -37, -2, -7, -14, -12, -10, 11, 5, -28, -43, 8, 5, -13, 12, -26, 19, 0, 47, -1, 27, 45, 30, -10, -25, -23, 13, -15, -5, -11, 7, 30, 0, 42, -23, -61, -66, -9, -12, 27, 15, -8, -4, -11, 29, -16, -22, 14, 7, -19, 6, -21, -18, -24, 12, 23, -13, -18, -11, 21, -8, -1, -45, -29, -10, -30, 95, -2, -4, 27, 7, 20, -16, 16, 31, -16, -19, 0, 31, -4, 86, 8, -38, -21, -55, 1, 6, -12, -14, -4, -3, -24, 14, 12, -17, 29, 21, -10, -11, 9, 23, -7, 30, 33, 29, -6, -9, 0, -30, 0, -20, -24, 24, -27, 24, -12, 12, 16, 18, -13, -28, -17, -2, -29, -24, 30, 0, 17, -23, 33, 2, -7, -28, -27, -53, 33, 49, 1, -7, 31, -14, -4, 16, -44, -55, -9, 40, -2, -3, 40, 38, 31, 22, 18, -15, 7, 27, -9, 28, -32, -14, -14, -14, 8, 32, 5, 16, -19, 15, -20, -67, -39, -43, 10, 11, 38, 41, -10, 25, -38, -15, -14, -10, -19, 7, 15, -6, 12, -2, -20, 28, 5, 4, -22, 24, 11, 0, -26, -36, -12, 37, 38, 27, 3, 59, 14, -11, 9, 21, -31, -4, -25, -29, -16, 2, 5, -22, 25, -2, 63, 7, -13, 19, 16, 31, -26, 3, -19, 15, 2, 20, -14, -26, 7, 53, 25, -44, 10, -24, 13, 54, -3, -3, -11, -21, 2, 13, -17, 15, -47, -2, -5, 12, -17, 22, -6, 36, -13, -25, 17, 0, 24, 15, 22, 21, -23, -32, 13, -24, -9, 2, 2, -11, 18, 12, -14, -26, -13, 23, 12, -9, 23, -16, -1, 26, 3, 6, -32, -46, 26, -19, -30, -32, -12, 55, -1, 15, 12, 20, -17, -3, 25, -29, 20, -12, -33, -40, -22, -28, 29, -4, -16, 4, 0, -22, -8, -2, 9, -11, -7, -17, 28, -12, -45, -23, 12, -3, -24, 1, -16, 1, -44, 19, 17, -17, -31, -1, -15, 17, -9, 19, -18, -56, 10, -27, 4, -24, 17, 127, 52, -18, -17, -19, -39, -47, -28, -4, 6, -15, -18, -14, -1, -24, 5, 31, 25, -12, -11, 14, 1, 4, -21, -8, -3, -36, -15, 4, 21, 8, 19, 18, 4, -10, -22, -30, -5, -20, 11, -21, -32, -9, 17, -20, -32, 10, -2, -22, -8, -9, -14, -13, 20, 3, -5, 0, 17, -25, 26, 17, 14, 12, -20, -7, -6, 32, 29, -3, 6, -10, 9, 2, 14, 2, 13, 11, 6, 12, 16, 54, 33, -42, -4, 20, 10, 0, -28, -31, -1, -18, 13, -5, 6, -8, -6, -18, 13, -1, 17, 13, 25, 2, -18, 18, 19, -19, -9, 27, 12, 42, 27, 59, 16, -40, 1, 34, -6, -16, 6, 51, 5, -36, -54, -15, 6, -18, 19, -9, -21, 16, -11, 21, 23, 24, 5, -21, -4, 22, -9, 4, 12, -25, 11, -28, 9, 6, -17, 30, 6, 16, -17, -22, 13, 9, 13, 22, 14, 28, 9, -8, 29, 35, 9, -16, 10, 11, 19, -25, -29, -35, 8, 9, 24, 29, 25, -8, 59, -4, -12, 5, -24, 10, 27, 2, -10, 12, 25, 11, 14, 11, -5, 36, -20, 26, -1, -2, -13, -17, 12, -26, 18, -6, 1, -21, 6, 23, -19, -13, -12, 3, 16, -4, -21, 15, -24, -25, -43, 5, -5, 42, -46, 2, 34, -36, 6, -6, 45, 43, -2, 2, 13, 5, -35, 6, 7, 6, -17, -6, 23, -12, -8, 1, 6, -1, -37, -80, -39, 0, -43, -17, 1, 46, 3, 25, 31, -17, 20, 18, 9, -2, 8, -20, 10, 31, 32, -1, 33, -12, 5, -33, 3, -31, -7, -14, -21, -20, 30, 16, -19, -3, 11, 14, -11, 39, 18, -44, 25, 18, -31, -5, 9, -6, 20, 36, -11, 25, 5, -13, -22, 23, 24, -19, -17, 8, 4, 23, -22, -6, -19, -20, 2, 1, -5, -18, 37, 30, -13, -26, -19, 27, -26, -14, 16, 17, 20, 20, 10, 22, 5, -1, -8, -6, 8, -28, -6, -17, 23, 19, -38, -23, 28, 4, 14, 10, -26, 31, 17, 22, 14, 32, 20, -30, -18, 7, -1, 4, 5, -22, -22, 20, 3, 11, 15, 37, 15, -29, 21, -27, 10, -29, -18, 19, -32, -28, 1, -13, -16, -8, -27, 15, 17, 4, 4, 5, 28, -7, -32, 32, -25, 3, 18, -24, 3, -8, 18, -20, -6, -5, -6, -11, -3, -41, -19, -14, -30, 21, -17, -3, -23, -10, -6, 10, -1, 2, 6, 7, 24, -19, -7, -25, 17, 20, 1, -23, -32, -35, -22, 10, 2, 2, 19, -22, 13, -7, -32, 2, 21, 1, -6, -22, 24, -18, -27, -12, 24, 19, -48, 21, -3, -14, 16, -7, -15, -35, 17, -8, -48, 18, 20, -35, 0, -4, 3, -36, -22, 1, -8, 8, 6, 23, 19, 14, 4, -1, 33, -8, -18, -2, -6, 24, -1, 6, -20, 6, -3, 4, -40, -13, -26, -29, -11, 23, 7, 7, 30, -1, 8, 7, -37, 12, -24, 3, -12, 25, -5, 19, 31, 14, 9, 19, 4, -22, -9, -4, -4, -13, -12, -8, -21, 19, 8, 14, -7, 0, 10, 14, -34, -2, 27, 17, 8, 2, -12, 42, 11, -34, -22, 15, -18, 47, -7, 17, -2, -17, -32, -24, 7, -12, 23, -27, 9, 22, 28, 32, -9, -20, 6, -1, -5, -10, 14, -20, -11, -28, 20, 13, 27, -30, 14, 25, -5, -20, -24, 17, -21, 20, -27, 23, 12, 3, 5, 21, 6, -32, -11, 20, -22, -20, -19, -27, 21, 7, -4, 1, -13, 11, -33, -18, -6, 12, 21, 12, -25, -21, -5, -29, 24, 13, 7, -28, 7, 5, 22, 2, -1, -20, -6, 20, 4, -32, -21, 1, -28, 24, 15, 32, 12, -20, -14, -8, 13, 7, -30, 32, -7, 31, 5, 28, 0, 3, 11, 11, -4, 34, -8, -20, -14, 18, -1, -13, -23, -6, 5, 3, 24, 13, -9, -30, 31, 3, 33, 15, 4, -9, -12, -14, -15, 4, -19, 21, -23, -28, -24, 27, 19, -22, -13, -19, -20, -20, -22, 31, -31, -10, -25, 23, 15, -24, 23, -19, -16, 19, -15, 31, -32, -1, 21, 21, -16, 10, -14, 21, -8, 4, -5, -29, 22, -18, -29, 9, 14, 3, -9, -24, 30, 32, 13, 28, 18, -23, -9, 8, 13, 27, 9, -16, 22, -32, 23, -8, 21, -10, 29, 26, 22, -31, 9, -8, 15, 7, -19, 29, 11, -27, -24, -22, -15, -7, -26, -20, -3, 26, 27, -12, -14, -22, 24, 22, 17, 26, 32, -19, -9, -3, 23, 5, 3, -26, -1, -21, -10, -9, -7, -15, -7, -14, 6, 13, 23, -17, 20, 14, -28, -3, -11, 17, 4, 20, -31, 10, -5, -30, -15, 10, -20, -31, 13, -9, -15, -30, -24, 22, 18, -27, -25, -25, -23, 2, 16, -32, 29, 18, 7, 17, -1, -20, 28, 28, -19, -27, 9, -25, -15, 6, -14, 16, -29, -11, -22, -5, -5, 0, 40, -14, 9, -10, 12, -1, -23, 15, -5, -20, 14, 23, -20, 12, 13, 10, 12, 22, 7, 17, -6, 10, -29, 4, -12, -5, -7, 7, -13, 5, -4, 26, 25, -17, 25, -12, -21, -5, 14, -20, 30, -19, -4, -21, -25, 29, -26, -31, 21, 23, -28, -13, 15, 7, -18, -25, 16, -22, 14, 33, -1, -25, 19, -30, -3, -1, -9, -25, -13, 15, -13, -29, -10, -29, 11, 16, -4, -6, -21, -27, 26, -6, 0, 9, -16, 15, 25, 23, -7, 9, -30, -16, 15, 18, -29, -8, 26, 4, 22, 26, -13, 22, -28, -8, 24, 24, 19, 23, 14, -7, -21, -17, 4, -1, -30, 25, 32, 19, 8, 29, 21, -35, -30, -27, 27, -13, 12, 28, -24, -31, 16, 31, 27, -16, 4, -2, 24, 26, -15, -14, 14, -3, -6, -8, 8, 8, -24, 1, 15, 19, -31, 2, 23, 17, 21, -24, 27, 29, -1, -4, -12, -30, 22, 27, -6, 11, 17, -7, -22, -13, -8, -14, -18, -17, 24, -4, 3, -5, 18, 13, -11, 24, 5, -22, -11, 18, 26, 13, -14, 0, 21, 30, 4, -12, 27, 4, 9, -19, -12, 3, -5, 11, -31, -13, -18, -24, -11, -20, -33, -22, 15, 1, -16, -21, -24, -3, 30, 18, -29, 25, 14, 28, 7, 21, 28, 20, -24, 2, 13, -4, -31, 13, 10, -21, 19, 9, 4, -11, 30, -2, 4, -20, -5, -6, -25, -8, 13, 2, -17, -18, 4, 20, 4, -28, -27, -24, 2, -3, 2, -3, -24, 7, -22, 11, -7, 18, -23, 8, 6, -25, -21, -23, 0, 6, 2, -26, 0, 6, -31, 2, -24, 14, 24, -22, 0, 7, -28, 4, -13, 0, 10, 23, 28, 26, -24, 2, 2, -17, 28, -5, -6, -15, 0, -16, 18, -2, -19, 0, -3, 30, 0, 25, -2, -33, 15, -31, -6, 13, 20, 3, 2, 21, -4, -33, -9, -8, -51, 22, 53, 30, 31, 5, 13, 5, 0, 16, -31, -24, 2, -22, -1, -14, 9, 12, 7, 11, 28, -6, -32, -31, -16, 30, -3, -11, -13, -3, 22, 30, 8, 2, -17, 20, 24, -17, 13, -21, -20, 11, 3, -7, 4, -11, 15, -18, -7, -22, -3, -31, -8, -15, -4, 25, 20, 20, 7, 13, 17, 24, 0, -31, -4, -10, -13, 27, 22, -35, -21, 32, -17, 13, -5, -24, 11, 4, 20, 2, -23, -17, 6, -26, -11, -6, -28, -10, -19, 9, -2, 2, -29, 12, -15, 28, 12, 2, -2, 24, 16, -6, -24, -35, 30, -16, 6, 7, -12, 5, -9, -5, -11, -22, 17, 17, 31, 13, 11, 13, -6, -30, -14, -3, 25, 12, -23, -29, 32, 8, 25, -21, 21, 3, 29, 22, -16, 9, -17, 23, 3, 24, -29, 17, 14, 2, 8, 32, -10, -26, 7, 2, 28, -3, 13, 23, 5, -22, -24, -3, 18, 9, -33, -20, -28, -16, 10, -7, 31, -45, -26, 14, -22, 6, 8, -16, 34, -22, -4, -11, 11, -11, 20, 25, 13, -16, 24, 20, -13, -8, 33, -11, -15, 26, -15, -6, 0, -22, -1, 5, 21, -35, -31, -26, 25, -15, -23, -22, 39, 5, -15, -9, 2, -4, -12, -1, 34, -12, 5, 22, 10, 14, -30, -6, -27, 7, 0, -37, 6, 29, 32, -2, -26, 14, -15, -15, 1, 5, 9, 3, 43, 33, -23, 22, 34, -4, 44, -14, -18, -1, -13, -17, 14, 19, 2, -17, -15, 14, 17, 10, 13, 15, 27, 26, 11, -8, -6, 14, -14, -8, -17, -14, -13, 2, -5, -29, 22, 24, -28, 25, 15, -5, -12, -17, -18, -9, -21, -11, -32, 20, 12, 6, 1, -21, -28, 18, -27, -20, 11, 18, 30, 2, -13, -1, 26, 14, 10, -2, 10, -19, 3, -22, -28, 7, -19, 6, 1, 22, -25, 2, 14, -21, -19, 20, 2, 0, -29, 7, -14, 30, -16, -27, -7, -26, 9, -12, 4, 26, -30, -2, 22, -26, -19, 0, -13, -32, 22, 24, -2, 22, 12, 3, 23, -5, 25, -6, -9, -23, -22, 25, -9, -15, 29, -26, 5, -16, 21, 8, -1, 22, -23, -4, 3, 10, -5, -19, 11, 13, 18, -15, -30, -31, 18, -25, -28, 11, 4, 5, 9, 6, 27, -12, 1, 6, -14, 10, -25, 19, -41, -4, -12, -23, -1, -31, -4, 23, 26, -26, -4, 22, 3, -2, -16, -3, -31, -18, -17, -5, 13, 1, 26, 12, -30, 1, 28, 17, -32, 2, -22, -19, 14, -32, -2, -26, -9, 25, -22, 11, 1, -23, -9, -17, -23, -3, 19, 1, -16, -21, 26, -32, -10, -18, -21, 23, 23, -5, -19, -34, -18, 27, 15, 11, -17, -20, 15, -9, 31, 29, 30, 24, 18, -21, 2, 8, -19, 4, 17, -15, 17, 9, 18, 14, 15, 26, 8, 27, -23, -31, -16, -8, 13, -20, -14, 9, 11, 5, -24, -35, -32, -2, 5, -23, -5, -3, -36, -48, -2, 5, 14, 6, -1, -35, 11, -29, -34, 22, -19, 15, -29, 25, -22, 31, -31, -22, -14, 16, -14, 0, -29, 22, 2, -20, 27, 3, 20, -20, 18, -7, 7, -17, -10, 8, 11, -15, 7, -6, -3, -5, 3, -15, 11, 7, 3, -32, 20, -16, -19, -18, -29, -16, 6, -3, -19, 23, 19, -4, 4, 13, 32, -2, 2, 42, 31, -5, -3, 8, 7, -5, -26, 10, 30, -5, -19, 18, 26, -8, 26, -25, 24, 1, 15, -22, 13, -8, -37, 8, 34, -37, 16, -22, -10, -26, 16, -30, 23, 1, 17, -23, -11, 4, 24, 12, -7, -7, 25, 0, 24, -37, -16, -7, -51, -14, 6, -19, -23, 5, 31, 15, 11, 16, 11, 29, -14, 19, 6, 12, -7, -24, 3, 5, -22, -26, -25, 49, 37, 17, 29, 11, 40, -14, 19, 42, -5, 8, 11, -24, 24, -8, 18, 5, -22, -22, -1, -21, 32, 16, -5, -16, 26, 30, -27, -25, -6, 18, -12, 4, 4, -34, -31, -34, 13, 7, -38, 54, -36, -53, -55, -56, -13, -14, -10, -17, -9, -22, -2, 15, -26, -7, -31, 11, 0, 18, -16, -27, -4, -8, 49, 8, -8, 38, -14, 18, 10, -28, -20, -22, 11, 24, -9, -27, 18, -14, 11, -26, 10, 6, 15, -5, 31, 7, 17, 21, 50, 22, 8, 1, 19, 19, -5, -7, -32, -29, 4, 31, 8, 11, -7, -4, -24, 41, -25, 26, 18, -1, -1, 39, 23, 17, 52, 48, 3, -15, -27, -34, 9, -20, 37, 16, -18, 1, -31, -18, -13, 5, -31, -16, -2, -16, -39, -32, -19, -31, -6, -12, 21, -12, 10, -49, 24, -36, 1, 15, 8, 11, 46, 71, 1, -7, -14, -11, -4, -6, -14, 34, -10, -11, 0, -5, 17, 5, 3, -1, -3, 37, 24, 43, 55, -14, -37, -7, 22, -19, 16, -7, -3, -4, 14, -4, 1, 28, 12, 25, 22, -17, 24, 11, -3, -19, -16, 21, 3, 3, 14, -4, -19, 9, -14, -10, 17, -25, 3, -3, -5, -15, 3, 30, 27, -13, -13, -8, 2, 2, -13, -13, -22, -24, -32, -41, 27, 20, 26, 14, -14, -19, 29, -28, 29, -15, -15, 33, 16, -11, 24, 25, 6, -16, 3, -18, -4, 5, 19, 1, -28, 9, -24, -5, 0, 30, 11, 14, -12, -14, -3, -27, 17, -26, -12, -6, -8, 9, -19, -32, -19, 17, 4, 13, 6, 28, -15, -28, 14, 7, -9, 5, -4, 18, -11, 3, 32, 14, -26, 14, 24, -25, 8, 9, 3, 25, 18, -21, 9, 6, -1, 4, -4, 21, -2, -23, -6, 24, 5, 4, 21, -12, -26, -13, 14, 8, 21, 3, 15, -28, -8, -17, 25, -12, 4, -22, 5, 16, -4, -6, 20, -8, -22, -12, -17, -25, 1, -22, 11, -4, 23, -16, 2, 1, -12, -10, 28, -11, -9, -7, 0, -19, -3, -24, 28, -28, -3, -25, 21, 21, 20, -18, 25, -24, -19, 13, 20, 5, -17, -18, -25, 37, 12, 12, 19, -16, 9, 40, -8, -20, 5, 0, -13, 19, -43, -24, -9, 8, 18, 31, 25, 13, 24, -18, -26, -18, -39, 0, -19, 13, -11, 29, -2, 18, -8, 8, -14, 31, -26, -23, 16, -12, -25, -1, 18, 0, 12, -27, 7, 24, -26, 18, 23, 12, 1, 27, -13, -20, 31, -8, -5, -19, 2, -50, -20, -34, -18, 17, 11, -16, 12, 30, -24, 25, -1, 21, 31, -13, -8, -3, 13, 5, 20, -14, 16, 2, -23, 10, 18, -14, 9, 8, -12, 3, -4, 21, -12, 24, 6, -21, 15, -4, 14, -29, -28, -16, 20, 30, 10, -36, -1, -7, -12, 34, 21, 33, 10, 16, 18, -12, -16, 26, -11, -19, -10, -21, 28, 57, 39, 9, -24, -7, -13, -34, -29, -19, -6, -32, 10, 47, 26, -23, 0, 18, -20, 21, 14, -10, 13, -31, 18, 15, 6, 16, -35, -2, -33, -21, 5, 40, 2, 19, 0, -19, -6, 14, 29, 19, -28, 19, 9, -9, -33, 10, -5, -24, -27, -14, -28, 27, -19, -2, 45, 7, 43, 17, -9, -22, 19, -20, -13, -18, -5, 7, 5, 8, -3, 0, 19, -15, 26, 12, 22, -12, -18, 12, 3, -31, 32, 35, 3, 7, -18, -1, 36, 51, -25, 5, 35, 10, -13, -36, -16, -11, -32, 25, 18, 21, 1, 22, 2, 0, 15, -31, -18, 6, 24, -14, -15, -2, -18, -8, -9, -9, -15, -2, 23, -29, 11, -3, 8, 3, -28, -5, -23, -29, -54, -5, -30, -32, -47, 9, -24, 13, 1, 18, 16, 24, 13, -12, 5, 39, 32, 6, 45, 21, -28, -4, -13, 5, -8, 6, 24, 30, 26, 21, -15, -11, -1, -23, -7, -22, 4, 18, 20, -2, 19, 15, 32, 17, 7, 71, 90, 26, -13, -11, 0, -21, -6, 5, 3, -51, 36, 23, 52, -18, 11, -34, -30, 27, 5, -37, -18, -15, 17, 24, 2, -21, 11, -21, -26, -9, -9, -35, 1, -40, -28, 9, -28, 28, 21, 33, 18, 5, -37, 12, -24, -46, 5, -30, -10, -3, 18, -32, 38, -55, -64, -7, -14, -1, -8, 27, 59, 20, 30, -4, -32, -18, -23, -6, 3, -4, -12, -17, 1, 7, -22, -1, -1, 13, 31, 20, 4, -21, -30, 26, -18, -7, 22, 12, -8, -17, -2, -30, -4, 15, 26, 22, 5, 20, -14, 27, 22, 7, 50, 0, -24, -20, -30, -25, -5, 16, 11, -7, 12, -46, 0, 46, 0, 20, -19, -63, 14, -20, 33, -46, -39, 4, 16, 23, 48, 13, -23, -3, 31, 29, -3, -20, 17, -17, 10, -32, -13, 6, -3, -17, 16, 19, 8, 21, 12, 4, -25, -6, 3, 29, 29, 5, 24, -21, -7, -9, -11, -24, 3, 20, -35, 24, -35, 78, 13, 17, 73, 21, 26, 17, 33, 26, 11, -31, 30, 4, -25, 16, 24, -10, -5, 39, 8, 3, 24, 3, -11, 3, -14, -1, 17, 5, -20, -37, 0, 0, -27, 15, 26, 4, -22, 9, -39, 29, -24, -36, 26, -31, 25, 27, 29, -2, -13, 9, 3, 20, -18, 13, 6, -31, 2, 2, 6, -23, -27, -23, -16, 8, -3, -19, 6, 15, 11, 4, -7, -34, -28, -63, -30, -10, -31, -11, -20, 0, 19, 19, 3, 27, 21, -8, 11, -12, -8, 58, 25, 22, 82, 30, 1, 19, 7, -8, 26, 21, 27, -14, 18, 2, -23, -5, 4, 22, -5, 12, 45, -13, -4, 29, 9, -23, -26, 24, 13, 111, -25, 57, -4, -31, -16, 15, -11, 6, -25, 13, 6, 12, 21, -11, 48, -1, 2, 21, -32, 5, 7, -1, 12, -6, 21, 30, 14, 34, -22, -19, -16, 9, -40, -15, -5, 1, -10, -32, -26, 18, -15, -13, -3, -39, -18, 5, -10, -2, -8, 24, 4, 12, 5, -39, -16, -52, 9, 6, 20, 56, -11, 23, 82, -39, -10, -13, 13, 1, -30, 26, 17, -13, 4, -10, -2, 14, 30, -18, -19, 25, 48, -61, 3, -54, 42, -10, -44, -22, -24, -15, -30, -22, -41, 11, -32, -11, -28, 39, -7, 19, 28, 10, -32, 30, -14, -2, -14, -6, 5, 25, 5, 26, 7, 44, 20, 1, 34, -7, -39, -11, -36, 24, -2, 16, -5, 9, 18, 15, 1, -25, -17, -22, -2, -26, 7, 30, -19, -25, 17, -5, -14, 26, -6, 33, -11, -14, 7, 22, -8, -12, -2, -8, -24, 19, -19, -3, -8, -9, -22, -19, 20, 18, -14, 14, -20, -17, 24, -23, -32, 7, -49, -42, 7, 8, 2, -2, -5, 17, 29, -30, 12, 0, 29, -1, 7, -38, -21, -27, -10, -24, -30, -6, -23, 23, 8, -15, 4, -24, 14, 20, 37, -10, -10, -9, -7, -12, 1, 5, 4, 15, 29, -14, -17, -6, 30, -16, -33, -29, 10, -28, 5, 2, 34, -12, 30, -4, 13, -12, -17, 33, 6, 17, 36, -9, 23, 41, -24, 2, -2, -7, -11, 18, 52, 21, 25, 83, 23, 21, -8, 4, 16, 16, 11, -28, 8, -7, -5, -56, 4, -13, -37, 4, -20, 73, 1, 3, 26, -25, -2, 11, -22, 21, -26, 26, 14, -42, -41, 31, -9, 20, 13, 10, 10, 11, -10, -14, 5, 12, -8, -13, -43, -24, -60, -76, 0, -6, -40, -28, 26, 53, 3, 11, -3, -8, 19, -6, 28, 16, 16, 26, 16, -36, -24, 29, -41, -5, -9, -26, -10, -1, -8, -4, -13, 30, -7, 4, 43, -3, 3, 21, 42, 17, 34, 5, 6, -12, 9, 14, 43, 12, 11, 21, 22, -22, -40, -13, 0, 19, -18, 5, -50, -30, 3, -24, -21, -42, 1, -3, -16, 14, -16, -11, -17, 28, 6, 55, 40, -14, 14, -12, -14, -55, -4, -12, -1, -30, -10, 40, 27, -11, -3, -1, 22, 10, 4, -21, -20, -5, -15, -14, 19, 10, 21, -20, 0, 14, -12, -12, -6, 19, -27, 5, -28, 23, 32, 19, 26, -21, -15, -21, -14, 14, 17, -10, 28, -18, 7, -31, -30, 1, -13, 17, 4, -27, -2, -29, -6, -31, -6, -4, -14, 1, 8, -18, 28, -23, -20, 28, 19, 7, -6, -29, 15, 6, 9, -23, -24, 17, -19, 31, 6, -13, -21, -21, 31, 30, -11, -32, -14, -19, 28, 27, -29, -16, 17, -22, 4, 27, 12, -29, -1, 22, 3, 0, 13, 29, 30, 5, 4, 9, -17, 30, -28, 9, 5, 17, -14, 10, -5, 1, -25, -30, -29, 4, 26, -28, -29, 15, -17, -31, 25, 30, -29, -14, -22, 0, -18, 23, -7, 27, -12, 24, 11, 4, -25, 4, 14, -24, -8, -11, -30, -26, -26, 25, 11, -8, 30, -4, -24, -1, 15, -29, 9, -25, 8, 31, 27, -20, 25, 21, -4, -22, 21, -23, 25, 18, -4, 7, -12, 4, -2, -28, -29, 0, -3, 28, 19, -30, 17, 29, 21, -27, 30, 14, 6, -27, -15, 31, -23, -14, -21, 17, 26, -2, -15, -16, 29, -3, 19, 27, -10, 29, -25, 16, -23, -32, -6, -22, -19, 0, 27, -26, 31, 19, -16, 13, -9, -25, -31, 26, 19, -4, -27, -23, 11, 27, -30, -19, -23, 17, 8, -7, 0, -12, -31, -29, -6, -15, -19, -4, -23, 4, -13, -8, 15, -30, 0, -16, -15, -22, 15, 2, -27, -14, 19, 21, -17, -4, -28, -14, -2, 29, -1, -13, -24, 30, 13, 21, 6, -11, -4, 9, 13, 28, -6, -4, -10, -14, 11, 12, -25, -15, -27, 21, -8, -7, 0, 4, -15, -5, 5, 25, 32, -22, 40, 3, 44, 28, -31, 12, -25, -5, -3, 18, -20, 15, -29, 19, -11, -20, -25, 35, 5, -25, -20, 45, 1, -19, -32, 29, -9, -35, -29, -1, -29, 1, -3, 23, 9, 24, -7, 7, -23, -4, 7, 16, -24, -17, 2, -12, -8, 13, -17, -25, 26, -17, 1, -10, 10, 24, -4, -6, -16, -12, 2, -21, -6, -9, -32, 21, -18, 4, 6, -22, -4, 4, 4, -14, -14, -33, 23, 2, 22, -27, 13, -2, 17, 25, -24, -25, -1, -28, -35, 20, -5, -33, -25, 18, 3, 7, -27, 3, -23, -21, -18, 28, -16, -24, 13, 38, 24, -11, 6, -4, -15, -14, 4, -24, -7, 22, -8, -22, -1, 11, -22, 23, -20, -23, -14, -18, -4, -24, 6, -32, -24, -9, -9, -3, -25, -14, -28, 11, 44, 17, 42, 28, 48, -5, 21, 40, -15, -18, 34, -4, -12, -21, 1, 16, -23, -24, -10, 10, 6, 36, -2, 13, -3, -14, -5, -19, -24, -27, -26, 2, 7, 23, -24, -4, 16, -13, -16, -39, 16, 7, -11, 20, -6, 51, 37, -6, -48, -18, 18, 2, -39, 36, 3, 29, 47, 78, 102, -21, 30, 4, -28, -33, -15, -22, -37, -15, -34, -43, 10, -25, -31, -35, 2, -19, 7, -4, 21, -17, 27, 18, -24, 11, 57, 42, -6, -10, 0, 19, 0, -6, -11, 0, 7, -1, -10, -25, 27, -20, -27, 18, -2, 24, 7, -17, 11, 16, -15, 21, 1, 25, -2, -4, 9, -16, -15, -3, 48, -28, 19, -9, 19, 3, 21, -6, -8, 12, -19, -13, 7, -6, 59, 110, 13, -62, 42, -37, -29, -17, -25, 5, 19, -4, 5, 5, 15, -3, 8, -29, -30, -9, 32, 25, 51, 1, 7, -10, -20, 24, -27, 17, 1, 18, -5, 22, 16, 50, 62, 34, -25, 11, -16, 24, 25, -19, -13, 22, 18, -25, 9, 10, -9, 31, 7, 13, 15, -30, 12, -18, 19, -24, -20, -10, 7, 10, 12, 19, 33, -5, -18, -17, -10, -19, -31, 19, -16, -8, 29, -22, 1, 15, -16, 12, -17, -2, 27, 0, -23, 23, 17, 13, -24, -20, -16, 8, 15, 18, -18, 0, 29, -26, 21, 26, -27, -5, 31, 14, 33, -10, 12, -21, 19, 9, 11, 17, -8, -13, 6, -4, -6, -23, -19, -35, -19, 66, -2, -4, 4, 22, 5, 78, 12, -8, 30, -25, -4, -11, 30, 27, -22, 0, -12, 18, -11, 30, 22, 12, -3, -20, 3, -19, 15, 12, -27, -26, -5, -29, -55, -57, -40, 0, -48, 3, -6, 4, -32, -14, -4, 11, 15, 6, -3, 22, 7, -7, 11, -6, 3, 55, 38, 41, 52, 30, 4, 70, 9, -29, -25, -30, -29, 30, -15, -14, 25, -21, 4, -17, 1, 7, -1, -2, 39, -12, 38, 1, 6, 17, 62, 125, 44, -29, -72, -32, 9, 12, -11, 12, 2, -4, -30, 25, -8, 2, 16, -11, 15, -7, -17, 26, -21, -3, 21, -18, -2, 1, 2, -12, -37, -9, -15, 42, -42, -2, -8, 25, 15, -2, 15, 39, -40, 9, 10, -22, 2, -9, -13, -10, -14, 3, 56, 30, 21, 5, 10, -6, -22, -34, 18, 30, 5, -24, -1, 3, -39, -24, -34, -16, -32, -32, 15, 15, -10, 17, -4, -31, 5, 1, -49, 2, -15, -41, 1, 1, -6, 32, -20, 5, -23, 21, 32, 31, 30, 4, -3, 2, 12, 14, -2, -10, 12, 26, -3, -29, -17, -10, 15, 5, 25, -19, 28, 10, -4, -23, 16, 0, 23, 6, 27, -16, 5, -26, -23, 12, 3, -7, 11, 6, 18, 12, -24, 22, -5, -26, 29, 11, -20, 28, 24, -10, 4, -32, 14, 37, -28, 12, 30, -26, -17, -31, -7, -20, 26, 29, 18, 11, -14, -24, 15, 25, -20, 14, 6, -3, 2, -23, 19, 26, -21, 13, 7, 2, 22, 10, 6, -23, 11, 23, 17, 22, -28, 23, 10, -4, -4, -24, -14, 0, -15, 20, 19, -25, -7, -5, 17, -21, 17, 23, 20, 26, -8, -31, -9, 35, 9, -26, 14, -33, -13, 15, -1, -31, -19, 3, 7, 1, 5, 19, -21, -10, -31, 1, 17, -16, -34, -6, 18, -11, -24, -14, -14, -23, 15, 15, -24, -5, 32, -33, -1, -20, 23, 28, -5, 26, -18, 19, -15, -3, 25, -13, 29, -5, 5, -31, -20, 27, -28, -1, 0, -8, -29, -13, -19, 7, 0, 30, 0, -1, -1, -18, -12, -25, -27, -15, 20, 14, -23, 12, 24, -12, 26, 15, 2, 18, 18, -2, 11, -24, -42, -15, 4, -17, -6, -7, 4, 26, 41, -7, 34, -12, -42, 0, 25, 14, -24, 1, -12, 23, -10, -15, -16, -23, -24, -5, -4, 22, -31, -17, 12, 30, -19, 2, 18, 31, 3, -21, -11, 13, 4, 6, 17, -10, 4, -8, -8, -20, 36, -31, 12, -8, -20, 21, 8, -11, -8, -17, -1, -20, 2, -4, 12, -16, -8, 12, -35, 24, 15, -2, 23, 11, -27, -13, -11, -5, -20, 22, -32, 15, -7, -35, -32, 11, -29, -13, -11, 6, -31, -25, -22, -20, 7, 22, -34, 9, 2, -29, 44, -13, -19, 0, -7, -12, -25, 20, 16, 8, -27, 18, 0, 22, -19, -15, 11, -50, -16, -32, -13, -28, -51, 11, 28, 9, 18, 1, 3, 0, -21, 6, 16, 30, -10, -18, -28, 24, -12, 21, -18, -28, -16, -2, -17, -16, -2, 26, 41, 16, -27, -25, 18, -24, 4, 5, 8, -14, 4, -6, 26, 6, -17, 16, 29, -25, 13, -26, 4, -15, 16, 29, 46, -2, -27, -16, -21, 9, -16, 17, 19, 0, -3, 23, -18, -8, 10, 39, 9, -16, 9, 12, -17, -23, -27, -16, -25, -16, -1, -26, -50, -6, -33, -26, -38, 43, -12, -3, -23, 7, 30, 29, 3, 15, -10, -22, -15, 16, -29, -29, -27, -12, 22, 24, -3, -3, 9, -9, -23, -11, -6, 39, 56, 39, 28, 50, 23, 75, 36, 75, -43, -19, -15, -13, 18, 31, -6, 27, -1, -15, -5, -16, 27, 27, -29, -25, -7, -9, -17, -16, 5, 11, 11, 12, -14, -12, 26, -10, 0, 16, -20, -29, 17, 7, 7, -21, 27, 22, -1, -23, 8, -24, 3, -1, 30, 0, -13, -11, -6, 15, -24, 9, -6, -30, 14, 67, 18, -22, -1, -45, 5, 35, 21, 28, 32, 14, 3, 25, 41, 20, 25, 41, 7, -7, -24, 17, -9, -21, 14, 27, -23, -30, 15, -40, -36, -15, 10, 14, -12, 8, -10, -31, -15, 3, 11, -8, -20, -6, -10, 9, -18, 30, -17, -44, 24, -12, -36, 2, 10, 32, 16, -20, 34, -18, 9, 66, 1, 8, 55, 30, -10, -24, 17, -7, -15, -7, -44, -21, -6, -29, -37, -47, -11, -10, 12, 27, 6, -30, -25, -26, 22, 3, 22, -3, 22, 20, 27, -12, -5, -11, -3, 1, -9, -24, 0, -4, -13, 10, -28, -7, 28, 26, -32, -10, 47, 46, 3, 15, 15, -8, 0, 40, 25, 3, -42, 7, -28, 15, 23, 4, -30, 12, -2, 15, 29, 27, -23, -5, 1, 7, 11, 17, -16, -12, -2, 12, -33, 1, 5, -12, -1, -22, 24, 21, -8, -9, 22, 26, 11, -8, 11, -10, 15, -16, 22, 11, 22, -3, -30, -5, -2, -26, -19, -10, -9, -19, 28, -1, -28, 11, 17, -8, 26, 12, 11, 16, -20, -2, -21, 22, 0, 5, 8, -7, -11, -16, -28, 25, 15, -19, 30, 0, -19, -27, 3, -26, -1, -20, 16, 20, -19, -8, 31, 24, 26, 31, -28, -11, 8, 1, -9, -31, 26, -3, -12, 31, 0, 3, 21, 8, -19, -36, 5, 16, 1, -15, 16, -21, 20, 10, -6, -2, 9, 16, -3, 17, -20, 17, -26, -31, -18, 12, 24, 29, 0, -20, 6, 30, 7, -15, -6, 28, -24, -16, 43, -18, -8, 7, -21, -4, -13, 7, 10, -30, -21, -25, -44, -12, -20, 5, 24, 15, 16, 1, -11, -27, -24, -24, 4, -6, -9, -8, -67, -56, -67, -2, 5, -1, -2, 24, -8, -15, -36, 20, 8, 1, 17, -23, -9, -1, 7, -15, 12, 30, 7, 22, 0, -3, 14, -31, -10, 12, 12, 5, -25, 14, 16, 23, 58, 16, -10, 44, 15, 9, -3, 39, 16, -31, -3, -66, 38, 45, -23, 23, 30, 9, -3, -4, 7, -11, -10, -34, -6, -1, 5, 22, -1, 19, -17, 19, -20, 7, -12, 8, 8, 37, 35, 12, 3, 9, -26, -30, 3, -14, -25, 16, 22, 27, -32, -8, 20, -20, 6, 21, -13, 0, -7, -4, -26, -25, -18, -30, 6, 22, 26, 13, -25, 17, 10, -20, -22, -17, 14, 0, -5, 51, -3, 10, 36, 15, -21, 20, -18, -13, 0, 5, -4, -17, -3, 18, 11, 28, -25, -20, 3, -11, 31, 22, -4, -6, -7, 24, -6, -10, -23, -16, 3, -9, 27, 28, -4, 28, 12, 30, 4, 1, -21, 30, 27, -10, 21, 31, -19, 3, 17, -26, -1, 1, 18, 23, 16, 23, 6, -19, 20, -22, 28, 9, -18, 9, 22, -6, -28, 7, 30, 22, 11, -9, -6, 24, -7, -6, 3, -14, -19, -16, 37, 23, 14, 18, 17, -18, -32, 14, -14, -19, 6, 4, -6, 19, 3, 16, -19, 27, 18, 11, -17, 27, 29, -10, 7, 1, 10, 0, 17, 20, -26, -26, -42, -27, -25, -16, -55, 9, 8, -17, 6, -5, 20, 11, 13, 4, 30, 43, 1, -14, -4, -24, 10, 20, -23, -13, 9, 17, -23, -12, 9, 4, -7, -27, -29, -22, -16, -16, 19, 4, 4, -20, 18, 17, -21, -20, -7, -39, -42, 8, -52, -76, 41, -7, -50, 11, -7, -35, -31, -18, -74, -27, -43, -63, 24, 17, 34, 9, 26, 20, 36, -19, 7, -32, -8, 6, 15, -12, -36, -36, -38, 2, 14, 20, -2, -5, -4, -13, 1, -31, -9, 4, -13, 36, -5, 33, -2, -17, -29, -28, 2, -2, -12, -29, -50, -23, -2, 1, -8, 49, -21, 33, 24, 9, 34, 34, -12, -11, -11, 18, -20, 2, -16, -18, 10, 15, 20, -7, 15, -28, -22, -14, 12, -13, 3, -6, 8, 12, -17, 28, 26, 7, -6, 7, 27, 6, -18, -8, -22, 12, 2, 34, 9, -20, 10, -45, 9, 6, -21, -29, 20, 50, 34, 13, 7, -27, 0, 2, -30, 0, -13, -6, -27, -21, -27, 39, 18, 12, 25, 32, 1, -26, -15, -38, 16, 33, 28, 4, 33, 39, 23, -9, 23, 10, 31, -29, -11, 32, 31, 13, -18, -2, 2, 6, 35, 1, 20, -23, -3, 0, 10, 20, -25, -5, -5, -8, 16, 3, -9, -5, 14, 13, 3, 15, -23, -18, -4, 18, -1, 5, 10, 21, 12, -22, 18, -30, -25, 9, 6, 12, -10, -9, 7, -4, -26, 26, 31, -4, 12, -21, -2, -13, -1, -14, 1, 19, -20, -25, -37, 7, 7, 4, -15, 13, 5, -18, -9, -7, 34, -12, 13, 16, -16, 8, 30, 7, 2, 1, -8, -3, 5, -16, 8, -11, -4, -14, -12, 4, 27, 42, 23, 21, 2, -40, 10, 11, -20, 31, -18, -20, -25, -2, -2, -25, 33, -20, 24, 12, 1, -13, -14, 28, 0, -12, 23, -26, -2, -5, -2, -30, -30, -8, 19, -9, -9, 21, 17, 6, -14, 20, 27, -9, -25, -3, -41, -54, -24, -27, -41, -22, 1, 6, -4, 8, 16, 16, 21, 8, 34, 16, 38, -7, 1, 48, 24, -6, 19, -8, -19, -50, -15, 3, -4, -16, -9, 12, -8, 20, 0, 20, -25, 23, -5, -22, 15, 25, 15, 3, 2, 30, 61, 54, 42, 0, 41, -27, 6, -3, 12, 28, 13, 10, -11, 3, -15, 3, 9, -9, -87, -82, 19, -31, -31, 34, 17, 40, -22, 10, 13, -15, -17, -29, -20, -40, -8, 8, -11, -11, 22, 0, -13, -22, 16, 2, -39, -86, -64, -23, 17, -32, 40, 57, 28, 30, 19, 9, -9, 29, -2, -1, 32, 19, -25, -28, 0, 29, -26, 1, 14, -21, 12, 24, -10, -29, 10, -10, -3, 8, -11, -18, -10, -26, 31, -31, 6, -24, 9, 5, -10, 2, -23, 31, -8, 28, -14, 28, -6, -21, -28, 1, -18, -1, -12, 23, -20, -3, 18, 19, 2, 20, 18, -7, 11, 22, 24, -2, 0, -30, 25, 6, 32, 8, -32, 32, 29, 11, 14, -23, 7, 22, 14, -24, -2, 21, -16, -2, -2, -15, -7, -22, -15, -3, 32, -13, 31, 8, -13, 3, 1, 12, 23, -6, 1, -26, 20, 6, 7, 23, 5, 19, -15, -22, 27, -16, -8, -16, -13, -1, -31, -20, 13, 2, 0, 19, -2, -11, 23, -5, -26, -3, -2, 11, -11, 31, 29, -23, 15, -3, -5, 14, 5, 29, -24, 6, 15, 3, 25, -21, -4, -2, 26, 8, 20, 38, 19, 7, 13, -31, -15, 5, 5, 26, 19, 0, -8, 6, -29, -31, -6, -27, -26, 2, -6, 7, 4, 12, -17, -12, -6, -30, 1, 18, -27, -13, -4, -25, 4, 8, 24, -16, 10, 15, -1, 24, 11, -13, 3, 16, 15, 23, -10, -2, 12, -28, 15, 13, -4, -13, 2, 20, -27, -10, 16, -8, -20, -29, -11, -26, 21, 8, 5, -15, -19, 31, 8, -25, -22, 31, 1, -2, -11, 20, -15, 3, 12, 2, 12, 16, 32, -8, -14, 13, 9, -20, 8, -27, -31, 21, 33, 22, 20, -20, -22, -14, -20, -11, -24, -19, 4, -12, 3, -9, 12, -39, 9, 20, -23, -28, -6, 8, 22, -6, -24, -4, -14, -22, -17, -24, -20, 2, -10, 2, -15, -11, -10, 17, 15, -1, -24, -4, 11, -18, 22, -19, 36, 21, 32, 1, 7, 23, 27, 10, 51, 19, -22, 12, 19, -16, -14, -28, -23, -9, 23, -19, 26, -8, 2, 15, 18, 5, 3, -6, 4, 32, 12, -31, -8, 30, -8, -31, 37, -1, 10, -8, 14, 22, 15, 19, -26, 8, 31, -18, 19, -3, 9, -15, -28, 20, -7, 32, 3, 13, -17, -28, -19, -22, -9, -31, -23, 2, 20, -19, 0, -17, -7, -25, -6, -31, -28, -9, -22, 14, 32, 31, 50, 5, -13, 40, -24, 30, 42, -18, -14, -13, 2, 26, -17, 7, 1, -31, 31, 3, 8, -11, 14, 19, -6, 7, -17, 29, 27, -66, 25, 28, 0, 17, 11, 2, -24, 1, 45, 30, -11, 47, -2, 5, 16, 6, -5, -19, 9, 4, 32, -18, -27, -14, -22, -6, 26, 32, -14, -27, -33, -29, 25, -8, 52, 19, -37, 4, 9, 3, -38, -3, -31, -33, -3, -14, 9, -23, -20, -40, -10, -17, 5, -10, 32, -17, -10, -2, 27, -30, 9, 24, 3, 23, -22, 41, 28, 52, 3, -12, 24, -8, 30, -24, -1, -27, 3, -12, 60, 28, 28, 29, 32, 10, 22, 38, 3, 13, 2, -26, -19, -20, 20, 5, -15, 5, -1, -44, 33, 33, -35, -11, -21, -44, -42, 12, 47, 5, 21, 19, 38, 42, 7, -4, -21, 26, 15, -22, -28, -12, -4, 27, 33, -13, -25, 5, 14, -40, 7, -16, -15, 6, -12, -37, -8, -17, -30, -21, -9, -12, 8, -30, -9, 23, -34, 14, 5, -13, 8, -13, -46, 20, 32, -27, -10, 0, 16, -29, 12, 41, 29, 1, 28, -12, 1, 41, 31, 24, -31, -10, 15, -4, -23, -10, 29, -23, -22, -21, 25, 30, -22, -14, -17, -9, -23, 4, -3, 4, -9, -29, -28, -8, 19, -10, -14, 1, -7, -8, -30, 8, 23, 3, 5, 20, 30, 16, 3, 27, 12, 32, 4, 35, 19, -12, 21, 0, 1, 9, 17, 30, 32, 44, -12, 0, 13, 30, 2, 20, 8, 20, -9, -14, 16, -2, -2, -1, -18, 36, -12, 6, 19, 4, -27, -9, -27, -6, -9, -3, -4, 28, 21, -10, 12, 20, 30, 6, 24, -25, 21, -18, 4, -28, 20, -21, 9, -20, 15, -27, 7, -31, 11, -10, -20, 21, -28, 14, 26, -21, -2, 18, -16, -1, -12, 23, -20, -7, 4, -3, 22, -5, -13, 4, -12, 8, 12, 13, 20, -18, -17, -9, 10, 4, -16, -11, -23, 30, -21, 31, -4, 9, 27, 7, 25, 18, 17, -28, -6, -21, 23, -16, -7, 11, -27, 1, -16, -18, 26, -31, -34, -19, -7, -22, -11, 19, 21, -20, -12, 12, -3, 31, -21, 24, 29, -26, 30, 25, 21, -18, -12, -16, -27, 32, -31, 17, -11, -28, -20, 6, -9, 30, 9, 10, 7, 16, -23, -14, -4, 19, -24, -10, 28, -12, -23, 8, 15, -4, 4, -27, 15, 3, -15, 17, -5, 31, -9, -26, -24, -1, -9, -2, 25, -41, -39, -27, -15, -1, -25, 1, 23, 7, 17, -17, -18, -2, 25, 23, -27, 26, 7, -20, -9, -9, 17, -29, -2, -20, -14, 22, -22, -5, -3, 35, -4, 25, -9, 15, -36, -2, -20, 24, 6, 3, 12, -8, -10, -29, -7, -27, -11, 13, -25, -3, 4, 3, -11, -4, -3, 25, -16, -23, 22, -1, 27, 12, 17, -26, 24, 22, -7, -3, -37, -29, -32, 0, -27, -3, -3, 24, 30, 24, -8, -2, -15, -31, -17, 25, -11, -28, -6, -7, -47, -15, -6, -4, 23, -23, 10, -6, 0, -5, 17, -17, 43, -41, -42, 64, 3, 2, 13, 22, 10, 7, 42, -14, 22, -21, -8, 37, 33, -16, -30, 7, -10, 24, -5, 7, 3, 14, -30, -29, 11, -3, -15, 9, 10, -30, -21, 43, 3, -19, -17, 3, 29, 19, -20, 31, -11, 0, -2, 4, -8, -3, 7, 0, 7, 15, 0, -9, -33, -20, 20, -3, 20, -14, -16, 11, 11, 29, 6, 13, -26, 31, -16, 6, -30, -21, -46, -25, -28, -15, -6, 23, -19, 19, 19, 4, 27, 28, 1, 27, -22, -19, -1, -33, 1, 19, 32, -8, -9, 23, 18, -25, 27, 29, 23, -15, 21, -30, -3, 23, -3, -26, -2, -31, -32, 19, -18, 2, 5, -13, 6, 29, 2, -22, -9, -29, -27, -6, -10, -9, -29, 17, -18, -2, 18, -23, 19, -11, -1, 1, 17, 9, 9, -9, 4, 27, 10, -35, 0, -62, 0, -26, -5, -42, -60, -4, -17, 13, -18, -28, -12, 7, 0, -16, -7, -18, 6, -2, -3, 1, 3, -31, -7, -9, -15, -2, -24, 21, 24, 22, 52, 54, 3, -21, 60, 28, 22, -28, 37, -2, -1, -41, 2, 34, -28, -59, -11, -55, -64, -26, -13, -25, -10, 5, -3, -20, 33, -9, -3, 20, 12, -12, -13, -9, 4, 12, 20, -25, -40, -23, -21, 14, -5, -3, -7, 5, -8, 2, -8, 1, 20, 23, 25, -33, -16, 2, 15, 14, 16, -11, 32, 22, -2, 12, 19, -37, 10, -23, -32, 0, 1, 9, -3, -41, 51, 51, -5, 2, 10, 1, 19, 26, -11, -27, 13, 23, 6, 2, 22, 19, -12, -22, 10, -27, -12, 29, -31, -9, -2, -6, -16, 1, 11, -11, -8, 0, 26, -2, 25, -7, -2, -27, -27, -5, 10, -7, -35, -76, 37, -19, -13, -2, -16, 21, -55, 17, -14, -9, 6, 0, 10, 11, -9, -6, -30, -24, -17, -4, 27, -1, -40, 6, 4, 3, 57, -5, -9, -26, 19, -22, -26, 10, 14, -15, -8, 2, -15, 23, -26, 4, 21, -23, 29, -32, -13, -7, -27, -8, 34, -2, 27, -10, 13, 6, -31, -18, 20, 18, 24, 8, 3, -27, -5, -4, -1, 28, -26, -24, 17, 8, 0, -12, -20, 0, -41, -9, -21, 2, -13, 3, -4, -5, 6, 27, -17, 8, 0, -39, -14, -7, 17, 3, 31, 31, 28, 29, 18, -26, -7, -8, 10, -28, -3, -24, 8, -17, -32, 12, 0, 22, -10, 32, -5, -3, 48, -23, -32, -35, 15, -12, -1, 18, -28, 0, -11, 29, 20, 12, 11, -19, -14, -18, -15, 31, 13, 8, -28, 8, 29, 7, 14, -17, 1, 6, -25, -21, -13, -15, 7, -18, -26, 3, -22, 29, 40, -1, 19, -11, -18, 9, 1, 5, -4, -4, 41, 33, -33, 52, -20, 45, 45, 29, -19, -1, -12, 55, -31, 43, 63, 36, 12, -1, -1, 10, 10, -6, -14, -39, -16, 26, 11, 3, -13, 10, -20, 22, -17, -16, 14, -28, -9, 14, -23, 2, -2, -7, -27, -24, 29, -17, 15, 6, -1, 6, -48, 12, -1, 21, -13, -4, 1, -11, -24, -38, 29, -26, -18, 5, 25, 50, -17, -30, 10, 8, 14, -1, 15, -26, 3, 21, -16, -10, 42, 9, -12, 46, 26, 0, -7, -34, -16, 19, 33, 22, -18, 21, -3, 5, -6, -33, -39, 30, 17, -30, 21, -4, -29, -19, -6, -8, -14, 19, 0, 27, -24, -30, -13, 0, -37, 20, 14, -39, 22, 20, -33, 27, 21, 15, 49, 20, 28, -21, -14, 25, -19, -1, 24, -6, -20, 11, 21, -12, -3, -29, 11, 25, -5, 5, -61, -29, -19, -16, 19, -22, 21, 14, 32, 1, -24, 12, 28, 18, -32, -6, -16, -14, -11, -22, 3, 30, -6, 22, -16, -27, -10, 27, 11, 1, -27, -6, -20, 22, -31, 9, -27, -28, 32, -25, 10, 1, -5, -31, 17, 27, -33, -9, 22, -18, 17, 2, -8, 9, -33, -8, -31, -1, 29, 26, -1, 49, -13, 29, 62, -5, 28, -15, 32, 12, -1, -8, -11, 18, 27, -3, 7, 23, -21, 16, 8, 1, 12, 18, 1, 30, -17, 19, 13, 35, 13, 13, -7, 1, 8, 10, -39, -36, -19, 8, -37, -56, 14, 28, 26, 12, 6, 31, 30, 26, 10, -21, 19, -12, -5, -20, -52, -3, -4, -27, -23, -52, -27, -5, 16, -7, -19, 10, -2, -13, 2, -14, -15, -43, -56, 13, 4, -3, -16, 25, -5, 13, -58, -23, 8, 1, 26, -5, 7, -7, 14, 47, -40, -31, -42, -30, -23, -9, 21, 5, 27, -6, 19, -1, -1, 22, 43, -7, -26, -27, 16, 13, -14, 25, -20, 21, 32, -2, 47, 28, 7, -22, -4, 7, 5, -29, 7, 5, -8, 22, -7, 30, -6, 16, 20, -15, -11, -23, 39, 22, -7, 20, 27, 26, 0, -23, 18, 9, 53, 6, -8, -20, -20, 3, 68, 5, -32, -57, 3, 11, -17, 1, -41, 23, -4, -22, 60, -30, -17, 17, 3, 26, 5, 12, 23, -11, 14, 32, 28, 13, 17, 26, -16, -8, -24, 2, -23, -19, 23, 16, 10, -1, -12, -14, 3, -11, 11, 31, 7, 15, 13, 4, -32, 16, -18, -39, 0, 40, 33, 8, -7, 25, 17, 33, -20, 14, 10, 26, -15, -20, -8, -1, -5, 26, 3, -12, -5, -3, -6, -6, 7, 0, -4, -19, -2, 18, 9, -1, 1, -31, 11, 4, 20, 31, -18, -27, 27, 10, -3, 13, -7, -22, 13, 13, -9, 12, 45, -32, 11, -14, -9, 19, 18, -30, 11, 1, 7, 7, 32, 6, -10, 37, 47, 18, -8, 31, -12, 20, 13, -9, -27, -36, 4, -12, -38, -4, 35, 39, 20, 12, -5, -2, -71, -43, -7, 31, -6, -23, -6, -12, -25, -6, -18, 23, -30, -8, -11, -15, -21, 14, 14, 1, -24, -25, -1, -12, -22, -9, -5, -19, -10, -19, 13, 15, 3, -63, 2, -18, 3, -29, 34, -38, -23, -5, -25, 24, 14, -14, 0, -5, -22, -10, 39, 60, 67, 25, -8, 39, 8, -24, 75, -25, -8, -4, -23, -4, 2, 25, 10, 22, -21, -1, -8, 2, 5, 19, 9, -9, -9, 8, 26, 29, 32, 23, 33, 4, -56, -23, 7, 21, -30, -1, -7, 4, 33, 24, 30, -16, 12, -16, 0, 21, 10, 27, 22, 4, 11, -22, -20, 5, 14, 27, 24, 30, 9, -20, 2, -19, 11, -6, 22, 25, 28, -22, 10, -5, 13, 10, 9, 5, -1, -14, 8, 20, 8, -11, -1, -5, 5, -12, 11, -4, 11, 32, 34, 15, -9, -36, -6, -5, 14, 15, -10, 17, -17, -8, 25, 16, -7, -16, 5, 31, 20, 42, 1, -5, -32, -44, -27, 24, 16, 2, 25, -6, 12, 34, -29, -5, 6, 3, -30, -7, 31, -28, -31, -6, 0, 16, -7, 9, -26, -30, 7, 7, 10, 13, 40, -30, -42, 15, -11, -22, 11, -43, -24, -3, 57, 35, 12, -14, 15, -10, -19, -11, 11, -26, 0, -23, 27, -11, 9, -10, -2, 12, -26, -52, -9, -13, 2, 25, -2, 10, 25, -17, 7, 13, 18, -5, -12, 0, -29, -3, -23, 25, 3, 15, -8, 26, -1, 26, 28, -5, 17, -15, -10, 5, -14, 3, 27, 2, 6, 28, 31, 0, 31, 20, 26, 24, 32, -4, 18, -9, -29, -11, -5, -21, 18, -26, -40, 18, -29, -8, -14, -28, -32, -19, 40, 37, -16, -10, 12, 5, -18, -17, 6, -5, -2, -1, 31, -20, -28, -8, -2, 4, 2, 24, 1, 28, -7, -4, 2, -3, -19, -25, -70, -10, -20, -31, 27, 1, -24, 22, 22, -9, 34, -13, -42, 14, -2, 34, -5, -1, 32, 29, 8, 23, -6, 20, 28, -27, -6, 14, 10, -37, 43, -5, 0, -25, 34, -23, 19, 14, -3, -4, 5, -29, -10, 0, 34, 12, 13, 33, -32, -3, 40, 9, 9, 27, 9, 13, 21, -2, 1, -27, -7, -27, 42, 17, 54, 15, 29, 44, 13, -1, 8, -25, -52, 31, 2, -64, -2, 13, -24, 30, 8, 41, -17, 19, -14, -12, 4, 12, 16, 25, 34, -38, -13, 15, -14, 11, -13, -10, 9, 17, 28, -19, -26, 2, -8, 1, 12, 17, 33, 26, 22, -2, 0, 33, 55, 9, 0, -56, -25, -12, -11, 15, -10, 4, -5, 1, 15, -6, -19, 16, 12, -9, 15, -25, -27, -23, -1, -1, 58, -11, 18, 52, 29, 26, -25, -28, 26, 18, -7, 21, -16, 21, -3, 15, 23, -19, 25, -1, 11, 16, 29, -24, -25, 11, 5, 0, 19, 28, -19, -19, 23, -5, -22, -22, 5, 10, 15, 1, -17, -9, -13, -11, -20, -27, -18, 1, 21, -15, 28, 12, 4, 32, -10, -11, -23, -26, -20, -24, 16, 30, 12, -21, 4, 7, 29, 5, -14, 25, 15, 21, -6, 23, -28, -27, 15, -6, -2, -31, -15, -5, 15, 22, -11, -1, -4, -21, -1, -4, -14, -1, 5, 31, -15, 29, 6, -30, 19, 9, 29, -9, -19, -17, -8, -16, 20, 6, 9, 10, 10, -5, -12, -32, 20, -10, 29, -31, 28, 30, -32, 30, 31, 3, -26, -11, 23, -21, 18, -20, 24, -1, -28, 31, -7, -9, 14, -14, -19, -22, 32, -19, -13, -18, -30, 4, 31, 5, -2, -2, 27, -26, -11, -7, -32, -24, -18, 12, 0, -16, 29, 18, 20, 5, -27, 30, -4, -25, 18, 2, 17, -30, 31, 24, -20, 15, -10, 0, -11, -4, -26, -12, -25, 0, 17, -14, 13, -19, -29, -1, 26, 15, 20, 8, -19, -28, 13, -6, -14, 1, -27, 24, 19, 4, 7, 25, 13, -3, 13, -28, -23, 19, 12, -29, 26, -26, -27, -2, 23, -3, 21, 26, 7, -26, -17, -15, -5, 12, -17, 6, -15, -19, -7, -1, -29, 32, -24, 0, 25, -13, -4, -19, 27, -19, 18, -21, -21, -23, -23, -14, -26, -25, 1, 15, -15, -26, -28, -25, -35, 17, -14, 18, -14, -4, -24, -10, 13, 23, 13, -5, -33, -1, -9, 29, -12, 16, -26, -22, -6, 2, 29, -9, 27, -18, -22, 9, -13, -31, 31, -32, 28, 1, -25, -20, 17, 28, 26, 18, -8, -13, -12, -25, -24, 13, 5, -44, -38, -36, -32, -54, -2, 19, -10, -24, -30, 30, 26, -6, -9, 0, -31, 41, 4, -18, 27, -5, 2, 26, 15, 8, -52, -59, 4, 0, -8, 25, 27, 9, 27, 18, 31, -20, -26, 2, 6, 8, -20, -52, 5, 83, -27, -5, 35, -26, -1, 15, -14, 16, 30, 31, -12, 12, -11, -15, 1, -21, -11, -24, 12, -25, -35, -5, 5, -13, -22, -45, -7, -31, -39, -3, -14, -22, 4, -10, -31, -23, 10, -9, -28, 9, 5, 8, -27, 27, 32, -5, 22, 21, -11, 16, 35, 1, -6, -56, 15, 21, 17, 21, 18, 14, -26, 6, -17, -7, -22, -26, -3, -38, -11, -25, 7, -10, 16, -7, -16, -9, 5, 25, 31, 29, 37, -7, -11, -17, -17, -6, 17, -24, -3, -6, -13, -8, -15, 21, 4, 34, -3, -4, -3, -36, -24, -46, -44, -41, -25, -26, -32, 23, -7, 29, -8, -28, -15, -23, 21, 31, 19, 51, 25, -16, 22, 9, 49, -13, 22, 1, 3, -24, 10, 20, 25, -12, 32, -27, 11, 33, 2, 29, 30, 18, -5, 44, 45, 36, -40, 30, 3, 20, 17, 6, -1, -41, 30, -3, 12, -4, -29, -27, -36, 34, 1, 23, 29, -7, 7, 17, 9, 21, 47, 22, 38, -1, 19, 29, -13, 30, 19, -46, -17, 2, -1, -16, -28, -38, 1, -12, -11, -16, -32, 0, 11, -21, 5, 0, 29, -15, 11, 24, 34, 4, -3, 29, 34, 11, 34, 23, 18, -17, -4, -14, 2, -32, -24, 2, -49, 15, 18, -34, 8, 1, 13, -30, 7, -3, 4, 10, 35, -1, -38, -32, -26, -3, 42, 15, 8, 1, 21, 37, 24, 37, 28, 2, -4, 7, 24, 6, -20, -26, -17, 19, -15, -15, 18, 0, 10, 10, -2, -28, 6, 13, 7, 7, 1, -11, -36, -14, -28, -10, 12, 21, -24, -22, 22, -37, -29, 10, 2, -21, 25, -20, -24, 25, 31, -4, -20, -2, -28, 21, 25, 14, 27, 10, -13, 29, -26, 24, 27, -3, -17, 1, -19, -25, -22, -10, 6, 29, 4, -16, 1, 13, -27, 12, -28, 9, 8, -25, -32, -5, -2, -27, 31, -9, 29, 16, 30, 18, -12, 11, 10, 9, 24, -2, 12, 29, -14, 14, -8, -18, 33, -4, -22, 7, 2, -17, -20, 6, -28, -28, -1, -23, 13, 22, -9, 2, -28, 0, -7, 28, 5, -3, -22, -6, 8, -28, 9, 29, -23, -29, 12, -19, -8, 28, -10, 16, -11, -7, -10, -19, 15, 23, -15, 2, 23, -17, 20, 28, 26, 2, -12, 23, 18, -9, -26, 28, -1, 26, -11, 28, -13, 12, -31, -7, 18, 18, -7, -14, -12, -9, 19, 4, 29, 5, -14, -30, 22, -22, 29, 28, 20, -26, -15, 15, -6, -35, -10, -28, -34, -13, 2, 26, 16, -4, -20, 18, 2, 6, -16, -23, 8, -7, 28, 4, 6, 8, -26, 17, 29, -2, 20, -22, -3, 18, -29, -3, 19, -12, 2, 19, -27, -18, 0, -15, 15, 23, 8, -12, -3, 13, 11, 7, 22, 18, 24, 37, 29, 26, -21, 17, -10, -8, 18, 1, 22, 5, -28, -31, 15, -2, 30, 14, -18, -15, -8, -25, -5, -20, 17, -8, 25, -16, -11, 24, -30, -22, -9, 2, 14, -11, -3, 21, 10, -9, 6, 11, 27, -1, -18, -15, -1, 18, -13, 13, -1, -23, -20, 5, 21, 7, 6, 22, -7, -4, 19, 3, 14, -10, -13, 32, 14, -17, 10, -32, 2, -18, 18, -25, 7, -28, -7, -13, -44, -23, 54, -30, 3, -30, 95, 12, 0, -53, -15, -40, -11, 23, 31, 21, -27, -6, -22, 26, -32, 17, -10, 12, -10, 0, 36, -36, 10, -4, 3, -12, 9, 24, -30, 5, 24, -30, -19, 26, 15, 9, -3, -11, -31, -22, 8, 21, -10, 27, -12, 35, -16, -18, 42, 7, 8, -21, 10, 6, -9, -19, 16, 9, -16, -18, 19, -24, -22, -14, -5, -28, -39, 4, 24, -14, -28, -35, -30, 6, -15, -16, -38, 8, -20, 13, -13, 6, -18, 3, 23, -34, -36, 6, -22, -5, 25, 17, -4, 26, -31, -22, 19, -17, 6, -24, 3, 17, 8, 14, -23, -4, -5, 35, -2, 21, 22, -26, 4, -20, 27, 27, 17, 30, 3, -19, -20, -17, 0, -12, -3, 2, 12, 11, -4, -24, -30, 13, -2, 31, -7, 34, -15, 21, -11, 16, -6, -2, 26, -2, 17, 10, 13, -9, -17, -26, 8, -4, 19, 53, 49, 21, 23, 39, 1, 54, 14, 1, -8, 25, -22, -5, 27, 6, 71, -22, -35, 20, -15, -3, -1, 14, -15, -22, -25, -15, -7, 42, -16, -2, 19, 7, 13, 7, -16, 28, 18, 2, 0, 0, -8, 15, -29, -7, 2, -48, -18, -17, -4, 0, -57, 16, 10, -19, 19, 32, 19, 26, -23, 10, 19, 0, 14, -1, -2, 24, -16, -22, 24, 0, -18, -32, 18, 13, 38, -21, -15, 9, -41, 8, 54, 23, -35, 1, -17, 15, -9, -18, 15, 15, 34, -29, -59, -16, -14, 65, -4, 15, 15, -23, -16, -37, -26, 22, -20, -26, -5, 36, 18, -14, -6, -20, -12, 11, -4, -31, -1, 16, -7, -16, -19, 30, 16, 23, 6, -2, -11, 41, 31, 7, -4, -24, -45, -37, -19, 5, 12, 40, -11, 17, 70, 5, -10, 9, 20, 6, 31, -7, -16, -17, 26, 5, -12, 6, -19, 12, -10, -3, 14, 16, 16, -11, 27, -32, 31, 27, -18, -2, 18, -19, -3, 9, -30, -4, -15, -30, 1, -6, -7, 9, 0, -15, -15, 19, -7, -12, 3, -6, -21, 23, -10, -27, -9, -25, -26, -13, -13, -17, 6, 11, -3, -13, 22, -23, -5, -24, -10, 8, -31, -2, -10, 8, -32, 3, -20, -9, 15, 13, 55, -25, 31, -22, -38, -19, 21, -21, 7, 32, -6, 3, 17, -12, 11, 5, -18, 7, -22, -6, -7, 1, -9, 36, 19, 27, 22, -1, -1, 7, -78, -40, -11, -5, 6, -7, -7, 28, -3, 9, 26, 20, -25, 25, -19, -26, 27, 27, 24, 4, 16, -43, 35, -28, 22, 42, -10, 7, 8, 10, 27, 4, -26, -11, -18, 5, 18, 26, -6, 10, 1, 3, 11, 1, -10, 17, -20, 11, -21, -23, -24, 2, 8, -10, 30, 7, -4, -17, 10, 23, 26, -12, 0, -3, 21, 39, -30, 4, -25, 24, 32, -12, -47, 23, -26, -14, 7, 35, 3, -18, 18, 20, -31, 16, -11, -16, 10, 33, -16, 35, 28, -7, 6, -13, 19, -18, -4, -11, -15, -32, -35, -16, 48, 11, 15, 54, 42, -40, -85, -51, -44, 19, 46, -29, -6, 19, -12, 27, -37, -19, 13, -27, -28, -5, 16, 18, -18, 18, -23, -15, 33, -34, 44, 1, -28, 5, -11, -14, 27, 0, 19, 15, -13, 1, -4, 17, -14, -8, 30, 11, 44, -22, 25, 21, -7, 12, 10, 29, 8, -27, 20, -5, 10, -9, 11, 35, 21, -10, 45, -13, 6, 10, 21, -54, 0, 34, 0, 27, 26, 2, -32, 6, -29, -25, 3, -6, 17, 31, 28, 25, -6, 29, 48, -2, -37, 9, 15, 1, 47, 29, -4, 5, -24, -12, 25, -27, 24, -12, -14, 30, 18, 1, 5, 27, -29, -3, 22, -2, 6, 19, -11, -14, 19, 10, -22, 4, 6, -13, 23, -9, -32, 22, 0, 1, -24, -17, -8, 9, -24, -1, -25, 23, -14, -15, -36, -4, -2, 25, 6, -20, 4, -4, -1, -11, -44, 37, 6, -25, 15, 8, -5, 29, 4, 31, 18, 22, 7, -19, 8, 9, 13, -22, 16, -4, 0, 0, -12, -1, -14, -23, 13, 14, -32, 19, 16, 25, -7, 44, -49, -26, 16, -6, -32, -6, 25, -16, 35, 37, 23, 27, -7, -12, -14, -13, -24, 30, -18, -10, 2, -9, 6, 27, 15, -5, -7, -13, -12, -8, -2, 4, 11, 3, 30, -30, -19, 9, -28, 6, 17, -7, -36, 24, 3, -26, 1, 5, 12, 23, -7, -16, 15, -24, -59, -39, 40, 55, 11, 9, 2, -23, 17, -6, -35, -23, -8, -2, -25, 1, 23, -30, -26, 8, 23, 0, -14, 1, -30, 1, 5, -13, -11, 15, 63, 33, -21, 20, 3, 2, -7, 1, 11, -8, 10, 24, 0, 4, 30, 28, -4, -32, -20, 40, -28, -49, 20, -25, -26, 5, -5, -10, -18, -8, -24, 11, 17, 11, -19, -11, 40, 26, -10, -35, 1, 8, -21, 17, -20, 9, 36, 20, 17, 38, -32, 17, -10, -22, 9, -22, -16, 4, 7, -19, 32, 9, -1, 8, 2, -3, 23, -9, 26, -10, -8, -7, 28, 0, -15, -12, 21, 18, -11, 9, -41, -21, -15, -2, -10, -31, 6, 18, 1, -4, -38, 7, -4, -24, 12, 12, -28, 8, 28, -20, -26, 7, 7, 30, 32, 29, 9, 12, 15, 2, 22, 2, 34, 22, 37, 26, -6, 29, 27, 24, 10, 21, 4, -12, -2, -28, 10, 31, -28, 16, -4, 24, -25, -29, 6, -22, 27, 17, -21, -10, 27, -19, 22, -7, 15, -2, 3, 22, -9, 20, 30, -16, -8, -27, 25, 21, 21, -25, -13, -28, 17, -28, -6, -15, -17, -10, -9, -8, 1, -13, 5, -18, 13, -15, -3, 13, 2, -24, 16, -29, -32, -20, 3, 5, -23, 12, 17, -25, -11, 1, -21, 0, 31, 9, 16, -25, 31, -15, -5, 28, 25, 3, 25, -21, -26, 36, 3, 15, -4, 5, -29, 10, 14, 31, -22, -15, -10, 4, -3, 30, -22, -23, 19, -8, 28, -24, -14, -24, 24, -12, 9, 22, 9, 28, 12, -2, -8, 0, -8, -7, -26, 12, -1, -7, 8, 26, -28, -21, 5, -18, -23, 12, 16, -16, 12, 21, -27, -8, -5, -12, -11, 13, 25, -2, -10, 6, 7, -28, -1, -15, -18, 4, 15, 24, -10, 5, -15, -12, -18, 1, 6, 7, 21, 1, 4, -18, 10, -11, -18, 30, 27, 34, 24, 9, -2, -20, -28, -5, 10, -14, 23, 11, 25, -22, 9, 4, -42, 31, -22, 6, 3, -22, -2, 1, -1, -10, -28, -27, 9, -25, 7, -12, 10, -26, 15, 1, -28, 30, -10, 27, 7, -10, -38, -20, -26, -7, 8, -11, 3, -11, -26, -7, -1, -1, -5, 28, -2, 4, 15, -4, 9, 28, -2, 36, 18, 22, -34, 6, 22, 31, -5, -22, 6, -6, 14, 14, -13, 18, -16, -21, 62, 34, -29, 45, 17, 3, 56, 24, -39, 1, -34, 28, 19, 8, 8, 39, -2, -2, 4, -4, -17, -15, 22, -15, -21, 51, 20, 2, 3, -15, -7, 26, -22, -16, 28, -26, -30, -21, -11, 1, -30, 21, 10, -18, 5, 4, 1, 7, -14, 3, -9, 12, 11, 10, 4, 10, 7, -20, -14, 23, 34, 6, -28, -8, -1, 30, 20, 21, -20, 24, 2, -4, -23, 20, 5, 3, 28, -21, -17, -5, 12, 1, 11, 10, -1, 1, -18, -10, -12, -27, -14, -2, 24, 11, -6, -15, -13, 29, -7, 6, 6, -26, -28, 11, 7, 27, -14, 4, 4, 18, 32, -9, 20, -24, -13, -73, -42, -73, -64, -36, -33, -52, -19, -18, -5, 0, 46, 7, 16, 10, 1, -21, 2, 24, 28, -2, -3, -6, 8, 14, 4, 24, 12, 10, 4, 29, 8, 33, -26, -17, 42, 0, 28, -27, -30, 20, -31, -9, 14, 10, 3, 5, -29, -3, 2, 26, 27, -28, 6, 6, 0, 5, 5, 8, -19, 20, 36, 37, -18, -38, 14, 21, -16, 31, -10, -4, -20, -14, 12, -8, 3, 6, -14, -13, -40, -13, 21, 23, -22, 5, 15, -28, -27, 15, -1, -25, -23, -27, 7, 8, -28, -21, 0, 1, 24, 20, 20, -29, -5, -29, -7, -10, -3, 3, 12, 6, 19, -1, 8, 42, 1, 5, -10, -21, -27, 11, -1, 32, -14, -29, -28, -30, 24, 0, 13, -22, 31, -26, 22, -4, 49, 6, 22, 3, 26, 13, 23, 19, 26, -30, 30, 0, -21, -5, 12, -11, -7, -30, -40, 49, 6, -14, -28, -20, 55, -21, -27, -1, -5, -27, 8, -7, -30, 7, -16, -12, -30, 7, 14, -25, 47, -5, -117, 22, 2, -4, -8, -5, 20, -30, 9, 27, 45, 36, 21, -6, 21, 29, 16, -3, 24, -18, 17, -4, -9, -2, 26, -32, -33, 18, -12, -10, -31, 29, -15, 26, 27, 3, 12, -7, 0, -1, 3, 6, -26, 17, 24, 27, 23, -15, 26, 12, 27, 40, -8, 78, -4, -17, -19, -20, 12, 16, -17, 14, 32, -28, 5, 21, 21, 26, -1, 10, 31, 32, 28, -17, 31, 24, -41, -31, -25, -12, -25, 14, -9, -21, 3, 37, 15, -46, 79, -27, 2, -17, 6, -11, -12, -23, 25, 1, -14, 12, -25, 3, -14, -12, 9, 27, -13, 0, 20, 30, 27, 44, -6, -22, 11, 30, -33, -34, 44, -10, -21, 22, 28, -30, -27, -26, 2, 18, -4, -9, -23, -27, 26, 28, -30, 7, 17, 19, 35, 56, -10, 30, 76, 32, 15, -17, 5, -18, 14, -16, -9, -13, -5, 15, -18, 2, 18, -4, 21, 17, -15, -7, -9, 33, 9, 14, -26, 35, 4, 28, -26, 6, 62, 48, -12, 33, 3, -17, -4, 34, 44, 19, 6, 8, -7, 17, -12, 7, 33, -25, -41, -8, -9, 13, 6, 32, 32, -11, -25, 6, -3, -56, -9, 17, 5, -51, -32, -13, -26, 3, -11, 46, 20, -9, 7, 8, -10, -3, -5, 19, 9, 21, -15, 2, 17, -21, -8, -2, -32, 9, -6, -6, 37, -23, 4, -50, -15, -13, -8, -14, 3, 9, 23, -25, 26, -6, -16, 11, -3, -31, -3, 22, 5, -39, 31, -14, -9, -22, -22, -22, 9, 18, -1, 4, -32, 3, 19, -15, -27, -10, 26, -28, -13, 15, 16, -10, 4, 18, 24, -22, -30, 24, -25, 1, 11, 26, -14, 19, 22, 4, -18, 15, 0, -32, -12, -28, -10, 12, -29, 21, 17, 14, 30, 23, 4, -6, -15, 0, -7, 26, 22, -12, 17, 2, 25, -6, -15, 3, 7, -3, 22, -23, 21, 6, -31, -11, 27, -24, 1, 1, -19, -15, 8, -11, -13, 28, 7, 14, -25, -25, 2, -31, 26, 20, -14, 7, -20, -26, -31, -9, 27, 18, 18, 2, 19, -9, 29, -3, 14, -28, -30, -2, -24, -2, 0, -24, 20, 22, -27, -18, 22, 24, 3, 10, 4, -20, 12, 26, 6, -1, -10, 24, -15, 24, -31, -31, 11, 29, -6, 32, 22, -6, -26, 17, -5, -20, 26, 6, -12, 2, -18, 25, -23, 9, -29, -9, -20, 19, 13, -22, 26, -12, -8, 18, 21, -12, -3, -21, 20, -5, -23, 13, 19, 12, -22, 1, 19, -6, 17, -24, 29, -1, 29, -7, -21, 16, 13, -26, 23, 27, -27, -31, -28, -28, -9, -20, 9, -32, 20, -6, 16, 15, -24, 29, -14, 18, 11, 30, -11, 0, 8, -24, -17, 18, -30, -12, 11, -1, 18, -24, 11, -1, -13, 15, 15, 9, -30, 12, 17, 31, -5, -7, 29, -6, -30, 22, 15, -12, -1, -15, 11, 10, -11, 25, -11, 10, 7, -8, -21, -20, -19, 23, 20, -11, 10, -12, 28, -30, 14, -8, -24, -13, -26, -8, -20, 0, -32, -14, -17, -6, -24, -4, 6, 18, 11, -30, 13, 28, -18, 26, -5, -8, -29, -30, 17, 6, -17, 25, 7, -32, 2, -1, 17, 8, -21, -28, 18, -17, 30, 28, 3, -3, -38, 20, -3, -37, 2, -18, 9, -24, -26, 25, 8, -10, -23, -22, -17, 5, 20, -24, -1, -28, 36, 24, -43, -13, 58, 14, 8, 19, -29, -59, -26, 40, -25, -11, 16, -18, 17, -5, 20, 13, -13, -31, -29, -16, -10, -8, 3, 10, -14, -15, 2, -28, -22, 4, 3, 23, 30, -21, -20, -30, -29, 0, 13, -8, -22, -7, 15, 33, -27, -28, -19, 18, 4, 16, -23, 1, -4, 24, 25, 20, 9, -20, 29, -28, 26, -22, 9, 12, -23, -5, 24, 14, -4, 24, 32, 12, -15, -26, -9, 7, -22, -5, 18, -13, 32, -6, 17, -7, 54, -75, 2, 33, -8, 5, 2, 11, 3, 25, 23, 26, -2, -25, 15, -7, -7, 10, 32, 11, 3, 29, -25, 8, 22, -14, 30, -16, -3, 8, 11, -17, -7, -2, -35, -11, 0, -4, 33, 28, -18, 27, 13, 16, 26, -24, -27, -21, -20, 21, 8, -10, 28, 25, 12, -26, -31, 4, 31, -15, -26, 27, 15, 16, 18, 14, -12, 19, -2, -21, 5, -9, -23, -5, -39, -2, 34, -31, -18, -9, -46, -6, 21, -47, 7, 8, -30, -43, -22, -8, 22, 4, 3, 6, 33, -5, -23, -11, -35, -19, -12, 10, 36, 15, 7, 7, 19, 4, -27, 11, 1, -18, -9, -4, -8, -28, 13, 8, 8, 28, 12, 14, -11, -2, 0, -17, 12, -2, 19, -25, -8, -8, 2, 17, -24, 40, 18, -23, 37, 26, -40, -9, 21, -3, 7, 13, -26, -20, 31, 5, -52, 37, -28, 14, 18, 13, 24, 25, 13, -4, -26, -14, 11, 32, -7, 33, -6, -22, 9, 39, 2, 12, -21, -13, 4, 10, 24, 18, 20, -11, -1, -14, -44, 16, -26, -26, 2, 35, 7, 5, -15, 0, 7, 24, -7, 20, 16, 9, -16, -26, -6, 5, -16, -2, -6, 36, -19, -16, 16, 10, 7, 16, 44, 9, -14, 22, 20, 10, 4, 26, -1, -2, 5, 21, -28, 2, 8, -28, 9, 21, 41, 3, -2, -29, -23, -9, -23, 22, 1, 15, 11, 10, -8, -16, 6, -12, 21, -30, 8, -33, -8, 11, 42, 40, 23, -18, 8, -5, -20, -16, 22, 4, -5, 24, 12, 21, -17, -32, 10, 11, -9, -9, -7, -16, 4, 26, -17, -8, -25, 8, -10, 53, -3, -9, 14, 12, 10, 41, -16, -34, -34, -9, 7, 17, 2, 2, -22, -12, -23, -15, -12, -21, 20, -2, -5, -22, -7, 18, 3, -27, -13, -16, 10, -17, -5, -19, -8, 17, -14, -24, -22, 9, 9, 1, -29, -70, -19, -18, -63, -50, -17, -37, -16, 30, -18, 8, -7, 20, 21, -8, -12, -7, 6, -4, -15, -20, 20, 5, -38, -6, 39, -18, 24, 27, 25, -18, 25, -18, -10, -32, 11, -6, -10, 13, -21, 6, 29, 6, 4, 36, 37, 44, 4, 30, -21, 9, 46, 32, -15, -49, -57, 15, 10, 36, -12, 9, -12, 0, 9, -13, 27, -23, -23, -10, -30, -5, -4, -12, -32, 42, 28, 2, 12, -30, 6, -11, 19, -12, -2, 15, 31, 27, 25, 10, -14, 21, -4, 8, 12, 34, 23, 31, 23, 17, -32, 4, 55, 4, -2, 11, 21, 7, -5, 7, 25, 19, -17, -27, -7, -5, 5, -8, 5, 9, -6, 26, -8, -14, -26, 17, -32, -59, -65, 4, -20, -35, -29, -59, -2, -9, 0, -33, -3, -37, 15, -31, -20, -26, -3, -12, -22, 1, 8, -4, 22, -8, 17, 30, -29, 16, 18, -30, -4, -27, 13, 15, -15, 31, -25, 7, 14, -2, 2, -14, 11, -48, -63, -5, -7, 40, -2, -19, 26, 22, -23, -14, 22, -27, -4, -26, -14, 24, -31, 13, 23, 29, 2, 5, 17, -31, -3, 35, -3, 26, 19, 26, 24, -27, 4, -15, -27, -28, 16, -8, -32, 4, 29, -5, -30, -15, -26, 22, 7, -19, 22, 13, 30, -23, 15, 28, -30, -19, -12, -23, 10, 17, -14, -25, -17, -3, 32, -29, -21, 11, -30, 18, 19, 9, 23, 0, 26, 4, -2, 1, -12, -15, -6, 30, -22, -35, 9, -5, -8, 23, 2, 17, -13, -11, -14, -2, -23, 1, -28, 27, -8, 20, -3, -30, -25, -16, -17, -17, -20, 26, -25, -55, 8, 4, -5, -13, -12, 9, -38, -41, -24, 8, -27, 16, -1, -36, -8, -27, -32, -19, -11, -20, 1, -15, -15, -24, -16, -32, -21, -11, -28, 20, -4, 33, 20, -6, -14, -14, -10, 2, 28, -16, -21, -6, -20, 3, 2, -17, -5, 32, 18, -15, -19, -5, -37, -1, 20, 29, 8, -21, -36, 12, -26, -5, -20, -70, 33, -7, -22, -33, 6, 18, 12, 0, 18, -2, -7, 17, 28, 9, -30, 9, -11, 29, 36, 6, 25, 1, 17, -30, 9, 9, -29, 2, -18, -18, -3, 1, -45, -25, -17, -25, -6, -30, 2, 26, -4, 6, 22, -8, 0, 0, 25, 31, 39, 1, 29, -37, -42, 1, -35, -26, 5, 20, -5, 5, 15, 0, 32, 41, -16, 7, -29, -9, 8, -17, -38, -26, 11, -14, 11, -23, -33, 23, 13, 13, -17, 28, -1, -27, -2, -13, -13, -60, -51, -34, -12, -10, 39, 14, -9, -31, -23, -26, 5, -10, 0, -26, 16, -6, -10, 10, -10, -8, 6, 16, 17, -11, -19, -12, 6, -13, 20, 12, 21, -37, 31, 5, -19, 3, -14, -28, -24, 28, -21, -24, 17, -1, -25, -26, 24, -28, 26, -13, -7, 7, 13, 20, 14, -31, -20, 12, -8, 8, 25, -8, 8, -28, -14, 18, -21, -17, -5, -22, 12, -21, -5, 21, -21, -34, 3, 23, -26, 6, 26, -19, 23, -11, 3, 27, 23, -9, -4, 40, -15, 4, 4, 3, 12, 26, -19, 2, 27, 51, 4, 8, 50, 19, 37, 62, -11, -9, -47, -22, -33, -8, -29, -49, -31, 18, 2, 14, -5, -15, 10, -14, -24, 26, 24, 18, 20, 21, -1, -2, 18, -3, 3, 20, 21, -24, -7, 42, -13, -2, -30, 17, -18, -19, 0, 25, -4, -16, 58, -18, 10, -27, 30, -3, -23, -1, -10, 26, -3, -4, -25, 7, -30, -22, -30, -63, -16, -33, -32, 0, 29, 28, -18, 25, -4, 27, 10, 30, -1, 3, 7, -19, 29, -13, -48, -16, -17, 2, 19, -6, -6, 68, 22, -10, 13, -18, 28, 34, 4, 25, 66, 12, 2, -30, -53, -46, 9, -18, 29, 35, -11, 9, -9, -3, -6, -19, 12, -9, 15, -24, 12, -23, -1, 15, 14, -31, 28, 28, 7, -1, 18, 19, -24, -18, 10, -6, 0, 3, 22, 34, 4, -3, 18, -12, 25, 11, -35, 35, 70, -49, -26, 14, 59, -21, 7, 28, 10, -11, -50, -8, -36, -8, -6, -22, 0, -18, -8, 8, -37, 13, -45, -48, -68, -74, 19, 12, 8, -27, -14, -12, 13, 37, 14, 19, 22, -25, -11, 55, -10, 1, 28, -9, -16, 37, 13, 22, -5, 10, 18, -3, -20, -20, 32, 3, 10, -17, 41, 18, -54, 12, 29, 19, 7, 5, 44, 24, -10, -14, 9, 1, 1, 27, -22, -30, -32, -8, -24, -6, -15, -9, 1, 26, 6, -10, -33, 13, 26, -13, -30, 13, 20, -11, -21, -19, 23, -14, 1, -18, 9, -27, -25, -21, -21, -32, -32, 23, -32, -29, -31, -6, 6, -46, -3, -27, 4, -24, -12, 23, -31, -21, 31, 29, 5, 11, 11, 2, 19, -8, -22, -21, -12, -4, -10, 29, -5, 9, -28, 0, -18, -1, -9, 26, -21, 9, 29, -2, 8, 37, -19, 6, 34, -14, -16, 4, -25, -14, -8, -29, -25, -18, -11, 19, 5, -27, -1, 12, -10, 32, -6, -8, -25, 30, -39, -16, -5, -19, -8, 35, 43, -2, 26, 71, 61, -25, 3, 10, -3, 16, -13, 1, -23, -24, -11, 17, -25, -5, 24, 16, -13, -6, -18, -37, -41, 11, 19, 21, -47, -9, 3, 14, -3, -23, 9, -18, 6, 19, 14, -23, -6, -7, -42, -5, 16, 9, 7, -1, -33, 2, -44, -47, 26, -33, 68, 17, 61, -9, -20, 27, 15, -41, -16, -48, -42, 9, -27, -13, -15, -20, 13, 4, -26, -6, -26, -26, 6, 30, 25, 37, 0, -12, -23, -11, 59, 11, 24, 4, -22, -26, -2, -17, 30, -7, 10, -17, 35, 2, -24, -17, -5, 50, 23, 24, 17, -33, 24, -18, -5, 34, -16, -2, 9, 27, 15, 3, -14, 18, -50, 6, -6, 27, 5, -8, -17, -30, 4, -12, -18, 57, 7, -27, 18, 41, -6, 20, -2, -7, -32, -12, 14, 15, 23, 12, -2, -4, 8, -19, -32, -10, -26, 6, -17, -37, 26, -10, 5, -12, 22, 3, 17, 26, 11, 21, 21, 16, -19, -52, -36, -12, -7, -32, -49, 27, 26, -27, -3, -5, -22, 32, 6, -23, -29, -24, 26, -25, -20, -1, 13, -8, -14, -23, 2, -12, -16, -21, -5, -12, -11, 47, 20, 6, -15, 24, -6, -10, -12, 18, 3, 6, -3, -1, -9, 4, 22, -34, 28, -9, 15, 11, -17, 6, 17, 2, -7, -30, -10, -1, 23, 30, 29, -17, 8, 32, 3, -23, -13, -30, -8, -39, -31, 18, -11, -28, 14, 7, 24, 37, 18, -3, 4, -17, -39, -8, 33, -5, -18, 24, 4, -32, 22, -10, -37, -29, 25, -10, 3, -14, -14, -26, -9, 14, -1, -27, 4, 0, 26, 18, -33, 28, -33, 20, 11, -10, 14, -3, 38, 11, -29, -5, 34, 22, 19, -48, -17, -5, -12, -19, 6, 27, 23, 32, -26, -8, -20, -6, 23, -21, 8, -11, -28, -6, -9, -32, -20, 13, -43, 12, 14, 2, -1, -17, -27, 25, 24, -13, 28, -11, -62, -10, -23, -50, 17, -30, -96, 6, -27, 8, -21, -28, 41, 33, 20, 54, 5, 32, -6, -22, 50, 35, -20, 13, 5, 30, -7, -16, -5, -27, 12, -1, 11, 22, -32, 11, -29, -13, 14, 20, 4, -12, 18, -1, 11, 21, -18, -20, 24, -33, -14, 21, -12, 29, -5, 16, 9, 21, -9, -17, -14, 56, -13, -63, 61, -7, -76, 126, 37, -69, 7, -29, 11, -35, -5, 7, -15, 32, -30, -30, -10, 0, 6, 3, 23, 6, -31, -33, 23, 34, -51, -6, 7, -8, 22, 44, -2, -23, 18, -4, 21, -5, -11, 6, 18, -24, 2, -12, 0, -46, 29, 50, 6, -15, -23, -23, -32, 23, -25, 26, -7, -15, 5, -25, -46, 20, 15, -35, 25, 24, -70, 15, 23, -40, 11, -16, -30, -16, -20, -10, -35, -15, 19, -29, 4, 11, 18, -7, -21, -22, 8, 24, 19, 23, -18, -5, 15, 11, -29, -13, 10, 5, 22, -29, 26, -24, 15, 30, -19, -28, 24, -28, -30, 18, 28, -20, 29, -16, -15, 29, -9, 25, 8, -1, 28, -22, 12, 10, 28, 0, -3, -15, 24, 20, 0, 22, 16, -6, -28, 21, -3, 8, -6, -28, -9, -11, -38, 2, -2, -31, 3, -20, -15, 15, -19, 13, -6, 12, -2, -15, -47, 29, -40, -21, 11, 26, 9, 14, 16, 29, 9, -28, 25, 1, -2, -27, 10, 15, -12, 0, 9, 28, -11, -53, 1, 20, -1, -4, 36, -6, -30, -28, -14, -19, 17, 45, -25, -10, -35, -7, -11, -8, 27, 8, -8, -30, 19, 25, -16, 17, -20, -6, 60, -11, 27, 0, -21, 26, 28, -1, -26, 9, -21, 18, -24, -26, 7, -2, -24, 26, 4, -31, 19, 35, -9, 7, -20, -1, -3, 16, 2, 14, -14, -9, -30, 19, 9, 2, 38, -17, -7, 31, 4, 4, -21, -13, 0, 6, -38, -21, -19, -24, 23, -20, -23, 12, -10, -8, -25, -10, -16, -50, 9, 23, -32, -24, 18, 7, -16, 0, 15, -11, 14, 18, 26, -7, -20, 23, -13, 47, 15, -31, 55, 2, -25, 27, 14, 24, -19, 13, -2, -30, 34, -19, -10, 20, -2, -28, 35, -15, -25, 3, 20, -9, 1, 9, -49, 8, 12, -53, 61, 41, -16, 11, 32, 23, -18, -3, -37, 31, -28, -8, -29, 12, 16, 33, 14, -12, 28, -29, 20, 28, -15, -24, 11, 22, -10, -6, -11, 23, 0, 26, -26, 8, -19, -15, 15, 13, -24, 19, -8, 13, -17, 10, -12, -5, 21, -8, 4, -6, 25, 16, 0, -15, -5, -5, 26, 29, -29, -28, 25, -28, -25, 3, 8, -2, 17, 12, 21, -1, 6, 23, 4, 5, 6, 17, 31, 30, 28, 5, -9, 3, -27, -15, 7, -27, 26, 17, 5, 8, -12, -7, -8, -18, -28, 27, 25, -29, 30, 18, 1, -5, -19, 30, -25, -31, -32, 10, 4, 21, -22, 6, 29, -19, 4, 6, -1, -30, 11, 20, -21, -7, -7, 19, -11, -7, -21, -23, 9, 17, -21, 30, 31, -31, 21, 0, 19, 14, 12, 5, -11, 5, 25, -17, 29, -14, -3, 5, 9, 30, -2, -8, 1, 13, 30, 23, -17, -26, -6, 14, -27, 20, 2, 34, 28, -8, -28, -26, 14, 10, -31, -18, -26, -3, 4, -19, -9, 8, 15, 19, 2, -22, 32, -11, 11, 19, 32, -23, -16, -4, 30, -1, 28, -13, 33, 23, -32, 0, -4, 4, 14, -15, -40, -28, -41, 17, -21, 0, 0, -5, -5, 9, 0, -2, 1, -20, 18, -27, 12, 6, 2, -14, 8, 4, 13, -8, -11, 14, 2, 4, -16, 5, 15, 14, 27, 9, -23, -18, 27, -25, 22, 31, -14, 20, -23, -22, -6, 5, 1, 8, 11, -33, -25, 12, -9, -9, -12, -6, 13, 4, -29, 9, -16, -31, -4, 3, 11, 36, 28, -15, -8, 10, -24, 8, -1, 15, 9, 6, 2, -10, -10, 30, -19, 2, -6, 45, -17, 27, 34, 5, -1, 36, 39, -8, -11, -14, -1, -26, 15, 22, 29, 30, -22, -22, 6, -25, 7, 0, 16, -1, 29, 29, -27, -10, -31, -3, 18, 30, -30, 11, 1, -35, -1, -2, 12, 22, 14, 6, 14, -18, -2, -21, 24, 10, -8, 16, 8, -14, -1, -14, -1, -12, -12, -14, -26, -11, -14, 1, 7, 5, -7, 3, -16, 6, 8, 4, -12, -12, 3, 31, -3, 17, -7, 32, 30, 4, -17, 13, 10, 5, -15, -1, 13, 23, -15, 15, 1, -24, -18, 26, -23, 28, 3, -4, -31, -3, -28, -11, -4, -1, 28, 21, -27, 23, -14, -27, -31, -3, -11, 7, -12, 22, -25, 15, -9, -6, -15, 15, -10, 10, 32, 5, -3, -13, -15, -7, -32, -2, 3, -24, -20, 15, 4, 17, 4, -29, -17, -26, 18, 31, 13, 26, 6, -1, 20, 24, -18, -18, -3, 22, -27, 9, -37, -15, -29, -35, -23, -9, -1, -13, -19, 10, -23, -16, -23, -20, 12, 12, 3, 5, -19, 8, 18, -11, 16, -2, 3, -20, -19, 1, 9, 11, 3, 24, -18, 8, 4, -22, -24, 8, 22, -10, -34, 22, 16, -18, 9, 27, 9, 17, -25, 17, -11, -12, 24, -38, -4, 12, -19, -7, 7, 4, 24, -23, -16, -14, -16, 17, -18, 7, -7, -18, 23, -15, 4, 17, 15, 0, -19, 8, -2, 11, -13, 30, 24, 11, -21, 1, -22, 6, 11, -17, -13, -31, -5, 7, -9, -19, 0, -2, 10, -28, 43, 20, 13, 23, 28, -1, 27, 15, -29, 51, -6, -6, -9, 24, -29, 17, -6, -22, 21, -9, -22, -2, -5, -2, -30, 10, -30, 16, 1, -13, 5, -21, 14, -4, -24, 12, 26, -27, -6, -19, 21, 17, -26, -22, -17, -16, 16, 14, 21, 31, 20, -21, 16, 35, 15, 22, 3, 7, -18, -18, -9, -22, -31, -5, -14, 1, 12, 2, -25, -5, 15, 19, 17, 11, -5, 6, 11, 24, -3, -32, 21, -15, -12, 12, 22, 31, -23, 22, -5, -27, 27, 17, 24, -22, -5, -25, -13, -33, 24, 8, 9, 21, -21, -6, -17, -1, 19, -27, 3, 24, -11, 6, 2, -12, -21, -15, -3, 8, 4, -22, 10, 6, -19, 2, 3, 33, 8, -6, -29, -23, -29, -27, -26, -12, -13, -17, 11, 21, -1, 6, 31, 10, 11, 29, -31, 22, -30, -18, -4, -28, 11, 19, 28, 16, -14, 27, -18, 5, -15, 0, 13, 27, -5, -26, 22, 23, 21, 16, 6, -24, 15, -25, -8, -25, -25, -16, 13, -28, -2, 23, -16, 28, -30, -26, -31, 17, 0, -30, 15, 19, 2, -20, -28, -26, 30, -11, -21, 20, -3, -15, -32, 14, 7, -8, -32, 16, 6, -17, 25, -5, 25, -20, -20, -5, 16, 3, -20, 19, -22, -24, 30, 5, 18, 0, 22, 3, -13, -10, -4, 2, -21, -24, 14, 9, 23, 26, -14, 23, -15, 1, -33, -8, 22, -2, 9, -15, -6, 25, 17, 7, 17, -22, -12, -6, -29, -23, -15, -7, 21, 6, 12, 8, 16, 31, 7, 25, -29, -10, -24, -30, 8, -6, 30, 26, -20, 14, -13, 0, 26, -31, 26, -6, -21, -32, 10, -6, -2, 16, 3, -13, 20, 5, -14, -16, -1, -19, -23, -4, -15, -33, -23, 5, -5, -19, -31, 6, -31, -28, -21, -13, -27, 21, 13, 5, 16, 0, 15, 24, 10, -29, -3, 21, 8, 7, -27, -16, 16, -31, 22, -6, -5, -31, 6, 11, 1, -12, -24, -13, 13, 35, 27, -15, 5, -18, 21, -10, 14, -6, -6, -28, -2, -20, -26, -1, 1, 1, 50, -6, 7, 1, 6, -28, 4, -46, -7, -9, -20, -26, 18, -20, -53, -19, 30, 6, -19, -25, 25, -14, 6, -6, -19, -4, 13, -12, -43, 32, -12, -31, 9, 9, -24, 9, -29, -5, 1, -30, 19, 21, -26, 23, 7, -10, 22, -23, -20, 11, -23, 12, -26, 31, -18, -24, 49, -26, -37, 27, -6, 7, 32, -19, -17, 11, 11, 10, 28, 8, -17, -17, 26, 28, 20, -11, -15, 6, -22, -8, 9, -14, -5, 22, -37, 30, 16, 1, 19, -23, 20, 22, -24, 14, 9, 1, -22, -5, -16, -4, 21, 7, -28, 0, -32, -30, -25, -6, 20, 27, -21, 11, -11, 2, 28, -10, -19, -19, -27, -1, -1, 25, 10, -6, 8, 30, -16, 10, 21, 24, -32, -1, 14, -20, -3, -12, -30, 29, 30, -12, 23, -19, -23, 12, 29, -31, -21, -5, -44, -13, 37, -23, -27, 19, 3, -21, 6, 28, 30, 23, -13, -4, 5, 17, -3, 17, 19, -2, 10, -38, -34, 36, -41, 17, 55, -13, -32, 14, 58, 39, 30, 19, 30, 32, 15, 62, 46, 5, -25, -27, -29, -2, -23, 0, -28, -35, -7, -3, -7, -28, 12, 27, 20, -19, -1, 12, -16, -19, -26, 27, -7, -16, -18, -12, -2, -31, -12, 30, 2, -5, 11, -21, -15, -16, 11, 30, 14, -56, 44, 24, 8, 41, 2, 3, 37, 30, 5, -24, -13, 30, 13, 18, -21, 35, -32, -34, 32, 13, 19, 18, -7, 13, -37, 15, -39, -29, 36, 53, -29, -3, 10, 23, -17, 15, -32, 33, -10, -2, 37, -7, -9, 54, 37, 28, -12, -23, -32, 0, 3, -27, -25, 31, 27, -19, 24, 10, -5, -19, -7, -1, -14, 6, 10, -1, 32, 0, -23, 15, 21, -14, 23, 42, -36, 5, -18, 3, 3, -29, 9, 3, 31, -26, -20, -20, -23, 8, -24, -36, 19, 25, 15, -5, -14, -17, 32, 29, -26, -11, 10, 28, 13, -26, 24, -22, 7, 0, 22, 26, -3, -29, 12, 10, 8, -19, -5, -20, -9, 4, -21, -15, -18, 13, -15, 25, -32, 12, 30, -25, -35, 36, 14, -30, 3, -7, 28, -17, 4, 16, 15, 33, 42, -9, 4, -11, -5, -13, 37, 24, 0, 10, 38, 21, -2, 6, -21, -22, -22, -24, 11, -29, -14, 6, -15, -25, 15, -6, 29, 29, 0, 26, -17, -20, 0, 24, 10, -9, 1, -3, -35, -12, 7, -22, -1, -23, -12, 1, 19, -27, 1, -15, -42, -28, -7, 1, 13, 26, 19, -12, -30, 2, -11, 26, -17, 26, -6, 18, -6, -35, -7, -26, -29, 18, -26, -22, -12, 12, -9, -32, 7, -28, -6, 3, 31, 10, -12, 5, -7, 13, -62, -19, 7, -10, -29, 23, -4, -38, -22, 1, 21, -21, 8, -17, 13, 0, 19, 12, 21, -49, -9, 0, -35, -32, 16, -5, 21, -1, -1, 29, 18, -21, 20, -14, 19, -34, 15, -19, 8, -4, -17, 7, -19, 13, -11, -19, 7, 4, 1, -24, 16, -4, 5, 23, -19, -6, 22, 5, -27, 8, 3, -8, 6, -46, 24, 19, -14, 14, 31, 0, 2, -9, -19, 11, -4, 25, 21, -3, 7, 7, 15, -47, 24, 33, 13, 7, 39, -13, -6, -20, 14, -19, 23, 13, 30, -16, 9, -14, 20, -5, -24, 21, 0, 15, 48, 22, 22, 9, -5, -27, 28, 11, 7, -6, 10, 25, -27, 35, 44, -26, -42, 11, -43, -11, 13, 16, 40, 36, 34, -7, -21, 5, 18, 39, -23, -15, 14, 16, -19, 25, -22, -25, 17, -3, -39, -36, 15, 22, -8, 32, -5, -11, 10, -4, 24, -12, 11, -8, -15, 10, 16, -19, -28, 5, -23, 6, 21, 29, 0, 27, 5, -18, 12, -19, -14, 7, 34, -24, 4, 2, -19, -11, -10, 4, -1, -5, 14, 28, 18, -8, 3, 23, -15, -29, 25, -27, -12, 12, 24, -8, 31, -24, 13, -35, 0, -6, 8, -35, -2, 6, -21, -20, 16, 13, -9, 11, 2, 14, 8, -16, -26, -24, -14, -30, 21, -2, -21, 29, 32, -29, -4, -20, 29, -39, -12, -15, -42, -58, -19, 7, 19, 3, -18, -5, -23, -27, -7, -27, 9, 32, 10, -27, 15, -11, 31, 27, 3, 28, -22, 21, 17, 1, -25, -20, -40, -8, -5, 22, 16, 28, 13, -12, -27, 26, -1, -18, -8, 32, -5, -22, -15, -44, 22, -14, -3, -20, -4, 29, 2, 54, -34, -14, -4, -5, 14, 3, 2, 24, 30, -6, 2, 30, 13, -4, 17, 8, 5, -8, -8, -25, 8, 20, -14, 31, -20, -9, 15, 2, 7, 13, 23, -15, 10, -4, 36, 3, 27, 3, -9, 14, 28, 12, -23, -1, -10, -2, 21, 15, -7, -12, -9, -57, -2, 44, -25, -28, 52, 6, -7, 31, -25, -4, 24, -19, -9, -10, -24, -5, -11, -11, 14, -11, 21, -4, 6, 3, 8, -33, -3, -35, 5, 13, 28, 21, 7, -2, -6, 19, -31, 4, -15, -3, -7, -8, -7, -18, 5, 19, 26, -4, 6, -27, -31, 20, -7, -31, -25, 2, -7, -7, -9, 30, -24, -29, 22, 14, 22, 24, -13, 5, 7, -13, -17, -10, 1, -19, -8, 13, 3, -11, 31, -9, 6, 22, -29, 26, -22, -24, -13, -15, -4, -15, -2, -2, -19, -2, -29, -10, 25, -1, 29, 5, -10, -30, 25, -22, 27, -15, -18, 10, -6, 5, -18, 29, 16, 15, 1, 18, -25, -17, -21, 19, 3, 26, -14, 28, 8, -28, -17, 0, -24, -8, -15, -31, -20, 6, 25, -10, -11, -13, 22, 20, -15, -4, -18, -23, -10, 9, 19, -23, 26, 16, -31, 4, 14, 18, -31, -15, -12, 5, -8, -2, -14, -1, 3, 20, 23, -19, -9, 16, -13, -22, -23, 1, 10, 13, -15, -14, 24, 14, -4, 15, 16, 10, -25, 2, -28, 4, 4, 16, -2, 2, 0, 0, 7, -6, -30, -5, 26, 22, -16, -26, -7, -24, 3, -14, -28, 8, 18, -2, 31, -10, -17, -29, -27, -4, -1, 26, 11, 13, 4, -19, 19, -23, -10, -19, 14, 11, -2, 7, -17, -23, -11, -15, -25, 13, -21, -25, 27, -1, -33, -23, 6, 4, -8, 25, -17, -14, 11, -14, 9, 24, -36, 29, -21, -21, -14, -3, 21, -27, -7, -11, -13, -12, 17, 0, 3, 25, -23, -24, -17, -9, -29, 7, -4, 28, 25, 16, -27, -10, -32, -27, 3, -10, 27, 2, -18, -28, 5, -6, -2, -43, 20, -22, -10, -13, 29, -41, 24, 2, -30, 8, 5, -18, 0, 22, 6, -25, 26, 16, -10, 18, -6, 10, 3, 25, 25, 9, 9, -20, -10, 8, -12, 6, -34, 6, 4, -27, -19, 20, 7, -14, -19, 25, -16, 29, 4, -3, 29, 5, 7, -8, -10, -11, -30, 24, -31, -31, 29, 18, -2, -6, -29, -51, 18, -32, 0, 9, -11, 11, 44, 11, 32, -38, -15, -1, 1, -34, -25, 0, -7, 11, 9, 22, 23, -14, 3, 4, 20, -7, -26, 14, -22, 16, -24, -6, 14, -40, 29, -22, -8, -15, -18, -11, 11, -2, 8, -14, 12, -25, 9, 20, 8, 16, 28, -10, 12, 21, -29, 31, -7, -4, 20, 4, -5, -30, -20, 28, 2, -22, 12, -6, 15, 5, 6, 25, -14, 27, 5, 29, 42, -20, 36, 2, 36, -3, 1, -1, 10, -12, 6, 2, 22, -30, 35, -20, 8, 27, 7, 6, -2, 20, -27, -10, -18, 27, -22, 18, 7, -7, 23, 3, 3, -9, 7, 29, -14, -20, -3, 9, 20, 47, -42, -37, -15, -11, 29, -5, 13, -31, 4, 43, -5, 1, 5, 16, 29, 22, 31, -24, 1, -12, -1, -25, 1, 13, 20, 11, -17, 45, 3, -17, 12, 14, 59, 0, 0, -1, -25, -20, -28, 4, 29, -17, 3, -12, -11, 10, 41, -32, 30, 38, 38, 28, 14, -10, 26, -45, -29, -16, 9, 8, 42, 3, -65, 5, -20, -26, -22, -20, -3, 4, 7, 18, 13, -4, -12, -8, 5, -3, 14, 16, -28, -20, -18, -6, -12, -9, -11, -14, -32, -3, 10, 16, -27, 15, -14, -22, 16, -28, 1, 6, 19, 8, 8, 11, 24, 2, -51, -31, -5, 48, 19, 16, 56, 28, -6, 26, -13, -15, -23, -2, 11, 12, -37, -7, -5, 8, -14, -21, 32, 21, 11, 19, -5, 8, -3, 18, 17, 5, 35, -8, -15, -7, 22, 27, 12, 18, -4, 24, -9, 46, 22, -13, 33, -10, 13, 9, 9, 22, 1, 7, 18, -19, 2, -27, 24, 29, 20, 18, 5, -2, -8, 15, -55, 50, -17, -92, 2, 18, 4, 9, -6, -8, -46, 29, 11, -32, -20, 20, -31, 19, -22, 24, -9, -11, 1, 15, 20, -32, -14, 9, -36, 20, 49, 20, -5, 5, 15, -11, -27, 16, -2, -30, -12, 8, 0, -25, -26, -12, 12, 19, 26, -17, -12, -25, 11, 26, 2, -7, 6, 38, -14, 2, -22, -21, -30, -2, 10, 9, 30, 6, -2, -28, -11, -23, 19, 2, -16, 42, 13, 2, 29, -34, -2, 26, -33, 3, 1, 3, -23, -4, 46, 28, -30, 14, 9, 4, 13, 21, 7, 32, 2, 17, 8, 27, -3, 15, -14, 30, 10, -25, 3, -17, -9, 14, 28, -2, -42, -1, -11, -46, 30, -36, 18, 55, -37, -47, -28, 8, -9, -27, 21, 21, 22, 14, -26, -27, 20, 13, -2, 6, 30, 25, -8, 1, 17, 3, 21, -16, -7, 63, -31, -3, 8, 1, 12, -17, 17, -22, 0, -4, 11, 8, -4, -11, 34, -15, -46, 26, -1, 28, -12, 21, -25, -11, 28, -13, 45, -2, -17, -44, 11, -16, 13, -4, -13, 14, -14, -12, -8, -23, 25, 11, -12, -13, 13, 4, -24, 5, 25, 36, -12, -14, -35, 8, -11, -17, -21, -16, 23, -18, 12, 23, 45, 7, 20, -15, -3, 2, -3, -5, -20, -40, 2, 23, 42, 28, 30, -8, 38, -6, -13, 9, -6, 6, -15, -17, -48, 5, 7, 13, -1, -28, 8, -17, 37, 30, 30, 16, -11, 0, -13, 8, -8, -6, 15, -15, 0, -33, -49, 3, -18, -8, 2, 4, -23, 1, -18, 32, 4, -40, -25, 11, -25, 20, 11, -39, -39, -31, 15, 12, -10, 23, -26, 6, -20, -4, 18, 6, 12, 40, -21, -37, -8, -51, -10, 6, 34, 66, -11, 20, 25, 42, -20, -31, -29, 21, 24, 2, -19, -12, -29, -16, 24, 0, 34, -2, 8, -3, -5, 3, -6, 24, -24, -31, 11, -29, -10, -3, -26, -13, -32, -4, -13, 4, 5, -16, 14, -22, 15, -4, -4, 31, -29, -39, -6, 36, 15, 10, -33, -5, 14, -17, 21, 22, -6, -25, -14, -19, 26, -15, -21, -9, 31, 7, 9, -27, -11, 27, 48, 39, -11, 13, -13, 7, 18, 6, 0, 33, -20, -3, 52, -7, -7, -35, 11, -9, -18, -26, 31, 13, -6, -21, -24, -11, 25, 28, -3, 28, -29, -10, -20, -11, 10, -13, -9, -26, 46, 35, 0, 19, 13, 9, 39, -10, -2, -3, -1, -18, -35, 9, -30, 7, 21, 17, 8, 2, 4, 23, 12, -12, 1, 20, -37, -19, 57, 36, -16, -20, -28, -8, 32, -26, 14, -4, -19, -26, -19, -14, -45, 9, -11, -57, -16, -16, -12, -48, -36, -48, -29, -28, -23, 57, 4, 32, 10, -10, 18, 4, 26, -33, -3, 20, -8, -31, -21, -30, -28, -14, -15, -11, -6, 7, 19, -2, 13, 26, -11, -12, 10, 16, -30, -40, 8, 24, 3, 25, -9, -6, 5, -23, 22, 37, -15, 13, 0, -13, -6, 11, -4, -15, 38, -13, 33, 19, -28, -18, 13, -24, 9, 24, -1, -8, -36, 7, 53, 23, -15, -23, 18, 4, 26, -8, -25, 13, 19, 23, 13, -24, -26, -52, 11, 18, -34, -19, -24, -46, -11, 22, -4, 8, 25, 34, -10, 29, 16, -18 };
signed char f42[4096] = { -12, -27, 42, -55, 13, 9, -22, -49, 105, 96, 40, -29, 59, -23, -59, -18, 8, 30, 4, 9, -73, -42, -51, 30, -63, -37, 98, -43, 19, 12, 19, -6, 28, -15, 21, -61, -48, 22, 25, 62, 34, -6, -49, 32, 85, -3, 11, -17, 26, 36, -64, 27, -4, 31, -56, -38, -50, -10, 71, 17, -33, -43, -24, 19, 5, 29, 61, 43, -46, -2, -7, -7, 16, -23, -13, -80, 16, 4, -38, -66, -45, 5, 29, -102, -12, -3, 97, 29, 14, -14, -80, 52, 109, 70, -64, -63, 0, 14, 61, 39, 21, -15, -26, 34, -44, 55, 40, -61, 10, -52, -22, 6, 53, -33, 8, -37, -84, 24, -48, -24, 4, 28, 2, 68, -71, 26, 35, -5, -81, 27, 10, -29, -4, 13, 126, -33, 4, -104, -24, -62, -8, -72, 32, 68, -68, -74, 65, 22, -10, 63, 53, -20, 6, -69, 55, 67, 90, 60, -65, -56, 92, -63, -18, -37, 17, 2, 41, -28, -55, -1, -36, 4, 79, -68, -48, -28, -75, -42, -11, 23, 14, -54, -4, -65, 25, -53, 56, -7, 25, -40, -21, 24, -58, 63, 18, 43, 66, 3, -18, 32, -55, -63, 14, 61, -13, -36, -4, 29, -34, -7, 5, 62, -65, 55, 51, 2, 78, 2, -26, -15, 52, 37, -28, 23, 66, -7, 6, 35, -63, 4, -93, 26, 68, -13, -41, 39, -61, -40, 12, 25, -4, 33, 59, -33, 36, -51, 7, -65, 37, -7, 50, -4, -29, 36, 42, -21, -56, -43, -31, 0, -35, 15, 33, 39, -47, -29, -78, -65, 61, -6, -6, 35, 25, -17, 14, 71, -105, -28, 51, 90, -47, -127, -28, -61, 8, 59, -46, -41, 15, 38, -24, 60, 24, 58, 37, 1, -40, -8, 13, 11, 67, -18, -27, 2, -51, 17, -74, 52, -27, 64, 18, 8, -49, -25, -48, -24, -53, -44, 1, 42, 56, -56, 3, -20, 22, -42, 29, -6, -44, -49, 0, 19, 22, 52, 33, 33, -73, 37, 7, 15, -20, 41, 33, -39, 60, 31, 50, -52, 33, 3, 27, 23, 55, -72, -46, -31, 39, -70, 5, -42, -34, 21, 37, -9, -60, -29, -21, -13, -69, 21, 3, -67, 39, 0, 9, 57, -46, -26, -6, -31, -7, -30, 52, -66, -39, 20, -38, -54, -59, 35, -6, 46, -25, 4, -24, -71, 17, -10, 20, -67, -51, -29, -40, -9, 43, -62, -6, -37, -21, 65, 13, -46, 56, 42, 10, 55, -10, 32, 96, 41, 8, 23, 32, -63, -2, -9, 63, 71, -5, 48, 47, 60, -81, 41, 8, 108, -109, 48, 65, 12, 5, 29, -12, -12, -35, -26, -48, -87, 30, -43, -75, -33, 22, 48, -49, 68, 52, -59, 45, -32, 29, 63, -16, 16, 26, 29, -35, 8, 43, 57, -65, 38, -32, -53, -57, -45, 49, -23, 10, -10, -49, -66, 19, -2, -52, 70, -6, -34, -29, -49, -70, 53, -48, 53, 57, -55, -47, 22, -27, -60, 65, -31, -24, -20, 58, -39, -62, -25, 38, -47, -27, -12, 41, -85, -2, -40, 10, 15, -7, -7, -9, -22, 23, 0, -1, -45, 47, 52, 30, 69, -19, -70, -15, 41, -71, -11, 25, -50, 5, -50, 29, 16, -8, -5, -34, 36, -20, 63, 56, -28, 0, -14, 73, 54, 32, 21, 30, -56, -34, -4, 0, -16, 9, 51, -57, -44, 60, -18, 66, -48, 14, -47, 14, -52, 4, 29, -13, 17, 60, -95, 0, -8, -48, -55, -9, -7, 33, 29, -21, 2, 32, 33, -37, -27, -7, 60, 8, 46, -58, -9, 52, 25, 2, 16, 2, -10, 1, 0, 9, 57, -61, 5, -52, 13, 54, 6, -36, -38, -21, -50, -37, -18, 27, -26, 34, -26, 4, 33, -19, 39, -4, 6, -62, 22, 66, 3, 48, 29, -20, 52, 33, -98, -60, 11, -9, -5, 71, 21, -39, 25, -57, 35, -10, -31, -37, -29, -30, 0, 27, -60, -40, 64, 49, -22, 22, -4, -53, 87, 28, 23, -52, 57, 13, -28, 53, 50, 26, 60, -68, -41, -34, 38, 21, -19, -14, 78, 63, 46, 2, -33, -35, 74, -82, 50, -12, 56, 62, -58, 28, 20, -31, -6, -54, -13, -65, 11, 43, -53, -12, 9, -45, 35, -60, -47, 14, 11, 43, -43, -72, 6, -32, -34, -24, -7, 9, -32, -67, 41, -54, 12, -65, -7, -65, 49, 57, -5, -60, -51, -11, 42, 41, 21, -26, -22, -54, 56, 20, 15, 18, -54, -71, -52, -4, 17, 15, -63, 49, 44, 38, 3, -40, 31, 20, 51, -5, -54, -44, 39, 72, -81, -3, 75, 16, 63, 5, 7, 1, -86, 76, -11, -66, -54, -51, 15, -65, -10, -17, -57, -27, 5, 38, -58, 22, -19, 19, -25, -64, -64, 17, -12, 45, 0, 17, -82, 49, -11, -4, 28, 69, -75, -38, 24, 3, 47, -72, -49, -118, 24, -35, 76, 65, 20, 56, -38, -14, -49, -55, 20, -50, -2, -41, -98, 29, 50, 45, -104, 38, 19, 2, 8, -12, 37, -19, -65, 25, -16, -37, 69, -39, -52, -55, -92, 10, 51, 33, 13, 23, -10, -46, 88, 27, -7, -55, 22, -44, -9, 55, -24, 39, -9, 8, 22, -19, -69, -61, 74, 57, -20, 6, 96, 6, -22, -43, 42, 15, 33, 27, 33, -52, 46, 42, -16, -74, -83, -70, -20, 0, 8, -15, -15, -38, -13, -9, 35, -49, 25, 13, 19, 62, -11, -69, -28, -14, -44, -69, -28, -59, -62, -52, 53, -47, -10, 24, -18, 51, -10, -2, -33, 24, -62, 41, -1, -24, 38, -66, -69, -15, 67, -15, 30, 29, -69, 17, -58, -53, 43, 14, -3, -44, -31, -1, 51, -13, -63, 69, -28, 64, -68, 7, -65, -81, -34, -31, -32, -81, -31, -29, 33, -60, 69, -27, 74, 18, 69, 26, 58, -33, 41, 73, 54, -109, -35, -62, -18, 75, 93, -42, -44, 65, 59, 10, 7, 55, -11, 35, -13, 87, -8, -113, -6, 85, -30, 64, -16, 33, -61, -53, -77, 31, 30, -51, 33, 12, -10, 32, -9, 48, 69, 36, -54, 65, -1, -34, -74, -77, 41, -16, 33, -4, -20, 25, 9, -75, -38, 18, 18, 38, 22, -66, 18, 42, -8, -17, 5, -16, 28, 63, -28, 56, -18, -46, -59, -78, -36, -52, 18, 19, -42, -25, 34, -42, 49, 65, 9, -1, 13, 76, 0, -24, 15, -51, 2, -47, -48, 51, -23, 70, 0, -21, 2, 63, 47, 17, -18, 11, -15, -37, -6, -51, 25, -23, -14, -51, -26, 18, 35, -12, -50, 43, -52, 4, -33, 71, 49, 12, -35, 5, 2, 27, 69, -37, -59, 64, 1, -37, -31, -58, -54, -12, 49, -40, -31, -71, -26, -13, -44, 5, -33, -46, -50, -27, -30, -46, -3, 65, 7, 35, -4, 56, -46, 31, -58, 27, 9, 7, 7, -45, -70, -44, 41, -44, 7, 25, -40, 27, -67, 41, -24, -19, 65, -23, -35, 15, -66, -21, 20, -35, 66, 45, -24, -40, -35, -29, 11, 28, 25, 9, 58, -21, -45, -71, -70, 18, 41, -15, -34, 34, -16, 107, -32, 30, 58, 59, -114, 13, -62, 63, -17, -32, -21, -53, 10, -20, 48, -30, -49, -23, 21, 44, -35, -50, -34, 61, -35, -26, -32, 38, 61, -100, 14, -19, 55, -53, 29, -26, 61, 69, 28, -28, -67, 4, -58, -27, 20, -54, 15, -84, -70, -23, 0, 81, 25, -33, 12, -4, -68, 1, 79, -54, -33, 34, 26, -9, 0, 25, 66, -19, -31, -56, 33, -34, -7, 36, -6, 7, 48, 33, 37, 34, 21, 35, -26, -56, 42, 19, -43, 38, -9, 21, 13, -3, -4, 25, 29, 53, -68, 48, 59, -14, -47, -77, -68, -10, 37, 5, 59, -32, 12, -6, -2, -46, 58, 42, 32, 36, 21, -57, -88, -56, -18, -22, -80, 101, 63, 49, -19, -8, -61, 11, -2, 35, 3, -41, -28, -23, -7, 56, -35, 14, -24, -21, 31, 17, -12, -69, 24, 40, 18, -54, -20, 60, -24, -6, 19, 14, -1, 26, 31, 34, -39, -10, -15, 32, -44, 37, 34, 56, -46, 16, -24, 28, -12, -17, -8, 46, 54, -67, -36, -41, -69, -50, -39, 55, 57, 62, 11, 31, -16, 44, -37, -64, 19, 72, -31, -29, -3, 68, -14, -48, 62, -51, -13, 6, 66, -50, -45, 34, -2, 37, 11, 57, -27, 46, 20, -15, -17, 1, 5, 24, -29, 22, -23, -4, 37, 12, 70, 6, -30, 19, -60, -69, 63, -66, -68, -49, 10, 23, -53, -41, 68, -49, -1, 47, 51, 8, 12, -53, 53, 7, -55, 35, 7, -68, 48, -13, -23, 21, -26, 5, -48, 15, 47, 12, -6, -57, 78, -20, -48, 22, -24, 80, 17, -26, 58, 48, -39, 33, 14, -69, -14, 44, -52, -49, -1, 22, -48, -56, 54, -29, 56, 35, -25, 110, 52, -7, -5, 49, 39, -75, -58, -30, -29, -13, -26, 122, -14, 52, 2, -37, -40, -16, 8, -58, -15, 69, 45, 34, 47, -63, -11, 17, -13, -51, 36, -54, -30, 51, 104, 18, 54, -109, 21, -14, 8, -48, 28, -45, -32, 15, -13, 27, 7, 13, -55, 4, -88, -13, -2, -7, -32, 74, 2, 32, 49, -10, -72, 72, 35, -36, 22, -17, 39, 74, -30, -27, 61, -77, -16, -61, -31, -56, -59, -69, -48, -56, -49, -28, -49, 76, -62, 67, -42, -36, -4, 6, -53, -16, 33, -39, -17, -54, -19, 45, -63, 13, 32, -8, -28, -59, -7, 72, 52, 2, 15, 43, 48, 27, 47, -41, -56, 9, 2, -71, 44, -33, 71, 29, -20, -28, -26, 1, -20, 56, -47, -17, -68, -20, -6, 29, -6, 8, -17, 30, 2, -33, -52, -54, -66, 28, 59, -54, -13, -7, 60, 27, -22, -73, -27, -34, 5, 38, -18, 31, 9, -32, -25, 69, -2, -22, 3, -59, -72, -31, -71, -69, -57, -18, -48, -31, -52, -45, 22, -55, 63, 10, 9, 93, 98, -58, 53, 27, 11, -45, -19, -10, -3, 34, -43, -7, 57, -57, -36, -69, -46, -65, -22, -80, -7, 47, 25, 13, -76, -55, -10, 34, -67, -39, -24, 71, 30, -25, 1, -110, 11, 85, -35, 18, 21, 33, 31, 62, -11, -45, 18, -42, -9, 46, 23, 6, 4, -16, 79, -38, 16, -61, 10, -58, -30, 13, 74, -37, -28, 24, -64, -73, 33, 9, 49, -58, -56, -62, 63, -30, 39, 49, -14, -1, 14, -2, -6, -14, 13, -28, 44, 50, 50, 15, 30, -43, 60, -48, -68, -43, -67, 77, -8, -104, -37, -55, -54, 1, 53, 47, -61, -62, -29, 6, 15, 24, -82, -25, 33, -6, -60, 19, 28, 18, 24, -4, -42, -67, 16, -65, -77, -39, -25, 19, -67, 26, 48, -34, 48, 67, -29, 35, -57, -19, -48, 12, 26, -21, -1, -25, -7, -40, 96, 48, -37, 14, -5, -69, 38, -71, 37, -73, -1, 27, 42, -45, 9, -41, 40, 32, 27, 42, -17, -15, 5, -9, 63, -48, 13, 63, -8, -29, -23, -54, -16, -29, -62, 61, 31, -41, 32, 50, 9, 24, -28, 9, -34, 26, 56, -32, 43, -71, 17, 90, 13, -16, -16, -28, 67, -19, 7, -70, 67, -70, -37, -5, -53, 15, 18, 26, 41, -99, -20, -47, -11, 43, -72, -49, -72, 7, -62, -8, 0, 52, 63, -40, 26, 61, 87, 36, 20, 17, -29, -14, 60, 55, -10, -47, 40, 31, 19, -24, -54, -62, -67, -55, 17, -2, -53, -26, -59, 74, -74, -24, -65, -58, 21, 48, -24, -53, 9, 43, 61, -15, -72, -35, -77, -43, 1, 29, -32, -55, 35, 16, -57, 33, 61, 28, -59, -15, -20, -54, 50, -3, -38, 22, 63, -28, -51, -13, 58, -54, 45, 11, -33, 15, -16, 16, -46, -29, 52, -38, -44, 26, 43, 39, -71, 46, 12, 48, -49, 61, -74, -41, 36, 42, 47, 35, -61, 32, -49, -57, 48, -5, 50, 1, 38, -13, -31, 58, -57, 21, -25, -2, -26, 21, 46, 60, 38, -31, -46, 21, -49, -20, -3, 26, 31, -43, -35, -68, 5, -28, 0, -4, 63, 41, 8, -37, 7, -23, -17, -36, -24, 1, 55, -17, 24, 44, 3, -3, 33, 49, 60, -62, -49, -50, -47, -20, -76, 11, -34, -39, -18, 5, -27, 25, -59, -21, 11, -34, 1, 4, 37, 48, 88, -11, 8, 6, 32, -40, -19, 25, 6, -24, 71, 26, -14, 54, 27, 17, 60, 11, -38, 3, 44, -4, 35, 12, -48, 6, 31, -9, 30, -10, 12, 60, -3, 20, 55, -9, 61, 57, -16, 9, -16, -7, 49, 2, 8, 19, -92, 33, 74, 88, 61, 66, -56, 10, -3, 29, 48, -1, 25, -1, -14, -42, -7, 16, -3, 28, 30, 20, -118, -18, 0, -31, -39, -3, 53, -17, 54, 2, -66, 28, -81, 84, -31, -12, 54, 72, 5, 12, 21, 61, -34, -53, -40, -108, -48, -33, 44, 104, -80, -63, -5, 34, -22, -16, 24, 51, -30, -65, -56, 14, 37, -46, -91, -44, -24, 6, 2, -44, 19, -18, -70, 53, 42, 5, -59, -15, 12, 22, -8, -41, -9, -63, 90, -20, -9, -3, 9, -17, -16, 14, -26, 60, -31, -38, 4, 33, 20, 46, 37, -17, -23, 78, 7, -17, 15, 15, 58, -69, 22, -16, -20, -13, 35, 11, -43, -63, 40, 37, -41, -32, 10, -3, 60, 13, -52, -70, -23, 5, 3, -4, -51, 36, -49, 33, 24, 69, 17, 6, -12, -36, -51, -42, -59, -3, -31, -93, 3, -18, 49, 31, 31, 34, 41, -5, -52, -93, 37, 38, 55, 48, 34, 47, 1, 68, 26, 14, -19, -40, 84, -70, 73, -34, 9, 31, -66, -39, -79, -68, 72, 35, 29, -15, 4, -25, 71, -71, -26, -14, -64, 55, 34, -49, -44, -44, -37, 89, 6, -61, 50, 79, -22, -38, 62, -99, -16, 18, 82, -1, -18, 28, 37, 16, 34, 8, -56, 9, 48, -58, -73, 24, -56, 11, 33, 51, -16, 45, 41, -31, -27, -22, 46, 56, 87, 56, 32, 0, 5, 3, -35, -48, 60, 27, -42, 29, 0, -49, 37, -47, 22, 74, -4, -29, 4, -85, 6, -13, -62, 12, 27, -45, -93, 3, -42, -17, -20, -18, 22, -8, -26, 73, 127, -90, 33, 28, 85, 33, 80, -13, 11, 16, 20, -5, -70, -10, -37, 67, 80, -12, -66, -32, 42, 25, 50, -36, 31, 35, 84, 23, -25, 23, -14, -66, -2, 16, 17, 12, -34, -51, 43, -1, 26, 13, 60, -20, -21, -67, -42, 17, 29, -18, 45, 0, -10, -18, 6, 4, 79, 60, 6, -55, -6, 58, 62, -59, -40, 39, -55, -26, -5, 67, 0, -38, -22, 50, 52, -64, -51, 47, 2, 56, -40, 42, 27, -10, 23, 25, 0, 35, -73, -67, -41, 55, -26, 32, 21, 7, -12, 55, -59, -2, -60, -66, -14, 36, 66, -24, 61, 21, -6, -47, 5, -105, -43, 22, -6, -59, 60, 39, -49, 44, 14, 33, 55, -65, -38, -26, -13, -27, -53, -47, 29, 30, 29, 2, 60, -22, 48, -36, 30, -21, 8, 68, 14, -61, -56, -69, 7, 31, 43, 12, -47, 102, -86, 31, -36, -19, -6, -46, -74, -99, 32, -60, -87, 37, -69, -33, 96, -10, 8, 12, 43, -78, 23, 66, -40, -71, -48, -32, 62, -11, -38, -6, -9, 11, 69, -14, -1, 9, 48, -33, -66, 43, 61, -71, 25, 4, 60, 69, 14, -34, -62, -51, -6, -25, -7, -66, 53, -56, -37, -62, -6, -57, -34, -20, 23, -66, 17, -64, -6, -19, -49, -30, 63, -55, 43, -7, -5, 23, 25, 11, -45, 26, 23, 29, -43, 31, -20, -113, 62, 2, 33, -40, -61, -17, 22, -65, 94, -91, -46, 57, 6, 27, 44, 63, 30, -70, -25, 32, -29, 40, -34, 38, 79, -58, 53, -33, -8, -39, -36, 35, 30, 43, 25, -21, -62, -39, -49, 6, -82, 75, -34, 57, -63, -44, -37, -1, 89, -91, -56, 21, 47, 37, 26, -11, -11, 33, -29, 25, -29, -24, -68, -71, 38, -72, -88, 21, 22, -48, 19, 74, 45, 41, -3, 26, 33, -38, -43, -106, -12, -30, -87, 20, -40, -2, 64, 28, 5, -78, 96, 95, -38, -14, 57, 66, -70, 13, 15, 20, -16, -48, 69, 11, -7, 33, -60, 0, -15, -9, -22, 18, 8, 18, 83, -60, -70, 28, 48, 5, -24, -47, -12, 71, -45, -47, 62, 37, -43, 84, -24, 77, -11, -44, -60, -44, 56, 54, -49, -24, 10, 56, 52, -43, -40, -59, -23, -42, 35, 4, -52, -35, 12, -42, 10, 66, 63, -51, 12, 3, -59, -30, -65, -13, -32, -24, -42, -65, -36, -41, -32, 16, -28, 13, 41, -61, -2, 13, 11, 82, -69, -30, -47, 67, -21, -26, -6, -54, 2, -49, 2, -43, 64, -53, 47, -60, -25, -21, 0, 64, 11, -42, -60, 27, -50, -22, -67, -61, 67, 37, 23, -54, 12, -35, -7, 22, 44, -28, 14, -37, -6, 61, 22, -43, -34, -39, -13, 14, -19, 33, -63, -21, 23, -57, -46, -30, 3, 17, -15, -61, -70, 64, -58, -53, -27, 73, -2, 59, -65, 26, -58, -2, -23, -21, -19, 55, 15, 19, -17, -68, 41, 64, -4, -47, 36, 38, -9, 58, 33, 20, -3, 70, -50, -59, -31, 16, 0, -59, -22, -47, 1, -44, -11, 3, 44, -38, -66, 53, -17, 29, 37, 42, 22, 23, -34, 12, 27, 10, -69, 22, 62, -19, -35, -61, 16, -30, 26, 13, -61, -7, 3, 49, -49, 32, -30, 15, -76, -33, -3, -74, 20, 0, 33, 14, -7, 13, 31, -43, 9, 42, 31, -18, 18, -12, 15, 46, -7, 17, 24, -41, -1, -9, -73, -15, -73, -62, 56, -65, -23, -35, -28, 22, -58, -88, 9, -70, -41, -18, -14, -28, -7, 62, -14, 36, 8, -49, 54, 26, -74, -37, 47, -5, 33, 38, -57, -10, 39, -6, -31, -53, 40, -5, -29, 47, -19, 72, 19, 59, -58, 48, 62, -44, -14, -8, 22, 13, 18, 21, -7, 42, -53, -76, -41, 20, -56, -50, -45, 28, 13, -54, 13, -57, 41, -55, 50, 41, -24, 20, -70, -46, 12, -56, -15, 55, -70, 10, 55, 8, 13, -51, -46, -39, -89, 19, -51, 82, 0, 19, -60, -62, 92, -83, -87, 68, 14, -27, -77, 79, 31, 5, 14, 45, 55, -38, -1, -48, -22, 66, -62, 8, 35, -19, -43, -37, 30, -58, -40, 52, -29, -12, -60, 57, -29, 6, -27, 52, 1, -7, -31, 19, 16, 11, 47, -64, 33, -10, -1, -74, -6, -56, 74, 4, -58, -19, 12, -52, -36, -23, -20, -71, 56, -12, 4, 3, -24, 34, 29, 34, 42, -46, 78, -43, 13, 52, 9, -8, 58, 54, -67, 14, -48, -10, -11, -4, 58, 10, -14, -43, 51, -38, 50, 1, -64, 46, -15, -54, 1, -61, -1, 22, 70, -45, -36, -61, 51, -64, -76, 40, -49, -5, -56, -52, 17, 60, -20, -64, 34, -17, 52, 53, 12, -53, -65, -1, -22, 59, -48, -16, -83, 42, 51, -4, 16, -60, -7, 34, 29, -32, -28, 51, 19, 55, 30, 48, 6, -39, -42, 30, 34, 60, -50, 56, -13, -6, -15, 17, 13, 58, 25, 62, -86, -29, -9, -45, 34, -76, -51, -24, -18, -63, 39, -44, 2, -1, 64, 21, 0, -23, -32, 85, -15, -57, -54, 18, 7, 48, 4, 5, -60, 43, 50, 57, -33, -18, 63, -59, 53, -37, -12, -111, -52, -33, -5, 87, -35, -117, -53, 35, 8, 62, -19, -56, -4, 39, 0, -5, 41, -9, -10, 44, -58, 18, -65, -37, 23, -29, 49, -38, -53, -63, -42, 35, -61, -10, -58, -1, -53, -14, 68, 21, -6, 75, -22, 37, 53, 64, 31, 62, 18, -101, 12, -83, 85, -17, 9, 24, 45, -19, -46, 32, -74, -56, -37, -77, -35, 48, -52, 30, 60, 2, -21, -26, -45, -38, -36, -16, -61, 37, -44, 2, 5, -53, -22, -90, 15, 52, 26, -16, 23, -50, -54, 64, -48, -83, -37, 24, 20, -14, -68, -74, -55, 15, -17, -8, -69, 54, 48, -15, -41, 36, -49, 49, -29, -14, 34, -44, -78, -27, -26, 53, 60, 17, 33, 66, 16, -48, 38, -24, -21, -71, 45, 32, 44, 56, -43, -61, 71, 25, 54, 26, -43, -4, 69, 11, -36, -32, 41, 72, 12, -72, 71, 9, -22, -19, -37, 49, 12, 36, -18, -55, 10, -45, -18, -21, 52, -45, 3, -65, 92, -30, -59, -23, -57, -39, -32, -35, -27, 23, 8, 65, -54, 46, -31, -27, -64, -65, 26, 46, 3, -28, 15, 50, 38, 28, -45, 21, -5, -5, -22, -12, 31, 1, 49, -62, -38, -64, -15, -44, 65, 52, 42, 61, -17, -58, 80, 12, 1, 67, 45, 19, 36, 78, -58, 3, 39, -52, 13, 3, -42, -25, 42, -29, 39, -27, -66, 10, -12, 10, 16, -21, 35, -59, 30, -45, -11, -48, -2, -3, 53, -58, -1, -40, 29, 75, -38, -64, -22, 21, 58, 14, -5, -46, 27, -34, -11, -53, -43, -16, 67, -43, 54, -54, -22, -46, -9, -49, 35, 29, -2, 20, -24, -45, -60, -55, 21, -51, -42, -47, -26, 1, 7, -10, -1, -72, 45, 71, 16, -42, -17, 38, 72, 71, -53, 25, 43, -57, -26, 74, 27, 67, 22, 42, 38, 4, -10, -22, -31, -10, 19, 9, -33, -43, 54, 41, -5, -25, -40, 34, -66, -25, -72, 25, 63, -23, 28, 45, -65, -20, -33, -17, -2, -49, -10, 42, 18, 47, 15, 7, -54, -60, -71, -4, 18, 8, 73, 22, 29, 29, 25, -49, -28, -57, 4, 54, -65, -7, 26, 10, 2, -39, -67, -43, -45, 11, 31, 26, 1, 13, -59, -40, -50, -60, -47, -15, -23, 6, 74, 26, 70, -47, -18, 49, 33, -24, 43, -58, -27, 56, 13, -59, 21, 19, 73, -57, -48, 29, -41, 39, -14, 36, 50, -33, -13, -21, -48, 73, 68, 60, -53, 85, -69, -44, 0, 75, 34, -19, -3, 53, 75, 1, 5, 68, 55, -56, -64, 41, -63, -59, -44, -31, -29, -73, -66, -36, -5, -62, 15, -54, 20, -8, 55, 13, -55, 35, 19, -7, -51, -17, 65, 8, -47, -41, -58, -28, -36, -6, -55, -7, -41, 53, 43, -5, -46, 26, 45, -64, 46, -50, 47, -78, -56, 64, 10, -9, 50, 40, -15, -7, -42, -59, -37, -18, -59, -11, -10, -47, -9, -47, -46, 37, -59, 9, -17, 15, -30, -8, 59, -58, 27, 46, 53, 7, 46, 6, 3, -77, -64, 34, 66, 19, -98, -2, 6, 15, 65, 58, 14, -77, 56, -41, 58, 16, 6, -19, 84, 10, 53, -54, -50, 62, 44, 30, -25, -3, 48, -22, 24, 35, -12, -13, 50, -5, 35, -13, 51, -49, -55, 4, -48, 36, 16, -1, 52, 35, 6, 19, 38, -29, -32, -52, -23, -64, -5, 1, 33, -23, -74, 5, 17, 9, -53, -5, 50, 32, 32, 37, 36, -63, -56, 33, 67, 19, 47, 60, 3, -57, -28, -36, 25, 79, 40, -6, 25, -43, 68, 7, -1, 15, 10, 58, -67, -26, -65, -42, 31, -37, 29, 35, 59, -53, 59, 26, 40, 40, 81, 43, -52, -23, 67, 58, -22, 38, -33, 4, 28, -30, -22, 35, 65, 59, -70, -29, -16, 57, -29, 55, -11, 39, 2, 10, -63, 70, -51, -16, -26, -29, -70, -11, 27, 24, -13, -66, -25, 44, 82, 50, 17, 7, -55, -25, 35, -42, 37, 23, -43, -49, 37, -23, 7, -1, 35, -40, -49, 31, -36, 42, -26, -74, 73, -16, 39, -4, -29, 67, -42, 65, -48, 24, -60, 57, 66, -20, -10, 98, -36, 19, -6, 18, 53, -77, 36, -27, -35, 46, 57, 17, 56, 57, -19, 25, -50, -15, -8, 15, 37, 72, -74, -48, 9, 22, -47, 22, -52, 38, -68, -1, -30, 32, -52, -43, 60, -23, -56, 15, -63, 10, -40, 4, 121, 40, 55, -9, -4, -109, -98, -51, 44, 44, 30, 58, -75, 45, -45, 57, -54, 42, 11, -48, -7, 4, -64, -38, -59, 5, 46, -45, -67, -21, 3, -27, 58, -54, -28, -1, -54, 40, -56, -4, -53, 42, -29, 52, 24, 21, -6, -21, 57, -53, -31, -21, -41, -51, 67, -37, -58, 23, -40, 46, -43, 41, 72, 45, -6, 44, 13, 33, -11, 27, -69, -18, -46, 16, 11, 52, 24, -32, 10, 66, 1, -35, 68 };
signed char f43[36864] = { -35, 25, 3, 0, -18, 12, 21, 32, -24, -4, -18, -23, 19, 2, -23, -19, 4, -20, -33, 16, -22, 37, -3, -6, 33, -4, 0, -22, 4, 20, 24, 16, 20, -34, 4, -23, 16, -6, -20, -26, 23, -11, -30, 14, -14, 36, 14, -29, 26, 21, -22, -35, 8, 37, -22, -19, 7, -19, 30, -24, -22, -12, -22, -36, 4, -26, 9, 32, -11, 29, 13, -28, -16, -37, 32, 18, 12, -29, 24, 31, -27, 10, -48, -2, 20, -30, -7, 4, -14, -28, 16, -33, 17, 22, 24, -39, 19, -13, 29, -22, 26, 19, -11, -14, 27, -9, 25, 0, -26, 1, 30, -16, 8, -24, -9, -9, -19, -32, -44, -35, -26, 6, -36, -36, 28, -7, 12, -29, 22, -16, 2, 2, -9, -32, 34, -35, 11, -27, 17, -31, 48, -30, -19, -9, 5, -38, -5, 7, -42, 18, 27, 5, -40, 9, -11, -14, 7, -6, -26, 18, 11, 15, 33, -27, -22, -6, 29, 4, 7, 5, -27, -22, -22, -14, -31, -24, 22, -2, 13, -14, 4, 38, -6, -10, 22, -25, 31, -30, -46, -25, 10, -4, -25, 26, -22, 19, 2, 22, 35, 31, 26, -32, -9, -26, 14, -25, 13, -15, 16, -2, 16, -17, -32, -1, -32, -40, 15, 16, 30, 36, 23, 13, -1, 29, -30, 2, 27, -24, 16, 35, -6, -33, 24, 14, 28, 2, -16, 25, 39, 31, -5, -32, 15, -26, 2, 8, 22, 24, -33, -19, -21, -25, 32, 31, -2, 32, -36, 30, -39, 0, 6, -22, 3, 3, -44, 16, 24, -29, -13, 21, 12, -34, -4, -25, -30, -23, 7, -8, -5, -15, 5, -22, 24, -17, 33, 16, -3, 30, 32, -42, -11, -25, -34, 1, -14, 6, -17, -21, -4, 15, -9, -25, -33, 8, -34, 9, -4, -14, 9, -11, 2, -6, 9, 21, 17, 4, 11, 4, -4, -1, -6, -33, 41, 36, -2, 43, 3, -34, 9, 30, -23, -6, -36, 36, 2, -25, -35, 55, 23, -15, 9, -5, -29, -27, -13, 11, -43, -44, 13, 22, 10, -31, -18, -38, 22, -28, -13, 15, 17, -6, 4, -14, -11, -33, -19, -16, -17, -7, 20, -23, 29, 14, -37, -34, 27, 24, -22, 0, 33, 10, -5, -29, -13, -18, 11, 29, 3, -7, 3, 2, -3, -36, 13, -26, -23, 37, -35, -11, -20, 21, -30, 4, 8, -12, -20, -8, -43, 8, 31, 46, -5, -28, -20, 11, 16, 1, 9, -37, 24, -32, -4, 13, 28, 7, -23, -19, 6, -11, -44, -14, -4, 13, -17, -17, 22, -34, -12, -1, 29, 9, 2, 26, -23, -19, 5, -36, -32, 20, -26, 32, -37, -32, 32, -27, 13, -8, -8, -38, 7, 29, -15, -28, -3, -5, -1, -29, -20, 20, 11, -3, -37, 34, -22, -6, 2, -28, -29, 14, 19, 24, -9, -39, 24, -22, -16, 17, 6, 21, -2, 52, -44, -23, -21, -5, -28, 22, 0, -25, -28, -5, -21, -8, -4, -34, -31, 27, 14, -8, 31, 2, 4, 8, 24, -11, -13, -40, -14, 14, 5, 33, 19, 10, -17, -13, 36, 18, 34, -17, -1, -12, -32, -17, -41, 26, 31, -3, 1, 30, 13, -9, 35, 11, -44, -7, 30, 15, 15, 14, 7, -28, 27, -7, 9, 24, -10, 34, 1, 20, 18, 28, -27, 21, -4, -16, -32, -44, 5, -21, -18, -15, 30, -31, 32, 12, -18, -32, -13, 9, 13, 11, 30, -35, 34, 25, 18, 12, -39, 4, 25, 24, -3, -6, -18, -24, 14, 14, 1, 8, -5, -15, 38, 7, -22, 0, -8, 16, -19, 3, 31, 15, 16, -7, 17, 36, 43, 30, 14, 17, 46, -9, -24, 24, -9, -9, -31, 41, -26, -8, -3, -16, 29, 22, -2, -10, 17, 35, -34, 32, -10, 31, 22, 35, -29, 9, -13, 12, -11, 16, 22, 14, 19, 11, -35, -27, -30, -36, 14, -2, -44, 15, -11, -3, 5, -36, 3, -26, -16, 27, 25, -35, -36, -1, -35, -32, -37, 36, -22, -11, -12, -3, -18, 7, 5, 26, -30, -1, -33, 18, 4, 19, -3, -10, -19, 27, -40, -18, -16, -16, 16, 5, 10, -33, 29, -33, -1, 33, -22, -8, -29, 8, -31, -26, 0, 32, -17, -31, 23, 15, -14, -39, 15, 15, 1, 4, -35, 23, -25, -34, -34, 7, -21, 36, -9, 12, -9, 20, -32, -37, -48, -30, 0, 5, 20, -22, 0, -13, -11, 39, -37, -9, 2, -4, 3, 22, 26, 2, -18, 41, -9, 0, 21, -37, -45, -25, 13, -11, 8, -26, 39, -2, 25, -20, -11, 11, -15, -17, 22, -13, 28, -7, 9, 3, 37, 32, 11, -11, -37, -5, -14, 34, 14, -5, 4, 16, -26, -29, 5, 17, 5, 6, -7, 1, 7, -8, -16, -2, -31, -3, -27, -27, 6, 26, 26, 5, -10, 24, 7, -19, -7, -34, 9, 29, 25, 41, 10, -16, -8, -43, 21, -24, 7, 32, 42, 16, 2, 19, 36, -3, 27, -11, -6, -5, 18, -26, 23, -29, 16, 26, 23, -13, 31, -4, -4, -8, -9, 11, 29, 0, -34, 16, 25, 15, 22, 35, 60, 18, -16, 14, -4, -31, 33, -28, -29, -11, -46, -50, -33, -4, -20, -44, 24, -14, -24, 16, 23, 16, 39, 24, -10, 5, -31, -14, -27, 24, -14, 57, 3, 30, -4, 56, 37, 52, 14, 14, -1, -14, -24, 38, -28, 24, 49, -19, 8, 7, 57, -15, -4, 21, -56, -30, -41, -28, -22, -10, 14, 11, 7, 12, 19, -23, -37, 18, 34, -31, 5, 33, 1, 17, -33, 28, 35, -29, -24, -29, 3, -7, -9, -12, -14, -30, -1, 6, 24, -28, 16, -43, -54, 39, -40, -27, -17, 1, -9, -34, 0, -15, 26, -29, 15, -21, 32, 4, -2, -38, 19, -20, -28, -6, 17, 7, 37, 34, -28, -12, 26, 24, -43, 28, -12, 10, 43, 16, 5, 39, -20, 24, -34, 28, 23, -10, -10, 19, 1, -37, -29, -25, 2, -33, -16, 12, -15, 31, 16, 4, -11, 11, 30, -21, -4, 25, 0, -32, -5, 1, 2, 11, -11, 0, -17, 2, 32, -57, 12, 29, -45, -9, 13, 5, 9, -15, -18, 26, -17, -24, -37, -37, 27, 19, -19, 32, 12, 15, -13, -17, -5, -4, 14, -18, 31, -31, -13, 36, 23, -70, 38, -21, 33, -30, 15, -19, 13, 14, 12, 6, -10, 20, 1, -22, -27, -25, -24, -31, -4, 18, -17, -9, 6, 23, -34, 4, 16, 42, 26, -27, -22, 29, 16, 7, -25, 30, 17, 8, 11, 12, 0, 5, -11, -23, -12, -14, -21, 4, -37, -1, -26, -7, -12, -15, 7, 8, 25, -39, -23, -33, -39, 1, 33, -28, 13, 39, 37, 29, 1, -24, -34, -14, 17, 7, -40, -26, -31, -22, 29, -25, 1, 11, -24, -3, -30, 22, 35, 28, -11, -16, -1, -41, 15, 38, -17, 32, 60, -5, 31, 92, -26, 10, 31, -25, 28, -1, -24, 4, 46, -12, -3, -25, 1, -10, -23, -3, 14, 11, 1, -10, -10, 47, 23, 2, -37, 24, -43, 4, -20, -24, -8, -21, -43, -31, -35, 38, 24, -7, 36, 29, -24, 12, 7, 56, 26, 16, 46, -34, 15, 34, -20, 25, 14, 36, 24, -8, 12, -14, 28, 37, 3, -42, 22, -26, 25, -21, 4, -10, 31, 28, 9, -67, -3, -66, -27, 15, -22, -6, 1, -11, -37, -4, -27, -32, 20, 0, -19, -14, 11, -2, 1, -29, 22, -45, 8, 24, -31, -38, -59, -37, -20, -42, -24, -17, -10, -10, 43, 72, 34, -3, 56, 39, -5, -10, 28, 17, -22, -33, 27, 17, 30, 3, -12, -29, -29, -28, 15, -14, 23, 14, -14, -18, 3, 12, 26, 16, 22, -1, 2, 29, -16, 9, 1, -19, 14, 5, 5, -27, 7, -4, -66, -50, 3, -37, 23, 26, -18, 19, 40, 31, 63, 5, 22, 38, -8, 23, -13, 5, -24, -20, -14, -48, 15, 17, -54, -29, 0, -21, -49, -86, -2, -20, -25, 22, 14, -7, 22, -19, -6, 18, 5, -30, -5, -27, -11, 17, -11, -20, 25, -26, 8, 49, 30, 19, -19, 24, 7, -15, 13, -34, -20, 2, -20, -32, -38, 7, -28, 30, 6, -2, 7, 30, -28, -35, -29, -18, -43, -3, 21, -30, -44, 11, -14, -18, 0, 4, -49, -12, -2, -12, -21, -6, -27, -38, -22, 7, 0, -24, -9, 22, -5, -6, 16, -11, 8, -11, 18, 37, 11, -18, -32, 37, -9, -3, 16, -7, -30, -25, -9, 7, 5, -12, 10, 34, 11, -15, 22, -9, 9, 19, -12, -34, 17, 36, 52, -44, 11, -9, 5, 7, -7, -63, -5, 10, -13, -46, 4, -7, -6, -48, 22, 39, -4, -12, -29, -11, 31, -32, -12, 18, 7, -9, 30, 24, 52, -31, 17, -5, 5, -4, 25, -42, -38, -33, -17, -33, -30, -54, -5, -13, -25, -35, 3, -21, -13, -25, -5, -20, -33, -18, 2, 18, -4, 4, 29, 10, 4, 34, 17, -24, 30, 12, -27, -21, 30, -12, -35, 17, 9, 5, 5, 31, -7, 7, -22, 2, 29, 51, 40, 22, 2, -29, 2, 19, -25, 7, 0, 25, 7, 29, 25, -4, 33, 28, 10, -24, -29, 8, 32, -35, 4, 32, -25, -15, 39, -3, -42, -10, 21, 13, 14, -7, -29, 32, 4, -42, -9, -7, 13, -18, 9, -48, -40, -24, -58, -25, -29, 5, 8, -1, -11, -6, -15, -35, -35, -20, 21, 11, 9, -8, -14, 1, 32, -32, 12, 34, 4, 24, 1, 15, 30, -14, -34, -5, -24, -24, -12, -8, 15, -29, 12, -16, -3, 8, 28, 39, -22, 38, 42, 3, 8, 38, -41, 0, 11, 19, -26, -20, -35, 35, -10, 20, -19, -29, -34, 31, -2, -34, -8, 20, -24, -4, 7, 37, -30, -19, 2, -15, 25, 30, 7, 27, 1, 21, -23, -24, 28, 26, -24, 11, -24, -2, -37, -8, -6, -23, 2, -12, -29, -16, 35, 27, 12, -38, 12, 0, 8, 26, -38, 12, -6, 12, 30, -25, -28, -25, -42, -5, 61, 55, -5, 21, 1, -7, 32, 10, -12, 6, 10, -10, -24, -2, -8, 24, -38, -37, 51, -15, -16, 34, -2, -51, 40, -15, -2, 17, 10, 19, 28, -11, -19, -19, 19, -11, 20, -1, -7, 13, 17, 21, 29, 0, -17, 13, -13, -20, -50, -29, 11, 17, 36, -5, -16, 25, 10, -32, 20, 38, -37, -8, 46, 14, -28, -34, -13, -33, -28, -13, -38, 23, 15, -1, 22, 8, 11, 32, -32, 16, 30, -14, 1, 28, -22, 25, 7, 31, -26, 5, 45, 34, -32, 20, -27, -24, -39, 12, -33, -15, -7, -5, -7, 21, 28, 12, -29, 5, 18, -17, 9, 33, 4, 16, 27, 18, -35, 20, 1, -15, 24, -11, -7, -27, -30, -28, 8, 6, 19, 30, 37, 49, -19, 30, 29, -26, 36, -22, 24, -19, -23, 23, 1, 3, -10, -7, 21, 14, 12, 2, 6, -39, 8, 24, 41, 22, 6, -6, -9, -26, 2, -29, 25, -33, -7, 36, 0, 20, -33, 32, -7, -16, 15, -37, 6, -40, 48, -29, 9, 8, 17, -45, 6, -11, -15, 1, -11, 46, -18, 37, -22, 30, 31, -17, 30, 11, 11, -4, 5, -42, 16, -36, -12, -6, -30, -37, 16, -22, -21, -39, -35, 4, -49, -16, 1, -45, 24, -20, 33, 27, 15, 18, -47, -6, 4, -14, -28, -13, 4, -17, 12, -18, 2, -14, -2, 37, -30, -9, 5, -16, 19, -6, -9, -8, 1, -35, 2, 46, -24, 27, -29, -22, 26, -13, -24, -4, 22, -32, -23, 35, -15, -22, 1, -5, 13, 32, 7, 33, -9, 30, 32, 27, 1, -4, 10, -32, 2, -14, -27, 2, 24, 32, 3, -23, -35, -15, -26, 14, 27, 22, 16, 27, -17, -36, -40, -40, 34, -4, -51, -17, -11, 6, 9, -2, 4, -1, -36, 16, 2, 19, -13, 25, 33, -5, 19, -12, 46, 19, 6, -33, -14, -33, 29, 21, 5, -46, 0, -13, 6, 29, -23, -33, -4, 13, 29, -29, 5, 25, 23, -5, -9, -39, 37, -5, 4, 0, -22, 9, 32, 1, 5, 31, 38, 16, -33, 8, 27, 14, -9, 25, 39, 1, -8, -24, -7, -19, -18, -1, 8, 26, -1, 9, 6, 18, -19, 4, 29, -3, -16, -16, -16, 8, -31, 12, -13, -38, -26, -28, 27, 14, -25, 3, 35, -37, 14, -36, 35, 35, 14, -19, 14, 23, -38, 34, -38, 30, -15, -6, -34, -30, 3, 30, 18, -34, -27, -2, 7, 6, -39, 6, -21, 4, -43, -9, -41, 27, 26, 29, 24, 27, 19, -29, -25, -27, 32, 3, 13, 12, -13, -38, 6, 20, -35, -32, -10, 7, 23, -26, -20, -20, 30, -7, 15, -14, -4, -18, -15, -8, -21, -18, -47, -19, -26, 1, 18, 30, -4, -38, 14, -26, 5, -29, -29, -39, -3, 30, 24, 8, 5, -15, 21, 28, 0, -21, -36, 8, -20, 19, 17, 15, 15, -35, -13, -33, -19, 38, 22, 31, -8, 10, -26, -8, -25, -25, 27, -17, -12, -18, -35, 0, -36, 36, 25, 31, 32, -2, 6, 0, 34, -39, -44, 1, 0, -25, 36, -12, -37, -13, 12, 0, -23, 3, 22, 1, -36, -17, 12, -37, -11, -31, 7, -17, -37, 5, 31, 29, -3, 23, 36, 8, 14, 14, 13, -10, 46, 29, 2, -3, 15, 28, 16, 34, -1, 31, 13, -23, 25, -38, -12, -21, -41, -41, -16, 27, -45, -5, -12, 17, -28, -1, 15, 15, 9, -19, -46, 20, -1, 30, 14, 10, 26, 25, -2, -36, 16, -5, 5, 11, -6, -41, -35, -14, 18, 23, 22, -26, -33, -20, 1, 24, -19, -37, 18, 46, -28, -2, 14, -18, 10, 5, -20, 15, 30, -44, 3, 31, -31, 21, 28, -11, 32, 18, -6, -2, -10, -36, -30, -15, -27, 8, 42, 2, 12, 16, 3, 15, 25, -27, -5, -21, 23, -28, -6, -43, -23, 16, -23, 6, -37, 39, -3, -16, -22, -28, 24, -9, 40, -58, -9, 4, 9, 26, 15, -28, 12, 11, 21, -26, 5, 39, 14, 18, -25, 3, -19, 13, 4, 36, -1, 4, -15, -5, -15, -28, -27, -11, -17, -2, -41, 21, 34, -2, -29, 12, -25, -44, -28, -10, 28, 14, 38, -12, -20, 18, 35, 26, 43, 32, -13, 26, -18, 36, -22, 45, 26, 14, -12, -1, -11, -14, -23, 35, 17, -47, 5, -23, 0, 35, 27, 13, 0, 0, 1, -2, -29, -25, 10, 18, -15, -2, -25, 21, -26, -32, -4, -21, 22, 25, -26, 16, -4, -4, 19, 20, -19, -17, 36, 31, 29, 40, 22, 8, -15, 22, -6, -8, 5, -26, -4, -20, 13, 19, 40, -10, 36, -68, 12, 10, -58, -5, 5, -43, -4, 0, -14, -11, 16, -11, -39, -47, -99, 2, -4, 3, 28, 6, 10, 42, -23, 22, -29, 46, 17, -31, -1, -17, -8, -21, -26, 1, -18, -12, 16, 40, 6, -8, 16, 7, 23, -29, -10, 1, -49, -25, -30, 15, -21, -2, -31, -35, 37, -26, -33, -33, -23, 38, 36, 44, 14, 27, 7, 22, -13, 15, 28, 21, -6, 4, -38, -34, -22, 35, -20, -13, -28, 20, 30, 32, 19, -18, -14, 0, -33, -1, 32, 4, 15, 11, 20, -11, 24, -14, -5, -21, 14, -15, 4, 20, 23, 2, -34, 12, 15, -7, -5, 1, 45, -14, -15, -28, 24, -21, -76, -10, 18, -15, -6, 10, 3, 44, 39, 11, 28, 60, -26, 8, 46, 2, 15, 8, 40, -36, -8, 24, -24, -17, -8, 20, -26, 19, 13, 1, -23, -29, 40, 18, 12, -29, -26, 17, -21, -39, -6, -22, 8, 1, -7, 22, -7, 16, -20, -12, 28, -9, 37, 20, -64, -10, 5, -36, 3, 8, -38, -36, -17, -35, 6, -14, 1, -21, -5, -11, 35, 27, -29, 6, -20, -14, 1, -17, -23, 43, 23, -33, -31, 31, -14, 8, -12, -13, 19, -3, 13, 14, 4, 10, 22, -27, 43, 15, 41, -8, -3, 10, 6, 10, -13, 33, 14, -18, 35, 11, 14, -10, 23, 24, -18, -2, -8, -10, 29, -15, -2, -7, -7, -2, 0, -31, 27, 64, -32, -3, 50, -30, -4, -29, 22, -33, -40, 13, -4, 3, 7, -20, 21, 35, 1, -17, -20, -15, -14, 24, 8, 21, 9, -35, -2, 28, -1, 37, 20, 37, 6, 5, -48, 20, -6, -19, 30, -3, 33, 21, 19, 6, 8, -31, -28, -2, -60, -20, -51, 30, -28, -26, -4, 28, -18, 12, 35, 23, -25, -35, 34, 13, 26, 0, 35, 25, -24, 29, -38, 12, -30, 6, 5, -29, -39, 6, -25, 26, 12, 15, -4, 34, -27, -7, -15, -31, 20, -21, 1, 23, 36, -29, 25, 9, -46, -23, 41, 3, -48, 1, -30, -69, -29, -8, -8, 5, -10, -3, 15, -20, 22, 43, -32, -9, 8, -33, 14, -6, 17, 0, 19, 35, -8, 33, 30, -10, 21, 8, 9, 22, 37, 21, 5, 32, 16, 29, -10, 32, -24, 1, -17, 12, 42, -31, -7, -25, 7, 26, 4, -29, -15, -9, -20, -32, -3, -13, -20, -20, -47, 22, 23, 1, 4, 13, 43, -7, 15, 59, 7, 23, 16, 25, -6, 56, -21, 45, 2, -39, 26, 12, 12, 1, 46, 21, -9, 24, 28, 22, 26, 16, 5, -3, 10, -1, -49, 5, -28, -23, -5, -17, -21, -11, -34, -40, -17, 37, 28, 3, 30, 35, 37, 39, -27, 4, 29, -20, 38, -2, -6, 26, -16, 37, 38, 22, -31, 10, -4, -13, -7, -6, -2, 25, -13, 31, -21, 4, 36, -38, -16, -12, 1, -6, 34, -4, -8, 10, 2, -21, -10, 8, -18, 13, -32, -56, -29, -16, 37, 13, -11, -22, 2, -4, -22, -23, 1, -41, -35, 13, 23, -40, -26, -22, 0, 31, 42, 40, 7, -9, -27, 2, 18, 13, -24, -9, 3, 23, -22, -8, 16, 3, 24, -35, -30, 1, 24, -7, 7, 33, -31, -28, -35, -27, -23, -16, -5, -38, 9, 20, 22, 31, -19, 24, 35, -32, 33, -11, 8, 13, -10, -36, -13, -38, -21, 9, 3, 67, 71, 51, 16, 47, -14, -17, -4, -38, 4, 12, -7, -5, -56, -13, 9, -48, 18, -11, -21, 20, -14, -3, -49, 4, -4, -7, -14, -37, -12, -13, -15, -2, -11, 15, 25, -18, 1, 0, -5, 15, -21, -29, 9, -38, 3, -32, 0, -3, 16, -28, -31, 16, -25, -13, 23, 34, -17, -30, -25, 19, -8, -22, 15, 10, 28, -6, -7, 23, -16, 31, 0, 24, -1, -34, -52, -46, -9, -1, -80, 6, 3, 4, 30, 27, -1, -6, 1, -12, -13, 6, 11, -32, -90, -86, -31, -74, -65, 22, 4, 3, 27, -14, -28, 25, 11, -22, 34, -4, 6, -8, 30, 11, 27, 28, -27, 33, -23, 23, -1, 17, -32, -45, -5, -46, -14, -56, -30, 8, 26, 15, 10, -39, -3, -17, -59, -25, -20, -14, -50, -15, -16, -26, 25, 3, -2, -23, -17, -3, 23, 56, 15, 2, -3, 44, -9, 1, -18, 5, -3, 42, -17, -31, 7, -21, -7, -4, -36, 27, -29, -26, 29, 12, 44, 29, 23, 42, -15, -14, 27, -32, 21, 7, -25, -5, -42, 14, -26, 27, -4, 0, -19, 35, 28, -4, 11, 6, 38, -18, -30, 29, 10, 50, 1, 22, 37, 32, 0, -3, 27, 2, 11, 4, -24, -52, -18, -24, -24, 20, 30, -3, 21, 5, -4, -23, 18, -4, -8, 1, -14, -25, -24, 27, 18, 12, 0, -61, 32, 11, -13, 33, 19, 10, -12, -24, 11, 13, -17, 41, -25, -13, 1, 4, 18, -35, -32, 18, -38, -15, 18, 32, 61, 33, 11, -21, -24, -19, 42, 6, -4, -23, -8, -21, 18, -17, -16, 33, 29, -37, 18, -22, 5, -18, 14, -21, 27, 38, -54, 42, 28, 60, -2, -5, 43, -19, -8, 8, -20, 8, -4, 45, 3, 5, -14, -11, 37, 8, -12, 8, 11, 18, -21, -34, -14, -47, 2, -28, 4, -20, 20, 30, 1, 20, 31, 45, 10, -36, 28, -4, -18, -24, 2, 35, -18, 10, 21, 0, 14, 15, -17, -3, -33, -35, 33, -50, -44, -13, -44, -39, 9, -34, -67, -32, 18, -13, -8, 30, -12, 26, -20, -22, -11, 11, -14, -1, -58, -9, -46, 8, -14, 16, 9, 35, 85, 18, -19, -34, 24, -25, -47, 20, 29, 33, -5, -25, -32, 16, 21, -9, -6, 10, -2, 31, 23, -14, -27, 1, -23, 28, 14, -33, 23, 29, 2, -12, -32, 6, 3, 33, -13, 4, -40, 41, 13, 18, -13, -42, -10, 10, -44, -38, 27, -63, -46, -7, 6, -13, 4, 39, 4, -9, -32, -6, 2, 10, 24, 5, 2, 7, 27, -22, -23, 21, 8, 9, 30, 15, -6, -24, -12, 13, -3, -22, 43, 33, 31, -15, -32, 30, -15, 1, 2, -15, 19, 31, -17, 8, 10, -29, 0, -33, 27, 35, 14, -12, -24, 27, 11, -2, 26, -26, 7, -4, 33, -2, 35, 35, -17, -46, -7, 28, -36, 35, 44, -24, -32, -1, 22, -12, 30, -21, -14, 29, -11, -47, -1, 22, 1, -21, -19, 18, 16, -15, -4, 40, -26, 24, 16, 2, 70, 52, 11, -8, -15, -25, 4, -4, -11, -21, -7, -32, -12, -24, 3, 0, -36, -21, -8, -19, -11, 32, 13, 11, -23, -21, -5, 16, 15, -28, 28, -2, -7, 21, 9, -29, 9, 38, -33, -30, 0, -9, -3, 15, 7, 13, -12, 37, -3, -23, -10, -22, -17, -2, -3, -6, -47, 28, -12, -11, -17, -33, 2, -2, -25, 7, 20, -21, -20, -23, 14, 8, -11, 5, -10, -1, -6, -61, 13, 26, -28, -6, -14, -15, 10, -11, 15, -16, 15, 39, 20, -1, -18, -18, 19, 0, -2, -12, 7, 6, -7, -37, -3, -42, -30, 23, -41, -33, 15, 14, -29, 20, -10, 17, -4, 15, -30, 25, -24, -24, 36, -21, 3, 15, 32, -15, 40, 63, 12, 0, 12, 34, 38, 33, 2, -7, 19, 5, 17, 3, 2, -1, -20, -12, 11, -11, 23, -7, 7, -20, 29, 27, -30, -18, -21, -2, -3, 4, -22, 22, 24, -10, 13, 6, -37, -11, 24, 40, -7, -26, -8, 31, -20, -5, 24, -1, 15, -18, 20, -36, -4, -11, -15, 6, 7, 18, 22, -17, -4, 33, 49, -17, -35, -15, -5, -35, 2, 32, 18, -10, -11, 10, -3, 31, 6, 8, 32, 56, 30, 37, 13, -19, 2, 27, 1, 2, -8, 15, -4, 42, 58, 12, 21, 19, 18, -5, 17, 10, 51, 10, -36, 19, 11, -50, -15, -5, -72, 24, -7, -19, 26, -21, -25, 10, -26, -27, 9, -25, 34, -11, -23, -4, -18, -21, 19, -31, -38, -28, 23, 25, 42, 4, 36, 0, 44, 15, -29, 2, 15, 19, -19, 3, -14, -16, 15, 25, -18, 26, 17, 33, -2, -24, 41, -22, 18, -29, 38, 10, 18, 13, -30, -3, -11, -22, -17, 10, -35, -7, 5, 26, -27, 22, 26, 20, 21, -18, 32, -6, -27, 14, 31, -21, -13, 17, -10, -36, -5, -14, 14, 5, 19, 57, -4, -6, 30, 33, -11, -3, 37, 2, -23, 14, -12, 23, 5, 6, 28, 13, 1, 20, 29, -27, 20, 39, -24, 12, -12, -4, -16, 15, -46, 4, 12, -33, 5, 17, -20, 6, 12, 20, -18, -39, -36, 9, 0, 30, -17, -13, -11, 15, -1, 22, 20, 17, -42, 0, -3, -57, 3, 15, -29, 9, -23, -13, 30, -38, 16, 26, 53, 46, 9, -30, 22, -17, -29, -2, -16, -35, -6, 0, 35, -20, 25, -3, -16, 14, -32, 56, 15, 30, -27, 15, -28, 6, 25, 22, -17, -9, 11, 17, 2, 19, -6, -3, -20, -16, 13, 3, -45, 50, 6, -59, 37, -16, -6, 33, 26, -12, -2, 32, 51, -7, 0, 37, 23, 28, -26, 17, -14, -52, 25, -22, -17, 21, 1, -6, -26, 25, 35, 12, -13, -34, -7, -35, -6, -35, 7, 40, -17, 6, -21, -27, -32, 1, 38, -14, -14, 1, -3, -3, -10, -15, 21, 29, -30, -2, 22, -30, 29, 15, -36, -10, -2, 31, 36, 36, 10, 2, -21, -37, 23, -31, 11, -29, 30, -14, -28, 1, 31, 20, 27, -27, 6, -30, 36, 28, 14, -15, 13, 25, 6, -7, -10, 31, -20, -1, -7, -39, 36, -10, 24, -35, -9, -5, -22, -26, -42, -14, 6, 5, 15, 27, -11, -42, -12, -12, -35, -1, -58, -43, -36, -23, -49, 5, -12, -35, -27, -45, 8, 11, -12, 20, 8, -26, -4, -35, -33, -30, -16, -29, 36, -9, -30, -29, 15, 0, 8, -2, -40, 20, 45, 23, 23, -46, -4, 5, -40, 24, 31, -30, 30, -7, 2, -17, 15, 4, 3, 16, -19, 3, 7, 30, -29, 40, 28, -33, 20, 16, 12, -25, -14, -34, -42, -16, 27, -34, 22, 1, 29, -21, 37, -14, 37, 7, -1, -15, 14, -6, -22, -15, 16, -4, 22, 40, -3, -1, -4, -10, 0, -14, 4, -42, -14, 26, -8, 18, 44, -37, -20, -8, -35, -3, 40, 3, -24, -7, -18, 14, -19, -13, -34, 9, 24, -12, -23, 5, -6, -34, 2, -23, 20, -40, 9, 1, 15, -27, -25, -22, -58, -31, 32, 13, 7, 18, -37, 29, -27, 20, -20, 13, -5, -16, -3, 27, 5, 22, -16, 29, 5, 11, 20, 11, 20, 35, 18, 33, 15, -1, 19, 22, 1, 14, -11, 17, 5, -14, 37, 18, -20, 31, 20, 23, 3, 32, -38, -29, 7, -21, -45, 3, -19, 15, -8, -51, 1, -2, 25, -41, 5, -37, -29, -5, -16, 28, 20, -32, -6, 9, 14, -17, 4, 24, 9, -2, 12, -22, -26, -27, -45, -53, -19, -11, 30, 39, -10, 30, 25, 16, 27, 29, -17, -41, -22, 8, -25, -29, -10, 11, -46, -29, -20, -22, -35, 15, -14, -38, 0, 10, 0, 19, -6, 16, -39, -28, -11, -18, 23, -4, -14, -31, -35, 7, -32, -14, -24, -9, -14, -12, 70, 1, -32, 38, -12, -27, -5, 34, -21, 33, 19, -38, 7, 10, -14, -15, 4, -13, 27, 36, 16, 24, -26, 30, 31, 16, 26, -12, 13, -8, 5, -2, 37, 21, 64, 0, 16, -4, 17, 8, -5, 0, -26, 25, 14, 39, 1, -13, -22, 16, 27, 8, -2, 9, 37, -11, 31, -29, -4, 24, -5, 21, 13, 12, 5, -9, -45, -26, -2, -11, 38, 7, 24, 14, -3, 33, -4, 0, 8, 1, -10, 46, 10, -22, 27, -28, 13, 12, 11, 11, -17, 19, 13, -25, -30, -23, -19, 18, -19, -1, -18, -3, 17, 31, 2, -38, 31, 0, 3, 66, -18, -14, 37, 2, -54, -15, -4, 18, 26, -1, -6, -9, -27, 14, 12, 0, -1, 5, -30, 19, 23, -22, -41, 8, -22, 9, -21, 9, -17, -36, -37, -24, -22, -31, -5, 3, -8, -22, 14, 16, -34, -19, -29, -13, -34, 28, -28, 27, -24, -22, 28, 13, 38, 21, -38, 11, 15, -25, 15, -3, -30, 3, 4, 14, 5, 15, 41, 11, 14, 16, -6, -26, 19, -2, -20, 27, 37, -36, -24, 10, 28, -13, -21, 1, -11, 24, -2, -36, 14, -41, 4, -35, -35, 0, -13, -7, -28, 5, 46, 5, 2, -28, 11, -29, 11, -7, 13, -31, -8, -27, -34, 18, 43, 35, -36, -17, -26, -35, -29, 19, 21, 26, -28, 18, 24, -1, -17, -10, 37, 34, 18, 31, 1, 33, 17, -3, 40, -13, 12, 11, -16, 20, 20, 4, -21, 21, -24, -31, 53, -16, 14, 42, 13, 19, 6, 8, -18, -1, 45, 52, 65, -22, -78, 3, 7, -28, -11, -6, -20, -13, -22, -8, 25, -34, -36, -24, -14, 25, -4, 5, 70, 5, -25, -14, 33, 31, -35, -9, 22, -17, 23, 22, -27, 0, -50, -37, -14, -15, 3, -49, -25, 31, -51, -10, -23, -39, -2, 35, 5, 30, 20, -24, -17, 1, -42, -48, -11, 4, 18, 1, 20, 31, 8, 14, 33, 27, -18, 45, -20, 29, 17, 44, 19, -6, -22, -9, -19, -48, -51, 15, 32, -5, -37, -9, 1, 34, 10, 42, 38, -36, -32, 39, 14, 7, -15, -27, -31, 26, 21, 39, -10, 1, 48, 20, -9, -4, 37, 16, 12, 22, 13, 30, 2, -13, 25, 21, -1, 19, -27, -8, 0, 0, 16, -37, 4, -4, -4, 7, 13, 23, 24, -26, 24, -5, -30, 16, -1, -77, -25, 2, -12, 9, 34, 32, 47, 10, 1, 45, 6, -52, -43, 19, 16, -52, -3, 33, 7, -24, 1, 31, -34, 15, -13, -3, -5, -9, -13, 35, 11, 26, 11, -11, -31, -25, -8, -28, -66, -50, 6, -8, 13, -10, 28, 8, 19, 16, 28, 24, 6, -26, -1, 18, -25, 34, 11, 3, -14, -39, -16, -3, 5, -52, -24, 8, -8, -17, 39, 18, 3, -10, 17, -24, -13, 1, 28, 17, -17, -2, -10, 7, 9, 20, 18, 23, 47, 27, -32, -16, 46, -23, -32, 15, 30, -16, -5, -4, 3, -3, 1, -5, 16, 19, 32, -36, 26, 29, -2, 25, -15, -21, 21, 35, 32, 39, 5, 1, -30, -45, -36, 11, 39, 34, -7, -12, -18, 16, -50, -35, 6, 23, 11, -19, 10, 39, -9, -23, -7, -54, -33, -17, -5, 1, -42, -6, -16, 11, -4, 21, 15, -5, -40, 0, 12, 11, -6, -11, 26, 15, -5, -6, 22, 12, 16, -18, -16, -40, 15, 4, -29, -25, 20, 31, -1, -12, 6, 8, -25, -49, -5, 18, -7, -24, -38, -16, 13, 2, -38, -20, -9, 29, -19, -28, 13, -21, -1, -24, 2, 44, 28, 27, -22, -13, -18, 1, 11, 34, 1, 12, 13, 30, -35, 28, -23, -30, -5, 2, 37, -16, -4, 5, 13, 29, 14, -34, -32, 14, -24, -4, 21, -5, 27, -31, 30, 51, 9, 4, 1, 29, -12, -39, 14, 11, 62, 32, 34, 27, 39, 11, 12, -59, -51, 34, -11, -14, -17, -9, 48, -7, 0, 43, 12, 38, 4, 15, 33, 2, 19, 12, 1, -20, 34, 32, -22, 27, 21, 2, -29, -29, 57, 38, -1, -2, 7, 18, -25, 6, -2, -25, -35, -11, -8, -25, -26, 21, -36, 6, -23, -13, -44, -9, -39, 5, 7, -9, -31, -3, 48, 28, 17, -54, 14, 26, 22, -8, -42, 20, 9, -26, 29, 26, 21, 26, 24, 35, -8, 10, 40, -31, 34, 26, -16, 30, -41, 2, -32, -2, 22, 16, 11, -2, 33, 13, -29, 10, -11, 30, -16, 3, -25, 14, -28, 10, 32, 6, -32, -19, 4, 5, 8, 6, -30, -8, 13, 7, -24, -16, -15, 25, -7, 28, 32, 18, 10, -16, -7, 4, 19, -22, -29, 3, 10, 12, -24, -25, 4, -15, -30, -15, 39, 1, 32, 35, -12, 24, -24, 12, 22, 2, -4, -5, -5, -2, -21, -32, -11, -23, 0, -5, -41, -40, -14, -25, -20, 1, 13, 6, 9, 3, 18, -35, 10, -29, -34, -27, 15, 11, -10, 23, 18, 7, -4, 6, -9, 10, 31, -33, -19, -28, -11, -18, -24, -26, -5, -4, 2, -16, 15, -10, -26, 18, -8, -20, -24, 12, 32, 2, 9, -9, -65, -30, 12, -23, -1, -30, -2, 17, 15, 18, -9, -23, -7, -26, 8, 13, -11, 32, -11, -18, 35, -37, -18, -26, 5, 8, -9, 19, 21, 18, -1, -22, 24, -37, -2, -29, -32, 27, 4, 32, -4, -10, 31, 5, 18, 40, 38, 27, 14, -25, 21, 19, 23, 11, 19, -9, 18, -17, 2, -21, -22, -26, 36, -9, 22, -17, 14, -20, -34, 33, 11, -32, 16, 15, -25, 19, -38, 13, -12, -4, 33, -18, -3, -36, -8, 21, -13, -23, -19, 0, -9, -25, 14, 9, 43, 19, 6, 39, 19, 14, 34, -31, -9, 27, -5, -18, -1, -22, 5, -20, -12, -13, 14, 19, -17, -39, -3, 23, -17, 19, 24, -31, -34, -12, 4, -26, 39, -28, 5, -25, -29, 21, 26, -8, 34, 43, 51, -18, 25, -21, 17, 34, -7, -23, 3, -31, -14, -35, 26, 20, 7, 15, 29, -26, 0, -39, -40, 14, -10, 12, 34, -36, -33, 24, 37, -25, -7, -27, 8, -12, 29, -36, 35, -4, 55, -17, -15, 32, 35, -27, 42, -7, -9, 13, -41, 30, -2, 2, -5, -8, 34, -38, -18, 13, 31, 1, 31, 11, -37, 28, 15, 3, -18, -18, -27, 3, -23, -10, 18, -22, 1, -39, -23, -24, -3, -28, -33, -31, 19, 9, 34, -20, 37, -20, 23, 29, -21, -3, 13, 9, -38, -3, -5, -17, 34, -35, 0, 50, 18, -28, 32, -4, -10, 3, -3, -9, -18, -5, 41, -20, -9, -4, -32, -19, 29, -14, -29, 34, 25, -29, 11, -25, -22, 34, 25, -4, -12, -34, 22, 32, -29, 38, -8, 54, 2, 2, 12, -28, 34, -45, 31, -23, 36, -1, -14, -19, 3, -23, 13, -10, -12, -6, 14, -2, 0, 18, 19, 6, -20, -34, -37, -10, 22, 14, 27, 2, 0, 16, 9, -7, 23, 15, 21, 29, -12, 39, 27, 2, -44, -18, -36, -28, 19, -13, 7, -45, -21, 20, 25, -2, 10, -29, -17, 2, 18, -5, -2, -6, 32, 15, 1, -37, -17, -31, -1, -17, 11, 36, -11, 4, 25, 1, 41, 6, -21, -2, -31, 19, 31, 1, -35, 19, -8, 33, -1, 15, 57, -5, -34, 52, -10, -7, 32, -10, -10, 21, 0, 26, 15, 6, 27, 5, -9, -10, -26, 24, -15, 30, 31, 29, -19, -25, 10, 5, -15, 6, 39, 2, 4, -13, -28, 1, -32, -15, -3, -36, -13, -14, -32, -9, 3, -24, -8, -16, 25, -32, 3, -6, -31, -14, -33, 17, -31, -35, -34, 32, -2, -25, 32, -25, -19, -25, -22, -10, -10, 31, 23, -8, 23, -32, 35, -19, -32, 2, 16, 34, 22, 38, -16, -14, -22, 35, 10, -27, -39, -39, 19, -11, 23, -26, -40, -12, -20, 38, 4, -3, 22, 11, 4, -37, -36, 4, 31, 23, -22, 25, -18, 7, 10, -7, 15, -37, 9, -11, 9, -15, -44, -8, 8, 13, 26, 29, 34, -19, -19, -27, 7, -39, -30, -25, 10, 21, 14, -32, -38, -22, 3, 2, -15, 6, 28, 35, -39, 28, 14, 14, -17, -30, 14, -13, -33, -41, 6, -53, 5, 13, 44, -21, 2, 5, 42, -30, 7, -5, 12, -16, -12, 11, -24, 4, 56, 51, -6, 45, 3, 19, -12, -10, -17, -31, 30, 12, -26, -19, -39, 26, -33, -29, -3, 15, -16, 13, -13, -35, 42, 10, -1, -13, 15, -13, -35, -42, 15, 34, -7, -55, -18, -80, -48, 6, 10, -27, -3, -30, -22, -10, -31, 21, -38, -23, -8, 36, 24, -26, 25, 9, 20, -29, -53, 14, -3, -13, -12, 6, 7, -3, -31, 3, 17, -22, -10, 8, 33, 17, 16, 15, 17, -20, 17, 22, -28, 17, 11, 21, 18, 25, 9, 28, 39, 21, -72, -8, 22, 62, 30, -28, 24, 33, -16, -4, -19, -68, 34, -10, 27, -4, 21, -18, 2, 31, -13, 37, 20, -14, 15, 13, 23, 4, -19, -16, 10, 12, 20, -5, -13, -34, 38, 10, 3, 13, 0, -8, 35, -36, 6, -34, -4, -28, 23, 22, 7, -30, -28, -31, -46, 30, -30, 21, 30, 39, 29, -22, 36, -9, -16, 6, -15, -47, 1, -17, -33, -7, 3, -23, -1, -66, -47, -25, -38, -29, -15, -24, -34, 30, -38, -23, -24, 28, -20, 25, -10, -3, 15, -18, -8, 13, -36, -28, -4, -19, -37, 0, 7, 8, -23, 0, -28, -36, -11, -14, 2, -12, -21, 6, 7, 8, 34, 17, 15, -17, -29, 42, 6, -8, -3, -11, 16, 16, 5, 10, 13, -7, 7, 13, -20, -7, 7, -14, 11, 27, -32, 13, 2, 30, -1, 27, 20, 46, 28, 38, -60, 0, 6, -3, 11, -24, -38, 15, 36, 31, -13, 19, 15, -42, -15, 25, -32, -24, 1, -16, -19, -5, -33, 39, -32, 6, -1, -44, -8, 17, -11, -1, 6, -8, 38, -18, -20, 25, 37, -18, -6, -7, -27, -19, -19, -54, -11, -31, 16, -16, -16, -33, -37, -28, 22, -40, 33, -10, 22, -3, -2, 20, 1, -9, -10, 24, 30, -25, 34, -4, -17, 20, -17, 29, -10, 1, 5, -21, -40, -24, 4, 16, 40, 8, 4, 42, 48, -27, -24, -29, -10, 13, 0, 38, 40, 27, 33, 13, -6, 31, -8, 34, -18, -20, -29, -28, -17, 1, 25, 11, -29, 27, -12, -4, 3, 26, 105, 19, -37, 26, -16, -60, -55, 49, 2, -16, -7, 38, 41, -6, 71, 5, -21, 8, 29, -17, 7, -4, 3, -22, -29, 1, -62, -36, 44, 2, 14, 94, 63, -2, -36, -11, -18, 20, -41, -35, 13, 7, -3, -10, -33, -46, -1, -5, 3, 33, 46, 15, 12, 24, -6, 11, -20, -10, -24, 24, 11, 10, -1, -20, -24, 35, -33, 27, -23, 38, 11, -29, -26, 2, -17, -10, 33, 44, -6, -18, -40, -21, 7, -5, 26, -30, -32, 22, 49, 11, 5, 52, 10, 13, -18, 36, -20, 57, 13, -7, -23, 2, 17, -24, 14, 22, -9, 25, 4, -33, -27, -23, 9, 11, 13, 22, -17, 17, 7, -37, -31, 12, -38, -5, -6, -18, 10, -11, 15, -30, -2, 4, 17, 22, 37, 10, 38, 59, 23, 3, 59, 43, -16, 0, 23, -17, 39, -10, -18, -33, -22, -29, 27, -30, -11, -5, 2, -1, -3, -47, -42, -23, 5, 14, -49, -1, -38, -27, 10, 26, 9, -17, -3, 5, -27, 13, -9, 30, -55, -4, 14, -14, -36, 31, -72, -28, -33, -11, -16, 26, -10, 16, 22, 4, 4, -1, 29, 7, 2, -28, -37, -33, 26, -7, -37, -34, -39, -26, 17, 21, -28, -35, 25, 8, 10, 19, -13, -1, 8, -22, 23, -23, -23, 27, 9, -7, 12, 15, -4, 11, 22, -7, 7, 28, -26, 29, 35, -22, 14, -31, -35, 7, -24, 21, 12, -22, -1, -4, -18, -17, -40, -9, 14, -18, -8, -23, -7, 18, 16, -4, 20, -23, -39, 5, -4, 2, 16, 10, 17, -23, 33, 7, -32, 14, 16, 32, -34, -25, -23, -13, 1, -28, 1, 9, 27, 20, -4, 41, -37, 21, 3, -23, -19, -36, -22, -5, 10, -1, -39, -5, -38, 12, 23, 5, -9, -30, -10, 17, -36, -8, 22, -8, -6, -21, -11, 10, -22, 15, 2, 13, 21, 18, 35, -39, -33, 2, -22, 6, -34, 13, 37, 5, 4, 7, 7, -29, -10, -10, -30, 22, 6, -21, -5, -17, -13, 24, -15, -9, -35, 12, 12, -6, 10, -27, -35, -15, 29, 2, 22, 9, -32, -42, -2, 26, -18, 6, -20, -6, -44, 20, 10, -22, 29, 22, -23, -41, -7, -39, 1, -4, 20, -3, 19, -34, -27, -3, 19, -41, 30, 10, 11, 30, -41, 25, 29, 25, 36, 12, 28, -13, 26, -8, 16, 33, -15, -37, 32, -16, -3, 21, 17, 14, -8, -2, -30, -2, 15, -9, -27, -31, 24, 34, -38, 10, -20, -22, 29, -36, 25, -12, 24, 26, -23, 29, -1, 9, 17, 4, -31, 5, -31, -27, -5, -37, -31, 22, -31, 26, -3, 26, 26, 22, -14, 30, -19, -8, -20, 9, 34, 9, 20, -31, 7, 17, -3, -31, -26, 15, 18, 27, -22, 5, -26, -23, 12, -19, -13, 28, -8, 2, -23, 20, 18, -14, -38, -25, -21, 3, 11, 5, -1, -15, -14, -19, -39, 13, 13, 22, -15, -33, -5, -27, -20, 35, -4, -15, 8, 10, -24, 28, 24, -3, 25, 25, 25, 23, -32, -4, 20, -1, 4, -37, -3, -13, -19, 9, -32, 19, -32, 12, 8, -2, 7, -11, 17, -3, 11, -35, -23, -23, -54, -37, -29, -40, 14, -23, -31, 34, -7, -11, 25, 6, -28, -26, 3, -4, 18, 31, 24, -14, 15, 28, 6, -32, -25, -20, -16, -40, -14, -11, 4, -18, -41, -20, -36, -34, 20, -9, 19, 8, -5, 28, 12, 37, 15, -38, 38, -30, 13, 28, 15, -32, 20, -31, 32, -4, 11, -6, 0, 36, -20, -20, 17, -52, -2, -15, -27, -32, 11, 10, 7, -17, -13, 23, 32, -13, -18, 20, -19, -16, 27, -13, -18, -38, -28, -21, 22, 12, -20, -24, 17, 19, -29, 4, 16, 6, 35, 2, -28, -15, 5, 38, 16, 11, 4, -35, -26, -11, -19, -5, 22, -35, -36, -6, -6, -13, 11, 24, 10, 8, 10, 6, 21, -13, -2, -15, -18, -10, -23, -28, -27, -38, -27, 15, 0, -16, -11, 8, -11, 18, 3, -24, 19, -34, 5, 11, -26, -21, -25, -39, -40, 28, -5, -31, 16, -36, -13, 20, 7, 13, -34, 35, 35, -11, -7, 15, -19, 14, 31, -41, 60, 43, -23, 20, 37, 27, 26, -34, 12, -24, -1, 25, 26, -17, -26, -6, 29, 20, 6, 34, 15, -27, 43, -19, 21, 1, -33, -2, 12, 12, -26, -9, -12, -11, 19, -11, -20, 17, 30, 37, -7, 37, -1, -32, 6, -4, -17, -2, -14, 30, -20, 21, -27, 30, -26, -37, -28, 13, -23, 7, 24, -6, 24, -19, -9, -16, -31, -18, 9, -23, 0, -28, -75, 29, 19, -53, -37, 68, 29, 6, -65, -28, 7, -8, 35, 15, -65, -29, 14, 27, -8, -48, -6, 25, -7, 18, -25, -27, -31, -7, -22, 39, -18, 12, 2, -28, 11, -39, 10, -27, -22, 3, -13, 31, -27, -15, -11, 67, 18, -51, 43, 21, -32, 13, 11, 11, 21, 38, -9, -8, 29, 29, -24, 15, -29, -15, 20, -25, -34, 31, -27, 16, 27, 32, 13, 10, 30, 9, -27, 40, 23, 36, -1, 18, -11, -32, 8, -13, 23, 17, -29, 42, -30, -14, 16, -31, -39, 9, 11, -16, -3, 25, 28, 5, 13, 40, 1, 16, -1, 14, 70, 98, -38, 63, 36, -39, 18, -2, -19, -31, -9, -12, -16, -31, -31, 23, -38, 15, 10, 27, 36, 12, 44, 14, -8, -49, 19, 30, 8, 25, 25, 26, -8, -8, -23, 37, -25, 22, -24, 19, 18, 11, -29, 12, -49, -11, 42, -40, 21, 37, -52, -68, -20, -8, 21, 63, -26, -3, 4, -29, -15, 19, 0, -57, 13, 8, -37, 57, -3, -19, 35, 50, 34, 13, -26, 0, -5, -32, 12, 47, 20, 9, 6, -24, -26, 41, 31, -39, -19, -1, 20, 8, 8, 40, -1, 31, 49, 10, -12, 7, -13, -12, -10, 4, 16, -6, 3, 34, 37, -1, 11, -7, -2, -29, -37, -1, 29, 22, 43, 51, -44, 45, 7, 5, -28, 41, 29, 33, -42, -1, -45, -14, 20, 24, -33, 26, 11, -16, -29, 29, 7, -33, -6, -17, -17, -13, -27, 22, 65, -39, -7, 75, -3, -15, 6, 11, 1, -39, 2, -21, -7, 2, -32, -28, -6, 27, -22, 11, -12, -32, 9, -10, -27, -10, 39, 6, -34, 46, 36, 16, 13, -9, 3, -38, 35, 19, -27, 3, 35, 34, -8, -12, 15, 6, -6, -6, 27, 15, -17, -8, -17, 16, -1, -16, -25, -2, 9, -23, -29, -10, -55, 6, 32, 13, 15, -9, -32, -36, -38, -29, 20, 0, -3, -5, 29, -49, 0, 44, -15, -33, 18, -62, -68, -2, -9, 12, -17, -47, 60, 17, -32, -25, -33, 16, 30, -31, 30, 34, -8, -37, 7, -55, -2, 36, -44, 7, 10, 8, -30, -8, -55, 33, -8, -23, -12, -3, -41, -41, -1, 10, -31, -13, -33, -5, 10, 19, 1, -24, -5, -40, -28, -12, 1, 24, -37, -32, 37, -51, 28, 7, -39, 28, 40, -2, -18, -28, -37, -9, 16, -11, -6, 22, -15, -52, 6, -7, 13, 68, -39, -11, 68, -10, -79, -36, -42, -12, -38, -46, 31, 5, 1, -14, 23, -13, -10, -2, 22, 0, -41, 5, -30, -17, 16, -11, 5, 5, -40, -40, 27, -5, -45, 10, 16, -6, -28, -17, 12, -21, -26, -8, -32, -13, -13, -22, -28, -29, -12, 0, 6, -5, 21, 0, -15, -28, 14, -22, 19, 4, 21, -27, -21, -2, -35, -24, 12, 3, 14, 33, -22, 19, 9, 13, -22, -10, 2, -4, -35, 22, -21, -32, -39, 13, -21, -28, -29, 31, 27, 9, 6, -22, -9, 15, -9, -21, 8, 25, 22, -15, -32, 9, 4, 6, 16, -9, -12, -24, 41, -42, -23, 4, -69, -46, 13, -32, -22, 24, -28, -6, 31, 43, -7, -35, -51, -48, -2, 9, -29, -18, 28, 31, -9, 13, -15, -29, 23, -7, -28, 8, 16, 10, -8, -38, -6, -27, 36, -8, 22, 15, 3, -23, -49, -3, 35, -7, -22, -6, -25, 8, 35, -32, -8, -14, 9, -7, -22, 26, 11, 9, -28, 18, -8, -51, 23, 13, -60, 25, 11, 6, -21, 31, -1, 8, -50, 11, -2, -11, -25, -28, -3, -20, -30, -71, -14, -27, 14, 12, 14, -3, -11, 12, -5, 29, 13, 23, 9, 22, 10, -10, 20, -7, -3, 1, -37, -8, -4, -1, 28, 23, -7, 30, 3, 24, 30, 12, 42, -14, 19, 2, -24, -2, -32, 30, 20, -76, 3, 7, -45, 36, -24, 13, -31, -36, -17, -23, -55, -22, -27, 29, 31, 4, -25, -14, -12, 28, -6, -11, 15, -2, 18, -22, 48, -1, -43, 18, 6, 11, 33, -10, -24, -24, -27, 41, 19, -59, 31, 31, 30, -5, 4, -34, -13, -33, 5, 5, -4, -3, 35, 11, -24, -14, -8, -18, -17, -13, -36, -44, -24, -69, -1, 2, -3, 18, -20, 21, -17, 0, 0, 28, -20, 27, -31, -23, -42, -8, 50, -29, -11, 52, -6, 21, 46, 24, -10, -54, -17, 11, 57, 69, -34, -40, -43, -40, 5, 23, 28, 48, 26, 4, -23, 26, 10, 24, 13, -23, -13, 0, -16, 13, 3, 27, -22, -37, -25, 38, 2, -27, -1, -27, -49, -38, 2, -22, 11, 26, 33, -25, 25, 14, 12, 16, -35, -18, 7, 8, 27, -20, -32, 17, 34, 25, -34, 4, -1, 33, 1, -35, 33, 5, 16, -16, 10, -32, -36, -17, -8, -4, -1, 6, 0, -12, -17, -23, -3, 32, -31, -42, 11, 9, 29, -24, -59, -31, -17, 7, 18, 4, 44, -15, 6, 34, -18, -37, -45, -18, 20, -30, -27, 1, 9, 6, -30, 5, -1, 31, 14, 20, 26, -23, -11, -29, -30, 26, 27, 10, 33, 4, -7, -3, -71, -58, -26, 13, 44, 25, -12, 0, 23, 21, -44, -11, 24, -26, 28, -11, -1, 18, 31, -18, -16, -10, -34, 5, 17, -43, -43, 24, -37, 26, 44, 50, 0, -27, -26, -30, -34, -30, -22, -22, 14, 0, 8, 73, -10, -20, 42, 15, -99, -26, 8, -12, -9, 37, -16, -29, 45, -25, 21, 33, -4, 28, 4, -4, 31, -30, 34, -37, 24, -6, 4, -5, 75, 62, 31, -21, -13, -5, 77, 27, 29, -27, 5, 25, -23, -56, -64, 7, 54, 44, -29, 20, 14, -2, 3, -20, 21, 21, 38, -29, -18, -16, -23, 28, 9, -2, -39, -49, 28, -2, -40, -5, 9, -53, 3, 10, 12, 15, 8, -27, 7, 1, 10, -60, -26, -43, 41, 75, -11, 30, 69, -22, 8, 28, -3, 51, -17, 3, 8, -14, 19, 3, 26, -4, -34, 5, -25, 24, 9, 33, 24, 2, -7, -26, 14, -23, 1, -21, -53, -13, -31, 14, -17, -30, -29, 1, 11, -50, 55, 6, -3, 4, 6, 29, -21, 31, 48, 35, -14, 19, -28, -26, -13, 19, 20, 0, 28, 30, -21, 1, -29, 7, -3, 34, -19, 28, 31, -38, -32, -7, 28, -25, -26, 33, 31, -26, 6, 9, -2, 39, -32, -34, 17, -6, 4, 12, 35, 7, -23, 6, 4, 2, 33, 15, 26, 7, -38, -40, -39, 0, 31, -4, -14, 3, -2, -45, -40, -20, -17, 25, 17, 14, 52, 21, -20, -31, 11, 4, -33, 24, 22, -11, 43, 14, -3, 9, -5, 3, -17, 9, -2, -28, 51, 1, 23, 0, 16, 32, 16, 34, -17, -36, 36, 11, -10, 22, 9, -2, 33, -4, 11, -36, 21, 12, -19, 34, 29, 10, -7, -20, 0, -43, 17, 5, -30, -49, -31, -31, 9, -13, 24, 20, -6, -1, 1, 4, -8, 20, 0, 58, 17, -10, -40, -10, -25, -17, -30, 44, -37, -21, 27, -29, 39, 7, 11, -9, -6, -15, -13, 22, -17, -77, 4, 3, -17, -13, -3, -13, -6, -20, -11, -11, 21, 20, -4, -34, 35, -13, -11, 24, 29, 3, 29, 2, 24, 14, -10, 47, -23, -1, -3, -38, 14, -62, -34, -31, 15, -13, -21, -37, -14, 20, -12, -3, 28, -10, -30, -27, 5, -19, 20, 19, 14, 8, -1, 10, -69, 25, -13, -2, -21, 24, -29, 29, -10, -65, 26, -14, -37, 7, -62, -16, 25, -9, -33, 12, 35, -32, -17, -21, -39, -46, -28, -28, -19, -24, -24, -36, 0, -6, 36, 21, 13, 27, -51, 36, 3, 0, -13, -15, -24, 11, -23, 16, 30, -41, -16, -43, 48, 7, -11, 19, 33, -2, -13, 0, 11, -25, -3, 18, 1, 11, -12, -22, 15, 6, 23, 0, 23, -4, -1, 34, 15, 44, 62, -21, 6, 45, 2, -8, 10, 35, -3, 25, 8, 14, -28, -11, 4, -2, 10, 20, 11, -11, -32, 4, -32, -22, 31, -5, 7, 19, 6, 0, 18, -31, -57, 47, -8, -13, 11, 13, 27, -30, 25, 23, 37, 6, 15, 16, -23, 1, -23, -17, -29, -1, -40, -3, 10, -42, -26, -8, -2, -18, 14, 23, -6, 7, -21, -7, -34, 31, 22, 14, -8, -19, -38, -22, -23, 9, 17, -28, -10, 40, 34, -7, -3, 22, -19, 8, 10, 2, 14, 10, -2, 8, -1, -1, 36, -26, -7, 10, -42, -1, 4, 0, 26, -23, -11, -14, 12, 17, 9, -24, 3, 2, -1, -2, 14, 45, 26, -5, -5, -47, -23, -27, -57, 10, 23, 19, -9, 32, 3, -14, 38, -6, -38, 34, -5, 2, 10, -10, -28, 6, 54, -2, 25, 29, -3, 2, 2, -3, 8, 12, -32, -32, -12, -16, 24, 54, 31, -28, 45, -21, -17, 14, -36, 24, 40, 63, 16, 12, 26, 65, 1, 11, 32, 0, 5, 37, -4, -22, -11, -7, -25, -20, -37, -29, -19, -25, -16, 23, 11, 6, -1, -49, -12, -3, -18, -23, 0, -2, -66, -3, -8, 20, 27, 5, -14, 38, 25, -38, 15, 13, -13, 25, -11, 15, 37, 4, 29, 39, 33, 46, 0, 23, 15, -16, 30, -46, -3, 20, 42, -9, 36, 37, -29, -23, -3, -2, 9, 28, 6, -36, -12, 2, 11, -7, 12, -26, 24, -12, -35, -5, -5, -33, 5, -42, -17, -10, -22, 22, -10, 8, 24, -19, 15, -39, -35, -18, 0, -20, -4, -23, -18, -23, 41, 18, -12, 26, 84, -22, -19, 5, 45, 26, 41, 17, -9, 24, 7, -4, 0, 0, -29, -42, -15, -45, -46, -35, -21, 2, 15, 35, -25, -12, 9, -33, 12, 29, -34, 7, -21, -34, -12, -5, 1, -6, -31, 21, -25, -34, 27, -37, -28, -31, 29, 0, -33, -12, 6, -13, -23, 1, 10, -37, -3, 18, 30, -12, 36, -23, 9, 21, -4, -12, 7, -1, 32, 30, 14, 22, -13, -36, 30, 15, -3, -12, 36, -21, 20, -9, -36, 32, -20, 8, -21, -34, 4, 21, 29, -20, -34, -30, -41, -3, 13, 11, 20, -5, -9, 26, -1, -33, 10, 40, -38, -29, 29, 15, 32, 22, -46, 19, 5, 2, 41, 5, 18, -46, 20, -12, -61, -36, 5, 34, 14, 32, 18, 11, -60, 50, -91, -46, 55, -38, -38, 23, -52, -16, -40, -31, -6, 20, 2, -42, -11, -4, -3, 2, -6, -25, 58, 18, 3, 24, 4, 24, 14, 13, -18, 10, 25, -6, 1, 31, 5, -3, 32, 10, 43, 41, -6, 18, 16, 2, -28, 24, -3, 7, 25, -18, 23, 31, -32, -2, -22, -20, -6, -3, 19, -25, 19, 54, 12, 45, 12, -78, -16, 18, 31, -19, 12, -50, -15, 10, -27, -5, -31, 53, 27, -11, -6, -30, -8, 1, 5, 18, -8, -12, -78, -29, -37, -5, 4, -27, -51, -77, -60, -11, 5, -10, 31, -32, -36, 7, 15, 21, 4, 28, -1, 28, -6, -31, 9, 19, 18, -73, -11, 30, -66, 17, 10, -3, 8, 3, -4, -42, -4, -31, -5, -19, 12, 52, -19, 5, -23, 16, 16, -7, 15, 1, -10, 8, 2, -38, -48, 12, 77, -69, -4, 21, -3, -15, 14, 7, 14, 43, 64, 2, 5, -2, -33, -54, -53, -16, 70, 30, -29, 28, -40, 21, -21, -38, -22, -54, -13, 2, -26, 42, 21, 19, 8, -33, -25, 7, 0, 40, -11, -56, -20, 4, 4, -26, -15, -42, -27, -31, 34, 2, 20, 26, -7, 25, 48, 39, 25, 21, 11, 0, -31, -7, -12, -36, -30, 14, -9, -24, -5, -17, 6, 31, 36, -6, -8, -15, 4, -15, -20, -28, -18, -46, 29, -15, 6, 9, -13, 4, 0, 21, 8, -3, 2, -13, 7, -26, -18, 16, 11, -60, -37, -11, -11, -14, -35, 14, 6, 14, 0, -24, 38, -11, 19, -21, -25, 20, 5, 38, 3, 11, 51, -48, -8, 2, 78, 51, -41, -11, -13, -40, -41, -37, -86, 31, -23, -59, -68, -94, 6, 7, -3, 54, 37, 31, -4, -13, 5, 9, 34, 34, 33, 10, 0, 21, 2, 10, -14, -2, 2, 0, 47, -10, 0, 3, -8, 31, -43, -31, -47, 5, -24, -2, -42, -12, -17, 42, -22, -13, -28, 21, -6, 1, -13, -42, 10, -30, -64, -20, -38, -7, -16, -45, -33, 26, 34, -16, -27, 23, 12, -8, 1, 28, 12, -34, -40, -30, -28, -11, -68, -14, -15, 21, -41, -30, 26, -44, -28, -29, -29, 18, -6, -34, 7, -15, -11, -39, 33, -16, -5, 2, -3, -14, -29, -8, -13, 35, -22, -4, -22, 12, -18, 31, 13, 26, -29, 8, 22, 8, -21, -33, -26, 17, -32, 48, 27, -7, -25, -3, 34, 0, 18, -8, -46, 12, -13, -25, 5, 43, -18, -34, -37, 15, 3, -36, 32, -17, 2, 13, 24, -6, -28, 40, 29, 33, 10, -7, -19, 21, 52, -16, 5, 14, 55, 10, 7, 12, -31, 6, -49, 20, -65, -39, -39, 31, -4, 35, 8, 3, -32, -26, -11, 40, 11, -23, 50, 28, 39, 32, -9, 75, 47, 27, -32, 19, -4, -13, -1, 13, 13, 31, 7, -1, 48, 18, 24, -26, -6, -45, -43, -10, 22, 28, -20, 22, 27, 14, 21, 2, 5, 59, 35, 20, -18, -10, -24, -33, -35, -36, -18, -5, -32, 36, -22, -28, -40, -49, -16, 19, -5, -42, 18, -40, -15, 26, -7, 3, 23, -57, -37, 20, -49, -18, -3, 12, -14, -16, -32, -8, 18, 6, -48, 24, 18, 25, 19, 0, -48, -26, 18, 8, -22, -14, -15, -31, 19, 0, -23, -24, 8, -11, 24, -23, -21, -53, 33, 18, -15, 16, -25, -40, 46, 31, -21, 22, 18, 32, -31, -3, 23, 4, -24, -13, -40, -22, 4, 32, -6, 9, -15, 30, -13, 23, -15, -3, -19, 11, 24, -15, -5, -53, -49, -25, -26, 5, -4, 22, 25, -24, 2, -20, -29, 1, -2, 13, 17, -13, 17, 40, -18, -23, 16, 35, -29, 2, 33, -32, 16, -8, -18, 10, 4, -29, -19, -44, 2, 12, 19, 16, -9, 6, -19, 2, 8, 23, 3, 28, 41, 40, -15, -22, 5, -7, -25, -47, -4, -6, -7, 12, 26, 37, -18, 8, 21, 0, -26, 7, 42, 29, 51, 9, -11, 2, 10, -25, -5, 15, 11, -10, -9, -26, -2, 0, -2, 45, -5, -25, -13, -21, -29, 31, -30, 19, 3, 10, 33, 35, -15, -3, 8, 58, 4, -15, 18, 24, 21, -17, -8, 12, 8, 0, 2, 34, 11, -7, 3, -20, 42, 31, 1, -23, 48, 16, 11, 36, 16, -26, 38, 14, 27, 40, -9, 35, -33, 27, 16, 17, 16, 42, -31, 47, 46, 12, 57, 42, 19, -7, -9, 7, -8, 12, -7, -16, -68, 0, 4, -13, -10, 5, -27, -5, -21, -27, 16, 13, -41, 67, 52, 40, 41, -21, 13, -32, -27, 11, -18, -1, -11, -14, -2, -13, 11, -2, -18, 20, 11, -26, -29, 17, 18, 17, -11, -10, 9, -2, -6, 2, 13, 4, 53, -5, -25, 12, -5, 10, -20, 17, -12, -27, -18, 11, -15, -45, -35, 1, 14, 33, 27, -20, -6, 4, 51, -8, -13, 26, -5, -3, -57, -38, 50, 16, -48, -33, -31, 0, 17, 17, -1, 9, -22, 18, 6, 17, -8, 18, -6, -10, -17, -31, 32, 13, 30, 43, 11, -52, 13, -16, -2, 0, 5, -42, -33, -17, -71, -50, 32, -23, 16, 8, 29, 1, 8, -13, -16, 2, -33, -47, 12, 45, 4, 3, 1, 9, 5, 20, -27, -9, -6, -39, 47, -36, -3, -4, -17, -36, 12, 37, 5, 7, 19, -7, 6, 22, -26, 17, -21, -12, 29, 12, 0, 40, 48, -33, 52, 16, -46, -42, -6, -44, 21, -28, -9, -14, 2, 2, -16, -4, -30, 17, 58, 16, -3, -12, 4, 46, -17, -12, -37, -34, -76, -15, -68, -76, -17, -40, 10, 4, -23, -22, -11, -2, -24, -31, -27, -30, 9, -41, 19, 22, -14, 31, 29, 40, 15, -6, 5, 22, -9, -17, 19, 7, -19, -9, 23, -18, 12, 7, 7, 21, 15, 38, -7, 19, 12, 20, 3, 32, -16, 3, -22, -1, -60, -37, -39, 4, -23, 2, -44, -2, -50, -26, 14, -12, 31, 14, -6, 6, 21, -33, -18, 9, 13, 3, -60, 17, -10, -23, 9, 48, -26, -39, -24, -21, -41, -31, -47, -17, -1, -14, 18, 47, 24, -9, -22, -2, 14, -23, 0, 7, 14, -23, -32, 3, 2, -27, 31, -28, 11, 34, 2, -9, -8, 29, 7, 18, -11, 6, 0, -15, 23, 24, -31, 37, -20, 38, -19, -19, -27, -12, -27, 37, -37, 19, 22, 8, 23, 18, -32, 11, 22, -3, 16, 31, -38, -20, -5, -2, 35, -25, 38, 33, -40, 31, 15, 9, 13, 17, 14, -3, -7, 32, -14, -35, 23, -31, -8, 7, 4, 7, -30, -8, -23, 14, -7, -6, 1, 18, 7, 14, 6, -74, 3, 12, -57, -37, -8, -10, 33, -24, 14, -7, 41, 15, 5, 19, -50, -58, -54, -38, -48, 1, -26, 0, -8, -22, 20, -42, 5, -27, -36, -25, -4, -20, -28, 1, 5, -26, 2, -5, -2, -9, -3, 48, 8, 15, -11, -49, -37, 44, 6, -7, 20, -3, -21, -28, 25, 56, 0, -2, 3, -29, -23, 25, 20, 26, -7, 40, 22, 21, 97, 62, -40, -24, -53, -39, -8, -7, -44, -5, -7, 21, 9, -29, 3, -13, 1, 10, 10, 57, 26, -5, 14, 46, 30, 14, 5, -35, -37, 16, -30, 28, 14, 32, 4, 26, -43, -36, -41, 28, 34, -21, 16, -20, -6, -28, 32, 28, 20, -26, 43, 11, 3, 6, 26, 70, 32, -15, 9, -43, -17, 42, 5, 58, -13, -21, 46, 27, -1, -16, -11, 2, 33, 8, 38, 0, -29, -21, -1, -17, -26, -60, -21, -54, -5, -46, -23, -51, -54, -22, 9, 5, -9, 40, 50, 20, -32, -17, -43, 13, -5, -1, 3, 34, -37, -11, -8, 29, -30, 18, 45, -3, 94, 48, -53, -58, -62, -24, -48, -33, -3, 21, 37, -38, 29, 21, 32, 82, 30, -49, -25, -11, -27, 19, 39, 12, -67, -30, 36, -28, -25, 14, 26, 23, 6, -4, -13, 9, 61, 10, 12, -4, 8, 8, 27, 10, 18, 63, 31, 44, -1, -10, -52, -39, 16, -30, -43, 15, -6, -2, -17, 7, 27, 17, 0, -18, 38, 23, 11, -31, -23, 72, 33, -8, 29, -30, 36, 10, 3, -15, 17, -23, 32, -5, -5, -17, -40, 21, -28, -34, -4, -18, -7, 30, -46, -40, 16, 59, -20, 42, 8, 24, -17, 37, 14, -38, -66, -52, -36, 1, 42, -25, 12, 11, 3, 13, 28, -34, -9, 15, 9, -32, 13, 13, -56, -38, 5, 27, 76, 11, 22, -20, -17, 35, 11, 0, -58, 35, 9, 19, 57, 15, -14, -22, -34, 24, 3, -17, 11, 0, 17, -15, -19, -21, 20, 6, 18, 18, 24, -24, -45, -14, 0, -14, 4, -15, 16, 53, 15, -37, -15, -23, 14, -7, 26, -27, 22, -19, -94, 38, 91, -49, -49, 33, 40, 10, 37, 6, 25, 36, -3, 60, 75, -5, 35, -7, -21, -15, -32, 37, 11, -36, 38, -26, -25, -26, 118, 31, -62, -48, -65, -53, -61, -48, -12, -50, -43, 41, -31, 5, 46, 34, 35, 58, -4, 9, 32, 59, 1, -8, -15, -7, 11, -20, 2, -31, -38, 2, 1, -18, -27, 7, 53, 5, 17, 3, -13, -23, -3, -44, -17, 9, -22, 30, -1, 9, -36, 4, 10, 42, 127, 56, -13, 36, -42, -28, -36, -39, 16, 44, 8, -41, 25, -11, 22, -10, 19, -1, 21, -18, -17, -43, -30, 27, 11, -35, -56, 8, 18, -28, 35, 5, -37, -24, -6, 5, 14, -36, 24, 26, 13, 23, 63, 1, -12, 5, 28, 11, -35, 32, -44, 5, 11, -12, 13, -49, -41, -44, -32, -2, -39, 13, -19, -15, -43, -29, -45, -24, -41, 17, -24, -37, 9, 10, -2, -19, -10, 8, -26, -40, 22, 8, 20, 3, 18, 19, -20, -15, -6, -60, -55, -16, 20, -8, -2, -41, -42, -7, 7, 15, -13, 21, 6, 33, -12, -11, -18, 4, 16, 33, -23, 35, 12, -2, -1, 9, 41, -16, -39, 5, -24, -15, 31, -2, 26, -21, 14, -14, -8, 36, -33, -24, -1, -17, 28, -7, -22, 5, 21, 5, 16, 4, -20, -8, 30, 19, 0, 14, -35, -31, -28, 18, 9, -7, -13, -29, -15, 20, 24, -5, 21, -16, -40, -6, 14, -7, -4, -22, -22, -42, -12, -53, 17, 29, -3, 0, 5, 1, -11, -50, -17, 18, -1, 15, -17, -7, -5, 2, 33, -6, 27, 31, -20, -23, 16, 16, -16, 10, 16, 20, 14, 29, -37, -30, 25, 23, 18, -7, -3, 9, -33, 9, 12, 31, -42, -11, -7, -35, 10, -17, -25, 0, 4, 23, 26, -38, -31, 12, -9, 34, 23, -11, -34, -39, -13, 11, -10, -59, 20, 12, 12, 44, 36, 2, 3, 34, 7, 37, 14, 12, -19, -34, 30, -44, -10, 14, -21, -31, -15, -17, 33, -20, 3, -29, 11, -15, -40, 28, 28, -32, -54, 2, -9, -24, -46, 10, -23, -12, 28, 37, -26, 27, 9, -28, 34, 12, -1, 46, -17, -7, 38, 15, 37, 29, 6, -20, -23, -2, 3, 38, -25, 28, 15, -28, -43, 23, -28, -15, 22, 34, -31, 27, 26, 16, 8, -4, 7, 27, 2, -55, 0, 5, -12, -39, 60, 0, 4, -8, -5, 0, -9, -31, -15, -17, 13, -58, -21, 16, -22, -1, -27, 0, -3, 14, -51, -9, -13, 7, 6, -10, 34, -3, 40, -20, -40, 15, 14, 1, -4, 40, 28, -27, -43, -16, 2, -33, -8, 12, 9, -24, -14, -32, 24, 10, 13, -7, -16, -2, 37, 39, -2, -26, -18, 21, 24, 35, 13, -15, -7, 19, -12, -5, -14, 7, 13, 11, 13, -26, -17, -18, -22, 32, -35, -22, -23, -21, 5, -17, -37, -3, -21, -1, 25, 39, 4, 13, 11, 11, 4, 41, -9, 3, 10, -44, -9, 11, 10, 22, -20, 14, 25, 19, 14, 7, 14, 3, -37, 8, -16, 16, -39, -18, -6, -47, 16, -4, -26, -21, -7, -26, -57, -8, -49, -2, -13, -40, -16, -38, -1, -28, 12, 35, 11, 2, 16, -11, 14, -4, -47, -38, -8, -23, -8, -12, -2, 0, 45, -22, -16, 30, -28, 2, -1, -5, -11, 3, 48, 20, 18, 31, 14, -54, 31, 6, -73, -71, -7, -19, -40, -33, -20, 9, 20, 24, 21, -19, -29, -17, -4, -11, 4, 20, -31, 8, 28, 18, 29, 32, 29, -21, -27, -65, 18, -7, -13, -28, -33, 4, 36, -27, -30, -15, -4, -23, 2, -8, -19, -27, -38, -36, -6, 34, -19, 28, 0, -22, 34, -30, 33, -3, 15, 27, 34, 17, -29, -26, -37, 31, -20, -19, -25, 38, 3, -42, -34, 15, -14, 25, -37, -14, -15, 28, 14, 24, -1, -45, 9, 0, -15, 3, 4, 20, -9, -9, -18, 12, 28, -8, 4, 10, 23, 29, -2, 1, -9, -5, 14, -10, 3, -31, 12, -32, -41, 8, 29, 13, 47, -5, -4, 22, -14, -53, 3, 12, -25, -23, -10, -23, -22, 19, 2, -26, 4, -18, -14, 5, -28, -3, 27, 14, -18, -11, 8, -27, 10, 30, 16, -16, -2, 42, 21, -11, -24, 13, -12, -9, 3, -8, -7, -34, 41, 40, -33, -17, 34, -2, 7, 14, 13, -2, 20, 31, 20, -23, 9, 73, 39, 42, 21, 10, 14, -2, 16, -4, -27, 19, -24, -39, 4, 8, -10, 15, -31, -28, 11, -21, 40, -34, -11, 23, -8, 5, 43, -2, -42, -32, -29, 6, 31, 28, -3, 12, 8, 1, 32, -44, 24, -22, 24, 14, 11, 23, 11, 2, -5, 1, -28, 20, -11, 13, 24, -11, 15, -3, -22, -1, 1, 34, -11, -27, -11, -24, -48, 17, 13, 5, 0, -15, 33, 6, -19, -7, 27, -24, 10, -10, 13, -13, -26, -46, -14, -12, 11, -8, -20, -12, 12, -36, 12, 32, -37, -10, -11, 25, 38, -18, 34, 13, -26, -7, -13, -18, -24, 20, 8, 16, -7, -16, -21, 28, -24, -7, 16, 7, 37, -5, -2, 7, -21, 21, -8, 9, -15, 11, 24, -30, -19, -1, 20, -3, 18, -25, 33, -24, 25, -29, 12, 13, -9, 9, 53, -26, 29, 30, -30, -17, -3, -31, 2, 11, -3, -11, -39, 24, 2, 22, -32, 29, 18, 16, -5, 20, -13, 0, -45, 4, 6, 15, -23, -13, -9, -37, 28, 10, -3, -14, 7, 33, 17, 50, 35, 34, 47, -16, -2, -3, 32, 38, -28, 8, 20, -16, 21, 19, 13, -17, -16, -22, -11, -37, 7, 48, 6, 25, 54, -10, -31, 39, -21, -4, 17, -6, 14, 21, 25, -6, -4, -12, -4, 8, 24, -18, -7, -21, -6, -23, -20, -4, -18, 22, 34, 11, 20, 18, 23, 17, 0, 6, 11, -9, -22, 25, -18, -23, 23, -56, -10, 2, 4, 41, -37, 8, 1, 26, 16, -10, 12, -31, 8, 11, -9, -21, -34, 14, -29, -18, -32, 31, 5, -10, 25, -20, -46, -17, 25, 42, 11, 2, -16, 2, 0, -12, 7, -7, -35, 24, 2, -13, 16, -9, 1, 36, 18, 14, -40, -6, 17, -30, -23, -4, 40, 20, -2, -14, -31, 21, -10, 25, 23, -23, -20, 23, -4, -9, 18, -16, -2, 11, -5, 24, -2, -13, 41, 33, 17, 31, -39, -22, -5, 23, -24, 26, 28, 1, -12, 28, 32, 21, -31, 13, -37, -25, 3, -8, -16, 0, 10, 35, 7, 3, -50, -35, -21, -31, -3, -33, -27, 1, -4, 31, 7, 14, 14, 1, -8, 21, -14, -4, -15, 17, -6, -21, -12, 1, 23, -17, 22, -3, 19, 24, 16, 16, -2, -5, -35, 10, 19, -49, -19, -34, -18, -4, 1, -23, 41, 11, -30, 9, 11, 44, 6, -31, -22, 9, -52, -41, -27, -36, -53, -32, 13, 36, -45, -20, -3, -16, -45, 10, -23, -24, 8, 5, -3, -23, 16, -30, -34, -13, 23, -14, -3, -23, -8, 7, -8, 17, -19, -16, 35, -39, -11, 20, 14, 21, -16, 26, 17, -5, 21, -1, 21, 7, 5, 6, -16, 2, -19, 4, -7, -21, -21, 4, 19, 41, -8, 51, 21, -30, -18, 14, 20, 23, -24, 16, 22, -24, -39, 26, 15, -10, -40, 41, 7, 11, -7, -18, -2, -22, -27, 4, 22, -43, 8, 8, -6, -17, -2, -3, -16, 33, -8, 32, 27, -21, -12, 19, 36, -4, -17, 17, -12, -28, 4, -1, 16, -1, 19, -15, -28, 11, -12, 7, -34, 33, 40, -28, -39, 12, 23, 34, 5, -9, 27, -21, 9, 29, -4, 33, 15, -27, 37, -13, 16, -28, -10, 68, 7, 21, 14, 14, 31, 22, 16, 29, 35, 31, 17, 24, 22, 14, -17, -18, -27, -13, -33, 6, -31, 34, 6, -6, 27, 8, -25, -4, 35, -30, -14, 32, -25, -10, -38, 6, -16, -5, 16, -28, 23, 1, -38, 30, 3, 1, 34, -57, -14, 10, -45, 7, -9, -35, -32, -30, -6, -38, -7, 1, -6, -7, -46, -12, 26, 1, 21, 13, -19, -45, -42, -1, 19, -11, -20, 26, -27, 13, 0, 6, 2, 27, 3, -36, 24, -13, -2, 10, -12, -4, -26, -6, 24, 18, 0, -8, 4, -36, -48, -36, -8, -10, 0, -7, 9, 18, -17, 24, 41, -6, -5, 5, 31, -18, 8, -42, -5, 2, 6, -5, -31, -19, 9, 15, -26, 2, 14, 36, -35, 16, 31, 2, 11, 22, 39, -35, -22, 44, -33, -20, -4, 21, -3, -2, -29, -28, -38, 13, -9, 5, 33, -28, -29, 5, -33, -35, 21, -19, 27, -14, -36, -12, -1, -25, 41, 31, 18, -39, 26, 16, -41, -5, 23, 12, -8, 5, 27, 11, -14, 8, -17, 11, -16, -5, 25, 32, -30, 28, 1, 17, -34, 30, -29, 33, -13, 17, -10, -35, -14, 3, 12, -32, 3, 5, 16, -8, 3, -48, 15, 17, -20, 25, 17, -2, -11, 29, 33, -27, -35, 17, -3, -25, -34, -5, 24, -41, 36, -9, -12, -18, 16, 51, -16, -1, 25, 27, 7, 15, 31, -18, -24, -18, -5, 28, -33, 10, -2, -26, -32, -31, -1, 15, -37, 0, -19, 22, 2, 2, -6, -68, -106, -90, 7, -47, 8, 18, 42, 7, -24, -34, -12, -24, -14, -4, 2, -9, 4, -3, -10, 11, 3, 27, 13, 3, 36, 11, 41, 25, -10, 2, 32, -10, -3, 28, 14, -6, 13, 29, 5, -4, -35, 21, 10, 26, 0, -25, -14, -6, 16, -21, -21, -17, -3, 16, 15, -11, 23, 22, 10, -9, 8, -28, -35, 20, 6, 18, -15, 24, 2, 16, 17, 7, 1, 7, -6, 37, 21, -21, 21, -26, 6, -37, -39, 28, 17, -30, -23, 39, -4, -38, -31, -39, -24, -36, 41, 13, -10, -25, -7, 12, 10, 9, -20, -23, -29, 32, -24, 4, 7, -6, 17, 28, 33, -20, 4, 0, -46, -58, -12, 28, 23, -23, 13, -2, 2, 12, -4, -26, 8, -19, 2, 24, 18, 40, -20, -32, -13, -5, -6, -15, -8, -5, 0, -33, 22, 36, -8, -9, 40, -7, -4, 12, -8, 1, 3, 16, -14, 13, -6, -3, 10, 23, 24, 6, 5, -17, 11, -11, -2, 6, -80, -66, -61, 13, 20, -6, -3, 1, 2, -6, -15, -30, -25, -6, 2, -17, -5, -1, -4, 9, 5, 28, 23, 4, -24, 24, -33, 2, 17, -27, 19, -17, -34, 26, 38, 12, -20, 4, -19, 12, 11, 8, -3, -26, -15, -14, 15, -34, -29, -12, -33, -27, 5, -20, -25, -31, -2, 18, -5, 30, -16, 22, 6, 19, -21, 8, -4, -7, -13, 21, -17, -43, -10, 14, 10, 27, 29, 6, 20, -12, 35, -17, -14, -16, -12, -49, -42, 2, 6, 15, -18, -16, -13, 22, -24, -5, 51, 14, 3, -25, 24, -28, 27, -17, 38, 10, 2, -32, -6, -14, -53, -2, 42, 17, 35, -9, -6, -31, -11, 28, -33, -12, 21, 16, 17, 5, -25, 20, 6, -9, -25, 33, -5, -3, 7, -19, 8, -21, -9, 10, 4, 9, 9, -11, -55, -63, -10, 13, 46, 3, -31, 11, -7, 37, -17, -4, -31, 2, 35, 7, 12, 9, 6, -38, 29, 0, 1, 25, 21, -8, 26, -4, 19, 15, 24, 10, 22, -14, 28, -30, 35, 16, 22, -32, -23, -3, -25, 18, 4, -4, 13, 12, 21, -19, 21, 22, 17, 9, 5, -11, -11, -41, 29, 24, -3, 21, 14, -2, -15, -33, -28, 13, -20, 31, 29, -33, -43, -38, 5, 24, -33, -16, 43, 40, 26, -21, -6, 13, 18, 2, -2, -14, 38, -2, 2, 18, 12, -20, 31, -1, -29, 0, -32, -58, -3, 9, 33, 2, 18, 54, -4, 24, -7, -31, -26, -33, -47, -52, -4, -36, -42, -21, 22, 1, 27, -21, 9, 37, -7, -13, -19, -40, -37, -1, -50, -10, 13, -4, -33, -22, -6, 3, -6, -37, 8, 12, -26, -11, -12, 79, 9, -15, 4, 34, -9, 17, -6, -12, -33, 8, -17, -16, -33, 30, 23, -15, -32, -14, 37, -7, 36, 5, 5, 3, -1, 35, -44, -19, -3, 5, -12, 21, 10, 23, 5, -17, -41, -13, -26, -36, 4, -3, -37, 25, -2, 24, 24, -18, 15, -17, -8, 4, 25, 1, 33, 21, 58, 8, -5, -25, 5, -23, 5, -7, -4, 19, -18, -30, 22, -24, -34, 28, 34, 27, -5, -6, 38, 30, 15, 14, 30, 60, 1, 32, 16, -22, 15, -42, 10, -6, 2, -7, 8, 9, 12, -10, 18, 31, -35, 17, 38, 12, 27, 35, 37, -9, -24, -1, 19, -39, 19, -8, -16, 13, 22, -1, 56, 13, -20, 67, -8, -26, 54, 1, -1, 8, 44, 1, 12, -3, -13, 5, -38, 15, -21, -33, 26, -34, 0, 12, 15, -3, -29, 22, -17, 31, -7, -7, -16, 11, 3, 3, 18, 4, 0, 14, -14, 7, -12, 2, 25, -31, 3, 12, -20, 1, 20, 30, -14, -33, 24, -12, 27, 14, 27, 13, -33, 17, -16, -22, -19, 23, 14, -26, 9, 24, -21, -20, -38, -9, -2, -19, 10, -2, -17, -18, -7, -12, -11, -8, -2, 16, 28, 18, 35, -8, 10, -5, -36, 27, 4, -65, 42, 14, 8, -36, -16, -8, -12, 22, -19, -32, 11, -29, 16, 41, -2, -24, -16, -24, 34, -25, -8, -39, -21, 17, -23, 17, -7, 13, -13, -2, -8, -5, 6, -46, -24, -49, 0, -33, 15, 7, -1, 10, -29, 27, -25, -13, 9, 21, -40, -30, 20, -42, 32, 0, 7, -25, -2, -13, 1, -25, 1, 21, -45, 11, -1, 15, 27, 7, -33, -39, -13, -62, 54, 16, -59, -40, -7, -7, 32, -11, -23, 9, -4, -16, -43, 8, -31, -38, 18, -32, 13, 17, 32, 4, -19, 8, -3, -29, -37, -3, -14, -9, 63, 6, -46, 32, -12, -6, 8, 36, -11, 33, -38, -37, -4, -16, -6, 10, -54, 2, 2, -9, 2, 11, 35, 22, 14, -1, -19, -36, -22, 10, -12, -31, 36, 4, -22, -19, 27, 13, 9, -19, -35, 9, 22, 47, 3, -5, -19, 23, 18, -30, -19, 7, -26, -38, 0, 38, -50, 23, -9, -41, 49, 5, 19, 41, -5, 45, -15, 3, -19, 19, -12, 16, 12, 8, 0, 3, -28, 4, -13, -1, -5, -38, -18, 12, -61, -10, 18, -29, -29, 11, 0, -26, 4, -3, -38, -5, 5, -23, -22, -34, 1, -43, 10, 10, -15, 9, 18, 10, -21, 4, 23, 32, -2, 5, 26, 16, 18, 9, 16, -17, -16, -28, 1, -4, 13, 8, 20, 28, -38, -9, -22, 7, 32, 8, 26, 33, 18, -16, 34, 0, 21, 1, -16, 34, 25, 4, -7, 27, 7, -18, 4, -47, -24, -30, 21, 14, 36, -37, -20, 32, -5, -4, 10, -7, -12, -17, 7, 18, -5, 4, -18, 14, 7, -42, 62, -19, -16, 4, 12, -21, -8, -16, -6, 15, 44, 16, 30, 4, 26, 32, 30, -38, -29, 15, -24, -11, -8, -28, 28, -22, 31, -10, 11, -7, 19, -6, 8, -36, -38, -28, -3, 0, 5, -20, 7, 7, 47, -52, -47, 3, -31, -37, -34, 17, -4, -12, -73, 40, 18, -41, 19, -25, -51, 0, -28, -45, -5, -27, -3, -33, -23, -14, -35, -15, 16, 5, 39, -1, 17, 29, -36, 20, -40, -19, -15, 13, -37, 12, -6, 32, 53, -13, -5, 37, -3, 13, -18, -33, 27, -34, -7, -34, -17, 20, -22, -21, -37, 13, 32, 19, 28, 30, 57, -18, 21, 11, 18, -102, -52, -26, 2, -6, -25, -37, 46, 7, -34, 3, 22, 0, -38, 21, -8, 9, -6, -34, 15, -18, -14, 35, 12, 11, -8, -36, -7, 18, 30, 28, 47, 8, 40, 64, -33, 60, 20, -11, 1, -2, -19, 15, -53, -39, -36, -18, -24, 34, 14, -17, -3, 21, -28, 45, 46, 41, 11, 47, 4, 8, -27, -23, -36, -32, -62, 13, -13, 9, -15, -33, 15, 38, -10, 31, -6, -30, -39, -19, -17, -1, -21, -17, -26, 11, -6, -31, -4, -28, -53, 17, 50, 13, -35, -26, -12, 4, 19, 5, -32, 0, -34, -12, 24, 10, -2, 58, -12, -51, -81, -10, -29, -16, -53, -53, -33, -13, 10, 0, -21, 4, -22, -7, -8, 12, -44, -9, -6, 47, -10, -26, 54, 55, 45, 64, -26, 24, 0, -5, 26, -17, -57, -20, 11, -24, -25, 22, 20, 17, -30, 25, -12, 17, 3, 22, -26, -29, -4, -51, -33, -37, -57, 37, 14, -21, 33, -18, 36, 17, 3, 5, 23, 28, -16, -21, -1, 10, -38, -47, -18, -63, -32, -22, 35, 7, -26, 70, -17, -68, -35, -4, -37, -35, -32, -33, 21, -21, 4, 6, -27, 31, -29, 7, 16, 5, -29, -1, -65, -47, 64, -9, -36, 32, 39, -35, 55, 2, 2, -64, 20, -10, -77, 72, -12, -84, 5, 40, -7, -1, -12, 10, 41, 35, 36, -12, 4, -32, -12, -4, -48, -11, -27, -17, -26, -13, -8, -22, -33, -3, 6, 15, -15, -22, -36, -9, -30, 37, -2, 2, 55, -42, -22, 21, 21, -49, -1, 33, -31, -9, 12, -4, -32, -30, 41, 43, -3, 58, 55, 46, 20, 18, 39, -19, 22, 18, 36, -14, 17, 40, 10, -1, 67, 37, -4, -48, -21, 10, 34, -50, -10, -11, -10, -35, -47, -93, -38, -39, -47, 7, -11, 6, 33, 16, 4, 20, -23, -20, -24, 2, 5, -34, -38, -9, 7, -20, -60, -32, 40, -48, -16, -17, 22, -16, 26, 14, -27, 27, 8, 16, -19, -29, -21, -13, 0, -6, 86, 89, -6, -16, 2, -48, -5, -9, 8, -11, 20, -5, -24, -33, 20, 0, 21, 5, -4, -4, 3, 4, -18, -40, 4, -28, 4, -20, -4, 20, 13, 23, 22, -36, -13, -13, -35, 1, -12, 62, 14, -34, 10, 17, 33, -31, 55, 41, -13, -8, 29, 31, 33, 9, -9, -47, -19, 20, -13, -2, 18, 14, -20, -23, -54, -3, 28, 3, -18, 2, -23, -16, -31, -5, -3, -24, -16, 11, -23, 21, -28, 9, -6, -7, 24, -1, -5, 12, 80, 0, -8, 22, -14, -28, 48, -31, -27, 14, 16, -5, -12, -11, 18, -31, 0, 23, -4, 0, -63, -15, -14, -90, 11, 1, 49, 24, -1, 2, -70, -11, 14, -54, -8, -30, -13, -9, -4, 2, -34, 21, 30, 30, 48, 38, 72, 20, -60, 32, 40, 0, 67, 2, 12, 10, -29, -22, -6, 13, 14, 43, 16, -11, -2, 24, 52, 20, 42, 3, 14, 30, 32, 29, 29, 3, 12, 8, 7, -14, 27, -14, -2, 4, -15, 11, -12, -43, 5, 43, -7, 31, -8, -13, -29, -21, -5, 44, 43, 21, -3, 9, -10, 23, 45, -10, 35, 34, -28, 20, -13, -35, -15, -8, -24, 21, -16, 32, 57, -25, 5, -38, -24, -13, -22, 23, -31, 20, -16, -19, -4, 33, 14, 18, 17, 12, -12, -18, -11, 10, 0, 9, -34, 23, -3, 30, 8, -64, 10, 5, -43, 19, 26, 23, -36, -10, -10, -17, 11, 31, 21, -5, 22, 10, -5, -32, -22, -8, 36, 8, 30, -8, -12, -1, -23, 7, 7, 7, 5, 25, 0, 0, -20, 15, 13, 8, 22, -8, 18, -3, 17, -24, 35, 36, -9, 18, -21, -49, 25, -35, -15, -63, -6, 20, -8, 15, 22, -21, 6, -19, 0, -42, 31, 35, -16, 20, -4, 7, -35, -28, -17, 23, 4, 27, 32, 14, 8, -16, -28, -76, 3, -18, 0, -21, -11, -14, 5, -47, -4, 39, 22, 19, 15, -6, -34, 14, -13, -57, 18, -12, -33, 5, 41, 40, 7, 18, -1, -14, -11, -11, -32, 26, -27, 18, 26, 7, 34, 10, -7, -3, -37, -14, -10, -9, 18, -33, -26, 0, 23, -9, -15, 7, 10, 10, 35, -9, 22, 9, 0, -11, -6, -11, -1, -6, 16, -19, -34, 0, 11, -16, 0, -48, -12, -21, -1, -28, -32, -47, -3, -6, 30, 18, 14, 20, -17, -11, -12, 43, 22, 27, -17, -16, 23, -4, -32, -8, -41, 30, -7, -8, -47, 3, -39, 22, -21, 28, 20, 23, -8, 9, -5, -24, -10, 19, 20, 4, 54, -23, -28, -31, 54, 11, 2, -13, 11, -15, -23, 22, 25, 11, -35, -10, -33, -10, 5, -19, 3, -8, -13, 60, 23, -29, -61, 27, -10, 48, 4, 0, 19, 13, -11, 2, -44, -25, -8, 2, -8, -37, -42, 6, 9, -6, 5, -22, -9, 14, 36, -1, 72, 24, 3, 31, -1, -8, 27, -28, -47, 19, 71, 30, 27, -21, 23, -37, -20, -30, -5, 10, 10, -44, -36, -23, -32, -24, -37, -36, -29, 29, 35, -20, 29, 8, -24, -48, -22, -34, -15, -3, 14, 11, 5, 20, -22, -51, 8, -36, -2, 10, 37, -17, 41, 19, -20, 20, -14, 25, -44, 17, -19, 27, 19, 23, 3, 25, 19, -21, -8, 46, 9, 19, -33, -14, -18, 51, 12, -14, 39, -18, 13, 31, 28, -23, -55, 12, -16, 4, -10, -29, 4, 0, -15, 24, -24, -6, -5, -4, 32, 30, -5, 4, -10, -6, -22, -12, 20, 12, 11, -33, -31, -6, 30, 11, 12, 16, 8, 17, 9, -11, 21, 10, 18, -52, -7, -36, -10, -1, -11, -7, 25, 27, 1, 5, -18, 39, 7, 20, 23, 16, -3, -32, -21, 20, 29, 34, -15, -26, -19, -19, 3, 17, -26, -17, -5, 32, -18, 24, -18, -10, -4, -7, -1, -3, 29, 36, 24, 23, -32, 12, -29, 7, -8, -20, 11, -13, 32, -17, 4, -46, -4, -11, 29, 40, 1, 18, 34, -18, -17, -20, 6, -3, -29, 17, -11, -24, 9, -10, 4, -64, -15, 25, 6, -16, -31, -23, -14, -21, -26, -37, 0, 29, -37, 31, 20, 3, -6, -12, 20, 14, 2, 10, -16, -43, 38, -28, 34, -14, -15, 23, -3, 0, 28, -15, 17, 37, 10, 25, 21, -8, -12, 31, -14, -29, 26, 4, -37, -32, -34, -23, 32, -4, -19, -1, -11, 7, -18, -44, -20, 16, 1, 15, -30, 22, -10, -34, -24, 18, 26, -32, -27, -28, 12, 12, 0, -22, 33, -18, -14, -7, -2, -42, -18, -9, -38, 0, 28, -8, -6, 9, -32, -4, 28, -8, 38, 32, -19, 40, -19, -13, -13, -14, 31, 25, -38, 36, -5, 11, -5, -3, -24, 3, -29, -36, -17, -9, 21, 19, -10, 29, -35, -10, 14, -34, 26, -19, 0, -26, -19, 5, -16, 13, -29, 15, 34, 9, 18, -18, 26, -33, 23, 1, 22, 0, -36, -31, 16, 26, -30, 23, -26, 7, -17, 17, 24, 11, 2, -16, 11, -48, -31, 8, 1, 23, 30, 11, -32, -2, 7, 0, 37, -17, -39, -14, -14, -36, 3, 40, -41, 25, -9, 21, -32, -2, 16, -21, -6, -18, -36, -2, -8, 16, -23, -19, -21, 28, -31, -27, 37, 14, -34, -34, 15, 20, 0, 40, 40, -7, -28, 27, 7, -9, 2, -36, 22, -22, 8, -26, 15, -1, -34, -20, -31, -39, 1, -3, -9, 17, -34, 1, 1, 13, 8, 11, 11, -14, -31, 7, 14, -13, -19, -8, -7, 6, -16, -24, -31, -11, 2, 13, -18, 15, -14, 44, 32, 25, 30, 34, 13, -1, -31, -6, -1, 6, 10, -18, 13, 5, -36, 3, -5, -16, -1, -4, 3, -34, 33, -18, -14, 12, -22, -32, 41, 8, 19, 1, -30, -17, -11, 21, 22, -25, -36, 30, -38, -21, -25, 37, -9, 12, -19, -10, 15, -14, -7, -8, 2, -24, -16, -29, 8, 10, -25, -25, -13, -4, 23, 34, 25, 16, -16, -6, 17, 5, 32, -5, -26, 14, -43, -36, -15, -14, 12, -15, 5, -52, -4, 21, 9, 28, -4, -33, 40, 31, 15, 5, -23, 5, -25, -10, 14, -7, 31, 10, -28, -19, 0, -38, 12, 22, -4, -21, 4, 5, -15, -13, -18, -7, -19, 5, 2, -13, -32, 21, 33, 25, -34, 15, -8, 26, 30, 14, -26, -9, -21, 16, 5, -8, 22, -24, -28, 19, 4, -34, -28, -25, -25, 26, 12, -18, 10, 10, 37, -19, 21, 28, 6, 0, -19, 8, 43, 20, 0, 6, 30, -19, -30, -32, 24, -5, -43, -36, 1, -28, 22, 34, -20, -20, 28, -15, -23, -4, 7, -16, -28, 30, 30, -32, 18, -17, 6, -23, -26, -18, -36, -25, 14, -39, -5, 5, -27, 25, -11, 24, 30, 3, 10, 29, 11, 17, 34, 21, 24, 26, 0, 15, -29, 28, 9, 17, -29, -13, 23, -33, 35, -2, 2, -4, 29, -22, -5, -28, -24, 21, 1, -30, -8, 18, 18, 24, 16, 0, -31, 16, -31, -45, 28, 16, -43, -37, 12, -29, -34, -22, -27, 9, 9, -9, 9, 8, -20, 37, -23, 13, -20, -21, 1, -28, -27, 9, -27, 16, -14, -28, -1, 21, -40, -19, -35, -19, -21, 0, 24, -47, -8, 22, -39, 2, 30, -32, 16, 37, -22, 4, 30, 14, -13, -15, -2, -7, -23, -4, 13, -39, -13, 5, -34, -2, 18, 16, -18, -23, 17, 11, 17, -1, -6, -19, 31, 23, -31, -18, -22, -29, -20, 31, -18, 17, -23, 18, -24, 31, 29, 17, -39, -11, -5, -2, 16, 9, -37, 28, 8, -3, -5, -21, 17, -15, -26, -1, -3, 40, 9, 10, 7, 10, 17, -8, -6, -30, -9, -11, -23, -18, 31, 12, 37, 10, -4, 15, 27, -5, -27, 10, 30, -23, -32, 18, 2, 16, -2, 28, 19, 21, -10, -6, 28, 23, -14, -25, 47, -6, -42, 25, 17, 3, -1, -35, -4, 24, 39, -15, -16, -3, -11, -10, 33, -39, 19, -1, -38, -1, 18, -24, 37, 17, 26, -24, -31, 18, -40, -52, 40, 8, 14, 36, 39, 7, 10, -22, 25, -34, 22, -12, -6, -39, 7, -22, -1, -25, -10, -15, -10, -24, -24, -10, 14, -17, 10, 40, 23, 20, 5, 25, 3, 13, -13, -24, 36, -11, 4, 42, -14, -25, 54, 17, -37, 7, 25, -7, -4, -34, 17, -21, -30, -68, 54, -6, -13, 32, -3, 5, 14, 10, 15, 9, 37, -22, 11, 10, -43, -1, -37, 3, -4, -15, -16, -38, 24, -29, 14, -39, -38, -50, 36, 23, -22, 21, 9, -42, 17, -25, 23, -46, -33, -6, -17, -3, 23, -18, -20, -32, -37, 42, 36, 20, 19, -14, -6, -3, 11, -8, -43, 5, 26, -1, 6, -10, -5, -75, 26, 10, -9, 5, 52, -5, -30, -64, 13, 12, -26, -23, -7, 28, -63, -18, -14, 42, -2, -58, 23, -15, -47, 24, -17, 43, -6, 2, 20, 5, -20, 0, 13, 28, 19, -5, -19, -29, -9, -54, 0, 30, -4, 9, -17, 7, -4, 1, -11, 10, -2, 25, 21, 25, -15, -12, -11, 15, 34, 1, -35, -43, 2, 17, -22, 26, 31, -16, 3, 16, -12, 15, 8, 14, -32, -20, -5, -3, -8, -2, -33, 4, 27, -29, -12, -12, 9, 13, -13, 34, -23, 10, -4, -12, -18, -30, -14, 22, 36, -16, -56, 8, 4, -48, -4, 23, -7, 23, -25, 13, 15, -30, 20, 5, -18, 57, -7, -1, -5, -21, 7, 38, -17, -24, -75, 1, -23, -8, -22, -9, -5, -58, 24, 14, -13, -10, -59, -20, 4, -27, -11, 21, 1, 45, 4, -43, 33, 18, 10, 44, -14, -8, 42, -13, 2, 8, 15, -18, 14, 53, 22, 60, 12, 4, 15, -7, 45, 7, 47, -6, -36, 12, 45, -35, -14, 22, -35, 13, -45, 14, -12, 12, 19, -24, -2, -31, 2, 7, 9, -7, 23, 18, 30, -2, -28, -25, -8, -22, 23, -2, -8, 20, 26, -19, -11, -19, 40, 9, -46, -8, -13, -9, -21, -18, -37, 12, -14, -34, 14, -1, -14, 20, -23, -20, 0, 0, -34, -36, -2, -9, -7, 20, 19, 27, 13, 31, 13, 22, 17, 14, 15, -32, 24, -8, -10, 5, 26, -16, -7, 0, -13, 22, -3, 34, 4, 18, 24, -37, 21, 15, -29, -6, -45, -51, -18, -12, 10, 0, -22, -9, 29, 12, -32, -10, 33, 13, -36, 17, -8, 0, -2, 2, 8, -5, 4, 9, -35, -17, 15, -3, -8, 16, -17, -1, -34, -28, -24, -17, -17, -31, 16, -32, -33, -34, -15, -22, 5, 17, -34, 14, 10, 43, -6, 55, -4, -3, 58, 12, 20, -16, 11, -36, 15, -1, -2, 7, -15, 3, -1, 8, -27, -38, -1, -9, -25, -22, -34, -32, 9, 24, -18, 33, -8, 13, -34, 34, -12, -17, 4, 8, 20, 6, 23, -29, 24, 27, -36, -22, 21, -10, 5, -9, 2, -4, 32, -39, -17, -34, -8, 27, 18, -8, 12, 22, -7, -31, 17, -7, 10, 11, -22, -18, 2, 29, -36, -19, -17, 9, -33, 26, -12, 2, 46, -1, -10, 2, -36, -29, 3, -3, -12, -27, 28, -37, -24, 24, -35, -1, 26, 32, -31, 0, 15, -10, 2, 4, -25, -26, -33, 20, 6, -33, -1, 1, 32, -8, -30, -21, -21, -18, -39, -26, 5, -5, 16, 22, 2, 9, -31, -23, -6, -28, -15, 29, -20, -3, 26, 36, 29, -16, -31, 24, -24, -31, 1, 15, -10, 11, 31, -18, 9, 19, -6, -51, 30, 34, 29, 12, -28, -37, -30, -20, -28, -2, 7, -2, 3, -3, -20, 24, -10, 0, 27, -26, 1, -53, -2, 16, -53, 0, -13, -31, -1, 5, -9, -7, 17, 10, -3, 22, -14, -11, -6, -4, -21, 28, -21, 18, -30, -15, 0, -17, 40, -4, 28, 40, -17, 19, 8, -27, -9, 41, -8, -42, 0, 1, -9, 59, -16, 34, -33, 12, 31, 19, 15, -20, 23, -4, 11, -6, -9, 14, 1, 2, 2, -23, 7, -26, 0, 14, 0, -13, 7, -20, -19, -39, 17, 38, -25, -5, 12, -26, -15, 7, 17, -50, -49, -39, -31, -45, -42, -21, 29, 10, -32, 21, 23, -39, -24, -43, -37, 14, -5, -27, -34, 29, -17, 9, -9, -1, -29, 28, 19, 23, 8, -43, -9, -24, -23, 11, 18, 20, -5, 1, 18, -9, -30, -25, 7, 15, 23, 34, 21, 33, 51, -41, 30, 32, -10, -8, 7, -2, -20, 5, 6, -38, -30, 35, 23, -36, -13, 20, 17, -12, 26, -35, -25, -34, -13, 0, 10, 19, -22, 22, 33, 18, -29, 6, -7, -25, 17, -38, -16, 13, 11, 5, 32, 10, -33, 7, -20, 30, -15, -15, -30, 38, 25, -23, -7, 13, 23, 4, 23, -21, -1, -10, 19, -27, 1, 8, 24, 27, -23, 41, -26, -14, -14, -28, -5, 14, 12, 19, 4, 15, 3, 1, -47, -45, 9, 22, 23, 45, 15, 11, -11, 3, -32, 27, -30, -27, -6, 27, 3, 25, -15, -33, -9, -14, 7, 3, 4, -29, -24, -14, -31, 6, 21, -17, -40, 4, -2, -25, -33, -19, -15, 6, 17, 26, -10, -34, 21, 29, -1, 42, 20, -37, -48, 31, -20, -3, -4, -42, -26, -32, -41, 27, -40, -39, 7, -11, -29, 6, 14, 28, -12, -15, -6, -1, 10, -19, -11, -32, 25, 31, -3, -21, 20, 26, -25, -22, -17, -29, -7, 30, 12, 2, -15, -3, -38, -15, 27, -18, -19, 21, -7, -25, 0, 43, -16, 16, 20, -16, -9, -23, -14, -4, -13, 11, 21, -7, -14, -21, -41, 3, -7, -37, 8, -15, 16, 18, 17, 34, 31, 1, -28, 11, -19, 26, -11, -42, -14, -18, -4, 3, 8, 33, 37, -15, 25, 9, -32, 55, 19, 3, -30, 22, 10, 8, -8, 19, 7, 1, 14, -33, 36, 12, -12, 34, 32, -19, -13, 24, 46, 27, 13, 5, 36, -12, 14, 38, -34, -12, 1, 2, -39, -39, -14, -40, -15, -32, -35, -2, -33, 27, -17, -16, -4, 1, -18, -15, -15, -8, 4, -13, -15, -8, 24, -14, -1, 21, -16, -38, -34, -33, 19, 10, -33, -6, 34, 27, 15, -21, -9, 1, -20, -7, -29, -30, 5, -27, 31, -28, -15, -37, -9, 15, -12, 25, 0, -26, 26, -22, 29, 32, -20, 29, -5, -24, -22, -37, 2, 10, 52, 27, -4, -13, 3, -5, 40, -34, 7, -25, -6, -4, -12, 36, -29, -22, -17, 11, 31, -3, 26, 27, 62, 41, 9, 9, 8, -18, 29, 23, 26, -12, 36, 32, 33, -9, -61, 11, -41, -32, -52, 9, -7, -30, -27, 7, 31, -16, -19, 21, -9, -30, -19, -8, 20, 18, -23, -44, -8, -15, 0, -1, 8, -5, 2, 50, 37, 27, 8, -11, 9, 6, -16, -51, -30, -66, -8, 5, -30, 24, -2, -27, 2, -27, -24, 38, 34, -18, 34, 3, 19, 18, 1, -45, -19, 15, -35, -9, 3, 10, 10, 33, -15, -9, 11, 0, 19, -20, 43, 38, -33, 39, 4, -3, -18, -32, 33, -8, -2, 2, -21, 44, -37, 9, 53, 44, -13, -25, -7, 40, -22, -12, 50, 19, 33, 17, -39, 11, 7, 29, 25, -6, 22, -6, 32, 54, -14, 12, 8, -14, -20, -15, 40, -12, -22, -12, 30, -21, -17, -7, -55, -16, 12, 32, -8, -7, 3, -25, 4, 8, -31, -27, 1, 38, 4, -11, -35, -24, -35, -7, 32, -37, 12, 11, 9, 16, 6, -35, 39, 24, -15, -33, -14, -32, -30, -2, 16, -22, 8, 39, -20, -17, 42, -2, -27, -48, 33, -11, 21, -12, 32, 15, -40, -1, -45, -15, 28, 65, 12, -33, 34, 21, -48, 24, -23, -18, -28, 44, 11, -31, 17, -11, 38, -5, -1, 12, 29, 10, -6, -8, 17, 20, 15, 33, -1, -9, 56, 4, -6, -24, -18, -15, -33, 18, 20, -2, -6, -6, -34, -4, 1, 26, 21, -7, 31, -20, -25, 24, -9, 16, -5, 32, 6, 6, 6, 15, -17, 25, -4, -26, 38, 40, -9, 1, 17, -13, -13, 22, 23, -2, 17, -17, -25, -11, -29, -35, 26, 9, 38, 15, -14, 35, -23, 62, -5, -26, -20, -53, -19, -3, -1, 27, -12, -10, 24, -23, 15, -18, 32, 25, 21, 0, -20, 44, -13, 1, 2, 25, 38, 34, -34, -21, -21, -28, -16, -6, 41, 11, 7, 21, 52, -30, 10, -13, -5, -11, -44, -18, -29, -49, -34, 12, -27, 27, 35, -22, 28, -47, 9, -6, -20, 6, -59, -27, -12, -2, 17, 14, -19, -26, 20, 16, 33, 60, -1, 0, 4, 8, 9, 1, -20, -26, 32, -39, 23, -3, -25, -16, -7, 71, 6, 1, 56, -24, -31, 30, 34, -15, -34, 15, 30, 28, 25, -8, -9, -14, 15, 51, -52, -2, 20, -21, -9, -5, -7, -3, 1, 35, 13, -6, -9, -43, -36, -35, 56, -14, -14, -28, -21, -9, -17, 15, 28, -5, 11, -36, -19, 7, 0, -8, 20, 32, 22, -82, 2, 60, -20, 6, -43, -40, 46, -25, -11, -3, 21, -2, -13, -29, -29, 1, 59, -44, 31, 25, -45, -17, -29, -49, 28, 15, 2, -4, 16, -11, -9, 5, -2, -21, -26, -20, 20, -16, 2, -25, -22, -3, -20, -44, -12, -6, -28, -12, -24, -46, -22, 14, -36, 40, 21, -33, 37, 0, -39, 23, -6, -39, 33, -28, -34, 24, -36, 21, 19, 5, 25, -23, -23, 25, 5, -34, -17, -40, -20, -29, -9, -14, -26, -1, 18, 17, -3, -3, 28, -24, -28, -17, 19, 5, 29, 19, -12, 8, 10, -37, -21, 29, -3, 24, 33, -29, -36, 6, -29, 10, 9, -22, -5, 7, -33, 16, -20, 31, -29, 39, -32, 34, 18, 4, 12, -2, 17, 6, -15, -23, -27, -14, 6, 41, 20, 21, -22, 39, -7, 6, 28, 20, -24, -25, 12, -6, -12, -7, 38, -16, 37, 8, 46, 23, 15, 31, -1, -21, 42, -21, 18, 34, -48, -19, 3, -14, 17, 24, -15, -8, -25, 1, 7, -13, 17, -18, -33, 46, -38, -18, -7, -75, 15, 12, 8, 57, -12, -15, 43, -64, -4, 48, -32, 51, 29, -15, 12, 22, -10, 23, 16, -32, -55, 31, -30, -50, -3, 17, 30, -11, -8, -40, 17, -39, -33, 11, 28, 19, 14, 19, -39, 8, -11, -6, -22, -16, 20, 9, -17, -29, 4, 32, 27, 32, -6, -10, -32, -16, -2, 9, 8, 10, 15, 4, -20, 11, -19, -10, -7, 38, -69, -10, 21, -30, 35, -2, 50, -17, 2, 8, 10, 34, 5, 13, -4, 5, -4, 24, 5, -4, -23, 8, 4, 19, -5, 48, -48, 2, -3, -3, 25, 13, 7, 28, -30, 6, 62, -46, 2, 40, -72, 19, -57, -30, -29, -17, -38, -14, 17, -38, -4, 34, -28, 9, -45, 29, -25, 21, 43, -9, -25, -21, 14, -47, -56, -22, -5, -9, 37, 58, 18, 1, -43, -10, -8, 22, -32, -14, -9, 4, 1, -49, -41, -28, 9, -8, -8, 0, -16, 9, 5, 37, -22, -59, 20, 8, 14, -5, -17, -1, 19, 6, -16, 4, -32, -3, 30, 25, -5, -81, 15, -4, -29, -31, 5, -31, -27, -36, 6, -12, 3, 17, -39, -10, -25, 14, 29, 39, 4, -5, 13, -7, 11, 7, -55, -9, -35, -22, -44, -55, 2, -48, 42, 9, -22, -32, 15, -28, 18, -35, -27, -30, 8, -11, -40, -6, 23, -31, -31, -3, -15, -18, -10, -31, -20, -13, -42, 7, 20, -19, -29, 28, 27, -19, -17, 4, -26, -15, 15, -54, -40, -28, -53, -18, -16, 43, -5, 38, -1, -28, -3, -1, 30, 32, 6, -28, -21, 14, 24, -29, 9, -39, -6, 33, -18, -16, 18, -7, -9, -10, 44, 45, -24, 9, 1, 23, 16, -4, -47, -22, -8, -37, -41, -35, 7, -10, -45, -25, 45, -48, 30, 33, -27, -41, -13, -37, 4, 5, -13, -34, 2, 3, 5, -26, -49, -14, -28, 2, -4, 35, 13, 9, -40, -55, -7, -37, -8, 9, -9, 14, -82, -15, 83, -46, 26, 68, -33, 20, 36, 11, 16, 15, 5, 34, -18, -8, 41, -1, 33, 26, 35, 17, 31, -14, -22, 13, 14, 7, 11, 0, 36, -6, 9, -11, 6, -6, 15, 12, -40, 10, -2, -62, 31, -15, -8, -3, 14, 10, 35, 44, 44, 59, 27, 43, 34, -13, -2, 38, -31, 2, 28, -32, -6, -38, -24, 35, -12, 51, 31, 16, 73, -10, -14, -25, -11, -19, 33, -12, -36, -2, 31, -32, -61, 9, 1, 22, 11, 10, 16, 6, 1, 35, -34, 12, 19, 19, -39, 17, 11, 10, 38, 4, -19, 0, 16, 9, 13, -16, -19, -23, 10, -63, -8, 2, -20, -7, 5, 5, 3, -33, -6, 22, -47, -10, -8, -17, 28, -32, -19, 9, -25, -29, -14, -44, 36, 50, 21, 4, -34, 35, -10, 6, 12, -31, 27, -21, -18, 19, 16, -19, -9, 16, 5, -1, 11, -6, 27, 20, -3, 14, 9, 26, -13, -27, 2, -24, -5, -25, -12, 17, -34, -7, 7, 12, 17, 12, -25, 22, 13, 5, 9, 6, 14, -18, 12, -38, 6, 32, 33, 5, 2, 35, -28, -28, 12, -12, 60, 12, 12, 5, 31, -2, 1, -28, 31, -10, -56, -2, 14, -8, 36, -2, -14, 0, 7, -17, -24, 27, -21, -11, 26, -44, 14, -30, -36, -42, -15, -5, 19, -42, 26, 11, -28, -46, 23, -7, 30, -8, -38, -32, 15, 2, -25, -43, -40, -94, -22, -6, 29, 15, 1, -18, -25, -11, 5, -36, 36, -3, 4, -2, -26, -38, -39, -29, 35, 44, -6, 1, -7, -59, 31, 7, -3, 2, 8, -7, 22, 40, 69, 35, -39, 14, 32, -32, 38, 2, 11, 1, -34, -61, -70, 22, 4, 3, -16, 2, 0, 17, 8, 5, -29, 11, -26, -2, 16, 37, -8, 23, -18, 19, -12, -31, 7, -32, 27, -2, -19, -23, -20, -32, -21, -1, -55, -9, -10, -12, -37, 39, -1, -26, 0, 11, -18, 0, -20, 14, -25, -33, 2, 34, -5, -24, 15, 17, 32, 18, -6, -7, 50, -17, 62, -27, -11, 7, 27, 9, -7, -12, 45, -10, 16, -35, -1, 10, -2, -2, 13, -36, -1, 17, -18, -3, 7, -9, 55, -2, 8, 40, 2, -20, -16, 23, -17, 32, 13, 22, -7, -27, -10, -10, 36, 22, -2, 34, -12, 11, -31, -29, -31, 2, -8, -8, -34, 23, 27, -2, -4, -1, -11, -13, 30, -25, -12, -67, 4, 5, 4, -11, 5, -27, -2, -3, 60, -16, -32, -46, 36, 24, -34, 12, -20, -20, -20, 5, -2, -36, -6, -14, -14, 13, 14, 26, 26, 2, 10, 29, -15, 57, 40, 38, -1, -5, 36, -4, -24, 2, -23, 1, 18, -11, -30, 17, 30, -1, -31, -2, 20, -7, 33, -10, -42, 60, 1, 30, -11, -37, 48, 33, 44, -17, -12, -11, -33, 22, 19, -34, -14, 0, -16, -5, 36, 30, -24, -22, -24, -26, -26, -11, -4, -3, -40, 39, 0, 48, 19, 19, 20, -36, -14, -9, -22, 35, 32, 10, -20, 22, -9, -10, 6, -18, 23, -4, -20, -14, 7, -30, -23, -59, 25, -18, 16, -3, -7, -54, -16, 11, -19, -13, 19, 45, -4, -5, 26, -13, 14, -28, 4, 25, -36, 18, -32, -49, 11, -26, 29, 4, -27, 11, -9, -10, -34, -14, -16, -61, -2, -47, -10, 30, 41, 19, 1, -2, -43, -1, -30, 61, 3, -17, 8, -30, -48, -6, -44, -18, 23, 11, -6, 32, -30, 6, 19, -22, 8, 1, -12, 35, -35, -4, -27, 24, 2, -11, -9, -27, -20, -57, 12, 25, 45, 14, 39, 41, 5, -26, 2, 11, 31, -35, -21, 0, -21, -21, -30, 13, 18, 15, -29, -19, -14, 12, 7, -20, 5, 20, 5, 25, 32, 27, -9, -7, -10, -59, -33, -7, -7, -25, 9, -2, 10, 18, -2, 5, 8, -2, 38, 33, 42, -8, -47, -62, -39, -18, 53, 4, 37, 36, -23, 8, 1, 16, -5, -26, 9, 13, -22, 14, 24, 17, 2, 35, -5, -19, 15, -17, 53, 7, 15, -10, -13, -35, -65, 16, 1, 21, 13, -28, 25, -12, 17, 23, -19, -5, -50, -4, 33, -38, -2, 6, -33, -23, -8, 4, 30, 24, -28, -21, 12, 38, -35, 4, -25, 1, -14, 41, -11, 5, 21, -5, -5, -32, 4, 12, 23, -18, 19, -4, -6, 31, 28, -23, 34, 17, -14, 1, -26, -23, -23, 59, 12, -2, -4, -13, 26, 14, -43, 2, 4, -34, -19, 19, 19, -9, 13, 15, 30, -25, 18, -3, 17, -32, -26, 5, -35, 0, -9, 4, 22, 24, -28, -22, -13, 34, -42, 21, -36, -15, -20, -33, -17, -8, -23, -25, -16, -23, -6, 10, 23, 1, 4, 17, -48, -14, 38, 22, 7, -31, -23, -9, -21, 18, 8, 31, 20, -42, 7, 3, -21, 3, 20, -54, 3, -22, 32, -6, 19, 11, -8, -16, -20, -2, 5, -21, -28, -18, 15, 13, 34, 21, -11, -40, 11, 15, 18, -18, -16, -20, 2, 2, -24, -35, 23, 17, -8, 6, 4, -17, 18, -4, -13, 6, 31, 34, -9, -35, -33, 21, 29, -58, -8, -22, 7, 17, -20, 8, 32, -22, 22, 30, -15, 5, 2, 28, 10, 12, 14, 15, -5, -25, -7, 24, 32, 2, 19, -5, -40, -13, -8, -37, -39, 13, 13, 3, -24, -20, 36, 38, 16, 11, -13, -18, 10, -18, -13, 15, 10, -37, 21, -31, 15, -20, 39, -19, -7, 17, 15, -6, 19, -16, -44, -24, 1, 7, -13, -3, 2, 9, -27, 17, 25, 10, -19, 7, 18, -37, 32, -15, 32, 7, -23, 6, 1, 72, 34, -6, -3, 24, 19, 20, 35, -18, 3, -1, -45, 22, 4, -32, -25, -29, -7, 35, -27, -1, 18, -10, -23, -48, -34, 12, -45, -20, -26, -24, 11, -18, 27, -25, 13, 29, -25, 0, -29, 17, -2, -37, -18, -10, -2, -23, -15, -19, 19, -31, 15, 0, 21, -1, 15, 18, 20, -30, 28, -9, 38, 20, 35, -22, -6, -33, -7, 27, -20, 8, 33, -15, -15, -19, -31, -12, -22, -6, 1, 27, -8, -39, 6, 35, 26, 30, 24, -34, 21, 15, 30, -26, -20, -34, 20, 2, 5, 4, 39, 18, 11, 51, -14, 3, 68, 2, 28, 22, 29, 13, 28, 12, -4, -37, 13, 38, 24, -14, 30, -44, -16, 17, -10, -9, 22, -31, 6, 7, -34, -22, -34, -10, -14, -12, -11, -21, 22, 16, -3, 19, 27, -28, -4, -18, -11, -35, 16, 15, 4, -44, 22, -10, 0, -36, -21, 13, -6, -40, 10, -7, -9, 28, 14, 44, 20, 2, -16, 32, -10, 15, 5, -50, 15, -12, 33, 27, -14, 0, -24, 6, 13, -20, -5, 1, 5, -19, -27, 9, 31, 6, -9, 15, -14, 38, 7, -27, -5, 42, 8, 43, -44, -38, -40, -41, -44, -6, 14, 12, -38, -35, -2, -35, -30, 36, 16, -1, -29, 1, 12, 3, -35, 15, -10, 37, -14, 21, -20, 6, -9, -18, -19, 0, 2, 48, 29, 29, -22, -16, 0, -26, 51, -7, -59, 17, -33, -11, 5, 18, -29, -40, 8, 22, 21, -19, 14, -30, 7, 11, 28, -31, -30, -26, 27, -14, -29, -9, -12, -47, -30, 15, 13, 2, -28, -27, -36, 9, 30, -3, 41, -16, 10, -17, -49, 18, -55, -23, -17, 14, 24, -4, 23, -19, -6, -26, -12, -29, -17, 21, -32, 18, -22, 19, -20, 13, 0, -14, -35, 25, -26, -7, -11, 46, 29, -5, 29, 12, -3, 3, -31, -22, 41, 3, 41, 34, 19, -5, 0, -10, -36, 20, 16, -21, -1, -7, 26, 23, -1, -7, 20, 37, 12, 11, -9, -13, -20, -20, 1, 5, 27, 27, 20, 12, -4, -24, 27, 15, -7, 24, -8, 36, -16, 13, 38, 36, 0, 11, -24, -27, -33, 3, -12, -18, -20, -4, -11, 16, -12, 59, 14, 49, -25, 12, -27, 8, 8, -28, -37, -33, -30, -21, -22, -22, -31, 5, 13, -6, 2, -29, -10, -40, 15, 23, -16, 20, 29, -35, -18, 28, 0, -29, -7, 15, 28, 10, -12, -27, -41, -16, -11, 3, 32, 19, 15, 16, -2, -26, -30, -11, -24, 14, 25, 34, -17, 35, -18, -11, -5, -1, 15, 21, -2, -3, -13, -6, -12, -33, 22, -2, 38, -12, -20, 36, 21, 12, 55, 45, 10, 54, -30, -23, 0, 2, 2, 15, -28, 20, -31, -11, -33, -3, 5, 30, 66, 11, 5, 26, 9, 16, 12, -12, -5, 6, 18, -10, -6, -32, -5, 17, 6, -2, -19, 34, 33, 34, -28, -35, 1, -19, 10, 39, -3, 31, -23, 12, -19, -10, -11, 15, 36, 5, 11, -13, 29, 1, -41, 37, -12, 33, 15, 0, 16, -54, -31, -70, -4, 23, 15, 51, -19, 28, -35, -33, -41, -6, 25, 37, -12, -8, 25, -10, -33, 16, 5, 32, 9, -2, -1, 17, -17, -26, -9, 18, 19, 11, 7, 28, -20, -37, -15, -56, 17, -12, 8, -3, -12, 14, 27, -34, -29, 38, -30, 72, -31, -14, 19, 25, 23, 24, 28, -8, 25, 20, 20, 6, 2, -34, -42, -11, 28, 35, -15, 23, -22, 10, 15, 15, 18, 4, 22, -33, -29, -49, 1, -38, -25, 15, 22, -36, 19, 5, -8, -1, -4, -24, 16, -8, 13, 7, 16, -11, -28, -27, -46, 22, 71, -3, -33, -10, 51, -15, -50, -20, 12, 21, -9, -9, 21, -24, -12, -35, 16, 3, 19, -8, -4, -23, -5, -29, -7, -29, -11, 19, -4, 14, 10, -12, -4, 11, 25, -24, 33, -24, 12, 24, -27, 27, -3, -5, 6, 17, 7, -12, -16, 30, 12, -36, -5, -35, 12, 22, -48, 13, 31, 18, 41, -20, 20, -15, 12, 24, 44, 26, -36, -1, -6, -7, 26, -13, -22, -16, 31, -34, -53, 9, 4, 10, 15, -26, 11, 24, 4, -32, -15, -16, 6, 28, 10, -26, -13, -17, -4, -21, 8, 20, -38, -3, 24, 7, -56, -49, -82, 29, 19, 51, -26, -45, -29, -29, 15, -52, 12, -24, -7, 16, -23, -4, -28, -9, -8, 1, -19, -3, -12, -21, -30, -15, -38, -3, 5, -5, 5, 40, -11, 25, -10, 6, -3, -22, 30, 27, 19, 1, 28, 22, 24, -7, -5, -8, -33, 12, 1, -31, 2, -29, -10, 32, 6, 32, -18, 22, 38, 21, -31, -28, 13, 22, 7, -7, 11, 31, -15, -26, -38, 24, 36, -10, -17, -10, 1, -12, 4, -40, 24, 7, 4, 24, 1, 17, -37, -22, -50, 31, 5, -2, 3, 29, -23, -20, 31, -18, -19, -14, -14, 22, 27, 35, 19, 26, -36, 1, 31, 14, -2, -25, -14, -16, -6, -66, 21, -18, 2, -24, 4, -22, -26, 0, 19, -31, 35, 11, 18, -31, -24, -1, 21, -20, -8, 31, 7, -37, 0, 7, -14, -8, 23, 8, -14, 4, -7, -25, 13, -35, 25, -24, -37, 2, -1, 29, -3, -5, 13, -36, 22, -2, -1, 25, -39, -6, -27, -30, -7, -23, 19, 35, -39, -23, -31, 20, -29, -10, -9, -23, 0, 16, 15, 25, -21, -22, 18, -2, 8, 12, -7, 32, 52, 2, -46, -32, -9, -19, -26, 4, 28, -21, 13, 15, -38, -29, -19, -34, -4, -24, -36, 5, -23, -28, 2, -6, 20, 25, -28, 5, 11, -26, -27, -36, 21, 32, 30, 11, 33, -32, 9, 9, 31, 6, 4, 2, 21, -2, 18, -32, -64, -8, 5, 24, 6, -2, 44, -25, -2, -34, 0, 34, -12, 39, -7, -1, -26, 20, 31, 28, 11, 32, -33, -16, -17, 5, -10, -8, -9, -22, 26, -33, -33, 17, 31, -27, 32, -2, 41, -9, 41, -9, 2, 0, -2, -18, 7, -20, -51, -19, -47, -23, -33, -8, -22, -5, -29, 11, 21, 28, -24, -39, 23, -12, -30, -35, -13, -30, 1, -12, -14, -57, 30, -30, -43, -9, -23, -24, 21, -20, 7, 46, 12, -34, -15, 28, 38, -2, 20, 13, 25, -27, -5, -45, -1, 22, 7, -41, 0, -24, -24, 9, -19, -15, 35, -13, -13, -13, 22, -23, 39, -13, -24, -14, -25, 13, -16, -19, -10, 1, -7, -14, -1, 6, -23, -15, -29, 21, 54, -1, 20, 1, -16, 5, 73, -38, -34, -12, 18, 23, -14, 11, 7, -19, -17, 1, 16, -1, -11, 21, -17, 17, 52, -16, 29, -34, -12, 9, 6, -50, 12, -26, -29, -43, -19, 19, -20, 5, -20, -27, 24, -2, -15, 62, -16, -28, 45, 30, -11, 10, 32, -20, -41, 0, -40, -69, -9, 28, 0, -31, -1, -17, 12, 1, 5, 5, -32, -4, 28, 15, 23, -44, -18, -12, 3, -15, 53, -21, 20, -16, -1, -24, -10, 20, -28, 11, 17, -28, 23, 35, -22, -35, -34, -2, 0, -31, -34, -5, -38, -21, 40, -30, -11, -64, 18, 5, -10, -11, -16, 0, -20, -17, 12, -28, 14, 7, 18, -38, -19, -35, 1, -20, -34, -12, -32, -20, 6, -5, 9, 13, 19, -24, 0, 14, -34, 2, 20, 16, -15, 36, 9, -32, 40, 43, -39, -36, -15, 14, 30, 43, -6, 16, 7, -11, 29, 30, -12, 8, -12, -22, -33, -9, -15, -23, -35, 12, 26, -7, 37, -6, 20, 14, 55, 24, -16, -4, -23, -19, 14, -34, 8, -44, -10, 2, -31, 15, -24, -11, -17, -33, -4, -6, -28, -26, -21, 30, -29, -47, 8, -9, -6, 11, -9, 1, -19, 43, 5, 16, -27, 1, -9, 1, -2, -21, 2, 31, 16, 29, 28, 4, -9, -31, -17, 34, -35, 11, -24, 11, 16, -7, -53, -30, -60, 13, -9, 4, 5, 1, 3, -31, -5, -6, 38, 2, 6, 8, 7, 15, 46, 19, 1, -6, -19, -55, -35, -30, -21, -27, -22, 6, 33, 30, -24, 5, -2, 5, -18, 25, -6, -20, -1, 24, 30, 6, 38, -36, -17, 26, 20, 14, 38, 12, -7, 13, 18, 21, 17, 19, 1, -34, 7, -14, -46, -15, -2, -42, 5, 14, 32, -8, -7, 41, -6, -29, -12, -10, 23, 25, -9, -29, -13, -26, 1, 12, 5, -1, 48, -37, -26, -4, -37, -1, -16, -36, -7, 25, 9, 0, -6, -30, 24, -49, -56, -12, 10, -20, -30, -16, -19, -15, 7, 37, 33, -7, 6, 10, 8, 17, 15, 9, 29, 35, 12, 29, -14, 23, -28, 24, 55, -32, -16, -64, 1, -6, 0, 18, 12, -19, -27, -32, 21, -15, -11, -15, -13, 11, 6, 18, -5, -1, -24, -37, 25, -13, 3, 17, -11, -9, 2, 34, -31, -11, 26, -15, 37, 18, -5, -35, -13, 31, 13, -18, 13, -24, -5, 33, -11, 29, 0, 6, -36, 6, -9, 17, -16, 3, 34, -16, 38, 35, -4, -12, 16, 4, 57, -5, 24, 25, -13, 0, -34, 16, 31, -11, -29, 2, 33, 32, -4, 22, -20, 22, -13, -9, -24, 1, 23, 9, 8, -1, -5, 35, 23, 20, 16, -64, 24, -4, 14, 22, -23, -31, 21, -5, -18, 33, -32, 34, 10, -3, -3, 9, -17, -10, 27, 13, -38, -20, -20, 11, 22, -30, 10, 12, 27, -24, 16, 31, 15, -22, -8, -6, -18, 34, -16, -22, 3, -8, -19, -36, 13, -9, 15, -20, -36, -21, -31, 21, 25, 6, -12, -40, 1, -26, 12, 15, -19, -27, 32, -16, 14, -27, 13, 17, 31, -38, -29, -29, 12, 4, -7, -30, -27, 23, -38, 17, 21, 34, -3, -33, -8, 18, -35, 10, 20, 16, 15, -39, -9, 35, 8, -4, -38, 0, 18, 31, -28, 5, 36, 37, 25, 30, 37, -4, 8, -21, 22, -4, -16, -9, 13, 13, 16, -16, 24, -28, -13, -13, 39, 12, 1, -22, 5, 11, 21, -38, -25, -25, -14, 1, -27, 20, -3, -17, -20, 38, -38, 19, -2, -10, 31, -13, 24, 16, -18, -4, 41, -19, -18, 30, -35, -36, -8, -12, 10, -13, -16, 31, -32, 41, 31, 1, 26, -37, 25, -34, 5, 8, -7, 30, -29, -29, -11, 7, 9, -33, -30, 7, 2, -1, -20, -16, 1, 15, 19, -21, -28, -11, -42, -27, -12, 6, 19, 12, 9, -1, -32, 25, -41, -20, -9, -32, -1, -18, 7, 4, 10, -8, 9, -9, -38, -4, 26, 16, -35, -6, 14, -3, -25, 3, -24, 19, 20, -26, 16, -8, -23, 23, 36, -34, -27, -27, 10, -7, 14, -35, 34, 21, -9, 9, -9, 15, -9, 25, 32, -15, -25, 12, -14, 27, 6, -26, 22, -29, -18, -24, -9, 18, -14, 12, 21, 3, -4, -23, 28, -1, -14, -18, 14, 8, 16, -7, 22, 33, -9, -15, 18, -13, 38, 37, -19, -21, -21, 20, -3, -10, -18, -30, 27, -28, 27, -29, 25, 43, 37, 19, -12, -18, -19, -25, -15, 28, -12, 19, -30, -38, -17, 23, 1, 29, 21, -28, -3, 10, -24, -23, -26, 5, 12, -21, -4, 42, -21, 14, 40, 0, -26, 20, -14, 9, 35, 13, -16, 3, 34, 4, -24, -19, 15, 19, -32, -6, 21, -32, 27, -27, -9, -9, 31, 0, -34, -16, 22, -27, -5, 31, -6, 27, 18, 25, 32, 13, 17, 8, 23, 14, 23, 6, -40, -10, 13, -24, -15, -34, 11, 18, 30, -14, -27, -23, -16, 6, 31, 27, 1, -30, 0, -25, 26, 28, 30, -4, -5, -20, -6, 14, 34, 28, -32, -21, -7, -33, 13, 17, -8, -41, -36, 25, 8, -11, 16, 13, 5, 0, -28, 9, 18, 15, -35, 33, 38, 5, 26, -12, -12, 13, -20, 25, 14, -21, -16, -10, -12, -39, -43, -8, -16, 20, 15, -20, -3, -26, -32, -29, -3, 27, 12, -23, 24, 25, -17, -37, -13, -40, 0, -37, -3, 29, 3, -10, -27, 26, -9, -26, 13, -14, -32, -35, -4, -17, 19, 3, 29, 18, -22, 28, -24, 7, 32, 26, -33, 25, -33, -2, 2, -23, 24, 15, 31, -10, 28, -15, -40, -8, 33, 21, -30, -17, 3, -27, -11, 27, -35, -24, 15, 20, -23, 31, 35, 11, -26, -23, -30, -1, -21, -16, -8, -42, 6, 5, -6, -20, -37, -7, 18, -5, 14, 2, 24, 28, -28, -26, 38, -25, -29, 32, 39, 10, 1, -22, 33, 45, -26, 33, -26, -34, 7, 16, 22, -6, 5, 3, -15, 14, -33, 7, 3, 19, -15, -13, -30, 17, 3, 15, -21, -16, -9, -28, 25, 38, -13, 12, -14, -34, 16, -32, 2, -11, 19, -27, -4, 34, -14, 11, 15, -21, -30, 11, -35, 21, 26, -34, 35, 30, 32, 7, -32, -19, 36, 18, 14, 73, 47, -16, -31, 15, -10, -15, -1, -4, -30, -27, -58, 24, -55, 42, -27, -9, -32, -4, -37, 14, -39, -39, -13, 29, -33, -23, -12, -36, -23, -40, -5, 12, -24, 15, 18, -18, 38, -16, -48, -42, 48, 72, 25, 11, 28, -19, -32, 29, 13, -13, -44, -20, -74, -62, 6, -18, -11, -21, -12, 14, 4, 27, 39, -28, -10, 27, -18, 34, 24, -10, 31, 19, 13, 18, 8, 8, -68, -14, -10, -12, -11, -44, -34, -46, 0, 19, -38, 0, 29, -15, 24, -75, -39, 32, 17, -21, -22, 12, -20, 13, 21, -26, -7, 28, 28, -4, -10, -11, 35, -3, 43, 3, 27, 55, -11, -46, -39, -14, -4, -1, -17, -14, -44, -36, 8, 34, -24, -12, 30, -30, -34, -24, -17, -22, 21, -7, 24, 57, 41, 17, 90, 30, -29, -3, -30, -37, -6, 8, -52, 10, 27, 33, -23, -27, 22, 1, -27, 28, -30, -29, -17, -26, 3, -5, -16, -28, -9, -3, -52, 29, -34, -49, -6, 11, 10, -19, -6, 8, 6, 4, 1, -35, 11, -1, 12, 31, 9, -7, 9, -1, 21, -32, -17, 1, -1, 8, 21, -41, 2, 16, 6, -24, 16, -15, -9, 36, -11, -25, 31, 1, 3, 39, 48, -1, -5, -16, -47, -32, -52, -14, -52, -27, -19, 30, 30, 0, -24, 23, -5, 25, 6, -22, -10, -64, -16, -29, 38, 24, 7, 4, -22, -14, 10, -4, 33, 40, -3, -81, -11, 4, 6, -17, 25, 3, 17, -3, -27, -51, -8, 14, 6, 11, -17, -20, -9, 36, 26, -31, -31, -42, 26, -10, -11, -14, -3, -73, -3, -9, -13, -44, -4, -17, -17, -17, -66, -30, -43, -1, -7, -10, -89, -22, 4, 7, 55, 13, -41, -32, -53, 27, -44, -4, -10, 4, 22, 53, 2, -5, -42, -33, -4, -23, -7, -9, 4, 3, -40, -4, -6, 34, -34, -30, -49, -36, -13, -5, -49, -60, -80, -11, -44, 47, 48, 50, 56, -38, -27, -29, 61, 21, 7, -32, -40, -41, -13, 4, -44, -100, 15, 24, -34, 20, -24, 13, 26, -41, -48, -15, -8, -15, 9, 17, 24, -23, 10, 1, -22, 18, -10, 15, 15, -1, -15, -5, 8, -8, -44, 3, -9, 25, 6, -55, -23, -48, -39, -18, -32, 1, -20, -51, -1, 2, 9, -2, -8, -12, -28, 31, -30, -4, 14, 26, -23, 11, -3, -35, -17, 8, -7, -15, 67, 14, -27, 10, 18, 43, 23, 38, -16, 19, 7, -43, -76, -48, -72, -45, -24, -1, 13, -13, -21, 11, -42, 41, -33, 5, -2, -28, -24, -19, 12, -21, 33, 24, -26, -5, 28, 27, -4, 19, -38, 26, 28, 12, -10, -42, 25, 2, 18, -6, 35, 33, 5, 61, -4, -36, 20, -13, 23, -57, -46, 32, -41, 0, -6, 33, -10, -12, -19, 18, 27, 36, -32, -7, 10, -56, -27, 37, 59, 25, 36, -14, 0, 0, -35, 21, -21, 8, -7, -34, 48, -31, 34, -27, -24, 6, -12, 31, 23, 26, -11, 17, 9, -1, -6, 21, 7, 17, 45, 36, -27, 23, -24, 10, 30, 8, -5, 20, -7, 0, -10, -13, 7, -24, 21, -29, 46, 15, -5, -28, -6, -10, 4, -4, 8, 37, -47, -26, -60, -16, -29, -52, -30, 14, 2, -9, 24, 45, 35, 16, -7, 52, 34, 25, 69, 20, 16, 22, 1, -11, 30, 21, -3, -9, -10, -21, -23, 1, 4, 19, -18, 6, 38, -12, -37, -9, -37, 2, -20, 5, 8, 21, -28, -22, 27, -42, -22, -2, -5, 9, -34, -11, 43, -25, -45, 55, 16, -27, 27, -13, 15, 26, -34, 4, -5, 34, -39, 34, -28, 21, -9, 27, 12, 8, 30, 5, 9, 33, -4, 10, 6, 36, -38, -5, 2, -23, -36, -38, 24, 35, -36, 26, 3, 27, 11, -5, -27, -39, -36, 33, -29, 20, 31, -39, 29, -11, -27, 30, -19, 41, -25, -44, 16, 29, 55, 8, 4, -4, 20, -18, -12, 6, 17, -21, -9, -32, -27, -10, 25, 2, 21, 10, 67, 12, 29, 3, 11, -3, -16, 22, -27, -31, -50, 6, -43, -35, -16, -9, -35, 22, -16, -21, -20, -29, 31, 21, -31, -26, -34, -9, 48, 4, -37, 37, 23, -12, 23, -9, -27, 15, -33, -2, -23, 23, 18, -17, -40, -36, 7, -33, 19, 13, 32, 19, -3, 10, 1, -8, -39, 9, -83, 11, 14, -23, -33, -24, 27, -42, -31, 9, -6, 9, -12, -31, -5, -12, -1, -2, -35, -37, -13, 1, 3, -36, -16, -4, -8, -4, -1, 12, -1, -5, 20, 19, 35, -5, -7, -3, 38, 19, -34, -21, -36, 29, 1, -2, 28, -10, 5, -35, -23, -26, 11, -8, 37, -31, 11, 2, -2, 27, -8, -9, -9, -12, -6, 9, -34, -16, 22, 45, -27, -3, -23, -16, -3, 30, 6, 35, -1, 13, -17, 26, -7, 6, 5, 6, -15, 1, -19, -36, -38, -34, 31, -18, -35, 22, -40, -29, 25, -8, -16, -23, -1, 20, -21, -32, 22, 15, 5, 37, 24, 0, 25, 4, 32, 24, 30, 32, 4, -33, -18, 19, -48, -63, -27, -15, -23, 16, -39, -23, 13, 17, 35, 12, -56, -2, -9, 2, -37, 8, 24, -14, 2, -10, 0, -25, 29, -7, -24, -25, 6, -12, 14, -3, -14, -37, 29, -19, 34, -56, 12, 17, 17, 23, -20, -21, 20, -24, 22, 31, 64, 4, 30, 27, 26, 24, -26, 1, -26, -14, -5, -5, -4, 14, 29, -1, -15, 29, -29, 33, -29, -12, 11, 30, -18, 29, 11, 28, 21, -23, 38, -34, -39, 10, 39, 20, -23, -19, -11, -12, 16, -16, -19, 10, -34, -43, 22, 38, 28, -24, -10, 25, -3, -37, -7, -27, 36, -31, -25, 2, 29, -15, 11, -31, -25, -30, 29, 8, 2, -1, -62, -17, 2, -19, -27, -24, -47, 9, 19, -15, -5, 40, -23, 2, -10, -27, -17, -8, -17, -6, -21, -37, 19, -20, -19, -15, -35, -17, 21, -8, -15, -29, 8, -27, 22, -36, 27, -32, 30, 7, 37, -21, -12, 5, -4, -30, 28, -16, -19, 12, -18, -16, 11, 40, -32, 28, -45, -10, 19, 29, -3, 23, 30, 23, -2, -14, 19, 41, -35, -17, -10, -21, -26, 12, 25, 9, 10, -37, 32, 18, -14, 0, -3, -56, -12, 4, -46, -7, 27, -20, -29, 37, -14, -7, 19, -28, -6, -9, 10, -9, 12, 14, 14, -36, 7, -2, -22, 31, 21, 0, -16, -1, -3, 4, -8, 16, 6, -13, -27, -18, -6, 19, 13, 4, -23, -5, 17, -3, 17, 8, -5, -41, -34, -10, 15, -42, 3, 42, -39, -24, -28, 19, 16, 18, -24, 27, -13, 7, -10, 37, 8, 15, 29, -21, -7, -2, -33, 20, 17, 9, -29, 6, 27, 37, -34, 36, 21, 8, -32, -3, -11, -7, 18, -17, 8, -31, -25, -32, -2, -21, -11, 36, 9, -9, -39, 27, 29, 11, 9, -11, -7, -4, -31, -17, -35, 9, 34, -10, -1, 26, -37, 23, 6, 28, -18, -28, -28, 31, 28, -1, 12, 4, -4, 4, -25, -38, 9, -38, 33, -17, -24, -22, 36, -36, -32, 9, 21, -13, -2, -29, -20, -33, 31, 2, 14, 1, -24, 20, -15, 18, -10, -8, -14, -35, 6, -27, -24, 17, 21, -18, 16, 32, -31, -27, 22, -12, -39, 1, -4, 7, -17, -36, -28, -17, -2, -21, 23, -30, -1, -16, 32, -10, 32, 35, 19, 3, 7, -23, 9, 12, -2, -36, 8, -9, 2, -12, -2, -5, -23, 17, 19, -39, 0, -12, 32, -4, 9, 33, -7, 11, 38, 28, -9, 9, 13, 6, 20, -25, -34, 5, -20, -29, -31, -7, 37, -33, -24, 8, -29, -28, -25, -17, 3, -10, 31, -16, 8, 4, 8, 31, 30, 32, -36, 17, -38, 25, 29, -12, 7, 14, -14, 6, -24, -33, -4, 4, 28, -21, -31, -27, -29, 7, 0, 31, 6, -36, -32, 7, 14, -1, 31, -12, -42, 23, 23, 9, -42, 2, -13, -37, 29, 16, -37, -4, 31, -14, 5, -35, 10, -10, -19, 4, 15, -25, -23, 25, -2, -30, -37, 2, -32, -7, -8, 8, 9, -4, -36, -23, -19, -5, 29, -17, 17, 13, 21, -26, 12, 13, -16, -15, -38, -34, 28, 31, -5, -21, 26, -35, -13, 3, 30, 35, 24, 36, -25, 22, -38, -36, 22, -18, 37, -22, 10, -11, 2, -12, 12, -10, 27, -21, -8, -21, -34, -13, 6, 21, 33, 28, -8, 26, -13, 2, 16, 36, -19, 36, -17, -35, -40, -5, 14, -24, -1, -6, -1, -1, -8, -37, 37, -15, -16, 10, 13, -39, -1, -10, 11, 1, -22, -5, 37, 9, -18, -33, -25, 5, 10, 9, -6, -19, -36, 0, 35, 32, 13, -39, -36, 12, -32, -34, 20, 19, 8, -30, 13, -7, -32, 7, 6, -35, 20, -18, -23, 26, -42, 2, 7, 22, 26, -38, -15, -8, 14, -25, 5, 6, 25, -21, 25, -1, -6, -29, 11, 24, -27, 1, 17, -30, -35, 28, -13, 28, -38, 31, 8, -15, 1, -1, 18, -35, -38, -7, -1, 32, 11, -19, -1, -24, -35, 23, -36, -34, -19, -33, 39, 12, -12, -18, -22, -7, -18, -20, 7, 37, 34, -15, -10, 1, -14, -39, -18, 17, -25, 32, 17, -6, 15, 17, -37, -38, 23, -25, -14, -8, -39, 25, -7, -32, 25, -30, 4, -14, -26, 27, 22, 38, -39, 28, -34, -19, -5, 32, -31, 15, -1, -11, -14, 6, 20, 12, -13, 14, -6, -37, 6, -7, -3, -30, 24, -37, -25, 12, -29, 33, -23, -4, 29, -20, -27, 9, -4, -36, -9, 24, 0, -9, -8, 34, 25, -2, -5, -36, 7, -24, -6, -23, 10, -7, -29, -1, -7, -32, 21, -8, -35, 16, -27, 27, 0, -27, 19, 0, 25, -31, -8, -6, -18, 11, -25, 11, 7, 27, 0, 28, -37, 2, -6, 25, -1, 26, 16, 14, 24, 30, -34, -18, 22, 24, 26, -16, 17, -26, -11, 28, -39, 8, -34, 2, -8, -39, -6, -18, -38, 28, -8, -36, 14, 30, 24, 35, 26, -33, 10, -35, -13, 19, 34, -25, -3, -7, -15, 17, 29, 1, -31, -23, 3, -33, -20, -26, 37, 8, 21, 29, 23, -34, -29, 3, -17, -2, 15, -8, -64, -2, 3, -8, -38, -35, 49, 43, -13, -9, 8, 65, -17, 49, 2, 39, 15, 25, 15, 34, -6, -29, -30, -9, -25, 27, 25, 29, 7, 24, -27, -15, -12, -3, 15, 43, 0, -33, -19, -38, -24, -8, -22, -28, -36, -26, 13, -1, -20, -14, -15, 4, -49, 23, 30, 30, -22, -18, 25, 13, -16, 7, 28, 38, -38, -26, 15, -32, -40, -16, 32, -21, 7, -8, 34, -48, -44, -10, -43, 14, -53, -39, 6, 12, -17, 18, -30, 27, -2, 17, -16, 3, 7, -3, -17, 20, 6, 9, -7, -30, -16, -23, 37, -33, -15, -20, 6, -33, 31, 8, -16, -43, -14, -17, -1, 51, -16, 51, -5, -4, -18, 4, 11, 28, 35, 8, 30, -27, -18, 10, -14, -5, -11, -16, -14, 30, 11, -8, 17, -12, -15, -37, -18, 17, -43, 1, 15, 4, -30, -34, -32, -27, 26, -7, 32, -2, -36, -31, 10, 26, -4, -13, -15, 4, 3, -28, -11, 16, -14, -18, -39, -17, -13, 11, 2, 15, -21, 12, -22, 22, -19, 6, -5, -20, -7, -3, -87, -49, 2, 4, -25, 10, 35, 27, 20, 33, 17, -13, -20, 31, 25, 31, 3, 35, -29, 26, -5, -17, -14, 8, 12, -12, -25, -40, 27, 2, -25, 9, -30, 33, 9, 0, -15, 21, -5, -38, 17, -10, 24, -15, 17, 25, 24, -31, 34, -1, -1, 11, -8, -19, 10, 4, 15, -31, 1, 35, 3, 4, 25, 34, 45, 36, -11, -10, 25, -42, 32, -13, 12, 14, -35, -25, 22, -6, 26, -36, -35, -15, -1, -2, -1, 33, -16, -14, 10, 5, 37, 7, -15, -3, -19, -23, -17, 32, 20, -34, 9, 36, -35, 12, -31, -8, 6, 23, 6, -31, -23, 12, 22, -14, -28, -9, 23, -21, 17, 26, -28, 5, -33, 10, 1, -28, -18, -15, -11, -5, -29, 12, 14, -9, 29, -4, -10, 24, -5, 9, -25, -43, -30, -11, 10, 16, 14, 14, 6, 9, -17, -21, -36, -19, 19, 39, -44, 39, -19, -32, -9, -15, -24, 12, -16, 29, -5, -4, -6, -34, -26, -37, 26, 23, -35, 9, 31, 38, -35, 27, 4, 14, 0, 53, -16, 5, -3, 5, 9, 14, 2, 8, 62, 26, 28, -28, 10, -15, -20, 13, -7, -1, -8, 1, 16, 3, -18, 2, -33, 4, -6, -34, -12, -44, -44, -10, -32, -4, -1, -32, -7, 24, -2, -9, 32, 11, 7, -19, 21, 6, -15, -34, 1, 1, -8, 7, -19, 23, -6, 32, 19, -24, -13, -3, -38, -33, -36, 32, 34, -28, 0, 30, -22, -35, 16, -19, -6, 1, -25, 2, -28, -7, -18, 4, 10, 4, -25, -17, 26, -2, -30, 21, 9, -33, -6, 10, -34, 9, 35, -10, -9, -28, 23, -21, -21, -25, -29, -31, -12, -19, -19, 26, 18, -1, 0, -6, -5, 2, -11, 18, -40, -24, -29, 33, 26, -4, -17, -33, 10, -2, -28, 9, -15, -18, -7, -40, -24, -11, -32, -23, 24, 3, -26, 21, 27, 4, 14, 7, -21, 23, 19, 15, -3, 11, -35, -30, 32, 13, -22, 16, -25, -29, -22, -1, 1, 12, -12, 3, -16, -22, 8, 40, 42, 19, 13, 17, -15, 12, 17, 22, 33, 3, 37, 28, 17, -8, -41, 11, -24, -28, -20, -20, -3, 45, -12, 30, -4, 6, 27, -15, 0, 11, -23, 9, 15, 10, -11, 9, 6, -41, 9, -39, 5, 1, -15, 3, 3, 19, 29, -3, -2, 30, -41, -35, -73, -1, -29, -54, -13, -10, -10, -25, -7, 13, -28, 20, -6, 10, 21, -79, 6, 30, -7, 39, -11, -19, 34, -8, -25, -27, 5, 21, -9, 26, 23, -21, -18, -29, 9, -26, 19, 27, -34, 52, -23, -12, 33, -30, -1, 38, -12, 9, 26, -28, -17, 40, 1, -35, -9, 24, -9, -14, 26, 20, 3, -1, 9, -11, -25, 19, -44, -11, 31, 16, 37, -27, -8, 7, 8, 17, 7, -34, 15, -14, -37, -33, 34, 20, -22, 9, 2, 10, 15, 17, -40, -28, 1, 13, -84, -57, 12, 16, 11, 31, 8, 12, 49, -20, -8, 28, -3, -4, -4, 33, -7, -29, 6, -21, 38, 11, 31, -30, -45, 34, -9, 42, 0, 23, 49, 52, 10, 19, 8, 15, 16, 12, -48, 13, -31, 34, 19, -29, 23, 15, 16, -18, 20, 11, -1, 25, 12, 4, 18, 15, 9, -21, 74, -14, -10, 50, -23, 63, -20, 26, -7, 53, -8, 9, 25, -27, -27, -37, -51, -10, -61, 15, -8, -53, 1, -34, -10, 19, -4, 21, 21, 26, 23, -21, -28, -21, 7, -22, 1, -11, 12, -14, 28, -15, -4, -10, 37, -36, -6, 8, 27, 33, 28, 30, -3, -4, 19, 8, 30, 4, -4, -7, -16, -35, -4, 11, -30, -24, -39, 1, 10, -30, 18, -1, 2, -21, 4, -36, 0, -8, -12, -35, -2, -31, -30, 10, 24, -27, 11, 27, -26, 6, 22, -2, -13, -2, 8, -43, 11, -13, -4, 17, 20, -15, -2, 27, 20, -23, -19, 10, -3, 12, -22, -31, 7, -9, -11, -20, 2, 26, 42, 17, 60, -29, -35, -45, 9, -6, 10, -64, 18, -4, -49, -38, -46, 11, -17, 7, 15, 22, -11, -17, -17, -40, 23, -4, 10, 17, 22, -51, 25, -6, 33, -8, -32, -27, 41, -7, 40, -12, 31, -42, 16, 23, -43, -1, -15, -15, 6, -7, -24, 47, -12, 30, -38, 3, -10, 4, 7, -2, 17, 14, -37, -41, 5, -9, -30, -12, -8, -5, -9, -1, -37, -31, -13, -28, 1, -11, 35, 0, -10, -9, -77, -46, -22, 4, 8, -27, 5, -32, 15, -26, -3, 26, -20, 5, 0, -16, -13, -11, 9, 10, -29, -5, -17, -5, 22, 41, -37, 10, -12, 7, 42, 27, 12, -53, 46, 1, 38, -46, 28, 29, -24, 18, 19, -15, -18, 13, -7, -3, -16, -24, 16, -20, 6, 11, -22, -31, 27, -5, -4, 2, -3, 15, -38, 19, 17, 21, -15, 0, 11, 0, -35, -1, -9, -1, -26, -16, -32, 25, 2, -28, 7, 6, 36, 31, 17, 2, -7, -2, -36, 37, -13, -4, 72, -38, -14, 31, 24, 26, -40, 34, -28, 33, 6, 3, -16, 19, -2, -8, 9, 44, 42, 11, 43, -2, 21, 16, -13, 5, 41, 23, -22, 6, 49, -34, 32, 31, -3, 32, 8, -33, -5, -25, 2, 29, 21, -11, 14, 2, -20, -26, 2, 6, 33, 7, 47, 18, 20, -16, -13, 23, -12, -15, 26, -1, -11, -3, -7, 36, 15, -10, 6, -4, -1, 50, -35, 3, -48, -55, -22, -7, 13, 43, 27, 18, -22, 5, 11, 12, 39, -15, -29, -26, -4, -40, -29, 15, 1, -29, 5, 1, -2, 3, -27, 31, -10, 30, 0, 3, -21, -12, 18, -28, -20, 28, -35, -44, -1, 22, -30, -9, -3, -17, -11, -41, 16, -4, 25, -25, -25, -1, -40, -38, 30, -22, -31, 31, 18, -19, -1, -40, -28, -28, 12, -25, -23, 33, 2, -7, 2, -9, 17, -5, 5, 1, 15, -52, 30, -39, -11, -8, 23, 4, 22, -3, 29, -23, 17, -28, -55, 21, 30, -35, 34, 14, -18, -1, -5, 1, 35, -23, -4, -20, 8, -37, 26, 8, -7, 20, -15, 31, 12, 12, 0, -6, 26, 8, -53, -4, -13, 17, -54, 17, -16, -31, 24, 1, 8, 1, -11, -26, 9, 40, -35, -7, -30, -17, -25, -36, -17, 36, -14, -23, -10, -25, 11, 16, 9, 33, -25, -12, 48, 0, 29, 31, -47, 38, 13, -41, 11, -48, -2, 34, 3, 6, 18, -30, -30, 25, -15, -37, -12, 37, -18, -13, -2, -5, -18, -45, 10, -47, -12, 3, 18, -46, -16, 32, 30, 0, 27, -4, 37, -32, 13, 36, -1, 25, -37, 33, 60, 18, 53, 67, -3, -42, -30, -16, -12, -7, -36, 25, -40, -33, -21, -31, -31, -38, 32, -27, -24, 30, 26, 27, -2, -41, -31, -37, -28, -26, -47, 18, -11, 13, 32, -14, -6, 13, -16, 21, -7, 9, -4, 12, -22, -26, 38, 7, -4, -6, 97, 34, -35, 0, -27, 1, -24, 5, 12, 8, -16, -3, -6, 15, 35, -12, 9, 21, -38, 15, 14, -34, -21, 15, -40, -28, 17, 23, 16, 12, 21, 35, -1, -28, -4, -22, -17, 27, 12, -9, -15, 0, -12, 13, 8, -19, -4, -1, -10, -41, -6, 12, -1, 7, 9, 34, 24, 21, -9, -15, 0, 7, -4, 3, -25, -7, 34, -26, 34, 10, -34, 23, -13, 29, -7, -39, -18, -11, -31, -30, 4, -21, -30, 20, 5, -18, 12, 4, 69, -23, -29, 14, -24, -7, 2, -16, -31, -17, -14, -17, -1, 7, -1, 32, -14, 32, -13, -17, -41, -18, 3, -7, 14, -5, -4, -18, 3, 15, -38, 7, -45, -25, 9, -30, 15, 20, -17, 15, 13, -48, 10, 1, -36, -77, -14, 1, -43, -3, -13, -8, -27, 22, 15, 10, -20, 31, 5, 1, -34, -27, -12, -21, -28, -22, 21, -20, 59, 72, 4, 35, 31, -23, -3, -44, -22, 22, 23, 8, -29, 12, -23, -23, -6, -18, -30, -31, 8, -13, 18, -25, -31, 15, 30, -3, -9, 3, 2, -38, 29, 38, -28, -5, -53, -15, -38, 15, 21, -35, -25, 10, -10, -47, -4, -3, -24, -14, -11, 2, -9, -16, 6, 15, -20, 10, 27, -21, 42, -3, 0, -14, -6, -9, 5, -24, 16, 4, 5, 8, 28, -33, 14, -10, 16, 22, 37, 29, -28, -18, -24, 5, 6, 14, 14, 8, -36, 23, 19, 24, -11, -15, 30, 10, 38, 35, 19, -24, 25, -36, -28, -24, -36, -12, -6, -38, 29, 11, -39, -11, -8, -28, 9, 26, -6, -53, -41, 6, -37, -48, -22, -55, -43, -23, -39, 20, 25, 25, 26, -31, 5, -36, -35, 13, -7, 34, -31, 31, -15, 7, 8, 12, 18, -24, -24, 13, -48, -28, 10, -38, 29, 16, -17, 27, -35, -13, -19, 0, -32, 39, -36, -47, 25, 23, -43, 21, -38, -36, 2, -2, -37, 29, 18, -41, 6, -41, 1, -2, -12, 32, -31, -45, 2, -29, -3, -22, 13, 20, -2, 17, 51, -17, -29, 60, -18, -6, -8, 0, 11, 11, -29, 1, -7, -7, 11, 23, 13, -16, 11, -6, 0, 6, 22, -4, -13, -23, -24, 27, 30, 17, -7, -7, -19, 1, 0, -31, 13, 31, -36, 21, 87, -4, -8, -9, -17, 4, 15, 13, -35, -46, 20, -14, 8, -34, 1, 12, -34, -13, 55, -39, 20, 3, 34, 34, 11, -5, 15, 30, -3, -30, -33, 11, 5, 41, -23, 53, -21, 22, 21, -6, -20, -23, 17, -1, 2, 23, 17, 11, -46, -1, -49, -1, 15, -11, 28, 11, 36, -23, 55, 2, -28, -20, -64, -29, 30, 2, 29, 46, -16, -8, 48, -20, -18, 35, 26, -5, 29, 18, 15, -20, -30, -29, 2, -36, -35, -15, 16, -8, -17, -22, -53, -8, -9, 4, -6, 47, 36, -52, 28, 18, 21, 32, 18, 10, -22, -1, 35, 28, -27, -65, -34, -22, 8, -29, 1, -40, -15, -10, -3, -25, 5, -17, -31, -16, 22, -9, 56, 13, 8, 26, -40, -34, -16, -32, -18, 36, -20, -2, 7, 11, 17, 25, -8, 20, 31, -43, 25, -20, -7, -49, -19, -5, -40, 1, 46, -32, -85, -13, 3, 8, -25, -11, 99, -7, 5, 21, -24, 24, -8, 47, -17, -46, 39, -2, 23, -24, -26, -2, -27, -10, 4, 17, -47, -22, 24, 29, -3, 12, 15, 8, 3, 24, 25, 4, 10, -13, 25, 20, 16, -10, 16, 23, -31, 17, 35, -8, -8, 30, -19, -44, 2, 4, 3, -50, -29, -14, -22, -40, -11, 16, 0, 10, 35, -30, 5, -3, -6, 45, -22, 3, 26, -3, 7, 2, 4, 14, 21, 22, 4, -6, 30, 23, 38, 26, -37, 17, -23, 15, 32, 1, -13, -2, -7, -10, 2, 28, -21, 18, -28, 39, -12, -34, 2, 26, 5, -4, -48, -81, 32, 0, 26, -15, -27, -62, 24, 22, -11, -22, -18, 34, 14, -3, -17, -26, -12, -28, 24, 12, 47, -8, -10, 13, 13, 11, -45, 9, 2, -53, 12, 43, -42, 37, -32, 6, -32, 4, -7, 2, 35, -12, 3, -20, -8, -42, 4, -12, -7, -5, -58, 13, -14, 12, -4, 7, -10, 6, 43, 2, -15, -30, 1, 5, -20, -10, -26, -15, -38, 1, 3, -22, -28, -29, -20, -8, -2, -31, -35, 20, 11, -8, 17, -5, -33, 18, 36, 30, 25, -19, 30, 45, -21, -16, -22, -3, 5, -44, -28, 39, -8, -8, 25, 36, 9, -8, -24, -25, 32, -15, 14, 36, -12, -30, 0, 6, 8, 9, 16, 14, 38, 17, -3, 36, 14, 47, -25, -32, 38, -3, 14, -36, 0, 1, 31, 8, 14, 53, -17, 14, 1, -31, -10, 10, 46, -16, -18, -32, -39, 15, 31, 24, -21, 13, -4, 17, -5, -14, 4, -10, 5, -5, -17, -26, 16, -10, -6, -3, 18, 15, 2, -15, 35, 33, 7, 11, 20, -4, 47, -34, 11, 4, -42, -23, 42, 2, -3, 58, 6, -13, 27, 15, -16, -29, 17, -4, 1, 11, 2, 7, 10, 11, 35, 37, -1, -16, 25, 26, 19, -26, -28, 6, 33, 4, -23, 1, -36, 30, -10, -1, -7, -6, -5, -37, 18, -24, 5, -13, -14, 9, -13, -5, 9, -21, 2, 4, 21, 30, 15, -28, -23, -14, -2, -43, -31, 0, 25, 28, 49, -5, -4, -23, -20, 7, -30, 13, -18, -14, -10, 3, 6, 1, 1, 0, -20, -49, -33, -15, 17, 12, -4, -6, -16, 17, -30, -42, -7, -18, 34, -17, 25, -25, 8, -18, 10, -3, -6, 18, 5, -5, -2, -28, -22, 23, 7, 26, -2, 32, 31, -31, -7, 25, -17, -31, -6, -39, -19, 32, 16, 17, -12, 35, 11, 1, 2, -20, -34, -9, -7, 40, 5, 15, -41, -6, 36, 2, 28, -12, -35, -3, -19, -23, -1, -9, -30, -5, 47, 12, 28, -15, -24, 2, -32, -31, -21, -31, -16, 33, 23, 15, 29, -23, -9, -33, 28, 15, 17, 11, 28, 24, 24, 10, 8, -15, -34, -14, 3, 24, -18, -23, -18, 12, 50, 23, 26, 17, -5, -29, 39, 24, 28, 9, -15, 3, 14, -33, 24, 0, 26, -5, -5, -22, -16, 23, 30, 34, -25, -32, -34, -15, 25, -4, -7, 28, -21, -7, 14, 3, 30, 16, 32, 26, 25, 36, -15, 15, -6, 18, -19, 33, -11, -16, 37, 18, -34, 7, 8, 12, 14, 6, 29, -2, 32, 8, 31, 14, 37, 31, 36, 27, -12, 18, -37, -20, 36, -11, 3, -10, -20, 1, 4, -10, -33, -27, -16, -35, -26, 28, 25, -6, -1, 14, 29, 8, -21, -18, -9, 13, -17, -43, -33, -9, -26, -17, -41, -26, 20, 20, -11, 13, -36, -24, 11, 6, -34, -1, 28, 16, -11, -12, 35, 7, 33, -18, -38, -32, 18, 35, -41, 2, 36, -25, 2, -29, -24, 30, -24, -13, -6, 1, -3, 7, 22, 35, 39, -18, 13, 20, 27, 13, 25, 29, 23, -37, -27, 1, 33, -22, -10, -28, 5, -22, -24, 1, 3, -8, -25, 17, 22, -25, -20, -22, -3, -5, -41, -36, -6, -30, 4, 13, 24, -31, 14, 27, -13, -11, -31, -33, 17, 39, 24, -34, 27, 23, -5, -17, -19, -15, -19, 24, 22, -10, 8, 7, -17, -29, -46, -28, -31, -9, 2, -28, 19, -22, -27, -22, -16, 5, 15, 9, 18, -1, -19, -37, -30, -24, 34, -32, 27, -34, 32, 1, -37, -8, -33, 26, -30, 12, 32, -16, 2, -41, 24, -3, 11, -6, -3, 17, -33, -20, 28, -18, 20, 12, -2, -26, -20, 7, 12, -12, -13, -6, -28, -17, 30, 15, -38, -31, -8, -14, -29, 25, -9, -13, -18, -34, -34, 8, 36, -35, -2, 35, 0, 0, -21, -38, -14, 21, 17, 32, -14, 9, -37, -1, -40, -7, -23, 30, 14, -16, -7, 3, -25, -37, -32, -37, 18, -15, -7, 26, -8, 6, -30, -26, 33, -6, 38, 26, 13, -14, -12, -29, 2, 21, 25, 17, 8, 13, 3, 32, 14, -19, -4, 8, -36, -27, -44, -39, -29, 20, -16, -23, -20, 9, 29, -6, -5, -30, 39, 18, -3, 4, 27, -16, -39, 20, 15, -19, -18, 5, -7, -18, 19, -32, 25, -14, 9, 31, -23, 15, -29, 11, -24, 6, -6, 9, -33, -34, -29, 20, 3, 0, -2, 1, -9, 0, -7, 26, -23, 6, -17, -22, -27, -8, -30, -10, -28, 36, 5, -14, 28, -8, -15, -29, 4, -22, -20, 23, -36, 34, -26, -30, 5, 24, 27, 36, 10, 30, -24, -1, 11, -36, 34, -30, -2, 45, 7, -12, -2, -11, 8, 0, 19, -24, -35, -12, -21, 33, -22, -13, -2, -32, -29, -36, 33, 24, -36, 23, -45, 3, -42, -5, -2, 19, -14, -15, -17, 18, -20, 9, 0, 33, -6, -14, -1, -19, 28, -22, -19, 0, 20, -27, -12, 35, 16, -22, -36, -15, 16, 34, 25, 22, 25, 9, 31, -32, -39, -1, 15, 9, 6, 13, -8, -5, 3, 5, -10, 3, -13, -27, 9, 42, 29, -19, 17, 12, 10, 21, 2, 10, -14, -27, 15, -4, -20, 24, -11, 21, 26, 26, 3, 21, 2, -23, -21, 3, -35, -23, -28, -67, 5, -22, -23, 17, -20, 33, 11, 10, 1, 38, 14, 5, -39, -42, 20, 0, 0, 4, 38, 34, 23, -11, -8, -8, 20, 18, 23, -5, 10, 15, 3, 18, -30, -9, -15, 22, 1, 21, 11, -8, 17, 1, 23, 34, 26, -6, -8, 2, -10, -13, 28, 1, 2, 51, -9, -14, -49, -17, -37, -4, 3, 3, -17, 17, 16, 28, -26, -52, 17, -12, -12, 10, -27, -9, -39, -14, 34, -38, 7, 31, 27, 12, 31, -13, -37, -34, 10, 30, -11, -6, -12, 24, -32, 5, -18, -13, 15, 21, -4, -21, 79, 18, 38, -18, -44, 1, 27, 8, -35, 29, -7, 23, 43, 0, -19, 15, 15, 38, 26, -18, -15, -4, -11, 0, -12, -18, 63, 37, -1, 48, 33, -7, 9, 27, 21, 27, 15, 40, 4, 6, -45, -6, 10, -16, 2, 18, 3, -7, 46, -8, 21, -41, 20, -38, 9, 24, 18, 10, 4, -28, 7, -23, 10, -2, 23, -46, -32, -9, -15, 34, -3, -79, -43, 31, 29, 31, -9, 33, 6, -7, 9, 31, 15, -17, -24, 10, 28, 8, -34, -30, 6, 23, 9, -17, -25, -18, -32, -14, -33, -4, 4, 1, -28, 7, 49, 7, 6, -6, 23, 12, -9, -18, 16, 15, -3, 6, 18, -7, -22, -21, 27, 26, 21, -57, 12, 18, 25, 3, -5, 10, -2, 36, -21, 1, -20, -5, -3, -3, -30, -2, 0, -40, -3, -11, 4, 15, 24, 67, 9, -11, -52, -29, -22, -1, -54, 19, -59, -30, 42, 26, -5, 10, -16, -18, 15, 35, 14, -31, 17, 4, -13, -6, 7, -19, 3, -11, -24, -5, 41, -25, -7, -28, -9, 14, 16, -10, -45, -5, 11, 9, -12, -18, 15, 7, 37, -23, 0, -10, -33, -1, 11, -2, -13, 8, 40, 18, 7, 15, -3, 0, -35, 15, 3, 1, -26, -35, -17, -25, -24, -21, -33, 36, 15, 14, -30, -18, 34, 5, -78, 5, 6, -8, -8, 37, 125, 1, -10, -5, -3, 33, 8, -10, 2, 6, 11, 16, -29, -27, -15, 17, 37, 4, -15, 61, 33, 22, -35, -19, -19, -24, -2, 22, -11, -13, 30, -16, 16, -21, 3, 25, 48, -6, -24, 12, -34, -11, -7, 24, -32, -23, -36, -14, 4, -2, 19, -39, -4, 37, 34, 5, -27, 16, 6, -31, 16, -20, 30, 31, 16, -37, -10, 3, 4, 11, -3, -9, -29, -34, 6, -25, -7, 18, 33, -10, -38, -13, -38, -4, -16, -7, 18, 9, -3, -13, -22, -7, 4, 11, -17, -8, -17, -1, 17, -19, -14, 7, 27, 8, -14, 41, 2, -27, -30, -30, -8, -29, 3, 3, 82, 11, -22, 17, 26, -18, -23, -1, 39, 25, -33, -24, 16, -15, 27, 37, -7, -17, 26, -28, 21, -6, -35, 9, 8, -14, -9, -16, 31, 8, 23, 39, 13, -31, -35, -15, 3, 27, 15, 37, -4, 14, -11, -33, -10, -18, -18, 0, 6, -25, -10, 72, 34, -16, -15, 38, 25, -8, 13, -25, 8, -2, 12, 2, 20, 4, 4, -23, -18, -28, 33, -8, -18, 27, 8, 20, 10, 23, -31, 12, 20, -10, -22, -17, -24, -16, 12, 8, 14, -1, 13, 24, -1, -25, -17, -15, 17, -54, 29, -15, -6, 33, 8, 15, 2, -10, -27, 27, 38, -10, -2, -14, -12, -5, -27, -20, 15, 6, -20, 21, -16, 57, -1, -12, -32, 22, -16, 11, 27, 9, -31, -34, 16, 21, -25, -24, 3, -1, -9, -14, -37, -38, -6, 7, -16, -41, 45, 35, -35, 15, 24, 34, 1, 21, -16, -21, 15, 24, 32, 16, 12, -32, -4, 25, 13, 25, -9, -17, -17, 3, -20, -29, -9, -27, -7, -4, -15, 4, 1, 20, -14, -21, -31, -68, 19, -20, 20, -11, 2, -10, 23, -23, -33, -24, -36, 9, -12, -4, 45, -20, -42, -2, -43, 11, 6, -43, 12, -5, -31, 2, 4, -22, -7, -26, 11, 12, -28, -23, -28, 15, -19, 10, 22, -2, -32, 23, -18, -37, -31, -7, -29, 2, -20, -9, -56, -17, 20, 33, 37, 24, 11, 12, -35, 26, -16, -12, -35, -1, -15, 0, -41, 32, 5, -13, 17, 36, -10, 14, 53, 23, -1, 21, 35, 1, 4, 17, -45, -18, -13, 11, 19, 0, 45, 15, 9, -47, -65, 1, -18, -29, -23, 48, -9, -41, -14, -12, -15, 29, -1, 5, -26, 16, -11, -43, -33, -18, 22, -9, -22, -14, 32, -3, 1, 10, 22, 20, 1, 23, -3, 6, 58, -31, -19, -12, -3, -13, -16, -5, -10, -34, -1, -7, -1, -9, 3, -9, -12, -25, -10, 24, -11, 15, 2, 19, 18, 17, -27, 27, -7, -10, 3, 24, -18, 24, 5, -17, -31, 13, 11, 1, 17, 11, -36, 34, 17, -46, -18, -2, -32, 37, -26, -13, 1, -16, -37, 1, 33, -2, -5, 2, 4, 0, 20, -36, 0, -5, 20, -7, 1, 31, 18, 32, -15, 16, 33, -2, 26, 43, -6, -33, 15, 38, 19, -6, 1, -13, -45, 1, 42, -22, 7, -22, -1, -5, 8, 12, 20, 4, 18, 3, 24, 25, -20, 2, -31, -9, 12, -1, -14, -6, 20, 0, 11, -33, -28, -31, 21, 3, 4, 46, 57, -41, -19, 53, -56, -14, 24, 37, 33, -5, 41, 25, -16, 38, -3, 6, -24, -38, 15, 39, -11, -8, -5, -10, 10, 31, -3, 3, -11, -29, -42, 24, 18, -24, 17, -9, -14, 46, 3, -8, 31, 10, 1, -12, -31, -19, 0, -2, 56, -5, 6, -7, -22, 35, 17, -23, 0, -22, -24, -35, 31, -30, -24, -6, -6, -18, -22, 32, 7, 13, 9, -13, 3, -9, 21, -26, 36, -27, -4, -29, -41, -34, -1, -13, -17, 29, 0, 24, 6, -26, -34, -24, 2, 23, -25, -21, 16, -29, -1, 22, 16, -36, -31, -3, -28, -2, 18, 39, -11, -12, 23, -13, -34, -1, -24, 8, -38, -26, 15, -31, -26, -41, -21, -11, 25, -33, 20, 1, 42, 11, 32, 15, -38, -28, 23, -3, 22, 11, -47, 16, 19, 15, -2, 15, 26, -1, -16, 15, -20, -14, 11, 24, -37, 33, 34, -5, 7, 25, 18, 6, -2, -2, -35, -8, 15, 10, 39, -27, -41, -8, 2, -6, -28, 21, -13, 17, -21, -12, -15, 33, -35, 21, 29, 4, -39, 12, 29, 13, 8, -13, -23, 7, -5, -47, 46, 23, 11, -3, 27, 14, -5, 46, -29, -37, 0, 7, 23, 23, -7, -3, 34, -32, -11, -20, -15, -7, -12, -26, -57, -47, -30, -27, -25, 22, 17, -15, -22, 42, 10, 17, -19, -18, -13, -29, 31, -11, -9, 11, 29, 5, -3, -1, -9, 23, 9, 4, -25, 6, 5, 55, -26, -13, -34, -7, -40, -16, -53, -14, -20, 34, -31, -32, 13, -30, -44, 5, -22, 7, -8, 8, 46, 9, -5, 36, -8, -6, 0, -11, 12, -30, -20, -36, 5, 23, 32, 16, 17, 74, -14, -54, 4, 41, -50, 27, 35, -14, 4, -25, 4, -9, -6, 3, 14, 9, -18, -23, -10, -36, -8, -16, 19, 19, -4, 5, -38, -21, 7, 33, -45, 26, 56, -2, -24, -22, 24, -19, 15, 8, 14, 26, 2, -18, -41, -18, -40, 31, -11, 16, -26, -12, 9, -31, -24, 27, -2, 15, 16, 32, -50, 38, -22, -22, 24, 36, -48, -43, -51, -51, 6, 2, -9, 25, -39, -18, 28, -20, -31, 3, 34, 22, 8, -33, 22, -19, -38, -40, -17, 40, 33, -48, -51, 13, -7, 10, -4, -27, 29, -18, 33, -36, -10, 23, -21, 26, -35, -1, 51, -12, -38, -45, -40, -45, -37, 15, 22, 19, 8, -13, -2, 11, 41, -15, -10, 6, 33, -8, -54, -21, 12, -21, 46, 12, 41, -1, -3, 14, 8, 4, 26, 27, 18, 34, -36, 31, 33, -34, 38, -3, 3, 40, 18, -26, 19, 52, 5, 47, 11, 12, -10, 28, -15, 4, -9, -45, -1, -55, -9, 10, -28, 16, -20, 38, -39, -2, -25, 21, 5, 15, -17, -23, 20, -31, -4, 25, 28, -37, -26, 46, -31, -31, 56, 11, -13, -29, -25, -40, -13, 1, -27, -35, -36, -14, -39, 0, -16, 11, -16, -9, 1, 11, 3, 23, -36, -17, -13, -1, 17, -3, 0, 18, -5, 2, 16, 9, -38, 6, -9, -8, 41, 24, 14, -46, 12, 4, -14, -45, 68, -43, 18, 11, 18, -1, 1, 25, -20, 14, 12, -1, -34, 7, -10, -14, 20, 29, -35, 19, 61, 26, 2, -18, 30, -35, -31, 7, -38, 9, -11, 13, 35, -8, -3, -10, 45, 6, 6, 2, 34, 41, 11, 35, 22, -20, -36, -21, -54, -26, -19, -23, -53, 21, 22, -43, -38, -1, -3, 21, -2, 20, 67, 6, -11, 73, 7, -25, -2, -2, -30, 5, 32, 36, -28, -43, 17, -1, -31, -7, 0, -8, -13, 23, 35, 34, 16, -2, 66, 26, 13, 5, 23, 27, 5, 22, -15, 0, -21, -7, 32, -8, -20, 5, 15, -14, 34, 12, -36, -20, 23, -62, -18, 54, -38, -13, 13, -26, -64, 19, 6, -21, 26, -25, -20, 26, -5, -16, -9, -46, -50, 5, -35, -37, -6, -12, -9, -30, -5, -30, -29, 2, 38, -6, -10, 27, 53, 3, -8, 38, 22, -29, 3, 3, 35, -15, -59, -7, 46, 3, -14, 34, 7, -9, -12, 47, -4, 45, 27, 56, 39, 19, -23, 57, 24, -2, 26, -3, 14, -12, 24, 33, 5, -16, -23, 26, 18, -6, 2, 11, 13, -42, 28, -13, -2, -42, -6, 35, -8, 25, -5, -19, 2, -39, 15, -19, -5, 14, 38, 13, -1, 4, -5, -16, 12, -37, 12, -26, -20, 12, -56, 17, -22, -12, -10, 30, 38, -21, 4, -7, 2, 28, -21, 38, 5, -30, 34, -23, -29, 4, -25, -73, 4, 7, -44, -23, 20, -41, 4, -10, -14, 17, -14, 4, -17, -3, -1, 15, 20, -1, -29, -30, 13, 36, 1, 50, 7, 30, -13, 12, -30, -22, -15, 1, -32, -12, -16, -13, -14, -14, -1, -18, 10, -18, 19, 22, 8, -26, -14, -29, 7, -44, -4, -4, 9, 5, -2, -6, -36, -10, -29, -24, -17, -7, 34, -25, -19, 21, -38, 23, -19, -21, 20, -19, -12, 0, 18, 20, -6, 5, 38, -25, -21, 43, -5, 18, 7, 37, 25, 5, 5, -28, -15, 23, 29, -10, -27, -18, 5, 14, -3, 7, -15, -5, 16, 32, -33, 22, -12, -37, 37, -36, 36, -2, -26, -21, -36, -17, 17, 17, 32, 2, 2, 24, -31, -15, 24, 35, 5, 28, 0, -26, 22, -9, -24, 18, -40, 21, 16, -46, -26, 5, -8, -33, 21, -32, -7, -37, 10, 6, -43, 9, -26, 11, 27, 23, 19, -3, -13, 17, -40, -42, -15, -4, -55, 4, 28, -30, 22, 10, 13, 0, -25, -33, 15, -21, 37, -6, -9, 17, -24, 6, -7, 19, -9, 52, 21, -35, -2, -5, -20, -35, -16, -39, -10, -1, -7, -7, 9, -1, 19, -37, -8, -18, -8, -22, -6, -1, -7, -20, 19, -47, 21, 2, 20, 1, 13, 3, -21, 30, -5, 19, -41, -33, 6, 2, -3, -24, -53, -27, -6, 5, -21, 12, -36, -3, -2, -11, -42, -18, -34, 6, 17, -6, 17, -18, -2, 8, -22, -10, 10, 2, -37, -19, -29, 12, 21, -48, -9, -13, -14, -27, 14, 9, -28, 29, -10, -11, -21, -21, 6, 1, -8, -7, 20, 19, 23, -18, 15, 27, 9, 42, -29, 18, 28, -7, -34, -18, 27, -8, 30, -38, -31, 18, -32, -32, -2, 2, 32, -19, 26, -6, -7, 17, -10, 36, -18, 33, 38, 1, -2, 21, -1, -1, -24, -17, 12, -25, -20, -8, 15, 25, -3, 28, -19, -4, -12, -6, 9, -3, -20, 24, -38, -22, -3, -43, -3, 0, -10, 7, -29, -29, -25, 9, -19, -1, -32, 13, -2, -24, -9, 38, -3, 18, -29, 7, -3, 52, -20, 37, 16, -15, 9, -12, 45, -28, 12, -2, -18, -6, -30, 12, 33, -27, 12, -16, 8, 4, 27, -17, 49, 3, -11, 42, -24, -10, -5, -10, -31, -37, -29, -12, -21, -13, 32, 13, -27, 25, 24, 30, 15, -33, 30, 20, -10, -38, -11, -9, 24, -13, -12, 33, -15, 54, -35, -1, -8, 7, 31, -9, 32, -44, -23, 9, -33, 7, -30, 0, -43, -38, 20, 8, -32, -17, -15, -18, -12, 11, -7, -20, 11, 26, -35, -38, -36, -11, -3, 2, -2, -14, -4, -6, 22, -11, -23, -60, -16, -16, -36, 4, -17, -26, 0, -2, -15, 3, -52, -35, -32, -15, -40, -5, 17, -37, 38, -20, -22, 27, 17, -32, -26, -13, -20, -24, 33, 24, 16, -30, 19, 24, -19, -32, 29, 31, 21, -2, 3, 4, -18, 14, -20, -2, -1, -19, -25, -26, -38, -26, 1, 4, 40, -16, -37, 5, -24, -17, -21, 36, -11, -22, 20, 24, -24, -31, 20, 18, 4, 33, 13, 10, 43, 19, 8, -44, 13, 42, -46, 8, -29, -33, -9, 33, -14, -30, -23, 10, 19, -28, -3, 17, 15, -19, -27, 10, -31, -1, 2, 23, -4, 28, 75, 8, -11, 17, 18, 36, -23, 26, -3, 1, -28, 24, -18, 4, 20, 6, -11, 10, -10, -5, -36, 4, 21, -27, 36, -9, 5, 32, -21, 17, -45, -24, -1, 21, 3, -2, -31, 8, 2, -4, -2, 10, -21, -3, 1, 11, -20, -18, -47, 22, -31, -5, -34, -1, 26, 36, -37, -5, 18, -11, -4, -11, -25, 4, -20, -5, -20, -36, 39, -17, -38, 13, -16, 19, -63, -38, -29, -33, -77, 21, 34, -32, 39, 17, -51, -8, -64, -60, -45, -36, 3, -9, -93, 9, 13, -53, 17, 5, -5, 1, 23, 29, 93, -9, -20, -40, -6, -13, -34, -18, -18, -13, 5, 18, -12, 56, -39, -30, -33, -36, -49, -34, -2, 8, 0, 35, -8, -10, -17, -14, 25, -27, 24, -10, 61, 0, 10, 66, 22, -32, -74, -6, -11, -9, 45, 16, -10, 40, -4, -9, -19, 30, -29, -10, 46, -5, 24, -34, 11, -24, 38, 27, -10, 10, 28, 28, 4, -8, 32, 46, 77, 13, 27, 50, 34, -59, 16, -44, 52, 47, -39, -4, -45, -97, 19, 10, 38, 12, 38, -28, 3, -19, -21, -10, 53, 44, 37, 8, -20, 11, 0, -33, -8, -25, -29, -19, 12, 19, 2, 10, 47, 3, 19, 33, -38, -8, 39, -16, 5, -15, -33, 31, -46, 11, 34, 9, -5, -5, -61, 34, 17, 36, -66, -64, -23, -45, 24, 50, -53, 44, -4, -62, 38, -1, -23, 6, 19, -8, -86, -52, 31, -18, 4, 6, -7, -25, -23, -20, -39, -25, -10, 0, 12, -8, -23, -11, -39, -13, 28, 31, 23, 68, 116, 15, -20, -38, -6, -36, -57, 15, -105, -48, -29, -18, 18, -14, -34, -27, -32, 29, -37, -3, -35, 26, 54, -25, 27, 44, -10, -68, -24, 49, 26, 20, 29, 29, -24, -17, -27, -1, 7, 33, 4, 9, 19, 30, -38, -41, -32, -56, -85, -24, 19, -5, 8, 64, 46, -80, -49, -32, 8, -29, -32, -24, -18, 34, 2, -24, -45, -21, -12, -47, 1, -28, -5, 23, -37, -30, 21, -6, -20, -2, 17, -12, 10, -95, 0, -50, -36, 13, 39, -37, -24, 31, -23, -2, -27, 26, -47, -14, 59, 12, -41, -29, 8, 10, -35, -9, -27, -36, -8, 1, -17, -16, -47, 20, -19, -30, -70, 66, -23, 29, -29, 18, -16, -31, -26, 24, 27, 15, -46, -37, 0, -38, -28, 70, -74, -35, 2, -40, -11, 23, 18, 28, 49, 9, 48, 11, -35, -9, 22, 32, 31, -11, -23, 36, -29, -15, 15, -1, 39, 47, 25, -45, -75, -3, 56, 16, -13, 15, -19, -43, 15, -71, -75, -2, -25, 9, -27, -1, -28, -34, -1, -25, 29, -19, 5, -30, 14, -33, -25, 24, -10, -30, -73, -67, 34, 15, -64, -43, 59, 3, -36, -16, -62, 7, -17, 33, -45, 32, -36, -97, -62, -64, -1, 75, 25, 1, 7, -9, -9, -16, 40, 33, -15, 19, 4, -20, 10, -37, 4, 17, -17, 7, -24, 14, 22, 29, 38, 21, -13, -18, 9, -19, -77, -7, 5, 30, -30, 10, 31, -11, -53, 35, 67, -20, -34, -20, -19, -34, -17, 33, 1, -12, 12, 6, 40, 20, -32, 21, -27, -7, -21, -35, 16, -32, -38, -33, -78, -20, -20, -54, -5, -21, -16, -22, 17, 3, 27, 10, -38, 13, 33, -8, -3, -35, 0, -10, -13, -1, -1, -21, 33, 98, -25, 12, 33, -18, -2, 17, -35, 0, -12, -31, 19, -13, -37, -32, -32, -9, 1, -55, -38, -1, 22, -102, 73, 20, 25, -8, 43, -1, -9, -53, 5, -40, -79, -44, 0, -14, -3, -34, -33, -25, -14, -40, 16, -45, 35, 50, -32, 14, 36, -17, 34, 35, 1, -35, -1, 29, -2, 22, 1, 38, -22, 9, 47, -1, 1, 27, 18, 44, 23, 13, -52, -18, 4, -16, 21, 19, 10, 39, 11, -49, 33, 11, -74, 46, -2, -35, 9, 11, -3, -8, -41, 17, 16, -11, -24, -8, -23, 28, -5, -4, 30, 23, -7, 18, -3, 30, 9, 20, 34, -20, -18, -21, 22, 15, -3, -50, -6, -16, -19, 6, -9, 11, 51, -13, -7, 5, -13, 8, -25, -27, 16, 34, 27, -33, 26, -12, 8, 24, 21, -33, 37, 14, 80, 9, 36, -10, -15, -9, -12, -12, -8, 4, -33, -22, 15, -27, -50, 11, -12, -1, 5, 16, 31, 36, 20, -15, 13, 39, 70, -19, -40, 19, 15, -2, 0, -14, 6, -22, -43, 1, -45, 32, -6, -44, 6, -29, 35, -32, 32, -20, 10, 1, 14, 8, 35, -49, -13, 17, 1, -6, 51, 5, 12, 30, -13, -9, -3, -20, -31, -22, -17, 18, -7, -11, -12, 6, -18, -8, 9, 26, -8, 18, 49, -3, -6, 44, -14, 2, -2, 48, 12, 38, -63, -10, 36, -44, 41, 28, 36, 8, 41, -32, 16, 39, -13, 31, 41, 11, -15, 25, 81, -14, 11, 33, -18, 25, 0, -39, 49, 61, 43, 20, -14, 4, 0, 3, 13, -48, -28, -26, 8, -38, -13, 2, 4, -29, -21, 37, -13, -1, 4, -4, -7, -8, 20, -29, 6, -36, -38, 31, 27, 6, -3, -35, 13, 22, -16, 41, -9, 32, -2, -24, -36, 20, 24, 22, -12, -17, 20, -48, 8, 15, 24, -6, -1, 17, 36, -14, 7, -20, -6, 1, -8, 13, -35, -17, 6, -46, -33, 45, 9, 60, 23, -5, 17, 42, -13, 18, 53, -7, -35, 0, -30, 31, 19, 23, 28, -30, -42, 55, -8, -34, -54, -22, -19, -9, 14, -6, -88, -29, 14, 0, 32, 2, -38, -8, -21, 54, 18, 23, 13, -16, -33, -5, 28, 26, 24, 20, -8, 40, -16, 36, 5, 34, 45, 25, 9, 26, -52, 2, 18, -1, 12, 20, 57, 21, 46, -41, -13, 31, -16, 9, 23, -5, 5, 6, 26, -12, 9, -24, -12, -16, -9, -38, 10, -19, -18, -24, -16, -38, -29, -24, 23, -22, 18, -18, -36, 12, -8, -7, 18, 2, 12, 23, 28, 14, 50, 1, -8, -12, 40, -3, 20, -11, -23, -8, -21, 18, 1, -1, 3, -32, -18, -38, 5, -36, 19, -5, 2, -8, 41, 27, 15, 5, -19, 43, -42, 5, -61, 40, -6, -16, -3, -22, -17, 15, 26, 3, -19, 15, 8, -25, 21, 52, -18, -48, -1, -9, -2, -24, -32, -12, 27, 14, -28, 2, 48, 14, 19, 13, -24, 7, 13, -18, 18, -17, 7, -32, -17, 29, 2, -6, 38, 0, 34, -8, 40, -33, -40, 0, -33, 19, -28, 15, 43, -47, 27, 3, 9, 3, -27, -28, 1, 2, 40, 47, 17, -29, 10, -7, 1, -11, -19, 22, 29, 29, -5, -31, 17, 13, 21, 12, 32, 1, 14, 4, 9, -20, -11, 49, 20, 12, -26, -6, 7, -20, -6, 24, -3, -10, 31, 29, 34, 23, -52, -16, 16, 33, 7, 23, 13, 18, 6, -28, 22, -31, 39, 24, -19, -14, -24, 4, 2, -19, 45, -57, 6, 70, -19, 1, -30, -28, 4, -40, 16, 47, -22, 77, 7, 18, 5, 8, -9, 17, -25, -29, 5, 34, 12, -3, 35, -67, 3, 9, -22, 12, 14, 8, 11, -25, -29, 9, -14, -17, -13, -27, 36, -22, 11, -8, 12, -20, -22, -11, -21, -77, 4, -19, -57, -15, 3, 3, -39, -47, -55, 13, -36, -56, 6, 16, -40, -25, 36, -18, 30, 6, 11, -6, -8, -13, -74, -4, 4, 13, -1, 30, -40, -32, 6, 23, 50, 31, 22, 35, -9, 11, -27, 8, -42, -27, -75, -3, -40, 13, 26, -65, -64, -3, -80, 30, 34, -20, 18, 24, -23, -36, 32, 2, -31, 26, -5, 1, -23, 45, 17, -24, 35, -29, -26, -41, 35, -25, -34, 21, -31, 17, 26, 17, -39, 3, 24, 2, -9, 33, 27, -18, 16, -2, -26, -32, 17, 25, 29, -1, 2, -20, 23, -4, 47, 11, 2, 38, 14, -79, -2, -22, -10, 22, -27, -15, 35, 4, 8, 33, 15, 13, 6, -27, 30, 25, 17, 13, 39, 39, 5, 57, -8, -33, 58, 21, -20, 1, -31, 18, -37, -11, 32, 25, 15, -21, 24, 13, -8, 10, 12, -20, 1, 10, -69, -12, 33, -44, 33, 31, -63, 45, -12, -8, 14, 4, 16, -51, -12, 2, -52, 19, -11, 6, 44, -31, -11, 0, 24, -27, 36, -25, -23, -44, 19, -39, 8, -11, -39, -24, 25, -32, 17, -15, 34, -2, 0, 6, -21, -28, 23, 37, 2, 47, 14, 23, 25, -15, 18, -22, -36, -24, -4, -29, -7, -14, -22, 38, 30, -7, -9, -22, -24, -20, -21, 1, 41, -1, 41, -5, -28, 45, 13, 12, 15, 19, 14, 25, -22, 14, 48, 5, -10, -20, -2, 15, -19, -40, -20, -3, 31, 15, 22, 4, -27, -45, -5, 47, -22, 5, 35, -22, 12, -2, -34, 9, -41, 27, 9, 1, 26, 18, -3, 31, -30, -10, 0, -28, -20, -30, -38, -9, -12, -8, -58, -23, -11, -29, 4, -37, 23, 7, -21, -19, 21, -8, -13, 53, 28, -3, -29, 15, 7, -12, -14, -12, -13, -36, -14, -40, -24, -37, -11, -26, -19, -32, 17, -55, -42, -22, -12, -37, 0, 38, -26, 27, 2, -19, -12, -23, -13, -28, 45, 61, -35, -23, -3, -3, -25, -3, -30, -46, -22, -40, -44, 26, -10, -22, -16, -75, 25, 37, 13, 36, 4, -4, 32, 3, -20, -19, -19, -25, 14, -22, -12, 43, 72, -42, -37, -14, -14, 46, 30, -27, 7, 4, -41, -7, -47, 11, 16, -2, -4, -12, -25, 16, 14, -18, 35, -36, 18, 8, 18, 26, -12, -6, 27, 1, -33, -43, -10, 34, -19, -17, 32, -1, -6, -15, 6, -10, 40, -25, -26, 25, -37, -40, -48, -42, -25, -30, 28, -30, 48, 46, -56, 28, -3, 15, -13, 19, 51, -10, 0, 13, -19, 26, -31, 22, -8, -18, -36, -22, -12, 12, 4, 1, -13, -31, -28, -38, 52, 22, -8, 18, 9, 35, -24, -53, 66, 18, 6, 19, -4, 21, 12, 3, -16, -8, 20, 14, 22, 5, -4, -10, 12, -32, 32, -33, 6, -23, -23, 14, 20, -23, -10, -5, 9, 10, -32, -17, -22, -30, 24, -4, -51, 41, 25, 28, -17, 28, 25, 34, -2, -25, -15, 20, 37, 71, 5, 7, 16, 11, -12, 18, -9, 9, 36, -31, 22, 14, -25, 24, 16, 33, -23, -5, -5, 2, 4, -19, -65, 57, -3, 34, 17, 16, -34, -49, 8, 10, -44, 17, -36, -35, -42, -41, -35, -24, -16, -31, -33, 31, 23, -18, 5, -19, 10, 34, -28, -21, -9, -12, 7, 12, 33, -37, 32, -3, 25, -4, -28, -14, -10, 1, -52, -15, -36, -30, -4, -2, -12, 8, -12, 3, 7, 4, 16, 22, -2, 36, -31, -4, 28, -58, 24, -8, 24, -22, 50, -31, -2, 43, -12, -13, 4, -11, -24, -32, -1, -4, -38, -38, -1, 3, -28, 10, -27, 6, 9, 10, -20, 49, -15, 38, -36, 23, -31, -18, -22, 14, -35, 36, -2, -29, 29, 0, -12, 30, -21, -5, -1, 48, -5, 9, 52, 4, -45, 33, 9, -15, 22, -22, -13, -2, -14, 8, -16, 7, -11, 24, -28, 20, -14, -7, 5, -70, -7, -25, 21, -3, -33, -28, 13, 2, -1, -15, -4, -45, 29, 27, 69, -23, 6, -12, 3, 1, 20, 23, 1, 10, 20, 63, 71, -21, 34, -22, -17, -3, -3, -8, -34, -36, -12, 1, 1, -7, 41, -8, 24, -17, 25, 1, 0, -23, -27, 8, 28, 26, -11, 21, -14, -24, 32, -25, 32, 0, -15, -10, -18, -15, -44, -20, -21, -22, 23, 15, 15, 18, -1, -18, 14, -2, 12, -9, -35, 1, 26, 40, 7, -18, -14, -22, 4, 15, 28, -20, 33, 28, 29, 17, 1, 16, -9, -10, 37, -14, -17, -24, 28, -34, -6, 40, 6, -17, 34, 6, -1, -2, 14, 4, 7, -34, 23, 8, 26, 1, -8, 29, 13, -19, -49, -59, -25, -17, -1, -2, 14, 37, -11, 0, -8, -25, 5, 69, 29, -26, 12, 4, 35, 16, 49, -34, -16, -48, 33, 15, -9, 61, -9, 16, -5, 41, -1, 7, -12, -11, 5, -10, -11, -13, -28, -50, 15, 35, 49, 55, 57, 10, 9, -2, 12, -21, -19, -6, -7, 2, 18, -13, 27, -28, 29, 35, -29, 16, -5, 16, 7, -5, -7, -1, -17, -44, 0, -1, -51, -14, 8, 13, -12, 19, 19, 33, 27, 15, 9, 8, 7, -2, -24, -40, 2, -46, 11, -14, 20, 28, -29, -45, -5, -1, -9, -11, -17, -23, 23, -15, -38, -1, -8, 7, 21, -10, -32, -46, -32, 5, -37, -11, 0, -18, -11, 19, 23, -6, -6, 64, 1, -8, -9, -15, 19, 32, -64, 23, 36, -16, 46, 37, 38, 31, 38, 14, 20, -29, -28, 26, -12, 6, 0, 21, -8, 36, 12, -13, 0, 3, -13, 25, 25, 3, 30, 8, -32, 24, -18, -13, -15, 5, -9, -29, 0, -29, -3, 41, 8, -30, -29, -30, 36, -37, -14, -11, -30, -19, 5, -15, 7, 0, -48, -10, 50, -15, 24, -6, 9, -17, 27, -7, -15, -20, -21, -6, -14, -21, 4, 4, 2, -2, 60, 8, -9, 0, -15, -47, 14, -10, 26, -14, -5, 30, -1, 27, 2, -13, 12, 0, 31, -33, -11, 16, -26, 14, -24, 15, -29, -33, -50, -5, -29, -9, -8, 17, 26, 33, 61, -26, -28, -35, 26, -23, 27, -4, -24, -17, 11, 3, 9, 8, -18, -15, 4, 19, -26, -17, -1, -27, 6, 21, 2, -12, -12, -34, -7, -26, 24, -22, 19, -24, 27, 7, 33, 19, 9, 9, -1, -27, 6, -9, 37, -7, 31, -15, -3, 37, 12, -12, 6, -29, -40, 14, 6, -20, -2, 36, -35, -25, 31, -37, -14, 6, 4, -20, -24, -19, -9, -26, 23, 10, 10, -3, -4, 7, -4, 5, 17, 11, -2, -7, -13, 30, -14, 8, 36, -11, 8, -37, -9, -11, -14, -1, 38, -34, 61, 43, -15, -10, -11, -18, 37, -31, 4, 6, 16, -4, -8, -33, -51, -40, -50, -60, -23, -10, -17, 16, 29, 71, -12, 1, 7, -1, -2, -13, -14, -6, -45, -1, -18, -49, -26, -20, -35, 22, 28, -2, 38, 32, -31, 44, 19, -33, -2, 28, -27, -18, -43, -27, -42, -44, -5, 0, -30, 24, 9, 7, 10, 25, 42, -7, 28, 46, -14, 3, 20, -28, 10, -17, -44, 35, -31, 32, -25, -30, 0, 4, 21, -10, 18, 12, -13, -21, -10, 26, 8, -26, 4, 5, 6, 3, 2, -30, -34, 23, -40, -34, -50, -26, -38, -6, 5, 14, -10, -19, -35, 13, -26, -29, 5, -3, 25, 18, -23, -33, -31, -32, 9, -6, -7, -12, 6, -46, -9, 7, 27, 19, 3, 19, 37, 70, 56, 28, -4, -11, 22, 13, 16, 29, -28, 38, 12, -16, 10, 0, 50, 16, -29, -30, 12, 7, -25, 32, 11, -48, 6, -11, 24, 11, 5, 5, 7, -15, 26, -17, 6, 4, -29, -16, 0, 14, 50, 10, -12, -35, 16, 20, -10, -7, 9, 9, -2, -7, 14, 8, 11, 2, 19, 40, -14, -5, -20, -62, 15, -44, -62, 3, 3, -20, -5, 16, 26, 30, 7, -19, 32, -13, 22, 30, -18, 16, 2, -19, 23, 7, -49, -9, -7, -4, -43, -74, 9, 0, 13, -8, 14, 15, 26, -25, -42, -26, -24, -1, -12, 33, -25, -12, -24, 33, 16, 38, -31, 19, 11, -12, 5, 29, -17, -5, 25, 14, -14, -14, -4, 8, -1, 16, -6, -22, 9, 26, -14, -30, 32, 15, 24, 19, 2, -12, 27, 22, 11, 33, -15, -22, -21, 25, 0, -8, 10, -21, 33, -12, 3, -9, -17, 24, -2, -20, 2, 2, 28, -29, 2, 36, -49, -32, -52, -12, -72, -43, -17, -39, -20, 37, 46, 2, 15, -43, 5, 24, -2, 35, -34, -3, -30, 8, -25, -6, 6, -18, -40, -29, -8, 24, -12, 27, -13, 11, -9, 16, 18, -8, -15, 33, -26, -35, -9, -27, -21, -55, -24, -9, -16, -16, 12, -17, 24, 1, -23, -9, 12, -1, 1, 19, -32, -1, 86, -2, 54, -1, 10, 42, 35, -7, 66, 20, 10, -10, 0, -23, 20, -31, -16, 4, -21, 15, -8, -8, 37, 20, 29, -13, 17, 0, 29, -38, 21, -6, 9, 4, 25, 31, 23, 20, 42, 41, 14, 13, 63, 18, 54, 12, -37, -22, -22, 16, -39, -32, 8, -34, 6, 8, -12, 56, -3, 1, 43, -67, 3, 16, -1, 20, 0, -44, -1, 5, 12, -19, -32, -13, 28, -6, -38, -11, -22, 1, 51, 73, 1, -10, 32, -13, -4, -17, 1, 41, 9, 13, -12, -22, -8, 21, 28, 24, -28, 25, -12, -20, 39, -25, -62, 26, -10, -12, 15, -16, 26, -7, 20, 8, 45, 52, 90, 50, 46, 21, 18, 39, 19, 28, 19, 11, 38, 16, -34, 10, 19, -34, -33, -5, -10, -2, -47, -28, -22, -19, -15, -54, -23, -10, -23, 0, -20, -25, -20, 32, 1, -28, -3, 28, 32, 37, -27, 20, -19, -5, 14, 31, -28, -6, -42, -34, -27, -66, -15, -10, -31, -63, -29, 22, -2, -35, 33, -11, 22, 23, -27, 35, 3, 14, -23, -27, -23, -38, -52, -30, 27, -10, 8, -4, -31, -35, 7, -5, -29, -23, 40, 32, -7, -22, 27, -22, -24, 21, 20, 53, -39, -2, 14, 22, 56, 55, -36, -35, -21, 21, 8, 17, 1, -28, -21, -36, -6, -13, -2, 29, -27, -33, -40, -46, -16, 40, -38, -47, -7, -16, -37, 33, 4, 27, -20, -19, -15, 22, -24, 10, -24, -19, -29, -23, 8, -17, -56, -4, 9, -62, 35, -5, 0, -21, -30, -22, -1, 5, -2, 37, -33, 38, -20, 14, -25, 38, 22, 14, -31, -3, -25, -20, 3, 18, 1, 34, 24, -20, 13, 23, 13, -16, 13, -25, 37, -12, 6, -22, -16, -30, -8, 14, -34, 14, 35, 0, -37, -14, 61, 27, -40, 14, -18, 17, 16, -13, 3, -6, -24, 8, -47, 39, 2, -28, 26, -32, -4, 4, -4, -31, 37, -10, 22, -29, 3, -2, 51, 57, 21, 21, 31, 14, 51, -52, -75, 45, -3, -30, 58, -61, -37, 74, 18, -17, 29, 35, 16, -39, -27, 3, -1, -12, 2, 11, 17, 38, -21, 5, 25, 15, -13, 28, -11, 2, 4, -36, -7, -22, -17, 15, -22, 28, 1, -2, 2, -7, -1, 29, 32, 13, -17, 24, -30, 4, 35, -64, 56, -20, 23, -25, -9, -5, 10, 41, 12, -23, 20, -17, -21, -1, -3, -39, 15, 28, -48, -2, 40, 43, -6, -7, 6, -27, 51, 26, 1, -19, 9, -31, 15, -40, 27, -17, 16, 9, 31, 22, -28, 29, 3, 19, 14, -1, -7, 28, -16, 0, -10, 13, 40, -9, -22, -10, 14, -35, 34, -1, 38, 18, 0, 11, -35, 16, -22, -6, -9, -15, -31, 27, -24, 39, -1, -11, 25, 4, 20, 19, -12, 9, 35, 4, -33, -23, -31, 16, 25, -28, 13, -2, 7, 4, 12, 8, -30, -9, -21, -1, 7, -26, 10, -15, 2, -1, -22, -35, 14, -6, 15, 29, -10, 6, 0, -14, 12, -12, -37, -47, 28, -48, -16, 29, 9, 10, 49, 3, -27, 48, 29, -21, -35, 26, -24, 36, 12, 14, 5, -24, -4, -36, -22, 15, -31, -27, -2, -30, 36, -43, -25, 5, -24, -12, -25, 4, 33, -43, -27, 35, -7, -40, 5, 9, 8, -9, -5, 43, -7, 27, 28, -12, 57, -30, -26, 2, -19, 18, 10, -39, 1, 2, -23, -21, 47, 37, -1, 17, 4, -37, 11, -1, -7, 6, 36, 18, -34, 32, -33, 9, 13, 12, 8, 29, -12, -7, -10, 46, -1, -38, -1, 10, -62, 51, -33, -35, 54, -15, 20, 27, 17, 37, -18, -6, 23, -26, -7, -19, -24, 2, -29, -19, -34, -1, 23, -18, -28, 5, 43, -77, 28, 47, -27, 2, 18, -12, 30, 22, -8, 35, 6, 22, 2, 10, -35, -28, 35, -26, 21, 12, -44, -7, 9, -12, 7, 26, -18, 24, 18, 10, -25, 20, 34, -3, -2, 15, -12, 1, 35, -36, 1, -19, -14, 2, -1, -5, 15, 58, -6, -8, -4, 4, -2, 11, 8, -2, -25, 12, 30, 16, -4, 48, -8, -28, 31, -4, -16, -1, -21, -2, 6, -13, 15, 30, -23, -5, 20, 24, -5, -72, -19, 10, -7, -19, 16, 15, 21, -1, 1, 27, -39, -45, 12, 26, 40, -34, 5, -6, -22, 24, -27, -2, -26, -7, -19, 0, -2, -23, -34, -21, -21, -1, 21, 39, -24, 34, -3, -34, -32, 20, -11, -29, 3, 36, -25, 40, 40, 36, 5, 25, -8, 28, -26, 12, -48, -25, -13, -64, -28, 10, 2, -14, -11, -36, 6, 37, 20, -20, -1, 31, 6, 49, -1, 58, 20, 38, 46, -37, 8, 15, 10, -28, -22, 1, 16, 9, -10, -33, 49, 30, 54, 14, 10, 2, -21, 49, 23, -30, -29, -41, -4, -40, 17, 16, 51, -11, -74, 32, 25, -47, 83, -41, -68, -23, -25, -2, -3, -3, 10, 5, 13, 59, 24, 17, -33, 62, 6, 5, 3, 0, 1, 39, -27, 43, 8, -4, -33, -21, 4, 24, -3, -39, 7, 18, -18, 10, 12, -27, 48, 3, -30, 37, -8, 10, 30, -24, -12, -2, -25, 12, 0, 26, 20, 13, 22, 9, -19, -38, 51, 31, -22, -15, 29, -11, 19, 7, -53, -11, 29, -28, 16, 46, -11, 31, 19, -3, 27, 26, -36, 27, 33, -3, 23, 43, 21, -10, 17, 35, -4, -2, 10, -10, -12, 53, -5, -22, 9, -39, 15, -76, 6, 26, -32, -4, -2, 37, 31, 1, -24, 39, 19, -7, 2, 4, 2, -9, -46, -43, -3, 24, 13, 4, 34, 47, 5, 14, 10, -33, -24, -38, 9, 16, -13, 25, 29, -33, 2, 23, 6, -6, -30, 37, 1, -39, -4, -47, -1, -2, 36, 14, 0, -3, -15, -31, -22, 16, 11, 35, 11, 53, 81, -7, 72, 53, -41, -55, -68, -12, 25, -47, -23, 27, 3, -6, -39, 15, -31, 25, 8, -27, -47, -35, 0, -6, -3, 38, 34, -16, 3, 4, -17, 30, -35, -21, 24, -49, 29, 20, 4, 46, 5, -36, -17, -24, -9, 24, 18, 4, 4, -34, -27, -40, -6, -34, -32, 31, -25, -37, 9, 47, 1, 28, 2, 33, 27, 28, -22, 24, 14, 5, 14, 1, -10, 12, -20, -18, 17, -13, -37, -12, 67, -2, -18, 20, -51, -38, -52, -4, 27, 15, -34, 8, 14, 14, -22, -30, -2, 24, -4, 8, -24, -30, -33, 8, -7, 19, 5, 33, 15, -24, 2, -19, -23, 36, 25, 2, 19, 16, -46, -15, 3, -22, 8, -25, -5, 41, -42, 13, 18, -1, 5, -17, -18, 14, -30, -10, 3, -20, 13, -11, 22, -20, 17, 18, -9, -11, 11, -35, -23, -39, -21, -6, 3, 44, 1, -28, -43, -17, 38, 43, 22, -3, 32, -8, 0, -11, -11, 10, 16, 29, 45, -7, -40, -6, -19, -30, 12, 38, 4, 3, 3, -17, 33, -11, -9, 25, 20, -33, -14, -1, -16, -43, -1, 19, 3, 1, -24, 17, -3, -36, 0, -33, -13, -6, -11, 22, 4, 23, 42, 3, -11, -16, 33, -13, 30, -15, 10, -15, 10, 37, -5, 71, -39, -23, 54, -18, -64, 31, -46, -19, -17, -14, 11, 46, 13, 1, 31, -22, -12, -5, 11, 15, 67, 33, -6, -38, -35, -24, -11, 6, 30, 18, 13, -23, -31, -12, -13, 34, 17, 17, -37, -30, -29, 17, 9, -14, 17, 7, -22, -22, 25, -14, 17, 19, 39, 24, 12, -1, 1, -28, 16, -56, -47, 13, -29, 6, 24, -62, -49, 0, -47, -19, 21, 14, -32, -33, -54, -7, 2, -51, -15, -1, -31, 7, -34, -82, 36, 0, -1, 27, -34, -16, -26, -20, 19, 30, -15, 2, -19, 26, 2, 1, 12, 26, -24, 19, -19, -20, 12, 2, 44, -17, -8, 13, -3, -15, 4, -42, -32, -6, -11, 8, 23, 4, -8, -5, 19, 19, 19, -6, 7, -5, -29, 35, 15, -14, 0, -8, 46, 4, -47, -18, 16, 4, 12, 20, 7, -1, -36, -24, -31, -22, 30, -17, 4, -52, 16, 18, -41, 19, -25, 13, 19, -20, 7, -9, 24, -35, -12, -31, 14, -3, 19, -3, 18, -20, -37, -6, 35, -20, -7, -16, 1, -15, 46, 9, -11, 12, -28, -7, -22, 32, -11, -69, 47, 8, -77, -17, 35, -22, -23, -50, 17, -12, 5, -18, -10, -10, -1, -6, 0, -6, 18, 11, -13, -37, -1, -28, -40, 30, -36, -34, 30, -17, -10, -3, 46, 21, -25, 0, 29, -44, -54, -20, -9, -38, -10, 8, -2, 21, -17, -14, 4, 36, -39, 2, 13, -65, -26, 23, -40, 11, -11, -18, -46, -7, -4, 14, 9, 62, 27, 1, -20, 12, 8, -9, 33, -5, -35, 38, 51, -15, -28, -13, -50, 9, 18, -22, -46, -24, -7, 33, -8, -48, 65, -6, 43, -75, -12, -17, 25, -34, 3, -4, -44, -21, -37, -41, -13, -26, 7, -30, 33, 37, -18, -24, 10, 11, 109, 95, 68, 72, 38, 40, -1, 29, -15, -28, -8, 44, 41, 29, -12, -18, 31, 13, -38, -38, 38, -12, 37, 30, 7, 24, -39, 35, 55, -53, 28, -14, -13, -72, -26, 5, -27, 48, -24, 19, 37, -63, -48, -44, -36, -40, -7, 0, 40, 37, -29, -4, 38, -21, -20, 0, 7, -48, 7, -5, -52, -28, -37, -37, -42, -1, 31, 13, 32, 60, 13, -25, 2, 23, 52, 5, -2, 10, -44, -18, -14, -58, -43, -48, -55, 5, -25, 6, 28, -2, -13, -34, -30, 23, -5, -24, -10, -33, -1, 42, 19, 49, 4, -12, 56, -20, -11, -4, 26, 29, -18, -16, -5, 21, 18, 47, -19, 32, -9, -43, -44, -33, -46, -4, -13, -68, -11, -19, 11, 42, -11, -28, -61, -60, -10, -65, 23, 20, -27, -17, 23, -35, -5, -32, -45, 25, -23, -33, 33, -2, 2, -31, -1, -58, -34, -19, -36, 13, -22, -42, 14, -24, 31, 85, -16, 33, 9, 4, -90, -29, 19, -11, -9, 18, 24, 2, -26, -35, -27, -7, 6, -38, -31, -13, -48, 4, -23, -51, -28, 29, -44, -39, 12, -51, 0, 11, -34, 17, -40, 32, 29, 80, 48, 11, -3, -8, -17, -60, 9, -30, -87, -21, 7, -54, 5, -35, 8, 14, -42, -11, -15, -22, -14, -17, 14, 15, -22, -24, 20, -23, -27, 24, 18, 18, 88, 46, 3, -24, -4, 37, 8, 6, -65, -6, -15, -62, -11, -81, -64, -74, -60, 17, -7, -25, 33, -26, -8, -50, 2, -40, -12, 25, -43, 33, 27, -25, -34, -15, 39, -28, 49, -44, 5, 25, 26, -35, -67, -46, -2, 33, 18, -30, 63, -20, 0, 18, 10, -10, 36, -9, -13, 6, -2, -41, -47, -36, 20, 13, 3, -19, 35, 32, 2, 23, 0, -20, 12, -3, 2, -23, 27, -2, -31, -16, 39, -24, 24, -4, -36, 49, 32, 10, 4, 41, 26, -31, -8, 1, -62, -11, -60, -13, -7, -13, 36, -27, -15, 10, 8, 14, 1, -30, 21, -26, -38, -22, -54, 3, 12, -45, 46, -15, 7, 46, -29, -43, 16, -33, -2, 3, 1, 16, -16, -43, 20, 21, -2, -38, 28, -19, 34, 38, -33, -12, -34, -13, 1, 58, 42, 61, 13, 25, -24, 63, 9, 19, 10, 6, 2, -35, -8, 1, 2, -30, 19, 35, -32, -34, -36, -8, 45, -6, -64, -22, -11, 10, -39, 11, -24, -65, -13, -1, -14, -11, -17, -11, 3, 24, -9, -42, 7, 8, 42, 43, 16, 2, -24, 46, -59, -26, 42, 11, 20, -27, 2, -29, 13, 14, 23, -36, -3, 2, -31, 12, 10, -10, 6, 11, 23, 27, 9, -43, 2, -1, -13, 22, 31, 56, -8, 3, 3, 39, -4, 22, 14, 6, 25, 54, 29, 33, 31, 14, 11, 8, -1, 30, -7, 45, 23, 2, 7, 9, -24, -7, -16, 33, 29, -1, 25, 7, -12, -4, 36, 31, 0, 41, 64, 3, -11, -14, 29, 5, -17, 12, 0, 34, -14, 5, -4, -1, -30, 20, 19, -34, 7, -3, -56, 15, 41, -13, -26, 8, 25, 24, -2, 2, 0, -7, -17, 24, 33, 27, -25, -14, 28, -21, -10, 22, -34, -21, 29, -11, -8, -29, 18, -23, -20, 43, -13, 30, -39, -16, -20, -4, 18, -53, 3, -4, 25, 11, 0, -11, -2, -5, -27, -19, -2, 27, 25, -10, -29, 24, -12, 8, 2, 1, 6, 1, 13, -28, -29, -5, 4, -32, -16, 30, 15, 7, 5, -6, -2, -18, 5, -11, 10, 21, 27, 13, 30, -7, 12, 43, -23, 17, 28, 11, 8, -35, -13, -24, 2, 29, 41, -14, 9, 11, -16, 14, -10, -17, 20, 18, -8, 15, -12, 7, 0, 2, -22, 13, 35, 12, 14, 19, 4, 3, -24, -20, 0, -10, 1, 4, 15, 13, -11, -27, 26, 29, 41, 2, 5, 24, 19, -29, 1, 7, 9, 31, 23, 33, 54, 19, -16, 17, 20, -1, 20, 15, -34, 6, 10, 8, 28, -19, -4, -15, -17, 8, -34, -10, -24, -7, -27, -12, 16, 28, 18, -1, -19, -23, -16, 24, 0, 16, -27, 21, 8, 1, -15, -14, 2, -28, 29, -5, -11, 25, 11, -17, -33, -33, 5, 25, 5, 50, 15, -13, 5, -13, -31, -1, 29, 25, -5, -22, 4, -20, -2, 0, -48, 20, -19, 39, -17, -17, -8, 6, -25, -4, -31, 19, 23, -10, 38, 37, 22, 2, 14, 28, -11, 8, -22, 9, -9, -10, -15, -12, 9, -9, -5, 32, 30, 23, -15, -22, -36, 12, -12, 8, 1, 6, 5, 6, 14, -2, 22, -18, 8, 4, 13, 37, -42, -31, 28, 45, 7, 3, -18, -19, -11, 16, -9, -11, 18, 5, -50, 8, 8, 14, -17, -16, 19, -26, -2, 5, -4, -21, -2, -33, -29, 1, -45, 20, -7, -6, -25, 6, -12, -24, 11, 2, 8, 31, 35, 50, 10, -13, -14, 46, 5, -32, 20, 3, -36, 14, 32, -28, 33, -35, 14, -27, -2, -37, 32, 33, -16, -24, 4, 37, 2, -57, -2, -11, -20, -28, -10, 9, 21, -46, -26, -24, 37, 20, 8, 44, 36, 21, 0, 13, 22, -21, -20, -20, -16, 6, 2, 13, 16, 14, 2, -31, -9, 22, -31, 37, -24, -2, -3, -31, 26, 14, -28, -13, 13, -1, -11, 5, 8, 12, 4, 9, 22, 6, -8, 1, -1, -36, -36, -8, -8, -9, -26, -5, 39, -25, 1, 11, -9, -19, -35, -36, -10, -23, -36, 18, 36, 7, -13, -1, 2, 3, 33, -20, 11, 10, 17, -38, -11, 33, -10, -17, -1, -16, 22, 3, -6, -11, -37, 16, -10, 32, -28, 7, -12, 12, -7, -42, -34, -16, -29, 17, 10, 6, 26, 26, -17, 3, 9, -34, -22, 36, 5, -16, 3, 17, -23, 34, 12, -27, 23, 22, -9, 34, 39, 1, -8, 4, 16, 19, 29, 50, -21, 38, 48, 31, -3, 6, -11, 1, -13, 7, 2, 13, -1, -3, -49, -6, 10, -22, 6, 8, 30, -11, 8, -4, 20, 13, 17, -12, 10, -41, 26, 22, -34, -4, -32, 7, -15, 44, -16, -33, 7, -15, 22, -13, 9, -29, 6, 22, 33, 13, -28, 2, 2, -28, 4, 14, 14, 28, -13, -13, 3, -21, -17, -17, 13, -11, -15, -26, -29, 20, -14, -22, -7, -20, 27, 8, -21, -8, 6, -21, -32, -31, 38, -18, 32, -21, 14, -31, -26, 7, 29, 1, 30, -5, 20, 15, 13, 4, 26, -34, -3, -22, -8, 34, -35, -10, 9, -47, -22, 25, -36, -34, -13, -4, 7, -50, -5, 15, -17, 1, 26, -7, -8, 8, 36, 13, 15, -1, -32, 28, -16, 6, -8, 21, 23, 23, 12, 19, 3, -39, -20, 36, 20, -29, 8, 35, -1, 33, -11, 15, 26, 38, 21, 38, -14, 6, -39, 9, 38, -18, 21, -26, -19, 0, 36, -20, 9, 22, 25, 13, -6, 27, 33, -13, -9, 30, 11, -16, -37, -17, 2, 21, 18, 24, -24, 11, 26, 14, -12, 36, -7, 8, 5, 6, 26, 2, -9, -23, -23, 27, -2, -15, -34, -8, -9, 22, -11, 12, 15, 19, -6, 4, 6, -14, -22, 19, -2, 32, -3, 4, -27, 3, -13, 14, 35, -2, 25, -14, 36, -17, -20, 24, 13, -26, -24, -7, -19, -20, 13, -25, 6, 34, 23, -8, -28, 5, 9, -38, 13, 2, -26, -21, 6, -7, 36, 37, 11, -17, 15, 27, 1, -18, 24, 25, -12, -7, 30, -8, 5, 18, -35, -22, 2, -1, -18, -11, 34, -37, 34, -35, 15, 19, 36, 27, 11, -32, -10, 9, -23, 27, 23, -37, -2, -31, -36, -25, 23, 8, -7, -23, -17, 0, -11, 20, -13, 26, 39, 5, -19, -16, 1, 3, -35, 14, -9, -38, -15, -42, 22, -32, -25, 9, 9, -4, 34, 13, -17, -29, -41, -9, 29, 17, 29, 14, -35, -34, 0, 29, -6, -20, 6, -33, -11, -4, 24, -26, -22, -27, 8, 31, 15, 34, -35, -23, -6, 23, 9, -8, 29, 10, 33, -26, 6, -21, -38, -25, -39, -38, 25, -10, 3, -44, -27, 26, 19, 8, -3, 35, -36, -12, -6, -23, 23, -13, 12, 28, 38, 26, 1, -32, 28, -37, 16, -21, 36, -26, 5, 10, -4, -40, -11, 6, -11, -41, 11, 16, -6, 22, 19, 24, -23, -31, 42, 18, 27, -33, -31, 17, -12, -19, 6, -33, 21, 38, -30, 12, -36, 16, -28, 21, -21, -40, 30, -33, -36, -18, 4, -5, -36, 2, -10, -20, 28, -15, 33, 3, -10, 5, 37, 13, -19, -27, -26, 16, -42, -13, 2, 5, 20, 23, -15, 12, 24, -27, 19, -3, -20, 21, 2, 14, 29, 0, -5, -15, 36, -20, -1, 11, 13, -36, 4, -5, -29, -2, -36, -23, 23, -8, -31, -37, -37, -14, -10, -36, -38, 34, -4, 23, 30, -30, 18, 26, 17, -24, 24, 14, -23, 32, -33, -12, -11, 8, -6, -29, 19, -42, -14, 18, -40, -43, -39, -28, -33, 6, 23, -18, 3, -17, 7, -38, 29, -33, -37, 32, -31, -35, -32, 4, -18, -18, -32, -11, 7, 8, -3, -9, 16, 18, 5, 0, 4, 22, 34, -30, -10, -26, 33, 4, 27, -27, 15, 35, 33, 11, -28, 11, -18, 18, -32, 3, 8, 19, 22, 4, -39, -34, 17, -29, -18, 4, -35, -33, -3, 32, -11, 23, 2, -34, 25, -38, -2, -34, -8, -17, -13, 10, 34, 26, -25, -35, 8, -27, -46, -11, -5, 4, -17, -4, 8, 21, -7, -1, 10, 22, -41, -11, -30, -4, -22, -32, 20, 15, -6, 22, -15, -9, 11, -18, -7, 8, 48, -40, 14, -10, -46, 18, -11, -29, 15, 22, 19, 18, 20, 31, 39, -19, 43, -15, -26, 8, -28, -29, 38, -25, -20, 20, 31, 1, -23, 38, -13, -15, 28, 9, -30, -26, 19, -14, 19, 4, 38, -25, 30, -27, 32, 25, 25, 25, -30, 22, 9, -14, 0, 0, 10, 16, 0, -51, -5, -17, -13, -64, 1, -15, -25, 6, 46, -32, 6, 17, 7, -18, 0, 21, -14, 31, -25, 33, -26, -19, 4, -28, 23, -2, 35, -14, -24, 5, 28, -49, 18, 25, 4, 2, 12, 6, 2, 12, 28, -13, -11, -33, -12, 12, 37, -6, -3, -26, -36, -33, 34, 5, 5, -8, -3, 9, 8, -27, -24, -5, 2, 16, -4, -21, 20, 35, 5, -30, -14, -29, -22, 5, 27, -13, -12, -9, 27, 36, 33, -16, 41, -20, -9, -41, -33, 14, -44, 12, -16, 12, 21, -40, 32, 14, -11, 0, 20, 8, -37, -61, -42, -33, -42, 2, -5, -17, 39, 54, 50, 7, -8, 27, 13, -14, -34, 22, -21, -16, -1, -13, -15, 34, -20, 28, -29, 21, 4, -24, -23, 20, -27, -31, -3, 10, -5, -12, 1, -35, -14, 0, -1, 33, -27, 33, 19, 28, 5, 11, 24, -9, -25, 5, -3, -3, -17, -47, -22, -10, -31, -38, -33, 4, 16, 24, 28, 13, 21, -23, 37, 19, 34, -26, -34, 58, 31, 8, 73, 9, 4, 29, -7, -39, -25, 13, -23, 10, 27, 31, -3, -2, 12, 34, 15, -28, 5, 11, -17, 16, 17, -26, -73, -11, -39, -35, -25, 4, -28, -51, -50, 27, 41, 10, 17, 36, 6, 12, 31, 23, 30, -41, 5, -22, -36, -31, -18, 11, 6, -26, -9, 12, 35, -31, -38, 35, -10, -20, 15, -19, -33, -20, 12, -27, -12, -3, 38, 12, -29, -21, 9, -9, 20, -23, 22, 26, 8, -61, -104, -17, -47, -41, -30, 26, 35, 35, 45, 16, 11, 16, 26, 51, 30, 51, 19, 1, -24, -6, 32, 17, 19, -18, -10, -52, -41, -27, -12, -2, -7, -18, 11, -4, 34, -35, -49, 26, -62, 39, 23, 48, 36, 42, 9, 38, -11, 42, -15, -2, 10, -13, -33, -13, 34, -38, 15, 27, 27, 39, 23, 8, 12, 44, -45, 14, 10, -62, -25, 58, 22, 2, 43, 33, 16, -9, 17, -10, 49, 29, 15, 24, -51, -30, 6, -25, 9, 8, -13, 7, -3, -28, -15, -33, 30, -7, 11, -9, 37, -11, 0, -17, 4, 31, -18, 23, -57, -22, 28, -36, -4, -13, -48, -6, 29, 18, 12, -16, 10, 64, -4, 80, 29, 16, 16, 50, 4, 11, 0, 47, 11, -15, -4, 11, 27, -4, -33, 21, 8, 4, 35, -26, 12, 38, -10, -20, -52, -21, -34, -35, 3, 39, 23, -34, -21, -32, 11, -38, -25, -13, 13, -17, 22, 1, -9, -24, 31, -20, -29, -28, 31, -39, 1, 4, 15, 28, 21, -21, -3, 8, -16, -3, 28, 0, 6, -28, 10, -6, 21, 10, -27, -38, -13, -39, -38, -31, -27, -61, -8, -5, 27, 25, 6, -25, -6, 40, -19, -21, -32, -5, 21, 7, -1, -9, 42, -20, -44, 52, -1, 25, 26, 28, -40, -8, -11, -19, -21, -12, 1, 19, -16, -3, 20, 43, -12, 8, 20, 0, -13, 42, 4, -4, -24, -13, -6, -39, 13, 45, 34, 24, 19, 57, 48, 38, 35, -19, 15, 2, 23, -6, -32, 9, 13, 0, -6, -6, 5, 25, 6, -9, -26, 17, 6, -1, 22, -12, 9, 1, -18, 33, 5, -30, -31, -26, 24, -5, -10, -82, -12, -42, -22, -57, -33, -42, 44, -16, -37, 24, 26, 28, -23, 34, 16, -6, 3, 32, 44, -30, 29, -9, -32, -34, -19, -23, 13, 21, -2, 18, 19, -2, 16, -61, -10, -17, -8, -37, -17, 14, -6, 19, -2, -32, 30, -26, 26, -19, 28, -9, -17, -16, 2, -14, -28, -3, 29, -26, -19, 34, 28, 29, -10, -69, 6, -57, -2, -32, 0, 73, 1, 31, -26, -8, 32, 5, -38, -16, -20, -26, -17, 7, -10, -9, 7, 16, -16, 23, 41, 25, -1, 37, -36, -36, -38, -50, 8, -38, -33, -16, 14, 13, 21, -24, -41, -1, 6, 55, -39, 20, -47, -49, -13, -6, -21, -27, -33, -9, -12, 22, 23, -48, 21, -2, 3, 2, 62, 12, 48, 1, -5, -27, -30, -16, -2, -21, 3, -3, 10, -32, 18, 20, 45, 2, -31, 33, 28, -32, -47, -31, -34, -16, -48, -16, 3, 28, 3, 26, -5, 13, 4, 5, -4, 3, -28, 12, 30, -4, 9, 30, -26, -19, 29, 2, 7, 38, -9, 27, -22, 35, -12, -19, 34, -7, -28, -36, -21, 42, 16, 5, 9, 23, 42, -14, 27, -10, 29, -6, 29, 20, 5, -16, -13, 12, 15, 26, 12, -11, 52, -47, -26, -7, -54, -10, -6, -36, 30, 24, -33, -34, -9, 20, 4, -30, 31, 5, -8, -1, 30, 13, -30, -1, -8, -4, -20, 32, 16, -10, 33, -6, -40, 21, 62, 46, 40, 9, -6, -36, -39, -29, 8, -7, 39, 21, 1, 28, -4, -18, 6, -39, 19, -18, -4, -20, -35, -38, 14, 13, 8, 13, 0, 22, 31, -23, -5, 13, -10, -18, -5, 13, -11, 18, -42, -30, -3, 5, 14, -6, 21, 13, -15, -24, -7, 3, 4, 70, -18, -15, -6, 22, 30, -57, -16, -34, -37, -34, 27, 19, 35, 2, -12, -8, -14, -18, 33, -43, -5, -31, 29, -19, 16, 13, 14, -26, -4, -51, -18, 8, -66, -17, 8, -10, -1, -22, 18, -38, -11, 2, 21, 7, -3, -16, -24, -37, 0, -14, -18, -29, -21, 41, 7, 22, 20, -12, -50, -68, -56, -24, 68, 5, 1, -10, -48, -4, -24, -21, -13, 20, 25, -7, 3, -47, -50, -50, -36, 4, 3, -4, 29, -44, -40, -6, -50, 25, 18, -9, 24, -5, -13, -8, 32, 17, 2, 21, 18, 31, 14, 21, 10, 3, 23, 13, 28, 63, 12, -14, 11, 17, 38, -59, -4, 46, 19, -5, 22, -11, -22, 9, 5, -24, -22, 19, 34, 49, 4, 4, -6, -14, 1, 2, -32, -2, 20, -5, 17, -4, 51, 5, -5, -11, 26, -36, -25, -31, 0, -12, -29, -36, 16, 22, 5, 19, 14, -2, 15, -19, -28, -23, 4, 42, -18, 2, 0, 48, -28, -14, -9, -35, -15, 4, 4, 4, -28, 37, -11, 9, 34, 9, 25, 12, -35, 34, 37, 3, -36, -26, -18, -11, -22, 6, 15, 1, -3, 31, 25, 16, 36, -20, 21, 24, -9, 12, -68, -53, -29, -41, -32, 15, -11, 26, 29, 36, -39, -10, 42, 9, -21, 1, 31, -33, 16, 38, 37, -47, 2, 2, -17, 32, 44, 13, -11, -17, 29, -7, -19, 18, 12, 2, -9, 53, 22, -8, 55, 34, 2, 42, 3, -19, -60, 12, -55, -23, 23, -24, -22, -27, -39, -30, 3, 20, 1, 6, -36, 15, 4, -23, -5, 10, 26, -27, -11, 14, 10, -25, 34, -21, -20, 4, 30, 29, -32, 0, -36, -3, 21, -13, 39, 31, 18, 11, 3, 12, -31, 6, 0, 3, -6, -4, 43, 40, -9, 20, -46, 26, 19, -47, 38, -18, -9, 5, -10, 2, -26, 43, 19, -14, 20, -32, 25, 22, -3, 33, -15, -15, 29, -23, 10, -33, -13, -34, 10, 7, -13, 30, -29, 16, -30, 42, 48, 25, 25, -13, -12, 11, -5, 29, 30, -21, -24, -15, -39, 2, -9, -13, 17, -40, 17, 23, 14, -6, -11, -34, -10, 7, 12, -28, 10, -4, 29, 0, -42, -46, 9, 3, -29, -26, -5, -24, 26, 15, -37, 21, -10, 3, 4, 13, 9, -16, -29, 3, 13, -46, -53, 21, -12, -6, -62, -13, -28, -25, -29, -44, 8, -30, 10, 10, -48, -18, -11, 3, -35, -23, 18, -44, -6, -46, -30, -6, -15, 31, -23, 15, 32, -28, -27, -7, -27, 19, -37, -15, 16, 6, 10, -42, 31, -16, 27, 22, 2, -55, -29, 26, 2, -28, 44, 39, -38, -30, -31, 38, 4, -13, -26, 38, -27, -28, -13, 10, -19, -57, 18, -5, 21, -38, 25, 10, -10, -2, -19, 6, -26, 38, 5, -20, -19, -41, 27, -4, 44, 27, 6, 22, 34, -1, 32, -15, -25, -33, -18, -15, 27, -11, -37, 4, -10, -29, -9, 11, -33, 6, -13, 5, 23, 22, 18, -40, 12, 5, 17, 10, -42, -8, 13, 17, -54, -53, -43, 16, 24, 25, -16, 38, 38, -1, -46, -25, 42, -7, 6, 24, -22, -16, -30, -56, -39, -9, -17, 2, -52, -19, -39, 19, 28, -22, 34, 56, 18, 9, 24, 17, 10, 4, -9, 10, 6, 0, -7, -15, -32, -15, -26, 26, 9, 18, 37, -19, -72, 20, 17, 4, -19, 5, 74, 16, 46, 58, 39, 10, 38, 4, 34, 19, -5, 8, -15, -22, -17, -13, -34, 49, -8, 8, -15, -18, -6, 4, -19, -23, 56, 57, 29, 4, 33, 23, 9, 12, 6, 17, -48, -28, -33, 21, 22, -6, -12, 33, 12, -14, 5, 39, -38, 13, 28, -21, -14, 8, -1, 22, 21, 30, 36, -42, -64, -85, 8, 24, -7, -35, 7, 27, 15, -9, -2, 5, 43, 52, -32, -5, -20, 24, -26, -34, 30, -24, -4, 10, -11, -18, 11, -19, 11, 3, -3, -1, -7, -14, -12, 35, -35, -24, 23, 17, 14, -42, 3, 50, -47, -18, -17, 27, 3, -46, -6, -6, 8, -12, -51, -14, -15, -2, -36, -15, 15, 1, -19, -5, 9, 42, 12, 10, -3, 6, 23, 11, -14, 31, -19, 0, 1, 15, 3, 29, -56, -24, -58, 18, -13, -17, -25, 6, 1, -32, -38, -36, 14, 13, 20, 7, 4, 15, -20, 37, 24, -14, 30, -27, -18, -17, -5, -43, 5, -31, 29, 19, 34, 20, 34, 6, -14, 17, 27, -30, -6, -14, 6, 42, 32, 8, 25, 42, -4, -22, -22, 19, 20, 33, 50, 7, 15, -6, -4, 33, 27, -29, 41, 16, -9, 4, 4, -23, -62, 23, 37, -22, -23, 26, -8, 30, 16, -3, 24, 7, -8, 4, 17, -17, 4, 21, 14, -28, 24, 3, 5, 21, 8, 23, -3, -33, -39, 3, 12, -4, -3, -10, -6, -29, -25, 28, 19, -31, 19, 34, -29, 33, 17, -9, -34, 27, 12, 13, -30, -43, 36, -31, -8, -36, 32, -1, 11, 7, -20, -39, 15, 36, -39, -12, 11, -19, 35, -9, 4, -33, -22, -35, 24, -32, -7, 18, -1, -30, 30, 26, -16, 17, 7, -23, -32, -38, 21, 29, -11, -26, 13, 31, -36, 24, -11, -24, -1, -13, -11, -10, -39, -1, -6, 6, 2, 7, -7, 15, -30, 18, -30, 8, 9, -16, 11, -33, 15, 16, 10, 14, -31, 12, 12, 20, 20, -31, 8, -33, -8, 25, -34, 21, -38, 31, 3, -19, -43, -10, -8, 28, 19, 24, -13, 17, -4, 16, 11, -22, 17, -31, 19, 8, -12, -12, 34, -16, 15, -4, -26, -18, 23, 27, -26, -3, 24, 17, -4, 0, -37, 37, -23, -17, 26, 34, -18, -26, -7, -42, -3, -27, -32, -34, -9, -16, 20, -24, -10, -12, -6, -25, 5, 39, 18, -1, -35, 27, -38, 22, 8, -30, 8, 2, 2, -27, 14, -1, 2, -41, 30, -11, 19, -15, -20, 19, 25, -39, 34, 24, -2, -19, 35, -26, -13, 4, -25, 8, -22, -19, -13, -1, 26, -25, 15, -26, -34, -32, -16, 35, 29, -2, 10, 25, 20, -3, -34, -33, -33, 17, 37, -11, -8, 7, 35, 11, -30, 6, -2, -24, 20, 14, -33, 30, -3, 2, 15, 5, 9, 34, 1, 19, -16, 25, 17, -10, -17, -14, -29, 21, -39, -37, -36, -24, -16, 18, 3, -9, -28, 10, -25, -11, 18, -21, 34, -38, 2, -2, 22, -9, 3, -5, 27, 37, -27, -1, 8, -47, 0, -32, -55, -20, -21, 15, 18, -11, 5, 2, -15, -25, -34, -20, 8, 10, 17, 10, -31, 19, -11, 29, -15, -20, 13, 11, 2, -24, 26, -28, 32, -3, 32, 3, -33, 28, -42, 19, 31, -1, 19, -4, -31, 24, -12, 16, -14, 32, 15, 24, -31, -3, -10, -34, 12, -26, -4, -37, -16, 37, -25, 21, -17, 25, 4, 4, -14, 18, 38, -39, -2, -3, -19, -35, -34, 34, 20, -15, -28, 18, -32, 1, -13, 10, 27, -16, 22, 15, 12, 14, 2, -13, 3, -10, 11, 18, 0, 4, -8, -34, -30, 2, 34, 10, 16, -17, 5, 18, 6, -24, 18, 38, 32, 23, -20, 0, -25, 16, 28, -22, -22, -4, -18, 25, -26, 34, 30, -14, 37, 36, 29, 19, -32, -33, -40, -17, 17, 21, -14, -10, -24, -23, 32, -11, -18, 10, -10, -15, 22, 31, 21, 38, 21, -35, -28, -26, -10, -35, -8, -26, -3, 35, -37, -8, -32, 7, 22, -30, 25, 4, -32, 14, 7, 15, -38, 8, 32, -28, -31, -27, -9, -7, -21, -28, -2, 8, 7, 11, 37, -19, -36, 9, 33, -32, -26, -23, -45, 16, -8, 3, 16, -23, -18, -1, -27, -22, -28, 11, 23, 26, -11, -1, 20, -3, -32, 9, -36, 30, 15, 28, -24, 28, 18, 3, -14, 4, -18, 7, -37, 15, -25, -7, 21, -36, 9, -35, 35, 25, 6, 21, 25, 28, -22, -3, -17, -3, -14, 4, -8, -21, 9, -12, -45, 15, 32, -16, -20, 1, 37, 24, -23, -25, 26, 31, 3, -32, 10, 26, -1, -22, 24, -13, -3, -41, 31, -34, -33, -8, 27, 37, 4, 7, 10, 34, -19, -19, -4, -28, 2, -18, -7, 6, 16, -7, -30, 0, -46, -19, -7, -23, -23, -47, 3, -15, 41, 4, -22, -12, 0, 7, -18, -33, -2, 6, -9, 15, 7, 12, 13, 36, 2, 2, -11, -10, -5, -40, 10, -17, -8, -31, 10, -24, -31, 38, -24, 22, 25, -18, 55, -4, -7, 5, -1, 3, 12, 8, -21, 14, 31, 25, 21, 0, 19, 31, 32, 16, 12, 9, 12, -13, -16, 7, 17, -24, 21, 39, 43, 36, -31, 0, 12, -23, -13, -26, 10, -33, -15, -29, -12, -29, -32, -5, -11, 3, -26, -28, -27, 16, 11, 0, -25, -43, -3, -44, -13, 0, -35, -14, -21, -59, -25, 23, 23, 18, 33, 25, 49, 12, 6, 10, -23, 23, -29, 18, -38, 17, -39, 4, 10, -32, -23, -55, 42, -3, -8, 8, -44, -48, 39, -3, 43, 4, 22, 37, -32, 7, -7, -16, 4, 30, -17, 25, -25, 25, -26, 22, 65, 4, 19, 26, 17, 45, 11, -2, 21, -10, -24, -11, 23, 4, 4, 36, -3, -16, 4, 40, 1, 29, 21, -10, 13, -42, -11, 20, 10, 4, 14, 5, 4, 35, 22, 57, 6, 18, 50, 16, 16, 24, -54, -32, 23, 28, -26, -16, -17, -22, -37, 16, -14, -33, 13, 1, -37, -4, 8, 16, 36, 0, 7, -27, -30, -22, -5, 28, 6, -31, 25, -16, -30, -45, 11, -40, -42, -1, -1, -6, -28, -8, -3, -32, 24, -10, -34, -59, 4, -44, -34, -23, -17, 6, 27, -5, 12, 41, 32, -6, 12, -15, -2, 0, 28, -5, 25, 16, -15, -13, 9, 8, -21, 9, 41, 26, 19, -34, -5, 33, 2, 30, 2, 19, 20, -28, 21, -13, -47, -8, 16, 22, 16, -10, -19, -37, -20, -29, -10, -3, 22, -51, -36, -17, 10, -7, -2, 5, 15, 28, 23, 38, 7, 3, -1, 23, -20, 43, 18, 3, 39, 24, -41, 55, 45, 31, 19, 8, -16, -10, 25, 7, 21, 14, 15, -1, 17, -16, -1, -32, 7, -36, -54, 16, 18, -1, -10, 0, 10, -22, -11, -21, -1, 17, -27, -15, 34, 5, 0, -35, 11, -5, 20, -19, 21, -3, -30, -24, -5, -7, -49, 3, -23, -45, -12, 0, -5, -38, -51, 15, -1, 14, 5, 30, 34, -35, -5, 38, -17, -2, 22, 24, 10, -16, -26, -10, 20, 3, -27, 36, 1, 41, 16, 22, -25, 27, 24, 43, 33, 17, 53, 16, 9, 22, -2, -27, 4, 10, 44, 18, 17, 48, 16, 30, 4, 27, 34, -5, -31, -8, -10, 22, -3, 34, -25, -34, 27, 10, -5, 28, 30, 13, -32, -10, 2, -11, 26, 10, 3, 15, 16, -23, 7, 7, 4, -10, -19, -8, -27, -50, 4, -2, -10, -10, -6, -26, -4, 24, -13, -1, 4, -13, -22, -41, 5, 21, 1, 32, 14, -2, 7, -13, -4, 5, 6, -16, 15, -16, 9, 1, 7, -38, 18, 12, 20, 7, 13, 22, 19, 0, 37, -24, -31, -26, -19, 33, 6, -3, 25, 26, -31, 15, -1, -14, 3, -7, -77, -10, 14, -40, -20, -2, -19, -25, 33, 22, -13, -22, -18, -45, 20, 20, -10, -3, 28, 17, -19, -8, 14, -69, -23, 6, -1, 4, 3, 29, 3, -33, -11, -30, 10, -21, 38, -9, 8, -30, 21, -8, -43, -6, -5, -26, -7, -27, -9, -1, -2, 10, 40, 21, -7, -6, 11, 31, -47, -8, -50, -2, -21, -63, -8, 23, 7, 2, 71, 88, -37, -57, -36, -33, -31, -22, 41, -17, -30, 22, -31, 38, 35, 36, 57, 21, 13, 33, -17, -22, 26, -23, -61, 4, -24, -38, 0, 56, 2, 21, 26, 17, 35, -10, 20, -22, 33, -1, 15, -24, -22, 2, 95, 20, -52, 17, -63, -65, -23, -76, -81, -37, -13, 17, -1, -8, 8, -5, 24, -7, 31, -14, -5, -9, 57, 38, -16, 29, -5, -58, -38, -8, 23, 1, 46, 4, -45, -7, 19, -28, 11, 19, 16, -32, 0, -35, 7, -28, 35, 25, 29, -19, 27, 17, -38, -12, 9, 12, 7, -4, 4, 22, -6, 22, 34, 21, -28, -55, 10, 7, -18, 32, 62, -11, -20, -25, -16, 36, -5, -6, -29, -8, -23, 0, 21, 4, -13, 18, -27, -24, 4, -36, -22, -58, -28, 14, 22, 4, 5, -5, 9, 37, -23, 3, -29, -20, -23, -12, -35, -32, -42, -14, 5, 26, 43, 25, 37, -31, -26, -39, -71, -19, 3, -31, 43, 13, -4, -3, -28, 13, 6, -38, -86, 6, -36, -44, 25, 2, -54, -10, -33, -76, -2, 2, -32, -16, -7, 10, 26, -30, 26, -41, 30, 20, 31, -26, -35, 36, 29, 8, 24, -4, -34, -4, -39, -29, 3, -31, 14, 0, -55, -40, -38, -15, 23, 17, 39, 8, -31, 31, -17, 28, -12, 9, 6, -3, -49, 14, 2, -8, 40, 55, -38, 21, 25, 14, 24, -5, -16, -30, -36, -9, 22, 29, -34, -34, -9, 15, 7, -2, -20, -31, 64, 69, 27, 34, 52, -47, -15, 2, 11, 18, 9, 7, -7, 0, -37, -31, 17, -5, 39, 13, 12, 5, -32, 8, -39, -10, -23, 29, 29, -14, -34, -8, -31, 2, -4, 21, 2, 1, 40, -14, 14, 63, -14, -46, -15, 24, 14, -42, 40, 15, -8, -3, 16, 28, -13, 26, -32, -31, 10, -6, -18, -18, 41, -17, 46, 20, 2, 33, -5, -39, -20, -2, -15, -25, 9, 33, 54, 42, -37, -50, 78, -17, -81, -41, 4, -32, -31, -58, 7, 34, 8, 18, 19, 71, 45, 31, -32, -7, -6, -14, 8, 30, 14, 31, -21, 28, 50, 81, -21, 19, 46, -56, -43, -69, 8, -7, 71, -15, -103, -64, 22, -26, -33, -14, -41, -13, -5, 27, -21, 5, 34, -21, -11, -12, 38, -21, -13, 29, 10, 37, -1, 24, 19, -21, 20, 18, -8, 19, 7, 8, 13, -32, -11, 28, -25, -1, 55, 25, -7, -34, 41, -7, 4, 39, 41, 3, 42, 4, -25, -12, -8, 14, -23, 9, -10, -33, -10, 22, 10, 18, -2, -15, 10, -5, -30, 13, -43, -40, 7, -18, 33, 5, -41, 18, 34, 12, -34, 42, 14, 8, -6, 49, 112, -9, -28, -6, 40, 34, 22, -4, -16, 15, 4, -11, -38, 26, -3, 2, 5, 12, 9, -30, -13, -5, -2, -48, -24, -5, 2, -7, 15, -11, -21, -21, -4, -10, -18, 15, 22, -11, -1, 11, -18, 5, -1, 31, -24, -28, 2, -42, -45, 65, -56, -28, 10, -21, -31, -1, -4, 29, -40, -23, 8, -28, -10, -13, -10, -18, 3, -32, 0, -22, 40, -19, -11, 16, 20, -66, -20, -23, -64, -18, 5, -12, -17, -27, 4, -19, -33, -6, -23, 6, 35, 19, 44, -63, -6, 51, -77, -52, 44, 1, -33, 16, -12, -15, 22, -9, 24, 18, 23, -14, 14, -29, -20, 6, -16, 15, -27, 19, 11, 10, -23, -35, 17, -2, 11, 19, -25, -27, -4, -2, -10, 28, 18, -10, -31, -15, 6, -16, -10, -2, 31, -39, 13, -35, -33, 10, -28, 10, 32, -8, -11, 18, 23, 8, -30, -17, 29, -31, -11, 21, -25, 1, 8, 8, 16, -21, 23, 8, 17, 23, 14, -42, -3, -22, -25, 10, 8, 4, 33, -21, 14, 23, -21, 5, -4, -7, -21, -23, -16, -12, 5, 16, -26, -22, 25, -10, -29, 12, -10, -22, -30, -28, 46, -34, -33, 15, -21, 12, 22, -24, 12, 12, 5, -28, 6, 18, 33, 1, -39, 3, 1, -14, -11, 0, -16, 25, 16, -24, -20, -16, 10, -48, 11, -11, 8, 11, 8, 34, 6, -28, -6, -6, 12, 35, -27, -21, 35, 8, 22, -49, -15, -14, 19, 44, -1, -10, -31, -2, 29, 5, 12, 22, -24, 33, -1, 5, -5, -23, -4, 24, -31, 30, 3, -22, -34, -32, -8, 3, 14, -13, -7, -23, 8, -44, 1, 2, 5, -39, -45, 16, -26, 19, -12, 6, -9, -25, 19, 19, 25, 9, 29, -19, -5, -20, 19, -15, -7, 9, -8, -7, 9, -26, -36, 30, -7, -18, -19, 20, 0, -4, -16, 20, -25, 16, 17, -23, -39, 29, 25, 19, 18, -1, 20, 1, -21, -7, -11, 0, -38, 28, 1, 26, -32, 38, -5, 4, -1, 11, -23, -21, 32, -38, 61, -39, -6, -27, -2, -6, -23, 26, -18, 1, 37, -6, 6, 24, 21, 12, 29, -21, -28, 33, -22, 11, -30, 23, 5, 17, 14, -17, 29, 11, 14, -24, 21, 5, -4, 5, 33, 19, 5, 18, 19, -3, 40, -15, -14, 24, -16, -38, 33, -2, -26, -19, -33, -1, -24, 3, 17, -11, -22, -31, 25, -19, -47, 4, -30, -19, 22, -19, -38, 0, -16, -14, -20, -33, -22, 26, 14, 32, -32, 13, -10, -28, -26, 16, -5, -33, 19, -31, -3, 19, -19, 39, -28, 20, 12, -11, 8, -17, -10, 38, 26, -19, 8, -47, -44, -7, -44, -28, 5, 29, -6, -17, -13, -11, -31, 22, -35, 32, 36, 38, 28, 39, 13, 11, -31, -25, 37, 20, 24, -34, 11, -11, 2, -21, 18, 34, 16, 17, -54, -17, -21, 7, 18, -3, 16, -33, 27, -20, 8, -12, -25, -1, -36, 6, 6, 37, -8, -26, 14, 31, -15, -38, 23, -27, -38, -45, -24, 15, -45, -1, 4, -28, 1, 27, 27, -17, 2, -15, 3, -35, 17, -33, 22, -16, 13, -42, -25, -41, -2, -23, 4, 23, 7, 14, 7, 18, -16, -39, -29, -34, 17, 25, 19, -19, 8, -21, -14, 23, -13, 26, -11, -4, 2, -6, -10, 7, 22, -22, -17, 29, 28, -24, 21, 9, -29, -28, 28, -23, -33, 8, -3, 34, 26, -35, 5, -29, 37, -28, -9, -12, -20, 31, 13, -28, -24, 13, -10, -1, -22, 13, 25, 3, -2, -25, 13, 25, -18, 34, -23, 30, 3, 7, -36, -32, -17, -10, 24, -31, -29, 1, 9, -14, 9, 30, -25, -1, 1, -16, -45, 40, 9, 34, 20, -12, -32, 10, 3, -32, 31, 7, -3, -11, 17, -14, -28, 20, -35, 15, -15, -28, 8, 8, -9, 55, 14, -10, 18, -21, -16, -14, -24, 26, 0, -8, -23, 9, 28, 32, 32, -12, 41, 17, 8, 57, -52, -27, -1, -18, 31, -10, -5, -17, -31, 24, -48, -48, 9, -6, 19, 4, -20, 3, -13, -29, 1, -5, -11, -21, -20, -55, 9, -36, 39, -2, -29, 1, 12, 0, 18, -35, -40, 26, -2, 17, -20, -13, 16, 27, -24, -30, 32, 4, 25, 33, 45, -21, 17, -2, 23, -16, -13, 25, 36, 34, 27, 40, 15, 34, 30, -4, -37, -45, -18, 8, -39, -48, 18, -18, -31, -10, -37, 32, 13, 39, 3, 27, -13, -13, -30, 28, -4, 16, -12, -22, -4, 7, 10, -40, -21, -8, 8, -11, 21, 9, 7, 27, -24, 13, -14, 39, -35, 2, -10, 10, 36, -33, -31, 21, 41, -19, -4, -16, 11, 29, -27, 40, 42, 11, 20, 61, 28, -8, -49, -9, -12, -35, -23, 34, -69, -8, 16, -37, -18, 18, 21, -30, 23, 1, -6, 88, 41, 46, 37, 33, 26, 24, -4, 22, 0, -23, -2, 3, 12, 26, 34, -22, 14, -26, 13, 5, -14, 30, -21, 26, -4, 1, -23, -6, 21, 26, -4, -36, 33, -43, 3, -23, -6, -27, -3, -21, 14, -6, -6, -34, -10, 11, -27, 35, 43, -32, 36, -11, -25, 6, -24, -10, -17, -19, 29, 0, -20, -6, 12, -31, -3, 10, -31, -15, -26, -35, -12, 60, -40, -5, 2, 14, -1, 7, -17, 18, 14, 8, -27, -24, -21, -7, -3, 5, -24, -26, 33, 11, -28, 34, 35, -14, 10, 26, 30, 49, 3, 53, 54, -3, -20, 19, 28, 49, 24, -2, 0, -10, 17, -24, -17, -29, -8, 31, -22, 31, -2, -6, 17, 17, 16, 23, 31, -18, -9, 23, -25, 6, -23, -52, 35, 6, 18, -16, -15, -14, 5, -22, -25, 35, -28, -27, -6, 10, -35, 6, 16, 16, 37, -12, -19, 14, 16, 9, -24, -3, 22, 42, 37, -1, 29, 5, -20, 102, 55, 2, -11, -10, 20, 43, 45, -17, -16, -40, -20, -22, 3, -47, -53, -36, -29, -5, 16, -18, -39, 21, -35, 11, 22, -14, -7, -15, 31, 12, 52, 20, 53, 1, 25, 31, 18, -31, -3, -3, -18, -37, 23, -17, -17, -7, -5, -17, 24, -35, 12, -30, 21, 0, 15, -16, 5, 34, 35, -25, -11, 2, -28, -8, 5, 43, 27, 11, 35, 13, 14, 2, 12, 3, 8, -43, -1, -63, -27, 9, -36, -36, -1, -30, -34, 23, 18, -14, -24, 6, -17, 23, -19, 29, 11, -21, 25, 11, 4, -22, -1, 33, -12, -55, -64, -64, -52, 30, -17, -24, 5, -2, -31, -9, -17, -27, -9, -3, -40, 5, 0, 10, 14, 25, -4, -18, 18, -7, 14, 18, 25, 36, 2, 5, -32, -34, 9, -27, 5, -11, 36, -11, -7, 4, 10, 24, -37, 11, 6, -16, 15, -16, -26, -9, -3, -27, -32, 14, -30, -32, -15, 17, -3, -13, -18, -5, -39, 13, 41, -12, 18, 3, -15, 16, -27, -9, 10, -26, -25, -15, 19, -33, -43, -31, -33, -15, -11, 9, -38, -43, -29, -13, 48, -20, -31, -9, -35, 41, 6, -5, -5, -7, -15, 8, 20, 35, -10, -11, -9, 25, 30, -6, 44, -14, 8, 3, -22, -25, -11, -34, -23, -16, 16, -5, 8, -6, -7, -29, 9, -15, -14, -13, -18, -34, 2, 24, 0, 6, 12, -39, 23, -32, -44, -41, 7, -17, -3, -1, -24, -30, -12, 34, -6, -13, -7, 25, 11, -29, 10, -17, -7, -35, 36, -22, 27, 30, 19, -25, 33, -32, 18, -4 };
signed char f51[73728] = { -9, 8, -7, -33, -24, 38, -36, 18, -2, 29, -50, -49, 26, -6, 16, -37, 44, 43, -19, 32, -38, 30, 3, 38, 16, 3, -11, 10, -18, 3, -36, -6, -42, -29, -16, -34, 13, -3, -29, 7, -45, -2, 21, 30, -28, -4, 43, 17, -50, 0, -16, -20, -38, -39, 33, -6, 28, 11, -18, -46, -38, 43, -35, -35, -38, 8, -3, 2, 5, 3, 1, 21, -43, -25, 38, 21, 6, 17, -5, -4, -2, -24, 30, 19, 38, -38, 32, 20, -2, 34, 39, 40, -47, 14, -34, -43, -14, 20, 16, -16, 3, 31, -26, -21, -22, -46, -36, -10, -4, -46, -43, 47, 3, -2, 76, -3, 1, 6, 3, 13, 14, 34, 37, -38, -11, 24, 2, 23, 26, 14, 31, 15, -54, -44, -22, 36, -16, 8, 12, -14, -35, 32, -6, 6, -40, 14, -39, -2, 2, -27, 70, 58, 44, 53, 34, 23, 44, 74, 19, -46, 13, 11, -2, -46, -33, -34, 1, -37, -32, 13, 22, -42, -31, -17, 2, 37, 56, -19, -8, -1, 39, 5, 26, 23, -20, -45, -22, -17, 13, -10, 7, -35, 43, -36, -35, 15, 38, -45, 19, 67, -40, 33, -28, 54, -11, -21, 29, -28, -12, -45, -47, -14, 11, 19, 12, -8, -18, 16, 19, -34, -1, 23, 23, 25, 7, 13, 19, -23, -21, 16, -53, 30, 32, 1, -20, 19, 4, 47, -33, 11, 0, 34, 19, 38, -41, 31, -21, -9, 63, 46, -15, 3, -28, 62, 33, -21, 18, 27, 53, 24, 46, 21, 32, -32, -1, 5, 24, 32, 5, 27, 27, -17, 38, 13, 10, 3, 37, -30, 22, -9, 32, -26, -27, -58, 0, -20, 16, -48, -30, -10, -21, -20, -22, -14, -22, -23, 2, 28, 13, -28, 0, -44, 19, 14, 38, -37, -42, 1, -30, 25, 9, -27, 14, 13, -22, -21, -8, 39, -46, 18, 12, -1, -21, 42, 1, 31, -41, 16, 26, -13, -18, -43, 46, -33, -25, -26, -33, 25, 18, -22, 26, 17, 19, 8, 6, -6, 27, -4, -30, -3, -53, -25, -18, 27, 21, -13, 10, -17, 2, 49, -25, -65, 15, -42, -8, -29, -19, 3, -3, -44, 26, -32, -8, 4, 36, 0, 34, -39, 25, 57, 26, -44, -24, -13, -40, -26, -55, -7, -16, -47, 46, -19, -15, 3, -49, 38, -8, 10, -34, 6, 46, 7, 40, 21, 8, 12, -38, 14, 46, 2, 10, -42, -11, -45, 43, -30, -10, 38, 31, 47, 44, 40, 30, 5, -20, -11, 10, 8, -18, -14, -37, -2, 1, 30, 10, 55, -34, -34, 46, 5, -15, -17, 49, 28, 21, 40, 4, 29, 45, -12, -35, 22, -36, -29, 19, 7, -38, -32, 40, 15, 20, -25, -39, -6, 11, 18, -19, -19, -25, -30, -5, 0, -1, 6, -9, 37, 49, 3, -15, 36, 20, -14, 1, 48, -18, -27, 5, 34, -16, -42, 3, -29, 2, 10, 45, -9, 14, 39, -5, 13, 25, -38, -44, 13, -10, -10, 44, 1, -15, -3, -8, 2, 7, -20, -42, 37, -23, 41, -37, -12, 6, -33, -51, -56, 34, -51, 21, 14, -19, -6, -17, -7, -31, -21, 9, -20, -20, 44, 2, 21, -18, 25, -38, 44, -19, -33, -2, 14, -30, 26, 55, -10, 62, 58, -22, -21, -67, -43, -11, -12, -4, 39, -14, -9, -21, -1, 5, 28, -33, -16, -11, 22, -35, -4, 40, 23, -14, 17, 15, -41, -8, 45, -5, -38, 28, 43, 29, 24, 20, 22, 44, 30, -2, 25, -19, 1, -16, -23, 13, -50, -30, 25, 1, -23, -37, -48, 30, -23, 44, -36, 9, -33, 43, 39, -23, 40, -6, -12, 9, -30, 40, 38, 34, -29, -44, -35, 14, 38, 25, -55, -3, -24, -32, -6, -34, 20, 29, 23, -5, 20, -26, -24, 20, 20, -28, -24, -43, -43, -11, 8, -43, -24, -19, -13, 31, 12, -1, 27, -47, 3, 41, 1, -23, -25, -13, 47, 4, 29, 34, -5, -15, 1, -46, -36, -44, -6, -34, -19, 37, 32, -29, 2, 24, 21, -30, -12, 18, 13, 14, -13, 15, -29, 22, 8, 31, -42, -4, -16, 14, 19, 10, 13, 11, -41, 33, 34, -28, 34, 4, -35, -20, -39, 19, 12, 42, -45, -25, -16, -28, 41, -4, -31, 27, -13, 12, -28, 10, -17, -39, 25, -33, 23, 14, -10, 19, 7, -40, 49, 17, -46, 21, -31, 32, 46, -15, -15, -17, -43, -28, 28, -11, -23, 18, -9, -43, 9, -25, -23, 37, 41, 5, 29, 40, -21, -44, -40, 35, -27, 22, -16, -34, 40, 38, 44, 22, -37, 8, 25, -15, -34, 41, -40, -39, 19, 24, 39, -35, 30, -46, -36, -27, 4, -42, -11, -45, -30, -27, 10, 26, 1, 3, 8, -50, 6, -13, -2, 30, 20, -1, -46, 30, -31, 12, -47, 44, -8, 31, 48, 42, -6, -20, 19, -26, 31, 26, -32, -24, -41, 21, -33, -46, 11, 28, 7, -33, -46, 5, -7, -27, 8, -42, 11, -27, -35, 21, -17, 0, -5, 29, -43, -4, 21, -20, 14, 12, -35, 47, -45, -32, 28, -29, -8, -9, 40, -29, -40, 47, -41, -9, -10, -30, -19, -31, 37, -30, -21, 42, 37, 43, -23, -41, -39, -2, 14, 19, 26, 45, -5, 19, 20, -38, 44, -32, 4, 45, 6, 4, 11, -34, -8, -6, 39, 31, -39, -8, 12, -40, -42, -29, 8, -47, 6, 36, -11, 36, -9, -44, -47, 43, 0, -35, -29, 2, -33, 0, 36, 2, -3, -38, 33, 0, 34, -41, 6, -17, -39, -12, -6, 24, -2, 24, 2, -36, -40, -1, -48, -36, -44, 36, 27, -29, 23, -14, 38, -31, -48, 40, -29, 23, 23, -22, 13, -54, -34, 2, 37, 6, -51, -18, 41, 40, 1, 33, -2, -15, 16, 27, 19, -32, 25, 45, -11, 18, -14, 31, 27, 18, 35, 18, 5, 7, 27, -22, 26, -27, -1, 28, -33, 7, 14, 17, -3, -8, 29, -52, -11, -36, -34, 13, 28, 31, -13, 2, -29, 19, -32, -20, -5, -31, -43, 25, 7, -4, -26, 14, 13, 35, -7, -27, -36, -50, -36, 34, -14, 43, 27, 23, -35, 32, 28, -38, -7, -48, 37, -28, -14, -11, -33, -54, -23, -39, -22, -22, 6, 39, 34, 17, 34, 1, -22, -26, 36, 32, 29, 27, -21, -24, -11, -20, 35, 16, -39, -25, 17, -47, -42, -11, -35, -40, 16, -44, -27, -2, -26, 5, -40, 24, -11, 7, 43, -46, -17, -29, -27, 17, 41, 2, 1, -43, -15, -16, 14, 31, -22, -5, -17, -21, 3, -46, -26, 16, -5, 40, -30, 2, 13, -32, 14, 8, -52, 12, -31, 39, 6, -30, 41, -48, 23, -47, -42, 22, -31, 7, 41, 7, 47, 25, -39, 1, 0, -6, 11, 44, 22, -3, -43, -45, -20, 37, 30, -8, 12, -3, -9, -45, 15, 19, -5, -19, 47, 15, 42, -8, 37, 4, 2, -43, -3, 13, 43, -22, -18, -19, -8, -8, 26, -40, 2, -14, 35, 39, 47, 35, 12, 11, 32, -20, -44, 45, 29, 30, 33, -15, -6, -21, -10, 7, 0, -24, 2, -25, 59, 0, 36, 18, 9, -22, -7, 27, -8, -3, -7, 14, 26, -14, 31, -43, 19, -41, 28, -33, 13, 44, 4, 10, -36, -22, -29, -35, 19, -34, 31, -37, 16, -33, 21, -18, -13, -9, -9, 47, 12, -10, -22, -23, -48, -47, 26, -8, -18, -20, -31, -13, 32, -28, 41, 9, 10, 39, -41, 27, 25, -36, 3, 47, -4, -46, -22, 1, 7, -7, -20, 18, 40, 61, 7, 34, 4, -14, -25, 20, -40, 7, 13, 41, 29, 16, 17, -29, 2, 35, -4, -49, 0, -3, -3, 38, -16, 47, -24, -37, 43, -10, 47, 33, -31, 47, -34, 16, -18, 6, 37, 27, -28, -27, -14, -6, -31, 16, 45, -37, 40, 9, 17, -21, 23, -38, 40, -15, 54, 9, -42, 7, 3, 21, 12, -28, 16, 17, 47, 31, 39, 43, -10, 12, 3, 14, 28, -45, -36, 25, -40, 53, -25, 14, -10, -23, 8, -30, 46, 0, -26, 19, -22, -13, 24, 36, -46, 37, 7, -3, -3, -39, 50, -33, -11, 36, -29, -52, -31, 15, -4, 3, 10, 36, -55, 4, -42, -39, 8, 27, 38, 32, -18, -25, -34, -22, -21, -13, -7, 21, -31, -39, 21, 24, -10, -14, -27, 21, -14, -29, 16, -11, 5, 25, -17, -27, -24, 15, 32, -35, 34, -37, 16, -1, 41, 42, -8, 10, 27, 18, -31, -33, -26, 37, -11, -35, -34, -1, -19, 0, -12, -3, -36, -26, -43, -24, -43, 20, 43, 12, -22, -8, -30, -16, 9, -32, 2, 38, 1, -15, 1, 24, -27, 30, 39, -6, -40, 17, -15, 33, 15, 25, -27, 42, 19, -39, -1, -1, -2, 36, 1, -32, 21, 4, 32, 18, 39, -27, -2, -29, -13, -11, -36, 6, -11, 40, 36, 35, 6, -22, 23, -14, -41, -38, 23, -42, 24, 45, 51, 8, -13, 50, 32, -20, 27, 1, 42, 19, -8, -42, 24, -28, 34, -9, 36, 44, 28, 0, 12, 39, 1, 19, -41, -28, -27, -18, 1, -51, 2, -40, 30, -20, 14, -32, -55, -38, -33, -9, -42, 1, 7, 23, -29, 1, -29, -24, 32, 11, 8, 49, -31, 48, 30, 41, 20, 8, 5, -22, -30, 43, 19, 20, 34, 33, -64, 10, -16, 25, 37, -31, -24, 2, -10, 28, 43, -20, 47, 19, 31, 7, -42, -42, 18, 10, -25, -32, 50, 38, 26, -8, -15, -28, -11, -2, 24, -10, 49, -25, -14, 30, 12, -34, 44, 9, 30, 9, 30, 8, -39, 28, -8, -32, 6, -26, -33, -40, -7, -47, -15, -27, -7, 1, -1, -48, -4, 49, -39, 33, -2, -31, 7, -45, -13, 7, 5, 14, 26, -19, 25, 17, -2, 2, -6, 42, -29, -40, 41, -26, 31, 5, 3, 5, -38, 28, -23, 37, -16, 27, -17, 10, 4, -40, -14, -20, 16, -25, 34, 26, 22, -11, -8, 38, -31, 0, -35, -3, -33, 41, 31, 32, 36, -19, 3, -42, 32, 45, -36, 28, 24, 20, 33, -19, 33, -35, 41, 53, 9, 24, -14, -46, -14, -37, -28, 41, 17, -14, -23, -38, 20, 9, 49, -20, 36, 21, -7, 15, 4, 27, 2, 37, 19, 28, 17, 26, 12, -47, 2, -25, -37, -24, 27, -49, 16, 19, 24, -6, 24, 35, -20, 66, 3, -5, -14, 10, -1, -20, 18, 5, -24, -48, -22, -39, -2, 26, -20, 20, 21, 0, -1, -31, 6, -12, -20, -18, -17, -25, -23, -11, 19, 8, -22, 17, 7, 35, -35, -22, 41, -32, 39, -46, -15, -32, -13, 18, 41, 54, 2, 2, 30, -9, 3, -11, -23, 30, -1, 39, 66, 21, -7, 42, -43, 44, 44, -14, -18, -13, -37, 3, -60, 19, 23, -37, 48, 34, -44, 20, 21, -47, -23, -14, -4, 24, -39, 33, 2, 14, 29, -13, -25, -5, -3, 4, 60, -30, -15, 26, 20, -36, -30, -7, 5, -43, 22, 19, -4, 6, -32, -23, 61, -18, 18, 75, 38, 45, 17, 13, -34, 0, -41, -25, -29, -19, -30, -30, -24, -3, -46, 60, -57, 24, -36, 26, -9, 0, -11, 24, -13, -16, 12, 47, 6, -9, 9, -38, 0, -39, -29, -28, -25, 12, 27, -16, -12, 32, -30, 19, 37, 16, -45, -20, 40, -9, -20, 13, -24, 30, 4, -35, 31, -41, 32, 9, -33, -1, 3, 6, 9, -28, 33, -23, 16, 48, 40, -34, 19, -14, 20, -7, -47, -17, -6, -22, -21, -39, 16, 10, -28, -37, -45, -39, -30, -6, -44, 2, 25, -48, 26, 26, -53, 0, -47, -31, 0, 4, -25, 29, 9, 21, -19, 9, -17, -36, -8, -24, -1, 20, -35, 3, 3, -25, 40, 20, 12, 19, 1, 5, 25, -40, -8, 9, -16, 45, -9, 19, 16, 2, 30, 16, 37, 24, 30, -33, -12, 26, 34, 43, 45, 24, -24, 26, -34, 17, -12, -45, 27, -17, -10, 10, -32, -1, 30, -15, 42, -14, 6, 9, -45, 29, 29, -9, -6, -7, -13, 15, -15, -36, 23, -12, -4, -21, 2, 23, -34, -8, 35, 37, 27, 11, -12, 4, -22, -29, 43, 32, -16, -29, 39, 24, -47, 23, 23, 38, -16, 36, -12, -44, -37, 5, 37, 11, -2, -30, 1, 27, -35, -19, 40, 9, -41, -41, -13, 0, 2, 3, -49, -28, 27, 2, 40, 23, 38, 62, -31, -6, 38, -10, 35, 37, -1, -15, 40, 26, 19, -12, 24, -3, 9, -31, 3, 28, 45, 18, -44, -57, 24, -7, 63, 37, -4, 7, 29, 25, 27, 8, 17, 16, -19, -16, -16, -39, -19, 16, -24, 24, 12, 5, -23, 32, 11, 44, -22, -42, 1, 1, 61, -32, 20, -18, 42, 38, 54, -32, -36, 48, -26, -12, -21, -4, -23, -38, 34, 39, 12, 7, -17, -18, 31, 14, 53, -15, 11, -4, 17, 1, -2, 27, 10, 29, -33, -31, -38, 28, -8, -33, -22, -11, -12, 45, -37, 2, -22, -12, 22, 20, 31, -19, -6, -31, -5, 0, -5, -4, 11, 19, 12, -51, 21, -34, 12, -6, 33, -44, 30, -10, 56, -5, -5, -24, -16, -6, -33, -27, 1, -13, -20, 18, 33, -26, -6, 40, -47, -30, -26, -18, 39, 8, 25, -40, -37, 1, -35, 56, -31, 4, -36, 33, -28, -22, 16, -35, 28, 26, -11, 8, 5, -6, -32, -43, 3, -15, -12, 5, 2, -29, -43, -40, 45, -9, 32, -5, -22, 38, -30, 4, 8, 2, 29, 15, -37, -47, 39, 37, 12, 22, 6, 27, 29, -26, -20, 30, -25, 36, -15, 37, -37, 36, 42, -11, -21, 36, 21, 49, -46, -39, -39, -42, -30, -37, -25, -7, -5, 30, -31, -29, 46, -36, 14, 45, 44, -32, 9, 34, -19, -51, 17, 8, -30, 1, -2, -4, -9, -21, 16, 40, 47, -44, -19, -37, 21, 44, -13, -36, 4, 4, 39, 22, -3, -43, 34, 35, -11, 32, 28, 33, 19, 21, 39, 36, 20, 44, 39, 3, -1, 14, 45, 27, 47, -34, 33, 37, -49, 48, 1, -21, -4, -30, -42, 1, -34, -18, -28, -6, -1, -32, -9, -45, -24, -27, 2, 45, 0, 34, -1, 1, 17, -7, -32, 41, 24, 9, 40, 12, -28, 21, 42, -22, -21, 10, -23, -6, 47, -1, -11, 26, 19, -27, 34, 18, 56, -22, -39, -41, -19, -47, -46, 28, -41, 22, 7, -13, 28, -37, -27, -23, 33, 32, 26, -52, -28, -29, 31, -27, 19, -43, -47, -40, -41, 22, 41, 1, -8, -9, 14, -1, 26, -27, -21, 8, 5, 5, -39, -10, -36, -47, 0, -6, -17, 46, -16, -19, 13, -14, -13, -23, 36, 13, -5, 10, -12, -33, 40, 9, -5, -5, 6, 25, 51, -1, 40, 18, 33, -31, 18, -47, 2, -35, -4, 9, 18, 43, 44, -10, -29, -20, 34, 27, 46, 8, -15, 47, 17, 19, -30, 46, 30, -43, -28, -48, -1, 11, 32, 39, 30, -24, -40, 19, 43, 26, 27, -46, -50, 43, -4, -40, 33, 3, 11, -46, 22, -4, -40, 10, 21, -24, 44, -21, 24, -24, 25, -27, -35, 27, -27, 22, 32, -16, 18, 43, -25, -31, 36, -47, 5, 0, -20, 25, -6, -8, 25, -13, 32, 1, -22, 30, 31, -45, -41, -8, 27, 4, 14, -8, 33, -27, 0, -25, 29, 43, -28, 5, 34, 10, 28, 39, -9, -46, -46, 32, -21, -7, 36, -25, 10, -19, 12, 13, -5, 41, 37, -27, 6, 28, -6, -33, 38, 2, 1, 6, -6, 21, -20, 44, 23, -40, 25, 16, 38, -38, -21, -15, -41, 6, -10, -42, -47, 36, 45, -20, 36, -2, 28, 31, -17, 19, -47, 37, -9, 10, 5, -45, -33, -2, 21, 2, 23, 9, -34, 42, -13, -28, 41, -29, 42, 27, 38, 36, 12, -51, 28, -53, -1, -47, 9, 4, 19, 43, -32, -11, -2, -33, -18, -17, 23, 0, -31, 3, -6, -27, -2, -20, -24, 53, 25, 37, 30, 33, 24, -36, 44, 19, -26, 0, -25, 47, 25, -36, -15, 18, -41, 34, 12, -39, 46, 33, -40, 34, 33, 14, -33, -18, -28, -13, 2, -19, -27, 28, -46, -21, 8, -2, 31, -24, 29, 16, -20, 27, 36, 9, -11, -36, 4, 8, 27, 6, -6, -21, 4, 0, 9, 30, 13, -41, -34, -13, -11, 8, -16, -12, -42, -30, 44, -38, -24, -47, -32, 29, 12, 53, 4, -22, 47, 23, 19, 27, -35, -3, -27, -7, -52, 5, -23, -9, 8, -15, -47, -48, -22, 17, -15, 51, -7, 30, 23, -15, -42, 39, -29, 16, -22, -39, 47, 40, 28, 26, 42, 7, -14, -16, 41, -38, 18, 19, -38, 1, 37, -47, -34, 49, -39, 7, 29, -23, -9, 8, -53, 21, -9, -21, 41, 30, 49, -43, 29, 43, -26, -33, -23, 33, -29, -10, 46, -43, 3, 18, 27, -26, -5, -5, -27, -42, -57, -30, 38, 41, 12, -5, -22, 35, -5, -19, -46, -34, -8, -23, 14, 43, -23, -22, -47, 27, 9, 35, -45, -24, -1, 44, 6, 35, -37, -21, 36, -8, -32, 46, 46, -35, -31, 22, -19, -7, 37, -31, 14, -28, -24, 26, 35, -56, -8, -23, 30, 52, 17, -37, 27, -20, 9, -4, 20, -33, 25, -10, -33, -21, 14, -16, 13, -30, -32, -11, 29, 20, -34, -23, 1, -2, 31, 10, -11, 11, 5, -32, -18, 18, -35, 40, -25, 14, 36, 47, 34, 47, 34, 38, 14, 18, 10, 5, 2, 38, 1, -25, -36, 28, -27, 37, -19, 51, -8, -31, -23, -4, -18, -32, 40, -7, 31, -30, 37, -34, -13, -1, -4, 40, -24, 10, 16, -33, 14, 7, 24, 22, -10, 30, 45, -3, -29, 48, 40, -17, 0, 62, 14, 63, 18, -43, -16, -24, 17, 1, -38, 27, 5, -52, 29, -34, -16, -33, -37, -36, -34, -18, 34, -36, -8, 22, -35, 28, -47, -2, 24, -8, 31, 22, 24, 11, 1, 5, 6, -27, 16, -55, -59, 54, -14, 13, 47, -4, 8, 33, 28, -28, -28, -45, 7, -1, -41, -28, -24, -37, 30, 33, -24, 14, -40, 35, -4, -7, 32, -32, -13, 15, 36, 6, -8, 45, -20, 4, -62, 17, -22, -11, 10, 17, -24, -25, 14, -28, -21, -47, -34, -5, 42, 30, -40, 19, -24, -28, 26, 61, -18, -18, 31, -37, -28, 5, -40, -10, 44, 41, 45, 15, -14, 8, 42, -2, -18, -16, -19, -29, 24, -4, -30, -13, 8, 25, 24, 27, 26, -41, 10, 16, 6, 46, -39, -16, 43, 6, -29, 45, -2, 20, 38, -47, -49, -13, -4, -42, -8, 0, -7, 25, 28, -11, 4, 9, 32, -20, -39, -44, 35, -10, -44, 38, 44, -25, -4, 34, 21, -20, -25, -20, -10, -37, 1, -53, 14, 36, -18, 46, 11, -32, -11, -4, -48, 21, -13, -20, -23, -2, 9, 22, -21, -4, -30, -9, -5, 15, 37, -46, -39, 26, -11, 25, 4, 8, -31, 20, 4, 46, -18, -39, 34, -13, -19, 28, 33, 2, -14, 0, -21, 31, -20, 26, 19, 5, 21, -39, 36, -41, 6, 13, -38, 2, 24, 8, 13, 5, -1, -35, -28, -8, 47, -35, 25, 36, 1, 24, 22, -10, 27, 20, -16, -13, 41, 39, 15, 9, -3, -44, 25, -19, -6, 36, -27, -13, 41, 33, -60, -23, 39, 3, 12, 9, -42, 8, -41, -3, 4, 0, -44, -43, 48, -17, 28, 29, -3, -48, 34, 2, 5, -9, -7, -10, 37, -20, 3, -5, -40, -14, -7, 18, 6, 33, -8, 29, -10, -32, -7, -16, -16, -25, 12, 23, 7, 32, -45, -17, -34, -62, -11, 14, 34, 43, -12, -37, -38, 18, 22, -37, -51, -27, -32, -21, -10, 15, 29, 29, -5, 8, 34, 37, -38, 11, 11, -39, 13, 55, 9, 9, -25, 34, -7, 6, 37, 25, -20, 27, -4, 21, -21, -30, -14, 22, -59, 0, -21, 46, 18, -47, 30, 3, 7, -43, -28, 26, -25, 23, -10, 30, 18, 10, -37, 9, 20, -32, 11, 29, -21, 2, 6, 17, -7, -22, -30, 44, 42, -31, 54, 14, -10, 19, -14, -14, -45, 20, -36, -48, 44, 0, -17, -10, 8, 16, -47, -10, -31, 41, -38, 21, 44, 28, 42, 47, -12, 17, 1, -32, 31, 17, -40, -15, -4, -36, -7, 54, 50, 17, 6, -33, -37, 41, 8, 11, -24, 5, -11, -35, 21, -38, -19, -36, 42, -17, 48, 16, 27, 27, -28, 26, -24, 20, -19, -17, -37, -11, -7, 46, 6, -27, 27, -47, 11, -28, 45, 26, -8, -18, -14, -46, -39, -37, -34, -41, 48, -25, -47, -34, -22, 40, 6, -14, -8, 19, -10, 4, 26, -12, 17, 13, -30, -44, -21, -36, 26, -50, -24, -43, -3, 21, -26, 9, 19, 21, 38, 35, -36, -29, -23, -34, -4, 16, -15, -43, 33, -34, -23, 41, -20, 31, -41, -27, -12, 17, -4, 55, -21, -42, 32, -29, 24, -31, -36, 6, -13, 1, -37, 37, -6, 22, 16, -40, 12, 28, 16, 35, -34, 23, 15, -11, 17, 26, 33, 0, 3, 44, -31, -11, -7, -43, -42, 18, 24, 4, -53, 27, 33, 10, 42, -18, -34, -36, -4, 0, 21, -44, -28, -12, -41, -5, 40, 3, 16, -32, -36, 41, -20, 29, 8, 9, -24, 30, -18, 2, -21, 24, -41, -21, 17, -34, -43, 15, -8, 14, 5, 33, 22, -23, 0, 24, -4, -16, 6, 8, -18, 8, 18, 3, 4, -24, 22, 30, -48, -33, 46, -32, 18, -10, -9, 48, 30, -33, 36, 33, 4, 12, -51, 23, 28, 47, -42, -40, 26, 4, -2, -14, -41, 39, -8, -14, 41, -18, -54, -39, -6, 17, -23, 16, 11, 10, -37, -10, -1, -39, 34, -30, 1, -23, 14, -28, -43, -30, 16, 4, -17, -43, 36, -6, -22, 6, 38, -27, 3, -35, 38, 6, 11, -26, 21, -29, -45, 29, -42, 13, 32, -38, -25, -35, -34, -21, 53, 37, -14, 28, -23, 26, 33, 1, 36, 0, -44, 39, 27, -45, 40, -33, -25, -23, 32, -23, 39, -37, -19, 13, -44, 23, -26, -20, -35, 21, -32, -42, 15, 9, -17, 14, -37, -32, -12, -6, -32, 13, -21, 20, -35, 28, 15, -22, 33, 24, -39, 41, 45, -41, -9, 20, 39, 22, -47, 37, -32, 20, -11, -19, 12, 11, 3, 44, 17, 38, 35, -23, -28, 19, 44, 45, -28, 48, -39, -26, 37, 34, 22, 3, 36, 31, -5, 45, 43, 30, 41, -45, -1, 26, -27, 48, 43, 26, -8, 20, 11, -48, -31, 2, -24, -61, -31, -18, -40, -49, 17, -4, -33, 8, -11, -31, 43, -51, -40, 55, -18, 45, -32, -42, 11, 25, 19, -18, 34, -27, -7, 2, 41, 3, 50, 39, 19, 11, -34, -11, -61, 31, 44, 12, -41, -7, 46, -43, 17, 32, 24, -31, -13, 11, 9, -24, -27, -47, -15, -10, -37, -20, -23, -38, -12, 10, 31, 25, 9, -19, -50, 11, 21, 5, -56, -6, 2, 32, -45, -3, 16, -50, 7, 46, -44, -37, 21, -6, 13, -27, 19, -27, -40, -4, -9, -5, 5, 54, -28, -8, -32, -33, -4, 34, 28, 27, -26, 14, 26, 53, 16, 4, 17, 28, -26, 18, 1, 56, -14, -14, -5, 22, -53, -19, -28, 49, 5, -13, 54, 4, -39, 64, 34, -30, -39, -29, -37, 20, 13, -24, -32, 3, -22, -40, -23, -11, -17, -13, 0, 29, -12, -34, -19, 31, 2, -46, -31, 13, 44, -35, 36, -3, 28, -36, -17, -9, -24, -7, 15, 0, -37, 51, 36, 50, 10, 33, 32, 36, 34, -28, -24, -17, 3, 20, -17, -35, 4, 16, 41, -47, -20, 36, -19, -11, 13, 15, -8, -38, 17, -24, -32, 16, -37, -20, -7, -20, 19, 50, 16, 29, 56, 18, 52, -34, -41, 14, 19, 43, 17, -19, -13, -31, -28, -7, -17, 36, -20, -10, -4, 19, -29, -40, -43, -37, 43, 39, -9, 18, -3, 35, -45, -34, 33, 15, 24, -38, 31, -42, -38, -11, 37, 42, 32, -48, 0, -19, -21, -27, -14, 41, -14, -8, 25, 26, 40, -21, -29, 24, 21, -14, 22, 23, 25, -41, 42, -13, 7, -33, -25, 13, 5, 20, -49, -40, -18, -28, 3, -26, 30, -28, -14, 44, 20, 39, 5, 35, -17, 34, -16, 18, -43, 18, -22, 32, 21, -32, 32, -48, -31, -14, -27, 41, 47, 27, -6, -34, -31, 33, 18, -12, 13, 24, 6, -16, -35, -23, 13, 22, 38, 42, -39, 7, -11, -2, 19, -13, 30, -3, 8, 20, 30, 37, 18, -48, 23, -38, -37, 26, -4, -2, 42, 28, 24, -29, -35, 18, 22, -9, 2, 39, 18, 9, -24, 42, -51, 41, 42, 45, 1, 17, -24, -46, -34, 24, -4, 9, -28, 34, 24, 10, 6, -40, 33, 23, -34, -29, 36, -19, -29, -30, 8, 15, -15, 13, -47, -25, -13, 35, -47, -8, 25, 23, -39, -8, 34, -29, 16, 27, 29, -31, -26, 44, -22, -28, -30, -4, 1, -39, -31, 46, -37, 18, -34, -28, 4, 1, 41, 22, -32, -13, 6, 15, 38, -39, 37, 23, 23, -37, -23, -23, -12, -36, -9, 2, -15, 24, 29, 2, -8, 21, -23, -33, 19, -37, -33, -16, -18, 15, -31, -19, -30, 41, -44, -28, 11, -7, 42, -18, -3, -35, -46, 36, -38, -33, -46, -47, -20, -23, 44, -29, 17, -48, 42, -28, 5, 24, 37, -34, -13, -3, -12, -25, -41, -24, 49, 6, 36, 23, -14, 25, -21, 10, -40, -34, -35, 12, 25, 15, 6, -9, -36, 43, -5, -4, 14, -10, 4, 28, 16, 45, -10, 5, 24, -44, -24, 22, -43, 8, 36, 21, 21, -34, 46, 9, 13, -9, 26, 11, -19, -45, -41, 19, 44, -1, -29, 46, 18, 7, -24, -26, -4, 7, -37, -8, 5, -48, 32, 25, -9, -29, -16, 4, -47, 7, -16, 20, -23, -15, -18, -30, 43, 34, 45, 32, 17, -45, 10, -36, -43, 28, -21, -24, -23, 19, -43, 34, 16, -34, -47, 48, 25, 34, 28, 29, -45, -27, 14, 45, 34, -7, -9, 37, -42, -43, 39, 20, 20, 32, -5, -46, -41, 2, 2, 36, 31, -52, -39, -41, -13, -31, 37, -8, -28, -16, 9, -35, -44, -4, -12, 16, -39, -40, -49, 48, 26, -8, 28, -34, -34, 2, -43, 34, -32, 4, 3, 11, -6, 31, -45, 4, -19, -3, -41, 2, -9, -20, -36, -17, 41, -38, -28, 16, -20, 6, 1, -7, -48, -48, 7, -36, -12, 37, 15, 42, -27, -29, -31, 25, -32, -38, 2, -11, 32, -48, -27, -6, 0, 33, -3, 20, 25, -49, -26, -47, -7, 3, -25, -36, 41, -15, 1, -25, -39, -51, 16, 32, 33, -17, -18, 32, -29, 15, 26, -15, -44, -15, 16, 22, 12, -4, 2, -45, 46, -49, -34, 10, 44, 35, 33, -31, 32, 30, 24, -21, -25, -20, 25, 38, 9, 34, 7, -34, -20, -22, -40, 35, 33, 16, 35, 27, -25, 1, -47, 4, 20, -10, 20, 15, -19, -5, 32, 42, -27, -46, -1, -33, -22, -11, 14, -6, 3, 12, -24, 4, -3, -44, 47, 9, 6, -26, 12, -28, 42, -1, -6, -7, 37, 21, -29, -42, 2, 6, 21, -32, 33, -17, -14, -4, 13, 39, 38, 39, -47, -11, -33, 28, -34, 30, -13, -35, -2, 30, 18, 15, 39, 45, -12, -14, -3, 44, 16, 25, 20, -25, -35, 12, 28, 26, 22, 17, -33, -56, 21, -23, -26, -12, -40, 42, 24, -44, 10, 2, 29, 35, -3, -44, 9, -3, 33, 34, 30, -16, -46, 6, 37, -45, -33, 0, -52, 43, -41, -10, 42, 45, -42, -18, -6, -11, 17, 23, -2, 2, 6, 39, -24, 18, 8, 16, 32, -55, -15, -1, -40, 16, 10, 18, -43, -4, 10, 35, -43, 19, -31, 10, 14, 27, 38, 26, 31, -10, 33, 21, 37, 5, 40, 5, 46, 27, 21, -10, 31, 33, 1, -42, 20, 23, 25, -46, 5, 21, 2, -59, 13, 0, 14, -3, -26, -27, -11, 15, 19, 24, 0, 15, 41, -32, 0, -32, 24, -50, -20, -18, 18, 22, 31, 1, 20, -4, -26, 44, -32, 23, -3, -1, -18, -19, -7, -6, 30, -17, -9, -10, -32, -25, 10, -11, -48, 21, -16, 32, 12, 12, -45, -15, -44, -46, -28, -27, 15, -4, 20, -16, 18, -12, -40, -15, -4, -25, 26, 46, 20, 13, 26, -16, -23, 42, 5, 18, 39, 6, -8, -24, 36, -10, -7, 46, -34, -27, 31, 27, -3, -31, -6, 16, 10, 14, -33, 29, 21, -21, -15, -3, -20, 9, -12, 5, 19, -10, -28, 35, -36, -12, -20, -2, 26, -8, -3, 20, -45, 48, 27, -1, -18, 21, -34, -12, -12, -5, 24, -16, -36, -2, -3, 4, 29, 29, 5, 35, 26, -22, -46, 12, 10, 34, 19, -2, 1, -31, -2, -21, 2, 22, -21, 32, -23, 23, 0, 27, 28, -41, 43, -33, 20, 20, -20, 44, -38, 17, 38, 27, -15, -20, -1, 33, -16, -6, -38, -34, 12, 38, 21, -9, -4, -20, -46, 25, 3, -2, -2, -20, -9, 46, 14, -9, -31, -36, 10, -16, -28, 31, 22, -8, -27, 8, -5, -16, -21, 45, 19, 9, -22, 9, -39, -12, 43, 13, -20, 37, 34, -34, -39, -4, -42, 46, 34, -12, 30, 6, -46, -2, 30, -15, -35, -9, 28, -60, -29, 9, 24, -39, -40, 20, 3, 44, -18, -37, 34, 8, 1, 39, -38, 31, -2, -50, 10, -10, -30, -14, -45, 10, 7, -29, 35, 31, -25, -51, -14, -40, -6, 0, 19, -8, -3, 40, 22, -43, 50, 28, 33, -24, 8, -5, 0, -5, -1, -34, -35, -37, -37, -17, -24, -16, 38, -18, 24, -25, -2, -20, -46, 22, 27, 21, 33, 31, -31, 3, 38, -31, -44, 10, -19, 35, 5, 13, -34, 4, -45, -33, 6, 46, 27, 15, 44, -23, 3, -49, -12, 46, 43, -22, -17, -36, -36, 32, -12, -43, -12, 21, 16, -41, 33, -35, -3, 40, -19, 9, -18, 23, -30, 3, -45, -24, 33, -37, 12, -32, 21, -8, 14, -8, -6, -9, -43, 28, -16, 22, 12, -5, -39, 38, 13, 39, 23, 0, -22, 9, 11, 24, 1, -27, 38, -6, 21, 44, -38, 0, 48, 30, 34, 26, 9, 41, -44, -45, -4, -24, -9, 28, 19, 27, 15, -12, -40, -46, 32, -22, 34, -45, 22, -31, 31, 41, 43, -24, 15, 38, 2, 30, 45, -2, 39, 12, -40, 45, -28, 4, -13, -23, -15, 41, 18, -38, -42, 13, 17, 48, -46, 10, -9, -51, -43, 8, -27, 13, -48, -42, 42, -27, 16, 40, 35, 35, 18, 11, -4, -39, -26, -4, -25, -11, 31, -22, -4, 1, -36, -37, -22, 33, -38, 15, 1, -36, 41, 45, -18, 19, -9, -26, -23, 46, -4, -15, -31, 31, -11, 36, 26, -18, -48, 29, -48, 36, 0, 15, 23, 15, -27, 32, -9, -20, 15, 35, 20, -29, 44, 45, -13, -32, -38, 15, -32, 28, -53, 15, 35, 40, 25, -24, -47, -24, 9, 17, 29, -13, -39, -25, 23, 10, 25, -45, -47, -6, 2, -19, -43, -44, -44, 19, -40, -24, 7, 18, -25, -34, -5, 1, 26, 6, 2, 8, 33, 14, 4, -22, 8, 22, 7, -38, -49, 46, -42, -42, -22, 26, -26, 44, 0, -6, 25, 13, 29, 27, 27, -16, 1, -3, -43, -16, -25, -11, 41, 10, 4, -19, 26, -26, -5, 24, 17, -7, -13, -12, -22, 16, -31, -16, 42, -29, 5, 8, -35, 46, 31, 7, -30, -5, -2, -48, -35, 23, -17, 15, 5, -41, -36, -50, 19, -37, 25, -20, -35, 7, 26, 15, 28, -17, 30, -38, -31, -8, 27, -42, 15, -4, -15, -34, 27, -8, 45, -10, -21, 23, -35, 24, -32, 12, -37, 33, -33, 18, 25, 8, 20, 30, 13, -38, -13, -27, 28, 32, 23, -2, -46, -26, 32, 48, -3, 44, 22, 39, -36, -36, 36, -36, -23, 7, -41, -32, -44, 36, 4, 37, -21, 33, 20, 31, 10, 11, 29, -21, -34, -36, -10, -16, -29, -18, 3, -15, -48, -2, 39, -6, 30, -15, 11, -18, -35, -41, -3, 17, 42, 0, 3, 32, -49, -16, 30, 15, -25, 28, -21, 35, 36, 29, -12, 31, -25, -2, 5, 13, -23, 41, 41, -34, 2, -31, 35, -27, 45, 33, -38, 9, 43, -3, -7, 2, 21, -46, 23, -28, 2, -20, -23, 34, 41, 25, 16, -22, 25, 4, 42, -11, 45, -27, -22, 10, 27, -37, 33, 0, -22, 1, -17, 17, -3, 31, 13, -38, 20, -47, 7, -4, -12, 13, -14, 7, -18, 13, -42, -13, -1, 7, 11, -37, 35, -7, -43, 33, 2, 26, -26, -35, 31, 30, 40, 15, 35, 38, 27, -49, -6, -13, -40, 10, -37, -32, -24, -4, 46, 0, 8, 26, -11, 27, -36, -30, 47, 7, 1, -15, 37, 35, 29, 33, -35, -36, 2, -40, 32, -46, -3, -50, 34, -14, 2, -2, -37, 14, 29, 10, -27, 35, -13, 18, -35, 36, 12, -25, -48, 19, 23, -29, -39, -29, -27, -26, 30, -35, -48, -14, 6, -39, 41, -14, 48, 36, -43, -47, -43, 11, 38, -14, -20, -31, 1, 24, -12, -1, -14, 19, -27, -5, 28, 23, -13, 36, 45, -16, -13, -8, 5, 22, 36, -25, 4, 3, 37, -26, -5, -31, 9, -24, 8, -47, -25, -18, 17, 19, -38, 14, -54, -41, 30, 0, -27, 46, 22, 45, -41, 23, 40, 29, 40, 11, 28, -42, -48, 39, 42, 1, 44, -43, -10, -20, -16, -15, -33, -3, 17, -43, -51, 21, -43, 25, 8, 3, -11, -42, 33, 0, 32, -2, -20, -23, 36, -5, -18, -36, 14, -1, -14, -40, -30, -22, -7, 26, -5, 15, 11, -25, -13, -28, -41, 25, -47, -14, 13, 32, -13, -21, 38, -5, 29, -41, -35, -27, -32, 44, 34, 2, -37, -13, -36, -31, -2, 13, 10, 35, -17, -20, -43, 2, 35, 36, 13, 3, 39, -32, -23, 33, -26, 47, -7, 19, -2, -7, -2, 3, 19, 0, 38, 26, -11, -4, -34, -39, 39, 17, -41, -33, -2, 37, 35, -27, -8, 0, 25, 19, -39, -44, -41, 2, -13, 35, 27, 37, -6, -1, -31, 28, -35, -2, 16, 17, -10, 61, -9, -47, 11, -16, 40, -30, 37, -27, -18, 9, 12, 50, 11, 48, -4, -30, 17, -23, 13, 9, 4, -41, 35, -31, 15, 1, -12, -25, 25, -6, 3, -1, -27, -21, 8, 44, 25, -36, -53, 31, -6, -30, 12, 32, -27, 12, -34, -8, 34, -1, 9, -13, -7, -47, 10, 24, -18, 12, -5, 32, 2, 17, -45, -29, 38, -35, 26, -56, 7, -2, -3, -27, 23, 28, 1, 41, -15, 3, -44, -6, -12, -60, 26, -9, -12, 74, -44, 3, 68, -26, -18, -33, 15, -11, 52, 19, -26, -50, -11, 53, -11, -67, -16, 15, -33, 53, -4, 18, -32, -20, 10, 36, 40, 29, 6, -18, -19, 12, 6, -8, 39, 5, 15, -36, -24, -21, -1, -82, -46, 1, 23, 3, -1, 9, -12, 4, 40, -41, 41, -41, 1, -12, -14, 36, -22, 6, -17, -49, 0, 0, 30, -30, 47, 39, 28, -8, 24, -32, -34, -35, -29, -23, 8, 36, 5, -6, 5, -32, -1, 22, 14, 16, -33, 59, -31, 58, -30, 2, -28, 45, 25, -1, 25, -16, -27, -1, -29, -12, 5, -8, 9, 32, 38, 41, -3, -23, 37, -13, -24, -18, 2, -4, -30, -7, -9, 36, -21, 41, -15, -2, -42, 39, 43, 26, 48, 27, 23, -22, -25, 19, 17, 6, 7, 44, 42, 12, 25, -10, -31, -2, -30, -36, 21, -14, -29, 19, -25, 34, -32, -33, 19, -26, 12, -36, 4, 26, -13, -37, 30, 1, -13, -23, 37, 51, 6, 26, -36, -15, -4, -20, 0, 27, 43, -2, -17, 19, 26, -40, 42, 13, -4, -32, -44, 34, 41, -31, -26, 25, -36, -23, -10, 38, 2, -24, -9, 34, -18, 23, -34, -20, -39, -7, -23, -5, 13, 8, -31, -10, -26, 24, 32, 9, 19, 24, 32, -7, -7, -26, -1, -31, 14, 4, -41, -1, -3, -53, 24, -3, -41, 7, -7, 22, 53, -16, -13, 26, -35, -52, -37, -6, -44, 21, 33, 48, -17, -51, -8, -53, -18, 23, -28, 33, -44, 3, 34, -10, 1, -15, 27, -31, -17, 48, 8, 55, -5, 21, -8, -54, 16, 18, -7, -40, 17, -16, -42, 50, 30, -54, 32, -6, -46, 4, -13, -32, -42, 14, -28, -30, 1, 20, 44, -30, -20, 36, -42, 1, 35, -11, 15, -28, -54, 53, -19, -18, 12, 30, -23, 81, 37, 21, 12, -1, -35, 28, -37, 0, 34, -11, 44, 54, -27, 22, -17, 34, 35, -31, 26, 37, 14, -24, -16, -13, -34, 3, -29, -52, 32, 36, 4, -31, -23, 42, 27, -12, -19, 30, 50, 18, -9, 38, -36, 17, 29, -40, -8, -38, 37, -35, 6, 7, 12, -19, -2, -1, -10, 18, -31, -22, 13, -4, 4, 18, -8, -38, 29, 35, 1, -35, -33, 16, 48, 41, -26, -21, 46, 0, 40, -17, -5, -4, 46, 31, 43, 10, -15, 4, -46, 11, 19, -18, -12, -22, 52, 44, 34, 7, -31, -21, -25, -26, 11, 44, -12, 27, -14, 39, -29, -46, 38, 17, 20, 34, 17, 4, 3, -26, 39, -1, 5, -31, -39, 47, 16, -33, 16, 24, -28, 39, 47, 11, 26, -16, 18, -2, 9, 1, -10, -21, 34, 16, 8, -5, -24, 37, -23, -1, -40, 44, -7, 29, -3, -16, 27, 7, -48, 31, -9, 19, 13, 10, 47, -33, 9, -20, 5, 30, 45, -43, -4, -44, 24, 51, -12, 28, 10, -20, -7, 3, 22, 37, 34, 37, 11, -31, -5, 17, 43, -37, -17, -55, -8, -41, -51, -32, -14, -6, -10, -9, -29, -42, -28, 9, 5, 7, -45, -20, -22, 6, 29, 4, -5, -5, -43, 5, -7, 26, 42, 5, -47, 35, -18, -25, 44, 36, 19, 40, 9, -6, -43, -15, -6, -40, 5, 19, -39, 4, -35, -2, 24, -15, -4, -15, -5, 22, -13, 45, 32, -42, 38, -2, -35, -36, -42, -45, -18, 39, 46, 35, 47, 19, 34, -11, 12, 23, -18, 22, 4, -2, 9, 7, 2, -38, 3, -6, 11, 10, -14, 41, -46, -20, 16, 30, 44, 21, 12, 11, -34, -12, 23, 42, -33, -21, 29, -25, -28, 5, 33, -8, 5, 26, 50, 39, 28, 75, 61, 26, 33, 31, -8, -56, -9, -28, 7, 33, -19, 23, -47, -9, -41, -31, -13, 29, -32, -11, -6, -4, 27, 12, -31, -36, 14, -10, -16, -11, -30, -45, 26, 29, 37, -27, -23, -12, 1, -12, 6, -26, -14, 17, 39, 60, -5, 33, 39, 50, -5, -4, -12, 16, -29, -24, -7, 34, 5, 56, 29, -10, -18, -3, -41, 33, -29, 17, 30, 21, 20, 5, -35, 31, -22, 5, 22, 53, -14, 44, 21, 11, 17, -4, 42, -1, -2, 13, 6, -25, 9, -24, -10, 8, -23, 3, -18, 11, 22, -22, -31, 33, 36, 10, 37, -34, -12, -28, -16, 10, -8, -36, -12, -33, 9, 40, 8, -50, -2, -33, -50, 34, 30, 54, 22, 10, 29, -52, 19, 25, -15, -24, 35, 30, -17, -14, -13, -19, -50, 50, 23, 22, 47, 46, -12, 23, -20, -32, 21, 29, -48, 47, 7, 37, -29, 11, 36, 46, 28, 15, 2, 12, 26, 34, -6, -43, -8, -35, -3, -43, 19, -21, -4, 42, 23, 35, -17, -38, -25, 4, 7, -10, -34, -39, -34, -6, -22, 23, -20, -30, 2, 38, -19, 15, 28, 21, -15, -28, 43, 19, -20, 34, 25, 27, 51, -39, -27, 29, -12, -16, -35, -19, 9, 6, -26, 16, -39, 44, -30, -14, 15, -23, 35, -15, -24, -48, 18, -2, -43, 10, -26, -7, -20, 12, 6, 27, 14, -26, 28, -24, 34, -23, 33, -39, -19, -2, 9, 62, -12, 31, -29, 7, 20, -34, -50, 36, 42, -19, 38, 7, 20, -40, -43, 70, 31, -18, 31, -34, -36, -63, 2, -50, 15, -14, -24, 0, 18, -27, -13, 29, 30, 41, 45, -18, -26, 2, 16, 62, 29, 2, 44, 30, 21, -60, -20, -30, 17, 14, 41, 11, 10, -38, 6, 22, 53, 5, 43, 3, 6, 14, -19, 38, -31, -13, -4, 2, -11, 10, 44, 13, -17, 63, -24, 14, 14, -25, 43, 12, 9, 48, -3, 37, 7, 4, -35, -34, 16, -19, 26, 5, -41, -13, 43, -47, 40, -39, -40, -27, -12, -10, 23, 16, 59, 34, 33, 18, 9, -6, 21, -24, 32, -23, 34, -12, 39, 71, 32, 15, -11, -40, -31, -1, 2, 43, 61, 28, -22, -46, 29, 24, -16, -46, 45, -16, -31, -40, 28, 9, -41, 44, 29, 4, -23, 19, -40, 69, 31, 39, 81, -33, -12, 55, -27, -46, 37, 35, 34, 19, -37, -38, -37, 28, -30, -40, -13, 21, -17, -9, 18, -36, 52, 5, -9, -16, 44, -20, -38, 1, 38, -41, 38, 5, 11, 34, 28, 32, -22, -29, -14, 8, -37, 38, 20, 44, -26, -47, -18, 27, 4, -35, 32, -42, -42, -4, 26, -5, 32, -16, -9, 44, 26, 6, -4, 38, 10, 42, 36, -27, -15, -2, 5, -30, -43, 5, -3, -20, 41, 40, -4, 25, -22, 25, -11, 11, 15, -19, -23, 20, -14, 39, -21, -48, 17, -44, 3, -7, 7, -23, 40, 20, 1, -32, -12, 41, -10, 18, 6, -30, -34, 17, 32, -39, -45, -33, 41, -22, 43, 26, 36, -9, 21, -37, -47, -41, 24, -45, 45, 5, -6, -35, 39, 30, -3, -30, 32, 22, -46, 9, 38, -3, -7, 21, -36, 2, -12, 14, -21, 40, -36, 27, -10, -27, -19, -39, 19, 14, 30, -12, 14, -34, -42, 32, 8, 11, -50, 10, 26, -27, -48, 21, 19, 11, -8, 36, -13, 27, 37, -27, 6, -46, 25, -32, 0, 30, -28, 16, 14, -10, 42, 16, 18, -16, -46, -13, -31, 12, 21, -44, 34, -21, 1, 30, -3, 20, -39, -4, -26, -48, -1, -20, 13, -35, -30, 46, -20, 27, 37, 3, 14, -43, 35, -5, -46, -14, -36, 6, -5, 43, 46, 34, -3, 8, -1, -43, -9, 15, -48, 43, 15, 14, 35, -31, 44, -13, 47, -21, 5, -22, -34, 25, -41, 15, 16, -3, 8, 11, 26, -32, -37, -25, 8, -19, -3, -37, -15, -8, -5, 26, 19, 9, 44, 39, 5, -22, -45, -15, -7, -17, 12, 2, -40, 30, -15, -29, 33, 10, -18, 36, 19, 25, -3, 2, -37, -20, -18, 23, 6, -1, 7, 29, 25, -10, 3, 23, 33, -14, -41, 42, 23, -27, 17, -16, -10, 45, 36, -10, 8, 7, -46, -45, 45, 4, 16, 9, 17, 28, 15, 41, -33, 37, 39, -23, -41, 42, -22, 42, 44, -29, 19, -29, 48, -14, 25, -16, -15, 37, 35, -12, -22, -10, 18, -31, -24, 14, -33, 12, 4, -16, 6, -10, -19, -12, 20, -14, 38, -27, 4, -37, 28, -22, 36, -2, -17, -19, -44, -48, -18, -20, 18, 36, -31, -39, 19, -43, -31, 5, 40, 3, 19, 30, -1, -5, -32, 47, 21, 7, -46, -22, 48, -45, 7, -40, 9, -56, -21, 23, -50, -14, -49, 3, 19, 3, -41, -44, 32, 36, 41, -21, 7, 31, 31, -26, -17, -48, 18, -15, 21, 39, -39, 32, -1, -4, -8, 7, 10, 43, -24, 48, 22, 5, 8, 41, 15, -21, 26, -28, 30, -32, 24, 36, -37, -13, -52, 8, -28, 32, -8, -33, -20, 28, -1, 17, -15, -24, 15, 4, -6, -21, -7, 17, 29, -12, 11, -25, 17, 2, 42, 26, 1, -30, 10, -16, -48, 26, -40, 23, -35, -47, -27, -10, -45, 40, -6, -48, -14, -19, -51, -42, -17, 28, -32, -26, 47, -7, 14, 16, 11, -37, -43, -25, -28, -34, -22, 28, -39, 7, 20, -7, -15, -6, 37, -34, 32, 24, -23, 42, 23, -20, -14, -43, 10, 40, 1, -10, 5, 3, -46, 28, -48, 8, 29, -6, 3, 36, 11, -22, -24, -16, 44, -1, 21, -39, 1, -35, 16, 29, -4, -5, 10, -47, -39, 31, 40, -25, -28, -42, -15, -25, 11, 4, 37, 22, 35, 11, -42, -35, 7, -7, -15, 20, -38, -1, -21, -47, 1, -35, 40, -46, 14, 45, -44, 47, -23, -31, 44, 9, 22, -5, -40, -13, 21, 34, 43, -46, -43, 9, 19, -22, -14, 34, -23, 17, -12, 16, -38, -24, -45, 3, -4, 6, -19, -44, 30, 34, -14, 18, 6, 2, -48, -27, -33, 29, 21, -12, 46, 34, -40, 16, -29, 40, -12, -29, -21, 49, -45, 43, 29, -23, 18, 31, 4, -22, 41, 10, -27, -20, 12, -25, -3, 13, 15, -34, -29, 40, 30, 39, -38, -38, 12, 33, -57, 11, 26, -31, 24, -26, 14, 21, -40, -14, 24, 46, 2, -14, -32, -35, -28, 42, -14, -31, -16, 47, 2, -12, 32, -5, 12, 34, -25, -9, 29, -25, -29, 1, 7, 3, -29, -4, -52, 8, -7, 15, -10, 17, -34, 50, -10, 0, -33, 7, 14, 28, 6, -25, -40, 14, 8, 7, -12, -47, -23, -21, -7, -5, -17, -8, 33, -34, 42, 28, -44, -10, 39, 40, -28, 20, 18, -38, -48, -48, -24, -29, 6, -18, 11, -48, 14, -4, 27, 28, 39, -6, 12, 38, 14, -30, 13, 5, 26, -1, -41, -16, -15, -45, -26, -43, -27, -13, -14, 45, -24, -47, 11, 6, 28, 15, 44, -9, -39, -39, 6, 25, -16, -28, 4, -48, 12, 26, -9, -33, -11, 0, 4, 15, 32, 4, 31, -27, -28, -2, -49, 19, 37, 29, -32, -25, 43, 43, 48, -12, -35, 44, 41, 19, -19, 29, -33, -32, 6, -48, -46, 16, 37, -27, 9, -25, -38, 43, -13, 46, 35, -8, 0, -31, 48, -22, -54, -40, 41, -41, 24, -29, 37, 12, 32, 45, -31, 47, -13, 8, 24, 32, -23, -42, -10, -42, -47, 44, 46, -14, 17, 2, 41, 33, -3, 6, 28, -46, 40, 15, 9, 4, 44, 47, 42, 45, -33, 18, 1, 47, 22, -41, -45, 30, 9, 48, 38, -46, 4, -14, 29, 1, 1, -44, -8, 28, 23, 4, 34, 38, 39, -23, -34, -13, 13, 42, 24, 6, 31, -4, 22, -47, 10, -17, -20, 9, -32, 18, -9, 30, -23, -19, -11, 30, -33, -39, 29, 4, -46, 16, 11, -41, 9, -30, 40, -47, -15, -38, 37, -25, -13, 20, 35, 22, -3, 32, -21, 25, -47, 1, 0, -33, -11, -36, 21, -16, -20, 43, 31, 48, 12, -33, -12, 3, 27, -42, -46, 34, 8, -19, -5, 26, -15, -16, 11, -9, 11, -9, -38, 8, -2, 10, 5, -19, -7, -9, -28, 27, -19, 11, -25, -40, -19, -7, -16, -27, -15, 29, 13, -27, -48, -21, -23, -31, 18, 34, 25, 2, -13, 7, -12, 30, -6, -15, 15, -1, -1, 14, -8, -20, -33, -15, 24, 8, -20, -42, -41, -14, 31, 33, 17, 38, 8, 31, -28, -26, -1, 37, 2, -43, 15, 27, -3, 16, -5, -5, -28, 9, 8, -45, 0, -15, 35, 24, -29, -3, -38, 23, -51, 10, -35, 19, 22, 4, 38, -39, 28, 10, 35, -30, 13, -31, 3, -34, -10, 5, 15, 43, 13, -24, 2, -28, -8, -6, 24, 21, 26, -31, 37, -19, -11, 18, -16, -13, 11, 17, 22, 16, 14, -30, 21, 14, 39, 6, 23, -41, -37, -14, -19, -27, 25, -3, 39, -5, -39, -21, 46, 3, 7, -24, 1, 17, -20, 7, -39, -47, -20, -32, 28, 25, -27, -25, -6, -44, -15, -26, 7, -35, 3, -1, 49, -18, 25, 38, -16, -35, -11, -41, -17, -4, 7, 32, -45, -35, 0, -33, 11, 37, 34, -12, 31, -20, 39, -50, 12, -20, 26, 31, -23, 34, -42, 17, -26, -3, -28, -16, -44, 36, -10, -30, -48, -7, -92, 24, 25, -33, 11, 45, -18, -2, 16, 23, -13, -2, -36, 43, 38, 1, 31, 22, -25, -10, -30, -28, -41, -15, -12, 5, 1, 15, 28, 44, -63, -6, -11, -9, 11, 5, -32, -13, 37, 50, 2, 33, -8, -18, -9, 2, 13, -17, -37, 46, -12, 5, 51, 21, -8, 37, 3, 38, 3, 46, -25, 29, -33, -42, -21, -41, -2, 20, -7, 7, 49, -1, 26, -24, 21, 27, 23, -17, -45, -25, -39, 17, 11, -29, 20, 30, 23, 2, -47, -51, 19, 39, -22, -70, 7, 47, -21, -37, -5, -37, 38, 39, -33, -10, -18, 22, -26, 3, -20, 5, 5, -27, 1, -17, 51, 3, 28, 35, 9, 39, 25, 41, 40, 8, -3, 52, -4, 40, -7, 25, 28, -34, -20, 8, -31, -30, 34, 37, 7, -15, 58, 6, 12, 0, -25, 36, 33, 46, 36, 26, -6, -9, 1, 1, -8, 12, -43, -14, -18, 2, -1, -56, -50, -28, 1, 18, 22, -20, 11, 19, 30, -57, -16, 18, 13, -5, -27, -22, 12, -37, -7, -15, -33, 35, -25, -76, 5, 28, 25, -2, 56, 46, -20, -12, -24, 34, 7, -13, -17, 13, 27, 2, 33, 12, 22, 48, 4, 2, 62, -35, 8, 47, -26, -23, -42, -40, 33, -7, -12, -39, -46, -41, 11, -21, 31, -43, -34, 6, 21, 18, -51, -52, -59, 13, 57, -5, -30, -8, -10, 2, 24, 2, -5, -22, 16, -23, 6, -38, -31, -17, 29, 2, 39, -40, 9, -12, 38, -34, 44, -21, -28, 36, -4, -50, -15, -74, 1, 36, -60, 38, 30, -37, -8, 17, 37, 13, -28, 8, -35, 1, -2, -30, -44, 35, -5, 13, -35, 29, -29, 22, 21, 7, 38, 34, 29, 27, -53, -35, 19, -1, 32, 8, -23, 36, -9, 6, 28, 26, -41, 31, -8, 38, 5, 14, 19, -11, -43, -18, -9, -29, -51, -19, -35, -27, 44, -2, -3, 19, 55, -38, -25, -14, 9, -54, 29, 10, 31, 37, 8, 40, 10, -26, 20, 23, 43, -68, -12, -7, 11, -42, -15, -9, -11, 40, -36, -12, 17, 30, -37, 10, 26, 8, 24, 35, 11, 11, 15, -34, 8, -36, 35, -1, 1, -9, 40, 63, 38, -62, 31, 30, -3, -18, 6, 79, 34, -31, 43, 10, 17, -9, 22, -20, 3, 38, 25, 0, -8, -35, -45, -68, -58, -57, -45, -16, -26, 29, -29, -30, 16, -4, -28, 25, 58, 19, -11, 38, -12, -70, -10, -3, -39, -40, -33, 6, -6, -43, -18, -42, -27, -18, -51, -1, -63, -8, 37, 12, -20, 31, -2, 13, -44, -3, 29, -52, 31, -50, 9, -35, -21, 8, 27, 49, -12, 31, 21, -48, 19, 80, 11, 3, -10, -41, 17, 13, -40, 5, 12, -18, -21, 12, -41, -30, 20, 13, 78, 33, 1, 50, -33, 10, -29, -45, 11, 23, -2, -32, 43, 4, 48, 35, 25, 41, -10, -29, 33, -65, -13, -26, 25, -24, 24, 22, 50, 7, 0, -1, 0, -20, 39, 43, 19, -14, -3, 20, 30, 45, 42, -31, 3, 13, -37, -15, 5, 44, 55, -6, -4, 71, 9, 14, 20, -36, -16, 52, -66, -28, -43, -41, 21, -9, -32, 17, 30, -19, -44, 17, 15, -26, -19, -26, 1, -33, 50, 38, -7, 17, -22, -15, 5, 14, 16, -8, -47, -18, -11, -23, 22, -22, 8, 39, 7, -48, -8, -30, 28, -28, -44, -46, 17, 25, -36, 8, 19, -32, -47, 46, -17, -5, -9, -21, -2, -18, -28, 38, -39, 41, -31, -34, -4, 33, -8, 33, -21, -43, 36, -32, -12, -43, 8, -10, 27, -14, 41, 22, -15, -7, 42, 39, -41, 21, -38, -14, 12, -47, 1, -46, 6, 43, 47, -2, 17, 15, 21, 25, -19, -36, -3, -4, 12, 2, -2, 15, -14, -21, -28, 10, 26, 47, 13, -25, 24, 14, 3, -42, 46, -19, 48, 40, 31, -9, 18, 33, 2, -34, 24, -8, -31, -37, 34, 31, -10, -43, 22, -24, 41, 8, 32, 11, -24, 33, -31, 26, -36, -2, -7, -21, -21, 2, -47, -42, 31, -5, -25, 36, 21, 0, 31, 30, 5, 2, 20, -31, 11, 5, 9, -25, 32, 11, -1, 20, 0, -5, -7, -5, -8, -44, 4, -5, -34, 11, -8, 4, -27, -21, 7, -38, -23, 18, 41, -25, 15, -24, 3, -11, -41, 35, -18, 41, -31, -9, 16, -40, 34, 17, 42, -7, -25, -22, 18, 20, -39, -4, -25, 29, -28, 0, -35, -1, 3, 33, -31, -24, -24, -43, -35, -6, 14, -19, -33, 4, -12, 16, -6, 4, 30, -44, 40, 48, -30, 25, -35, 48, -29, -31, -8, -8, 44, 30, -4, 1, 1, -17, 1, -24, -39, -48, -5, -2, -37, 19, 33, 22, 24, 43, 32, 37, -25, -9, 35, 18, -15, 27, -41, 12, 30, 14, 4, -41, -20, -14, 12, -47, -36, -18, -27, -10, -1, 40, -38, -14, 18, 31, -45, -20, -13, 3, -17, -19, -19, -4, -9, 45, -17, -4, 11, -43, -14, -21, 36, -16, -18, 21, 6, 32, 8, 1, -40, 48, -13, 26, 41, 33, -10, -33, -15, -33, -15, 23, -4, 7, 25, -29, -14, -17, -32, -11, 12, -42, 3, 35, -13, 29, 20, -29, 24, 15, 2, -6, -35, 29, -14, -30, 14, -45, 2, -3, 10, -46, -43, -20, 16, 29, 3, -49, -37, 9, -32, 24, 33, 26, 2, -5, 37, 11, 25, 31, -9, 2, -4, -16, 30, -30, -6, -36, -38, 7, 27, -39, -36, 7, -40, -18, 40, -12, -17, -13, -46, -13, 41, -49, -32, 5, -28, 5, 2, -5, -4, 17, -5, 6, 12, -33, -38, 29, -16, -42, 10, -4, -40, 22, 2, -1, -11, 43, 28, -46, -40, -10, -15, 17, -8, 15, -45, 9, 35, 0, 48, -33, -1, -25, 43, 26, 4, -30, -26, -30, -10, -31, -3, 5, 28, 1, 35, -26, 25, -36, 48, -32, 12, 17, 33, -45, 1, 29, -1, -16, 26, -28, -23, -11, 30, -9, -19, -7, -6, 25, -26, 7, 16, 24, -8, 0, 4, -1, 44, -40, 4, -30, -13, 36, -9, 19, -48, 33, 24, -48, -14, 12, 21, -43, 44, 21, 1, 2, 39, 12, -34, -51, 34, -13, -50, -44, 6, 27, -1, -13, -3, 22, 7, -11, 26, 16, -28, -6, 18, -31, 47, -27, 28, -31, 37, -14, -47, 12, -18, -45, 33, -18, -45, 18, 46, 18, -32, 21, -7, -48, 15, 22, 36, -18, -17, 8, 33, -2, 34, -12, -2, -29, -18, -21, 31, -42, 37, 39, -27, 23, -46, 20, 43, -38, -15, -29, 45, -17, -7, -5, 34, 21, -30, -34, 23, -9, -40, 19, -27, 21, 3, -10, 30, 19, 10, -38, -43, -33, 24, 25, 7, 25, -40, -21, 40, -3, 12, -6, -18, 0, 48, -36, -9, -18, 43, 1, 51, -26, -22, 67, -68, -18, 46, -34, 34, -43, -9, 49, 54, 10, -43, 28, -32, 51, 28, -19, 5, -4, -32, -2, -24, -62, -55, -15, -26, -34, 33, -32, 16, 32, -53, -18, -5, -22, 6, 39, 12, -18, 24, 28, 26, -54, 39, -12, 2, -17, -42, -13, 50, -52, 17, -8, -40, -20, 21, -34, -29, 27, 19, 49, -6, 15, 48, 29, 27, 45, 39, -2, 21, -4, -6, 39, 44, -15, -41, -31, 15, 16, 7, -5, -4, 39, 32, -42, 25, 31, -23, 23, 11, -14, -8, 63, -7, -4, 14, 25, -69, -36, 25, 3, 4, -21, 20, -15, -43, 13, 7, 37, 30, 47, -28, -4, -23, 36, -21, -10, 12, 14, 9, -19, 48, -14, -47, -10, -5, 27, 11, 21, 27, 8, -25, 0, 13, 13, -33, -77, -31, 57, -29, -32, -22, 42, 32, 31, -13, 25, 36, -12, -35, 57, -31, 15, 22, 46, -32, 31, -43, -22, 53, -39, -7, -24, 15, -36, -50, -8, 23, -2, 10, -17, 18, -17, 19, 16, -56, -2, 1, -14, 16, -4, 46, -11, -30, 41, -37, 16, 19, 2, -13, 8, -6, -30, 14, 43, 43, 11, -39, 22, 1, 3, -43, 34, -1, -10, -15, 36, -68, -7, 39, -14, -20, -20, 55, 55, -10, -32, -3, 20, 13, -33, -8, 44, 37, 25, -28, -16, 56, -14, -27, -14, 42, 8, -46, -21, 44, 5, 25, -19, -27, -1, 32, -28, 32, -6, 33, -4, -29, -1, -4, 16, 14, 22, -48, -1, 45, -39, -49, -7, -35, -18, -5, -11, 5, -38, -19, -45, 48, -12, 20, -10, 38, 36, 2, 27, 37, -27, -42, -17, -23, -1, 17, 41, 43, 43, 22, 9, 22, 31, 20, -28, -40, 4, 48, 26, -3, 9, 43, 41, 28, -41, -22, -39, -28, 14, -41, 0, -20, 16, 24, -6, -43, -18, 13, -53, 48, -45, -1, 44, -19, 1, 26, 28, 33, 1, 50, 37, -17, -24, 56, 35, 46, -8, 22, 46, 45, 18, -42, -25, 58, -3, -19, 27, 12, -48, 21, 43, -34, 43, -10, 37, 38, -12, -38, -10, -3, -29, 27, -25, 16, -36, 5, 39, -53, 21, -62, 28, 65, -32, 2, 42, -15, -16, 55, 29, 9, -2, -4, 1, 26, 11, -9, 24, 49, 41, 23, -15, -22, -11, 20, 39, -36, 22, -39, -43, -33, 48, -10, 13, 46, 9, 23, 2, 34, -3, 44, 27, -24, 7, 15, 29, 2, 34, 52, 46, 33, 7, -1, -8, 14, 12, -11, -37, -12, -78, 16, 53, -17, 39, -32, -29, 31, 12, -14, 27, 32, -55, 54, 21, -10, -5, -10, -21, 37, -37, 10, -13, 4, 20, 4, -38, 10, -25, 14, 12, 10, -21, -8, 49, 31, 16, 45, 66, -44, 16, -5, 8, -26, 16, 1, 11, -31, -1, -41, -26, -19, -7, -44, 20, -6, 1, -14, 35, 8, 13, 39, 12, -32, -3, -28, 21, -21, -36, 19, -28, 39, 15, 14, 31, 3, -64, -26, -26, -33, 19, -16, -59, 38, 46, -19, 36, -33, 16, 40, 44, 18, -3, 21, -13, 22, -13, -21, 7, -14, -20, 28, -22, -2, 46, 20, -44, 30, -28, -33, 35, -43, 48, 35, 28, 42, -4, 35, 23, -47, 9, -51, -3, 30, 31, -17, -3, -5, -26, 11, 35, 20, -36, 22, 2, 30, 31, -38, 42, 26, -16, 18, 15, -28, 22, -19, -43, 5, 13, -16, -2, -47, 16, -9, 17, -49, -19, 34, -27, -43, 0, -24, -30, -6, 2, 34, 27, -22, -4, -7, 20, 22, 5, 5, -15, -36, -31, 2, 18, -39, 35, -3, 40, 29, -4, -29, 42, -1, -12, -49, 25, -38, 30, -28, -19, -39, -40, 37, 22, -48, 1, 48, 39, 23, -32, -48, 19, -10, -44, -40, 32, -45, 39, 39, 12, -19, 18, -2, 15, -12, 37, -4, -32, 43, -40, -48, -5, -9, 19, -3, -25, -18, -46, -9, 24, 42, -36, 33, 42, -13, -12, -25, -9, 31, -10, -8, -38, -40, 4, 26, -18, 34, -23, -32, -24, -20, -10, -4, -21, -8, -49, 15, 46, -3, -15, -14, 46, -27, 18, 40, 45, 24, 31, -8, -35, -27, 22, -3, -44, 32, 36, -29, -16, -19, 19, 4, -40, 2, 4, 17, -9, -29, -34, -3, -25, 6, 31, -6, -31, -23, -37, -19, 22, -19, -37, -45, -5, -13, 6, 7, -14, -39, -11, 14, -10, -26, 10, -36, -35, 47, -31, -10, -26, -29, 39, -21, -39, -42, 41, 5, 28, 49, -6, 12, -39, 24, 15, -41, 10, -17, 42, -28, -2, 40, 15, 16, -3, 47, 46, -3, 18, 24, 27, 46, -4, -17, -11, -37, 19, 16, 0, 37, -35, -41, -26, 28, -11, 2, 18, 40, 4, 18, 24, -17, 47, 10, 26, 36, -30, 17, -37, 35, 26, 33, 17, -36, -42, 14, -31, 32, -22, 26, -48, 24, -12, -40, 10, -44, 24, 42, 39, 23, -43, -36, 46, -16, 45, -6, 12, 2, 35, 49, 6, 2, 14, 7, -39, 46, 3, 27, 9, 16, -9, -10, 29, -31, 30, 46, -30, -10, -3, -22, 31, -24, -39, 28, -11, -2, -20, -19, 42, -6, -25, 14, 13, -18, -47, -36, -32, 16, -34, 25, -14, -23, -42, -19, 27, 46, 0, 36, -34, 10, -4, -8, 46, -10, 15, -17, -48, 22, 43, -13, -14, -37, 43, -47, 41, -35, -31, 24, -48, 27, 35, -4, -15, -5, 9, 45, 18, 46, -15, 37, 45, -44, -24, -24, 10, 18, -14, 23, 4, 40, -29, -24, -31, -39, 22, 45, -43, 27, -42, -31, 2, 35, 30, -21, -20, 37, -53, -29, -17, -14, -27, 17, 0, -47, -23, 46, 42, 12, -45, 30, -17, -46, 12, -10, -18, 41, -11, -40, -32, -7, 19, -41, 20, 8, -39, 21, -2, 17, -38, -3, -19, 3, -34, 44, 7, 14, 24, 22, -38, 10, 10, 9, -2, -35, -27, 4, 38, -45, 14, 19, 22, -18, -7, -20, -7, 11, 6, 39, -7, -6, 30, 3, -31, 0, 45, -19, -48, -42, -35, 35, -4, 7, 10, 24, 47, 31, -43, -7, 39, 12, 12, -23, 21, -25, -49, -1, -2, 25, 17, 36, -7, 38, -16, -33, -3, -25, -10, -30, 4, -30, 46, -1, -30, 41, -28, 47, 21, 33, 42, -1, 32, 27, -47, 41, 0, 48, -45, -42, -23, -1, -18, 9, -46, 9, 28, 35, 33, 43, -8, 1, -32, -20, 33, -31, -3, -45, -8, 31, 47, -43, 46, -24, -17, -2, -27, 46, -32, 12, 44, -40, 19, -39, 25, -25, -11, -32, -5, 12, -23, 36, 27, -8, 43, -36, 41, -23, -13, -38, 15, 32, 27, -15, 25, 2, 2, -28, -40, 46, 15, 21, -10, 22, 43, -34, -37, 9, 1, -10, 44, -33, 3, 39, -21, -28, 37, 8, 25, -5, 25, -30, 33, -23, 10, 27, -32, 37, -3, -2, -16, -2, 12, 4, 44, 3, -38, 34, 31, -41, 39, 45, 14, 31, -30, 41, 29, -9, -6, 30, -32, 41, 43, -24, -32, -42, -14, -41, 23, -14, -42, -15, 36, -25, 20, -6, -27, -15, -47, 1, 42, 38, 39, 45, -5, -42, 9, -3, -32, 46, 13, 17, -38, -4, 43, -19, 29, 9, 31, -27, 0, -14, 27, 21, 23, 2, 4, 40, 28, 46, 16, 14, -32, -11, 21, -27, 18, -25, 28, -38, 46, -10, -27, 47, -44, 7, -38, -13, 3, 12, -4, -34, 19, -23, 8, -1, -1, -4, 48, 38, 10, 12, 21, -42, 21, 9, -51, -36, 20, -24, -37, 12, -44, -19, -10, 22, -21, 15, 40, -37, 20, 21, 27, 40, 43, -51, 49, 46, 8, 32, -22, 26, -14, -55, -37, -40, 20, -47, -7, -1, 31, -5, 35, 49, -32, 5, -43, -5, 8, 49, -2, -32, -37, 19, -15, -26, -4, 6, 40, 12, 46, -32, 38, 45, -24, -35, 42, 3, 43, -43, 26, -36, 30, 23, 35, -21, 30, 26, 12, 4, 17, 41, 7, -20, 47, -50, -27, 34, -30, 41, 4, -41, -41, -44, 2, -46, -7, -33, -1, -20, 4, -18, -21, -41, 46, -24, 11, -37, 26, -50, 48, -13, 40, -26, -23, 36, 21, -19, -2, -13, 25, -32, -44, -51, -24, -7, -51, 45, -33, -6, -46, 22, 9, -7, 16, 35, -12, -15, 12, -21, -48, 23, -5, -4, -42, 18, -45, 17, 8, -31, -40, -30, 35, -39, 9, -21, 1, -36, -6, 23, -22, -32, 6, 13, 43, -13, 6, 31, 21, -42, 40, 33, 41, -22, 5, -41, -45, 1, 48, -33, 15, -4, 0, -18, 18, 13, 18, 44, -24, 14, -7, -13, -15, -36, 17, 23, -32, -35, -8, 46, -24, 31, -3, -25, 42, -41, 23, -24, 25, -15, 41, 16, 42, -31, -3, -35, 47, -7, -21, 37, -7, 1, -37, -8, 2, 40, 22, 10, -3, -30, 31, 35, -29, 28, 22, -15, 30, -34, 41, -10, 34, -5, 19, -24, -27, -25, -36, -32, -4, 6, -48, 2, -10, 44, -14, -39, -40, 25, -28, -44, 23, -34, -53, 15, 16, -9, 46, 43, -2, -29, 0, 23, -33, 22, 24, -34, 32, -48, -10, 32, -3, 4, 32, 34, 1, -33, -28, -13, 35, -44, -21, 18, 13, -29, 39, -46, 4, 45, 15, 20, 24, 28, 26, -42, -25, -23, 19, -15, 18, -54, -39, 39, -1, 0, 19, 12, 41, -16, 21, -2, -25, 31, 4, 18, -40, -57, -29, 18, -35, -3, -45, -14, -38, 33, -8, -16, -2, -47, -56, 28, 17, -2, 32, 40, -5, -1, 38, -16, 8, 12, 6, 6, -41, 7, -38, 25, 1, 37, 33, 21, -22, -28, 61, -12, -6, 10, 37, -36, 77, 0, 17, -21, -12, -6, 6, 39, 18, -25, 24, -33, -15, -9, -12, -13, -41, -14, -23, 4, -38, 38, -7, 6, 0, -14, 16, -12, 20, 9, -37, -39, -37, 33, 20, 23, -39, 19, -27, -27, -15, 25, -16, -3, -43, 19, 4, -12, 21, -8, 5, 19, -27, -34, 6, -19, -20, -28, 6, -14, -43, -20, -35, -10, -46, -8, -6, 33, 21, 37, 12, 26, -32, 20, 48, 45, -34, -1, 15, -37, -10, 6, 16, -12, 16, 10, 41, -34, 11, 45, 34, 22, 33, -37, 33, -5, -37, -42, -7, 39, -25, 5, -26, -17, -44, -45, -30, -49, 43, 1, 18, 22, 4, 26, -37, -5, -21, -21, 30, 16, 56, -34, -3, -2, -36, -30, 28, -21, 18, 50, 65, 12, -7, -1, -10, -2, -20, 22, -41, -21, 30, 39, 48, 8, -22, 63, -35, -65, -25, -32, -49, -66, -57, 24, -20, -65, -5, -13, 23, -20, -22, 34, 19, 54, 7, 28, 8, 0, 24, -33, -52, -21, -43, 33, -8, -21, 56, 8, 31, 24, 26, 19, 1, 5, 4, -14, -36, 7, -35, -3, -2, -46, -8, -6, -4, 67, 18, -22, 32, 0, 4, -46, 28, 48, 24, -2, -40, -28, 13, 25, 29, 9, 37, -22, 29, -1, 12, 21, 29, 34, 33, 3, 23, -28, 21, 29, -22, 36, -11, -18, -8, -30, -23, -34, 18, -32, -26, 25, -2, 27, 17, -9, 2, -22, 72, 32, 32, 37, -46, 26, 8, -18, 8, -53, 15, 63, 27, -25, 53, 32, 18, 36, 34, 35, -10, -51, 38, 12, -46, -57, -7, -14, 42, 31, 20, -25, 38, 49, -12, -4, 45, -37, -19, -4, 11, 33, 28, 1, -2, -9, 28, -11, 39, -14, 8, -22, 16, 18, -15, 21, 8, -42, 31, 28, -3, 14, 34, 43, 3, 50, 44, -8, 5, 34, -19, 16, 13, -38, 31, -30, 13, 16, 36, 18, -7, -36, -30, 32, -4, 29, 30, -36, 0, -41, 37, -7, 56, 68, 61, 54, 0, 40, 1, 18, -5, 20, -13, 25, 3, -28, 18, 31, -17, -19, 27, 33, -55, -43, 18, -29, 9, 0, 23, 6, 16, 21, -46, -51, 16, 28, 11, -33, 15, 7, -32, -27, -33, 15, 10, -21, 10, -29, -25, -35, -12, -27, -38, -12, 41, -34, 22, -46, -5, 28, -24, -12, 50, 41, 48, -13, 10, 28, 27, -21, -34, -37, -47, -35, -25, -9, -17, -6, -14, -48, 17, -37, 26, -23, -40, 36, 26, 6, 7, -9, -40, 6, 2, -29, 34, 14, -19, 31, -20, -30, -22, -12, 10, 12, 2, -21, 36, 8, -27, -24, 7, -29, -45, 49, 38, 11, -31, -12, 10, -24, 21, 37, 0, 38, 14, 21, -43, 20, 7, -47, -65, 12, 3, -27, 47, 53, 3, -32, -54, 22, 13, 15, -21, 18, 2, -44, 21, 2, 42, 0, -21, 24, 18, -19, -28, 22, 43, 7, -7, 44, -12, -35, 26, -40, 22, -26, 23, -8, 1, -37, 48, -30, 31, -10, -52, 29, 25, -20, 27, -18, -28, -6, 46, 47, -23, -18, 23, -5, 13, 36, -5, 14, 12, -12, 24, 27, 52, 33, -52, -31, -17, 9, -12, 19, 35, 15, -6, 28, 2, -24, -70, 24, 24, -51, -47, -22, -38, -9, -18, -2, 73, 55, 19, 64, 51, 11, 6, -18, -51, -9, 41, 23, -35, 10, 31, 55, -23, -32, -15, -2, -21, -15, -37, -15, 30, -23, -30, 34, -46, -39, 17, -10, 31, 28, 4, 12, 7, -46, 62, -17, -41, 46, 25, 23, 2, -14, -37, 24, -28, -8, -38, 8, -35, -2, -33, 4, -17, -21, 32, 13, 6, -42, -30, 32, 5, 14, 47, 24, 33, -7, 21, -48, -95, 35, 62, -68, 10, 25, 20, -13, -9, 16, -8, -3, 12, 2, -14, -59, -31, -35, 39, 18, 30, 16, -20, -38, -43, 18, -6, 18, -19, -55, 8, -9, -46, 5, 5, 2, -46, -42, 9, 19, -37, 12, 1, 26, -2, 48, -13, 21, 16, 44, -7, -36, 21, -8, 34, -47, 19, 6, -28, -32, 6, -40, -41, 39, -23, 13, -21, -1, 3, 15, -43, 24, -1, 42, 39, 18, -44, -11, 29, 32, -7, -50, -16, 39, -30, -36, 7, 24, -19, 27, -10, -31, 29, 33, -31, 36, -45, -24, 36, -33, -28, 30, 19, 29, -41, 20, 15, -38, -47, -52, 8, 10, -31, 22, 7, -9, -17, -3, 23, 40, 13, 5, -18, 6, -6, -32, 15, -40, 4, -40, 17, 24, 11, 13, -3, 3, -5, -44, -20, -18, -18, -11, -11, 25, -8, 26, 33, -5, 10, -9, -49, -35, 22, -32, -32, -24, 41, 46, 24, 27, 33, 37, 1, -38, -44, 4, -31, -36, -40, 30, -8, -6, -41, 38, 4, 6, -27, 12, 38, -30, 42, -39, 4, -6, 36, -19, -9, -30, 1, -16, -3, -38, 19, 11, -46, 24, -11, 19, 23, 3, -14, -44, -8, -40, 33, 5, -23, -30, -20, 25, -47, 38, -10, 19, 38, 48, -15, -35, -34, -8, 33, 32, -7, 38, 7, 1, -35, 14, 45, -45, -15, -1, -37, -12, -2, -23, 0, -14, 31, -16, -37, 16, 14, 42, 44, 43, -37, 22, -19, -22, -19, 26, -45, 46, -7, -47, -17, 7, -32, 26, 43, 25, 20, -48, -19, 3, 17, 6, 26, 19, 23, 29, -25, -1, -47, -42, 31, 8, -32, 9, -32, 31, 19, -32, -4, 37, -16, 29, 34, -22, -12, 0, -38, 16, -42, 43, -11, -5, -33, 33, -28, 9, 11, 40, 9, 19, -26, 25, 25, 48, -36, 2, -4, 0, -14, 30, 8, 38, -5, -6, 11, 13, 3, 31, -40, 1, 4, -27, -9, 31, -25, -17, -35, -19, -33, -41, 29, 6, -29, -7, 30, 29, 36, -10, 24, 17, -39, 17, -30, -21, -25, -22, -15, 3, -43, 31, -17, 48, 43, -16, 22, 47, -43, 47, -30, 27, 1, 47, 32, -10, -16, -29, 6, -41, 46, -6, -22, -41, 8, 1, -50, 32, 31, -19, -5, -16, -8, -18, 27, -24, 32, 4, 23, 24, -30, -38, 5, -30, 23, -35, -3, 15, -25, -27, -32, 44, -36, 44, -6, 9, 43, 37, 25, -49, -2, -17, 10, -16, 33, -41, -46, -25, 4, 6, 29, 10, -44, -5, 41, -15, 13, -18, 9, -1, 34, -38, -40, -9, -40, 6, 7, 37, -47, -24, 5, 45, -27, -16, -30, 26, -12, 25, -29, 3, -46, 2, 43, -47, -28, -15, -16, -13, 31, -37, -5, 12, 18, -14, 45, 5, -25, -30, 19, -33, -5, 23, 3, 35, -12, -8, -34, 2, -43, -37, -8, -29, -45, -5, -42, -2, 38, -2, -25, 2, -12, -41, 23, -19, -18, -12, -38, -10, -18, 23, 37, -5, -47, -13, -4, 36, -17, -47, 36, 40, 25, -3, -30, 4, -10, 6, 30, 27, -34, -25, -9, 13, 35, 28, -2, -9, 27, -29, 3, -45, -35, 38, 43, 34, -44, -18, 17, 44, -6, 23, 18, -33, -6, -37, 14, 42, -30, -24, 3, -46, 47, -3, -26, 23, 31, -8, 16, 21, -21, -30, -17, 25, -47, -19, -19, 26, -37, -22, 24, -4, -46, -56, -8, 13, -3, 37, 6, 0, 9, 24, -6, -15, 13, -8, -11, -19, 0, 48, -1, 26, 32, -33, -42, -25, 27, -27, 32, 22, -4, 41, 5, 39, 49, -13, 2, 22, 17, -16, -41, -29, 19, 15, -37, 9, 36, 35, 3, -20, -11, 36, 12, -8, 40, -4, -8, -18, -25, 22, 9, -3, -44, 23, 7, -28, -7, 33, 9, -23, -24, -4, 34, 7, -24, -8, 9, -38, 11, 29, 20, 17, 13, -41, 7, -8, -40, -10, -25, 4, 16, 25, 44, 36, -1, -15, 34, -47, 25, -40, 13, -18, -3, -41, -39, 43, -32, 27, -18, 32, 12, 50, 0, 18, -3, 34, 3, -46, 35, -2, 11, 27, 5, 1, -31, -14, 39, -46, -16, 23, -18, 33, 7, 33, 43, -51, 0, -15, 12, 47, -23, -43, 48, 23, 0, -22, -22, -41, -12, -45, 17, -50, 4, 16, -7, -8, 47, 33, 10, -8, -15, 34, -29, 11, -7, -23, -30, 4, -37, -3, 17, 29, 30, -45, -46, 14, 14, -33, -2, 14, -29, -18, 16, 42, -20, 22, 30, -2, -13, -16, -13, 0, -9, 33, 29, 35, 35, 17, 26, -14, -10, -27, -3, -3, 41, 46, -46, -28, -22, -5, 28, -41, 15, -33, 20, -42, 12, 34, -10, -16, 11, 38, -12, 46, 25, 24, -4, -2, 0, -20, 31, -3, -19, -5, 33, 5, -4, 14, 28, -24, 45, -1, -18, -17, 4, -3, 44, 31, -26, 7, -34, -22, -58, 25, -20, 14, -27, -30, -37, 3, 34, 33, -48, -8, 24, -45, -20, -35, -32, -25, 28, -50, -15, 23, -25, -41, 0, 1, -32, -10, 26, 10, -14, 35, 37, 14, -12, -14, -26, -24, -8, -58, -18, -9, -40, 4, 12, -8, -1, -40, -12, -38, -51, -31, 10, 20, 45, -19, 25, 25, -20, -19, 17, -46, -17, 33, -31, 8, 7, -46, -2, -5, 42, -40, -44, -29, 36, -2, 29, 46, 11, -37, 33, 3, 9, 29, -23, -17, 21, 31, -40, 28, 16, -48, 37, 41, -4, 0, 42, 0, 28, -24, 9, -12, -19, -27, 22, -35, 48, -32, 38, -28, -44, 11, -1, 12, -39, -17, -37, -30, 34, 42, 5, 8, -25, -1, -40, 17, -2, -8, 8, -35, 31, -25, -23, 34, -53, 35, -16, -2, -17, 5, 4, 0, -3, 39, 8, 4, 21, 21, -37, -1, -15, -4, -49, 41, 23, 40, -38, 39, -23, -27, 22, 34, 34, -5, -24, 9, -46, -13, -23, 19, 15, -23, 20, -37, -1, -25, -4, -15, 1, 13, -53, 37, -26, 17, -22, 44, 57, -37, -4, 53, 2, 30, -2, 5, 0, -43, -37, -17, 23, -26, -12, 4, -20, -24, 3, -20, 35, -36, 44, -65, 26, -15, 2, 39, 20, 50, 50, 40, 38, 47, -32, -46, 44, 7, 22, -4, 42, -23, -34, -17, -6, -31, 20, -9, 20, -37, -32, -23, -37, 40, 39, -6, -21, -30, -24, -19, -30, 25, -33, -19, -16, 31, 28, 38, 5, -23, 30, -38, 29, -41, -48, -56, 30, -48, -45, 32, -25, 60, 15, 23, 34, -13, -29, -36, 26, -27, 37, 29, -5, -29, 25, 31, 35, 40, 21, -6, -41, 4, -5, 12, 37, 35, 1, -42, -16, -15, 26, -30, -45, -12, -23, 22, 34, -34, 37, -29, -24, 42, 33, -26, 41, -33, -41, 47, -42, -15, 3, 43, 3, -15, -20, 45, 33, 39, 4, -20, -41, -32, 12, -32, 20, -21, 35, -16, 34, -16, -25, 27, 33, -45, 9, 15, -4, -2, -32, -5, 2, -11, -17, -37, -35, -42, 6, -11, -14, -14, 29, 1, 17, 36, -38, 10, 43, 23, 3, -22, 24, -7, -12, -44, 9, 29, -28, 42, -32, 3, -25, 32, -20, 32, 40, 6, -34, 9, -7, 41, -24, -41, -1, -41, -17, -36, 24, 36, -48, -20, -7, -39, 14, 38, -39, 12, -6, -20, -4, 4, -27, -9, 24, -40, 33, 38, 9, -55, 25, 2, 32, 18, -28, 16, 31, 3, 8, 15, 5, -17, 27, 15, 37, 40, 20, -44, 21, 12, 17, 5, 6, -45, -5, -44, 27, 40, 42, 41, 2, -47, 40, -19, -45, -41, -32, 43, -26, 3, -9, -21, 18, 34, -35, 45, -1, -4, 25, 46, -44, -40, 22, 36, -12, 14, -16, 0, -23, 18, -1, -47, 17, -19, -13, -39, -11, -1, 23, -35, -31, -28, 37, -27, -12, -50, 16, -15, -16, -21, 1, -30, -8, 8, 43, -40, 12, 4, 23, 34, 47, 49, 6, 15, -27, -51, 2, -21, 27, 4, -42, -17, -38, 23, -3, -34, -23, -3, -19, 34, -43, 24, -35, 24, -27, -8, 44, -5, -13, -18, 11, 3, 45, -3, -18, -22, 39, -10, 14, -27, -14, -25, 12, 31, -3, -27, -47, -4, 20, -45, 14, -49, -7, -27, 17, 19, -10, 6, 8, 32, -16, -20, -45, -39, 6, -19, -2, 12, 22, -10, -35, 1, -41, 37, -43, 26, 7, 18, -28, -26, 16, 44, -23, -25, -27, 37, 45, 23, 18, 5, -29, 23, -21, 37, -9, -11, 12, 6, 38, 25, 22, -3, -39, 35, -29, -7, -40, 5, 13, -27, -3, 0, 22, 47, -18, 46, -19, -26, 8, 37, 16, -23, 37, -34, -7, -26, 18, 33, 39, 39, 25, -22, 12, -28, -32, -44, 8, 45, 35, -40, -35, 9, -13, -32, -42, -3, -25, -46, 16, -40, 35, -46, -35, 42, 43, 42, 46, 17, 8, 5, -33, 43, -2, 17, -38, -36, -14, -27, 6, -19, -43, -42, -34, 23, -6, 0, 5, 43, -25, -25, 7, 5, 28, -47, -10, -30, -16, 9, 17, 16, 25, 15, 4, 48, -46, -30, -43, 45, -36, -3, 43, 25, -50, -11, 44, 13, -6, 30, -25, -4, -17, -4, 30, 9, -1, -36, -19, -5, -31, -20, 5, -8, 27, -33, 13, -38, 51, -39, 44, 6, 36, 18, 13, 14, 14, -46, 2, 1, 45, -16, -40, -1, 28, -12, -1, -6, 9, 2, -25, 15, -16, -39, -44, -26, 33, 17, -2, 27, 34, -48, 12, 49, -26, 9, -8, 6, -31, 35, -28, -48, -23, 36, 19, -13, 24, -11, 5, 42, 12, 42, 17, -12, -11, 1, 21, 58, -2, -46, -27, -53, -22, -46, -33, 28, 4, 26, 0, 29, 25, -1, 20, 20, -31, 37, -39, -45, 3, -6, -13, -57, -5, -50, 22, -5, -43, -29, 26, -27, 27, 2, 32, -45, -23, -4, -23, 11, -1, -29, -21, -46, -1, -20, 33, -19, 34, 31, -23, -39, 42, 46, -18, -1, 31, -5, -26, -50, 10, 4, 6, 16, -23, -14, -30, -12, 1, 31, 16, 22, -17, -14, -17, -42, 37, -31, -45, 34, -35, 37, 40, -51, -11, -37, -28, -32, -1, -12, -15, 29, 8, -1, 28, -51, -9, 21, 48, -35, 32, -20, 54, -9, 34, -11, -20, -24, 46, 38, 30, 31, 22, 23, -23, -18, 37, -23, -31, -22, 32, 2, 40, 2, 41, -51, 12, 3, 30, -38, 8, -15, 8, 31, -24, 33, 16, -15, 24, -16, 6, 27, 8, -2, -36, -14, -13, 14, -35, -6, 20, -6, 48, 39, -5, -38, 37, 17, 48, -50, -23, -33, 41, 33, -52, -26, 69, -49, -21, -12, 30, 7, 38, 50, 9, 40, 43, 3, -30, 42, -19, -6, -38, 37, 37, 0, -53, -6, -10, -42, 17, -10, 19, 36, 59, -2, 19, 10, 35, 32, -15, 37, 0, 44, -20, -36, 41, -47, -10, -5, 16, 37, 5, 31, -38, 29, -22, 30, -33, -2, -7, -3, 32, 18, 4, 18, 19, 35, -22, 39, -30, 18, 20, 0, -1, -14, -1, -43, 2, 38, -8, 37, 27, -55, -46, 2, 9, -8, 16, -17, -25, 35, 14, 22, -26, 23, 69, -37, -7, 58, 40, 11, 90, 38, -2, 17, -27, 12, 17, -58, 3, -26, -22, 11, -4, 36, -13, 23, -38, -55, 6, -49, 19, 17, 6, -10, -48, 17, -4, -23, 30, 35, 3, -7, -49, -16, -4, 29, -37, -43, 3, 37, 31, 30, 25, -12, 40, 2, 29, 29, -26, 37, 27, -31, 15, 25, -7, 2, -32, -22, 7, -12, -24, 39, 3, -43, -38, 10, 25, -39, 28, 27, 20, -22, 47, -18, 22, 31, -35, -20, 28, -14, -32, 25, 42, 9, -6, 15, -11, 26, 3, 18, -25, -13, 8, -8, 10, 19, -32, 16, -25, -34, -22, -13, -45, -13, -38, -31, -44, -41, 11, -9, 38, -43, -23, 6, -36, -13, -42, 21, -13, 17, -32, -50, -46, 19, 9, -21, 1, -20, 9, -30, -37, 6, -22, 10, 0, 35, -69, -6, 34, 12, 31, 62, -6, -47, 7, -7, 3, -10, -23, 30, 21, 6, 28, 42, 41, 49, 10, -55, -39, 28, -12, 23, -31, -10, -43, -28, 28, -26, -51, -40, -39, -20, -15, 29, -37, -12, -32, 22, 31, -15, -43, -34, 39, 26, 11, 45, 18, -3, -4, 36, 42, 1, 30, -4, 41, -10, -58, -40, -46, 12, 24, 16, 42, -43, 25, 14, -27, -34, -40, -26, 45, 17, -25, -23, 24, -24, -40, 16, 24, -51, 25, 20, -4, -2, 35, 40, -49, -35, 17, -2, -35, -22, -19, 17, -24, -51, -33, -41, 22, -41, -13, 42, 10, -35, -37, -10, 1, 18, -45, -24, 49, -27, -20, 3, 32, -23, 31, -9, -27, 5, 29, 8, 1, -14, 50, -7, -33, 2, -3, -15, -41, 6, 44, -34, 20, -39, -27, 22, -38, 44, -30, -9, 1, 7, -9, 43, 42, 32, 18, 24, -45, -29, 7, -41, -46, 32, -6, -7, 38, 6, 1, -18, -6, -41, -25, 14, -38, 35, -15, -31, -30, 23, 7, 17, -38, 33, 5, -45, 37, -20, 12, -31, 26, 10, -22, -27, -8, -1, 7, -1, 2, 0, 40, -11, -28, -30, 74, -16, 27, -44, 25, 22, 41, 12, -1, 37, -14, -73, 9, 18, -2, 40, 1, -42, 24, -22, -37, 0, 49, -31, 9, -42, -73, -15, -14, 44, 13, -45, 39, -7, -19, -18, 14, 12, 13, -16, -24, -32, 34, 33, 38, -8, -5, 39, 8, -28, -12, -25, 6, 23, 3, 11, -2, -22, -14, -24, 38, 19, -36, -40, 49, 3, -34, 30, 51, 8, 7, -46, 31, 21, -17, 32, 53, 1, 37, -28, 39, -18, -1, -19, 11, 38, -11, -24, 20, -22, -17, 18, 14, 45, -9, -33, -35, -1, 8, 26, 50, -1, 34, -45, 22, -3, 16, 0, 9, -7, 45, -41, 34, 38, -11, 24, -10, 38, -29, 31, 46, -21, 38, 2, -16, -10, 10, 9, 23, -23, -38, -32, -44, -25, 29, -33, 39, 41, -44, 42, -18, 46, 43, 38, -16, 31, 65, -38, -2, -7, 34, -31, 25, -6, 28, 22, 25, 5, -47, 3, -1, -6, 4, 35, 21, -18, 0, -7, -14, 43, -30, 17, 39, 43, 40, 29, 40, 8, 6, 20, 26, -36, 5, -37, -35, 38, 9, 24, -15, 31, -5, 11, 45, 40, 25, 1, -36, 21, 6, 10, 13, -29, 19, -21, -32, -12, -19, 46, 17, -27, 28, 3, -36, 6, 32, 14, 42, 54, -25, 29, 12, -48, 37, 25, -1, -46, -19, 41, -25, -42, -38, -3, 14, -28, -11, 20, -2, -19, -15, -26, 56, -12, 43, 18, -3, 20, -33, 28, 63, 8, -31, -49, -20, 20, 28, 41, -2, -36, -49, -35, 3, 26, 33, 13, -6, -25, -15, -34, 36, 39, -18, -36, -46, -20, -30, -18, 20, 26, 9, -19, -54, -13, -42, -36, -9, 48, 8, 47, -25, 40, 32, -41, -10, -4, -38, -29, 26, 46, -18, -23, 17, 23, 52, -42, 4, 17, 10, 28, 38, -1, -40, -42, -6, 30, -1, 37, 4, -4, -13, 14, -32, -27, 22, -4, -1, -31, 16, 44, 33, 27, -27, -6, -38, 26, -54, -20, -2, -34, 24, -12, 9, 31, -40, 5, 35, -28, 42, 10, 43, 42, 5, -13, 43, 17, -9, -34, -61, 40, -23, -41, -27, -39, -2, 25, 18, -31, -24, 16, 34, -25, -6, -49, 42, -25, 26, -2, 42, 15, -23, 3, 41, -12, -12, -2, 20, -31, -34, -1, 20, 13, 22, 22, -13, -8, -45, 20, -18, -46, -27, -15, -25, -32, -14, 37, -2, -16, -32, 20, -3, 1, 39, -12, 52, -14, 27, -18, -5, 49, 28, 47, 8, -36, 14, 23, -43, 18, -33, -41, 20, -4, 24, -21, 12, -21, 10, -27, 21, 7, -32, 45, -5, 41, 24, 44, 11, 16, 28, -12, -40, -6, 23, 43, 10, 7, 0, 29, 4, 12, 26, -33, 15, 47, 30, -39, -39, -48, 45, 17, -40, -42, 27, -48, -32, 6, -37, -34, 9, 20, 17, -2, -30, -10, 5, 8, 1, 16, -23, -44, 49, 45, -44, 15, 13, -51, -29, -32, -48, 27, 28, 26, 44, -20, -33, 46, -46, 2, 22, -45, 3, -9, 26, 22, -58, -39, 8, -9, 48, -9, -46, 41, 11, 24, -24, 20, -35, 18, 13, 5, -17, 15, -1, 15, 35, 43, 28, 19, 23, -30, 11, -45, 1, 41, -4, -14, 3, 21, 30, 29, -10, 26, 28, 29, -25, 41, -6, -3, 37, -29, -32, -3, -17, -41, -12, 33, 1, 30, 37, -39, -50, -40, -5, -16, 4, 26, -18, -46, -12, 17, 47, 25, 14, 50, 38, 50, -5, 11, -32, -40, 45, -13, 10, 1, -39, 5, 13, 9, -1, 44, 17, 13, -21, 3, -6, 20, 31, -42, 37, 18, -50, -31, 49, 52, 12, -42, -22, -9, -61, -41, 8, 13, 27, 34, -8, -13, 5, -4, 45, 18, -30, -29, -19, -12, 31, 45, 3, 22, -2, -33, -14, 24, -48, 23, -8, -42, 9, -1, -15, 23, -13, -46, 23, -20, 19, -45, -32, 20, -9, -8, -11, -47, -23, 47, -42, 1, 24, -42, 39, -34, -40, -1, 25, 32, -32, 24, 58, -4, -9, -8, 10, 1, 6, -5, 22, 12, -36, -35, -12, -1, -1, 8, -43, -47, 21, 31, 30, -4, -25, 19, 10, 45, -34, 8, 21, -44, 10, -42, 43, -20, -44, -17, -18, -17, 48, -40, 44, -26, -16, -14, 38, 5, -39, -13, -3, -42, 42, -4, 28, 41, -5, -10, 38, 24, -3, -41, -25, 26, -47, -20, -28, -40, -47, 17, 3, 14, -23, -18, 1, -45, 29, -27, 46, 9, -17, 20, 15, -36, 9, 15, 39, -22, 34, -47, 32, -8, -2, 6, -44, -12, -42, -12, 10, -34, 15, -27, 21, 19, -14, 24, 18, 6, 35, -17, -50, 1, -39, -22, -20, 28, 14, -32, -37, -31, -44, 6, 43, 33, -38, -8, 18, -41, 24, 10, 35, -48, -35, 4, -17, 18, 27, -34, -24, 11, 43, -36, -23, -28, -1, -38, 11, 37, 9, 29, -38, -23, -34, 1, 42, -45, 27, -29, 11, -24, 29, -31, -39, 17, 43, -38, -21, 45, -2, -36, -27, 19, -13, 37, -4, -2, 36, -15, 18, -41, 5, -12, 34, 44, -23, -28, -23, -24, 16, -10, -25, -29, 5, -10, -40, -41, -28, 20, 25, -7, -39, -33, -6, -28, 40, 20, -23, -11, 7, 18, -5, 37, -8, -42, -33, 10, -21, 40, 7, 41, 21, 49, -11, 14, 11, 36, 9, -33, -25, 36, -16, 11, -33, -31, -2, -19, -49, -44, -33, 6, 20, 40, 19, 19, -19, 41, -27, 33, 24, -6, 27, 13, 23, 1, -9, -30, -30, 30, 11, -5, -10, 36, -19, 9, 0, -19, -1, -13, 2, 23, 18, -33, 7, 2, -23, -7, -20, -2, 47, 30, -17, 31, 7, 35, -11, 20, -7, -51, -36, 15, -50, -6, -23, 39, 15, -17, -2, 1, 14, 2, -39, 43, 37, 42, 17, 30, 15, -37, -6, -33, 12, -31, -6, 43, -30, -14, 45, -24, -43, -24, 45, 8, 10, 18, -23, -13, 37, 45, -15, 17, -19, 37, -18, 29, -34, 16, 23, 14, 32, 34, -32, 19, -11, 38, -33, 35, -5, -42, -32, -45, 45, -21, -43, 16, 17, -34, 1, -8, -31, -24, -8, 46, 21, -9, 10, 3, -10, -4, 27, 45, 35, -25, -33, -3, 41, 38, -51, -46, 36, 30, 46, -30, -17, -32, -33, 4, 46, -10, -37, 19, -15, 25, 29, -27, -4, 12, -13, 20, 30, -46, 15, -32, -9, 16, 25, -15, -21, -11, 6, 41, -25, -35, -18, 5, -37, 21, -52, 5, -4, 14, -16, 8, -8, -29, -35, 24, -30, 4, 33, -22, 10, 46, -42, 23, -36, -45, 19, 16, -34, -13, 26, -42, 24, 45, 5, 17, -47, 19, 45, 12, -45, 24, 9, 1, -28, 36, -23, -5, -27, -33, -48, -36, -26, -33, 26, -31, -5, -44, 44, 6, 15, -13, 42, -6, 42, -32, 39, 27, 14, -11, -28, -20, 36, 12, 8, -2, 3, 22, -35, 20, -24, 34, -5, -35, 45, -41, -32, -10, -5, -50, 14, -27, -39, -39, -24, -17, -23, 21, 14, 43, -10, -33, -16, -10, -34, 23, -27, -38, -2, 42, 17, -22, 15, -41, -36, -4, 31, -35, -2, -34, -32, -31, 21, 47, -28, 16, -30, 47, -14, -13, 17, -13, 28, 3, -27, -45, 35, 17, -3, -8, -24, -19, -2, 22, -38, -20, -49, -8, -14, -6, 14, 14, -36, -22, -4, 7, 12, -41, 21, 6, -8, 40, -13, -16, 21, 30, -12, 11, -23, 11, 10, -49, -7, 35, -14, 8, -45, -36, 18, 16, 24, -20, -23, 36, -3, 21, 28, 1, -17, -40, -15, -34, 2, 9, -28, 33, -7, -47, -43, 38, -5, -19, -26, -12, 27, 2, -11, -27, -36, 4, 17, 41, -28, 34, -55, -86, -2, 26, -60, -31, -29, -20, 10, -11, 37, -23, -3, -44, -15, -16, 22, 42, 6, -28, -35, -44, -52, 16, 21, -18, -47, -22, 14, -34, 33, 41, -15, 4, -1, 19, -18, -19, 25, 16, -2, 25, -18, 23, 0, -26, -50, -17, 7, -9, 35, -26, -52, -22, 43, -27, -12, 8, 2, 11, -43, 26, 33, 3, -9, 37, 11, 19, 0, -3, 41, -37, 18, -39, -26, 4, -33, 30, 39, 3, -3, 48, 21, 21, -14, 4, -23, 47, -21, -45, -66, -8, 26, 37, -5, 22, -12, 21, -37, 48, 28, -20, 14, -39, -27, -36, 29, 13, 4, 27, -37, 55, -12, 4, 55, 26, -16, -17, 8, 17, -34, 35, -39, -18, -24, 16, -31, 52, -9, 10, -39, -38, 64, 5, -6, 4, 0, 56, 65, -32, 23, 45, 14, 31, -21, 26, 9, -12, 25, 18, -27, 34, 8, 6, -37, -9, 35, -32, -32, 27, 24, 30, 40, 3, 36, 24, 32, 5, 42, 52, -13, 22, 10, 13, -7, -37, 33, -43, 31, -3, 32, -9, -41, 57, 55, 28, 8, -14, -33, 6, -17, 11, -4, 6, 14, 31, -40, -16, -4, 6, 24, 25, 38, 0, 37, 8, 20, 9, 65, -35, -28, 48, -26, -52, 31, -9, -42, 15, -32, -10, -17, 6, -32, -32, 7, -7, -36, -34, 11, -55, -15, 0, 22, -20, -40, -6, 11, -39, -63, 3, -2, -31, 1, 8, -47, 23, 37, -16, -5, -33, -33, 3, -39, 45, 56, -4, 50, 35, -25, -24, 48, -42, 26, 37, -31, -18, -14, -28, 22, 35, -6, 16, -11, -24, 23, -2, 0, 32, 12, 9, 31, 46, -39, -18, -17, -11, -33, 40, -20, -40, -21, 21, -25, 9, -14, 16, 41, -43, 12, -44, -31, -36, 0, 40, 39, 47, 30, 9, 0, -18, -46, 22, -36, 38, 9, -27, -18, -37, 29, 39, 7, 42, 3, 1, -63, -25, 13, 33, 51, 32, 7, 39, 20, -34, 37, -46, -10, -6, 9, -34, -30, 7, -4, -40, -12, 30, -25, 34, 14, -69, 48, -20, -40, -15, 35, -37, 2, -9, -9, -37, -26, -26, -30, -57, -32, 19, 8, 7, -4, 1, -23, -81, -3, 62, 2, -34, -15, -10, -13, 13, -45, -21, 34, 29, 39, 33, -38, -2, 17, -35, 34, -10, -4, 30, 32, 46, 49, -41, -13, -32, 36, 50, -26, -18, 16, -60, -25, 20, -4, 19, -5, 9, 26, 20, 49, 0, -13, 28, 57, 15, -2, -33, 36, -38, -3, -2, 50, 23, 45, 17, -5, -7, 53, -10, 30, 10, 25, -8, 55, 28, 28, 15, 106, 23, -5, 1, 3, 49, -2, -15, 24, 16, -39, 16, -34, -18, 24, -24, 20, -20, -36, 29, 20, -5, -1, 36, 59, 12, -61, -8, -26, -16, 12, 11, 24, 10, -30, -36, 41, 35, 1, -20, 37, 8, 35, -2, -14, -40, 50, 58, -13, 35, 22, -32, 1, 12, -22, -12, -4, 0, 11, 2, -7, 31, 23, -44, 31, -56, -8, 43, -17, 36, -3, 2, -3, -40, -29, 41, -14, 39, 31, 13, -22, 57, -7, -47, 37, 49, -23, -5, 33, 11, -50, 16, 0, -53, 12, -45, 45, 19, 43, 39, -7, -19, -10, -24, -12, -23, 42, 8, 26, 18, 26, -48, 10, 46, 31, 20, 10, -19, 34, -32, -10, -16, 1, 15, 42, 8, -25, -4, 10, 30, 14, -13, 15, -38, -4, -49, 16, 33, -34, 53, -53, -54, 37, 25, -46, -21, -38, 41, -34, 47, -44, 12, -9, -41, 0, 47, -28, 23, 26, -42, -42, -24, 34, -39, 4, 15, -24, -29, 28, -12, -4, 41, -35, -44, 6, 11, -27, 40, 6, -3, 27, -6, -27, -48, -16, 28, -13, 28, 11, 14, -42, 21, -23, -10, -22, 2, -4, 49, -51, 41, -25, -19, -52, -12, 8, -49, 32, 68, -11, -43, 8, -49, 7, -6, -20, 1, 46, 21, 42, 8, 34, 6, 31, 24, -48, -67, -13, 34, 44, 11, 4, -23, 9, -9, 18, -38, -45, 76, -6, -24, 2, 37, -19, 54, -17, 15, 10, -5, -15, 26, -92, -5, -13, 46, -41, -12, -10, -27, -10, -5, 49, 21, 51, 58, -15, 38, 34, 50, -30, 12, 8, -14, -11, 92, 11, 5, -8, -44, 16, -13, -37, 43, -22, -41, -34, 19, -45, 11, -5, 28, 41, -46, 10, -15, 11, 27, 34, -37, -29, -5, -13, 14, -20, 21, 21, 13, 40, -13, 4, 9, -30, 32, -10, 21, 32, 6, 35, -66, 29, 41, -36, 14, -20, -8, -42, -35, 2, -48, 25, 39, 5, -10, -20, -12, 13, -42, 4, 46, 20, 3, 33, 27, -6, -15, -11, -16, -36, 43, -48, -6, -26, -14, 37, -2, -2, -37, 37, 13, -41, 18, -1, -16, -34, 18, 30, -13, 46, -58, -29, -7, 20, -13, 38, 15, 5, 3, -24, -32, 47, -26, -3, 68, -36, -39, 12, 14, 25, 23, 16, -24, 11, -41, -27, 46, 44, 1, -45, 35, -32, -13, 4, -6, 12, 24, -19, 21, 27, -37, -2, -54, -25, -28, -2, 48, -35, -29, 45, 30, -12, -15, -21, -1, -15, -49, 24, -32, 7, -4, 3, -48, 28, 3, -32, -38, 6, 11, -4, 49, 10, -17, 4, 33, 17, 22, 2, -15, -30, -36, -9, -29, 61, 19, 32, 26, 0, 38, -48, 24, 0, 20, 24, -1, -25, 35, -7, -16, 47, 23, 0, 9, -14, 0, 6, 5, 22, -31, 33, 13, 30, 11, 3, 46, -37, -26, -9, -9, -38, -14, -7, 8, -32, 33, 54, -26, -53, 45, 8, 19, 14, -25, -11, -64, 1, 2, 13, 22, -50, 26, 38, -3, 27, -13, -65, -28, -28, 8, 0, -31, 46, 7, 12, 23, -26, 43, -47, 14, -20, -10, -29, 36, -58, -6, 41, -43, 85, 41, 20, 31, -35, -27, -26, 54, 0, -40, 46, -14, 46, 34, 36, 38, 17, -17, 17, -31, -55, 41, -23, 29, 41, 35, 5, 30, -34, -33, 18, 8, -1, -31, 9, 15, 50, -4, -47, 12, -7, 21, 2, 44, 22, 8, 69, 16, -15, -3, 37, 22, -23, 5, 59, -13, 34, 57, -86, -22, -51, 18, -2, -11, -31, -26, -7, 33, -45, -52, 30, -50, 7, -34, 43, 6, 9, 28, -15, 28, -11, 42, -7, 10, 18, 20, 13, 13, 50, 12, -15, 20, 14, -21, -26, -26, 4, -4, 44, 65, 13, 58, 100, -25, 7, -47, 10, -2, -17, -4, -27, -28, -10, 44, -23, -44, 30, 29, -23, 15, -26, -18, 9, 1, -54, 11, -50, -24, -13, -66, -28, 31, 28, -12, 38, 92, -24, -3, 19, 21, -31, -40, 19, 1, -5, -2, -11, -16, -4, 2, -39, 8, -3, 33, -54, 41, -49, -30, -13, -14, 6, -42, 17, -44, -3, 27, 39, -38, -3, -32, -49, -8, 0, -17, -42, 33, 20, 13, 35, 38, 9, -34, -55, 31, 14, 2, -15, 10, 30, 31, -46, -30, 13, -34, -30, 39, -53, -44, -14, 19, 8, -45, -40, 37, 7, -2, -48, -24, 22, -45, 9, 16, 45, 29, 33, -38, -36, 4, 38, 4, 15, -14, 8, -35, -9, -11, -38, 15, -16, -36, 1, 13, -3, 8, -33, -24, 28, -50, 1, 29, 20, -25, -32, -12, -7, -35, 15, 26, 26, 12, -30, -24, -58, 33, 40, -14, -58, 9, -13, 19, -39, 28, -12, -15, -23, -4, 22, -32, -3, -21, 52, -54, 9, 66, -36, 32, 13, 23, -28, 29, -26, -27, 23, -13, -27, -41, -9, 47, -16, 22, 19, 0, -8, -32, 24, -24, -19, 48, 9, 17, 15, 11, -40, -39, -18, 47, -22, -16, 10, 7, -21, 0, 35, -49, -33, 34, -33, 3, 20, -22, -11, -11, 13, 13, -16, -15, 43, -24, 29, 19, -38, 7, 4, 57, 38, -22, 52, -8, -7, 0, 20, 13, -45, -33, -45, 39, 25, 44, 10, 20, -40, -28, 6, -20, -43, 22, -18, 33, 32, 21, -28, -4, -10, -36, 49, -23, 10, 11, 19, -59, -60, -10, 17, 28, -17, -26, -14, 4, -39, 42, -29, -28, 0, 13, 6, -8, -17, 17, 6, -42, -31, 21, -4, 21, -26, 1, 45, -12, 8, 48, -32, 40, -23, -27, -31, -35, -36, -17, 3, 41, -36, -39, 21, -23, 6, 22, -47, 15, -1, 22, -17, 4, -24, -5, 41, 24, 19, -13, 14, -28, 46, -6, 3, 43, 4, -21, 14, 5, 19, -31, 2, -2, 32, -17, -25, -27, -31, 5, -14, -49, -32, -4, 40, 11, -35, 40, 35, -20, -42, 22, -6, 4, -32, 26, 34, -22, -45, 36, -41, 22, 39, -38, -40, 35, 11, 24, 35, 37, 43, -11, 26, -23, -30, -28, -25, -7, -43, 17, 6, 35, 43, -1, -7, 37, 18, 30, 43, 4, -39, 9, 46, -1, 0, 52, 22, -11, -13, 35, -18, 14, -12, -48, -4, 5, -9, 47, 28, -32, 20, -10, -1, 37, -25, 12, -11, 43, 47, 40, 47, 41, -21, -46, 15, -44, -10, 27, -20, -31, -57, 32, 16, 32, -53, -32, -15, -35, -35, 46, -42, -34, -10, -12, -45, -27, 8, 12, 6, 9, 42, 38, -38, -41, -5, 42, -17, 31, 42, 45, 8, 46, -1, 30, 35, 27, 44, -31, -9, -38, -12, -23, 39, 5, 29, 9, 35, 14, -44, 9, 29, -41, 22, 18, -16, 8, 9, -17, 24, -32, 38, 40, 48, 24, -39, -26, 21, -24, -9, -7, 37, -13, -5, 40, 40, 34, -39, -14, 31, -30, 18, -34, 40, -41, -26, -14, -37, 29, -27, -43, -18, -45, -24, -45, 15, 13, -4, 3, -31, 33, 34, 17, 10, -15, -34, -45, 15, -42, 5, 12, 13, -14, -42, 8, 3, 18, -3, -40, -18, 9, 3, -48, -29, -16, 4, -19, 22, -18, -53, -41, -18, 42, -28, -2, -25, 33, 12, -17, -24, -32, -23, -45, 29, 35, 49, -45, -32, 28, 30, 23, 36, 29, 9, -2, 12, 47, 3, -25, -47, 42, 6, 11, 23, 31, -38, -30, 0, 41, -16, -24, 40, 0, 13, -5, 38, -23, 38, -2, 19, 21, 28, 17, 48, -45, -38, -43, 14, 21, -45, -28, 17, 19, -45, -17, -1, 15, 17, -38, 7, 0, -13, -32, 16, 24, -41, -16, 44, -33, -46, 46, 1, 10, 25, -23, -1, 22, -25, 30, -18, -44, 27, -32, -16, -31, 12, 30, -18, 43, 44, -7, 13, 39, -16, -21, -48, 27, 20, 6, 12, -39, -9, 11, 10, 1, 11, 1, -3, 39, -6, 17, 20, 25, 14, -33, 12, 34, 8, 24, -43, 4, -9, -46, -27, 46, 32, 18, -10, -47, -23, -22, 13, -31, 4, -22, -25, -28, -35, -37, 4, 3, -10, 13, -27, 27, -23, -15, 32, 29, -35, 0, -36, 36, -15, -7, 20, 3, 37, 17, 2, 46, -20, -4, 17, -8, -13, 32, 28, -31, 9, -8, 2, 9, 37, -48, 22, -38, 13, 26, -8, 36, -35, 12, -40, 19, 26, -45, -10, 21, 4, 9, -20, 4, 29, -37, -42, 25, -24, 44, -26, 3, 33, 25, 40, 26, 27, 47, 19, -33, -40, 0, 21, -18, 21, -26, 7, 17, -43, 19, -38, -22, 34, -31, -4, -39, -29, -27, -13, 40, -47, -31, 35, -49, 20, 4, -28, -34, -6, 37, 14, -43, 23, 31, 8, -46, 16, 32, -6, -34, -13, -45, 36, -28, 45, -29, -18, 12, -40, -18, -22, -17, 27, 18, 20, 24, 35, 7, -46, 9, 30, 22, 35, 38, 43, 42, 12, -16, -4, 2, 26, 9, 33, 32, 32, -42, 25, 31, 30, -9, -33, 14, -3, 11, -6, 4, 33, -3, 9, -28, -22, -15, 2, 36, 21, 19, -10, -17, -23, 6, 16, 29, 7, 34, -18, 41, -13, -22, -29, -36, -34, -30, -10, 39, 6, 25, -10, -15, 33, 4, -1, 8, -12, -20, 35, 20, 45, -36, 45, 24, -36, -33, 22, 7, 9, -21, 1, 47, -27, -41, -16, 20, -43, 18, 22, 5, 34, 9, -7, -40, 32, 10, -24, 32, -16, -16, 4, -17, -23, 39, -32, 39, -21, -2, 16, -8, -33, -32, 38, -34, 38, -47, -26, 19, 22, -8, -14, -45, -29, -45, 18, -33, -21, -44, -28, -21, 37, -6, -26, -47, -24, -30, 11, -21, 10, 11, 1, -37, 16, 45, 25, 23, 36, 6, -42, 45, -32, 17, 14, -32, 33, 12, -39, 0, -21, 41, -43, -14, 4, -25, -11, -29, 20, 36, -1, 28, -28, -12, 5, -23, 6, 26, 9, -17, -22, -34, 12, -2, -30, -33, 27, -24, -9, 17, 11, 52, -30, 42, 27, -33, 9, 38, -17, -39, 44, 2, -17, -9, -24, -4, -27, -15, 33, -14, 6, -21, 21, 10, 20, 28, 12, -17, 7, -34, -25, -27, -13, -49, -30, 19, 37, -28, 12, 20, -15, 25, -31, -14, 39, -47, 3, -38, 2, -48, 13, -22, 36, -48, -14, -23, 29, -35, -27, -28, 38, -9, -4, 21, 10, 31, -49, -4, -33, 10, -20, 34, -42, 20, 25, -19, -22, -8, -12, -10, -43, -10, 29, -1, -16, -40, -21, 45, -50, -12, -48, 15, 43, -41, -28, 18, -46, 9, -34, -26, -39, 8, 43, 15, 10, 44, 0, -27, 41, -19, 47, -34, 23, 45, 44, 4, -9, 4, -44, -5, -10, -3, 27, 24, -7, 27, 17, 37, 4, -32, 35, -30, 16, -8, 13, -44, 5, 16, 3, -45, 5, -10, -45, -14, 13, -11, -40, 3, 25, 30, -14, -32, 28, 40, 23, 12, 11, -31, 5, 20, 48, 6, 12, 39, 41, 43, 19, -28, -5, -42, 17, -41, 17, 22, -32, 32, 45, -36, 44, 34, 23, 47, -2, 31, 20, -31, -8, -15, 48, 21, 32, 45, -21, -28, 19, 37, 36, 19, 77, 22, -52, 30, -1, -8, -6, 22, 42, -12, -1, -19, -10, 33, 43, 35, -8, 44, 10, -28, -35, 1, -12, 37, -2, 11, -25, 7, 28, -26, 19, -21, -1, 37, -4, 5, -25, 26, 27, -6, -36, 0, -29, 21, -17, -25, 5, 31, -42, 12, 18, -1, -23, -7, 31, 25, 26, -21, 27, 34, 33, -8, 14, 38, -7, 37, 40, -4, 16, 44, -14, -9, -6, 22, 36, 26, 7, 4, -33, 8, 41, 4, 23, -17, 18, -47, -13, -3, -33, 4, 70, -3, 8, 6, -57, 27, -18, 26, 32, 0, -49, 38, 3, -29, -2, 9, -22, 26, 14, 5, 55, 34, -39, -45, 15, -35, 0, 14, -33, 18, 29, -37, -19, -35, -11, 25, -33, -24, -27, 36, 24, 7, 50, -32, -55, 47, 52, 5, 57, -10, -37, -23, 29, 3, -8, -21, -21, -10, 20, 23, -24, 1, -4, -19, 21, 5, -45, 21, -33, 3, 7, -36, 3, 20, 11, 26, -10, -3, -3, -1, 26, 17, 11, 17, 11, -41, -20, -38, -29, 40, 1, 45, 15, -15, -27, -44, -31, -25, 35, -56, -23, -46, 11, -26, 0, 46, 37, 19, 3, 7, -47, -18, -35, 2, 47, 45, 40, 18, -40, 17, 18, 20, -32, 5, 19, -19, 8, -9, 51, 29, -48, -3, 4, -23, 15, -23, 25, 28, 15, -34, -19, 0, -18, 9, -21, -29, -15, 19, -40, 20, 8, 22, 31, 28, -51, -38, 14, 8, 9, 15, -6, 16, -37, -7, 0, 28, 9, -17, -32, -39, -30, 2, -27, 4, -19, -15, 16, 2, 11, -29, 9, -42, 29, -53, -42, 46, -44, -44, -18, 44, 0, 48, 7, -18, 39, -17, 48, -6, -32, -41, -41, 22, 0, 36, -24, -11, 44, -17, 10, -37, 38, -47, -20, -25, 28, -40, -2, -32, -29, -29, 3, 26, 12, 36, -4, 22, -2, -36, 3, -17, 6, 13, 0, -24, 25, -36, 7, -17, -9, 8, 42, 38, -11, -39, -16, -16, -10, 7, 29, 11, -5, -25, 42, -40, 23, -5, -13, 24, -14, -5, 33, -9, 43, 18, -6, 38, -19, -17, -32, -9, 23, 19, 38, -9, -24, -19, 44, 41, 21, -24, -11, -1, 28, 10, -39, 34, 13, -19, -2, 28, 15, -25, 12, 20, -15, -9, 34, -14, -12, 13, 8, -2, -48, 6, -28, 31, 14, 46, 14, 58, -11, -30, 14, -22, -18, -41, -52, 19, -13, 19, 34, 14, 14, -6, -11, 2, 19, -31, 15, -9, -9, 14, -14, 14, -40, -16, 21, 14, -17, 42, 14, -40, 7, -31, -27, 3, -52, 1, 33, -17, 13, -26, -46, -4, -6, -11, 6, 33, 30, -13, -7, 58, 34, 55, 25, -41, -7, -56, -62, 41, -1, 40, 0, -34, -23, -36, 3, -4, -19, 20, 28, 30, -17, 30, -31, -53, -37, 37, 36, 28, 25, 35, 21, -16, 47, 34, 6, -34, 40, -47, -5, -7, 0, 8, -9, -29, 7, -7, 46, 21, 1, -1, -51, -36, 44, 19, 24, -2, 60, -17, 31, -22, 35, 0, -23, 48, 43, 26, 47, 39, -9, -15, 16, 29, -39, -16, 16, 2, 2, -1, -12, 20, 43, 22, 2, -6, -2, 12, 17, 16, -38, -21, -26, 44, 36, -5, -6, 18, -9, 25, -22, 4, 14, -47, 27, -20, 34, -26, -47, -28, 40, -34, 26, 36, 42, 21, 11, 2, 21, -23, -46, 44, -14, 43, 46, 5, 3, -10, -5, 10, 24, -27, -46, -7, 45, -14, 37, -20, -40, 20, -35, -36, 40, -44, 32, -12, 10, 4, -46, 44, 3, -4, -16, 29, 32, -19, -8, 44, 4, 11, -6, 22, -37, -26, -22, -43, -30, 36, 14, -7, 30, 23, -18, 10, -5, -21, 26, -28, -21, -15, 44, -34, -41, 51, -23, 17, 42, 53, 20, 45, 38, 45, 26, -32, 8, -29, -51, -21, 13, 64, 12, 6, 50, 17, 24, -10, -6, 22, 20, 26, -29, 0, 9, -9, 0, 46, 13, 11, -45, -47, -13, -44, -42, -45, -32, -17, 40, 51, -31, -48, -20, 24, 31, -20, -8, 45, -40, 39, -12, 52, 11, -11, 20, -22, 2, -28, 26, -18, -3, 16, -8, 0, -1, 33, -18, -34, -17, -13, -29, 48, -4, 31, -6, 15, 28, -15, 30, -8, 32, -34, 6, -49, -9, -29, 43, 44, -40, 15, 31, 3, -32, 24, 10, 39, 4, -22, 24, 44, -15, -30, -20, -43, -15, 17, 36, -23, 0, -7, -46, 3, -54, -30, 9, -41, 25, -34, 36, 32, 13, -13, 11, 29, 7, -5, -18, -15, 17, -30, -15, 4, -37, 41, -6, 51, 44, 9, -35, 3, 38, -7, 23, -45, 40, -28, -41, 24, 31, 1, 15, -12, -39, -36, 9, -21, 21, -50, 29, -24, 26, 4, 38, 9, -10, 45, -11, -37, 53, 20, 40, 29, -25, -27, -9, 38, 32, 1, -29, 17, 46, 45, 30, -51, -30, 10, -10, 20, 37, 24, 44, -16, 3, 33, 28, -19, 32, 33, -24, -9, -39, 5, -12, -23, 11, -37, 36, 24, 17, -43, 6, 10, 19, -6, 15, 2, 45, -20, -43, 7, 6, 16, -44, -17, -4, 25, 3, 25, 18, -9, 53, 45, 48, 41, -37, 0, 21, 46, 15, -9, -22, 39, 41, 22, -6, 8, 19, -41, 19, -4, 33, -40, -34, -29, 54, 49, -40, 26, -28, -5, 10, -18, -46, 16, -34, -50, 22, 2, -14, 5, 24, -23, -6, 43, -27, -39, 11, -12, 33, -36, 7, -14, 2, -21, -19, -29, 33, -25, 5, -21, -36, 26, -44, -20, -5, -13, 39, 43, 26, -12, -9, -41, -36, 28, 43, -35, 32, -26, -9, 13, 16, 48, 9, 41, -7, 46, 48, 27, -36, -13, 30, -29, -10, -28, 12, -16, -26, -20, 30, -9, -31, 11, -22, -21, 12, -2, 29, -11, -29, -19, -26, -10, 23, 14, -12, 16, -14, -49, 26, -42, 18, 34, 21, -40, -18, 5, -22, -2, -13, 6, 23, -46, -13, 0, -35, 34, -17, 16, -29, 26, -38, 17, -4, -34, -4, -7, -17, -31, -22, -41, -22, -2, -35, -5, -45, 32, -11, 25, -15, 14, -22, 43, -19, -41, -10, -39, -33, -38, 2, 4, 5, 47, -47, 31, 55, -6, 52, -1, 59, 39, -34, -13, -21, 13, -29, -10, 0, -20, 40, 35, -12, 31, 9, -26, -52, 25, -40, 26, 13, 14, 24, 1, 8, 24, -39, 37, 9, -13, 30, 18, 44, -40, 40, -15, -8, 61, 61, 41, -15, 36, -50, -42, -38, 14, -10, -47, 13, 22, 6, 39, -3, 8, -16, -57, -57, 30, 21, -39, -39, 33, 37, -33, -30, -23, -4, 22, 22, -9, -39, -39, 19, 29, 39, 16, -47, -8, 42, 11, 12, 2, 25, -43, -3, -18, 42, 5, -7, -17, 45, -12, 41, -44, -37, 6, -35, -18, -44, 15, 36, 12, -13, 31, 2, -27, -60, -7, 32, 60, 64, -9, 6, 29, -25, 26, -48, 2, 30, -16, -10, -38, 33, -34, -39, 39, 5, -35, -20, -39, -17, -13, -44, -1, 3, -43, -2, -45, 12, 32, 30, -3, 1, -40, 21, -42, -8, -15, 23, -29, 35, 19, 39, -41, -6, -37, -7, 15, -13, 35, -37, 22, 34, -47, 32, 3, -20, 47, -12, -4, 27, -20, 43, 1, -19, -36, -51, -16, 16, -58, -60, -4, 66, -25, 0, 16, 10, -16, -33, -13, 21, 40, -43, -34, -40, -5, -26, -49, 21, -21, -25, -3, -10, 27, -1, -28, 3, -34, -51, -45, -9, -36, -35, -7, -8, 22, -26, -46, -41, -5, -12, -46, -7, 14, -1, -28, 24, 37, -26, -6, 8, 23, 50, -18, -52, 10, 22, 9, -28, 10, -34, -42, 20, -28, -23, 47, -41, 18, 6, -16, -25, 22, 2, 6, 27, 6, -12, -14, -18, -15, -43, -38, -14, 6, 7, 6, 43, -41, -28, -2, -1, 42, 51, 4, -34, -29, 9, 19, -5, 16, 31, 23, 29, -30, -65, -28, -20, -48, 11, -35, -11, 49, -51, -9, 6, 46, -30, 64, 8, 28, -37, -15, 7, -17, -30, -6, -6, -39, 3, 20, 34, -27, -14, -46, -36, -24, 17, -16, 24, 48, 39, -3, 23, 17, -27, 43, -15, -23, 39, -48, -3, -43, -36, 33, -21, 19, -44, -15, -21, -43, -44, -32, -67, 23, 29, -16, 20, 20, 25, 12, 37, 35, -2, 43, 2, 3, 24, 26, 19, 7, 7, 46, 19, -9, -5, -10, -38, 36, 21, 37, 23, -27, 5, 33, -7, -13, 37, 16, 43, -1, 34, -41, -40, -41, -29, 27, 20, -28, 6, 38, -13, -43, -42, -4, -7, 46, -30, 31, -11, -16, 4, 42, -34, -12, -28, -35, 36, 29, -28, -32, 7, 28, -23, 40, -24, -45, 48, -31, -19, 21, -4, 24, 54, 42, -18, -4, 28, 13, -20, 48, -22, 2, 48, 15, 33, -16, -12, 10, 30, 12, 11, 13, 42, 3, -23, -33, -15, 33, 15, -8, -17, 3, 46, -30, 3, 8, 56, 22, -46, 5, -16, 26, -26, 6, -31, 13, -45, -42, -21, 42, 30, 50, 7, -15, -28, 52, -2, 24, 11, 66, 8, -23, 3, 19, -28, 25, -27, -42, 29, -31, 21, 38, -7, -34, 44, -26, 40, -2, 41, 31, -11, -44, -40, -2, -13, 45, 30, -17, -1, 30, 20, -37, -10, -12, -26, -79, -2, -3, -9, -1, 32, 30, 25, 16, 31, 42, 4, -43, -26, -20, -46, -2, -9, -7, -48, 17, -4, -9, 28, -44, -45, 10, 19, 48, 31, 14, -17, -41, 3, 5, 0, -41, -2, -15, -1, -46, -16, -14, -52, -37, 13, 23, -23, 4, 20, 7, 28, -3, 42, 30, 24, -14, 39, 25, -28, -18, -25, 12, -24, 40, 8, 12, -5, 42, -33, -42, 36, -19, -31, -46, 13, 44, 27, 22, 47, 7, 41, 8, 43, 15, 4, 50, 40, 20, 39, -12, -20, 41, -8, 34, -35, 7, 38, 33, 17, 38, -1, 55, -30, 34, 36, -13, 1, 10, 26, 38, -37, -14, -45, 5, 43, -37, 9, -23, -19, 27, 23, 11, -14, 21, 32, -14, 15, 18, 8, 17, -23, -10, -34, 25, -8, 45, 43, -46, -24, 26, -9, 3, -17, -13, 20, 27, 2, -45, 0, 15, 4, -15, -20, 30, -10, 7, 44, 37, 0, -49, 14, -22, 34, 4, -4, -46, 29, 18, -14, 7, -19, -42, -50, -6, -10, 34, -9, 19, 32, 6, 3, 49, 27, -47, 55, 41, -12, 35, -39, -18, 60, 37, -64, -12, 87, 34, 5, 2, -8, 21, 15, 2, 31, -19, -49, 28, -7, -23, 30, 51, -33, -47, -13, -22, 24, 13, -34, 25, 10, -38, -4, 15, -11, -22, -13, 5, -19, 19, 10, 22, 4, 43, 24, -44, 18, 26, 54, 40, -16, -23, -18, 4, 20, -19, 27, 34, -4, -34, 2, -7, 32, 25, 33, -40, -18, 22, 62, -36, -16, 13, 31, -18, 25, 14, -17, -32, 13, -39, 4, -45, 20, 28, -40, 4, -34, -10, 57, 6, 3, 17, 17, -3, 15, -2, 11, -37, 16, 44, -9, -21, -3, 48, 46, 19, 0, -6, 35, 18, -34, 1, 31, 1, 40, -15, -50, 12, -11, -12, 5, 14, -24, 40, 28, 47, -5, 4, 5, -9, -17, 19, 40, 42, -6, -24, 52, -50, -38, -50, -54, 23, 5, -18, -24, 27, -32, 15, 29, 0, 61, 25, -40, 39, -6, -65, 22, 14, -6, -24, 43, 19, 2, 12, 3, 3, -35, -50, -26, 8, -54, -6, 16, -35, 44, -14, -4, 30, 18, -38, 37, -34, -38, -9, -22, 27, -14, 28, -14, 38, 15, 29, -18, 39, -10, -41, 6, 23, -24, -11, 24, -28, 42, 3, -42, -6, -18, 31, 2, 35, -8, 10, 21, 29, 17, -34, -1, 16, 15, 50, 2, 26, -7, -48, -3, 8, 10, 38, -14, 29, -59, 9, 36, -3, -56, -33, -8, 0, -51, -12, -15, -64, 21, 16, 4, 2, -32, -30, 20, 30, -33, -24, -32, -20, -1, -24, -24, 43, 36, -1, -11, -6, -2, -20, -28, 25, 7, -46, -48, -23, -2, 18, -39, -33, -1, 21, -38, 10, 4, -40, -11, -15, -15, -17, -14, 41, -41, 26, -47, -25, -22, -15, 12, 31, -24, -34, -28, -34, 1, -23, -34, -50, -12, 25, -13, 27, -18, -20, -11, 25, 15, -30, 2, 33, 33, -23, 33, -18, 45, -39, -87, -40, -23, -41, 30, -32, -1, 49, -14, -27, -47, -45, -22, 37, -1, 26, 46, -8, 31, -56, -15, -14, -39, -14, -32, 42, 65, -28, -127, -39, -10, -3, -55, -6, 21, 28, 18, 20, 21, 11, 26, -21, 54, 0, -55, 31, -22, -47, 1, 18, -38, -11, 40, -31, -53, 19, 30, -46, -13, 0, 2, 24, -18, -2, -59, 50, -9, -46, 52, 1, -9, -5, 7, 67, 4, 1, 34, -27, 16, 1, -17, 43, 68, 6, -26, 32, -10, 11, 23, -10, 15, 34, 16, 22, 11, 9, 33, 68, 7, -32, -13, -2, 43, 42, 10, -34, 15, 32, -37, -28, 17, -45, -36, -44, -4, 17, 6, 1, -43, -29, 22, 21, -42, -22, 0, -8, -15, 21, 6, 8, 14, -5, -27, 19, -27, -31, 28, 24, -3, -15, -16, -28, 28, 13, 27, -15, 19, 11, -8, -44, 20, -14, 18, -11, -32, 5, -40, -22, -16, -39, -3, 20, -52, -34, 2, -72, 3, 29, 4, -22, -74, -13, -2, -39, 28, -45, -19, -33, 33, -12, 56, -14, 16, -5, 39, -33, -70, -30, 16, 8, 90, 11, -18, -24, 13, -38, -31, -2, -42, 6, -11, -42, -44, -29, -23, -29, -48, 2, 46, -45, 40, 10, 40, -36, -9, 18, 22, 26, 14, 0, 41, 36, -38, 29, 3, -35, 45, 23, 13, -5, -35, 3, -45, 28, -12, 15, 23, 14, 17, 16, 45, 20, -7, -1, -17, 23, 0, 18, 16, 20, 26, -3, -39, -22, -56, 40, -16, -1, -38, -2, 26, 0, -23, 3, -1, 24, -35, 7, -39, -41, 14, -1, -42, -14, -26, 0, -11, 4, -41, -14, -47, -13, 3, -10, -45, -20, 1, 38, -36, -21, -12, -16, -10, 7, 52, -9, -27, -1, -16, 30, -49, 24, 25, -29, 45, 11, -20, -42, 32, 15, -7, -20, 5, 45, -9, -16, 30, 47, -39, -15, 18, 28, -15, -14, -10, 51, -33, 9, 2, -23, 37, 46, -29, -24, -13, -24, -43, 59, 27, -1, -30, 8, -20, -41, -16, -1, -28, -19, 14, 60, 12, 47, -28, -49, -39, -32, -4, 0, -1, -16, 36, 37, -34, -27, 53, 30, -20, 62, 42, 47, 24, 16, -41, 43, -24, 26, 32, 12, -12, -18, -31, 6, -12, 25, -14, -21, -16, 35, 48, 52, -11, -25, 40, -35, -43, 34, -2, 7, -49, -43, -5, -29, -46, -9, 46, -47, 34, 31, -23, 32, -52, -39, 14, -40, 1, -56, 47, -44, 9, 34, -13, 8, -23, 12, 16, -23, 15, -14, -8, -14, -15, 43, -10, 3, -2, -33, -23, -48, -7, -20, 17, 35, 37, -20, -7, -42, 39, -42, 28, -17, 27, 45, 2, -22, -15, 19, 17, -42, 39, -27, -35, -28, 6, -30, -14, 6, 12, -12, 30, -49, 7, -29, -31, -51, 17, -25, -34, -36, -35, 45, -24, 12, 38, -25, 44, -1, 41, 7, 45, -34, -1, 49, 25, 31, -37, 26, 46, 15, 40, 32, 39, 4, -49, -39, -41, 8, 1, 15, 24, 5, 34, -46, 47, -39, -26, -22, -10, 12, 28, 41, 42, 13, 39, -49, 39, -9, 13, 38, 3, 3, -17, 24, 17, 15, -24, -12, -42, 9, -32, 21, -32, 1, 1, 30, -35, 32, -46, 26, 15, -31, -7, -26, 12, 4, 45, 7, 46, 42, -5, -13, 11, 0, 13, -9, 8, 10, -41, 9, 3, 39, -29, -11, -18, -2, -4, 9, -17, -4, -14, -7, -3, -18, 21, 41, -49, -12, -10, -37, -26, 27, -6, 44, 5, -24, 5, 23, -41, -11, 13, 34, 44, 50, 29, 2, 10, 0, 31, 26, -63, 34, 41, 18, -26, -3, 25, -17, -20, 11, -17, 23, 11, 42, 15, -7, -30, -24, 37, -31, 27, 22, 44, 15, 43, -33, 8, 42, -27, -11, -17, -26, -7, -42, -1, -37, -59, -30, -21, 4, 14, -14, -4, 15, 41, -13, -26, 3, -10, 6, 7, -5, 38, -21, 5, 0, -44, 0, 2, 18, -29, -7, -4, 61, -13, 14, 9, -9, -1, -17, -10, -11, -15, -9, -8, -11, -25, -19, 5, 24, 37, -21, -9, 36, 23, -6, -15, -28, -46, 33, 37, -35, -18, 18, -14, -73, -40, 6, 2, 1, 5, -13, 7, -3, -22, 28, 35, -27, -45, 37, 26, 48, 0, -20, 30, 23, 23, -6, -13, 26, 50, -16, -1, 42, -10, -33, -16, -20, 33, -40, 4, -31, -3, 28, -2, 43, 37, -43, -2, -46, -28, -43, 0, -21, 30, -13, -1, -29, -16, -25, 6, 15, 12, -23, 43, 23, 8, -17, 14, 43, -41, -11, -26, 29, -23, -19, -46, -1, -1, 18, -30, -41, 46, 42, -27, -47, -21, -27, 23, -12, -22, -34, -15, 2, -2, 24, -25, 29, 16, 17, 45, -9, 41, -3, -25, -50, -20, -8, 33, 4, 17, -16, 71, -59, 29, 12, 14, 23, 32, -12, 35, -39, 21, -38, 35, -9, -41, -14, 40, 15, 41, -11, 42, 58, 5, -18, 29, -22, -65, 52, 47, 12, 6, 2, 15, -1, -31, 0, 46, 10, 29, -20, 14, -52, -7, -36, -10, -25, -47, 39, -18, 11, -51, 22, -13, -52, 48, 15, -8, 18, 16, -27, 42, 19, 35, 1, -29, -36, 46, 3, 14, 2, 33, -45, 14, 31, 1, 37, -27, -28, -18, 15, -2, 14, -35, 34, 0, 25, -7, 15, 26, -46, -5, -77, -47, -28, -81, 16, 45, -59, -10, 31, -22, -11, -19, -23, -46, -6, -77, -8, 17, 22, 38, -58, 3, -35, -53, 5, -14, 14, 15, -25, 24, 29, -5, -8, 56, 6, 8, 16, 19, -3, 10, 22, 14, -48, 2, 56, -1, -30, 41, 37, 29, 10, 14, -9, 40, -29, -49, 6, -10, 2, 20, 28, -8, -15, 44, -26, 42, 33, -1, 14, -17, -22, -51, -38, -38, -48, -49, 9, -31, -29, -17, 40, -5, -25, -1, -37, -39, -25, -50, -18, -26, -22, -22, -53, 19, -51, -2, 24, -44, 28, 1, 27, -56, -47, 36, 45, 25, 20, -1, 28, 26, 12, -21, -43, -25, 6, -11, 40, 16, -45, -1, -6, -19, 24, -29, -13, 4, -10, -49, -43, 21, 17, 47, -49, 15, -30, 34, 1, -14, -48, 33, 16, 16, 9, 35, 24, 69, 44, 25, -13, 23, 4, -14, 7, -13, -27, -4, 41, 37, -31, -16, 21, -30, -28, -6, 27, 15, 25, -39, -22, -38, 6, -36, -1, 18, 7, 15, -18, -20, 1, 24, 35, 37, 45, -8, -8, -20, -19, 44, -11, -34, 24, -24, -46, -12, 9, 40, 33, -28, 16, -37, -21, -15, 11, 46, 55, -3, -52, 19, 10, 7, 20, 29, 5, -18, -38, 13, -36, -21, 26, 29, -22, 9, -34, 45, 2, -9, -37, -50, -54, 33, 31, 21, -47, -4, 1, 18, 1, -43, -8, 21, -55, 18, -23, 4, -3, 26, -6, -30, 10, -18, -15, -49, -23, 26, -50, -1, 55, 2, 49, 44, 37, 30, -50, -39, -18, 15, 34, 8, 8, 21, -66, 4, -42, -17, 15, 16, -11, -10, 1, -7, -24, 23, -79, 28, -8, 37, 52, 51, 15, 21, 7, 34, 6, 69, 1, 12, 1, -24, -1, -39, -46, -42, -43, 39, 43, -34, -46, 25, -11, -38, 28, -59, 2, -5, -44, -50, -31, -56, 10, -6, 2, -7, 59, 33, -34, 20, 8, -54, -38, -27, -18, -31, 14, -52, 6, 45, 32, -43, 26, 0, -27, -17, 30, 4, 17, -25, 31, 61, 0, 0, -42, -55, -9, -28, 2, 8, -30, -5, 46, 53, -6, 18, 2, 1, -30, 30, 34, 35, -25, -29, -63, -47, 22, 4, 32, -18, -5, 2, 14, 60, -47, 19, -11, -10, -1, -14, -24, 32, -22, 36, -39, 31, 10, 2, -27, -10, 43, 29, 63, 64, 2, 22, 48, 37, 39, -58, -33, -49, -51, -21, -12, 66, 5, 35, 17, -16, 36, 18, -11, 28, -15, -15, 3, 3, -5, 40, 32, 42, 45, 24, 18, 40, -48, -51, 77, -52, -24, 32, -1, -15, 45, -37, -16, 44, -42, -31, 35, -8, 7, 25, -28, 44, -44, 19, -45, 7, -11, 8, -40, -35, 33, 16, 12, 6, 24, -25, -34, -2, -18, 38, -18, 25, 9, 18, -32, -46, 37, -7, -6, -46, 38, 39, 35, -9, 8, 40, -34, 42, -22, -21, -32, -28, -24, -5, 26, 19, -7, 29, -7, 29, -10, -5, -27, 40, -30, 7, -32, -2, 3, -1, 16, 41, -27, 4, 7, 42, -12, 49, -25, -17, 3, -13, -8, -34, 8, -37, 49, 1, 45, -42, -24, 22, -4, 34, 22, -24, -37, 10, 9, -46, -26, 38, -2, -32, -7, -18, -24, -32, -16, -16, 22, 41, 45, -34, -45, 18, -11, -9, 5, -15, -47, -10, 35, 35, -43, 34, 35, -30, 45, -40, 38, 15, 25, -45, 38, -15, 1, 3, 5, -47, 12, 34, -2, -25, -25, 22, -18, -36, 46, -32, -23, -40, 19, 36, -42, 19, 40, 42, -48, 42, -30, -48, -36, -33, 38, -39, 2, 7, -33, 4, -45, -47, -18, 41, -7, 27, -43, -13, -12, -24, -46, 9, -23, 18, -8, 20, 34, -4, 35, -38, -17, -24, -22, -36, 16, -10, -23, 21, -33, 8, 19, 12, -37, 46, 39, 32, 38, -34, 32, 8, 20, 16, -34, -3, -7, 22, 21, -26, -18, 11, -32, 31, -39, -6, 2, -18, -4, 13, 39, 30, 43, 37, -46, 0, 16, -26, -47, 21, -16, -2, 46, -46, -32, 35, 1, -29, 35, -5, -11, 9, -43, 16, 4, -52, 7, -26, -1, 43, 5, 34, -16, 49, -39, -32, -6, -7, 45, 16, 6, 38, 5, -20, -30, 26, 31, -23, 7, 19, 6, -9, -37, -14, 5, -19, 30, -48, 0, 8, 40, 48, -15, -1, 35, 36, 35, -27, -43, 2, 28, 22, -19, 5, 43, 14, 1, 35, 38, -22, 2, -38, 18, 2, -16, 0, -40, 31, -45, -26, -44, 22, 43, -43, -12, -47, 31, 21, -24, -36, -38, 48, -31, 47, -43, 6, -43, -7, -37, 25, -9, 8, 27, -32, 46, -35, 43, 34, -2, -21, -2, -33, -14, 29, 28, 17, 5, 35, -3, 47, 41, 38, -11, -22, 21, -29, -28, 24, 5, -10, -28, 11, 44, 40, -38, 22, 29, 38, -20, -41, -47, -1, -46, 36, 29, 6, -11, 48, -29, 33, -41, -1, 40, 29, 29, -51, -45, -23, -45, 19, -1, 35, -11, 38, -5, -39, -18, -5, -17, -33, -21, -38, 19, 19, 18, 42, -14, 2, -14, 20, 34, 4, -37, -13, -15, -24, -18, -2, 34, 15, -8, 15, 17, 15, 30, -2, 6, 31, -16, -25, -10, -26, 46, -46, 3, -3, -39, -10, -19, 10, 5, -7, -1, -34, 20, 41, -7, -30, 37, 0, 22, -29, -21, -42, -36, -30, -9, -18, 24, 11, -21, -30, 36, -7, 9, 33, -39, 41, -20, -22, -10, 25, 17, 1, -41, -5, -40, 39, -44, 3, 22, 1, -42, -10, 2, -2, 31, 39, 13, -8, 5, -41, 33, -23, 8, -39, -13, -5, -28, -39, -22, -11, -24, -22, -16, -51, -51, -26, -26, 30, 6, 3, 42, -5, 44, 35, -40, -24, -19, -16, 32, 10, -26, -25, -9, -35, -17, -31, -22, -46, -5, 24, 2, 43, 8, -34, 17, 1, -10, -21, 15, -32, -11, -3, -47, 9, 19, 15, -7, 30, 1, -7, 20, -38, -1, 24, -13, 20, 40, 9, -19, -32, -34, 24, -40, -43, 4, -42, 6, 23, -39, 24, -22, 9, 20, 39, 14, 16, -29, 24, -46, -42, 48, -8, 19, 24, 38, -16, 21, 7, -41, 44, 11, 20, 3, -9, 2, 17, 3, -25, -43, -19, 43, -23, 26, -7, -17, -42, 13, 9, -15, 19, 13, 26, -5, 3, -43, -28, 44, 6, 9, 22, 14, -12, -47, -45, 16, -26, -33, 15, 9, -33, 31, 25, 33, 37, 3, -39, -30, -40, 21, -20, -10, -20, -34, -14, 25, -6, 15, -1, 37, -35, 8, 16, -24, -3, 30, -24, 20, 31, 5, 2, 0, 33, 32, -6, 7, 9, -5, 19, -38, 14, -43, 34, 10, -27, 31, 23, -36, 26, 36, 27, -45, 15, 6, 29, 41, 49, 56, 15, -13, 21, 47, -23, 40, 35, -20, 26, 5, 0, -20, 24, 27, 24, 22, 11, -25, -36, -15, 11, -11, -19, -19, -11, -39, -16, 14, -2, 25, 39, 19, -5, 22, 18, -19, -21, 13, 40, 20, -41, 20, -23, -5, -46, -52, 43, -22, -4, -46, 27, 18, -10, -26, -5, 6, -33, 13, 25, 3, 32, -47, -7, 50, 19, 47, -39, 26, -10, -45, -15, -43, -46, 30, -12, 26, -47, -31, 26, -33, 22, 41, 5, 37, 10, -20, 23, -37, -50, 4, 21, -1, -44, -7, -42, 40, 1, 2, 24, 27, 11, -46, -41, -18, -23, -53, -2, -44, -30, -8, -21, -33, -11, 32, 29, 18, 25, 30, -48, 23, 50, -38, 34, 27, -46, 10, 8, -17, 5, -34, 38, -12, 27, -51, -32, 33, -27, -20, -45, -19, 24, 11, 37, 14, 20, 24, -46, 14, -11, -37, -14, -31, -30, -1, 51, 16, -26, -7, 13, -23, 33, -21, 35, 31, 42, 8, -19, -44, 3, 41, -46, -28, -25, 26, -17, -14, -24, 15, -31, -12, 37, 4, 15, -19, 34, -12, 34, -16, -18, 12, -50, -27, 1, -33, 0, -46, 23, -45, -47, 40, -12, -4, 24, -34, 47, 11, 4, -22, -28, 25, -17, -13, 9, 31, -31, -46, -41, 44, 22, -8, 41, -37, 35, -17, -3, 32, 8, -20, 1, -40, -39, 3, 4, 4, -35, -42, 24, -11, -43, -47, -41, -39, 20, -40, -46, 49, -20, 0, 17, 16, -36, -30, 12, 5, -10, 2, 3, -32, 22, 35, 2, 27, 30, -14, 21, -13, -17, -17, -7, 28, 1, 17, -4, -24, -4, 20, -6, 43, -42, 5, 27, -6, 14, -36, 7, 10, 9, 58, -11, 22, 26, -39, 7, -40, 17, -29, 36, -16, 3, -23, -39, 32, -41, 38, -31, -35, -24, 25, 7, 28, 12, -3, -41, 23, 5, 11, 32, -6, 36, 42, -29, -30, -49, -37, -48, -9, 23, 34, -43, -18, 11, 34, -44, -35, -39, 7, -30, -28, 11, -22, -19, -30, -45, -47, 31, -25, -12, 30, 50, 18, -14, -31, 44, -25, 34, -31, 33, -41, 23, -9, -49, 5, -20, -38, 18, 10, 35, 21, 7, -39, 6, -48, 33, -26, 33, -25, -26, -9, 24, -25, 35, -43, -43, 24, -2, -48, 42, -15, -38, 37, 38, -39, 9, -29, -19, -18, 41, -14, 45, -26, 3, -6, 24, -29, -37, 9, -21, 28, 46, -14, -47, -36, 17, -2, 26, -10, -52, -12, 28, 29, 0, -36, -40, -2, 35, 47, -46, 18, 11, 31, 48, -27, -8, -43, -4, -32, -27, -5, 27, 21, 9, -34, 41, 22, -10, 37, 6, 27, -24, 13, 40, -40, 1, 16, -35, -28, 3, -5, -42, -5, -51, 46, -12, -21, -35, 10, -12, -15, -11, 34, -32, -6, 14, -41, -43, 41, -46, 36, -7, -46, 29, -23, 47, -15, -15, 8, 15, -45, 11, 39, 13, 37, 34, -8, -9, 20, 1, 34, 43, -26, 50, 58, 22, 45, -6, -9, 29, -22, -49, 15, -52, -14, -11, -40, -28, 35, 29, -11, 59, -25, -31, 51, 6, -38, 25, -40, 21, -12, 40, 18, -34, -7, -28, 26, -58, -30, -11, -21, -22, 9, -17, -22, -15, 6, -12, 48, -23, -4, 42, 48, 45, -12, -5, -25, 33, 31, 0, 46, 22, 6, 23, 43, -11, -19, 6, -53, 10, 35, 23, -11, 21, -34, -8, 19, 10, -38, -16, -18, -20, -14, 10, -46, -43, -40, 18, 42, 41, 47, 6, 5, 60, -28, 7, 0, 66, -54, 4, 41, 45, -20, -12, 18, 36, 20, 9, 60, 18, -17, -24, -69, 20, 24, -33, 29, -11, -10, 3, 5, 18, 25, 4, 24, -39, -16, 17, -41, 3, -49, 15, -4, -33, -13, -23, 29, -28, 9, 20, -28, 42, 51, 31, -29, -54, -22, 15, -15, 36, 47, -19, 36, 21, -17, 0, 12, 32, 11, -59, -24, 35, -19, -16, 17, 45, -11, -24, -32, 49, 18, -36, -25, 22, 37, 17, -42, 2, 40, 5, -36, 35, 6, 48, -29, -15, 47, -39, 54, -34, -27, -17, 10, -14, 10, 13, 7, -31, -20, 43, -4, 19, 44, -5, 6, 17, 1, -20, -1, -30, 40, 38, 9, 12, 10, -23, 24, 47, -18, 43, 40, 11, 48, -31, 20, -13, 43, 4, 1, -2, -46, -8, -36, 41, 29, -5, -30, 40, -45, 14, -11, -3, -26, 19, 14, 9, -35, 29, 14, -26, 35, -17, -34, -19, -42, -32, 34, -22, 6, 43, -27, -15, 37, 23, 8, -11, -16, 27, -1, 46, 1, 36, 43, 15, 7, 9, 17, -36, -43, -21, 45, 7, -25, -26, -30, -12, 7, 35, -35, 28, -21, 7, -43, 36, 24, -26, -11, -42, 3, -48, -46, 39, 45, 39, -36, -43, 26, -3, -4, 31, -10, -27, -4, 16, 37, -29, 4, -46, 7, 14, -33, -47, -32, -24, -44, -36, 20, -25, -5, -25, -14, -21, -35, 27, -7, 19, -23, 13, -38, -47, -11, -34, 32, 43, 40, 46, 40, 7, -37, -16, -9, -38, -50, 2, -17, 25, -39, -42, -27, 9, -22, 21, 20, -26, -13, -27, 9, 6, -38, -28, 10, -20, 34, -32, 23, -12, 49, 42, 33, 10, 22, -24, -3, 50, -28, 25, -26, 20, 38, -4, 48, 25, -13, 1, 21, -19, 5, 31, 31, 33, 9, 9, -18, -31, -28, 33, -21, -20, 11, -2, -25, 42, -33, -18, 18, -15, 8, -38, 5, -21, -14, 26, -4, 14, 22, 20, 30, 18, -17, -26, 6, 3, -31, -39, -65, 16, -49, -28, -49, 11, -37, 2, -65, -19, -9, -5, -39, 5, -21, 12, -26, 1, -35, -10, -25, -21, -27, -43, 38, -18, 17, 44, 46, -4, -18, -4, -27, -1, 3, 24, -29, -2, -11, -11, -8, -17, -16, 9, 32, 17, -14, -39, -15, 23, -37, 39, 40, 9, 37, -12, -30, -38, -16, 36, 35, -60, -7, 16, 13, 9, 27, 11, 5, 64, 20, 43, 76, -2, -43, -38, 37, 21, -13, 11, 24, -46, -48, 12, 12, -10, -34, 46, -22, 24, -48, 59, 40, -52, -14, 10, 45, -45, -25, -2, -23, 46, 8, 31, -28, -2, 25, -69, -59, -16, 5, -39, -38, -42, 35, 4, -30, 1, 25, -10, -16, 5, -46, -5, 38, 6, 39, 12, 42, 7, 40, 36, 39, -19, -35, -1, -5, -2, 20, 22, 26, 54, 2, 37, 11, 15, -31, 0, 22, 9, 0, -34, -11, -42, -11, 9, -30, 38, -19, -17, -23, -24, 12, 9, 31, 6, -45, 35, 31, -7, 4, 11, -4, 21, 27, -13, -21, 1, 10, -22, 30, 10, 55, 57, -30, -16, -12, 26, -3, 9, -4, 43, 37, 31, 25, -46, -56, -6, 5, 47, -14, -28, 21, -24, 32, 35, -8, -27, 41, 45, -37, 36, 31, -31, 15, 7, 39, 12, 6, -63, -26, -1, -57, -22, -42, -11, 8, 34, -28, -46, -18, -11, -35, -1, 24, -7, -21, 1, 73, -23, -1, 35, 10, 13, 2, 20, -52, 54, 46, 25, 48, 34, 6, -23, 17, 37, 8, -32, -5, -25, 6, -53, 7, -33, 47, 42, -20, 47, 44, 9, 14, 95, -10, -34, 17, 26, 20, 42, 46, -51, 8, -16, -17, 31, 35, 10, -10, -49, -1, 26, 10, 20, 30, 27, 23, -25, 38, 46, 10, -22, -17, 51, -13, 21, 29, 32, -39, -9, 13, 15, 28, 45, 4, -8, 23, 17, 20, 22, -9, -29, -18, 37, -2, 52, 28, -23, -10, -44, 2, -18, -5, 53, 50, -24, 45, -2, -20, 10, -25, 26, -33, -40, -27, 34, 8, -33, 42, -13, 43, 41, 22, -4, 52, 14, 19, -21, 5, 30, 1, -11, 19, -46, -25, 9, 34, 17, 9, -19, 16, 10, -29, 55, 0, 6, 49, -10, 2, 21, -20, 4, -72, -47, 11, -14, -23, -24, -13, -61, 59, 29, 31, -33, 11, -25, 26, -6, -13, 2, -11, -15, 41, -27, -22, 39, 22, -1, 22, -12, -29, -31, 5, 33, -15, 56, 68, 35, -44, 17, 23, 42, -33, 44, -11, 29, 14, 22, -42, -10, -30, 43, 21, -46, -30, 51, 13, -7, 29, 55, 31, 11, 29, 29, 33, 37, 33, -27, -26, 17, 9, -2, -38, -13, 19, 17, -25, 40, -7, -29, 30, 20, 37, -31, 1, 34, 12, 18, -46, 2, 43, -14, 7, 41, -1, -22, -10, 24, -17, 58, -37, -24, -31, 22, -5, 34, -50, 10, -1, -29, 12, 49, 57, -2, 23, 28, 5, 8, 24, -2, 15, -46, -17, 39, 4, 48, 49, 69, 39, -52, 4, 70, -44, 35, -8, 17, -39, 30, -13, 17, -11, 16, -26, -36, -40, -61, -31, 4, 2, -17, -2, -50, -50, -34, -35, 21, 43, -29, -8, -42, 43, -21, -20, -50, 26, 4, 67, 10, -39, -16, 53, -24, -10, 0, -25, 22, -25, -29, 3, 22, -4, 12, -44, 22, -16, 28, 22, -55, -7, 27, 41, 43, -39, -24, -31, 17, 29, -12, 23, -49, -35, -54, -4, -30, -40, -50, 8, 16, -10, 26, 17, -20, 19, -28, -20, 42, 40, 22, -6, -53, -10, 65, -66, 13, 24, -43, -3, -34, 8, 11, 38, 33, 34, 37, 29, -32, -5, -26, -1, -27, 23, -13, -44, -26, 17, -4, 42, -21, 15, -5, 47, -20, 48, 23, -21, 41, -24, 19, -9, 23, -50, -7, -64, -20, 8, -24, -42, -20, 11, -17, -7, 1, 11, 13, 18, 33, -5, 20, 61, 57, -21, 21, -36, 8, 28, 10, -30, 37, 44, 56, -21, 32, 15, 45, -20, 3, -31, -20, -37, -35, 2, 29, -60, -17, -69, 11, -46, 43, 31, -19, -32, -38, -46, -12, -18, 13, -8, 15, -29, 28, 21, -25, -32, 23, -23, -22, 6, -23, -13, 14, 36, 17, 41, 7, 32, -39, -47, 44, 49, 14, -26, 29, 38, 48, 13, 30, 30, 23, 39, 49, 23, 8, -43, 32, 3, 14, 16, -41, -13, -33, 48, 23, -8, -15, 39, 11, -46, -39, 25, -35, 22, 7, 1, 27, -29, 32, -16, 18, -18, 14, 22, 43, -17, -28, 9, 14, -9, -39, -23, 13, 28, 20, -9, -9, -24, 33, -40, -17, 35, -45, 49, 41, 7, 24, -35, -32, 11, 38, 20, -6, -7, 41, 18, -24, -28, -27, 2, -10, -36, -60, -12, -12, -50, -13, 6, -43, -37, -33, 42, -9, -23, 16, 25, 25, -24, 2, 35, 0, 17, -29, -18, 11, 8, 11, -43, -42, -42, 7, 9, -43, 38, -15, 42, -49, -10, 36, -41, -63, -37, -16, 28, 21, -5, 20, 20, -4, 29, 18, -3, -50, 10, 23, -40, -54, -50, -12, 27, -53, 1, -32, 8, 14, 17, 7, 19, -19, -45, 30, 13, -25, 43, 33, 4, -44, -33, -21, -22, 38, 42, 5, 16, 12, 51, -11, -48, 40, -35, -26, -33, 38, 27, -42, -7, -11, 11, 12, -25, 27, 29, 46, 32, -8, 5, 10, -18, -31, 0, -19, -18, 8, -3, 0, 26, -31, 9, -7, 39, -19, -21, -29, 46, 25, 4, -24, 33, 6, 31, 3, -25, 37, 44, 16, -62, 48, 3, -16, -7, 43, 20, 20, 24, -36, 28, 39, -11, 34, 29, -18, -6, 41, -17, -36, 46, 31, -47, 16, -5, -19, -20, 5, -21, -15, 3, -15, 1, -41, -20, 20, 19, -38, -24, 1, 38, 23, 36, -7, -46, -14, -30, -11, 2, -19, -32, -44, -23, -21, 41, -30, -8, 0, 13, -36, -30, 44, -12, 4, -7, 36, 3, -30, -7, -33, -1, -24, -37, 30, -21, -17, 25, 31, -9, 6, 13, -35, -42, 37, -30, -41, -19, -19, 16, -1, -10, -23, 42, 42, -44, -16, -39, -12, -46, -48, -15, 11, 8, -27, 27, 35, -38, 1, 19, -10, -6, -6, -2, 12, -7, 6, -41, -24, 19, -10, -14, 16, 29, 6, 48, -24, 41, 5, -23, -36, -40, 22, -3, -31, -20, -44, 27, 34, -34, -12, -20, -15, 9, -46, -44, 11, 27, -14, -13, -34, -22, -21, -22, -41, 8, -34, -7, 42, 29, -22, 26, -49, -23, -2, 31, 0, -25, 51, 18, 27, -33, -31, 63, -55, -12, -22, 22, 49, 45, -31, -46, 22, -44, 33, -10, -26, -42, -43, -13, 17, 24, 50, -28, 7, 21, -15, 1, -27, -69, 27, 4, -22, -53, -12, -23, 12, 1, 2, -7, -41, -23, -17, -32, 50, 18, 34, -19, 57, 52, 25, -36, 27, 7, -23, 19, 41, 40, -23, 43, -35, -44, 11, 20, 44, -10, -5, 2, 39, -21, 54, -28, -58, 29, -52, -55, 43, -13, 2, 44, 8, -26, 28, -15, -42, 1, -39, -39, 10, 24, 27, 5, -5, -19, -33, 28, 46, 8, -14, 47, 37, 6, 14, 40, -21, 21, -26, -20, -37, 31, -3, -8, -16, 35, 13, -47, 3, -23, 36, 9, -13, -31, -6, -21, -22, 8, 28, 13, 24, 4, 8, 27, -41, 44, 14, 13, -21, 47, 11, -36, -39, 22, 37, -45, 15, -21, 12, -6, 29, -48, 8, 20, -53, -5, -13, -12, -38, 42, 4, -25, 2, 42, -44, 22, 18, 33, 44, 20, 2, -23, -38, 27, -2, 5, -37, 38, 11, 10, 25, -7, -24, 42, 34, -43, 7, 29, 40, -41, 1, 46, 5, -26, 37, 0, 22, -44, 13, 30, -30, -8, -20, 19, -16, 31, -33, -13, -1, 37, 10, 40, 14, -45, -39, -37, -35, -18, 0, -8, -49, -19, 6, 9, -49, -20, 40, -10, 16, -22, -24, 36, -18, -15, 23, -30, -27, 32, -22, -9, -10, 10, 46, 36, 21, 12, -24, -33, 6, 27, -21, -47, -8, 2, 0, 20, -11, 0, -20, -41, -25, -20, 3, 2, 34, -21, -8, -48, -41, 46, 1, 31, -43, -43, -30, -22, -14, 16, -19, -2, 29, -5, 45, 10, -40, 34, 0, -8, 8, -46, -22, 30, -12, -34, 8, -41, 27, 22, 5, 36, -45, -20, -16, -47, 39, -41, -33, -17, -12, 41, -10, -28, 25, -32, -13, -3, -23, -26, 47, 1, -29, -15, -4, -41, 55, -8, -33, 15, -50, -14, -30, -15, 36, -23, 12, -45, -21, -18, 9, 12, -13, 19, -37, -18, -48, 1, 20, 26, -21, 43, 47, -15, 47, -23, -30, 29, -29, 5, 34, -1, 42, 7, 28, -47, -23, 36, -39, -14, -45, 40, 46, 1, -46, -27, -22, -17, 19, 12, -19, 50, 10, -18, 20, 12, -46, 45, -45, 27, 6, 9, -36, -6, -46, 19, 2, 6, 7, -12, -18, -32, -29, 38, 6, -4, 43, -18, 45, -8, -15, -14, 31, -7, 13, -6, 6, -1, -26, -23, 22, -12, 2, 33, -31, 16, 31, -42, -46, 18, -40, -44, 8, 13, -30, 22, 36, -20, -6, 7, 46, -42, -29, 1, -20, 1, 45, 27, 26, -32, -4, -32, 9, 18, 44, -22, -21, 1, 24, 49, 15, 13, -26, -17, -6, 36, -33, 44, 46, 21, 30, -8, -14, -5, -15, 26, 26, 14, -8, 34, 14, 35, 10, -4, 29, 0, -43, 7, 29, 16, 43, 23, -39, -4, -5, 18, -7, -21, -27, 10, -25, 47, -40, 30, 26, 30, -11, -3, 23, 14, 9, -24, -13, -26, -5, 15, -8, -45, 39, -34, 42, 32, -21, -9, -46, -39, 34, 33, 29, 12, -49, -18, -34, -29, 46, -47, -22, 34, 35, 42, 9, -9, -35, 22, -41, 29, -27, 22, 27, 32, 25, -29, -55, 9, -41, 16, 3, 3, -18, -12, 46, -1, 24, -6, -46, 26, 4, 20, 17, -51, 2, -20, 26, -41, -45, 45, 32, 30, -8, 47, 28, 29, -3, 30, 33, -22, -15, 32, 18, -10, 12, 33, -18, 36, -45, 7, 4, -28, -43, 32, 48, -34, -31, 5, -13, 52, 51, 6, -5, -34, 21, 10, -41, -38, 10, 32, 15, -17, -41, -19, -32, 18, -7, -19, -37, 20, 12, 16, -19, -1, -9, -31, 7, -30, -7, 26, -14, -48, 5, 40, 17, 11, -25, -12, -35, 11, 19, -10, 49, 0, -14, 11, 6, -42, -3, -7, 44, 2, -19, 37, 34, -35, 3, -43, -3, 34, -14, -49, -17, -28, 6, -39, 44, 31, 11, -17, -39, 7, -18, -18, -1, -21, -24, 43, 22, 48, 17, -6, -40, -18, 24, 12, -28, 40, -25, 20, 29, 17, -41, -29, -29, 6, -8, -40, 23, -33, 43, 2, 41, 28, 11, -1, -41, 8, -4, 30, 46, 14, 2, -20, -23, -43, -6, -2, -11, -41, -46, 41, 33, -1, -15, -41, 5, -38, 22, -29, -41, -33, 19, 7, 8, 19, -24, 42, -33, 40, -42, -10, 22, 3, 4, 37, -23, -6, 31, -11, -3, -9, 46, 53, 42, 28, -6, -9, -39, -38, 4, 2, 10, -20, -33, -3, 46, -32, -36, 41, -48, 29, -21, 25, 15, -35, -21, 23, -38, 42, -15, -15, -5, -27, 29, -2, -2, -19, 29, -20, -3, -39, 11, 28, -37, 47, 27, 7, 20, 8, 6, -40, -49, 51, -10, -38, -22, -29, 13, -34, -26, -44, 17, 51, -2, 41, 37, 16, -43, -32, 18, -7, -40, 19, 39, 6, 18, 31, -7, -52, -1, -52, -8, -46, 11, -2, -3, 41, 40, -44, -34, 13, -42, -7, -12, 5, -18, -39, -29, 10, -13, 36, -36, -8, -46, 16, -21, -36, -36, 11, -28, 35, -60, -3, -5, -39, 6, 12, -2, 38, -3, -19, -42, -33, -50, 40, 32, 13, 54, 51, 4, 13, 9, -41, 16, -18, 18, 8, 25, -22, -10, 41, -49, -10, 6, 20, -34, 10, 9, -17, -47, -47, -28, 8, -38, 3, 35, -40, -30, 12, 6, 1, 6, -44, 20, 27, 20, 20, -11, 22, 12, 2, -17, -4, 45, -2, 16, 14, 4, 4, 35, 13, 37, 26, 12, -30, 37, 41, -11, 36, -16, 23, -25, -16, 44, -3, 21, -5, -18, 30, 28, 13, -15, -6, -20, -32, -13, 33, -9, -16, 46, -14, 4, 28, 9, -59, -44, 5, 40, -3, 6, 3, 9, -24, -20, -27, 2, -47, 37, -17, 15, -11, 5, -50, 16, 11, -34, 45, -12, 11, -1, 18, -44, -33, 29, -52, -7, -11, -8, -34, -11, -31, 18, -33, -35, 37, 17, 42, 30, -22, 6, 3, -45, 30, -1, 2, -28, -18, 0, 22, 31, -34, 25, 35, 35, 2, 33, -34, -17, 24, -36, 8, 25, -43, -9, 20, -7, 27, 14, -45, 32, -23, -22, 33, -38, -4, -11, -35, 30, 27, -34, -36, -35, -46, 29, -42, -21, 33, 15, -37, -25, -19, -45, -15, 9, -3, 24, 17, -12, 11, -1, 19, -47, -11, -37, -31, 1, -42, -1, 35, -17, 5, -31, 35, -8, 47, 47, -14, -11, 33, -17, 43, -45, -47, 30, -42, -18, -7, 2, 6, -12, -37, 0, 19, -40, 6, -29, 15, -4, 21, -43, -38, -12, 37, -1, 8, 23, 16, 2, 16, 15, 11, -45, 43, -44, 5, -26, 28, -17, 34, 8, 45, 12, 45, 7, -24, -33, 0, -4, -8, -2, 31, 1, 1, -37, -14, -18, 41, -28, -15, -17, -9, -26, -37, -39, -29, -36, 10, -25, 0, -39, 32, 13, -26, 34, -8, -34, 34, -18, 41, -19, -48, -25, -2, 13, 14, -27, 1, -4, 21, 8, -4, 52, -18, 38, 16, 15, 34, -4, 9, -41, 13, -20, -9, -1, 25, 28, -24, -51, -31, 4, -42, 17, 36, -5, -25, -33, -25, -39, -36, 14, 18, -8, -45, 5, 50, 20, 13, 13, -7, 3, 40, -26, -14, -11, -51, -11, 23, -58, 35, 22, -31, 16, -5, -29, 13, -51, -29, 11, 10, -27, 23, -6, 2, 32, -39, -39, -43, 29, 21, 32, 6, 39, 37, 24, 24, -13, -46, -20, 20, -34, -43, 38, -12, 30, -6, 5, -51, 29, -18, 34, -28, 1, 31, 23, -46, -8, -22, 28, -35, -37, 7, 2, 37, 9, -45, 9, 35, -38, 45, -7, 33, 46, -5, 17, -30, -2, -38, 10, 26, -42, 31, 7, -38, 18, 28, 30, 10, 27, -15, -20, -3, 20, 47, -40, 12, -37, 2, -14, 44, -24, 42, -10, 10, 46, -44, -2, 10, 31, 9, 21, -4, 40, 21, -1, 42, 24, -45, 4, -17, 4, 47, -46, -26, 8, -25, 36, -29, 41, -33, 24, -16, -35, 10, -30, 6, -32, 18, 45, 40, 0, -46, -6, 23, 14, 46, -44, -10, 32, -23, 36, -43, 42, -13, 14, -37, 10, 31, -29, 11, 0, 20, -35, -42, -45, 29, -38, 9, -21, -34, 6, 48, 39, -24, 13, 27, -28, 12, 4, -44, -4, 5, -19, 7, -43, 17, 34, -36, -33, 16, -29, 32, 26, 13, -35, 23, 11, 17, -46, 41, -42, -50, -23, 27, 54, -6, -30, -29, -5, -9, -29, 31, -8, 2, -31, -21, -12, 25, 16, -22, -32, -31, 5, 6, 12, 45, -35, -16, -20, 16, -36, 13, -47, 10, -25, -50, 28, -3, 39, -43, 2, -2, 34, 40, -12, -40, -19, -21, -38, 15, 28, 19, 11, -1, 40, 29, 24, 11, -33, -46, 1, -9, -21, 9, -27, -33, 9, -30, -32, 36, -15, 47, -33, -8, 4, 45, -23, 20, -10, 23, 29, 26, -1, -30, 19, 28, 33, -36, -41, 35, -24, 19, 13, 2, 51, 28, 8, 4, 37, -1, -42, -46, -13, -9, -8, 5, -33, 20, -36, 36, -43, 24, 2, 2, -44, -32, 22, 0, 22, -46, -6, -39, -19, -42, 37, 18, -29, 20, -15, -48, -45, -28, 31, -5, 10, -9, -46, -20, -15, 23, -7, -37, 24, -12, 22, -18, 24, 21, -41, 45, 27, -32, -43, 10, -13, -41, 19, -19, 25, -27, 16, 31, 3, -29, -18, -2, 27, 42, -3, 36, -9, 8, 37, -33, 26, 9, 1, 16, 20, 4, 40, -28, -28, -7, 6, 47, 16, 26, 11, 35, 43, -6, 2, -7, 28, -18, -7, 40, 12, 5, 37, -18, -30, -28, 11, -9, -11, 34, 40, 16, -24, 32, 43, 25, -31, 42, -39, 2, 29, 44, 4, -40, -35, -18, 38, 12, 46, 34, -40, 43, 16, -26, 42, -4, -45, -19, -13, -48, 22, 2, -38, -39, -13, -15, 28, 15, -25, 49, -26, 46, 41, 49, 12, -44, -25, 15, 4, 14, 16, -7, 25, -27, -1, 29, 44, -8, -48, 43, 48, 22, 3, -51, -19, -29, 1, -17, -17, -37, 18, 12, -7, 30, 5, 25, 39, 47, 11, -1, -20, -17, 30, 42, 15, 41, -38, -11, -2, -18, -5, -38, -36, 10, -16, 32, -17, -34, -31, -30, 21, 9, -24, 15, 12, -18, 9, 7, 43, -12, -27, -10, -37, 4, -28, 4, 39, -11, -5, -26, -15, 0, -13, -22, 3, -2, -19, 25, -2, 23, -42, 12, -18, 13, -13, 1, 22, 19, 12, 11, -28, 49, 24, -36, -15, -6, -8, 25, -28, -2, -34, 19, -45, 6, -10, -7, 31, -42, 26, 37, -10, -12, -3, 39, -1, -10, 20, 37, 36, 27, -2, -51, 1, 36, 45, 32, -1, 22, -48, -13, 19, 6, 10, -2, -7, 23, -36, 36, -2, 33, -22, -48, -43, -16, 9, -51, 6, 5, -9, -47, 4, 36, 28, -25, 10, -37, -3, 33, 36, 2, 20, 11, 50, -6, 33, -28, 45, -31, -41, -14, -31, 23, -1, 12, -37, 3, -26, 5, 35, 17, 55, 32, 0, 30, -44, -34, -35, -12, -31, -39, 12, -33, -28, 36, 13, -27, -9, -11, 49, -21, -30, -36, -46, -38, 2, -16, 36, 43, 48, 39, 12, -33, 1, 31, -15, 34, -32, -15, -8, -32, 21, -30, -33, 43, -6, 23, 31, 29, -33, 30, 16, -17, 5, -19, 40, 37, -14, -34, 21, -51, 28, 16, 2, 23, -4, 46, 15, 10, 49, -29, 34, 11, 15, 14, -51, 22, -39, -39, -18, 40, -11, 20, 12, 33, 3, -1, 1, -10, -33, 14, 3, -4, -47, -15, 1, 35, -15, 3, -35, -64, 7, 5, -1, 12, 5, -8, -27, 41, -3, 22, -10, 32, 19, -5, -24, -3, 34, 46, -45, -19, 11, 1, 42, 0, 13, 6, 43, 65, 7, -38, 23, -52, 46, 46, -47, 33, -40, -49, 7, -37, -1, 23, -22, 0, 29, -52, -61, -41, 49, -16, -26, 26, 41, 39, 31, -40, -1, 67, -6, 59, 72, -2, -36, -73, -44, -31, -48, -4, -18, -6, -10, 14, -9, -48, 8, -43, 72, -60, -25, 49, -11, -50, -36, -18, 32, -29, 3, -50, -35, 12, 52, -38, -29, -36, 4, -32, 18, 36, -1, 20, 27, -5, 24, 64, 20, -4, 30, -10, -12, -42, 7, 2, -13, -45, 11, 22, -3, -9, -49, 30, 2, -18, -15, -31, -28, -22, -49, -20, 5, 12, -38, 27, -30, -46, 27, 50, 14, 33, 32, -21, -27, 32, 14, -38, -32, -20, 30, 20, -43, 32, -20, -20, -28, 25, 3, -36, -16, -41, -1, 19, -58, 47, 40, 29, 4, -4, -13, 0, -37, 28, -38, -18, -22, -23, -5, 17, -4, -26, -8, 3, 43, 24, -45, -33, -9, 31, 19, 15, -59, -53, -10, 2, 14, 28, -23, -70, -12, 6, -39, -43, 32, -37, 16, -52, 32, 31, -4, -46, 18, 25, 47, -25, 28, -15, 13, 39, -29, -46, -3, 3, 15, -43, 47, -5, 10, 6, 41, -24, 6, -6, 23, 7, -16, 12, 23, 45, -7, 12, -30, 46, -48, -32, -29, -30, -38, 44, -35, -34, -30, 45, -33, 14, 32, 1, -49, -6, -29, 2, -9, -33, -47, 28, -11, -46, 24, 43, 47, 44, -15, -25, 30, 21, -18, 2, 32, -27, -9, 37, 15, 15, 4, 23, -7, 33, 36, -11, 19, -2, -23, 10, 31, -24, -11, -34, -28, 0, -4, -19, 6, 35, -47, -17, 42, 5, -31, -25, 43, -40, 33, -14, 10, -23, -3, -24, -13, -24, -43, 25, 22, 7, 10, 45, 19, 43, -27, 29, 8, -11, 6, -9, 51, -6, 42, -25, -18, 21, -33, -2, -2, -23, 55, 25, -22, -66, 26, 47, -23, 53, -5, 17, -73, -62, -1, 14, 17, -15, 22, -18, -28, -19, 24, 21, 0, -6, 34, -22, -23, -7, -37, 28, -22, -11, -20, -20, -11, -42, -11, -28, -11, 18, 48, 14, -12, -14, -34, 38, -8, -7, -19, -9, -30, 4, 14, 54, -1, -62, -64, -50, 28, 23, 38, -27, -35, -25, -81, -13, -32, 9, -39, -49, -19, 30, 6, -12, -6, 9, 21, -23, -10, 20, -25, 42, -33, -42, -17, -3, -3, -36, 28, 40, -38, -7, 8, -33, 30, -43, -31, -19, 71, 1, 30, -20, 11, 35, -34, 38, -6, -11, -8, 10, 27, 33, 9, 38, -37, -10, 4, -61, 26, -19, -61, -33, -41, 29, -34, -26, 66, 34, -25, 32, -34, -21, 24, 19, 36, 50, 0, 0, 17, -17, -46, -3, -46, 11, -20, 47, -44, -26, 29, 90, 23, -13, 30, -23, -36, -35, -64, -22, -13, 29, -26, 51, 57, 13, -16, -14, -22, -45, -41, -34, -27, 19, -40, 6, -20, -22, 27, -46, -21, -55, -51, 42, 23, -25, 39, 23, -39, -44, -6, -23, 42, 45, 40, -29, 6, 39, -25, 22, 12, 21, -39, 27, -9, 5, 45, -1, -20, 21, 3, -22, 28, -12, -39, -26, -6, 0, -17, 15, -37, 11, 35, -7, -11, -14, 2, -6, -25, -4, -67, -20, 24, 24, -45, -27, 16, 36, -6, -5, -18, -5, -18, -35, -19, 2, 3, 14, -18, 28, -6, 27, -12, -17, 43, -11, 20, -36, 35, 16, -14, 3, 50, -41, -16, 77, -13, 21, 2, 36, -38, -29, -18, 42, 18, 10, 63, 26, -2, 3, -30, -24, 14, 27, -2, 42, 36, -33, 3, -40, -17, 34, -11, -39, 26, 7, -49, -19, 21, 11, 45, 37, -22, 14, -7, 41, 60, 5, -42, 27, 44, -13, 21, 11, -8, 11, -12, 30, -10, -51, -4, -14, 27, -59, 12, 9, -52, 18, 45, -2, 35, -38, 4, -5, -40, -33, 18, 39, 16, 20, -4, 1, -4, -22, -30, -23, 6, -10, -43, -28, -6, -32, -44, 3, 20, 19, 54, 10, -51, -37, 33, -32, 18, 5, -17, 7, 41, -41, -33, -26, 31, 47, -34, 50, 43, -7, -41, 21, 44, -33, 9, 50, 50, -30, 31, 5, 32, -16, 15, -47, -52, -14, 41, -51, 13, -6, -26, 23, 7, 48, 8, -9, -39, 14, -34, 11, -42, -30, -10, 22, 31, 26, -30, -10, 24, -17, 17, 8, 10, 0, 13, 8, 44, 4, -26, -3, -25, 49, -11, -18, 36, -20, -46, -25, -45, 43, 19, 8, 25, 30, 25, -32, -2, -31, 8, 18, 17, -11, -41, -21, 2, -36, -26, -40, -16, -53, -53, -19, 7, 39, 10, -1, 34, 39, 5, -36, -58, -43, -42, 2, 3, -41, 26, 7, 8, 26, -2, 14, -43, 44, -31, 18, -9, 34, 25, -49, -35, -2, -47, 13, -22, 8, 43, -32, 32, -22, 62, 38, 6, 7, 15, -18, 4, 38, 38, -29, 31, -16, 7, 5, 48, -24, 29, -13, -35, -8, -28, 38, -18, 27, 31, -27, -6, 13, -22, 36, 3, 29, -30, -5, -8, -37, -29, -32, 14, 31, -2, 39, 13, -33, -35, 37, -14, -31, -18, 19, -29, -55, 26, -16, 51, 8, -18, 0, 4, -21, 20, -26, 22, -37, 33, -32, -29, 47, 42, -40, 5, 7, 16, 21, 32, 10, 11, 47, -43, -57, -40, -29, 20, 23, 12, 12, -21, 9, -3, 59, 6, 47, 44, 10, -36, 41, 35, -44, 24, 17, -21, 34, 10, 0, -30, 25, -39, 60, 7, 48, 4, -11, 17, -9, 2, -30, -32, -10, 15, -38, 32, 8, 19, 48, 13, 0, -6, -5, -5, 1, 20, -32, 9, -56, 29, -29, -29, 22, 16, -3, 56, 62, 67, 43, 41, 43, -46, 5, -20, 1, -18, 38, -26, 47, 25, -35, 6, 28, -10, 31, 13, -35, -16, 21, 18, -26, 42, -5, 24, -52, 3, -32, 18, 13, 14, 47, -14, 11, 25, -5, -11, 53, -39, 2, -17, -11, 6, 30, 51, -10, 38, -11, -49, -16, 2, 25, 63, 44, 50, 15, 57, -7, 8, -28, -50, 12, -10, -5, 48, -24, -24, -21, 64, 27, 21, 1, 62, -8, -30, -9, 1, -28, -31, 45, -23, 19, 22, 7, -33, 26, 37, -22, -10, 7, -40, -20, 35, -36, -50, 21, 61, 82, 49, 11, -8, 35, -4, 29, -33, 35, -30, -26, 12, 4, 3, -7, -7, -18, 37, 8, -18, 37, -27, -53, 24, -40, 23, -38, 41, -12, 36, 15, 35, -41, 38, -5, -7, -11, -6, 0, 44, 24, -39, 13, -52, -9, -28, 9, -12, -15, 19, -31, 12, -13, -29, -36, -32, 15, -8, 32, -49, 8, 13, -16, -8, -17, -32, -12, -26, -27, -42, -38, -6, -28, 16, -34, 29, -14, -12, 15, 42, 1, 37, 32, -22, -29, -27, 40, 23, 0, -47, 35, -18, 42, 33, 21, 36, 46, -16, 3, 32, 6, -34, -28, -32, -30, -27, -3, 38, -1, 43, -6, 45, 21, 6, -16, 8, 16, 47, 33, -25, -44, 22, 20, -10, 21, 34, -34, 2, 10, -21, 12, 38, -22, 30, 5, -28, -15, 39, 3, -39, -33, 28, 10, 6, -28, 8, 23, 1, -12, -35, 19, 30, -33, 6, -49, 0, 12, 27, -31, -1, -45, 2, -47, -11, 9, -48, -3, 40, 22, -36, 19, -26, -20, 38, -17, 33, -7, 2, 16, -6, 21, 36, -18, 7, -8, -26, -45, -5, -16, -6, 23, 42, -7, 28, -26, 5, 3, -48, -37, 35, -29, 18, -23, 32, -30, -29, -15, -5, 48, -47, -22, -11, 40, -33, 34, -45, 21, 39, 41, 26, 29, -27, -28, 12, 47, -32, 48, 40, -44, 4, 27, 31, -5, -36, 5, 27, -43, -27, 40, 2, -29, -4, -37, 32, -9, 38, 10, 3, -2, 42, -39, -10, -47, -10, 19, 47, -1, -14, 13, -30, -40, 0, 15, 20, 38, -47, -43, 38, 33, -29, -26, -20, -40, 42, -20, -24, 23, 26, -29, -37, -34, 8, 29, 26, -16, 27, -13, 10, 40, 32, -27, 16, 36, 20, -30, 49, 35, -17, -33, -24, 6, -10, 35, -42, 29, -41, -5, -5, 16, 27, 32, 34, 19, 32, -39, 31, 8, 42, 43, -29, 24, 1, -32, 26, 28, -15, -2, 43, -45, -45, 7, 15, -1, 6, -10, -45, -9, -14, -21, 31, 47, 2, 3, 16, -3, -9, 9, -24, 16, 10, 33, -32, 35, -5, 37, -3, -25, 2, -41, -22, -20, 41, -47, 18, 39, -16, -26, 15, 3, 28, 34, -37, 19, -17, 26, -25, -46, 40, -15, -39, 40, 6, -46, 38, -21, 40, 30, -30, -50, -29, 40, 16, -34, 6, -18, 18, -9, 36, 19, 27, -27, 46, 14, -19, -32, 2, -1, -16, 49, -22, -41, -22, 46, -33, -47, 28, -23, -2, -35, -25, 21, 25, 13, -48, 27, 30, 25, 34, -10, 15, -13, -31, 42, -14, 43, -30, 32, -46, 1, -14, -37, 38, 40, -3, -8, -31, 42, 40, -7, 11, 21, -21, -19, 48, 40, -33, -20, -13, -11, -24, -43, 18, -15, 44, 36, -35, -16, 12, -9, 29, -9, 27, 10, 21, 35, -34, 31, -21, 42, -44, -42, -8, -7, -6, -24, 28, -27, 48, -40, 37, -9, 35, 49, -13, -9, 26, -17, -31, -25, 24, -35, -2, 34, 10, -33, -19, -44, 12, -13, 29, 32, 28, 22, -3, -13, -32, 37, -44, 14, 37, 26, -13, 8, -30, -3, -27, 31, 40, -48, 25, 17, -38, 47, 13, 9, -20, -7, 43, -45, -23, 51, 8, 7, -21, -19, 14, 28, -41, -24, -38, 6, -15, -38, -52, 29, 24, 2, 31, -7, -39, -25, -26, 22, 26, 20, -17, -54, 25, -7, 18, 40, -29, -42, 8, 15, -41, 25, 24, -31, 10, -12, 9, 47, -3, 30, -17, 48, 20, 43, 41, -32, -2, 8, 45, -29, -23, 28, 19, 45, 23, 45, -17, 3, 23, -47, 3, 32, -44, -39, 12, 16, 24, -14, -42, -1, 5, -35, -15, 12, 6, 18, -38, 25, 17, 14, -10, 17, -26, 30, 23, -7, 39, 12, 30, 28, -41, 28, -38, -19, 13, 38, -43, -44, 6, -41, 16, 52, 22, -33, 9, 17, -37, 36, -10, -15, -44, 22, 8, 8, -8, 20, 14, 35, -32, 27, -35, 8, -43, -37, 26, -64, 2, 31, 11, 41, 28, 37, 20, -11, -20, -4, -35, -41, -58, -8, 26, -71, 23, -38, 9, -32, -30, -30, 2, -18, 28, 4, 38, 0, 6, 26, -45, -12, 4, 0, 5, 48, -46, -46, 7, 12, 24, -31, -8, -3, 27, 40, 21, 13, -31, -3, -10, 13, 45, 30, 9, 13, -29, -10, 38, -10, -29, -2, 3, 25, -1, 7, 12, -32, -18, 21, 7, 18, -5, -17, -33, -43, -9, 0, 14, -19, 17, 40, 39, 26, 1, -16, 6, 53, 12, -35, 53, -60, 9, -35, -12, 37, -40, 22, 12, -6, -30, 75, 41, -59, 22, -61, -40, 39, 29, 11, -38, -1, -38, -38, -26, -1, 29, -23, 34, -29, 36, 40, -26, 17, 36, 37, 49, -69, -11, 14, 57, 5, 46, 55, -34, -12, 16, -26, 25, 11, 24, -21, -15, 13, 3, 17, 29, 41, 36, 28, -46, -11, -1, 33, -14, -4, -12, -31, 58, 0, -41, 56, 36, -16, 2, -45, -50, -26, -46, -26, 32, -15, -17, 1, -39, 60, -22, 19, 37, -47, 40, 70, 49, 67, -36, -22, -21, -52, 24, 41, -36, 32, -3, 29, 30, 25, 16, -8, -6, -41, -31, 4, 17, 40, 16, 4, 30, 42, 37, 23, -31, -47, -27, -39, -41, -37, -22, -27, -51, -14, 2, -40, -41, -23, 4, 16, -4, 44, -2, -50, 23, 14, -24, 15, -10, 38, -44, 46, 44, 18, -18, 25, -21, -13, 26, 6, 0, 39, 19, -23, -18, 46, -6, -16, 23, -47, -30, 28, -7, -40, -26, 11, -45, 11, 53, 36, -42, -42, 24, -32, -2, 2, 31, 25, 26, 37, 8, -19, -27, 30, -36, -1, 0, -47, 19, -28, 40, -23, -41, 23, 35, 19, -10, 33, -60, -11, -6, -48, -46, -5, 15, 0, -36, 21, -30, -12, 20, -5, -14, 29, 17, -15, -14, -72, -17, -10, -15, -19, 73, -10, -34, 45, -42, -17, -25, 7, -13, -65, 32, -36, 10, -44, 34, 8, -5, 37, 34, 21, -18, -50, 16, 3, 13, 39, -13, 82, 0, -18, 67, -35, -49, -62, -34, -35, 24, 11, -17, -57, 33, 40, -26, 49, 16, -18, 28, 48, 7, 28, 17, -11, -18, 6, 58, -23, -14, 57, 34, 4, 37, -21, 32, 0, 31, -4, 12, -2, 7, 24, -56, 10, -7, 67, -23, 44, 26, 19, -32, 9, 8, -9, 42, -21, -4, -20, 12, 22, 45, 47, 33, -1, 53, 83, -22, -12, 4, 1, 10, -4, -25, -1, -46, -9, -20, -52, -10, -13, 19, 11, 42, -7, -36, -35, 42, 7, -8, -36, -18, 54, -29, 13, 17, -22, 22, -42, -5, -56, -48, 16, -60, 18, -35, 8, 9, 4, -4, -21, -46, -51, -7, -33, -48, 19, -19, 28, -31, -33, -21, -26, -43, -31, 8, -54, 4, 29, -6, 4, 29, 31, -39, 9, 8, -45, -37, 82, -10, -3, 22, 11, -15, -7, 28, 23, -41, -15, 37, 41, 20, 41, -29, 13, -18, -29, 14, -11, 7, -27, 27, -9, -46, -34, 32, 3, -1, 9, -22, -32, -2, 36, -25, 33, -48, 4, 39, -39, 10, -7, -7, -5, 14, 24, 68, 35, 13, -36, -42, 38, 23, 15, 19, 37, 24, 19, -23, 0, -29, -42, -16, -53, 9, 38, -2, 25, -29, 35, 20, 13, 46, 0, 25, 10, 16, -8, 17, -50, 32, -9, -23, -51, -56, 28, 40, 6, 46, 32, -19, -48, 36, -3, 41, -33, -29, 19, -5, -10, 3, 15, 0, -29, -10, 12, -49, 18, 18, 33, 9, -6, -25, 37, 17, 25, -16, 48, 9, -14, 39, 39, -25, -24, 32, 44, 24, -2, 19, 23, -7, -62, -56, -7, -43, -53, 2, -9, -39, -26, -14, 25, 31, 24, -41, -5, 11, -51, -18, -12, -18, -23, -16, 37, -42, 22, 33, -39, -53, 30, -29, -20, -26, 5, -4, 28, -49, 43, 22, 28, -8, 41, 10, 20, 29, -12, 58, 52, 12, 51, 29, 32, 11, 28, -25, -39, -26, -46, -22, -41, 13, -44, -8, -33, -35, -2, -29, -20, 19, 40, -2, -36, -33, -18, -17, -24, -20, 39, 34, -39, -38, -28, 25, -37, 26, 7, -28, 18, 38, -52, 2, 59, 33, -43, 0, 13, 27, -7, -20, -18, 28, 21, 18, 12, -15, 18, -14, 25, 3, -29, 21, -48, -44, -41, -33, 15, -35, -7, -6, -7, 27, -4, -50, -36, -14, -36, -55, -12, 2, -47, -28, 27, -8, 42, 6, -38, -6, -13, -36, -25, -51, -22, -9, 0, 17, 44, -28, -13, -28, 40, -28, -61, 31, 26, 2, 37, -34, -42, 2, -25, -2, 32, -37, -15, 38, -26, -9, 1, 37, -1, -35, 15, -2, -25, 7, -2, 25, 20, -36, -56, -20, 15, -28, 35, 10, -7, -28, -27, -38, -17, 4, -15, 34, -3, 44, 3, -5, -11, 45, -43, 1, -54, 27, 31, 44, 2, 3, -35, 41, -16, 29, 14, -1, -49, -20, -2, -33, 12, 3, -33, 36, -48, -42, -41, -3, 47, -25, 8, -39, 25, 9, -43, 21, -48, -39, -23, 31, -31, -1, -16, 0, 15, 28, -27, 27, 38, 30, 1, 28, 19, -36, 23, 10, -13, -24, -34, -16, 40, -3, 24, 38, -35, 26, -9, -8, -48, -40, -40, 25, 15, 25, -32, 27, -47, -47, 17, 46, -5, 40, -26, 11, -13, -9, 42, 59, -4, -20, 14, 11, -18, -15, 10, -10, -13, 20, 8, -50, 34, 20, -8, -24, 34, -38, 0, -37, -22, -26, 8, 8, 20, -36, -22, -47, 19, -55, -53, -3, 10, -8, 19, -22, 2, -4, -26, 4, -59, 26, -41, -13, 48, 9, -50, -54, 7, 1, -27, -9, -34, -17, 20, 60, 44, -31, -30, 9, -40, -20, 5, 36, 33, -8, -18, 9, -29, -18, 5, -52, 24, 7, 13, 13, 23, 55, 7, 2, 25, -52, -19, 11, 18, -46, -3, 0, -9, -15, -22, 2, 34, -11, -21, -23, 38, -38, 3, 3, -6, 26, 25, -31, -16, 4, -1, 8, -30, 13, 4, 36, -4, 20, 41, 11, -15, 52, 52, 24, -44, 52, 21, -2, 52, -21, -15, -11, 47, 41, -21, 34, 79, 28, 47, 18, -59, -1, -14, -48, 45, -30, 48, -14, 33, 30, 36, 87, 31, -3, -51, -1, 47, -51, -49, -2, 46, 12, -2, 40, -25, 15, -20, 6, -25, -17, 11, 12, 23, -22, 35, 2, 18, 44, 28, 27, -15, -20, 26, -5, -7, 28, -1, 10, -12, -4, -32, 39, 48, -28, 29, 16, 29, -10, 24, -14, 12, 21, 15, 27, 20, 8, 30, -6, 26, 9, 4, 57, 27, 7, 10, 28, -4, -11, 35, 8, 5, -25, 0, 5, 23, 52, -37, -31, 48, -9, 63, 9, 10, -12, -49, 29, 44, 22, 12, 43, -17, 34, 52, -39, -29, 55, -1, -31, 58, -38, -21, -15, 24, 38, -11, -20, -41, -31, -17, -5, 40, 48, 1, -14, 32, 6, 65, 55, 38, 45, -2, -35, -25, 38, 9, 37, 45, -16, -59, 5, -34, 1, -51, -23, -35, -16, -5, 24, 2, 31, -6, 24, 23, -35, -26, -16, 39, -18, 45, -8, -11, 10, 26, -7, 1, -58, -32, -29, -30, 19, -17, -4, -14, -4, -34, 35, -3, 21, -34, 5, 25, 23, 11, -10, 1, -5, 21, -45, -12, 23, -28, 43, 13, -31, 25, -45, -58, 42, 48, -78, -52, -15, -38, 18, 31, -27, 1, -29, -20, -42, -21, -27, -13, -45, -15, 34, -22, 10, -12, 13, -36, 11, -17, 1, 23, -25, 3, 44, 46, 33, -14, 37, 2, -25, 47, 20, 24, 26, 27, 19, -8, 48, -14, 16, 33, -22, 18, -20, -19, 50, -46, 16, 35, -38, -35, 0, -27, 20, -8, -3, -22, -25, 48, 18, 18, -3, -1, 40, 0, -8, 17, -42, -24, -29, -12, 1, 11, 59, 9, 54, 59, -35, 1, 13, 10, -38, 0, 30, 23, -9, -12, -31, 6, 15, 21, 6, 1, -35, -17, -71, -51, -61, 18, 35, -18, 50, 18, 9, 17, -49, -35, -6, -49, -25, 15, 2, -20, -54, 10, -42, 2, 20, -30, 14, -27, -41, 23, -42, 2, -11, -16, 16, -26, -2, 24, 31, 46, 0, -43, 46, 49, 35, -43, -8, -24, -30, 30, 20, 8, -8, 17, -37, -17, 11, 19, -46, 37, -10, 2, -46, -25, -33, 6, 15, -45, 2, 14, 22, 23, -35, 11, -6, 25, 47, -31, -22, -6, 42, -16, -18, 21, -22, 37, 15, -43, 8, 10, 50, 10, 10, -12, -7, 23, -24, -28, 35, 34, 10, 9, -27, 20, -27, 1, -3, -25, 31, -20, -11, 26, 5, 31, -3, -38, 45, 30, -18, 27, 9, -28, 15, 37, 3, -25, -14, -26, 38, 39, 7, 8, -32, 16, 18, 21, 25, 26, -43, -10, -23, 0, 3, -6, -14, 29, -23, -29, 2, -48, -8, 18, -54, -4, -27, -9, -33, 29, -30, -14, 13, 40, 38, 48, -20, -59, -54, -33, 23, -37, 21, -19, -21, 25, -5, -34, -17, -8, -31, 17, -26, -27, 12, -26, -8, -14, -23, 5, -29, -23, 2, -28, 5, -14, 40, -8, 29, 7, 18, 44, -41, 64, -30, 50, -7, -31, 25, 5, -21, 35, 27, -30, -28, 21, 17, 55, 6, 38, 14, -19, -32, -4, 29, -58, 35, -32, -28, -3, -41, -5, -24, -67, -63, -36, -51, 28, 31, -10, 8, -50, 43, 19, -12, 4, -14, -29, -32, 34, -17, -38, 10, 28, 5, 10, -10, -28, 5, 17, -4, -13, 48, -20, 50, -17, -18, 21, 8, 22, 5, 4, -9, -43, -45, -29, 19, -47, 55, 7, 16, 1, 25, 11, 18, -11, -20, -42, 28, -12, -7, 31, -10, 54, 22, 37, 3, -44, 59, 46, -14, -10, -51, -36, 30, -44, -6, -22, -15, -14, -43, -38, -35, 19, -8, -25, 22, -3, 8, -11, -23, -8, -35, 34, -41, -4, -29, 33, 44, 35, -11, -39, 25, -1, -31, -1, -19, 2, 17, 14, -37, 0, -1, -41, 43, 33, -23, -43, -35, 0, -11, 34, -41, -38, 2, -32, 17, -21, 20, -14, -13, 4, -30, 30, -22, -8, 38, -13, 46, -48, -2, -3, -45, -9, 28, -33, -26, -42, 30, 9, 11, 26, -30, -41, -46, 14, -23, -2, -30, -47, -13, 28, 37, 7, -32, -10, -40, -2, 43, -47, 33, 19, -24, -41, -42, 20, 43, -21, -16, 9, 31, -16, -45, -2, -10, 35, 5, -3, -17, 29, 24, 54, -39, -4, 6, -32, 27, 36, -20, -24, 15, 33, -11, -12, 34, -39, -40, -2, -8, -5, -20, 38, 5, -32, 1, 0, -26, 2, 12, 12, -48, -18, 4, -50, 8, 38, -47, -29, -4, -20, -11, -12, -18, 11, 12, -24, -12, -25, 22, -33, 24, 21, -13, -18, 4, -8, -25, -4, -13, -46, 6, -42, 3, -45, 20, 35, 4, 8, -1, -43, 39, -44, -38, -1, -38, 14, 16, 28, -27, -50, 33, -17, 3, -35, -20, 39, -30, 39, 13, -30, 17, 0, -13, -33, 35, 3, -26, -31, -41, -55, 9, 0, -46, -23, -11, 11, -11, 46, -28, 35, 24, -1, -37, -27, -37, -41, 9, 23, 29, 45, 22, 33, -30, 40, -33, -46, 31, -30, -1, 42, 36, 48, 7, -19, -8, 15, -34, -37, -22, -13, 19, -48, -13, -28, 41, 33, 11, -33, 12, 37, -15, -1, 8, 21, 18, -12, 12, -22, -33, -23, 35, -42, 2, 35, -8, -10, -36, -40, 4, -47, 36, -38, 42, 40, -45, 41, 3, 29, -5, 22, 14, -17, -12, 40, -28, -43, 48, -28, 24, 15, 1, 10, 47, 33, 17, 11, -12, -30, -9, 8, -13, 5, 7, -22, -46, -32, -25, -18, -16, 41, 20, -31, 33, -1, -14, -42, -29, -15, 14, -35, -17, 42, 27, 5, 43, -44, -10, -23, 12, -22, 1, -3, 46, 23, 27, 17, -43, -41, 39, 21, 18, 44, 44, -20, 47, -29, -26, -1, 9, 32, -29, 16, -16, 33, 19, 23, -48, 11, -21, 1, -18, -9, -25, -33, -39, -3, -6, -34, -16, -19, 2, -9, 28, 32, 24, 42, -36, 45, 28, -45, 12, 31, 9, -29, 28, -26, 27, 10, 22, 18, 9, 31, -10, 5, 9, 46, -24, 12, 2, -30, 26, 15, -17, -35, -28, 25, -8, -45, -8, -29, -24, -33, 33, -32, -5, -9, -14, -32, -40, 38, 43, -4, -20, -27, 29, 31, 45, -40, -34, 6, 35, 17, 18, 18, -26, -23, 2, 6, 9, 23, -15, -2, 18, -37, -46, 22, -11, -6, 26, -17, -27, -7, 1, -40, 14, -44, 11, 20, 18, -13, -15, 12, 14, 35, -12, 40, 12, 28, -21, -16, -36, -24, 12, 17, -44, -18, 48, 14, -28, -34, -28, -40, 31, -24, -51, -29, 41, 16, -23, -12, 44, -22, 29, 25, -28, 28, -22, 26, 31, 28, 19, 24, -16, -3, -34, -34, -21, 41, -46, -20, -24, 46, 11, -43, 32, 4, -14, -25, 37, -40, -42, -18, -28, -37, -32, 34, 18, 12, -25, 38, 2, 28, -24, 45, -51, -19, 8, 20, -15, 39, -24, -4, 27, -4, -22, -1, 3, -30, 26, -35, 19, 13, 5, 5, 35, 1, 18, -17, 34, 24, 54, 7, -35, -32, 14, -35, 9, 0, 38, 11, -38, 33, -43, -12, 18, -1, -40, -30, 37, 36, 27, -44, -32, -1, 34, -39, -2, 29, 16, 36, -12, 40, -18, -11, -35, 2, 27, 36, -11, 13, 25, -34, -14, 28, 32, -17, 6, -10, -36, 8, -23, 35, 4, 22, -47, 15, -23, -44, 15, 12, 22, -36, -21, -48, 4, -26, 32, 4, -36, 37, 30, 8, -16, -49, -50, 3, -11, 4, -22, -26, -32, 24, 13, -47, 20, 9, 29, -3, 15, -49, 25, -14, 23, 11, -27, -32, -38, 16, 7, -46, 29, -52, -51, -15, 0, 26, -28, -25, -42, 28, 23, -45, 37, -43, -11, -27, -25, 18, 17, -47, -35, 13, -42, 17, 28, 35, -39, -19, -23, 10, -18, -33, 25, 7, 27, 37, -39, -2, 23, -7, 26, 3, -4, 4, -17, -28, -12, -25, 35, -29, 39, -44, -44, -13, 8, -8, -5, -20, 0, -28, 3, 30, -40, -20, 15, -32, 6, 36, -40, 20, -49, -16, -46, -50, -33, -48, 19, 18, -36, 35, -14, -15, -12, -10, -10, 16, 23, -20, -29, 45, 10, 23, 1, 46, -7, 16, 47, 25, -36, -38, -35, 43, 14, 26, -7, -14, 0, 39, 19, -41, 21, 32, 22, 21, -42, -34, -28, -36, -29, -37, -40, -11, 22, -12, 12, -33, -20, -37, 16, -24, 32, 40, -45, -24, 31, -43, 26, 41, 39, 6, -44, 13, 31, -14, 43, -35, -5, 12, -14, -12, 31, -33, -34, -34, -17, 34, -34, -43, 38, 0, -24, -12, -25, -47, -5, 11, 16, -10, 3, 0, -31, -6, -16, 1, 38, -25, 36, -21, 27, -38, 41, -40, -11, -46, -37, -12, 25, -25, 6, 38, -34, -45, -25, -20, 40, 16, -2, 17, -38, 17, 45, 36, 9, -6, 46, 10, -30, 16, 17, 6, -42, -24, -25, -39, -7, -32, 37, -6, -27, 2, -44, -38, -37, 5, -30, -13, -46, 46, 40, -33, 45, -46, -16, -37, -22, -3, -38, -31, -37, -16, -23, -46, -32, 1, -26, -30, -17, 31, -43, 34, -43, -6, -27, -40, -30, 18, -2, 15, -29, -26, -25, 40, 4, 17, 21, 43, 34, -45, -13, -7, -21, 25, 36, -38, 0, 22, -42, -40, 3, 42, -8, -5, -12, 38, -30, 9, -22, 39, -42, -4, -5, 9, 21, -46, -35, 1, 28, -12, -23, 41, 45, 7, 5, -37, -36, 33, 15, -24, 21, 17, -11, 10, -21, 10, 23, 3, -21, 38, 30, -17, 21, -31, -44, -13, -40, 31, 0, 16, -33, 42, -12, 17, 35, -1, -39, 7, -6, -37, 7, 9, 42, -4, 0, -13, -44, -2, -4, 14, 16, -47, 11, 24, 34, -46, 7, 10, 10, -3, 17, -36, 7, 44, -3, 17, 28, -3, -44, -17, 10, -26, 20, -11, 35, -47, 37, -7, 44, 12, -44, 4, -27, -4, -19, 25, -42, 20, -10, 33, -21, 35, 44, -19, 33, 21, 17, -2, -43, -14, -51, -35, -41, 29, -45, 47, -11, 25, 10, -11, 10, 10, -44, 35, -48, 19, 38, 40, 24, -30, -4, -20, -43, 24, -39, -47, -30, 10, -37, 1, 9, -41, -24, 35, 46, 32, 24, 17, 39, -10, -20, 28, 45, -20, 34, -46, 27, 38, 39, -34, 24, -33, -38, 39, 29, -46, 7, 1, 22, 15, -18, 36, 20, 14, -8, -41, -27, -4, 2, -6, -16, -3, -28, 5, 7, -3, 35, -9, 35, 34, -13, 33, -4, -43, 4, 16, 30, 32, 22, 16, 19, 38, -14, 15, -20, 46, 26, 27, -20, 17, 12, 19, 6, -14, 23, 25, -2, -21, -36, -47, 6, 25, -38, 3, 10, -44, 23, -22, -31, 25, 42, 2, -24, 37, 43, 3, 23, 7, -5, -18, -36, 32, 10, -40, 45, -1, 45, 39, 41, 51, 37, -3, 37, -10, -27, 23, 14, 42, 23, -66, 25, 30, -8, 31, -12, -6, 6, -22, -27, 29, -40, 0, -18, 13, 13, 12, 31, 24, -24, 39, -47, -20, -40, 32, 67, 6, -45, -50, 1, -34, -19, 10, 9, -8, -9, -14, 8, -34, 38, 26, -31, -9, 6, -3, -48, -45, 23, 20, 2, 26, 8, -25, 30, 27, 33, 32, -30, -35, 7, 1, -11, -24, 43, 6, -9, -29, 50, -12, -19, -32, 48, -66, -42, 49, -55, 4, -40, 14, 15, 24, -19, 29, 54, -29, -25, 76, 14, 4, -40, -10, 53, 31, -21, -9, 21, -19, -6, 31, 11, -47, -32, -11, -50, 10, -52, 9, 2, 20, -1, 13, 25, 12, -16, 20, -38, -17, 23, 44, -25, -4, -26, 43, -43, 44, -27, 27, 47, -6, 22, 19, -48, 3, -27, -37, 19, 30, 1, -43, 44, 16, -18, 37, 21, -20, 18, 10, -44, -35, -44, -36, -46, -20, 0, 1, 14, 13, -47, 43, -43, -36, -30, -67, 14, -49, -36, -3, 36, 10, 32, 11, 23, -26, -14, 33, -24, 45, 27, 47, 44, -12, 35, -19, -18, 35, 24, -25, 20, 21, 43, -30, 48, -19, -11, -43, 43, 0, 11, 32, -34, 40, 32, -12, 11, -20, 46, 78, -13, 32, 12, -71, 53, 16, 12, -46, -7, -9, 11, -45, 30, -38, -33, -28, 27, -2, -49, -35, -20, 23, -9, -14, -26, -42, 33, 12, 12, -3, -48, -49, -58, -31, 3, 1, 4, 9, 46, -18, 11, 26, -37, -35, 30, 44, 48, -18, -48, -26, 36, 36, -14, -23, 14, -28, -3, 4, 15, 14, 30, -36, -45, -30, -12, -1, 6, 9, 12, -12, 17, 44, -16, 16, -29, -16, -28, 28, 44, 32, -49, -39, 14, -13, 5, -13, -5, 17, 20, 0, -23, -26, 13, 21, 28, -7, -53, -15, 47, 20, 14, 32, -25, -48, 41, -35, 18, -26, -41, 5, -63, -6, -24, -6, -14, 42, 4, -32, 4, -33, -9, 12, 14, -6, -35, 28, 35, -4, 5, 1, -14, 23, -30, 14, 1, -69, 3, -47, -55, 32, 26, -34, -22, 46, 21, -20, -10, -6, 63, -11, -34, 0, 17, 6, -25, -33, -22, 10, -30, 43, 35, 9, -41, 1, 2, -34, -20, -48, 16, 7, 15, 23, -10, 34, -5, -19, 60, 4, 49, 4, 38, 17, -27, -42, -40, -30, -32, -30, -5, 10, -44, 22, -16, 27, 58, 11, -13, -11, -52, -21, 0, 5, 35, 37, 7, 19, 55, 40, -35, 21, 52, 32, -15, 42, -19, 14, 20, 29, 9, -54, -20, 5, -57, 32, 2, 14, -18, -27, -35, 30, -40, -13, -32, 13, 3, 17, -22, 12, -25, -47, 13, -23, -41, 5, 15, -23, -20, 4, -24, -10, -44, -17, -5, -10, 15, 8, -10, 14, 25, 4, 8, -21, -2, -86, -36, 11, -36, -62, -19, 8, -24, -16, -16, 19, -36, -48, 19, -3, -47, 6, 35, -11, -34, 15, -9, 48, 60, -50, -5, -25, 22, 10, 38, 51, 7, -51, -7, -40, -44, 15, 5, -10, -1, -19, -32, -21, 7, -21, -17, -26, -5, 7, -32, 4, -14, -21, -6, -20, 19, -28, -22, 15, -26, 37, 30, -35, -13, 46, -43, 3, -18, 10, -43, 4, -47, 43, 11, -17, 11, 10, -15, 32, 2, 41, 10, -31, -7, 16, 3, 10, -45, 3, 26, 17, -45, 18, 21, -44, -37, 31, 18, 34, -4, -25, -48, -23, -44, 49, -30, 0, -7, -31, 41, 12, 26, -33, 2, -41, 6, 26, 26, -24, 21, 28, 6, -31, 7, -46, -45, -3, 8, 26, -10, -29, -4, -15, 15, 15, 5, -41, 0, -18, 15, 40, 51, 6, -1, 38, 10, -33, -12, 5, 18, 28, 7, 15, -22, 9, -20, -13, -33, 6, 9, 23, -34, -18, -30, 43, -41, 5, -21, -45, -39, -39, -39, 2, 21, -6, 23, 44, 29, -6, -30, -45, 6, -3, 27, 40, 46, -26, 33, 4, -26, -49, 25, -46, 0, -34, 4, -43, -5, -32, 10, -13, 13, 18, -30, -42, -4, 34, -24, 22, -20, -15, 9, 17, 37, 0, 24, -38, 4, 45, -33, -38, -1, -12, -25, 36, 21, -2, -7, -33, 6, 37, 45, -11, 31, -4, -45, 23, 17, 18, 35, -23, -29, -9, -27, 37, -34, -21, 15, 6, -52, 25, -32, 5, -35, -40, -38, -35, 45, 10, -38, 11, 20, -45, -16, 8, -24, -3, -3, 43, -15, 37, 34, -30, 36, 19, -9, 44, 15, 0, -46, 41, -31, 16, -16, -46, 37, 14, 5, 2, -14, -26, 22, -35, 11, 27, 46, 28, -7, -20, -17, -45, 37, 21, 38, 3, 7, 0, -19, 17, -45, -21, -25, 1, -29, -33, 12, 33, 44, -17, 22, -43, 22, 5, 11, 11, -11, -35, -27, -12, -41, -27, 22, -22, -34, -27, -31, -15, 24, 35, 1, -29, 8, 21, 45, 32, 29, -25, 2, 38, 32, -14, 37, 37, -25, -1, -44, -25, -39, 37, 25, -2, 9, 21, -40, 19, 40, 23, -38, 13, 10, 33, -43, 4, 32, 44, -28, 5, -41, 27, 41, 27, -36, 0, 42, 26, 34, 20, 6, 4, 41, 11, -36, 37, 17, 13, 0, -49, -23, -1, -17, 29, 17, -9, -23, -5, 35, 7, 17, 7, -25, 27, -30, 41, 35, -1, 19, -11, -27, 40, 23, 40, 8, -33, 31, -26, -15, 2, -48, -9, 40, 43, 18, 44, 44, -31, 22, -21, -27, 8, -36, 9, -12, -23, -26, 3, -18, 27, 22, 0, 43, -47, -42, -11, -38, 9, -21, -21, -26, 4, 25, -23, 49, 4, -49, 26, -8, -31, 43, 17, -8, 1, -16, -11, 38, -4, 39, 5, 41, -33, -25, -18, -3, -39, 31, 9, -40, 28, 11, -2, -46, 3, -12, 42, -11, -31, 33, 35, -24, -43, 26, -30, 4, -30, 15, -13, -21, -15, -33, -34, 44, 20, 35, -36, -51, 19, 52, -9, 10, 12, 23, -18, 26, -36, -27, 38, 24, 29, 8, -23, -58, -33, -6, -41, 32, -2, 4, -54, -9, -14, -1, 24, -2, -21, 29, -48, -44, 11, 6, -9, 20, -19, -5, -37, -1, 48, -8, -47, 30, 21, -15, -2, 41, 11, -27, 4, 17, 5, 40, 41, 30, -9, -34, 11, -29, -7, 48, 26, 36, -34, 2, -8, 31, -32, 28, 26, -34, -40, -13, 36, -17, 4, 35, 22, 22, -28, 47, -17, -37, -37, 40, -17, -37, 20, -8, 11, -43, -31, -12, 39, 35, 32, 46, 4, 7, 30, -29, -29, -17, -12, 10, -20, -2, -11, -37, -8, 21, -28, -41, 39, -41, -15, 12, 1, 34, 35, 39, -15, -18, 32, 46, 45, 43, 22, -18, 39, -18, 4, 20, 41, 34, -40, 45, -19, -33, 14, 70, -30, 11, 5, -1, 6, 17, -4, 17, -13, -29, 19, 1, 5, 45, -11, -3, -33, 14, 6, -9, 10, -25, -18, -13, -67, -21, 0, -54, -43, 17, 50, 38, -28, 2, -48, 11, -29, -29, -14, 8, 9, 10, -29, 7, -25, 35, 6, 35, 17, -44, 39, -13, -1, 16, -22, -26, -5, -12, 44, 15, 28, 11, -22, 41, -38, -28, -9, -27, 6, -20, -24, 22, 21, -27, -21, 19, 25, 32, 6, 5, -26, 3, -19, 39, -3, -30, -24, 3, -23, 42, -17, 50, -2, 3, 63, 18, 6, -38, -7, -30, -27, 8, 9, 4, -32, -18, 9, -68, -37, 16, 0, 9, 8, 42, 10, -9, 34, 25, 29, 8, 48, -11, 37, 46, -30, -30, -36, 21, 10, 13, 46, 35, 17, -60, -22, -13, -56, 5, -7, 23, 3, -5, 0, -20, -18, -17, -26, 17, 0, 13, -22, -18, -18, 35, 38, -33, -27, 63, 43, 19, 22, -1, -3, 9, 13, 4, -9, -35, -56, 20, 30, 20, 15, -36, -22, 42, -53, -24, 7, 37, 26, 22, 25, 48, 21, -19, -33, -15, -11, -14, 21, -13, -5, -8, 33, 18, -12, 16, -9, 37, -25, 26, 12, 43, 7, -38, -12, 7, -14, -17, -13, 21, -7, -35, -16, 20, 25, -12, 15, 14, 29, 2, 1, 1, -24, -2, -6, -9, 24, 38, -16, -23, -35, 31, -15, 57, 0, 1, -7, 5, 10, 40, 49, -26, 49, 22, -19, -31, 34, 35, 44, -29, -22, 2, -34, 39, -3, 1, 10, -25, 42, 7, -12, 35, -24, 65, 19, -2, 24, -6, -47, -21, 14, 14, -3, -14, 26, -28, -15, -17, -43, 21, 48, -45, 23, 20, -20, 30, 44, 12, 9, -24, -13, -42, 14, 19, -39, -44, 5, 34, 29, 23, -41, 22, 36, -8, -30, 9, 36, -10, -16, -14, -6, -12, 37, -24, -1, -36, 19, -41, 8, 0, 42, 70, 1, -47, 0, -5, 13, 2, -39, 48, 39, 13, 12, -1, 47, 6, 16, -1, -29, 30, 38, 21, -5, -21, 50, 15, -4, -23, -8, 4, -15, 30, 25, 32, -35, -35, -13, 7, 12, 6, 11, -9, 30, -12, -11, -37, 71, 4, -50, 42, -20, 37, -7, -5, -39, 38, -6, 22, 14, -43, -13, 27, -40, -2, -22, 25, 30, -48, 15, -25, 40, -32, -42, -44, 25, 72, -7, 26, 32, -55, -5, 70, 8, 45, -15, 3, 48, -41, -25, 18, 10, -18, -33, 21, -4, -19, 28, 21, 16, 20, -39, -19, -16, 19, 1, 5, -3, -42, -4, -55, -28, 32, 26, 23, 28, -8, 1, 21, 13, 35, -20, 13, -1, -5, 4, -4, -3, -29, 18, -32, -86, 18, 18, -27, 51, -46, 12, 31, 41, -11, -6, 79, -4, 46, -27, -4, 3, -5, 16, 12, 16, -25, -34, 33, -14, -49, -6, -15, 13, -37, 27, 20, -45, -25, 24, -34, 27, 20, -7, 6, 57, 50, 33, 51, -26, 22, 1, 37, -21, -27, 24, 35, -6, -61, -41, -19, 8, -3, 42, -29, -7, -21, 6, -46, -26, 36, 2, 4, 15, -1, -39, -42, -38, -4, 57, 39, -34, 13, 25, -8, 12, 45, -44, 23, 12, -24, -10, -28, -26, 35, -40, -30, 9, -14, 30, 22, 8, 26, 36, 2, -1, 51, -24, -31, -26, -44, 45, 7, 30, 31, 20, -21, -17, -34, 13, -19, -20, -29, -16, -1, -45, -24, 29, -10, -35, 29, -8, 27, -21, 6, 25, -29, -37, -43, -43, 44, 33, -42, 10, -1, 6, 23, -46, 20, -24, -16, -47, 30, 20, -30, 23, 28, 0, 25, 11, -5, 25, -48, -12, -11, 31, -38, 6, -44, 33, 33, -34, 7, -18, -28, -21, -26, 0, -10, 15, -34, 33, 18, 38, -39, -33, -12, 7, -39, 45, 4, 32, 18, -30, 41, 22, -2, -23, -2, 24, 18, -22, -17, 36, 43, 19, -37, 48, 25, 28, -10, -34, -42, -12, 1, 23, -13, -17, -19, 17, 5, -13, 32, 14, -33, 17, -17, 4, 37, 34, 34, 29, 12, -44, -16, 29, 5, -18, 7, -1, 37, -8, 8, 24, -28, 27, 16, 33, -5, 53, 37, 48, 5, -31, -10, 37, -54, 9, 23, -8, 22, -13, -32, 8, -36, 5, -45, 20, 6, -51, 6, 9, -24, 36, -47, -6, 13, -44, -33, -16, -44, 44, -21, 43, -45, 41, 44, 27, 45, -19, 46, 12, -49, 34, -28, 0, 26, -17, 23, -17, 9, 6, -1, 13, -50, 20, 13, -41, 8, 14, 17, 24, 31, -27, 31, -27, -16, -13, -12, 18, -7, 13, 30, -18, -25, 31, 29, 39, 30, -16, 12, 22, 45, 31, -31, -38, 48, -43, -12, 38, 17, 30, -7, -35, -41, -44, 18, 30, -13, -9, 44, -8, 40, 16, -38, -35, -24, 34, -1, -25, -28, 18, -49, 17, -15, 6, 39, -9, -12, 41, -40, 5, 28, 34, 25, -4, 21, 34, -40, 39, 32, 17, -27, 31, -19, -33, -31, -16, 47, 22, -12, -10, -26, -39, -18, 25, -30, 46, -44, 42, -2, 28, -11, 9, -39, -47, -40, 32, -26, -8, 26, 12, 35, -17, 12, 18, 7, -9, 16, -30, 16, 12, -9, -1, -7, -36, -32, -46, 23, 20, 8, -46, 8, 45, 44, -10, -29, -24, -24, 43, -28, -39, 46, 19, -10, -26, -41, -28, -26, -48, -30, 2, 24, -20, -30, 32, 52, 41, 45, -20, -37, 43, -12, -46, -8, 29, 16, -24, -35, -7, 9, -32, 47, -19, -5, 29, -43, 45, -5, 17, 7, 32, -42, -12, 32, -29, -36, -57, -2, -7, -27, -34, -17, -29, 21, -41, -36, 46, 5, 38, -29, 32, 15, 8, -5, 40, -45, 44, 15, 19, 1, 42, -20, 8, -3, 4, 18, -13, -13, 12, -46, 1, -47, -13, 4, 22, -40, 36, 29, -27, -41, 44, -4, -31, 15, -29, -21, -29, -23, 25, 19, -32, 41, 30, 33, -49, -2, -41, 15, -47, 12, -45, -15, -11, 1, -23, -30, -19, 11, 33, -55, -54, 17, 4, -24, -31, -14, 14, 19, -35, -13, 29, 6, 32, -42, -38, 1, -1, -14, -49, 2, 17, -19, -26, -46, -33, -25, 20, -30, 5, -9, -31, -33, 26, 18, 22, 15, -53, -51, 7, 23, 4, 27, 1, -30, -46, -7, -9, 7, 45, -30, 17, -22, -49, 39, -43, -17, -12, 26, 29, 21, -29, 17, 14, -22, 48, -15, -46, 44, 20, -27, 28, -10, -38, -9, 9, 13, 37, -10, -5, 19, 44, 38, 28, -29, 14, -33, -21, -12, 10, -3, -43, -18, -18, -41, -15, -7, 42, -40, 25, 35, 39, 43, 32, -1, -37, 37, -32, -9, 17, 37, -21, 20, 21, 5, 19, 11, -1, -28, 31, 21, 6, 6, -9, 49, 7, 19, -31, 10, 9, -9, 22, -23, 35, 28, -12, 38, 16, -20, -19, 20, -2, -70, -11, -1, -35, -30, -33, -7, 35, -19, 10, 13, -31, 12, -38, -15, 31, -16, 20, 19, 22, -22, 4, 38, 10, 3, 12, 12, -38, 10, -43, 9, -18, -16, -9, 5, -4, 57, 24, 39, -13, 3, -22, 40, 48, -5, -36, -48, -19, -22, -15, 18, 0, -13, -15, -68, -55, 41, -54, 22, 31, 30, -47, 15, 40, 37, 8, -33, 9, 7, -17, 35, -24, -47, -3, -21, 12, -44, -33, 43, 37, 3, -4, 3, -31, -42, 44, 13, -34, -12, -26, 11, 56, -30, 11, 9, -22, 5, -48, -14, -21, 17, -5, 0, -19, 51, -23, -26, -29, 12, -28, -41, 25, -39, -39, -12, -21, -35, -35, 20, -16, -49, 23, -19, 42, 23, -26, 27, -14, -21, 6, 2, -6, -37, -7, -15, 12, 6, 42, -34, -7, -5, -21, -37, 12, -28, -1, -18, 25, 20, -18, 11, -40, -34, -6, 35, 28, 0, -23, 24, 32, 13, 28, 50, 34, 16, 16, 41, -6, -1, -37, -16, -20, 31, 50, 38, 53, -43, 13, -31, 36, 41, -31, 45, 38, 32, 1, -23, 13, -39, 30, -35, -4, 11, -20, 17, -59, 17, -23, 41, -10, -38, -30, -15, 36, -12, 18, -38, 38, 2, 21, -23, 40, -26, -36, 12, 19, -37, 6, -38, 9, -33, 7, 2, -13, -13, 45, -12, -21, 17, -26, -23, 32, 6, -13, 37, -12, -34, -42, 44, -26, -49, 24, 2, 30, 56, 16, 15, -48, -36, 19, -24, 17, 28, -20, -42, 0, -9, 18, -32, 10, 34, 27, 37, 12, -13, 23, -2, 19, -16, 5, 8, -33, -4, 4, -27, 31, 36, 47, 45, -48, 30, 18, -45, 18, 7, -5, 32, 39, 6, -21, 41, 32, 41, 4, 6, -19, -16, -12, 7, 36, 29, 39, -36, 2, -48, 36, -5, 20, 38, 5, 11, 13, 11, -14, -6, -7, 11, -30, 35, -3, -12, 5, -9, 8, 4, 10, 23, 31, 17, 34, -31, -38, 3, 43, -14, 42, -45, 45, 5, -25, -5, 16, 27, 52, 1, 5, 32, -25, 0, 0, -4, -24, -14, 23, -34, -18, 14, 22, 22, -14, -37, -16, 33, 32, 4, -6, -24, 25, 11, -46, 30, 33, 36, -37, 13, -12, -12, 15, -34, -17, -40, -30, -38, 28, 34, 31, 38, 8, 4, 42, 42, 44, 44, 48, -21, -31, -19, 59, -22, -27, 8, -2, -27, 28, -18, 41, -5, 33, 13, 23, -13, 33, 31, 20, 32, -13, -49, -30, -12, 27, 38, -12, 32, 6, 39, -4, -39, -27, 44, 43, -36, -11, -16, 24, -18, -19, -15, -3, -32, -37, 47, -25, 37, 5, -11, -34, -20, 22, 49, 18, -19, -12, -41, 8, 25, -21, 18, -3, -41, -16, 22, 45, 44, 25, -30, -21, 1, 36, -28, -11, -27, -4, 3, -30, -28, 2, 15, 28, -4, -45, -11, 44, -25, -5, 20, -16, 16, 18, 28, -4, 36, -13, -24, -7, -51, 23, 30, -19, -46, 26, -30, 38, 26, 16, 10, 32, -38, 42, 36, 25, -5, 1, 7, -11, -7, -38, 22, 0, 0, 25, 2, 3, 9, 24, 4, 52, 29, 13, -15, -4, -23, -44, -41, -43, -18, -40, 35, 15, 10, -46, -10, -13, -43, -9, 41, 12, -22, -24, -30, -43, -16, 17, -13, -12, -8, 49, -34, 3, -6, 43, 27, -5, -28, 23, 9, -29, 35, 18, -10, -7, -33, 37, -36, -11, -24, -36, -64, 90, 14, -83, -29, 35, -92, -1, -33, -48, 37, 31, 12, -19, -21, -41, -7, -29, -29, -32, -36, 35, 16, -36, 47, 25, 31, -11, 19, 45, -16, 1, 15, 7, -24, 20, -42, -29, 28, 39, -4, 24, -23, 47, 8, -30, 16, 9, 18, -32, 3, -22, -14, 38, 5, 17, -33, -9, 31, -5, -36, -29, 15, 44, -19, 17, 51, 40, 32, -33, 13, 35, -33, 17, 45, -54, 22, 32, 5, -59, 34, -28, -9, -38, 10, -44, 27, 32, -24, 34, 33, 26, -15, 7, 18, -4, -16, 82, -11, 17, 33, 32, -1, -1, -28, -22, -9, -12, 51, -17, -6, -7, -60, -3, 33, -40, -22, -30, -13, 8, -7, -29, 22, -31, 9, -10, -8, 11, 15, 2, -10, -23, 83, 25, -13, -48, -18, -25, 23, -14, 20, 5, -36, 13, 3, 45, 13, -22, 1, -27, 29, -39, 0, 25, 8, -19, -3, -4, -51, 7, -27, -22, 8, 12, -7, -27, -55, 14, -18, -14, -39, 39, 1, 30, -50, 50, 21, 14, -7, 43, 57, 34, 64, 54, -24, -3, 25, -11, -22, -54, -12, -8, 32, -13, 32, -32, -20, -44, -5, 35, -2, 32, -24, 47, -20, -28, 12, -25, 29, 21, 5, -29, -4, -8, 42, 25, 14, -16, -41, 27, 19, -7, 46, -32, -34, 37, -44, 14, 28, 41, 35, 5, -8, 9, -45, 16, -5, 2, 46, 12, 44, -8, 38, -30, -3, -24, -2, -25, -17, 1, -21, 7, -48, 2, 30, -1, -44, 18, -32, 0, 46, -1, -29, 29, -33, -23, 15, 32, -23, -38, -42, -35, -17, -15, -28, 34, 7, 0, 13, -24, 40, 45, -13, 1, -26, 42, 9, 15, -1, -10, -56, -34, 16, 24, -49, -13, 34, -37, 33, -10, 28, -9, 30, 37, 41, 0, -22, 37, 21, 22, 9, 19, 16, 24, 41, -4, 2, 37, -22, -23, -20, -32, 29, -35, 37, 24, 40, -13, 10, 56, 11, 4, 22, -10, -27, -10, 43, 4, 24, 3, -17, -6, -70, -2, -1, -72, -31, -18, -36, -42, 21, -42, 13, 0, 7, -15, 31, 41, 3, 28, 24, -5, -2, -14, -5, -23, -26, 41, 23, -6, 2, -21, -32, 12, -17, -4, 23, -11, -20, -4, -38, 37, 43, 61, -37, 9, -21, 33, 0, 42, -26, -37, -26, 13, -39, 10, -27, -20, 3, 43, -22, -25, -20, 22, 15, -14, 11, -10, 7, 10, -30, 37, 43, 26, 38, -19, 35, 41, -18, -21, 20, -14, -3, -42, 43, -19, 20, 3, -6, -13, 50, -4, 16, 57, 56, 12, 45, 33, -36, 19, -23, 18, 17, -34, 37, -1, -31, 5, -28, 10, 9, -50, 16, -9, 11, -1, 49, 19, -23, -42, -10, 39, 47, -10, 24, 10, -20, 19, -18, 8, 60, 19, 35, 15, 33, 29, 33, -34, -20, -41, 33, 20, -27, -27, 5, 17, -24, 2, 49, -16, -39, -9, -21, -16, -10, 24, 13, 46, 20, -10, -4, -7, 34, 17, -22, -59, -36, -67, -1, -65, -13, 18, -10, 2, -13, 12, -38, 41, 21, 6, -33, -17, -4, 4, -54, -38, 2, -1, -59, 53, -37, 12, 42, 47, 5, 1, -22, -11, 60, -16, -8, 15, -28, -11, 15, -28, -16, -40, 29, -4, -25, -25, -3, 22, 25, 31, -43, 34, -48, -21, 17, -29, -1, 38, 36, 10, 38, -4, -18, -28, 42, 2, 27, -9, -29, 0, -51, -19, 10, -17, -19, -8, -3, 34, 37, 37, 41, -3, -38, 4, 48, -25, 9, 39, 19, 32, 37, 6, -13, -3, 4, -33, 40, -47, -26, -12, 35, 37, 3, -2, 4, 14, 16, 18, -6, -12, -8, 37, 25, 37, 43, 1, -3, 16, -36, -39, 13, 33, -26, 2, -16, 39, 12, 3, 14, -27, -42, -25, 0, 28, 2, -35, -4, 42, 16, -48, -13, 13, 32, -19, 35, 12, 33, 25, -10, -41, 43, -26, -39, 33, -29, -28, -37, -26, -10, -5, -25, 16, -33, -15, -14, -43, 5, 8, 3, 31, -25, -6, 38, -20, 19, -10, 37, 44, 15, -21, -28, 38, -13, 18, -4, 15, 44, 5, -8, 26, -35, -16, 42, 1, -5, -13, -45, 10, 42, 16, -18, -22, -19, -32, 1, -24, 43, -23, -37, -47, -1, -38, 10, 19, -1, -32, 29, -42, 23, 2, 5, 11, -46, 39, -13, -26, -7, -39, 15, -15, 36, -42, -21, 36, -39, -23, 18, -41, -2, 13, -32, -11, -9, -35, -8, -35, -27, 21, -21, -33, -36, -40, -20, 5, 0, -3, 27, -9, -24, -21, -1, -53, -7, -17, 1, 28, -18, 44, -9, -39, -48, 11, -4, 23, -42, -21, -36, -4, -4, 32, 19, -42, -36, -34, 22, 54, 32, -18, 0, -32, -39, 16, 33, -40, -44, -9, 2, 33, -28, -36, 3, 24, 43, -12, -20, 1, 37, -6, 9, -20, -49, -17, 3, 33, -8, -39, 0, -19, 12, -4, 26, -23, 22, 27, -19, 12, -16, -48, 31, -33, 9, 44, -42, 13, -32, -40, -31, -20, -11, -13, -25, -34, -17, 29, 13, 14, -2, 1, -3, -48, 8, 25, -37, 11, -37, 11, 28, 9, -48, 35, -38, 14, 5, -43, -22, -25, -18, 30, 24, -44, 19, -15, 27, -4, -26, -5, 35, 0, 34, -29, 19, 20, -25, 32, -39, -12, 14, 34, 10, -3, -28, 29, -38, 6, 1, 33, 48, 10, 1, 21, 34, 6, -14, 9, -7, -31, 25, -13, 15, 9, -30, 46, 11, -45, -9, -42, 44, 55, 7, 7, -22, 0, -44, -17, 20, 25, 17, 31, -19, 16, 31, 13, 17, 21, -6, -27, 31, -7, 28, -23, -27, -35, -52, -4, -28, 12, -37, -15, 23, 0, -7, -28, 38, -46, -41, 44, -17, -10, -42, -14, 12, -44, -33, -26, -44, 23, 21, 41, 9, 46, 45, -16, 20, 32, -26, 27, -40, 31, -46, 22, 0, 21, 28, -26, -6, -27, -27, -18, -4, 37, -41, -22, 39, 18, 39, -43, 1, -10, -29, -46, 49, 14, 46, -28, 30, -14, -14, -2, 21, 26, -49, -30, -10, -20, -37, -10, -6, -26, -2, -18, 15, -42, -29, -49, -26, -26, -54, -30, -1, -19, -40, -23, 11, -31, -14, 43, -46, -40, -35, -27, -15, -47, -43, 22, 10, 37, -26, -23, -21, 29, -35, -34, 39, -17, 42, 23, -38, 32, 54, 39, 23, 39, -44, 48, 9, 0, 17, -41, 25, -17, -43, 9, 41, -33, -51, 16, 18, -46, 4, -21, -9, -19, 27, 13, 24, 31, -33, 29, -42, -17, 32, 0, 14, 36, -15, 35, 17, 6, 8, -16, 40, -39, -39, 14, -25, 4, 44, 11, 25, -15, 3, 40, -30, -43, 5, -6, 14, -45, 42, 41, -48, -37, 13, -5, -16, -24, -2, -31, 33, -9, 37, -4, -1, 5, 22, 3, -48, 32, 42, 10, 26, -5, -43, -22, -15, -24, 3, -12, 23, -32, -18, -28, 27, 19, 0, -25, -23, 31, -44, 32, -14, 30, 37, -7, -5, 65, -16, 54, 36, -41, -15, -3, 5, 22, -29, -35, -7, -41, 19, -29, -5, -19, -52, -17, 37, 34, 45, 14, -28, 44, -37, 36, -14, 27, -5, 36, -53, -54, -7, -20, 7, -24, -30, -7, -11, 7, -36, -36, 29, -37, 24, -27, -36, 26, 9, -32, -7, 46, 32, -11, -39, 0, 75, 10, -31, 7, -21, 17, -10, 46, 10, 36, -16, 47, 49, -24, -6, 1, 59, -16, -17, -6, 21, -13, 16, 8, 12, 39, -22, -3, -2, -16, -29, -58, -36, 68, -9, 28, 9, -26, -4, 40, -53, 16, 39, -34, -19, 18, -5, -18, -7, 23, 30, 43, 23, 41, 32, 8, -29, 1, 28, -5, 5, 21, 44, -10, 40, 1, 40, -1, -22, -14, 3, -11, 2, 17, -3, 29, 18, 0, 35, -31, -4, -26, -40, 18, 24, -40, -8, -23, -12, 11, 42, -48, 15, 31, -30, 31, -13, -3, -11, -19, -25, 29, 15, 29, -28, 53, -19, 22, 4, -24, 6, -8, 29, 10, -11, -46, 22, -40, -38, -7, -26, 59, -7, -34, -6, 39, 30, -38, 33, 36, -34, -27, 37, -34, 45, -5, 26, 31, 36, -8, -11, 34, 26, -33, 41, 23, 20, 15, 6, -50, -11, -22, -9, 49, -4, 0, 46, -32, 20, 3, -25, -27, 53, 16, 21, 24, -37, 43, 11, -33, -19, -11, -3, -11, 28, -37, 48, 18, -19, -12, 42, 26, 9, 23, 29, 35, 28, -23, -39, -16, -15, -41, -30, -13, 54, 26, 23, -26, -35, 27, -22, -38, -17, -15, -9, 41, 20, -2, 37, -18, -31, -25, 10, 32, -26, -7, 7, -17, -3, 11, 46, 32, 1, 13, -42, 44, -6, 20, -38, 20, -24, -45, -7, -3, 24, -29, 43, -13, 6, 42, 33, -50, -30, 19, -3, -9, -6, 26, 4, 20, -8, -8, 14, 0, -25, 1, -8, 33, -16, -8, 14, -16, -26, 4, -7, 20, -23, -31, 36, -17, -46, 49, 5, -58, 32, -7, -29, 28, -18, 22, -30, -20, -13, -47, 36, 49, 3, 24, 5, -15, -17, -9, -48, 37, -3, -19, 31, -47, 32, -1, -21, -47, 21, 28, 16, -26, -47, -7, 35, 19, 25, -33, 54, 17, 16, 38, 12, 5, 0, -28, -43, -3, 53, -40, -11, 7, 31, 37, -38, -24, -22, 16, 35, -40, 31, 10, 18, -14, -43, -44, -30, -6, -25, 3, 38, 1, -15, 9, -11, 29, 18, -7, -6, 44, 2, 14, 34, 12, 8, -13, 62, 39, 51, 0, -37, -14, 52, 14, -6, -31, 42, 15, -21, 26, 68, 46, 25, 20, -19, 51, 19, 68, 18, -33, -13, 25, 0, 9, 39, -16, -30, -18, -10, 40, -59, -60, -16, 28, -53, 1, -31, -23, -40, -39, 14, 40, 23, -19, -4, -36, 42, -33, 19, -7, 1, -7, 2, -24, -26, 23, -7, -6, -16, -27, 38, -47, -25, -45, 15, -41, -48, -56, -18, -44, -29, -40, 16, -26, -44, 20, -36, 22, -48, -26, 30, -36, 2, -47, 8, -12, -13, 30, -10, -32, -6, -14, 31, 10, 40, -3, 28, 10, 41, 2, 25, -17, 36, 1, 28, 9, -4, -36, 40, 22, 37, 41, -26, 46, -48, 25, 30, 26, -43, 6, -42, -14, -41, 47, -17, 22, -44, 35, -18, -32, -14, -41, 23, 41, -7, 24, -74, 2, 21, -53, -25, -58, 12, 18, 39, 18, 16, 20, -1, 27, -27, 10, -46, -7, -48, -5, 43, -17, -1, 21, -37, -10, -32, 15, -5, 26, -27, 48, -41, 27, 33, -9, 3, 9, -43, -12, 22, -28, -11, 15, -33, 41, -2, 26, 37, 33, -36, -37, -30, -8, -2, -47, 9, -5, -15, 13, -9, 59, -2, -15, -15, -38, 38, 23, -30, -29, -22, 5, -38, -45, 12, -10, 6, 86, 30, -28, 16, 22, -28, -35, -43, -44, -44, -10, -22, -11, -33, -28, -34, -41, 39, -1, 7, 18, -64, -17, 17, 11, 30, 15, -3, 4, -28, 6, 60, 35, 7, 29, -43, 16, 42, 12, -5, -13, -33, -40, -33, 22, -9, 27, -48, -1, 17, 20, -12, -21, -16, -25, -25, 23, -46, -29, -11, 41, -19, 63, -34, 25, 12, 25, 42, 27, 38, -21, 9, 34, -4, -31, -38, 14, 75, -20, 38, 37, 47, -44, 15, -1, -44, -18, 19, -37, -1, 15, 39, 32, -45, 1, -2, -40, 37, 19, 14, -21, 7, -31, 17, -42, -33, -13, 9, -9, -19, -25, 29, -35, 46, -29, 24, 2, 12, -8, 14, -18, 47, 4, -16, -13, -9, -42, 14, -21, -25, -49, 8, -20, -6, 47, -21, 42, -9, -12, -34, -25, -21, 24, -30, -27, 6, -40, 16, 26, 26, -3, 58, -19, -1, 46, -3, 33, 40, -15, 21, -15, 40, 26, 51, -35, 39, 8, -30, -9, 29, -26, 28, -38, -32, -41, -14, -8, 18, -50, -39, 31, 16, 14, -33, -51, -15, 5, 25, -65, -37, -4, -59, -51, 23, -45, -1, 6, -37, -8, 42, -18, -11, 26, -19, 11, 18, 13, 17, -8, 23, -40, -26, -44, -23, 12, 12, -38, 40, -32, -32, 2, -29, -35, -37, -7, 22, 14, -26, -41, -27, 15, 18, 9, 21, -48, 45, 1, -31, -16, -46, 34, 2, 29, 28, 44, -20, 29, -24, 16, 8, -38, 5, 36, 2, 27, -12, 7, 23, 7, -41, -9, -35, -1, -34, 33, -7, 10, -21, -32, -19, 29, -6, 50, 44, 24, 34, 44, 5, -17, 9, 47, -12, 26, -5, 40, 43, -22, 29, 43, 2, 6, 30, 34, 25, -30, 37, 16, -18, -16, 21, -13, 48, 7, 10, -24, -26, -50, 11, 76, 0, 26, 31, -32, 0, -8, -14, -11, 20, 11, -22, 32, -62, 37, 10, -5, 9, -15, -15, 33, 15, -24, -16, 54, -29, 4, -8, 3, -13, 40, 25, -26, 49, 18, -42, -13, 0, 14, 47, 19, -22, 21, -38, 27, -15, 31, 38, 54, 45, -16, 38, 32, 11, -4, -25, -14, 6, -20, 28, 36, 28, -29, -5, -35, 49, 31, -30, 53, -3, -6, -21, -20, -32, -50, -60, 24, 11, -12, -8, -3, -22, -51, 38, -10, 23, -35, -44, -58, -28, -10, -33, 22, -16, -7, 15, -33, 41, 38, 44, -45, 37, 9, -27, 17, 18, 11, -26, 18, 15, 33, 53, 7, -20, 16, 15, 19, -18, 6, -19, -21, 20, -46, 21, 33, 5, -51, -25, 40, -20, -20, 48, -5, 22, -30, -32, -11, -9, 0, 15, 8, -8, 35, -31, -7, 26, 14, 26, 23, 35, 42, 48, -2, 24, 23, 11, -17, 18, -30, -41, 34, 28, 13, -32, 14, -26, -14, 12, -41, -3, 23, -4, -13, -2, -10, 18, 28, 16, -29, -29, 3, -25, -42, 29, 38, 28, -22, -17, -25, 44, -42, -35, -31, 41, 19, 2, 2, -37, -9, -27, -45, 40, 39, -12, 43, -3, -27, -31, -14, 45, 42, 12, 26, -4, -17, 25, 46, -5, 36, -32, 24, -36, -43, 12, -39, -52, -28, 0, 24, -45, 29, 43, -8, 37, -15, -10, -1, 8, 17, -25, 22, -3, 21, -15, 33, 40, 13, 30, -19, 4, 30, -26, -13, -1, -46, 0, 17, 18, 15, -44, 1, 48, 32, 32, 39, 30, 33, -9, -16, 21, 5, 35, -11, 9, -36, -45, -16, -2, 10, 47, 36, 6, 1, 42, -22, -46, -16, 39, -16, 7, 28, 26, 11, -38, -19, -12, 7, 25, 36, -11, 33, -40, 19, 8, 13, 17, -46, 29, -16, -44, -31, 35, 37, -43, -17, -37, 33, 32, -39, 29, -37, 9, 46, 16, -38, 13, -8, -6, -22, -42, 39, 13, 6, -24, -27, -34, -31, -35, -22, -23, 23, 8, -38, -8, 41, -14, -11, -27, 32, -8, 40, 8, 8, -9, -2, -38, 27, -33, 8, 14, -21, -29, -8, 31, -34, 19, 17, -29, -27, 49, 2, -17, -4, -38, -46, -15, 46, 6, -12, 41, 26, 44, -12, 43, -10, 45, 42, -34, -33, -10, 35, 38, -14, 27, 36, -5, 21, 43, 21, -48, 45, 36, 16, -17, -29, 31, 28, 37, -26, 45, -7, 42, -9, 29, -45, -22, 6, -3, -22, 6, -23, 42, 42, -20, 14, -39, -32, 30, -2, -12, 27, -46, 48, -48, -25, 22, -2, -34, -14, 24, -35, -1, 11, -33, 0, -25, -14, 0, -15, -9, 12, 26, -21, -20, 22, 31, -15, -6, 6, -10, 1, -45, -3, -8, 3, -19, 22, 18, 44, -41, 21, -11, 25, 42, 34, -11, 5, 20, -24, -15, -16, 26, 12, 42, -34, -29, -42, -35, -41, 22, 30, -42, 25, -41, 40, -4, -8, 28, -42, -21, -45, -38, -42, -9, -16, -37, 18, -33, -25, -49, 37, 5, 48, 25, 42, -42, -29, 15, 23, -41, -8, 11, 2, 10, 45, -35, -16, -26, 12, -28, -46, -9, -18, 24, -24, -46, -18, -27, -20, 0, 27, 16, -8, 16, 17, -46, -6, 48, 28, 20, 41, -14, 0, -24, 13, -5, -11, 1, -23, 31, -44, -8, -44, -43, -39, -52, -11, -25, -50, -12, -37, -3, 4, -47, -16, -36, -26, 3, -43, -11, 36, 0, 21, -45, 19, 5, -43, 3, -49, -39, 4, 13, -37, 13, -36, -19, -55, -27, -4, 23, 26, 4, -15, -28, -33, 24, 0, -41, 13, -31, -42, -14, -36, 23, -17, 12, 26, 39, -2, -44, -48, 27, -20, -29, 47, -31, 29, 36, -43, -50, -28, 5, -30, -28, 47, 27, 19, -12, -31, -6, 9, 2, 21, -2, 9, -30, 38, 21, 23, -8, 27, 0, 31, -49, -13, -20, 37, 28, 19, 13, 10, 16, -24, -28, -39, -18, -26, -4, -33, -36, -39, -34, 39, 20, -47, -39, 31, -30, 30, 6, 11, -17, -30, -46, 17, 25, -8, -35, -12, 7, -2, 0, -34, 14, -24, 38, 35, -44, -51, 9, -16, 42, -15, -28, 9, -20, -28, 17, 30, 4, -24, 7, 2, 5, -51, 30, -34, -32, 2, 1, 29, 35, -22, -38, 36, -2, -39, 41, -33, -18, 10, 24, 8, 3, -33, 38, 2, -35, -17, 43, 5, 6, 5, 2, 42, 1, -15, 33, 4, 23, -29, -17, -36, -22, -11, -39, -38, 31, -27, -39, 37, 32, 9, 47, -11, -40, 33, -24, -35, -53, -26, 6, -54, -53, 9, 13, 48, 42, -24, -47, 1, -31, 24, -29, -11, 22, -9, 35, 9, -23, -9, -40, 17, -26, 39, -12, 0, 22, -4, 14, 41, 50, 27, 11, -43, -3, 4, 42, -27, 27, 5, -24, 57, 9, 52, 23, 27, 3, -33, 23, 20, -13, -11, -16, -33, -22, -51, 1, -23, 22, 2, 22, -8, 21, 15, -5, -3, 53, -5, -16, 17, 51, 33, 30, 20, -3, -28, 40, 48, 1, 30, 10, -37, 3, -16, -41, -4, -16, 29, -17, 25, -3, 19, 2, -6, 23, 42, 17, -27, -13, -8, 8, 56, -14, 5, -18, 27, 18, 5, -16, 61, 33, 22, 31, -15, 35, 9, -24, -3, -61, -34, 16, -45, -30, -7, 13, 26, 77, 38, -9, 26, 38, 4, 5, 9, 26, 21, -12, 9, 44, -18, 35, 4, -48, -43, -25, -31, -38, 25, -16, 36, 3, 25, 25, -34, 34, 19, 9, -24, -21, -24, -23, -41, 1, 23, -27, -14, -28, 36, 43, -45, 13, -28, -47, 17, 8, -37, -14, 14, -26, 38, 21, 17, -25, 43, 33, 23, 17, -37, -28, -43, -34, 13, -37, 23, 39, 38, 32, -39, -24, 11, 5, 2, 24, -40, -22, -11, 29, 23, -10, -39, 27, -30, -44, -5, -41, 43, 14, -12, 28, -43, 27, 26, -10, 21, 32, -26, -28, 35, -16, 2, 36, -27, 43, 44, -49, 17, 8, -20, -19, 21, -20, -11, 12, -6, -4, -11, -8, -47, 0, -11, 33, -42, -4, 5, -32, 11, -12, 33, -31, -3, -17, 44, -27, -34, 5, -42, -20, -20, -2, -41, 33, 33, 41, 39, -47, -10, -27, -30, -28, 27, -40, 2, -9, 16, 43, 39, 14, -17, 11, 13, 2, -24, 18, -26, 42, 27, -12, 2, 4, 40, 42, 22, 20, 6, -44, -25, 40, 16, -27, 30, 13, -38, -10, 12, 26, 34, 27, 38, -7, -17, -15, -42, 18, -22, -27, -16, -18, -18, 13, -43, 2, -41, 11, -25, 43, 6, -25, 19, 3, -36, -12, -20, -9, -20, -36, -16, 32, 19, 39, -6, 19, -27, -24, -17, -36, 32, -33, 23, -26, 19, -37, -26, -16, -11, -5, 0, -1, -32, 13, -34, 8, 1, 12, -41, -38, -54, -42, 7, 17, 1, -74, 26, -25, -38, -34, -2, -5, 0, -27, 9, 15, -43, 35, -11, -39, 7, 3, 28, 14, -23, 7, -31, -34, -28, -56, 38, -23, -62, 18, -26, 15, 2, -11, 7, 36, 16, -24, 14, -34, -15, -27, 27, -28, 68, 31, -29, 40, -52, -20, -26, 38, -43, -3, -1, 42, 3, -25, 19, 46, 53, -27, 53, -24, 29, 48, 32, -53, -38, 25, 13, 54, 54, -4, -10, -41, -19, 45, -14, 9, 24, -39, -36, -48, -52, -10, 4, 13, -47, 17, 11, 22, 11, 25, -15, 12, -40, -15, -46, -27, 9, 43, 44, 5, 20, -8, 42, -30, -1, 18, -2, -2, 38, -38, 18, 30, -5, -11, 15, -46, 13, -27, 36, 8, 17, 4, 25, 18, -22, 8, 1, -1, -39, -9, -26, -6, -41, -45, -27, -45, -13, 30, 1, -37, 50, 33, 0, -20, -37, -3, -5, 39, 51, 12, 38, 33, 20, -4, -4, -4, 45, -38, -26, 28, -19, 32, -21, 27, -23, 25, 50, 28, -5, 42, 14, 6, -25, 18, 2, 33, 42, 4, -31, -6, -33, 2, -1, 28, 33, 20, 34, -30, -38, -13, -40, -20, -6, -32, -13, -34, 38, -48, -47, -13, 29, 45, 2, 48, -38, -48, -37, 47, -11, -2, 4, -40, 31, 47, 6, 40, -37, 7, 29, -24, -27, -6, 14, -11, -19, 34, 2, -1, 41, 6, -32, -5, 34, 1, -20, 19, 32, -8, 20, 23, 7, -19, -39, 20, 3, -17, 20, 22, 18, 38, 5, -35, 24, -8, 27, 37, 7, 28, 11, 18, -46, 18, -45, 0, -39, -34, 29, -15, -42, -3, 22, 7, 9, 32, -12, -48, -16, 10, -26, 22, -10, 11, 16, 41, -14, 3, -2, 39, -13, -39, -12, -18, 0, 42, -42, -45, -44, -49, 4, 33, -21, -9, -36, -37, -36, 17, -11, -23, 40, -21, -18, 38, -16, -28, -8, -38, 2, -38, -17, -40, -45, 28, -43, 5, -15, -34, 46, 27, -45, 12, -44, -1, 3, -24, 4, 39, 12, 23, -4, -4, -33, 28, -42, 8, -18, 29, 41, 21, -13, 16, -41, -29, 13, 46, 46, -48, -37, -35, 13, -10, -48, -12, 9, -23, -20, 48, 14, -13, 29, 33, 28, 0, -34, -13, 25, 9, -3, -38, -24, 22, -25, -43, 12, 4, -19, 8, -12, 9, 24, 1, 29, 47, 27, -46, 7, 25, -30, 42, -39, -23, 43, -9, -6, 6, -36, -39, -14, -29, 47, -46, 36, 8, 17, 0, -30, 43, -35, -16, 46, 18, 27, 14, 45, 27, 23, 7, -42, -9, -18, 44, 34, -16, -8, 45, -6, 14, 47, 33, -49, 29, -12, 13, -41, 32, -22, -37, 34, 16, -25, -36, -20, 27, -29, 23, -4, 34, 17, -31, 35, -48, 4, 40, -37, 11, -25, -14, -5, -39, 7, 16, 12, 15, -14, -47, -3, 41, -32, 45, 12, 14, -39, -2, 24, 37, 14, 2, 11, -41, -42, -10, -23, 13, 12, -27, -22, -27, -7, 21, 4, -48, -16, -8, -35, -34, 26, -12, -23, -27, 39, -21, -2, 44, -2, 38, 0, -22, -18, 7, -44, -31, 46, -28, 16, -20, 35, -41, -20, -5, -34, 25, -30, 44, 20, 8, -29, 11, -8, 31, -19, 5, -39, -46, 29, 29, 39, -40, 2, 26, -13, -34, -33, -16, -1, -32, -22, -4, 38, 11, 41, 9, -33, 35, 25, 2, 17, -46, -20, -26, 6, 28, 35, 15, -28, -35, 16, -32, 37, 19, 25, -13, 13, 28, -33, -18, 18, -27, 35, 42, -39, -34, -4, -23, 33, -12, 48, 37, -23, -7, -45, -42, -13, 39, 20, -16, -42, -15, -7, -4, -5, -7, 32, 44, -4, -39, -15, 9, 17, 21, 46, -47, -6, 4, 35, 0, 8, 29, 45, 7, 14, 12, -1, 17, 18, -19, 33, -23, 22, -47, -11, 21, 14, -48, 25, -53, -36, -14, -44, -25, -44, -26, -46, 48, 42, -38, 2, -7, -48, -16, -23, -43, -37, 33, 20, 15, 15, -9, 33, 46, -45, 7, -9, 4, 48, 10, -46, 36, -13, -47, -45, -45, -4, -44, -21, -30, -47, -19, 7, 24, -24, -28, 21, 21, 13, 15, 11, 14, 12, 43, -30, 38, -42, 45, 25, -27, -18, 40, 33, 37, -45, 47, 10, 21, -13, 12, -54, 3, 46, 12, 34, -49, -35, 10, -17, -30, 36, 11, -4, 47, 38, -17, -25, -40, 23, -25, -1, -44, 36, -37, 32, 24, 16, 5, 5, -49, 14, 38, 5, 45, 47, 35, -23, 17, 21, -8, 46, 37, -32, -9, -30, -48, 33, -31, -37, -39, -1, 45, -27, -6, 52, 33, 59, 15, -15, -15, -29, 15, 31, 15, -20, 35, -22, 13, 33, -21, 36, -7, -40, 27, -54, -36, 13, -30, 34, 37, 21, 2, 19, 22, -27, -50, -4, -45, 33, -16, -41, -12, 5, 25, -37, -4, 36, 28, -48, 32, 2, -33, -28, -35, 44, 25, -18, 70, -26, 27, 62, -1, -43, -3, -37, 29, -51, 40, -24, 3, -20, -33, 34, -23, 40, 25, 1, 3, 14, 41, 32, -24, -36, -16, 17, -8, -45, -10, 18, 30, -14, -9, -3, -31, -16, 20, 35, -3, -10, -72, 35, 4, -54, -21, -42, 14, 14, -54, 17, 3, -18, -2, 7, -35, 15, -55, -46, -12, -14, -37, -9, 48, 37, 29, 31, -36, -24, -45, -28, -21, -53, -54, 19, -6, -67, -20, 6, -32, 14, 14, 44, 27, 0, -9, -25, 31, 10, 22, 25, -40, 33, -15, 29, 38, 31, -35, 4, 22, -34, 43, -3, -31, -6, 42, -18, -40, -37, -7, 41, -23, -26, -33, 20, 32, -46, -7, -33, -49, 6, 14, -30, 21, 10, -12, -18, 10, -39, -12, -51, -9, -10, -15, 35, 31, -13, -22, 47, 27, 21, -25, -38, 42, 42, -6, -27, -1, -3, 21, 38, -16, 23, 3, -6, 10, 20, -16, 19, -20, 28, -9, 29, -36, 19, -27, -24, 25, 35, 19, -38, 19, -1, -8, -38, 15, -24, -22, -18, -29, 6, -16, 29, -13, 25, 23, -37, 18, 15, 12, 14, -39, -1, -32, -40, -44, 48, 47, 14, -38, 14, 50, -4, 21, 25, -21, -26, 29, 42, 51, -7, 39, 16, -34, 16, 33, 33, -42, -44, 15, 18, 40, 20, 22, -34, 18, -13, -31, -14, 5, 43, -15, 17, 8, 5, -9, 32, 48, 15, 29, -36, -32, -6, 14, -14, -28, 21, -1, -35, -39, 37, -45, 13, 39, -33, -6, 25, -2, -22, -42, -22, -25, 36, 3, -13, -11, 4, -37, -29, 23, 36, 36, -12, -9, 31, -1, -43, 1, -17, 13, 2, -14, -7, -24, -7, 30, -23, 46, -7, 23, 57, -32, 0, 32, 14, 11, 4, 39, -14, -36, 11, 26, 23, 35, 22, 36, -33, -14, -27, 6, -17, -52, -6, 40, -8, -44, -42, -25, -37, 2, 21, -14, -21, 13, -7, -32, -12, 53, 22, 26, 20, -28, -33, -37, -31, -39, -23, 15, -46, 33, 32, 28, 7, 0, -35, 6, -45, -26, 16, 41, -10, 3, -38, -26, -41, -19, -21, 23, 11, -15, -6, -12, 33, 19, -10, -11, 24, 11, -35, 0, -30, 39, 14, -3, -48, -25, 33, -32, 19, -7, -20, -40, -16, 11, 20, 8, -8, 30, 19, -14, 3, -9, 34, -8, 31, -50, -32, -43, -49, -43, -10, -18, -35, -35, 18, 23, 9, 48, 34, 43, 54, -23, -4, 15, 55, 13, -20, -40, -20, -24, -2, -19, 1, 8, -37, -30, -38, 1, -10, 8, 34, 10, -17, 32, -26, -8, -1, 33, 5, -17, 51, 37, -28, 0, -22, 43, 58, -34, -10, -4, -11, 43, 38, 19, 41, 21, 3, -30, -4, 13, 1, 9, 26, -31, -9, 9, 3, -10, 58, -18, 59, 1, -37, -23, -19, -27, -23, 35, 36, 9, -8, -55, 26, 35, -42, -25, 46, -45, -2, 9, 15, -9, -39, -5, -29, -19, -33, -16, -22, 22, -31, -7, -22, -18, -24, -29, -35, -36, -15, 31, 47, -3, 41, -39, 24, 25, -18, 2, -33, -44, -26, 37, -8, -10, 38, -36, 27, -29, -7, -42, 11, 25, -35, -38, 7, 2, 19, -21, 33, 22, -14, -25, 4, 19, 3, 39, -4, 28, -46, -20, -14, -54, -9, -3, 29, 18, 43, -23, 48, -13, -2, 25, 10, 40, 19, 16, 43, 8, -38, -42, -51, 7, 26, 7, 15, 35, -18, -23, 8, 27, -52, 2, -17, -25, -43, 42, 45, -25, -10, -40, 40, -63, -51, -47, -42, -46, 23, -16, 21, -24, 25, 34, 37, 41, -39, 33, -21, 14, 29, 34, -20, -28, 39, 33, 21, 34, 38, 19, -40, -19, -11, 31, -61, -30, 44, -6, 41, -10, -40, -5, 2, 2, 7, -1, 61, -5, -18, 6, -4, 18, -55, -29, 5, 2, 4, 4, -18, 6, 3, -25, -18, -37, -11, 4, 13, -11, 18, -6, -15, 9, -16, -43, -27, -32, 19, 31, -32, -26, -23, 30, -13, -5, -24, 36, 47, 11, 13, -47, 22, -2, -35, 3, 41, -3, 46, 3, -13, -22, -17, 22, -26, 44, 24, 42, -38, 13, 40, 35, 27, 49, 42, -32, 12, -21, 1, -4, -22, 18, 32, 50, 0, -37, 4, 2, -54, -23, -15, 36, 22, -1, -13, 11, -8, -47, 4, 7, 54, 35, -26, 41, -50, -22, 41, 40, 16, -9, -17, 44, -18, 21, 9, 5, -3, 2, 28, 33, -32, -36, -19, 34, 16, 4, 30, -55, -14, -48, -55, 4, 22, -4, 51, 36, 8, 16, 34, -36, -17, 28, -16, -4, 11, 46, -34, 28, 42, 2, -25, -22, 1, -27, -38, 19, 20, 5, -13, 31, -36, -11, -31, 26, -33, -8, -11, 3, -40, -22, 9, 23, 42, -39, -5, 40, -9, -19, 38, 7, -37, 7, 9, 7, 19, 6, 8, 7, -40, -33, -17, 23, -20, 11, -28, -2, 3, 32, -36, 29, 16, 38, -45, 23, 23, 17, 2, 12, 36, 12, 16, -43, 34, 11, -24, 15, 24, 18, 13, 22, 11, -23, -18, 20, -9, 21, -4, -3, -33, 25, -52, -26, 37, -9, 26, 26, 31, 44, -33, 35, -1, -8, 3, -51, 19, 21, -15, 43, 1, -27, 0, 37, 19, 6, 18, -9, 17, -12, 43, -8, 16, 52, -46, 10, -3, 22, 8, 33, -4, -8, 35, -68, 17, 0, -15, -22, 21, -47, -19, 1, 22, 32, 34, 12, 9, -10, 22, -14, -6, 7, 2, 43, 2, -51, -15, 18, 44, 29, -14, -28, 50, 39, 23, -5, -24, -12, 15, 36, 26, 35, -7, -58, -14, -24, 9, 40, 7, 28, -44, -28, -44, 18, 19, 6, -2, -20, -25, 3, 7, -44, -30, 13, -18, 20, -19, 46, 55, 27, -47, -36, 59, 38, 25, 46, -25, -37, 44, -60, -14, -43, -6, -10, 42, 53, 4, -18, -4, 45, 9, -1, 7, -58, 24, -17, -26, 43, -38, 25, -11, 6, 0, 26, -36, 5, 47, -20, -17, 45, -24, -26, -25, -22, -3, -46, 15, -35, -32, -15, -32, -43, -7, 9, -17, 32, -14, -10, -6, -23, 18, -26, 28, 16, 39, -10, 55, 42, -13, -29, 29, 30, -29, -8, 14, 6, 46, -22, 9, -19, 26, 30, 3, 28, -49, 51, -45, 27, 29, -53, -10, -42, 0, -42, -6, -44, 31, 40, 38, 22, 10, 48, -34, 16, -20, -26, 24, 5, -40, 7, -25, 1, 15, 26, 34, -19, 30, -21, 6, 34, 28, 31, -34, 28, -14, 31, 2, 6, -29, 37, -16, -21, 22, 8, 5, 22, 38, 8, 17, -26, -25, -19, -48, 9, -43, -46, -29, 2, 32, 34, -13, -2, -22, 5, 6, 15, 6, 14, -6, -22, -62, 7, 43, -3, 63, 65, 30, 14, 20, 17, 2, 49, -31, 40, -26, -39, 42, 10, 18, -6, 30, -3, -10, -49, -4, 44, -10, -47, 12, -2, -34, 15, -20, -25, 0, -2, 40, 21, 30, 27, -33, 38, -48, -4, 12, -73, 13, -50, 22, 41, 8, -15, -46, -28, 7, -23, 9, -44, 42, 32, -2, -2, 24, 19, 11, 13, 8, -18, 37, -46, -8, -13, -4, 36, 55, 56, 4, 35, 4, 33, 33, 1, 32, -42, 17, -5, 47, 21, 6, -13, 8, 22, 22, -14, 53, 17, -18, 19, -35, -4, -17, 0, 20, -52, 11, 23, -8, -29, 9, -25, 29, -24, -43, 64, -13, 4, 23, -27, 11, 16, -5, 38, -3, -10, -29, -31, -59, -32, -21, -11, -3, 23, 16, 34, 45, -6, -24, -1, 9, -17, -20, 25, -25, 46, -5, -10, 66, -23, -31, 0, -42, -32, 21, -1, -3, 13, 29, -34, -3, 29, 29, 8, -3, -3, 1, -35, 53, -23, 15, -9, 36, -46, -6, 34, 45, -22, -9, -19, -37, -2, 28, -21, -52, -36, 46, -2, -21, -41, -5, 27, 29, 1, -47, 3, 14, 44, -15, 16, -30, -39, 20, 26, 24, -37, -11, 33, -19, -67, 10, -12, -32, 20, -30, -17, 12, -1, 10, 2, -35, -10, 0, 0, 3, 28, -6, -43, -2, -42, 39, 32, -47, -38, 36, -34, 55, -11, 44, -16, -10, -26, 2, -8, 50, -34, 52, 37, 23, 5, 29, -53, 7, -47, 0, 14, 20, 23, 43, -7, -14, 25, 40, -40, 20, -30, 0, 39, -44, 1, 37, -13, -33, 30, 42, -13, -23, -50, -47, -44, -18, 31, -36, 17, 32, 17, 45, -27, -53, -23, 27, 8, 17, 4, -14, -7, 30, -24, -1, 14, 22, -53, 14, 22, 26, 42, 27, 11, 42, -37, 17, 16, 12, 40, -8, -31, 5, -32, -17, 18, 38, -17, 24, 9, 45, 46, -21, -15, -21, -34, -45, 45, -2, 26, 31, 33, -31, 23, 16, 33, -41, -31, -10, 76, 15, 14, -4, 17, -57, -7, -20, -18, -22, 36, -21, -44, 38, 12, -18, -14, 46, 41, 33, 37, -15, -18, -45, 31, 31, -20, 9, -51, -42, -21, 19, 33, -4, 5, 14, 64, 12, 8, 26, -15, 4, -62, 26, -26, -2, -51, -41, 28, 25, 42, -7, -34, 32, 45, -22, -43, 33, 22, -30, 64, 46, -21, 11, -19, 37, -22, 26, -10, 8, -12, 19, 15, 10, -47, -16, 13, 22, 7, -12, 41, -16, -15, -11, -11, -33, -2, -74, -24, 8, -18, -38, -37, 50, -50, -3, -42, 12, 2, 8, 37, -21, -39, 20, 43, 16, -47, 0, 30, 26, 35, -1, 2, -18, 13, -10, -31, 35, 15, 27, -20, 24, -4, 22, -35, -12, 31, 20, 42, 2, 12, 30, -4, 13, 1, 26, 24, -11, 25, 23, -40, 37, 27, -1, -34, -31, 33, 37, 13, -43, -25, -39, -3, 12, 39, 4, 15, -23, -18, 33, -22, 0, -48, -77, -45, -44, -24, 16, 47, 6, 9, 38, -32, 13, -30, 33, 33, -3, 47, -11, 11, -45, -17, 30, 11, 19, 16, 8, -27, 40, 34, -6, -40, -30, 46, -29, -35, 1, 9, 20, -13, 37, 42, 40, -23, -35, 4, -86, -78, -46, 56, 46, 31, 7, 30, 19, 26, 8, -19, 5, -14, 14, -46, 39, -15, 27, -29, 56, -8, 52, -6, 9, 0, -5, 19, -16, -21, -4, -3, 11, 45, 7, 9, 20, 7, 17, -3, -28, -16, -19, -9, 11, 12, 27, -22, -27, -20, -38, 0, 19, 13, -16, -17, 33, 22, -36, 50, 14, -2, -22, -28, -20, 37, -24, 49, 33, -43, 51, -31, 17, -40, -31, 0, 12, 13, -36, -11, 40, 40, 11, -46, -48, 41, -40, -10, 30, -38, -53, -21, 42, 24, -68, -7, 23, -4, -32, 22, -21, 26, -37, -3, -4, 3, 35, 35, 7, -29, 42, -47, 23, 64, -17, -34, 9, 27, -3, 15, 22, -12, 31, -41, 29, 48, 7, 58, -18, -19, -18, -30, 19, -6, 31, -6, -53, -9, -19, -42, -28, -29, -45, 25, 46, 52, 29, -35, -19, 4, -48, 21, 8, 37, 39, -44, 29, -18, -4, 4, -2, 21, -22, -29, -37, -39, -8, -15, 18, -20, 25, -28, -22, 12, -33, -3, 5, 17, 18, 8, -19, -23, -46, 51, 46, 10, 9, -19, -20, 5, -7, 24, 23, 35, -28, 32, 7, -48, -33, -21, 4, 17, -7, -35, -46, -38, 38, -8, 22, -36, -3, -25, 21, -4, -1, -30, -2, -33, 2, -33, 41, 44, 40, -46, 25, 24, 40, -44, -2, 25, -28, 20, -50, -17, 22, 13, -45, 34, -1, 3, 22, 40, 24, 27, -6, -28, -36, 46, -10, 19, 35, -50, -5, 6, -1, -12, -16, -37, -43, 8, 10, 9, 45, 53, -19, 11, -45, -27, 36, -39, -42, 12, 24, -47, -34, 25, -11, 1, 24, 12, 29, -15, -34, -42, 8, -41, -40, 28, 45, 30, 32, 29, 8, 21, 14, 15, -2, -11, 38, -33, 32, 42, 17, 20, 22, 11, -45, -35, 12, -27, -7, 47, -35, -22, -15, -35, -4, -44, -14, -22, -23, -1, -10, -9, -57, -2, 25, 5, 41, -20, 4, 39, 5, 2, -35, 1, -42, -5, -26, 2, -34, -8, -37, -59, -28, -6, 23, -25, 6, -10, -14, -39, 48, -46, 24, 33, -28, -43, 4, -15, -23, -51, -19, 30, 75, -11, -10, -21, -17, 12, -43, 2, 12, 51, -3, -17, 40, -33, -29, -47, -21, -43, 1, 26, -14, 20, -40, 4, 24, 18, -1, 39, 25, -22, -25, -36, -17, 42, 53, -8, 35, -17, -22, 5, 28, -16, 22, -22, -13, 65, 35, 33, -9, 29, -20, -5, -9, 40, 18, -41, -32, -35, 18, -25, -16, 38, -35, 19, -15, 25, -29, -6, -26, -20, 50, 6, -45, -2, -34, 14, -6, -11, -12, -3, 47, -12, -29, 7, 1, 48, -20, 28, 25, 25, -4, -27, -35, -27, -23, 39, 14, 20, -20, 31, -25, -51, 12, -7, 20, -19, -22, 5, 1, -4, 13, 25, -46, 40, -36, -49, -33, 14, 3, -9, -23, 10, 6, -31, 43, -48, -46, -36, 6, -1, -32, -42, -38, -44, -3, -1, 10, -10, 9, 5, -15, 6, 8, 35, 42, 11, -4, -22, 5, -46, 33, 4, 25, -24, -25, 0, 47, -13, -27, -34, 64, 10, 3, 21, 18, 2, 11, 27, -49, -17, 13, 32, -48, -1, 33, 15, 21, 21, -8, -44, 27, -24, 47, -14, -10, -29, -28, -22, 23, -46, 14, 8, 29, 34, 8, -41, 28, -18, 15, -41, -42, 36, -20, 41, -14, 47, 12, -46, -33, -5, 4, 5, 5, 8, -8, -21, -33, 31, 14, -30, -16, -13, -22, -5, -32, -11, 17, -24, 21, 28, -31, -9, -35, -35, -8, 4, -18, -34, 30, -42, -23, 43, 2, -15, 4, -44, -6, 18, 11, 13, 5, 41, -33, -44, -6, -38, 6, -11, -32, -24, 35, 25, -24, -19, -30, -37, -34, -18, -32, 6, 34, 37, 36, 2, -41, 2, 26, 3, 29, 36, -35, -41, 37, 43, 25, -22, 34, 42, 26, -1, -8, -27, -14, -17, 2, 2, -45, -11, 43, 6, 8, -38, -42, -19, 28, 30, -33, -51, -36, 24, -37, 36, 20, 22, -45, -42, 15, -32, 9, -35, -33, 9, -47, 51, 45, 6, 17, -5, 9, -44, 1, -5, 43, -44, 29, -46, -29, -39, 26, 44, 10, 34, 12, -12, 23, -14, 19, 15, 19, -16, -26, -19, 7, -2, 29, -35, 42, 19, -44, -35, -41, 33, 44, 45, -18, -14, 2, 39, -37, -8, 9, -28, -40, -15, -16, -5, -33, -1, 20, 20, 5, 47, -23, -28, 19, 25, -27, 40, -45, -14, -33, -8, 50, 0, 35, 8, -25, 10, -28, 10, 25, 32, 17, 16, -15, -46, 20, -48, -39, -4, -17, 6, 21, 13, 1, -31, 27, 29, -16, -49, -42, -44, -53, 22, 26, -19, -37, -31, 40, -1, -35, -30, -30, -34, -3, 32, -47, 27, 37, 44, 3, -38, 34, 28, 43, 1, 38, 35, 9, -39, -20, -39, 27, 7, -46, 30, 20, -20, 6, -37, 45, -9, 18, -32, 16, -46, -22, 23, -22, 7, 46, -29, -34, -26, 10, -26, 25, 43, -27, 32, -35, 1, 39, 42, 17, 32, 9, -2, 45, 21, 5, 41, 45, 42, 33, -14, 7, -27, -17, -6, -35, 39, -47, -1, 24, -31, 44, 2, 6, 31, 24, 13, 32, 7, -4, -21, 20, -26, -1, -8, -9, 17, -20, 23, -19, 14, -42, -39, -28, 30, 34, 30, 15, -12, -7, 16, 5, -42, 44, -1, -5, 34, -36, 46, 1, 6, -44, -25, 13, 35, 22, 31, -22, -3, -16, -40, 12, 17, 16, 7, -9, -23, -27, 39, 2, -2, -26, 33, 34, -23, 34, 32, 24, 24, -44, -46, -46, -30, -26, -33, -12, -36, -30, 14, -39, -23, 28, 5, -25, 13, -24, 42, 34, 5, 21, -6, -7, 8, 10, -33, -19, -26, -38, 21, -22, 5, 8, -8, -38, -14, -18, -39, -30, -41, 43, -16, 0, -7, -42, -9, -3, 20, 30, 9, -14, 24, 32, -9, -38, 23, 4, 11, 34, -47, -29, 41, 4, -44, -31, 22, 21, 30, 17, -23, 21, -15, 37, 27, -7, -50, -13, 10, 43, -19, 34, 30, 36, -18, 20, 12, -38, -25, 32, 14, 0, 11, 17, 0, -32, -28, -36, -9, 18, 5, -34, -27, 12, -12, 31, -36, 22, -26, -30, -1, -22, -6, 46, -10, 15, -21, 41, -45, 32, -48, 20, -24, 26, 1, 46, -6, 11, -49, 22, 4, 19, 20, 23, 10, -34, 3, -18, -8, 9, 1, -20, -13, 0, 45, -4, 24, -22, -28, 33, -33, 32, 14, -43, -3, -26, -36, 25, -10, 9, -35, 14, 14, 37, -9, 41, -30, 29, 33, -16, 18, -34, -36, 39, 7, -47, -19, -29, 21, 30, 12, -18, 23, 12, -18, 15, 44, -16, 32, 26, -8, -43, 9, 4, -36, -15, 30, 6, 36, 10, 10, 16, -22, -29, -31, 29, 24, 8, 17, 44, 17, -45, -25, 0, -80, -22, 22, -38, -49, 38, -29, -36, 65, -43, 14, 44, -27, -13, -41, -42, -18, 12, 7, 40, 0, -46, 25, -18, 15, 34, 21, 3, -16, 10, 6, -20, -4, 51, 40, -22, -6, 29, 26, -3, 29, -50, -19, 4, 42, 1, -38, 33, -13, 16, -14, -14, 21, 31, -23, 2, 47, 2, -2, -8, -33, 9, 54, 2, 48, -26, 45, 40, 47, -6, 19, -1, -3, 3, -29, -27, -29, -52, -30, 30, 19, -43, -31, -20, 36, 45, 8, -42, -4, -10, -13, -14, 38, -67, 15, 26, -29, 6, 10, 19, -30, 3, 0, -1, 4, -25, -18, 20, 49, 47, -39, -11, -7, 36, 28, 7, -4, -43, 15, -20, -34, 25, 40, -12, 34, 13, 65, -11, 8, 34, 33, -7, -6, 6, -11, 13, -20, -6, -34, -28, 40, -55, -8, 33, 29, 39, 34, -28, -5, 34, -30, -46, -21, 1, 40, -39, -40, -47, 6, 0, 34, 18, -24, 33, 15, -19, 59, 11, 2, -25, 7, -33, 20, 36, -35, 24, -38, -6, -45, 13, -25, 3, -16, 48, -50, 32, 37, -1, 36, 11, 33, 17, 34, -20, -8, 44, -11, -1, 21, -7, -7, 40, -38, 8, -39, -47, 48, -44, -2, 29, -11, -6, -6, 11, -24, -48, -9, 40, 6, -51, -11, 18, 31, 2, -1, 12, 2, 5, -31, 15, -17, 10, -14, 22, -57, -38, -34, -47, 13, 13, -8, -35, -46, -6, 37, 23, -43, 17, -28, -6, -49, 44, -3, -14, -18, -13, -4, -40, 53, 47, 6, 15, -22, -18, 30, -32, 29, -31, -6, 23, 20, 44, -42, -6, -37, 7, 27, -34, -3, -18, 4, -3, 2, -24, -5, 7, -41, 17, -10, 39, 22, -36, -45, 26, 44, 21, 35, -41, 42, 20, 16, 23, -47, 15, 44, 21, 13, -21, -18, -40, 10, 11, 25, -2, 16, -23, -49, -19, -17, -11, 23, -5, 52, 53, -66, 66, 63, -5, 37, -18, 34, 13, 36, -49, 51, 10, 35, 0, 48, -8, 1, -21, -15, 21, -10, -61, 26, -29, -10, -13, -22, -27, 29, 32, 38, -39, -14, -34, 16, -8, -66, -30, -3, -35, -21, 28, -43, 1, 39, -63, 47, -27, 16, -34, 1, -8, -2, 18, 17, 4, -32, 0, -28, -7, -45, -6, 28, -13, -15, -38, 35, 32, 31, 22, 20, -42, 16, 17, 33, 15, -50, 5, 34, -18, -40, 24, 15, 35, -32, 17, -5, 13, -18, -5, -38, 23, -18, 45, 30, -19, -12, 17, 4, 7, 24, 15, -52, 29, -11, 14, 47, 4, -32, -2, -23, 3, -15, 14, 13, 46, -12, 19, 13, 25, 16, 1, 2, 19, -26, -23, -21, 23, 35, -32, 1, 19, -39, -24, 20, -9, 49, 53, -45, 11, 42, -16, -29, -15, -38, 18, -18, -6, 25, 24, 24, 27, 61, 14, 15, 27, 5, -7, -12, 34, 13, -31, -21, -50, 35, -13, 22, 24, -1, -31, -1, 2, 20, 8, 8, 26, -12, 23, 28, 10, 23, -10, 47, 22, -20, 7, 35, -19, 29, 42, 21, -31, 29, 47, -41, -47, 14, -12, 5, 44, 48, -56, -11, 35, -61, -13, 14, 32, -36, -9, -9, -7, 10, 26, -22, 28, -15, -24, 9, -45, -6, -10, 36, 32, 11, -44, 45, 51, 54, 45, 32, -37, 11, -4, -24, 33, -40, 37, -8, 11, 28, 27, 15, -12, 16, -5, -41, 10, -46, -40, -38, -16, 67, 23, 38, -9, -10, -25, -3, 29, -57, -19, 43, -42, -32, -10, 49, -39, -2, -14, -26, -49, 20, 50, -36, -28, -1, -41, -35, 34, 7, 32, 24, 42, -32, 17, -15, 21, 14, 37, 21, -54, -47, 0, -51, 45, -43, 5, -32, 16, -35, -12, -18, 37, -38, 27, -40, -7, -22, -33, 23, -8, 17, 41, 8, -29, -34, -7, -13, -44, -30, 5, 18, -51, 5, 51, 85, 17, -30, -2, 20, 63, 11, 3, -40, -33, -33, -12, -9, 34, 22, -40, 32, -11, -50, -26, -76, -30, 34, 32, -3, -2, -4, 3, 0, -3, 63, 36, 28, 12, 25, -52, -51, 1, -68, 19, -60, -42, 76, 42, -15, 4, -26, 18, 27, 32, 36, -31, -30, -53, -49, -60, -53, 8, 2, -33, -14, -27, -13, 16, -4, 6, -35, 6, -15, 30, 17, 9, -35, -40, -37, -11, 1, 21, 42, -29, 8, -39, 54, 27, 11, -6, -27, -53, 23, -38, -56, -15, -58, -4, 34, 20, 30, 54, 3, 45, 10, 28, -30, 13, -13, -12, -8, -71, -51, -16, 4, 31, -18, -33, 25, -1, 36, -2, 19, 16, -15, -14, -34, 21, -36, -10, -43, 3, 38, -47, -38, 28, 20, -2, 4, 10, -12, 38, 38, 7, -51, 19, -31, -29, -36, 3, -9, 12, -3, 14, 42, -18, 22, -45, -28, -1, 14, 30, -50, 45, 81, 35, 76, 46, 79, 78, -8, -8, 57, -27, 22, -40, -15, -32, -3, 11, 25, -26, -32, 15, 21, 21, -26, -37, 26, -21, 24, -50, -31, -8, 10, 8, -21, 24, 5, 17, 5, 30, 28, -27, 11, 16, -43, 28, -22, 44, 47, 1, 8, 6, 44, 38, -20, -39, -25, -26, -13, -11, -14, -14, 27, -35, -2, -16, -45, -14, 28, -11, -27, -28, -44, 34, -13, 43, -29, -27, 26, -5, 1, -27, -2, 37, 38, -5, 32, -13, -43, -46, 14, -17, 1, -26, 37, -10, 4, 21, -7, -2, -17, 7, -40, -43, -15, -45, -9, 31, -6, 43, -1, -45, 16, -15, 18, 10, 41, 55, -7, -28, -49, -8, 18, -4, -30, 42, -4, -28, 22, 14, 33, 43, -4, -17, 52, 9, -16, 17, -9, 15, 60, -48, -19, -13, -21, 19, 38, 8, 36, -2, 2, -26, 71, 71, 30, 15, -9, -2, -38, -4, -43, -11, -41, 38, -47, -43, 4, 39, -12, -22, 5, 30, 40, 23, 9, 9, -44, 22, -15, -25, -53, 29, 13, -30, 0, 15, 11, -53, -50, -50, -12, -29, 16, 2, 18, -6, 13, 13, -27, 23, 34, -7, 8, -17, -25, 43, -33, 56, 24, 6, -3, -27, -2, -29, 24, 19, -19, 19, 40, 12, -8, -27, -4, -50, -35, -49, 11, 3, -35, -8, 2, 46, 19, 9, -12, 20, -15, 8, 50, 3, -18, -51, 4, -61, -11, 39, -42, 38, -2, -43, -27, -29, 10, 4, 18, 13, 53, 41, 22, 39, 33, -2, 17, -38, 38, 6, -11, -35, -1, -26, -29, -2, 2, -8, -30, 11, -12, -2, 29, 40, 12, 31, -38, 14, 32, -11, 22, -33, 23, 41, -19, -20, -24, -51, -8, -25, 34, 14, -28, 3, 27, -5, 53, -28, 63, 46, -15, -44, 47, 0, -24, 11, 36, -43, 8, 44, 27, -15, 29, 12, 15, -7, -30, -8, -40, 50, -19, 21, -23, 14, 10, -16, 43, 28, -33, 22, -22, 3, 41, 11, -4, 11, -43, 24, 15, -25, 26, -10, 11, 36, 39, -46, 19, 19, -43, -30, 55, 21, -21, -16, 2, 11, 6, -19, -16, -29, 5, 28, 5, -5, 2, -32, 53, -12, 3, 8, -1, -20, 20, 9, -30, 16, 20, 31, -25, 45, 52, -26, -28, -18, 33, 15, 0, 33, -15, -47, -37, 18, -25, 4, 71, 36, 6, -23, -19, -24, -45, 34, 41, 26, -3, -8, 44, -8, 31, -24, -38, -20, -10, 19, -39, 17, 5, 45, -47, -6, 25, -15, 41, -33, 9, 6, 39, -10, 11, -29, 18, 41, -47, -1, 72, 22, 26, -49, -24, 11, -9, 30, -4, -12, 35, 20, -36, -36, 28, -11, -35, -21, 38, 20, 27, -39, -35, -23, 39, -30, -25, 25, 48, 42, 34, -8, 30, 24, -38, -7, 0, -4, -7, -55, -16, -3, -14, -50, -1, 23, -9, -44, 46, 32, 3, 31, 21, -36, 36, 5, -1, 26, 14, -22, -36, 13, 33, -28, -10, 44, 10, -19, -3, 8, 23, -15, -14, 6, -6, 12, -23, 41, -19, 18, 8, -19, -20, -38, -4, 0, 43, -21, 1, -16, -42, 49, 39, 34, -11, -10, 47, -7, -11, 32, 18, 5, 28, 24, -19, 0, 1, 1, -42, 33, -45, -43, 28, 35, -1, -7, -5, 2, -6, -26, -31, -32, 3, -29, -28, 13, -31, -43, 2, 42, 41, -2, 39, -28, -14, -31, -10, -7, -26, -54, 0, 9, -23, -48, -6, 18, -21, 18, 24, 45, 46, 15, -14, -5, 16, -22, 50, -29, 20, -16, 38, 3, -20, -26, 5, 0, -36, -3, 48, 26, 29, 9, 0, -13, -33, 8, -32, -2, 24, -46, -12, 9, -37, 25, 16, 37, 40, -44, 18, -1, -10, -45, 43, 21, -27, 16, 2, -38, 35, -34, -2, -24, -43, 38, 18, 34, 0, -2, 32, 2, 7, -13, -23, 19, -5, 9, 15, 0, -3, 12, 2, 25, -30, 45, 16, 23, -12, -5, -64, -35, 9, -35, 0, 43, 22, -37, 36, 24, 40, -39, -35, -20, -10, -32, -29, 8, 5, -8, 51, 12, -3, -8, 14, -4, -42, -23, 30, -6, 30, 6, -2, 40, -10, 25, 24, -58, -10, -46, -24, -11, 26, 42, -13, 1, -52, -35, 8, -16, -18, -27, 55, -12, 29, 27, 41, -34, -18, -4, -6, -41, -33, -39, 8, -40, 42, -42, -13, -10, 8, 41, -30, 23, -26, 42, 3, -13, -32, 53, 1, -29, -40, 7, 50, 0, -23, -14, 36, 22, -18, -46, -37, -22, -41, 6, -28, 43, -6, -45, -4, 9, -23, -13, 38, -12, -6, 33, 22, -39, -14, 18, -18, -41, 43, 19, -17, 29, -30, -28, 15, -21, -18, 10, -27, 32, 30, -41, -34, 48, -30, 8, -6, 82, 11, 30, 34, 31, 43, 6, -10, 62, 48, 2, -12, 37, 2, -12, -3, -20, 19, -50, 8, -33, -43, 47, 2, -37, -48, -27, -30, -14, 36, 17, 42, -38, 22, -19, -46, 27, -18, 29, 47, 2, -19, -18, -33, 32, -21, -42, 1, -32, -10, 28, 16, 11, 42, 2, -22, -19, 4, -23, -33, 21, -41, -17, 19, -5, -41, -21, 35, 42, -43, 32, 16, 25, -11, -11, -16, -22, 23, -38, 0, -61, 32, -62, 41, -28, -42, -12, 37, 32, -25, 26, -20, 12, 4, 6, -32, -10, 27, 14, 28, 40, -7, 10, -39, -44, -4, -38, 48, -39, -21, 13, 45, -23, 1, -42, 25, 0, -11, 46, 30, -6, 24, 5, -16, 42, -3, 18, 39, 35, 16, -5, -22, 27, -31, -16, 32, -43, 5, -8, -38, -9, -11, 30, 4, 19, -46, 27, -18, 6, -34, 50, 9, -39, -4, -8, -10, -42, 36, 20, -13, 1, 19, 4, 40, 41, 20, -9, -5, -32, 0, -7, 21, 25, -47, 5, 40, 2, -36, 60, 23, 11, 66, 14, -21, 34, 46, 33, -35, 7, 1, -32, -69, -29, 37, -77, -46, 19, 17, 27, 22, -19, 35, -21, 34, -32, -21, 36, -4, -14, 1, 18, -7, 27, 1, -5, 62, -42, -39, -32, -62, -7, 2, 10, -29, -24, -46, -4, -12, 24, 43, 19, 18, 24, 16, 29, 31, -32, 19, -10, 31, 50, 14, -16, 38, -23, -25, -35, -9, -23, 15, -27, 43, -1, -6, -31, -20, -32, -18, 13, -3, -48, 44, 31, -39, 30, -41, 37, 8, -5, 0, -17, 39, 34, -14, 27, 25, 0, -30, -29, -10, 10, -30, -33, -4, 2, 40, 26, 43, 24, 10, 44, 5, -18, 41, -24, -8, 5, -18, 20, -30, -69, -39, -47, 3, -15, 23, 18, 20, -44, -5, 5, 2, 6, -16, -21, -46, 0, 31, 12, -48, 49, -46, 29, 44, -15, 35, 9, -33, -21, -64, 6, 14, -5, -55, 0, 36, 25, -24, -18, -23, -19, 7, 43, 39, -25, -10, 39, -2, -14, -59, 7, -18, -35, -1, 61, 52, 33, 22, 36, -18, -39, 8, -18, 41, -31, -7, -28, 17, -22, 3, -50, 11, -29, 49, 3, -14, -28, 17, 33, 42, 25, 19, -50, -21, -44, -34, -34, 19, 0, 24, 17, -34, -23, -8, -17, -14, -6, -35, 30, -13, 29, -33, -41, 41, 33, -47, 3, 22, -34, 19, 37, 7, -25, 0, -42, -34, -26, -12, -28, 25, -9, 23, -46, -36, 10, -43, -42, -6, -23, -4, 23, -9, 21, -33, 26, 12, -16, -4, 26, 36, 14, -46, -33, 13, -17, 3, 16, 34, 11, 53, 18, 30, -39, 16, 28, -35, -8, -34, 34, -24, 30, -6, 46, 61, -1, -24, 73, -51, -15, 20, 40, -11, -15, -39, -21, -6, -10, 38, 23, -14, -39, 23, 17, 13, 15, -38, -52, -19, -51, 31, -49, -22, -6, 60, 8, -11, 22, 34, 49, 10, 40, -6, 20, 46, 55, 0, -37, -23, 35, 34, 30, 1, -36, -11, -12, -13, -27, -8, -29, -5, -43, 34, -20, -3, 8, 1, 16, 35, 9, -24, -12, 27, -14, -47, 47, 19, 57, -17, -52, -3, 30, -31, 30, -52, -59, 53, 18, -15, 30, -50, -21, 0, 48, -21, -16, -43, 10, 45, 68, -9, 47, -55, 36, 13, -12, 48, -26, -35, 64, -25, 30, 8, -45, 39, -20, -18, -15, -20, 12, -34, 23, 27, 3, 28, -2, -7, -49, -1, 22, 9, -25, 32, -30, -26, 8, 8, 44, 33, 7, -6, 12, -21, 44, -36, 15, -27, -38, -28, -3, 55, -9, 26, 51, -11, -37, -36, 26, 32, -16, 22, 11, -23, 33, 37, -46, -23, -9, -39, 44, -52, -19, 49, -30, -9, 39, -22, -19, 2, -30, 47, 34, -8, -56, 9, -39, -53, 24, -1, 57, 82, -50, -27, 20, -19, -1, -4, -33, 0, -19, -35, -22, 10, 34, 47, 3, -15, 2, -38, 31, 0, -30, -24, -27, 34, -3, 26, -31, 41, -43, -25, 31, -49, 26, -7, 8, -25, -43, 52, 27, 10, -28, 0, 1, 26, -42, 13, -17, 6, -9, -59, -77, -54, -38, -4, 10, -29, 5, -30, -36, -5, -44, 22, -20, -47, -27, 20, -9, 2, -70, 5, 35, -4, 21, -34, -9, -43, -26, 1, 22, -40, -23, -10, 27, -17, -42, -14, -13, 14, 1, -27, 41, 14, 15, 0, 15, 27, -15, 46, 29, 7, -28, -55, 25, 49, 57, 56, -13, -1, -24, -26, 11, -29, 2, 20, 42, 31, -40, 2, 1, -31, 12, 15, 5, -57, 28, -2, 39, 33, 5, 24, -25, -9, 39, -3, -26, 39, 1, 28, 45, -15, 48, -42, -42, -36, -17, 0, -27, -4, -41, 3, 2, 11, -13, -37, 44, -17, 27, -45, -31, -52, -26, -4, 22, 9, 9, -2, 43, 25, 14, 2, 0, 35, -8, 25, 19, 77, 20, -7, 12, -51, 42, 1, 9, 43, -20, 2, -17, -13, -54, -2, -37, -11, -7, -54, 30, -54, 8, -10, 18, -34, -23, -17, 12, -22, -13, -34, 14, 43, -22, 47, 22, -15, 44, 9, 45, -43, 33, 2, -45, 50, 8, -54, 5, 20, 10, 53, 31, 30, 67, 27, -28, -6, 13, 35, -23, 18, -40, 53, -24, 12, 5, 56, 27, 30, -40, 46, 37, -7, 9, -7, -22, 5, -4, 27, 11, 19, 21, 45, -3, -31, 13, -22, 45, -25, 16, -1, 42, -35, 28, 0, -54, -4, -22, -29, -15, -16, -53, -26, -48, -7, 10, -34, 21, 29, 12, 9, -7, -12, 37, 41, -17, 0, 23, 7, 35, -13, 11, 7, 37, -42, 35, -4, -42, 46, -2, 26, -20, 49, 11, 65, 73, 25, -12, -13, -24, 26, -19, -45, -31, 39, 18, 25, -7, 44, -5, 44, 37, 5, -20, -12, 32, -28, -4, 4, 13, 46, -30, 42, 0, 29, 39, 31, -28, 25, -11, 20, 2, 37, -11, 38, 11, 6, -42, -28, 37, 46, 6, 37, 36, -14, -6, -41, 34, -19, 47, 43, 38, 44, 44, 45, 27, 45, -16, -13, 27, 22, 39, 46, 43, 37, -2, -30, -31, -5, -38, 24, -2, 24, 21, 12, -6, -3, 4, 5, -2, -42, 14, 1, -1, 26, -29, -30, -27, 37, -5, -6, 29, -6, -10, -7, 3, 39, 28, 13, 45, 15, -36, 22, 6, -38, -65, -35, -39, 16, -10, 27, -32, 9, 17, -13, 0, 8, -24, 1, 42, 3, -18, -36, -43, -4, -12, -29, 25, 85, 35, 51, 21, 31, -9, 3, -33, 12, -33, 33, -25, 36, -14, -4, 21, 54, 26, -7, 48, 29, 4, 28, 45, 3, 2, 54, 3, -21, -41, 11, -36, -16, 11, -4, 47, 45, -26, -51, -50, -58, -10, 2, 1, 25, 3, 24, -19, -50, -37, -48, 31, 38, 28, 30, 14, 15, 23, -24, -4, 21, -3, 37, -18, 21, 28, 63, 2, -14, -25, 2, -35, 14, 28, 19, -6, -64, -27, 28, -47, 0, -26, 46, 34, 8, -40, -48, -46, -20, -10, 36, -12, -54, -60, -27, -42, 6, 24, 24, 24, 15, 46, 35, -10, -57, -14, -15, -42, -24, -19, 29, 28, 35, -1, -45, -42, -37, -3, 7, 45, 20, 2, 7, 8, 5, 21, 35, -1, -4, -9, -53, -21, -49, -1, 97, 17, -3, -25, 27, -2, 8, 28, 26, -14, -14, 25, 16, 47, 36, -23, 21, 12, 39, -19, 17, -41, -26, 12, 19, 0, -34, -44, 27, -3, 37, 42, 17, -41, -15, 21, -47, 24, 43, -47, -14, 8, -30, 49, 113, -32, 8, 52, -30, -30, 10, -12, -12, 10, -23, 26, 10, 6, 27, -32, 22, -22, 3, 13, -4, -46, -4, -16, 31, -23, -16, 10, 56, 31, -46, -11, -17, -22, 2, 24, 28, -13, 2, 5, 29, -8, -39, 39, 37, 18, 5, 24, -37, -38, 45, -11, -7, -25, 12, -6, -7, -47, -34, -32, 12, -55, -19, 21, -6, 11, -40, 27, -8, 13, -26, -55, 7, 19, 9, -22, -14, 6, 2, -15, -9, 7, 18, -38, -46, -19, 13, 43, -24, -10, 70, -83, -12, 61, 3, -5, 63, 13, 52, 23, 70, 2, -59, -33, -23, 12, -26, 0, -31, -17, 16, -30, 58, 45, -21, -6, -8, 24, -10, 9, 18, 27, 15, 37, 4, -53, 24, 26, 47, 4, -6, 19, 29, 12, -22, 34, 8, 62, 16, 16, -19, -40, -34, 25, 18, 4, 32, -38, -46, -1, -14, 22, 41, 10, -32, 36, 10, 1, 26, -21, 40, -27, 54, -25, 32, -29, 28, -20, 36, -39, 36, 41, -53, -32, -47, -47, 9, -7, 15, 22, -30, -5, 15, -27, -40, -7, -17, -10, 40, -1, -20, 49, -4, -50, -11, 2, -30, 15, 35, -30, 9, -4, 36, -35, 48, -28, 33, 27, -21, -6, 37, 45, 2, 20, 8, 12, -5, 3, -16, -10, 38, 24, 19, -12, 7, -31, 4, 17, 13, 67, 57, 46, 29, -5, 31, -1, 65, 19, -12, -20, -23, 33, 44, -24, -12, -34, -48, -23, 9, -5, 8, -1, -6, 20, 50, -44, -15, -18, 19, -3, -35, -8, -47, -2, 20, -52, -23, -1, -11, -19, -38, -46, -39, 9, -43, -16, -44, -15, -1, -13, 6, 5, 29, 8, -7, 46, -8, 16, -25, -14, -23, 2, -10, 27, -27, 2, -7, -4, 25, -10, 7, 29, -11, -35, 7, 5, 47, -8, -25, 27, -23, -8, 45, 34, 36, -29, 41, -9, 23, 38, 0, -30, -36, -28, -28, 23, 37, -5, 15, -5, 5, -3, -16, -47, -34, -25, -1, -32, 21, -32, 36, 12, -21, -10, 8, -26, -22, -60, -28, -25, -38, 3, 44, -40, -33, 10, 48, -13, -5, 49, -41, -30, 20, -50, -61, -64, 9, -55, -37, -1, -13, 60, 11, -31, 28, 8, 24, 10, 36, -39, 23, 93, 24, -35, 77, 36, -33, -13, 47, -27, 36, -8, 40, -18, 19, -32, 6, 22, -20, 19, -62, -23, -30, -6, -29, -25, -19, -14, -11, 4, 23, 57, 22, 27, 41, -45, -21, -21, -37, -24, -2, -39, 26, -13, 18, 55, 9, 13, -41, 30, -28, -35, 28, 29, 13, 48, 37, -29, -61, -87, -59, 7, 4, 54, -28, -40, 27, 11, -24, -8, 26, -69, 34, -40, -24, -5, -20, 27, 52, 22, 18, -16, 24, -31, -1, 38, 14, -40, -50, -54, -54, -53, -12, -32, -23, 56, 9, 23, -2, 31, 4, 17, 35, -9, 3, 47, 5, 84, 46, -14, 62, -28, -67, -72, 6, -39, -12, -44, 3, 45, 42, -4, 4, 42, 19, -33, -53, -17, -59, 1, 23, 31, -49, -5, -15, 39, -5, 44, 8, -24, -15, 37, 39, 55, 11, 79, 73, 28, -96, -63, -45, 45, 83, -13, 45, 59, -33, -76, -22, 20, 27, 30, -10, 34, 17, 2, 39, 26, -27, 34, -33, 29, 39, 23, 30, -15, -39, 24, 48, 23, 34, -2, -41, -26, 12, -12, -40, -27, -42, 6, -29, -28, 1, -31, 47, 35, 29, -21, 34, 2, 29, 46, -15, -10, -42, 45, 24, -39, 38, 0, 17, 24, 12, 24, 20, -27, 31, -13, -1, 19, 6, 29, 11, 26, -23, -49, 4, 10, -23, -13, 23, -17, -30, -23, 7, 40, 37, 28, -22, 38, -41, 39, 22, 21, -41, -5, -27, 44, -12, 15, -23, 27, -4, -47, -33, 20, 41, 36, 21, -47, 20, -38, 0, -44, 6, -21, -1, 32, -6, -9, -36, 58, 7, 44, 1, 12, 50, 35, 10, 43, -6, -34, -32, 35, 7, -43, 22, -17, 27, -53, -37, -16, -46, 4, -36, 13, -37, -9, 48, -18, 38, 25, 44, 20, -2, -27, -10, -46, 22, -47, -20, 4, -47, 28, 23, -28, -23, -13, 19, -25, 6, 19, -48, 15, 13, -23, -8, 30, 16, 13, 15, 24, 16, -57, -51, -40, 21, -25, 10, -10, -31, -10, -17, 26, 33, 31, 10, 28, -23, 29, 12, -12, 10, 1, -17, 4, -46, -19, -32, -1, 31, 47, 43, 25, -48, -49, 23, 25, -6, 43, 21, 31, -5, 5, 7, 2, -36, -6, 28, -6, 24, 27, 43, 42, -15, -28, 38, 34, 38, 43, 42, -7, 18, 24, -19, -20, -48, -48, 44, 9, -17, 2, 32, -45, 28, 28, 12, 45, -16, -24, -42, 30, -17, -12, -5, -15, -11, -15, -9, -35, 12, -13, 34, 7, -49, -31, 27, -1, 11, -47, 26, -54, 26, -44, -8, -20, -31, -40, -11, -17, 27, -11, -5, 4, 29, -17, -9, -44, 19, 7, 16, 44, 31, 13, 38, 3, 0, -34, 0, -15, 38, 38, 8, -34, 23, -41, 47, -31, -22, 0, 15, -2, -38, -44, 35, -14, -18, 42, 17, -12, 39, 13, -18, 6, -4, 1, 41, 18, 3, 33, 31, 41, 25, 13, 41, 42, 4, 0, 35, 6, -37, -10, 46, 12, 47, -10, 35, -20, -33, 12, 33, -39, -9, 46, 42, -3, -35, -36, 32, 9, -11, -45, 29, -48, 15, -3, -48, -20, -17, -25, 37, 36, 33, -29, -44, -34, 21, 37, -38, -27, -24, -1, -28, 34, 0, -6, 21, -10, -25, 40, -42, 6, 23, 26, -29, 43, -46, -8, -5, 8, 9, -14, -9, 52, 7, 9, 5, -48, -42, 26, 28, -8, -42, 26, 37, -24, 2, -49, 7, -45, -26, 40, -17, -35, 28, -29, 33, 3, -45, 23, 41, 36, 6, 21, -8, -28, 31, -13, 22, 40, -19, -48, -22, -3, -9, -12, 34, -63, 16, -1, -25, -34, -43, -14, 8, -43, 10, 23, 19, 27, -9, -8, -38, 24, -2, 15, 50, 14, -18, 26, -30, -13, -51, 29, -32, -36, 35, 23, 36, -23, -37, -12, -41, 30, -29, -50, -31, -23, 0, 20, 24, -40, 43, 0, -50, 26, 29, -27, -13, 13, 12, 41, 9, 47, 26, 30, -34, 31, 22, -16, -27, 31, -18, -48, 9, 11, 30, 45, -34, 44, 15, 1, 8, 18, 1, -39, 33, -11, -43, -10, -2, -40, -21, -1, 8, -33, -12, 56, 13, 32, -38, 14, -3, -29, 18, 2, -37, 48, -14, 31, 1, -40, 22, -48, -17, 13, -33, -10, -51, -21, -27, 24, 3, -39, -48, -15, 38, 20, 37, 3, -9, 37, -32, 14, 3, -5, -42, 10, 42, 12, -14, 9, -22, 37, -21, -12, 36, -20, -37, -42, -15, -49, -40, 22, 8, -11, 15, -30, 47, 20, 25, -25, -14, -11, -19, -41, 43, 8, -18, 1, 24, 40, 86, 58, 20, 4, 24, 10, -36, -48, -15, 14, 45, -49, -19, -13, 39, 44, 36, -16, -21, 2, 2, 5, -40, 13, -12, -3, -15, 19, 20, -28, -14, 26, 36, 5, 25, -22, -45, 50, 28, 22, -20, 8, 36, -15, 18, -51, -51, 31, -49, -5, 3, -53, 28, -29, -31, 46, -20, 6, -4, -20, 51, -13, -3, -44, -55, -23, 15, 32, 38, 12, -25, -14, -17, 14, 6, 30, 31, 30, 17, -5, 0, 3, -13, -25, -35, -32, 18, -3, -42, 42, -17, -63, -6, -13, -33, -34, 32, -64, -12, 15, 29, 27, -17, -9, 44, -18, -55, -3, -69, 12, 59, 25, 29, 17, -13, 27, 63, -23, -3, 15, -19, -7, 30, 18, 32, 6, -31, -38, 8, -24, -35, 12, -75, -50, 55, 28, 9, -50, -43, 24, 40, -39, 0, 32, -17, 42, -25, 2, -31, 36, 20, 4, -34, 44, 2, -28, 58, 4, 21, 10, 20, 0, -32, -45, 39, -22, -18, -44, -5, -13, 28, 5, 13, -38, 8, -36, -30, 26, -50, -51, -3, -32, 1, -31, -26, -49, -49, -33, -52, 25, 17, 13, -6, -17, -42, -28, 9, -54, 40, -11, -41, -39, -46, 49, -42, -6, -17, 54, 27, -35, 7, -22, 0, 12, -46, 1, -36, 9, 26, -11, 6, -26, 44, -32, -36, -16, -30, 39, 18, 26, 34, 38, -34, -5, -8, 54, 4, 38, 62, 78, 27, 33, 25, 7, -53, 19, -37, -45, 22, -44, 31, -17, -1, -24, -7, 9, -13, -20, -26, 16, -24, 15, 12, -28, 13, -5, 8, 35, -18, -31, 27, -2, -14, -3, 1, 3, -4, -31, -16, -45, -4, 17, -20, 22, 9, 42, -12, -23, -10, -5, -19, -8, 38, 41, -10, -3, -5, 27, -14, -14, 40, 3, 7, 36, 2, -14, -39, 20, 1, 43, 47, -16, -23, 34, 33, 65, 5, -10, -12, -30, 36, 12, -37, -36, 22, 24, -2, -45, -20, -35, -35, 18, -22, 25, 10, 21, -51, -2, -7, -25, 18, 8, -29, -22, -41, -63, 21, -20, 42, 11, -9, -16, -1, 4, 43, -22, -39, 18, 36, -1, 33, 21, 17, -25, -20, 41, -31, 22, 19, 34, 37, 17, 11, 14, 6, 4, 14, 84, -26, 20, 5, 17, -21, 49, 20, -4, -26, -8, -9, -19, 25, 19, -15, -30, -20, -1, -55, -59, -43, -14, -58, -13, 3, -38, -40, -16, -57, 3, 31, -10, 26, 8, -26, 9, -7, -12, -41, -36, -43, -56, -11, 28, -10, -12, -10, 48, 5, -73, 4, 31, 5, 19, 56, -40, -29, 48, 44, 11, 11, -16, 32, -39, -73, 2, 11, -20, 13, -26, -41, 24, -22, 8, 3, 29, -28, 38, -5, 16, 65, 11, 18, -13, 3, -29, -11, 2, -18, 30, -22, 18, 15, 33, -10, -21, -6, 53, 50, 0, 26, -24, -39, -27, -21, -3, 10, -27, 42, 11, -40, -27, -15, -31, 40, 30, 10, 29, -28, -22, -37, 21, -63, -46, -27, -25, 39, 59, -3, -11, -8, 19, -10, -37, 31, -25, -13, 29, -11, -45, 21, -33, 32, 10, 26, -24, -52, 56, -17, 19, 8, 11, 3, 7, -33, 14, 12, 13, -5, -47, -46, -54, 19, 43, 13, 42, 26, 14, -14, -1, 6, 12, 31, 27, -45, -29, -2, -25, -9, -20, -10, -34, -20, -45, -14, 40, -12, 3, -9, -14, -32, 6, 5, -42, -11, 28, -41, -2, 4, 12, -34, -47, 15, -31, -23, -39, 15, -24, -45, 29, 37, 34, 21, -15, -1, -34, 18, 24, -10, 10, -27, -43, 34, -13, 7, 1, -26, -44, 32, 8, -40, 13, -2, 6, -33, -17, 11, 32, -31, 6, 46, 23, 43, 14, 40, 28, -9, -35, -47, -14, 29, 9, -7, 36, 12, -44, -19, -6, 13, -20, 9, -2, -8, 37, 20, -9, 12, -12, 25, 17, -27, -41, -41, -29, 8, -23, -22, -30, 35, -18, -2, 30, -25, -15, -38, 0, 30, 32, -12, -2, -44, -1, -46, 12, -40, -40, -38, 22, 0, 30, -7, -9, -29, 14, -35, -19, -27, 25, -17, -52, -8, 32, 8, 11, -43, 27, 44, -1, 36, -45, 27, 1, 17, -28, 14, -6, 9, 28, 31, 2, -2, 7, -3, 35, -12, -27, 29, -35, -46, -21, -8, -7, 38, -17, 42, 14, -45, -42, 42, -12, -9, -27, -11, -39, -25, -25, 1, -37, 36, -24, -45, 43, 12, -11, 26, -43, 5, 19, -19, 47, -5, -44, 0, -34, 1, 4, -32, -36, 17, 7, 17, -38, 33, 24, -15, 31, 42, -22, 35, -28, 35, 9, -24, -11, 27, 17, 19, 42, 20, -40, 34, -33, 21, 41, 4, -5, -25, 47, -6, 31, 12, -30, 4, 37, 14, -32, 7, 27, -19, -2, -16, 12, -5, -43, 36, -25, -23, 11, 37, -5, -11, 29, -1, -26, -7, -42, -22, -33, -12, 37, -5, -45, -41, 35, 9, 25, -43, -42, -6, -19, 12, -32, 33, 25, 29, -43, 17, 30, 11, -43, 35, 22, 5, 22, -41, 27, -8, 18, 36, 12, 43, 35, -24, -15, 48, 14, -43, -27, 28, 20, 24, -4, 45, -27, 41, 20, -40, 37, -3, -19, 42, -34, 29, 41, -36, 26, -38, -37, 28, -3, -45, 23, -39, -3, 3, 44, -21, 19, 5, 24, 40, 42, -21, -19, -13, 46, -34, 8, 23, -19, -31, -43, -36, -47, -37, -27, -29, -30, -46, -17, 43, 40, 7, 15, 44, 5, 46, -27, -21, -28, 44, 13, -25, 11, 14, -14, 24, 22, -23, 40, -39, -7, 10, -39, -12, 36, -21, -35, 42, -15, -30, -31, -7, -34, -9, 15, 21, 24, -42, -48, 22, -18, -22, 39, -25, 8, -25, -48, -37, -43, -38, 22, 16, 20, 37, 5, 1, 2, 44, 15, -1, -18, 17, 29, 18, -15, -21, 2, -1, 46, 24, 41, 36, -35, 10, -24, -19, -29, 9, 41, -19, -26, 21, 19, -22, -44, 46, 26, 10, 13, -22, 40, 40, -39, 11, -19, -18, -47, -36, 34, -30, 26, -27, -9, -14, -12, -44, 16, 19, -7, 0, 32, -2, -8, 4, 9, -23, 25, 26, 27, -22, 34, -36, -23, 31, -41, -37, 13, -31, -6, -3, 39, -38, 38, 15, -46, -9, 10, -40, 26, -24, -46, -2, 8, 10, -20, -41, 44, -12, 10, 13, -36, 9, -13, -26, -34, 14, 7, 12, 12, -21, -11, -29, -25, -3, -15, 8, 10, 9, -46, -36, 20, 2, 47, -33, 6, -24, -31, 5, 38, 44, 26, -30, 18, -32, -19, 3, -27, -30, 2, -7, -42, -33, 31, 31, -3, 41, 3, 12, 10, 34, -27, 37, 11, -15, -49, 18, -7, -20, 41, 34, -14, -43, 7, 19, 45, 0, -47, -44, 43, -30, 39, -11, 11, -30, 43, 20, 1, 40, 13, 40, 23, 19, 22, -20, -3, 10, 15, 2, -8, 39, -16, -35, 30, -22, 16, -21, 19, -59, -21, 33, -12, -2, 29, -20, 33, -26, 6, -22, -32, -20, -5, 10, -4, 40, 3, 43, -2, 37, 23, 13, 15, -31, 48, -22, 18, 4, 16, 34, -34, 9, -49, -10, 28, -28, 38, -5, 23, 15, -20, 14, -12, 44, 43, -25, -7, -1, 10, 9, -29, -2, -41, 31, -21, 40, 20, -35, 7, 31, 30, 38, -5, -11, -41, 34, 9, 40, 1, -30, 13, -28, -41, 26, -15, -3, -35, -4, -43, -41, 23, -8, 3, 1, -37, 8, -7, 3, 39, 15, -41, -22, -12, 6, -17, 37, 42, -40, -10, -7, -48, -36, -29, 10, 39, -24, -46, 11, 27, -20, 33, 7, -26, 45, -11, 21, 29, 36, -24, -8, -31, -47, -23, -16, 36, 27, -10, -30, -36, 30, 8, -38, -1, 4, 32, -30, 30, 32, -38, -29, 25, -46, -18, 26, -1, -25, -33, -18, 7, 20, 8, 6, 6, -25, -15, 29, 5, -18, 44, 14, 45, 28, -34, -24, -28, 1, 30, -9, -4, -1, -38, 19, -5, 42, -16, 20, -41, -25, -40, -29, -37, 19, 32, -19, -32, 33, -44, -7, -7, -1, -17, -45, -26, 40, 36, -47, -28, 37, 3, -41, -2, -14, 8, -25, 16, -40, 44, -19, -8, -35, 4, 13, 46, 45, 32, -2, 40, -36, 27, -32, -17, 31, 22, -2, -25, 1, -1, -29, 24, 3, 2, 50, -26, 21, 7, -5, 33, -38, 40, 29, 18, 45, 15, -4, -26, 7, 9, 14, 41, -43, 18, 5, -20, 34, 42, -4, 9, 2, 18, 27, -24, -25, 43, -30, -12, 13, 21, 11, -32, -46, -24, 18, 42, 43, 23, -34, -33, 11, 3, 33, -18, -12, 2, 5, 40, -8, -12, 38, -8, 44, 21, 31, -22, 47, -27, -14, -3, 5, -39, 16, -48, 36, -25, -7, 1, 21, 16, 29, -35, 0, 1, -46, 13, -19, 47, 34, 2, 29, -34, -36, 14, -7, -16, -45, -29, -4, 35, -1, -27, 38, 44, 24, 9, -10, -33, -47, 6, -26, -23, 27, -9, -23, -15, -1, -32, 42, -40, 34, -26, -44, -10, 12, -45, -14, 27, -49, -27, 24, -8, -14, -41, -26, 15, -20, -13, -12, 44, 3, 57, 30, 35, -24, -15, -25, 29, 28, -32, 13, 7, 42, -36, -48, 6, -47, -3, -10, -34, -11, 35, 36, -42, 24, 0, -40, 21, 24, -33, 41, -28, -12, -20, -36, 42, -42, -53, -43, 29, -22, -26, -24, 21, 44, 2, 39, 26, 10, -30, -2, 6, -7, -2, 19, 26, 13, -8, -46, 7, -19, 31, -27, 2, -8, 41, 8, -13, 26, -27, 18, 21, 31, -29, -21, -14, -40, 41, -17, -44, 3, 5, -9, 35, -10, 37, -21, 23, 24, 3, 17, 29, -15, 2, 1, -43, -26, -21, 30, 16, -22, -18, 26, 25, -54, 40, 18, -47, -2, -24, -20, -24, -1, 26, -43, -2, -5, -41, -11, 40, -6, -21, -48, -10, 11, -23, -45, -16, 19, 10, 31, 19, -11, 31, -7, 51, 26, 0, 6, 13, 10, -14, -5, 30, 18, -41, -19, -23, -25, 5, -17, -22, -13, -21, -5, -4, -5, 3, 29, 21, 51, 2, 34, 7, -38, 27, 31, 22, -14, 14, 7, -30, -46, 30, 15, 20, 10, 29, 18, 17, 15, 25, 30, 26, -32, 33, 30, 39, -13, 3, -15, 35, -14, -39, 27, -33, -5, -47, 31, -36, 19, -33, -44, 6, 15, -33, 37, -7, 20, -12, -23, -40, 2, -10, 2, -2, -6, -26, -37, -25, 38, 21, 15, 26, 54, -18, 13, 15, -28, -68, -38, 55, -25, -13, 42, -3, 29, 0, -32, 5, -2, 4, -19, -33, -13, 2, -41, -50, 15, 16, -42, 8, -30, -12, 16, -23, -50, 0, 24, -6, -19, -37, -23, 17, 39, 27, 9, -35, -3, 45, 2, -57, -23, 15, 20, 42, 45, 61, -12, 44, 33, 34, 46, 37, 30, -4, 35, -6, -23, -16, 2, -39, -46, -4, 15, -23, 15, 46, 53, -32, -45, -33, 60, 23, 9, 14, -13, 3, 27, 32, 40, -4, -44, 2, 35, 15, 34, -7, 21, 2, 11, 24, -18, 8, -38, 13, 19, 15, -2, 22, -48, -25, -32, -1, 51, 19, 57, 40, 17, -1, -6, -1, -4, -7, -34, 15, -11, 30, 32, -22, -36, -1, -54, 18, -40, -23, 32, -3, -43, -27, 45, 31, -9, 43, 16, 38, 32, 43, -34, -14, 25, -4, -49, 12, -5, 6, -47, 3, -3, -41, -30, -46, -7, 8, -5, 64, 7, 22, 55, 41, 2, -36, 26, 5, 4, -6, 48, -37, 12, -15, -10, 37, -39, 31, -19, 23, 33, -21, 15, -34, 44, 12, 24, 4, -4, -27, -3, 5, 35, -11, -1, -13, -13, 46, -13, 0, -19, -13, 22, 42, 37, 0, -43, 56, 31, 11, 42, 46, 17, 37, 11, -5, 7, 24, 53, 64, 14, 63, -24, 26, 49, -6, -6, 18, -48, 15, -17, 34, 1, -39, 22, -1, -17, 25, -31, -20, 47, 18, -9, -2, -38, 33, 2, -70, -35, 34, -30, -33, -23, -6, -38, -33, 7, 31, -11, -17, 11, 33, -7, -19, -42, 25, -1, 1, -3, 42, -29, 37, 39, 27, 13, 32, -41, -42, -12, 17, -42, 40, -4, 29, 32, 20, 23, 13, 16, -39, -30, 29, 29, -14, 35, 16, 13, 8, -1, 10, -42, -46, -31, 19, 9, -23, -35, -28, -28, 6, -19, 41, 21, 13, 42, -30, 48, -20, -10, 11, -21, -27, -66, -5, -4, -26, -28, 9, 2, 20, -23, 19, 16, 18, -13, -17, 2, 18, 23, 14, 24, 36, -44, 26, 16, 0, -3, 76, 55, -48, -21, 2, 6, 21, 8, -3, -2, 30, -2, 41, 18, -40, -8, -61, 1, 41, -21, -40, 31, -47, -44, -46, 11, -18, 3, 32, 8, -53, 16, -25, 20, 7, 58, 9, -21, -5, -43, -5, -9, -11, 19, 36, 30, -10, 22, -34, 7, 35, -19, 11, 20, -23, 10, -29, -15, 7, 2, -28, -23, 29, -47, -12, 52, -4, 46, 15, 38, -20, 2, 13, 18, -3, -56, -29, 52, 10, 40, -18, -14, -60, 33, -53, 9, 49, 52, 12, 28, -23, -63, 4, -21, 56, 17, 27, 23, 44, -12, -20, 50, -9, -25, 48, 1, 17, -40, 43, 0, 9, 12, 14, 8, 19, 17, 30, 12, -8, -18, 41, -22, -11, -7, -20, 10, 11, -43, -8, -2, -49, 13, 34, -13, -39, -23, -20, 12, -49, 18, -38, -1, -7, 36, -23, -39, 4, 45, -26, -33, -14, -13, 29, -49, -32, 40, -24, -9, -3, 5, -36, 6, -2, 46, 14, 70, 56, 34, 3, 22, 14, -40, 4, 13, -9, 21, -30, 45, -16, -20, 21, -22, 50, 22, -29, 31, -28, 36, -19, 27, -6, 28, -15, 11, -19, -24, -15, 32, -3, 2, 6, -24, 28, 24, -11, 43, 40, 51, 4, 12, 32, -15, -35, 4, 29, -10, 6, 1, -19, -4, -14, 7, -24, -30, -26, 40, 10, 15, 57, 54, -14, -19, 32, 5, -24, 26, 13, 9, 28, 15, 65, 20, -6, 12, 40, 26, 33, -2, -27, 60, 59, 38, -30, -1, 30, -39, 8, 29, -35, 7, -38, -25, -29, 16, -48, 33, 65, 21, -46, 40, 1, 5, 16, -8, -33, -24, -10, -9, 35, -48, -28, -31, 37, -20, -29, -13, -2, -16, 19, 29, 20, -18, -23, -38, 41, 47, -23, 32, 25, -13, -22, -31, 21, -49, -11, -8, -11, -14, 0, -15, 22, -39, 9, 29, 22, 6, 9, 22, -22, 13, -17, 19, 45, 29, -20, 31, 12, -28, -21, -22, 23, 19, -14, -2, 52, 4, 15, 59, 13, 35, 20, -4, -15, -8, 16, -48, -1, 15, -40, 2, -29, 16, 7, 24, 32, -4, -13, -25, 7, 7, 28, -32, 10, -22, -1, 8, 37, 39, 43, -4, -15, 16, 21, -45, 5, -23, -37, 40, -6, 4, 40, 21, -6, 16, -5, 57, -18, -41, -1, -45, -47, -19, -35, -34, -9, -18, -4, -5, -33, -16, 20, -45, -9, 7, 17, -30, 21, -3, -6, 40, 14, -46, -41, -17, 16, 53, 30, 11, -5, 58, 21, 38, 48, -5, -29, -37, -26, 20, -43, -1, -12, 18, -6, -37, -25, 28, -53, -12, -46, -12, 21, 18, -5, 39, -14, 5, -1, 2, 23, 37, 13, 23, -7, -47, -20, -22, -7, -52, 14, 20, 28, 14, 29, -40, -42, -1, -6, -3, -45, 11, -12, 17, -24, 32, -30, 12, 22, 25, 28, 34, 48, 40, -23, 34, 46, -21, 35, 23, 39, -41, -10, 36, -21, 11, -42, 15, -45, -30, -19, 28, -19, -32, 27, 45, -41, -16, -33, -9, 5, -1, 0, -5, 29, 46, 40, 2, 27, -19, 7, -47, 26, -6, 20, -3, -39, -31, 24, -13, 35, 39, 1, 25, 4, 28, 5, 41, -12, 9, 25, 38, -21, -42, 39, -6, -33, -18, 27, 32, -51, 3, 32, -20, -17, 17, 31, -31, -14, 29, -39, -32, -11, 4, -24, -13, -16, -42, -27, -52, -15, 7, -49, 37, 32, 28, -19, -17, -51, 2, -46, 15, 13, -22, -3, -22, -12, 31, 28, 44, -3, -38, -7, 5, -17, -49, -32, 30, -19, -4, -1, -35, 28, -25, 9, -74, -21, -39, -31, 1, -32, -74, 17, -58, 6, 2, -18, 28, 17, 16, -28, 41, 19, -55, -10, 21, -60, -27, 1, 34, -22, -55, 11, 8, 23, -40, 11, 16, 28, -23, -1, 21, 56, 42, -34, -5, 30, 10, 62, -23, 2, 23, -19, 38, 1, -33, -22, 3, 41, 26, 29, -6, -33, 30, -22, 8, 11, -25, -34, 5, 24, -15, -2, -29, -27, 25, 24, 25, -46, -24, 28, -16, -21, -28, -7, 12, 26, 26, -43, 8, 22, 9, -21, -20, -12, -27, -53, -1, -28, -28, 40, 53, 1, 7, 9, -30, 39, 17, -28, -56, -21, 14, 11, 51, -51, -56, 62, -19, -11, -16, 12, 48, 13, 22, -20, 27, -13, -10, -5, -34, -12, -43, 10, 26, -8, -2, 30, 11, -4, 78, -61, -28, -25, -20, 20, -10, 23, -31, -39, 46, 27, 44, 35, -16, 49, 10, -20, 22, 19, -18, 18, 5, -34, 29, 25, -28, -38, 0, 18, -29, -26, -29, 21, 47, 45, 49, -41, -9, 40, 13, 48, -35, -41, 36, 45, -56, -29, 7, -8, -27, -27, 19, -56, 34, 40, 34, 20, -42, -13, 15, -10, 38, 33, 38, 12, 27, 60, 45, 52, -31, 2, 50, -22, -37, 31, -47, -50, -3, 24, -36, 10, 10, -4, -6, -21, 35, -25, -33, -19, -28, 32, 25, 10, 9, 18, 39, -33, 34, -15, 20, -3, -30, -31, 40, -10, -29, 12, -26, 9, 48, -2, 11, -26, -11, -24, 9, -36, -24, -18, -28, -26, 29, -54, 5, -23, 41, -9, -25, 5, -28, 40, -2, -3, 48, 9, -40, -24, 21, -48, 59, 8, -59, -47, -18, -11, 27, 47, -16, 41, 19, -29, -26, 38, -33, -33, 1, 20, -36, 20, -53, 15, -55, 12, -17, 32, 42, -3, 19, 29, 2, 11, -17, -29, 3, 37, 1, -33, -33, 25, 26, -16, -1, 56, 6, 34, -27, -40, -39, -23, 20, -12, 20, 41, 20, -38, -4, -14, 19, -29, 21, -9, 14, 37, 26, 30, -21, -7, 44, 30, -22, -12, 10, 22, 25, -9, 46, -22, 0, -17, 15, 30, 5, 28, 19, 43, 55, 15, 81, 27, 28, -12, 14, -13, 32, 46, -17, -21, 43, -21, -23, -17, 18, -16, 18, -7, -37, -29, 51, -15, 8, 8, -21, -6, 32, -27, -20, 2, 8, -12, 2, -25, 19, 18, 41, -52, 39, -3, 20, 10, -11, -30, -17, 63, 11, -21, 68, 35, -2, 57, 0, -31, -36, -12, 40, 6, 13, 15, 22, -41, -26, -48, -18, -28, 30, 19, -44, -26, -32, -43, 51, -17, 0, -3, 43, -26, 36, 41, 37, -1, 27, 15, 35, -19, 42, -15, 38, -41, 46, -41, 28, -30, 41, -5, -34, -32, 0, 24, -42, -12, 16, -22, 7, -31, 45, 15, -3, -15, 13, 61, 21, -34, 44, -38, 44, 5, -3, -11, -31, 15, 43, 5, -31, -22, -1, -46, -30, 13, -8, -16, 16, -33, -42, -10, 46, -5, -34, 31, 16, -5, -25, 23, -18, 9, -19, 29, 24, -58, -56, -8, 41, -26, -45, 42, -32, -22, -6, 4, 23, -13, -16, -11, 1, 42, 3, -43, 32, 13, 27, 44, -30, 24, 10, -41, -46, -39, -10, -10, 15, 9, 1, 38, 25, 25, 21, -9, -8, 28, 28, 24, -47, -14, 27, -9, -2, -19, -26, -20, -11, 27, -52, 2, 34, -31, 7, -22, 11, 48, -4, -45, 30, 3, -5, 49, 46, 4, 4, -21, 2, 47, -31, -20, -4, 48, 0, 19, 26, -33, -67, 5, -20, 38, -1, 12, 47, 35, 36, -49, -32, 43, -26, 13, -30, 37, -37, 25, 22, 26, 25, 26, 17, 23, -22, 42, 7, -1, -27, -37, -21, 50, -1, 21, -19, -32, 24, 13, -43, -62, 31, 25, -11, 20, -8, -14, -18, -16, 57, 47, 9, 59, -1, 36, 35, -28, 2, 16, -21, -29, -15, -31, 23, -4, -10, -1, -10, -12, -35, 7, 34, -15, 40, 9, -36, 36, 24, -10, 25, -49, -46, 15, -11, 39, -33, 27, 27, 17, -23, -10, -37, -58, -2, -20, -38, 11, -31, -40, 25, -47, -56, -5, 14, -30, -7, -43, -5, -21, 13, -39, -9, -53, 25, 35, -8, 36, -4, -60, 37, -21, -13, -7, 13, -3, -42, 1, 8, 14, 13, -23, 22, -30, -44, -8, 14, 20, 34, 18, 11, 34, 15, -13, -42, 25, -41, -2, 27, -10, -34, 40, 19, 15, -36, 41, -38, 12, -15, -1, -42, 18, -2, 19, -30, -12, 2, -41, -4, 29, -16, 24, 10, -21, -13, 19, -40, 3, 25, 20, 12, 13, -44, 25, 16, 38, 21, -19, 3, 28, -12, 36, -11, 54, 42, 12, -23, -53, 18, -39, -31, -18, 61, 4, -29, 21, 7, 39, 65, 9, 27, -19, -1, -46, 13, -40, -3, -15, 55, 9, 50, 5, -7, 1, -32, -33, -29, 3, 15, -42, 33, 61, 34, -8, 24, -19, -15, 64, -55, -18, -47, -33, -7, -11, 36, 42, -20, 12, 26, 48, -7, -6, -18, 2, -16, -33, -27, -38, -15, 3, 54, -9, -30, -18, 13, -48, 90, 23, -47, 40, 45, -6, -3, 23, -31, 55, -28, 23, 19, 15, 40, -7, -76, 18, -8, -29, -36, 1, 31, 2, -54, 17, 3, 17, 24, 36, 45, -44, -20, 15, -27, 0, 16, 14, 27, 29, 15, -58, -16, -12, 29, -39, 49, 17, 35, -32, -3, -14, -14, -30, -26, -9, 27, -20, 49, 47, 15, 12, 21, 44, -17, -17, -40, 44, -10, -15, -12, -32, -23, 23, 25, 50, -27, 20, -69, 6, -3, 70, -14, 11, -53, -18, -6, 9, 34, 47, 28, 10, 30, 37, -25, 43, 31, -22, 15, -26, -16, -27, 25, 8, 21, -28, 24, -4, -13, -18, -7, -27, -51, -26, 46, 14, 37, 2, -36, 10, 29, -27, 40, -35, -32, 18, 4, -26, -13, -4, -56, -14, -44, -41, 16, -34, -48, -57, -50, -46, 18, -12, -50, 40, 15, -23, -39, 33, 14, -9, 0, 21, -14, 38, 40, -39, 30, 31, 49, -40, -42, 38, -19, -23, 40, 34, 7, 1, 23, -1, -9, -22, -42, 48, -11, 37, 9, -23, 2, 25, -17, -26, -23, -24, 7, -45, -7, -4, -9, 44, 4, 32, 0, 49, -9, -51, -34, 36, -8, -40, 43, 58, 49, -15, -32, -43, -11, -15, -32, -3, 11, 32, -9, -15, 43, 16, 20, -58, -8, 14, 27, 2, -41, 18, -34, -30, 14, 9, -10, 23, 26, -8, -12, -34, 45, -31, -25, 17, 25, 19, -2, -43, 9, -33, 42, 4, -26, 59, 9, 40, 24, 41, -14, -20, 17, 35, -44, 47, -1, 20, -11, 36, 4, 3, 1, 11, 0, 9, 16, -74, 12, -7, 18, 17, 19, -34, -17, 9, -62, -17, -4, -49, -9, 44, 39, -46, 42, -24, 23, -6, 39, -16, 27, -37, -15, 3, -12, 16, 23, 2, -40, -11, -17, -24, -24, 10, 26, 33, 48, 25, -36, -2, -17, -6, 14, -16, 33, -18, -7, -13, 16, 32, -33, 2, 40, -5, 39, -23, 51, -65, -59, -36, 49, 48, -24, 33, 42, 29, 17, 5, 35, -4, 32, 59, -48, 13, -5, -9, -4, 6, -20, 27, -22, -27, 9, 22, -22, 17, -47, 1, -53, -24, -23, -16, 0, -62, -16, 29, -12, -23, -5, 10, 26, 17, 14, 15, -20, -9, 7, -28, 30, -10, -47, 49, -41, 25, -23, 5, -37, -14, 55, -25, -19, -23, 32, -26, -56, -27, 22, -15, -14, 0, -3, 28, -31, -60, -31, -29, -33, -11, 15, 25, -29, 4, -6, 19, -34, 18, 17, -4, 42, 18, 32, 23, -16, 30, 61, 26, 7, 12, 12, -22, 18, -65, 22, 21, -13, 15, 28, 59, -43, 27, -5, -7, -23, 2, 4, 11, 43, 34, 10, -22, 16, 39, -32, -34, -44, -23, 32, -40, -47, 40, 10, -13, -41, 17, -38, 13, -36, -30, -34, -37, -21, -27, 18, -27, -31, -43, 4, 20, -48, 43, -31, -29, 9, -24, 35, 20, -14, -1, -13, 28, -16, -48, -8, -4, -1, -11, -48, -45, -25, 35, 41, -38, 5, -32, 21, -10, 0, 38, -31, -31, 5, 3, 21, -20, 3, -17, -28, 0, 19, 35, 7, -15, -43, 35, -18, -26, -11, 27, -14, -46, 8, -17, 21, 34, 42, 6, -12, 46, 12, -14, 27, 17, 35, -12, -30, -28, 43, -18, 1, -31, 18, -3, 2, -12, -2, 8, 8, 10, 47, -23, 27, -35, -9, 25, -36, 27, -1, -7, -25, 19, 3, -13, -25, 7, 29, -51, -7, -31, 32, -15, -9, -43, 2, 24, -25, 5, 2, -46, 29, -47, -10, 7, 47, 10, 10, 36, -12, -38, 12, 2, -18, 1, 36, -41, 0, 36, 20, 6, 33, 26, -48, -21, -43, -12, 44, -6, 33, -26, 24, 11, 41, -40, -18, -35, -35, 29, -11, -14, -14, -13, -23, 30, -33, 20, 46, 25, 30, 23, -13, 36, 26, 15, 42, -10, -35, 35, 44, -27, -25, 36, 33, -16, -49, -25, 30, 28, -24, -7, 2, -34, 3, -5, -7, -31, 40, 8, 11, -6, -20, 31, 16, -12, -46, -42, -29, 22, 30, -3, -23, 36, -19, -3, 3, -31, 29, 26, 21, -41, -22, -2, 47, 8, 22, 16, -23, -41, 41, -30, -30, 12, -22, 30, -4, -36, 25, -23, -26, -33, 13, -36, -17, 14, -48, 16, -10, -37, -18, 43, 27, -36, 26, -16, -39, 10, -36, -4, -11, -18, -26, -4, 25, 47, -30, -19, -1, 27, -5, 3, 12, 36, 18, 7, 18, 44, -32, -20, -41, 10, -40, 0, 24, 9, 27, -14, -42, 10, 48, -40, -18, -48, 34, -20, -41, -43, 9, 40, -43, 32, -10, -18, 4, 43, 45, -24, -48, -25, -11, 33, 0, 39, -33, 31, -40, -35, 39, 35, 6, 47, -39, 11, 5, 29, 6, -13, 25, -14, -31, 39, -26, 1, -5, -8, 57, -31, 39, -24, -33, -48, -48, 44, -44, -1, -14, -41, 13, 26, -4, -21, 27, -31, -41, -1, -36, 16, 8, 15, -30, 17, 33, -4, 34, 12, -42, -23, -24, 26, -21, -11, 48, -50, -2, -47, 42, 17, 19, -28, -42, -29, -9, -33, 27, 0, -29, -25, 25, -16, -41, 7, -21, -38, -34, -10, -38, -25, 41, 16, 30, 9, -44, -19, -40, -11, -11, 42, 6, 47, -13, -37, 12, 5, -27, 19, -10, 32, -1, 42, -29, 5, 43, 5, 16, 26, -23, 37, 49, 13, 13, -15, 29, -10, 10, -33, 40, 25, 29, 17, -41, 41, 32, 19, 35, 19, -37, 7, -33, 17, 24, -45, -43, -44, 9, 28, -11, -15, 18, -4, -47, -48, -13, -45, 11, -25, -41, -11, 35, -16, 15, 18, -21, -5, -4, -1, -4, -32, -22, 45, -30, -26, -33, -28, 19, -4, -40, 42, -41, -4, 22, 27, -5, 26, 20, 39, 1, 19, -44, -14, 44, -6, 12, 24, 6, 33, 37, 37, -21, -23, 7, -7, -47, 5, 1, -44, -23, 34, -8, -8, 45, 0, 0, 2, -3, 7, -31, -33, 16, 7, 48, 44, -20, 5, 50, 15, 43, -11, 30, -18, -34, -20, 7, -39, -30, 17, -39, -14, -12, 13, 20, -35, 1, 42, 6, -5, 20, -29, 5, 43, 37, -43, -20, -24, 45, 12, -33, -40, 38, 22, 2, 0, -3, -7, -8, -17, -27, -40, -39, 24, 25, -8, 44, -30, -33, -1, 14, 39, -40, -42, -37, -4, -40, 37, 15, -31, -30, 11, -41, 19, -33, 41, -29, 30, -17, -11, 42, -40, -24, 4, 35, 35, -38, -26, -36, -40, -3, -12, 6, 0, 47, -9, -33, 14, 46, 48, 21, -35, -25, -37, -12, 39, 27, -33, 29, 36, -44, 38, -22, 23, -44, 34, 7, -21, -30, -22, 5, 0, 17, -36, 1, -40, -5, 31, 28, -21, -14, 14, 12, -1, 3, -14, 46, -6, 24, 18, -3, 7, 19, 36, -34, 38, 3, 38, 43, -18, 4, -11, -42, 33, -45, 41, -41, 29, 22, -24, 48, -21, -20, -16, 11, -30, 2, 8, -9, -17, -16, -25, 18, 2, 41, 34, 31, -31, 27, -26, -39, -21, 2, -31, 10, 3, 31, 42, -39, 4, -21, 21, -46, 31, -33, 44, 19, 42, 12, 44, -26, -11, 16, 40, 15, -1, 32, -45, 18, 39, -45, 40, 8, -10, -28, 31, -36, 35, -21, -38, 17, 11, -32, -28, 38, -5, 35, -47, 32, 41, 18, -30, 8, -5, -11, 21, -43, -10, -41, 15, 31, 10, 1, 45, 5, -28, -7, -8, 24, -7, -35, 13, 38, 14, -41, -10, 7, 39, 26, 36, -1, 26, 47, -42, 4, -34, 33, -5, -47, -14, 38, -34, 5, -39, 37, -15, -14, -14, 12, -5, 6, 18, 20, -19, -26, 37, -36, -22, 14, 6, 33, 21, -1, -38, -11, 15, -33, 35, 18, 29, 35, -17, 33, -23, 25, 44, -42, -11, -11, -40, 44, 7, -26, 13, 2, -39, -17, 8, -41, 32, -23, -23, -5, 28, -31, -16, -24, 36, -38, 23, 9, -14, 21, 29, 3, 40, -36, -12, 12, -7, -16, 1, -48, -21, -10, 34, -29, -42, 46, -10, 24, 31, -3, 17, -19, 19, 8, -28, 27, -34, -40, 41, -9, -5, 26, -38, -35, 20, 36, 17, -25, -3, 1, 17, -17, 6, -17, -41, 34, 9, -4, -20, -41, 10, -18, -19, -44, 10, 40, 20, -21, -9, -18, -46, 11, -13, 37, -37, 45, -11, 31, -45, -37, -5, 3, -7, -26, -43, -26, -7, -47, 12, -3, -39, 10, 14, 32, 29, 38, -14, -10, 25, -28, 32, -14, 22, -39, 42, -40, 1, -39, -5, -25, 19, -19, 17, -40, -35, -5, -14, -34, 2, -46, 28, -1, 44, -19, 47, 46, -26, 13, 10, 16, -36, 4, 38, 14, -33, -16, -46, -16, 47, 43, 37, 15, 36, -34, 8, 43, -9, 14, 6, -10, -16, -29, 41, 37, 19, 16, 47, 17, 6, -47, -37, -20, 41, -14, 20, -39, -31, -18, -21, -15, 54, 4, -12, 27, -45, 43, -20, 17, 19, -34, 38, 9, 11, -5, 21, -34, -20, -41, 14, 39, -21, 18, 43, 13, -27, 15, -36, 6, -15, -28, -14, -7, 5, -23, -30, 16, -38, -46, -26, -14, -19, -17, -44, -25, -26, -3, -3, -7, -34, 6, -20, 18, 24, 9, 32, -41, 46, 30, -19, 40, -1, -16, 15, 33, -36, -29, -26, -6, 34, 42, -5, -19, -7, -5, 33, 5, -13, 16, 22, 24, -31, 26, -41, 36, 31, -38, 37, -29, -36, 11, -32, 38, 23, -36, 32, 5, -38, -38, -35, -7, -34, -27, -37, 0, 3, 33, -29, 6, -12, 44, 17, 21, 46, -30, 43, 23, 26, -26, -3, -27, 1, -8, 30, -14, -11, -46, -36, 41, -10, 10, 44, -1, 14, 37, 12, 16, -35, -2, 27, 20, -24, -21, 39, -2, 12, -33, -24, -16, -46, -45, 12, 20, 28, 37, 39, -24, 29, 1, -20, 19, -22, -22, 21, 15, 35, -25, -21, 16, 71, -3, 12, 7, -3, -1, 32, -16, 21, -33, -45, -34, -62, -19, -22, 21, -40, 42, 3, 33, -2, -6, -1, -18, -8, 28, 19, 26, 56, 11, -5, 38, 19, 7, -39, -9, 3, 8, -8, 44, -40, -3, 28, -30, 13, 0, 41, 2, 50, 1, 42, 27, -16, 17, 29, -26, 43, 13, -16, -38, 43, -14, 6, 14, -11, 22, -29, -43, -14, -11, -73, -10, 6, 34, -16, 26, 7, 47, -33, -19, 48, -2, -14, 37, -52, 4, 39, 0, 9, 10, 28, 35, 1, 55, 0, -8, -16, 17, -13, -13, -23, -62, 35, -60, 60, 21, 9, 8, -11, 70, -30, 20, 1, -16, 4, 17, -43, 38, -13, 16, -8, 7, 37, 47, 20, -2, 17, 29, 29, -20, 0, 16, -73, -51, -48, -34, 34, -5, 21, -22, -12, -40, 3, 29, 1, -19, -53, -19, -34, -7, -8, -33, -62, 33, -48, 23, -62, 18, -44, 23, -22, 26, 27, -6, -45, 9, 6, -57, 52, 1, 1, 5, -33, -8, -16, -13, -22, -40, -36, -36, 16, -38, -30, -10, 26, -22, 9, -24, -40, -3, -20, -12, -42, 4, -49, 30, -25, 37, 25, 2, 14, -38, 45, 23, -7, 39, -57, 18, 30, 20, 29, 21, 35, -29, 18, 28, -36, -49, 27, 32, -46, -18, -35, 42, 17, 26, -16, 0, 17, 46, -30, 14, -23, 14, -9, -20, 6, 40, 18, 41, 44, -17, -32, 46, -27, -30, -23, 40, -29, -11, 17, 6, 0, -2, -37, -8, -42, 44, 5, 3, -34, -42, 35, 14, 9, -5, 1, 38, 13, -14, 32, -42, -41, 10, -20, -40, 24, -34, -24, 0, 23, 33, 21, 43, -27, -5, 18, 4, 14, 25, -32, 45, -25, 4, 41, 12, -6, -11, -8, -5, -8, -5, -52, -29, -80, 25, -36, 3, -27, 33, -26, 1, 33, -23, 34, 10, 13, -30, 7, -23, 24, 2, -13, 51, 34, -7, 13, 44, -21, 17, -34, -20, -18, -13, -12, -31, 15, 18, -39, 5, -10, -22, 8, -3, 30, -7, -36, 54, 14, -44, 42, 5, 4, -1, -74, -39, -10, -59, -26, 9, -31, 9, 27, -28, -40, 6, -16, -17, -11, 36, -16, -55, 25, -5, 0, -21, 48, 3, 3, -11, 13, 31, -58, -20, 18, -4, 58, 38, 21, -4, -50, 26, 8, -36, -26, -35, 39, 53, -27, 34, 50, 37, 21, -15, -53, -20, 3, 15, -6, -63, -12, -54, 4, 8, 1, -36, -62, -26, -9, -13, -23, -70, -21, -28, -14, 21, 29, -32, 35, 3, 48, 30, 8, 10, -36, -18, 35, 12, 0, 20, 7, 60, -38, 19, 18, -50, 68, -26, 36, 40, -39, 9, 41, -30, -40, 4, 13, 49, 2, -46, -2, 19, -25, -61, -52, -32, -46, -14, 21, -1, -22, -45, -23, -27, -10, 41, 3, 12, -14, 4, -5, 27, -33, 31, 7, -40, -5, 5, -3, 21, -12, -11, 47, -37, 29, -2, 44, -67, 29, -48, -56, 83, 7, -39, -16, -9, 29, 3, 7, 30, 28, -43, -34, -41, -8, -12, -45, -35, -35, 10, 17, 10, -50, 39, -17, -26, 12, 38, -17, 22, 26, 27, -7, -31, -2, -28, -9, 17, 23, -14, -37, 28, 48, -20, 36, 16, 40, -14, 17, -33, 31, -32, 6, 18, 7, 8, 26, 0, 43, 39, 29, 5, -24, -24, 7, 23, 36, -8, -33, 6, -43, -27, -20, 26, 9, 17, -7, -5, -26, -17, -25, -37, 40, -34, -25, 31, -26, -13, -41, -26, 17, 29, 21, -33, 12, 37, -5, 12, 18, 1, 0, 46, 27, -25, -18, 30, 20, 48, 33, -59, -44, -7, -38, -22, 53, -17, 14, 37, 16, 53, 8, 35, 11, -47, 26, -8, -22, 12, 22, -32, 47, -1, 37, -13, 28, 16, -35, 6, -33, 23, 20, 38, 38, 14, -13, 29, 12, 13, -10, 41, -5, 47, 18, -41, -27, 10, -37, 30, -10, 19, 27, 24, 18, -2, -37, -30, 5, 25, -17, -4, -29, -34, -17, 30, 56, 19, 19, 49, -1, 37, 19, -20, -59, -48, 10, 30, -9, 7, -17, 9, -15, 28, -28, 14, 43, -8, 0, -29, -3, 31, -34, -36, 39, 16, -54, -24, -5, 3, 31, 34, 26, 10, 33, -65, -32, -12, -47, -23, -41, -18, -35, -8, -16, -28, 35, -10, 0, 21, 43, -49, 10, -18, -14, -15, 41, 7, 40, -25, -1, -28, 26, -19, 2, -4, -33, 10, 23, 41, 11, 22, 17, -6, -9, 31, -35, -36, 45, 24, -4, 9, -17, -5, 35, -32, 38, -10, 38, 22, -11, 13, -5, 26, -32, -37, -13, -20, -13, 20, 17, 26, 10, 32, -56, 4, -32, 6, -8, 20, 12, -32, -35, -48, 41, -8, -46, 2, -43, -3, -36, 37, 15, 39, 30, -11, 42, 38, 18, -12, -28, 24, 43, -50, -16, -20, 28, 49, 47, 35, 53, -19, 42, 0, -10, -40, 29, -36, 37, -46, 24, 29, 12, 28, 5, -41, -29, -28, 36, -43, 16, 30, 39, 14, -39, -20, 48, 13, -48, 10, 39, -42, -22, -39, -16, 33, -45, -38, -24, -28, -5, -20, 37, -42, 23, -26, -21, -49, 10, -41, 6, 38, 45, -43, -41, 22, -27, 28, 36, -31, 32, -26, 16, 65, -43, 19, 15, -3, -33, 4, 18, 19, -15, 51, 28, -9, -11, -19, 2, 20, -25, -18, -10, 12, 8, -40, -26, -4, 27, -5, -37, 51, 42, 56, -9, -10, -7, -63, 1, 42, 19, -35, 13, 11, -15, -16, 3, -12, -4, -3, 3, 4, -34, 14, 28, -19, -35, 0, -24, -42, 11, -47, -17, -46, -22, -34, -25, 30, 51, 34, -50, -16, 1, 42, 15, -20, 8, -29, 5, 6, -8, 35, 14, -15, -58, 41, 10, -34, 1, -15, 5, -37, -41, -42, 32, -23, 11, 34, 5, -24, 1, -33, -24, 26, 32, -36, -26, -59, -6, -40, 3, -19, -21, -32, -39, -41, -23, -22, 40, -29, -16, -13, -32, -10, 1, -28, 48, 9, -23, -64, -16, 32, -25, -31, 38, 31, -18, 4, 29, 30, -33, 24, -24, 58, -29, -51, -22, -19, 45, 2, 35, -5, -15, -35, 45, -24, -11, -55, 8, 23, -51, -52, -50, -3, 19, -12, -52, 9, -34, -8, 11, 11, 16, -39, -13, -5, -53, -48, -3, 48, 9, 69, 68, -19, 27, -20, -44, 15, -26, 45, -16, 14, -8, -16, 30, 10, -35, 26, 7, -42, 25, 33, -38, -33, -51, 19, -65, -24, 5, 9, 28, -34, -43, -11, 30, -24, 40, 7, -15, 5, -19, -1, 3, -21, -45, 8, 21, -28, -47, 23, 10, -23, 9, -6, 7, -5, 29, 21, 27, 54, -11, 33, 32, 46, 33, -46, 5, -8, -16, 6, -17, -35, 27, 47, 18, -32, 50, 42, 45, -22, -23, 9, -4, -48, -2, 45, -35, -13, -24, 32, -21, -29, -21, -37, -63, -30, 29, 17, 38, -24, 2, 12, -59, 29, 3, 27, 35, -19, 12, 6, -24, 33, 3, 12, -37, -15, 41, -13, 43, 51, 29, 29, 4, -20, 18, 63, 36, 31, -11, 1, -10, 2, -7, 26, 31, -30, 15, 57, -57, 32, -53, 9, -6, -33, -16, -16, 42, -46, -22, 27, 35, 10, -21, -33, -18, -1, 31, -6, 13, -20, -42, 13, -9, 49, -4, 4, -29, 44, 33, 13, 1, 28, -18, 18, 10, -11, -10, -49, -6, 20, -71, 2, 12, 5, -15, 24, 31, -7, -5, 50, -6, -23, -5, -18, 43, -15, -17, 80, 59, 4, 47, 55, 17, 56, 39, -12, -30, 64, -21, 24, 29, 7, 10, -42, -39, 10, 27, 44, 24, 8, -5, 14, 15, -6, 29, 26, -25, -30, -32, 40, 53, -36, -6, 56, 31, 13, 15, 46, -37, -2, 49, -21, -46, -14, -30, -15, 33, 46, 66, 75, 15, -29, 82, -17, 49, -8, 29, 18, -42, 79, 49, -26, -17, 38, 41, -4, 35, 6, 48, -20, -33, -22, -36, 9, 9, -8, -4, 36, 20, -1, -12, 26, 2, -37, 42, 41, 5, -42, 23, 22, 8, -24, 21, 33, -17, -47, -46, 29, 35, 0, -2, -45, 11, -11, 23, 1, -19, 39, -33, -6, 24, -3, 20, 34, 19, 28, 53, 38, 9, -13, 25, -17, 32, 10, -9, 21, 31, 9, -2, -13, 56, 4, -8, 53, -14, -19, -16, 7, -27, -30, 43, -33, -26, 14, 45, -32, -10, 13, 41, 42, -31, 45, -5, -7, 8, 8, 50, -10, -43, 11, 0, -23, 5, -44, 33, -29, 38, 28, -4, -4, 5, 31, 28, -34, 12, -31, 25, 36, -41, -43, -40, -24, -16, 7, -14, -8, -29, 3, -25, -38, 7, -48, 3, 36, -66, 12, 40, 1, 19, 48, 19, -23, -28, -19, -11, 34, 42, -17, -49, 52, 22, 4, -2, 2, 21, -9, -19, 10, 48, -28, -24, -42, 29, 45, -21, 28, -14, 1, -32, -7, 10, -12, 9, 21, 10, -15, -45, 12, 12, 1, -5, -38, -46, -56, -36, 16, 12, -32, -9, -22, 2, -23, -37, 42, -34, 21, -22, -36, -35, 7, 6, 15, -1, -1, 6, 48, -27, -20, 7, 27, -42, 30, 24, 21, 16, -35, -29, -58, 6, -63, -7, 40, -12, -26, 44, -30, 16, -16, -41, 21, 44, 44, -28, -14, 39, 4, 2, 18, 43, -42, -10, -14, -22, -60, 21, -38, -42, -14, -22, 56, 26, 23, -5, -18, -1, -34, -36, -61, 57, -14, -29, -40, 8, -16, -25, 51, 38, -7, 2, 36, -16, 60, -18, -1, -16, -18, -21, -26, -24, 23, -10, 21, -5, -7, -41, -48, 13, 31, 40, -16, -7, -8, 39, -23, -7, 26, -43, -5, 43, -48, 20, -17, -16, 16, 5, 55, 5, -7, 0, -33, -30, 50, -53, -27, -11, -14, -55, 8, -61, -59, 42, -17, -3, -29, -42, -17, -28, -42, 47, 22, 28, -6, -49, -26, -7, -49, -4, 39, 20, -31, 36, -6, -66, 42, 50, -52, 5, 24, -14, 9, 39, -35, 28, 18, 9, 32, -42, -27, -16, 54, -32, -5, -30, 50, 38, -2, -37, -8, -42, 4, -22, 0, 36, 36, -24, -37, -1, -30, 29, 0, -27, 33, 28, 41, 35, 47, -8, -24, 29, 3, -17, -30, -2, -20, -39, 37, 27, -38, 31, 6, -25, 9, 1, -10, 21, -31, 19, -14, 13, -29, -4, 32, 35, 60, 22, 35, 1, -17, 40, 21, 38, -34, -40, -45, 43, -21, -22, -43, 0, -46, -6, -42, 37, -46, -37, 7, -49, 2, -46, -31, -2, -16, 13, 3, -24, 49, -45, 38, -8, 13, -6, -34, -34, -38, -22, -39, 58, 33, 13, 61, -31, 24, 31, 33, 5, -3, 38, 33, -2, 3, -21, -7, -47, -3, -39, 10, 6, -9, 13, 22, -2, -20, -31, 10, 8, 28, 61, -19, -10, 19, 16, 7, 2, 59, -22, -2, 15, -38, 17, 42, 28, 12, -10, 26, 45, -3, 18, -27, 26, 13, 29, -25, -1, -31, -36, 20, -20, 44, -17, -38, -51, 7, 32, -22, 5, -16, 4, -37, 43, 27, -32, 20, -18, -41, -6, -41, -7, -2, -30, 58, 17, 43, 44, 55, 25, -28, 53, 30, -59, -2, 26, -38, 31, -17, -20, 49, -33, 4, 7, -26, 34, -22, -5, 37, -13, -43, 9, 59, 40, -4, -13, 11, 31, -48, 12, 30, 3, -39, 39, -14, 12, -26, -7, -14, -11, 2, 4, -24, -25, 22, -40, 73, 20, -21, -6, -33, 46, -40, 13, -39, 34, 11, 24, 7, -14, 25, -1, -10, 8, -4, -14, -13, -21, -13, -9, -13, 14, 3, -12, 11, 28, -9, -17, -14, -13, 50, -33, -38, -30, 3, -64, -30, -2, -12, 12, -19, -42, -41, -28, -44, 8, -23, 29, -4, 15, 23, -37, -1, 16, -20, -13, 32, 47, -36, -46, -7, -43, 31, 31, 24, 44, 20, -21, -13, 4, -28, 15, 23, -39, 33, 18, -25, 38, -30, -17, -41, 8, 14, 19, 47, -2, 6, -27, 0, 22, 31, -21, -35, -19, 44, -41, -4, 0, 2, -36, 24, -6, -3, 47, 30, 0, -28, -54, -6, -19, 43, -7, 27, 15, 17, 30, 0, 4, 4, 24, -6, -31, -36, 19, 32, -40, 28, 20, 14, -51, 37, 37, 29, -2, -33, 35, 31, 35, 44, 27, -2, 43, 32, 21, 20, -1, -6, -6, -13, 63, -30, -8, 4, 11, -11, 6, -6, 50, 10, -16, -32, -5, -13, 18, 33, 45, -21, -36, -17, -67, -31, -4, -35, 40, 69, 19, -36, 17, 26, -37, -38, -11, -36, 1, 2, 20, -22, -59, 20, -35, 9, 15, 54, -7, -7, 51, -6, -5, -24, -12, -52, -43, -34, 40, -28, 10, -1, -29, -48, -12, -9, -3, -26, 21, 31, 31, 62, -15, 48, 27, 46, 25, -15, -44, -15, 31, 30, 95, 30, 59, 18, -44, 21, 22, -7, 34, -28, 38, 2, -50, -27, 44, 54, -4, 0, -12, 40, 15, -7, -33, 44, 26, 0, 0, -21, -16, -42, 43, 12, -22, 6, 41, -21, 1, -5, -26, 11, 18, -47, 3, 1, 42, -31, 25, -67, -44, -30, -38, 10, 6, -22, 76, 38, 15, 44, -19, -10, -29, -1, 57, 31, 26, 11, 37, 27, 0, 24, 15, 29, -8, 39, 16, 31, 33, -8, -11, 26, 45, -36, 44, -87, -25, -59, -38, 12, -53, -15, 64, -41, -5, 8, 25, -35, 7, 8, -29, 20, 20, -42, 33, 19, 21, -7, 39, 7, 2, -45, -20, 10, -43, 32, 37, 28, 17, 20, 1, -37, -38, 33, -28, 26, 26, -48, -34, -45, -40, -16, 1, -9, -14, -45, 6, -6, 24, 50, 26, 0, 23, 8, 37, 24, -32, -20, 6, -13, 34, -13, 22, 32, -46, 10, -12, -42, -48, 24, -5, 22, -36, -5, 9, -28, -23, 16, 10, -24, -30, 37, -5, 29, 15, 36, 8, 10, -35, 43, -23, -35, 24, -40, -30, -19, -34, -11, -29, 21, -32, -11, -17, -34, 28, -4, -15, 32, 37, -29, 24, -60, 25, 6, 34, 29, 45, -16, -37, -18, 34, 40, -39, 44, -31, -1, -11, -17, -17, -32, 32, 0, 5, 16, -48, -12, -27, 13, 46, -30, 5, -11, 46, 27, 25, 17, 16, -60, 19, -52, 23, 1, -36, -38, 47, -36, 14, 4, 45, 11, -44, 0, 18, 36, -60, -39, 5, -13, 12, -49, 3, 22, 27, 30, 26, -1, 12, -56, -30, 15, -26, -41, 16, -2, 19, 0, -4, 24, -19, 19, -11, 28, -9, 24, 30, -19, -10, 34, 25, -12, 26, -20, 0, 40, -15, -15, 44, 24, 36, -7, -29, -43, 2, 23, -21, -28, -2, 24, 11, -7, -7, -32, 22, -18, -4, 5, -35, 6, 35, -43, -41, -45, 12, 8, -5, 13, -5, 6, -11, 45, 6, 33, -7, 1, 36, 29, -38, -30, 9, 47, -14, 1, 4, -35, -40, -18, -36, -5, 39, -23, -43, 3, -25, -38, -17, -7, 28, -41, 18, 45, 13, 27, -37, 12, 28, 25, -27, -23, 32, 2, 34, 15, -43, -40, -30, 36, 13, 0, 9, 9, 2, 11, 1, -22, -18, -33, -21, 9, 2, 42, 17, -16, -7, 48, 27, -15, -13, -5, -25, -48, -37, -18, 42, 22, 54, 42, 1, 0, 25, 21, -20, 22, -44, -34, -33, -39, -39, -36, -26, 25, -38, -12, 32, -20, -16, 37, -29, -20, -47, 42, -45, 6, -44, 14, -48, -11, -17, -16, -9, 39, 2, -37, -25, -11, -8, -33, 24, -36, 42, -31, -31, -15, -6, -36, -23, -7, -5, -36, 12, 0, 14, 10, 25, -24, -10, -12, 34, -43, -22, 23, 16, -49, 47, 42, -21, 45, 44, -15, 5, 18, 13, 22, -34, 19, 33, 31, -14, -24, 5, -34, 36, 36, 19, 41, 24, 18, -22, -45, -36, -38, 8, 32, -33, -46, -47, -26, -29, -29, -28, -37, -39, -34, -8, 33, -6, -10, -33, 57, 12, -28, -29, 10, -6, -47, -43, -38, 26, -18, -2, 41, 46, 15, 24, 9, 12, 24, -18, 31, -40, -43, 23, 42, 9, -19, 25, 6, -7, 30, -45, -7, 2, -38, -24, 21, 48, -39, 32, -6, 5, 12, 0, 38, -22, 2, 9, 25, -40, -53, 7, -40, -42, 12, 22, -36, -18, -33, -46, 12, -3, -30, -20, -21, 24, -5, 12, -47, -39, -11, -1, 48, -50, 10, 37, -27, -4, -26, -42, 2, 16, -20, 11, 36, -9, 22, 4, 37, 36, -6, 41, -29, -19, -18, -7, -49, -54, -27, 33, -5, -4, -34, 49, -26, -1, 48, -34, 1, 10, -23, 12, 9, 13, 16, 25, 0, -26, 25, -29, -23, -46, 51, 12, 21, -48, 13, -24, 1, -14, 50, 35, 32, 20, 2, 14, -22, -10, 1, 20, -11, 28, 5, -26, 50, 27, 5, 44, 18, 33, -43, 19, -8, -26, -3, -13, 1, 47, -12, -38, -48, -51, -7, -46, -33, -10, 0, -14, -43, -17, -36, 1, 24, -53, 46, -18, 17, 7, -30, -16, -34, -26, -44, 23, 32, 24, -9, 17, 45, -44, 43, 16, -13, -22, -38, 36, 17, 37, -35, -33, -38, -45, 2, -31, 27, 18, -37, 22, 10, -39, 22, 13, 49, 21, -42, 3, 39, 7, 32, -3, 44, 4, -29, -16, -38, -29, -14, -25, -21, 6, 24, -25, 32, 10, 0, -11, -42, 18, 61, 44, 30, -8, -27, -47, 39, 6, -45, -14, -6, -3, -21, -47, -43, -36, 19, -7, 10, -12, 13, -38, 4, 17, 18, -15, -44, -42, -20, -2, 40, 16, 7, -35, 5, -40, -3, 11, 16, -48, 8, -10, -22, 11, 40, 13, -22, -29, 24, -8, -57, -14, -7, -42, 21, 35, -32, 19, -24, -44, -30, -5, 39, -11, 30, 7, 28, 61, -6, -49, 63, -69, -69, 44, 5, 17, 20, -7, 34, 40, 46, -15, 5, 37, -27, 29, 4, -40, 49, 27, -16, 27, 17, -25, -5, -47, -13, -22, 28, 16, -2, 31, 34, 34, 18, 7, -39, -21, 44, -11, 3, 34, -7, -15, 17, 43, 47, -18, -24, -41, 10, 25, 6, -12, -7, 6, 29, 42, 34, -5, 1, 12, 5, 24, 41, 36, -9, 51, 35, 39, -1, -17, -21, -2, -35, 27, 44, 13, 44, -8, 16, -44, 11, 36, 14, -10, 30, 21, -35, 43, 1, 26, 17, -42, -12, 27, -40, 26, 29, 5, 2, 12, -36, -1, 13, -15, 14, 37, -14, 31, 25, 4, 23, -40, 17, 13, 16, -6, -19, 10, 57, 12, -29, 8, 49, 32, -53, 56, 20, 51, 26, 5, 25, 10, 25, -51, 6, 58, 10, -29, -36, -35, -6, 46, -46, -35, 24, -14, 23, -25, 18, 28, 35, 32, 29, -37, 1, -1, -8, -34, 28, -21, 3, 11, 24, 37, 25, -40, 10, 11, -14, -11, 23, 41, -12, 21, 5, -38, 15, -40, 40, -16, 5, -8, -16, 13, 1, 26, -10, 21, -4, 40, 28, 43, -44, 43, -27, 1, -47, 13, -30, 8, 43, 18, 31, -11, 36, -15, -34, 0, 30, 22, -38, -40, 18, -12, -3, -25, 13, 13, 8, -6, 7, 24, 23, 23, -41, -43, -47, -38, 27, 44, 17, 15, -12, -6, 2, 31, -38, 16, -5, 27, -11, -21, 33, 34, 45, -10, 36, -5, -11, 9, -40, -8, -22, 3, 17, 9, -9, 44, -29, 50, 37, 16, 22, -11, -30, -56, -50, 27, -17, 16, -21, 25, -9, -21, 5, 10, 4, -43, -36, -2, -10, 22, 28, -15, 51, -34, 7, 39, 49, 22, 36, -38, -7, 44, 15, 48, 11, 13, 53, 7, -9, 47, 33, 38, -28, 35, 49, -42, 20, 7, -11, 34, 26, -8, 41, -9, 57, -5, -16, -21, -17, -41, 33, -4, 44, 51, 39, 47, 42, 26, -15, 26, 58, -46, 47, 5, -2, 21, -4, -8, 43, 23, -3, 25, 12, 42, 32, 18, 53, 31, -19, 40, 11, 38, 47, 5, 37, -26, 42, -54, 5, 28, -50, -60, 5, 47, -12, 4, -2, 26, -13, 21, -14, -19, -56, -25, 28, -4, 28, -6, -33, 6, 51, -13, -3, -52, -27, -16, -40, -38, 18, -34, 31, -8, -4, 32, -25, -39, 33, 3, -74, -46, 47, 8, 41, 42, 45, 24, -21, -22, 26, -4, -45, 21, -8, -46, 53, 21, -5, -53, 10, -7, -33, -1, 28, 13, -36, 19, -38, 29, -3, 33, -32, -31, -23, 47, 32, -24, -18, -20, -7, 14, -39, -2, 34, -2, -47, 0, 19, -31, 38, 16, -39, 5, 38, -31, -34, 21, -31, 19, -29, 24, 3, -30, -49, 18, -17, 15, 11, -2, 6, 12, -11, -39, 0, 31, 16, -46, -47, 12, -40, -3, -27, -44, -35, 48, -33, -31, -34, 18, -48, 8, -46, -10, 23, -35, 46, 38, -3, -15, -1, 49, 44, 36, -30, -43, -14, 23, 36, 34, -35, 3, 41, 16, 49, -18, -40, 16, 17, 40, 17, 5, -6, 1, 39, 4, 25, -26, -4, -40, -7, 32, 1, -9, 4, -46, 3, -34, 5, 36, -37, -37, -36, 38, 37, 25, -1, 0, -17, -34, 14, -20, -48, -45, -52, -28, 7, 0, -16, -24, 24, -14, -26, 12, -34, 2, 28, 1, 30, 7, -34, -39, -40, 37, -34, 11, -4, -43, -51, -31, -15, -41, 15, -26, -16, 8, -16, -20, 26, -17, -30, -11, -33, 46, -28, -22, -25, -22, 5, -20, 4, -32, -4, -39, -51, 9, -11, 10, 22, 0, -11, 26, -1, 42, -5, -7, -41, 39, 47, -29, 12, -18, 40, 42, -49, -20, -6, 31, -34, -17, -37, 32, -3, -13, 10, 17, -19, 6, -37, 18, -9, -52, 0, -36, 5, 35, -33, 48, -67, -11, -15, -5, 18, 17, 14, -15, 22, 20, 33, -44, 27, 37, -31, 38, 37, -16, 39, 4, 37, -10, -28, 41, 22, -40, 58, -33, 0, -5, 5, -29, -2, -34, -27, 13, -23, -35, -24, 20, 0, 32, 38, 5, -25, -1, -11, 11, -46, -1, -40, -57, -61, -27, 11, -1, 35, -22, 11, -42, -16, -40, -41, 34, -35, -12, 19, 9, -2, 27, 22, -37, -30, 4, 47, 43, 21, 31, 28, 16, 27, 21, 37, -26, 43, -39, 23, -47, -12, -18, 9, 39, 10, 34, -36, -7, 37, -11, -44, -42, -45, -39, 48, 27, 11, -50, -40, 29, 31, -11, 35, -25, -34, 34, 13, -26, 21, -13, 0, 24, 26, 45, 7, -44, 17, -24, 44, -6, -28, -7, 27, -14, -18, -2, -21, -12, -25, 46, 28, 42, 2, -30, -29, -4, -35, 35, 10, 4, -12, 42, -48, 14, 20, -12, 2, 40, -47, -30, 28, -41, -14, -29, 26, -26, -32, 47, -16, 31, 32, 8, -37, -39, 21, 35, -35, 14, -24, -14, 28, 42, -35, 9, -8, 24, 17, -46, -53, -4, -41, -6, -4, 17, 28, 46, 9, -33, -33, 12, 48, 24, -22, 17, -6, 21, 18, 44, 27, 37, 31, 14, -30, 34, -36, 23, 45, -11, 12, 9, 44, 4, 40, -26, 21, 37, 32, -20, -47, 15, -28, 5, 9, 1, 46, -6, 9, -34, -20, 3, -35, 4, -28, -57, 2, 16, 17, 22, -3, -6, -46, -3, -35, 0, 1, -32, -8, 10, 18, 21, -43, 30, -39, -6, -41, 25, -18, 11, -12, 30, -40, -11, 0, -31, 14, 4, -20, 6, 44, 40, -37, -21, -21, -20, -21, 27, 32, -12, -26, 9, 5, 1, -11, 7, 11, 32, 6, -27, 13, -40, 12, -37, -34, -46, 34, 31, 17, -1, -12, -40, 24, 30, -32, 12, 42, 2, -38, 46, -28, -31, 21, -14, -48, -1, 20, -55, 28, 43, -7, -23, 36, 20, -47, 30, 1, -45, -36, -17, 13, -21, 47, -15, 8, -18, -8, 16, 42, 1, 32, -33, 21, -38, 25, -20, 40, 4, 39, -21, 16, 48, -21, 0, -8, -21, -23, -25, -37, -47, -33, -21, -21, -49, -49, 2, 38, -42, -28, -26, -19, 15, 11, 14, -43, 12, 20, 2, -24, 50, -41, 14, 48, -29, 8, -31, -60, -73, 8, 22, 0, 17, -6, 69, 26, 3, 4, 24, 34, 10, -30, -38, 8, 19, 4, 15, 20, -8, 18, -31, -1, -29, -58, -52, -76, -66, 7, -45, -33, 60, 97, 35, -12, -24, 8, 36, -19, 3, 39, 5, 38, 37, 37, -44, -34, -46, 32, -7, 17, 36, -37, 19, 15, -21, 21, 7, 11, 24, 35, 31, 28, 10, 11, -45, 38, -26, -39, 26, 7, -38, -30, 9, -4, -18, -53, 16, -14, 27, 10, -37, -12, -44, -2, -21, -24, 33, -65, 32, 13, 31, 39, -16, 42, 2, 16, -25, -29, -30, -31, -7, -71, -5, 57, 31, -44, 13, 30, 14, -25, 13, -19, 6, 28, -18, -39, 34, -14, -13, -2, 0, 25, 41, 12, -19, -52, 27, -40, 44, 26, 11, 0, -36, -5, -35, -48, -38, 21, -7, -4, -14, 6, -3, 4, -18, -8, -42, 41, -33, -5, -4, -9, -36, 23, -51, -36, 39, -41, -37, -5, 49, -38, 26, 15, 23, -25, -32, 39, -66, -9, -30, -1, 33, 41, 32, 61, -29, 13, -26, -22, 6, 68, -36, -9, 32, 61, 21, 47, 5, -23, 21, 23, -20, 40, 43, 23, 0, -42, 28, -19, 47, 5, 39, 0, -43, 29, -27, -55, 37, 39, -4, -6, 18, -19, -17, -15, 10, -44, 22, -46, -37, -17, -33, -19, 20, 2, -15, 17, -66, -53, -16, -19, 5, -27, 17, 30, -80, -30, 32, 10, -7, -25, 34, 51, 3, 33, -31, -40, -18, 54, -32, -27, -11, 19, -21, 27, 1, -2, 23, 38, 41, -2, -22, 42, 19, -16, -10, -32, -7, 35, 41, -8, 5, 25, 23, -32, 15, 14, -25, 24, -15, -39, -11, -3, -21, 39, -3, -33, 36, 28, 54, -51, -43, -4, 30, 15, 21, -18, -8, -11, 25, 51, 19, -21, -30, 44, 30, -30, 0, -21, -2, -5, -1, 30, -26, 14, 17, 50, 35, -45, 51, -41, -61, -29, -8, 2, 1, 40, 25, -4, 22, 35, -45, 15, -14, 18, 11, -26, -13, 22, 52, -22, 5, 22, -6, -27, 18, -24, 44, 2, -12, -18, -26, -42, -29, 45, -35, 0, -8, 10, 10, 15, 34, -6, 14, 8, -25, -7, -41, -45, 69, 5, 7, 13, 13, -39, 41, -32, 24, -9, -15, -7, 26, -2, 14, -38, 9, -19, 33, -7, 16, -46, -37, 47, -28, -26, 9, 25, -25, 2, 44, 46, -16, -27, -8, 39, -10, -16, 3, 8, -2, -10, 34, -9, 9, 61, -25, -27, 31, 15, 13, 13, 24, 2, 25, -2, 11, 16, -28, 9, 1, -4, 9, -28, 11, -33, 54, -15, -3, -12, 30, -52, 3, 25, 35, -21, 10, -47, -45, -7, 35, 12, -26, 7, -9, 6, -23, 12, 13, 30, 6, 4, -29, 39, 33, 17, 21, -62, 15, 10, 30, -8, 36, -18, 40, -13, 14, 23, 6, -7, -37, -34, -4, 16, 17, 40, 19, -30, -8, -25, -27, -14, 12, 20, -23, 15, 54, 3, 43, 10, -42, 7, -2, 14, -7, -7, 4, -43, -61, 9, 45, 5, 9, -44, -46, -4, -41, 48, 43, -62, -52, -18, 27, -31, 28, -51, -6, 35, -46, -39, -53, 10, 16, -30, 38, 68, -10, 16, -35, 15, -8, 3, -18, 31, 9, 22, -21, 30, 10, -29, 38, -39, -38, 28, -44, 44, 39, -43, -35, 22, -31, 35, -9, -12, 46, 32, 14, 17, -33, 2, 38, -9, 4, -25, -8, 21, 32, -38, -37, 11, 20, 39, -44, 26, 31, 38, -40, 23, 16, 25, 35, 16, -3, 39, -48, -21, -38, -29, 20, -29, 4, -32, 29, -27, 27, 41, -7, -14, 24, -47, -32, 32, 2, -41, 29, 37, -5, -28, 10, -29, 44, -39, -45, 2, 14, -3, -23, 22, -31, 30, -45, 41, -36, 43, -46, -51, 38, 4, 31, -46, -8, -37, -8, 13, 12, -21, -4, 7, -23, -32, -32, 12, 10, 5, 20, -31, 11, 14, 8, -27, -12, -45, 1, 41, -25, 21, -33, -42, 28, -13, -19, 42, -8, -43, 34, -21, 41, 23, 21, -14, -16, -43, 22, 5, 0, 32, 48, -36, -40, -11, 48, 20, 10, -7, 31, 35, -15, 6, -12, -29, 24, -14, 16, -32, 0, -22, 16, 44, 40, 26, -47, 3, 10, -23, -47, -4, -36, -9, 40, -7, -22, -7, -9, 3, -33, 14, 37, -43, 45, 35, -47, -5, -1, -46, -14, -26, 13, -9, 41, 25, -37, -30, -23, 15, -42, -45, -20, -16, 19, 16, -20, 36, 16, 33, 11, 8, -29, -27, 30, 46, -1, -37, 45, 25, 6, -49, -20, -37, -21, -33, 40, -43, -20, 5, 2, 34, 29, -45, 1, 9, -12, 36, -36, 12, -3, -14, -30, -32, -46, -32, -44, -35, 15, 36, 48, -41, 6, -35, 23, -26, 34, -23, 23, -21, 1, 0, -42, 34, -34, 15, -11, -14, 34, -1, -3, 38, 2, -35, 26, -30, 15, -15, -7, -17, -13, 12, 40, -15, 23, -4, 30, -27, 24, -34, 2, -20, 37, -37, 30, 35, 6, -19, 31, 26, 15, -10, -21, -35, -20, 46, 43, 29, -9, -7, -42, 22, -11, -40, 5, -12, -25, 3, 5, -10, 12, -9, 43, 5, 25, -12, 10, 36, 45, 6, 12, -9, 34, -9, 16, 37, -47, -42, -45, 48, 4, 32, 33, -25, 46, -30, -44, -18, 31, -4, -12, 5, -1, -45, 38, -31, 42, -12, -48, -30, 36, -46, -31, 26, 13, 43, 9, -18, -28, 9, 17, -33, -47, -13, 29, -22, 31, -16, 33, 34, -7, 18, 10, 2, -27, 15, -23, 47, 11, -34, -20, 32, 15, -7, -8, 27, 2, -41, 8, 26, -2, 39, -48, -41, -39, 14, -42, -15, -45, 29, -47, -9, -32, -39, 17, -22, 45, -23, -5, -15, -39, 1, -19, -1, 37, -46, -29, 21, 35, -42, -18, -25, 35, 38, -43, 36, -10, -50, -7, 25, 20, 1, 2, -24, 20, -18, -20, 7, 10, 23, -3, 36, -42, -28, -48, 0, -1, -2, -27, 17, -22, 27, -15, -20, -42, 12, 42, 28, 34, -45, 39, 17, 30, 34, 8, 43, -10, 22, 5, 3, -40, -30, 23, -9, -29, -34, -43, 32, -26, -43, 30, 42, 10, -8, 38, 32, -47, 4, -5, 2, -23, -20, -20, -26, 5, -41, 39, 2, 41, -4, -34, -22, -5, -20, -27, 21, 18, 37, 9, 36, -17, -48, -41, 9, 32, 21, -32, -13, -10, -4, 38, -35, 6, -25, -38, -49, -33, 42, -21, 40, -36, 18, 42, 5, -44, -15, -23, -20, 25, 32, -15, -36, 21, 8, 24, 31, -32, 1, -49, -46, -36, 37, 18, 0, 15, -46, 17, -6, -31, 2, 19, 34, 45, -14, -43, -46, 41, -40, -45, 11, -6, 4, -6, 45, -48, 34, 16, 42, -23, -24, -44, -12, -42, -8, -28, -11, -14, 3, -10, -35, -33, 23, 38, -19, -17, -15, 41, -29, 25, 44, -38, 45, -34, 37, -38, 39, 45, -42, 31, -41, 29, -48, -8, 5, 23, -30, 14, -4, -7, -18, -4, -9, 1, -2, 30, 0, -41, 48, -26, -31, 49, 33, -11, -32, 46, 28, 10, 41, -9, -26, -24, -36, 36, 12, 33, -44, 20, 44, 21, 22, 43, -32, 2, 16, -11, -32, -42, -17, -34, -29, 44, 8, 43, -20, -3, 7, 39, 41, -7, 1, -32, 25, -21, 2, 3, -45, -15, 44, 6, -35, 34, -27, -23, 18, 30, -6, -32, -7, 34, 26, -23, -51, 7, 20, 30, 7, -8, 6, 53, -15, 37, -25, -1, -24, 55, -40, 27, -30, 13, 44, -43, -23, -51, 19, 40, 34, -38, -6, 8, 45, 39, 7, 9, 44, -23, 9, -25, 11, 12, -44, 15, 0, -3, 47, 39, -16, 22, 9, -19, -36, -47, 48, -16, 32, 12, -45, -35, 12, 15, 22, -35, 44, -15, -5, 34, 15, 7, 19, 16, -6, -28, -18, -39, -33, 29, 32, -40, -12, -44, -19, -25, -14, -21, -30, 7, 34, -36, 13, -43, 18, 6, 33, 32, -12, 31, 2, -11, 17, -12, -42, -28, -29, 6, 35, -11, -22, 43, 4, -28, -45, 37, -33, -48, 31, 49, -17, 11, 39, -55, -13, -16, 1, -8, 31, 2, -27, 37, 28, 44, 37, 28, -17, -10, -42, -3, -27, -43, -44, -4, 50, -19, -36, 22, 18, -13, -23, 8, -38, 10, -46, -18, 40, 42, -41, 11, -35, -13, 13, -1, -37, -10, -1, -40, 46, -37, -8, -10, -29, 45, 0, -17, 25, -14, -18, 26, 1, -16, 27, 8, -48, 17, 25, -21, -24, 28, 39, 12, 44, 44, 15, 24, -25, 48, -6, 46, -40, -2, -29, -35, -9, -1, 20, -29, 21, -3, 21, -41, 37, -42, -1, -7, -41, 2, -15, -32, -29, 11, -17, -48, 0, -42, 16, -21, -14, -41, -36, -16, -22, -48, -27, 33, 6, 15, -39, 21, -44, -37, -49, 17, 40, 15, 26, -28, 1, -17, -38, -35, -19, -30, -23, 42, 2, 52, -32, 29, -32, -26, -8, 21, -41, -41, 26, 37, -46, -43, -29, -32, 25, 5, -34, 20, -41, -21, -4, 1, -13, 30, -3, 2, 26, -46, -23, 36, 4, 2, -24, -30, 37, 35, 39, 14, 38, -35, 14, -31, 14, -35, -11, 9, -19, 34, 4, -8, 31, 30, -15, -21, -14, 38, 2, 7, -21, -19, -34, -32, -6, -6, -45, 33, -28, -12, -26, -17, -3, 43, -20, 28, -17, -5, -9, 40, 41, -44, 1, 2, 27, 7, 3, -8, -7, -11, -17, -44, 14, 25, -17, -21, -45, -43, 17, 24, -27, -49, -21, 11, 30, 42, -8, -37, -2, 11, 2, -20, -55, -34, -20, 17, 14, 30, -49, -1, -39, -31, -3, 14, -26, 10, 7, 43, -46, -33, -28, 23, -27, 39, -19, 36, -45, 6, 46, -44, 19, -37, 31, 9, 7, 26, -14, -6, -27, 21, -21, 40, 18, 24, -25, -34, 35, 18, 5, -7, -28, 55, 8, 38, 16, -25, -43, -15, -41, 10, 11, 28, -31, 46, 44, -17, -39, 45, -35, 31, 27, 20, 1, -30, -36, 40, -24, 29, 0, -46, -38, 38, 32, 18, 40, -34, -33, 19, 15, 45, 48, -43, 48, 13, -44, -45, 33, 36, 2, -15, 20, 20, 10, -23, -14, -6, 19, -29, -31, 5, 45, -26, -39, -3, -28, -43, -22, 25, 27, -23, -14, 17, -43, 10, -19, -24, 47, 13, 29, 38, 47, -9, -45, 37, 8, 48, 29, -26, -45, -43, 32, -5, -25, -27, -13, 6, 1, 32, -12, -34, 5, -40, 14, 40, -20, 12, 45, 44, 23, -13, 32, 38, 0, -25, 27, 42, -11, -17, -34, 47, 10, -36, 36, 34, 38, -46, -22, -29, -18, 17, -6, -30, 39, -37, 9, 0, -33, -7, -24, -15, 16, 34, 4, -31, -41, 20, 18, -11, 44, 6, 43, -4, 48, -25, 19, 47, -42, -6, -28, 3, 36, 6, -22, 3, -25, 0, -20, 36, -47, -24, -16, -9, -25, -51, -26, -41, -8, -35, -26, 26, 10, -31, 43, -4, -45, -5, -25, 28, 6, -34, -34, 41, -48, -35, -42, -37, 35, -39, -6, -18, -42, -28, -28, 35, -4, 15, 14, -25, -18, 12, -29, 11, 2, -48, -26, -43, -35, 44, 19, 43, 31, -13, -13, 43, 2, 43, -47, 9, -27, 15, 23, 23, -44, 43, 35, 12, 20, 13, 34, 12, 22, -24, -32, -28, 25, -46, 21, 18, 25, -7, 44, -18, 14, -44, -8, -46, -29, 30, 42, 6, -42, -19, 5, -8, 0, -46, -19, -25, -48, 13, 14, -3, -47, -15, -28, -13, -27, 1, -5, 7, -15, -27, 14, -9, 32, -13, -9, 43, -47, -39, -9, 5, -25, 33, 9, -10, 6, 32, 2, -34, -6, 11, -37, 34, 17, 34, -27, -47, 19, 3, -3, -28, -11, 3, 30, -31, 34, 33, 17, -29, 11, 1, 17, -27, 18, -35, -20, 33, -18, -31, 11, -31, -35, -13, 13, -25, 36, 39, 46, -27, -22, 21, -6, 34, -40, 1, -15, 36, 34, -37, 30, -23, -3, 35, 27, 25, 25, -2, -37, -47, 18, -29, -9, -26, 29, 17, -40, 11, -46, 11, -21, 8, -24, 22, -37, 45, -17, -41, 9, 10, 42, 10, -31, 35, 2, -4, 16, 17, 41, -21, 8, 4, -20, 35, -32, -27, -30, -29, 12, 21, 30, -23, -12, 45, 8, -41, 37, -24, -21, 22, 33, -4, -23, -39, -37, 19, 29, -17, 33, 7, -36, 28, 11, -3, 16, 22, -19, -23, 30, -34, 25, -6, 35, -31, -23, -29, -33, -21, -14, 44, -14, -45, 1, -22, 19, 18, -45, 40, -27, -13, -3, 23, -20, 10, -35, -14, -11, -20, -31, 36, -35, -44, -32, 2, 38, 42, -10, 37, -38, -38, 15, 38, 13, -23, 39, -40, -12, -25, -29, -16, 0, 37, -45, -8, 47, 28, -8, -19, 33, -22, 28, -13, -6, 46, 10, 39, 17, 33, -14, -23, -15, 2, 43, 21, -42, 18, -32, 6, 43, -38, 39, 16, 8, -47, 19, 33, 5, -2, 37, 30, 19, 23, -46, -40, 10, 0, -49, 38, 22, 28, 27, 37, -1, -41, 16, 30, -9, 3, -39, 45, 21, -7, 21, 31, 28, -43, 30, 5, -41, -9, -8, -3, 25, -36, 25, 38, 21, 24, -14, 7, 2, 11, 3, -12, 28, 6, -16, 47, 34, -35, 4, 1, -8, 17, -22, 6, -43, 36, 4, 36, -37, -2, -16, 9, -29, 8, 3, -5, 40, -32, -5, 17, 3, -30, -6, -14, -33, -27, 3, -15, -16, -43, 37, -36, -31, -9, -14, 24, -41, 37, 3, 18, 16, -19, 24, 18, -29, -45, -18, -29, -7, -14, -26, 6, 13, 40, -14, -43, -16, -23, 3, -8, 30, -19, -42, -28, -29, 40, -49, -21, -8, 9, 29, -34, 43, 3, 54, 40, -24, -10, -30, -14, 30, 0, 17, 26, -39, 1, -19, 37, 47, 42, 33, -1, 2, -16, 3, -40, 14, -39, -7, -15, -1, 42, -9, -10, 9, 22, 38, 19, -21, -39, 12, -28, -21, 47, -39, -9, -6, 10, -18, 6, 26, -40, -39, -22, -10, -34, -21, 34, 9, 18, 33, 28, -11, -17, 2, 35, 57, 10, 42, -23, -19, 25, -35, 45, 4, 17, -30, -12, -15, 7, -19, -32, 13, 38, -33, -26, 28, -31, -8, -6, -4, -31, -13, -49, 12, -4, 21, -21, -56, 11, 27, 40, 36, 12, -41, 9, 15, 24, 32, -43, -17, 18, 27, 43, 15, 4, -11, -9, -51, -16, 25, 9, -13, 4, 15, -28, 49, -51, 17, 0, -23, 24, 45, 33, 0, 43, 17, 1, 10, -13, -25, 8, 1, 38, -5, 13, 3, 62, 32, 0, 31, 12, -24, -46, 17, 46, -7, 4, 52, -28, -19, 17, -16, 15, -15, -53, -3, 10, -32, -23, -50, -27, 42, -44, -34, 17, 34, 15, 13, -1, 50, -9, -1, 46, 10, 31, -36, -9, 20, -4, 47, -9, 15, 14, -32, -20, -35, 44, 33, -33, 9, 20, 12, -36, 0, -24, 11, 43, -46, -9, -4, 28, 48, 32, 6, -35, -3, 28, 16, 12, 25, -19, -25, -4, 19, -3, -39, 27, 28, -31, 7, -11, -31, -15, 42, -17, 6, 27, -23, 16, 36, 9, -15, 32, -32, -70, 45, 19, -47, 51, 28, 44, 0, 19, -21, 6, 39, -47, -20, -13, -43, -17, -14, 4, 15, -4, 11, 17, 2, -28, -42, 4, 17, -35, -8, 9, 9, -3, 9, -19, -32, -15, -42, 21, -2, 27, -4, 26, 47, -31, -29, 48, 17, -30, -35, 9, 29, 0, 18, -27, -21, 18, -41, 36, -42, 23, -40, -42, -13, -38, -10, 21, 42, -40, -17, 32, -7, -7, 41, -35, -43, -1, -35, 31, -4, -40, -28, 42, -14, -27, 52, 0, 15, -22, 22, 20, -19, 17, 18, 30, 35, 32, -21, -39, 36, -34, -34, -63, 2, 29, -41, -17, -69, -40, 26, -41, -35, -39, 40, -39, -26, -44, -25, -34, 7, -9, 32, 10, -50, 35, -2, -30, 8, 31, -69, 1, -9, -11, 26, -57, -29, -12, 23, -27, 54, -12, 19, -2, -33, 41, -42, 47, -46, -32, 35, -29, 25, -49, -34, 2, 20, 33, -43, 36, -8, -10, -39, 29, -3, -30, 1, 8, -5, -15, 34, -57, -1, -28, -4, -26, 23, -7, 38, 41, 22, 28, 44, 16, -7, -24, 46, -30, -15, 30, -41, 14, -16, 26, -27, -38, 0, 8, 28, -25, 10, -3, 45, 4, -41, 18, -26, -51, -14, -6, 4, 5, -35, -20, 15, -9, -27, -34, -15, 21, -15, 22, 2, -33, 22, 30, 12, 41, 56, 54, 57, 8, -27, 11, -17, -45, 3, -7, -31, -28, 44, 24, -3, -36, -6, -28, -34, 30, 44, 15, -9, 51, 21, -11, -20, 20, 2, -21, -1, 2, -28, -38, -33, -58, -45, -32, -18, 43, 14, -20, -3, -52, 21, 36, -36, -28, -38, -6, -48, -30, -32, -28, 0, -22, 47, -18, -14, -23, 6, -9, -24, -24, -49, -32, -5, 22, 40, 2, 0, 17, 22, 21, 33, 41, -18, 16, -20, -15, 8, 8, -34, 0, 34, -15, 16, 7, -35, 5, 15, 38, -11, 17, 39, -8, -14, -46, -45, 41, 16, -1, 45, -21, 48, 27, 31, 21, 6, 44, 29, 44, 3, -30, 45, 10, -25, 38, -44, 32, 5, -14, -43, -38, 11, 18, 47, 12, -51, -14, 32, -40, 15, 36, 21, -65, 20, 34, 26, 23, 40, 59, -8, -35, -19, 11, -24, 17, -5, -18, 24, -37, -36, 0, 24, -36, -28, -16, -10, 15, -36, -17, -31, 20, 29, -4, 3, 47, 9, 31, 46, 13, -25, -29, 36, -28, 30, 0, 45, 8, 42, -13, 45, 48, -9, 11, 37, -39, -31, 23, 12, -13, 23, 32, -15, -30, 8, 8, -16, 42, -19, -19, 9, -36, -27, 5, -37, 12, -30, 23, 35, -51, 34, 33, -1, 6, 3, -31, 39, 12, -41, 23, -53, 9, -20, 16, -30, 44, 44, 13, 27, 13, -19, 36, 27, -6, -41, -18, -33, -13, -9, 33, -3, -27, -28, -9, -56, -3, 10, 4, 16, -56, 31, -20, -45, 23, -17, 18, 45, 36, 41, -2, 37, 0, -22, 7, -20, 1, 38, -11, 25, 13, -22, 31, -4, -42, 0, 24, -12, -26, 39, 8, 17, 18, -35, -19, 19, 39, 23, -4, -21, 3, -29, 11, 17, 51, -36, 30, 10, -36, 56, -35, -44, 22, 2, 5, -28, -46, 8, 2, 41, 30, -17, 2, -29, 11, -42, 11, 43, 35, -28, -27, 49, -23, -10, -17, -13, 20, 17, 1, -18, 7, 24, -19, 22, -49, 11, -63, 9, -37, -73, -34, -14, -26, 18, 14, -3, 31, -24, -38, -15, -38, 22, -1, 33, -32, 8, -42, 35, -10, 5, 24, -13, 15, 32, -3, -25, 48, -3, -23, -13, 16, 13, 4, -23, -44, -27, 37, -16, 1, -9, -21, -6, -1, 7, -29, -39, 37, 26, 18, 30, -29, 36, 40, -5, 25, -3, -44, 45, -15, 39, -44, -47, 4, -14, -23, 12, -28, 12, -39, -25, 0, 49, 39, 41, -32, 47, 20, -37, 18, -22, -38, -46, -24, -13, 36, -42, -4, -38, 13, -24, -45, 49, -11, 19, 51, -42, -10, -9, -13, 9, 15, -22, 19, 33, -40, 10, 34, 44, -45, -3, -21, 2, 29, 34, 27, 3, 29, 35, -8, 6, 2, -43, 16, -5, 39, -47, 40, 56, -57, 19, -14, -2, 13, 27, 17, 22, -22, -82, 31, 28, -35, -13, 16, 26, 33, 0, 20, 24, 53, -14, 50, -3, 11, -29, 6, -2, -29, -41, -42, 32, 26, 13, 16, 25, -8, 36, 22, -32, 30, -5, 18, 2, -35, -47, -46, 16, -27, -52, 3, 13, -26, -40, 58, 18, 35, 43, -8, 35, 22, 27, -43, -5, -4, 18, -13, 16, 23, -27, 22, 29, 15, 10, 34, 32, -4, 18, -37, -31, -27, 4, -20, -47, 17, -36, -8, 28, -41, 2, -20, -15, 12, 6, -18, -5, -49, -40, 12, 19, -44, -36, 0, 38, -22, -6, 34, -40, 28, 35, -25, 19, 33, -6, -24, 15, -33, -18, -7, -14, 5, -23, 25, -13, -44, -5, 26, -13, -6, -19, -5, -9, 2, -9, -27, -15, 15, 1, 1, 61, 20, 24, 58, -32, 10, -50, -26, 37, 13, 35, 4, -31, -25, 31, 34, 30, 44, -39, -11, -33, 27, 39, 7, -54, 70, 33, -17, -23, 23, -15, -28, -25, 10, 2, 40, 18, -22, -12, 46, 34, 16, 46, 20, -39, 45, 44, -27, 39, 16, 39, 31, 15, -7, -35, -14, -14, -27, -23, 34, -45, -16, -47, 36, 24, -41, -15, -7, -32, 23, 8, 12, -17, -38, 31, -17, -11, -44, 40, -40, 15, -9, -41, 25, 20, -2, 32, -18, 31, 4, 43, 9, -28, 17, -22, -12, 41, 2, 36, 5, 33, -12, -15, -35, 17, 2, -27, -15, 27, 6, 17, 17, -35, 16, 26, 25, -13, 24, 35, -25, 34, 41, -23, 3, -5, -39, 19, 45, -16, 43, 29, -36, -10, 12, 10, -1, 3, -39, -19, 35, -19, 25, -5, 23, 11, -41, -35, -7, -8, -1, 43, 19, 20, 21, -13, 10, -20, -29, 10, 43, 13, 19, -25, -26, 32, 5, -46, -24, 22, -12, 36, -27, 8, -47, -4, 10, -37, -5, 22, -10, -38, -47, -15, -53, 42, 44, -13, 23, 24, -31, 5, -6, 6, -3, 31, 6, -14, 3, 17, -40, 34, 38, 24, -19, -31, 29, 2, -30, -36, -10, 27, 11, 9, -1, -6, -45, -4, -1, -40, 9, -46, 15, -20, 26, -48, -13, 14, -42, 2, -2, -38, 36, -2, -29, 9, -15, -17, -33, -22, -3, 18, 14, 6, 25, 10, -10, 40, -28, 19, 19, 4, 7, 20, 0, 18, 2, -18, -39, -46, -15, 23, 45, 21, -2, -3, -30, -13, -43, 23, 0, -12, 34, -11, 30, -10, 3, 21, 31, 22, -13, -4, 21, 22, -25, -5, -25, 31, 22, -2, 20, -36, 32, 23, -9, -41, 47, -7, -13, 24, -10, 19, -38, -41, 22, -5, -16, -21, 1, -42, 44, -12, -14, -7, 5, -33, -32, -45, 49, -19, -4, 25, -17, 26, 49, -17, -46, 16, 44, 8, -25, 18, -3, 0, -11, 19, 12, -39, -33, 4, -32, -3, 40, 16, 11, -18, -12, -11, 23, 38, 7, -5, 1, -5, 24, 35, 16, -40, -33, -30, -26, -34, 47, 2, -32, -11, 12, 42, 23, 32, 19, -19, -33, -24, 22, 42, -25, -15, 9, 13, 2, 43, -43, 25, 23, 26, 42, 10, 26, -22, -29, -25, 41, 27, 47, -5, 5, 35, -41, -17, -6, 24, -15, 36, -39, -34, 23, -1, 34, 18, -4, -31, 42, -5, 13, -42, 42, 17, -9, 33, -37, -33, -30, 50, -3, -27, -16, 2, 42, 36, 16, 10, -10, 42, 32, 0, 17, -19, 26, 7, -8, 15, 2, -43, 0, -34, -28, -31, -38, -44, 17, 17, -48, 0, 5, 11, 40, -1, -1, -32, -47, -2, 26, 17, -42, -13, 43, -33, -9, 38, -22, -43, -10, -31, 36, -47, -3, -44, -1, -9, 53, -33, 10, -33, -20, 16, 38, -16, -21, 1, -40, 8, 41, 9, -35, 32, -8, -16, -13, 18, 5, -25, -44, -39, -45, -52, -16, -29, 21, 3, 34, -27, 38, 41, 9, -33, 1, 7, -21, -47, 44, 18, 5, 51, 48, 10, 20, 46, 15, -6, 41, 20, -44, -8, -38, 12, 23, -22, -23, 25, 3, -13, 39, -34, 42, -35, 1, 32, 23, -13, -4, -36, -45, 21, 40, 14, 34, 26, 32, -13, -8, 45, -37, 6, 12, -19, 43, -20, 35, -25, 35, 43, -20, 23, -21, 49, -1, -7, -34, 6, -17, -3, -31, 43, -24, -38, -48, 21, 48, -19, -1, 24, 2, -34, 38, -37, 25, 31, -2, 20, -7, -19, 9, -23, -18, 41, -29, -22, -40, 18, -31, -5, 44, 37, 44, 38, -44, 38, 48, -24, -22, 44, -41, 46, 16, 0, 8, 5, 46, 2, 10, -6, -37, -19, 21, 22, -14, 33, -3, 25, 25, -30, 10, -14, 36, -18, -3, 27, 29, -13, 35, 34, -35, -8, -68, -66, 51, 62, 18, -23, 32, -13, -7, 30, -12, 44, -1, 27, 1, -36, -38, -11, -20, 11, -18, -17, 0, -2, -32, -78, -57, -22, -48, -23, 41, 15, 3, 5, 20, 53, 55, 20, -43, 29, -14, -22, -5, 10, -20, -46, -11, -5, 37, 46, -43, 25, -39, 6, 2, 14, -37, 17, 24, -19, 6, 12, -5, 13, -16, 36, -50, -49, -27, 8, -40, -1, -73, -28, -2, -7, 77, 18, -23, -37, 15, -34, -48, 43, -20, -37, -32, 40, -32, -3, -37, 17, 19, 36, 4, 30, 42, 13, 17, -29, 33, -29, 3, -4, 53, 81, 38, 10, -26, -52, -14, 33, -36, -29, -12, 34, -1, 59, -17, 28, 42, -18, 25, -16, -1, -24, -6, -20, 29, -19, 13, 54, -16, -5, -40, -18, -21, -3, -23, -66, 35, 54, -24, 11, 41, 38, 25, 16, 31, -43, -28, -22, -6, 44, 41, -1, 28, -39, -8, -43, 28, -26, 17, -2, 4, 41, -1, 36, 18, 5, 5, -58, -19, -16, -7, -48, 7, 14, 14, 18, 37, -11, 17, 55, -15, 5, 74, 34, 72, 37, 38, 15, -7, 26, -3, -9, 10, 29, 27, -41, 30, 36, -15, 7, 42, -26, -37, 50, 19, -25, 12, 31, 10, -5, -27, 21, 0, -8, -21, 20, 43, -38, -59, -19, -2, 49, 4, -20, -55, 9, -32, -37, -36, -47, -79, -52, -14, 46, 22, 20, 26, 36, -23, -55, -37, 37, 17, 23, 7, 26, -16, 3, 16, 11, 15, 47, 5, 22, 22, -36, -20, 72, 21, -12, 75, 18, 19, 20, -4, -13, 33, 8, -47, -34, -34, -14, -35, -55, -26, 31, 15, 7, -33, 24, 11, -22, 22, 30, -24, -37, -26, 27, 38, -11, -15, -33, -29, 22, -35, 6, -42, -31, 15, -41, -13, 11, 46, -4, 16, -5, -40, 4, -16, 15, 16, -9, -35, 27, 61, 9, 22, 51, 48, 3, -44, -47, 38, 11, -39, 75, -9, 41, 13, 32, -7, -13, -28, 13, 4, 13, -5, 66, -1, -9, 14, 19, -3, -1, -27, -13, 20, -22, -20, 50, 44, 19, -13, -16, -32, -30, -1, -18, 30, 36, 2, 4, -33, 25, 14, 74, -13, -11, 17, 79, -2, 24, 30, -29, -4, -16, -16, -33, -29, -47, -35, -36, -17, -39, 15, -12, -42, 35, -35, -3, -4, 17, 28, -21, -3, -4, 44, -9, 86, 24, 49, -22, -5, -6, 19, -24, 5, -1, 7, 9, 15, -42, 19, 51, 6, 56, 57, -35, 16, 4, -7, 27, 11, -66, -5, 77, 21, -65, -61, -65, -12, 3, -47, -50, -2, 33, 22, -7, -18, 0, -5, 25, 7, 33, 10, 28, -47, -17, 28, -19, -1, -27, 16, 17, -31, 21, 44, 38, -8, -34, 18, 31, 39, -35, 21, -26, 38, 40, -8, 18, 39, -33, -18, -10, -23, -7, 5, -20, 3, 32, 19, -37, -32, -18, -56, -50, 25, -53, -60, -25, 24, 19, 16, 19, -28, -21, 36, 9, -10, -6, -1, 26, -17, -20, 31, -8, 33, 5, 28, -1, 42, 14, -43, -23, 27, -35, 23, 16, -42, 41, -32, -25, 12, 33, -19, -12, -26, -51, -7, 42, 39, -47, -4, 33, 20, -2, 5, 30, -33, -3, -8, -46, 30, -36, 37, -1, -42, -1, 40, -21, -1, 24, -39, 38, 2, 45, -41, 33, -27, -38, 12, 24, -6, 47, 47, 25, -1, 0, 5, -29, 26, -4, -54, 37, 53, -7, 16, -39, -8, -26, -21, 30, -10, 46, -8, -27, -39, -15, -18, -25, 31, -18, 1, 39, -10, 32, 7, -23, 33, 32, 0, 25, 4, 48, 53, -12, -34, -25, 23, 24, 9, -8, -42, 7, -43, -21, -39, -3, 33, -35, 47, -2, 28, -2, -10, -44, -54, 10, -41, -37, -2, -26, -50, -7, -12, 21, 22, 30, -7, -14, -36, -15, 2, 16, 6, 21, -22, 42, -10, 13, 12, -51, -3, -5, 44, 2, -26, -41, -23, -45, -11, 19, 7, 23, 43, 38, 28, 30, -17, 67, 42, -22, -24, -13, 46, -37, -12, 32, -20, 41, 33, -33, -31, 49, -27, 7, 32, -54, 22, 29, 29, -26, -36, -35, -21, 16, -30, 26, 0, -38, 33, 28, -16, -10, 52, -1, -17, -46, 15, 26, -23, 10, 28, -21, 31, 34, 17, 31, -37, 7, -29, -47, -45, 11, 42, -13, 47, 49, 2, -14, 49, -31, -23, -26, 54, 24, -36, 17, -6, -29, -45, 43, -21, 32, 34, -36, 35, 23, 1, 12, -4, 27, 46, 43, 17, 25, 2, 28, 7, 24, -34, -55, 41, -58, -32, -13, 29, 22, -7, 10, 46, -15, -17, 3, 44, -30, 37, 46, -38, -11, -20, -10, 11, -8, 34, 33, 3, -30, -20, 26, -6, 44, 29, -13, 39, 12, -34, -18, 39, -44, -8, 34, 39, 47, 5, 25, 15, 24, -11, -17, 8, -37, -18, 41, 14, 20, 21, 15, 27, -11, 39, 4, 37, 33, -34, 17, 30, -53, -27, -20, 43, 13, -1, -34, -33, -42, -18, 39, 31, 9, 43, 13, -28, 42, 6, -15, 10, 13, -51, -3, -14, -39, 48, 44, -7, 39, 16, -44, -6, 10, 29, 39, -11, -29, 35, 20, -25, -16, 2, -14, 38, -15, -23, 0, -21, 8, 20, 15, -1, -23, 12, 9, -43, -6, -46, 12, 16, -19, -33, 9, 29, 29, 17, 23, 49, 23, -18, 8, 16, 23, -19, -31, -13, 26, -30, 9, -14, 37, 18, 7, 41, 2, 5, 18, -47, -7, 15, -53, -25, 8, -22, -1, 13, -35, -42, 39, 25, 15, 40, 40, -26, 33, -20, -13, -34, 38, -27, -42, -12, 34, -10, 30, -52, 27, 24, -30, -40, -23, -57, 36, -12, 17, 20, -46, 30, 28, 32, 19, 40, -39, -36, 29, -22, 25, -9, 12, 5, -20, 39, 52, 46, 24, 0, 7, 28, 36, 4, 29, -10, -46, -29, 36, -32, 5, -25, -28, 18, 28, 44, 4, 54, 26, -8, -40, 13, 35, -26, 13, -1, 39, 31, -39, 54, -38, -38, 15, 35, -15, 46, 34, -16, 32, -31, 14, 31, 45, 27, -33, 39, 20, 5, -34, 15, -68, -1, -2, -12, 9, 1, -33, -42, 15, -20, -27, -3, 18, 33, -16, -11, 12, -2, -41, -7, -60, 23, -28, -27, -4, 44, -41, 5, 12, 28, 19, -36, -2, 42, 6, -39, 6, -10, 10, 44, -34, -45, -8, 32, 14, 7, -12, 21, 33, -8, 19, -16, 27, -18, 15, 19, -20, 17, 17, -23, -42, -2, 11, 9, 18, -11, 7, 7, 45, 36, -36, 27, 21, -43, -13, 54, 2, -53, 36, 9, 28, 11, 23, 35, 78, 40, 47, 53, 2, 47, -43, -32, -39, 0, -10, 24, 27, -10, -15, 11, 41, 23, 45, -20, 35, -6, -28, 4, 18, 5, -10, 22, 38, 17, 35, -50, -38, -37, 15, -36, 15, -44, -22, 15, 9, -4, -7, 49, -4, -1, 5, 25, 1, -48, 43, 2, 9, -26, -30, -34, -32, -23, -22, -33, -33, 13, -51, -16, 40, -58, -5, 1, -5, 56, 16, 25, 32, -52, -59, 52, 18, 42, 35, -10, 49, 13, -13, 50, 17, 20, 1, 42, -10, -19, 32, 11, -11, -38, 8, 4, 21, 24, 2, -13, 45, -26, 1, -2, -32, -24, -20, 25, -48, -46, -8, -1, 8, -17, 8, 24, 48, -50, 35, 57, -15, 2, 5, -31, -5, -13, -2, -2, 2, 16, -30, -18, 35, 21, -26, -74, 29, -34, -52, 17, -48, 9, 7, -7, -23, 4, -54, -67, -39, 33, 14, -32, -60, 11, -11, -57, 30, -26, -23, -33, 17, 38, 49, -37, 27, -8, 7, 4, -44, -27, -79, -62, -33, -2, 6, -19, 2, -1, 59, -12, 43, -14, -7, 13, 5, 44, -17, 7, -21, 23, -9, -4, 44, -1, 50, -23, 30, -4, 44, 1, -12, 12, -27, 29, -9, -7, -33, 18, 31, 39, 26, -26, -25, -49, 6, -7, 34, -36, 20, 21, -52, -36, 13, -16, -11, -30, 29, 14, -30, -22, 21, -15, -47, -51, 28, 11, 28, 10, 36, 26, -24, -18, 6, 41, -33, -15, -45, -5, 7, 2, 16, -61, 44, 22, -58, -46, -17, 21, -18, 4, -15, 36, -25, -20, -7, -8, -45, -4, -26, -12, 46, -13, -4, 49, 79, 36, 89, 29, -24, 44, 16, -26, -16, -47, -9, 33, -34, 20, -49, 8, -6, -6, -27, -8, -24, 8, -11, -47, 30, -1, 34, 33, -27, -27, -42, 1, -48, 40, -16, -14, 17, 11, -15, -44, -21, -28, 44, 46, -30, -44, 3, 2, -29, -26, -15, 8, 43, 6, -34, 29, 32, 20, -20, -35, 0, 19, 28, 28, -32, 33, 22, -42, -7, 14, -45, 29, -36, 17, 35, 37, -18, -6, 3, 42, -7, 31, -17, -19, -46, -15, -42, 37, -22, -49, 22, 8, 18, -44, -18, -4, -21, -49, 17, 37, 29, -43, -9, 17, 18, 28, -31, -36, -27, 13, 51, -19, -20, 55, 26, 39, 64, -45, -48, -49, -33, -10, -2, -46, 40, 38, 21, -32, 45, 40, 38, -4, -23, 3, 31, -24, 22, -11, 9, -27, -53, 29, -8, -40, 49, -16, 9, -31, 7, 19, 17, -27, -28, -21, -34, -14, -15, -43, 3, -27, 44, -5, -25, 38, 13, 25, 38, -12, -38, 27, -12, -12, -40, -26, 28, -44, -60, 1, 0, -51, 19, -33, -25, 45, 24, 33, -45, -38, -17, -18, -14, -30, 16, -58, 36, 6, -41, -37, -1, -4, 38, -40, -62, 5, 6, 42, 13, 29, -46, -23, -13, -67, 18, -40, -11, -44, 51, 20, -45, 43, 23, 32, -26, -66, -5, -34, -30, 15, -24, -5, 6, -23, 0, 1, -41, 42, 24, 10, -34, 17, 33, -42, 29, 39, 46, -32, -12, -45, 20, -31, 9, 7, -7, -53, 41, 63, 21, 56, -18, 46, -2, 34, 38, 37, -54, 34, 25, 6, 46, -29, 44, 36, -2, 20, -16, 18, -9, 1, -32, -16, -7, -22, 24, 21, 23, -47, 24, -45, -19, 33, 4, 14, 6, -1, 34, 23, 13, -4, -9, 20, 57, 47, -26, -1, 6, -1, -14, 6, -33, -5, 2, 27, -6, 29, -20, -17, -14, 15, 32, -11, -35, -3, 26, 23, 28, 7, 39, 41, 16, -19, 9, -10, 20, 14, 26, 22, -39, -32, -14, 40, 8, -22, -79, 52, 4, -1, 40, -37, -27, 2, -11, -27, 38, 32, -19, 21, -2, -10, 53, 7, 38, 27, 8, 41, -24, -2, 69, 40, -16, -39, 24, 34, -35, 7, 34, 13, -33, 10, -48, 3, -7, -27, -13, 12, -17, -29, -42, -36, 17, 0, -26, 38, -50, 26, -13, -2, -1, 1, -33, -20, -26, 3, -38, -68, -55, 31, 20, 48, 6, 13, -43, 43, 49, -11, -55, -23, 33, 22, 16, 14, -25, -38, 24, 27, -29, 25, -13, 43, 16, 18, -40, 9, 33, -19, -52, -11, -18, -18, -7, 105, -43, 38, -33, 24, 31, -33, 61, -8, 5, -33, 3, -6, 41, 50, 29, -6, 8, 40, 37, -18, 43, 16, 30, -29, -9, -22, -37, -41, -14, 9, 20, -2, -5, 6, 14, -41, 31, 11, -23, -49, -13, 16, 54, -40, -27, 39, -36, 0, -32, -31, -17, 26, -28, 2, -30, -23, 59, -24, 6, 32, 37, -44, -26, 31, 3, 34, -36, 28, -36, -29, 36, -30, 1, 14, 19, 13, -29, 9, -33, -40, -20, -28, -2, 23, 10, 47, -3, 16, 48, -50, 8, -7, -17, -27, 22, -11, -23, 32, 6, -12, 12, -30, 36, 31, 31, 15, 19, 10, -32, -44, 29, 37, 21, -54, 45, 2, 5, 28, 48, -3, 38, -50, 23, -44, -9, 8, -20, 58, -3, 0, -6, -39, -8, -2, 3, 19, 5, 28, 28, -53, 11, -33, -10, -46, 32, 12, -31, 8, 2, -13, 38, 19, -53, 7, 21, -23, 19, 38, -38, 8, -35, 37, -2, 30, -14, 36, -3, -55, 8, 16, 42, -4, -27, -6, 17, 31, 5, -22, 1, 44, 40, -8, -43, 34, -47, -12, -46, 17, 20, -15, -1, 11, -49, 25, 41, -15, 32, 34, -19, 28, -43, -24, 24, -20, 28, 48, 28, -48, 34, 17, -42, 22, -2, 48, 22, 1, 14, -13, -26, -21, -45, -39, -30, 49, -29, 12, -70, -15, 24, -31, -68, 2, 8, 4, -19, -44, 13, 32, 23, 27, 22, -35, 30, -19, -44, -1, 15, -47, -1, 3, -27, -60, -14, 36, 42, 45, -28, 27, 20, 30, 30, 15, 24, 13, -4, 47, 34, 23, -15, 31, 25, -39, -10, 10, 39, -58, 36, -27, -10, -9, 0, -33, 4, -41, -1, -14, -65, 54, -21, -31, -31, 13, 18, 30, -11, -31, -28, 30, -15, -15, -31, -15, 31, 14, -20, -21, -31, 65, 40, 15, 32, 9, -45, -13, 13, 38, -31, -32, 26, -27, 17, -6, -20, -21, -32, 5, 42, 48, -20, -2, 47, -36, 15, 23, -50, -17, -21, -9, 32, -20, 24, 50, 52, -25, 36, -29, 5, 30, 22, -10, -23, 8, -38, 20, -4, -9, -40, -13, -12, -16, 20, -39, -72, -31, -19, 2, 3, 11, -1, 11, 19, -21, 11, -1, -68, -6, -16, 10, 35, -2, 44, -22, 43, 36, 6, 38, -7, 42, 11, -6, 10, -28, 20, 12, 22, 29, 19, -26, -32, -21, -48, 13, -26, 21, -25, -2, 6, -18, -44, -11, -18, -30, -2, -23, -3, 19, 44, 8, -21, 44, 47, -14, 47, -27, -20, 16, -49, 15, 54, -8, -27, 11, 32, 15, 16, 21, 2, 31, 36, 40, 18, -17, -44, -15, -24, -24, 26, -37, 46, -19, -19, 42, 5, 14, -28, 43, 49, -8, -32, 23, -10, 13, 28, -27, -43, 41, -24, -46, -8, -44, -7, -46, -33, -10, 17, 7, 26, 43, -10, 12, -2, 2, -45, -25, 20, -44, 7, -26, 45, 32, -16, -41, -32, -23, 22, 36, 35, 32, 5, -2, 31, 12, -12, 21, 27, -40, -45, -23, -32, 21, -36, 49, 36, -29, 18, 24, -27, -7, 6, 7, -30, -9, 34, -45, -37, 12, -44, -41, -28, -20, -26, -24, -49, -21, 3, -27, -8, 37, -17, 27, -24, 38, -45, 42, 5, -25, 21, 45, 32, 24, 43, -46, 23, 1, 55, -35, -12, -28, 28, 2, 45, 16, 11, 25, -6, 19, 5, -1, 26, -18, 33, -23, -32, 17, -12, 35, -13, -36, 35, 49, -29, 32, -6, 38, 44, -1, 18, 30, 43, 14, -22, -12, 35, -10, 1, 29, -31, 41, 0, 13, -38, -35, 27, 36, -31, -1, 6, 21, -44, -30, -29, 14, -22, 26, -6, 31, -16, 30, 44, -31, -18, 12, 9, -5, -26, -41, 38, 29, 7, 12, -13, -19, -41, 25, -28, 41, 32, 24, 28, -53, 6, -18, 17, 30, 28, 15, 39, -23, -46, -10, -33, 5, -4, -8, 6, -17, 14, 1, 35, 14, -46, -16, 22, -33, -22, -30, -32, -32, -20, 13, 32, -8, -29, -16, 35, -1, -23, 37, -39, 13, -3, 20, 31, -18, 33, 33, -18, 8, -28, -4, -15, -25, 15, 22, -45, -25, -12, -13, -31, -13, 8, 23, 23, 20, 24, 16, 44, -21, -32, 1, 25, -23, -10, -26, 24, 13, 31, 41, -25, 28, 32, -25, 32, 33, -44, -32, -14, -12, 11, -13, 1, 17, 24, 40, 9, 4, 1, -32, 18, -21, -9, -36, 12, 39, -36, 15, -25, -29, 37, -31, 28, 6, 1, 44, 20, 23, -30, -32, 23, -33, 30, -20, 27, -8, 42, -7, -44, 33, -22, 8, 9, -45, 18, -10, -35, -12, -19, 2, -10, -42, 1, 25, 9, -24, -28, 33, -28, 40, 4, 46, 17, 8, -4, -36, 45, 1, 16, 20, 33, 46, 40, -44, -25, -25, 6, 46, 47, 25, -34, 3, -28, -16, 23, 39, 34, -21, -2, -2, -38, -17, -31, -17, 40, 35, 22, -21, -47, -63, 21, 6, 47, -12, 25, 38, -38, 43, 31, 38, -24, 0, 1, 21, 34, 6, 31, 9, 2, 27, 24, -5, -7, -17, 0, 44, -38, -3, 6, -9, -24, -48, 19, 14, -34, -30, -23, -4, -41, -47, 18, -31, 41, -16, 48, -6, -11, -5, 10, 27, 19, -33, 45, -7, 39, -31, -38, 30, 31, -36, -34, -22, -42, -47, -36, 36, 44, 5, 42, 39, 28, 10, 43, 32, -41, -18, 36, -44, 10, 23, -30, -24, -8, 16, 48, 16, 17, -42, 45, 38, -36, 19, 9, -40, -31, 22, 4, -25, 10, 13, -23, 10, -26, -38, -18, 8, -45, -5, 12, 2, -38, -5, -40, -28, 46, -8, -15, 22, -51, 31, 33, 1, 24, -21, 12, -31, -34, -8, 32, -5, 4, -24, -10, -2, -28, 15, -38, 38, -22, 30, -21, -38, 40, 27, 45, 16, -19, -38, -45, 23, 12, 40, 15, -37, 44, -5, 39, -14, -15, 23, -12, 19, -6, 26, 22, 25, 26, 12, 35, -41, 34, -16, -50, 14, -46, 17, -2, -28, -40, -46, -28, 20, -42, -38, 14, -39, -17, 22, -36, -50, -5, 38, -32, -20, -31, -37, 23, 28, -20, 14, 42, 40, -11, 40, -43, -13, 12, 3, 23, -41, 16, 43, 28, 31, -6, -14, -26, 33, 30, -27, 44, 5, -14, -8, 22, 45, 73, 62, 18, -44, -15, -57, -10, -22, 8, -22, 30, 43, -27, -38, -50, 14, -35, -36, 20, -48, -20, 19, -8, 16, -26, -20, 41, 26, 19, -48, -28, 39, 1, 5, 4, 35, 8, 27, 38, 38, -39, 20, -37, 59, -18, -53, -42, 55, 34, 38, 37, -8, -60, 42, 39, -30, -15, 29, 8, 29, 41, -25, -60, 13, -36, -29, -41, -15, -46, -2, 22, 10, -7, -10, 13, -6, -16, -3, -34, -41, 2, 16, -40, -39, 36, -48, -43, 41, 26, 14, 24, -11, 1, -32, 14, -4, -45, -13, 9, 22, 18, 3, -15, 19, 1, 48, 35, -50, -8, -43, 23, 21, 38, 3, 2, 37, 75, -14, -3, -5, 13, -6, -8, -3, -22, 8, -15, -27, -15, -12, 10, 23, -12, -21, 22, 26, -25, 18, -34, -24, -20, -31, -22, -15, -6, 10, 35, 34, -31, -37, 32, -7, 34, 3, -20, -35, 3, 25, -2, 9, -10, 30, -11, -15, 16, -1, -25, 33, 46, 27, -17, 38, -24, 6, 42, 5, -20, 5, 29, -35, 5, -61, 36, -14, 6, -31, -19, 6, -55, 7, -22, -26, 42, -5, 27, 5, -4, -8, -26, 30, 11, -26, 46, -19, -29, 16, -28, -29, 20, 15, 50, 45, -24, 33, -33, 25, 1, -22, -13, -45, 40, 10, -7, 45, 5, -8, -30, -39, -35, -1, -6, -65, -21, 52, -1, -11, 59, -37, 42, 77, 51, -47, 10, -14, 24, -31, -43, 25, 18, -23, -28, -31, 36, 34, 27, -7, 19, -18, 35, 48, -20, 39, 49, 24, 45, -8, 7, 16, 14, 34, 33, 19, 18, 3, 46, 25, -11, -33, -32, -1, -28, -31, -25, -19, 5, 47, -27, 0, 52, 12, -30, 24, -42, 37, 23, 19, -22, -48, 40, 15, 34, -40, 44, 30, -37, -6, -5, -44, -1, 48, -42, -3, 33, 8, -4, -28, 13, 34, -28, -28, -33, -16, -10, 38, -15, 24, 18, 12, 32, -25, 42, 2, 25, -1, 5, 23, 41, -41, -16, 17, 2, -44, -16, 1, -11, -14, -31, -23, 32, 47, 19, 37, 10, -8, -32, 28, 42, -42, 20, 16, 36, -29, 0, 46, -4, 21, 42, -6, 4, 35, -14, 57, 41, 17, -17, -3, -30, 31, 29, -18, -2, -21, -6, -15, -1, -31, 30, -15, -20, -42, 35, 20, 31, -20, -21, -2, -5, 31, 52, -49, 4, -59, -14, -41, -28, -18, -34, -54, -55, 30, -34, -19, -34, -13, 40, -23, 10, -51, 13, 5, -4, -7, 3, -32, -60, -40, 28, 1, 49, 17, 36, 11, -9, 25, 13, -13, -24, -3, -37, 15, 19, -34, -64, -46, -45, -73, -6, -1, 48, 8, 10, -10, 27, 39, 10, 48, -20, -15, -25, 44, -5, 32, -38, -34, -30, 18, 31, -44, 27, 2, 54, -8, 2, 9, -8, 42, -41, 20, -9, 26, 16, -1, 23, -11, -14, 39, 31, -39, 7, -29, -6, 40, 40, 6, 46, 23, 4, -41, -3, -8, -29, 4, 27, -3, 13, 33, 8, -5, -7, 49, -1, 52, 68, 29, 30, 17, -35, -10, 29, -16, -4, 5, -9, 4, -10, -10, 2, -30, 19, 37, 15, -32, 11, -18, 20, 49, 10, 16, 51, 0, -31, -20, 26, 39, 22, -25, -18, -48, 27, 16, 45, 27, -17, -22, 41, 26, -4, 26, -11, -6, -3, 13, -26, 20, -3, -39, -5, 6, 27, 47, 15, -14, 3, 13, 39, 44, -29, -2, -16, 41, -17, -42, -25, -30, 36, -46, -21, -34, 17, -43, -29, -30, -11, 22, -34, 41, -15, 7, -18, 1, -36, -11, -21, 38, -28, -3, 12, 4, -3, 55, -20, -26, -21, -47, 16, 42, -42, 1, 35, 16, -29, 20, 11, 29, -31, 38, -15, -6, 29, 43, -24, -43, 1, -19, -42, -41, -12, 40, 4, 51, 34, -9, 22, -9, 18, -45, -18, -47, 36, 3, -47, -7, 0, -25, -12, 14, -34, 46, 17, 1, 19, 19, -28, -43, -11, 21, 19, 14, -47, 33, 31, 2, 1, -19, 15, 32, -8, 3, 28, -15, -25, -33, 34, 43, -37, 1, -14, -36, 35, -13, -16, 9, -21, -7, -10, -3, 3, -7, -27, -4, -7, -37, -18, -32, -4, -5, -32, -5, 43, -8, -10, -27, -34, -21, 22, 33, -50, -3, -34, 35, -32, 27, 3, 44, 33, -45, 11, -35, 30, 4, -6, 31, 16, -8, 33, 47, 40, -25, 33, 5, -28, 17, 34, -31, 6, -44, 7, -33, 32, 31, 39, 36, 33, -42, -30, -3, 51, 42, 16, -20, 45, 23, -14, -23, -10, -6, 21, 37, 3, -3, 12, 36, 56, 43, -40, 8, -3, 24, 39, -32, 37, 47, -2, 46, 16, -45, -27, 8, -16, 8, 17, -54, 18, 40, 31, -38, 47, 45, -8, 37, 44, 6, -26, 15, 3, 34, 11, -45, 11, 31, 38, -36, 16, -10, -43, -4, 21, 37, 7, -21, -43, 22, -24, -7, 39, 9, -23, 34, 8, -26, 28, 44, -26, 9, -31, 44, -31, -5, 33, -19, -32, 24, 21, -4, 43, 20, 35, -49, -25, -14, -43, 10, -35, 15, -20, -40, -25, 36, 16, -10, -27, -26, -4, 16, 2, 21, 26, 1, 8, 9, -8, 11, -24, -26, 26, 18, -17, -25, -21, -46, -23, -28, -16, 5, 4, -32, 29, 33, -9, -9, -2, 2, -17, -14, 9, -3, 45, -17, -29, 30, 0, 24, -43, 27, 38, -27, 32, -29, -4, 32, -37, -33, 0, -8, 47, 4, -20, 34, 12, -31, -46, -16, -46, 26, 5, -39, 46, 1, -9, -25, -2, -31, 35, 14, 27, 44, 36, 32, -59, 16, -6, -38, -23, 32, -19, -12, -37, -19, 43, -33, -38, 44, 12, 1, 48, -31, -30, 22, -22, 41, -27, -14, -44, -40, 23, -29, -43, 29, -28, -39, 13, -7, -31, -28, 41, 19, -45, -32, -39, -23, 12, 29, -36, 4, 28, -15, -9, -10, -39, -37, 19, 6, 12, -44, 41, 24, 34, -43, -32, -25, -18, -36, -37, -10, 38, 25, 22, 36, -39, 21, 25, 7, -4, 11, -29, 21, 21, -14, 47, -15, 29, 1, 18, 4, -36, 47, 43, 15, -26, 45, 0, -48, -21, 15, -24, 22, 45, 1, 16, -34, 47, 35, -20, 43, -3, 15, -27, 12, 5, 12, -12, -5, -27, -37, -39, -17, -1, 38, -41, 27, -4, -7, 16, -22, 5, -21, -1, -13, 0, 37, 1, -13, -5, -33, 30, 44, -45, -5, -29, -7, -43, -32, -35, 21, 41, -27, -3, -29, -5, 5, -33, 1, -39, 12, -17, 4, -31, -14, -21, 4, -10, -35, 11, -24, 1, 27, -16, -34, -4, 45, 21, -42, 38, 41, 25, 38, 22, -48, 4, 17, 18, 23, -40, 23, -5, -13, 42, 13, -6, -5, -43, -36, 9, -43, -38, -11, 34, 19, -35, 20, 46, 11, 41, 26, 6, 40, -2, 16, 23, -14, -29, -9, -20, -61, -22, 11, -15, -15, 45, 52, 32, 9, 43, -7, -17, -10, -15, 6, 9, -1, 34, 20, -12, 4, 14, -27, 40, 18, 9, 43, -15, 48, 3, -8, -21, 55, 15, 62, 3, -6, -40, -20, 5, 9, -27, -29, 33, 35, 17, -35, -17, 14, 37, -5, 37, 2, -28, 29, -8, -1, -38, 23, 36, 14, 28, 26, -6, -21, 31, -43, 28, 16, -21, -30, -18, 6, -40, 6, -11, 28, -15, -12, 38, 14, 2, -27, 26, 0, 42, -24, -28, 25, 1, 18, 17, 1, -36, 28, 8, 47, 2, 38, -1, 10, -7, -56, 7, -31, 38, 37, 16, 35, 29, -10, -28, -23, -19, -30, 19, -8, 6, 25, 11, -39, 42, -33, -12, -19, -3, -3, 9, -43, -3, 17, -5, -42, 13, -34, 23, 15, -24, 22, 50, 4, 15, -30, -45, -41, 6, 3, 30, -4, -33, -14, 45, -40, 47, 15, 36, -46, -29, -18, 6, 24, 9, -59, 19, -31, -10, 9, -16, -37, 38, -57, -64, -46, 13, -37, 0, -32, 21, -57, -17, -5, -44, 30, -43, -25, 7, 30, 30, -12, 0, 31, -8, -67, 11, 29, 6, -3, 10, -7, 18, -1, 1, -5, 31, -33, 19, -40, 43, -15, -19, -37, -4, -27, -14, 51, -45, 49, 2, -40, -20, -45, 4, 44, -27, 21, 4, -3, -41, 29, 18, 25, 22, -15, -14, -29, 16, 19, -52, 9, 45, 28, -4, -21, -25, -5, 59, 12, 23, 62, 23, -39, 28, -3, 26, 15, 51, -19, -33, 23, -5, -21, 2, 25, -37, 13, 7, -32, 44, -8, 38, -16, -21, 14, -35, 32, -22, -34, -10, -11, -44, -36, -30, 16, -11, -17, 41, 3, 16, -15, -39, 8, 28, -26, -14, 37, 30, 39, 12, 16, -13, 45, 1, -5, -13, 30, 28, -7, 3, 24, -13, -40, 4, 23, -17, -41, 6, 7, 21, 36, 59, -8, 19, 51, -45, 47, 31, 23, -2, 16, -39, -11, 1, -27, 32, 25, 32, 14, 45, 12, -21, -45, -44, 12, 20, -36, 33, 38, 18, 44, 37, -46, -13, -43, -12, 31, -9, -25, -45, 5, -2, -54, -28, 11, 7, 11, -16, -5, -23, 34, -40, -4, 6, -3, 46, -40, 6, -11, 40, 51, 11, 56, 23, 36, 32, 24, -9, 40, -5, 11, -47, 43, 41, -44, -27, -17, 19, 43, 26, 38, 26, -1, 23, 40, 39, 2, 46, 20, -21, -4, -53, -28, -75, -18, -14, -16, -31, 5, -44, -26, -11, 15, -21, 9, -43, -26, -20, 38, 16, 12, -26, -41, -33, -24, 4, 23, 21, 7, 13, 15, 46, -34, 10, -33, 9, -3, 17, 2, 44, -12, -18, -2, -52, 31, -9, -25, 19, -8, -10, 44, 11, -15, 25, 32, -11, -27, 48, 25, -11, 1, -19, -32, -20, 28, -25, 16, 33, -45, -22, 18, 47, -38, -22, 4, -22, -16, -10, 28, 0, 32, -32, -4, 13, 4, -5, 27, 56, -2, 15, -15, 1, 0, 2, -2, 21, 43, -17, -27, 9, -33, 1, -24, -14, -11, 26, -10, -34, -42, -24, 44, -27, 42, -39, -2, -29, -37, 37, -7, -49, 3, -3, 2, -41, 12, -31, -43, 44, 52, 51, 39, 34, 3, 4, 38, 38, -44, 0, 39, -1, -14, -24, -32, 37, -36, 46, -45, -15, -42, 35, -34, -37, 34, 5, -29, 8, 5, 46, 31, 30, 29, 36, 29, 15, -24, 42, 42, 34, 39, 42, 39, -7, -14, 25, -32, -35, 9, -21, -11, -22, -30, -42, 4, -30, -47, 15, -1, 58, 5, 41, -20, 41, 37, -16, 4, -30, 32, 16, 12, -53, 16, 36, 52, 11, 31, -24, -16, 28, 36, -24, -34, 31, -47, -27, 7, 41, 28, 10, 17, -19, -25, 14, -17, 26, 36, 28, 28, -1, -5, -11, 38, 27, -11, -4, 13, 23, -1, -24, -14, -3, 20, 35, 2, -23, 44, -26, 39, 49, 33, -36, 20, 28, 39, -6, 37, -10, -8, -18, 9, 16, -19, 32, -52, -15, 35, -46, 27, 3, -29, 18, 20, -41, -39, 9, -6, 5, -11, 10, -2, 15, -54, 29, 20, 55, -12, 1, 23, -44, -37, 34, 11, 18, -37, 39, -10, 35, -48, -35, 15, 12, -24, -53, -44, 31, 24, -11, -10, -18, -50, -33, -34, 32, 29, 23, -32, 5, 25, -24, -47, -10, -20, 2, 49, 12, -8, 22, 42, -48, -48, 2, 36, 27, 3, -29, -43, -31, -22, -8, -19, 9, 23, 33, 21, 45, -29, 46, 11, -1, 4, -6, 16, -1, -1, -12, -8, -13, -34, -25, -3, -32, -10, -10, -23, 17, -28, -24, 10, -36, -17, -39, 3, 5, -29, 38, -11, 7, 4, 15, -60, -32, 8, -51, -32, 39, -14, -2, -24, 28, 36, 26, 10, -17, -8, 21, -28, 34, -33, 36, 16, -17, -24, -57, 41, 25, -43, -49, -53, -15, 16, -27, 35, -15, -5, 6, -22, -2, -26, 9, 44, 8, -42, 25, -15, -42, 3, 30, 27, -9, -26, 39, -17, -22, -9, -25, -43, 20, -53, 31, 42, 16, -32, 1, -19, -23, 14, -28, -46, -7, -2, -18, -46, 33, -35, 14, -17, 38, 15, 10, -31, 2, -28, 18, 48, 17, 25, 23, -43, -15, -29, -11, -46, 39, 20, -7, 21, 11, 37, 48, 28, 17, 45, 38, -1, 6, 0, 20, -24, 20, 40, 2, -3, -4, -3, -31, 24, -43, -18, 8, 4, 22, -52, -9, -7, -26, -1, -3, 31, -44, 1, -8, 11, 23, 15, -26, -9, -39, 36, -33, -41, -27, -14, 5, -25, -44, 48, -26, 17, -21, -17, 0, -27, -4, -49, 10, -40, -6, 0, -47, 39, -12, -17, 29, -6, -13, 30, 5, 32, 48, 38, 33, -26, 41, 38, -28, -41, -13, 21, 33, 13, -41, -24, 38, 21, 12, 26, -47, -27, -8, -21, -42, 13, -22, -22, 22, 10, 44, 3, -36, 49, -5, -31, 0, 26, 27, 32, 47, 43, 12, -41, -41, 12, 33, -6, 28, -38, -13, 0, -21, -62, -37, 54, -36, 11, 44, 32, 10, 54, -2, -15, -34, 0, -26, 11, -35, 38, 28, 48, 20, -14, 44, 3, -8, 46, 11, -31, 3, 0, 3, -14, -29, -35, -28, 35, 18, -46, -41, -32, 54, -22, -40, -11, 1, 43, 28, 43, -20, -39, 7, 11, -37, -35, -13, -44, 28, -31, -48, -26, 20, 19, 8, -26, 5, 1, 16, -30, -12, -48, 27, -18, -27, -5, -1, -28, 33, 4, 21, 60, 7, 21, 10, 39, -6, 42, -32, -43, -29, 45, -6, -25, -12, -21, 10, -2, 44, -12, -16, 14, 10, -26, -21, 48, -10, 21, 5, -38, -7, 39, 9, 26, 25, 31, -26, 21, 23, 31, -11, -13, -47, 7, 2, 12, 14, -37, 35, -34, -43, -9, -47, 18, -9, -39, 18, -43, -20, -10, -17, 14, 27, -27, -7, -41, -33, 27, -48, -48, -52, 22, -12, 36, -3, 40, -16, -6, -6, -37, -9, 27, 1, -22, -24, 12, 33, -47, -30, 48, 27, 16, 50, 15, 15, -30, -50, -57, 23, -49, -41, -8, 53, 19, 34, -1, 15, 50, 0, -35, -39, 40, 15, -31, 17, -45, 29, -1, 20, 7, -40, 39, 27, -7, -11, -32, 30, -26, 1, 24, 21, 9, -38, -5, 3, 47, -22, 38, -34, 28, -1, -41, -44, -40, 6, -45, 21, -37, -15, -36, 8, -27, 23, 15, 14, -9, -40, -34, 36, -2, -34, -19, 2, 1, 25, 17, 2, 12, 17, -29, 31, -15, 36, 46, 36, 44, -6, 35, -41, 33, -11, 40, 32, 31, 28, 7, 7, -8, 26, 6, 27, -29, 20, 58, -4, 12, 30, 25, -12, 26, -3, -48, -29, 5, 50, -25, 6, -8, -16, -9, 23, -51, 43, 15, 33, 40, 41, -13, 34, 2, -23, -11, 27, -7, 44, -41, 12, 53, 7, -20, 11, 6, -5, 24, 38, -3, 45, 15, -7, 26, -32, -10, -30, -1, 27, -36, 54, -6, 6, 35, -4, -13, -21, 13, -11, -53, 2, 22, 49, 26, 5, -33, -31, -40, -27, 24, -9, 4, 15, 10, 13, -33, -38, -18, -34, -18, -30, -1, 3, -32, 20, -6, 18, 7, -11, 33, 37, 13, -18, -21, -30, -38, -1, -2, 22, 3, 9, 39, -7, 36, -5, -49, -14, 25, -32, -18, -46, 9, 0, -45, -37, -20, 6, -44, 14, -29, 29, 32, -28, 20, -12, 41, 42, -24, -38, -18, -26, 41, -42, 9, 8, -8, -16, 62, -4, 4, 4, -28, -32, -28, -22, -41, -10, 42, 3, -27, -11, 22, -17, 32, 39, 10, -19, 34, 1, -10, 47, -14, 8, -5, 35, 47, 16, -38, -39, 19, 9, -47, 49, 42, -3, 29, -44, 25, 25, 39, -42, 18, 29, -35, 37, 33, 24, -26, 24, 24, -21, -34, 17, -37, -29, -6, -41, 35, -24, -2, -29, -1, 52, -5, 0, 29, -23, 14, 21, 42, -44, -19, -36, -41, -8, -4, 40, -18, 27, 8, 30, 21, 61, -42, -41, -34, -3, 12, -11, 8, 7, -38, 27, -39, 8, -9, -6, -21, 6, -39, 51, -20, 18, 27, -42, -50, 31, 44, -48, 3, -20, 59, -8, 36, -32, -10, 32, -42, -20, -2, 2, -9, -23, -3, -8, 2, -5, -44, -37, 72, 44, 44, -44, 10, 12, -2, -34, 49, 9, 33, -3, -20, -5, 21, 26, 3, -34, -24, -22, 42, 41, -27, -15, -44, 28, 2, 32, -30, 5, -27, -18, -32, 4, 35, -30, -8, -50, -27, -29, -35, 9, -4, 12, -11, -12, 15, -14, 5, -53, 62, -27, -11, -22, -23, 27, 12, -66, -41, -22, -50, -12, 49, 16, 10, -35, -15, 8, -44, 34, -16, 30, 19, 20, 20, 48, -48, -23, 3, -21, -31, -33, -3, 34, -29, 29, 37, 50, -4, -20, -3, -23, 28, 19, 21, 8, -19, 47, 7, -13, 31, 36, -26, 23, 4, -20, 40, 27, 42, 18, 16, 45, 45, 28, 23, 41, -32, -15, 32, 32, 19, -20, -28, 45, 31, -25, 8, -20, -30, 1, 18, -26, 9, 32, -11, -43, -5, -8, 14, 26, 17, 46, 38, 21, -35, 5, -8, 17, 47, -27, -3, 45, 28, -47, 32, 11, -28, -22, -10, -42, 5, -9, -36, -28, -32, -17, 11, -22, 23, 12, -9, 43, -22, 14, 34, -33, 11, 35, -12, -33, 71, 45, -33, -19, -1, -7, 5, 26, 18, -15, 2, -43, 25, 35, 4, -18, 9, 27, 28, -18, -14, -14, 25, -9, 57, -32, -21, 56, 58, 22, -16, 18, -17, -8, 9, -27, 20, -11, 11, 46, 41, -7, 9, -27, 47, 40, -45, -35, -22, 3, -2, 17, 31, 34, 5, -16, 13, 0, 19, 52, -5, 27, -4, 14, 41, -27, -23, -12, 11, -33, -31, 27, 52, 20, -43, -39, -49, 6, 7, 42, -28, 35, -18, -10, 16, 2, 1, 20, -27, -53, 22, -12, -21, 7, -51, -42, 44, -17, 8, 63, 23, 10, -43, -25, 29, 25, -5, 13, -21, 24, 26, 44, 37, -24, -4, -20, -4, 10, -30, -24, -22, -12, 25, 30, 9, 1, 2, 23, -8, -13, 14, -8, -37, -4, -6, 61, 27, -49, 14, 3, 5, -45, 25, 6, 8, 38, -10, -44, 31, 33, -17, -9, -11, -20, -46, 21, 36, -34, -1, 9, 17, 56, -14, 20, 9, 28, -52, -39, 25, -21, 48, 66, 20, 22, -11, 28, 4, 50, 18, -2, -47, 63, -42, 23, 47, -8, 17, -20, 6, -42, -34, -2, 2, 25, -11, 9, 19, 19, 33, -28, -7, 4, -30, -37, 16, -12, 8, -4, -57, 1, -43, -4, 22, 0, 38, -42, 25, 32, 15, 21, -28, -1, 43, -10, 10, 40, -5, 27, 47, 11, 39, -15, -7, 16, 64, 2, 26, 67, 28, -23, -14, 35, -39, 6, -48, 32, -17, 22, -22, -29, -12, 5, -22, 41, -32, -34, 38, -46, 14, 18, 10, -50, -2, 19, -36, 17, 38, -39, 33, 17, -2, 41, 28, 4, -5, -43, 1, 41, 20, 34, 20, -39, -25, 31, -44, -15, -11, -12, 16, 35, 5, -15, 6, -31, -1, -32, -44, -28, -5, -6, -37, 30, 22, 43, 32, 0, -13, -3, -40, -9, 33, -23, 47, 30, -18, 39, -17, 2, -6, -7, -25, 1, -26, -28, -16, 0, -22, 0, 29, 4, 6, -11, 16, -17, 34, -14, 40, -34, -23, 17, 51, -8, -31, -29, 47, -43, 12, 27, -33, 42, 33, -13, 2, 9, 46, -45, 2, -31, -39, 13, -51, 49, 2, -36, -23, -11, 42, -13, 8, -15, 1, 33, -14, -25, 17, -13, 7, -9, -3, -42, -22, -38, 19, -39, 22, -6, 38, -37, -39, -8, 2, 20, -23, -7, 13, 23, 15, -11, -15, -9, -20, 22, 20, -29, -52, 10, 5, -23, -17, 19, -22, 33, -7, 12, 65, 3, 35, -16, -21, 4, -51, -20, -34, 13, 43, -19, 57, -16, -1, -2, 6, -9, 50, 20, 1, 40, 0, -28, -36, -29, -5, 7, 20, -53, -45, -8, -3, -33, 2, 6, 51, 40, -18, 39, 31, -39, 23, -19, -44, -28, -57, 5, 22, -3, -6, -35, 24, 1, -24, 18, 3, -8, -20, -36, 20, 25, 19, 28, -45, -24, -15, -46, 39, 41, 46, -26, 39, -21, -32, -36, -11, -29, -22, 17, -9, -18, -68, 5, 15, -22, 55, -28, 30, 27, -32, 32, 41, 30, 12, -12, 15, -34, 28, -43, 45, -11, -10, 7, 28, 12, -12, 34, 22, 16, -33, 42, -21, 25, 35, -43, 1, -3, 63, -24, 61, -10, -37, 36, -4, 32, -39, -25, -13, 46, 43, -18, 5, 0, 8, -43, 39, 15, 31, -29, 42, 24, -45, -6, 0, -20, 40, -6, -15, 30, 0, 17, 51, 36, 5, 40, -15, 50, 18, 17, 4, -53, -32, -66, -3, 14, 22, 28, 29, -12, 51, 44, 22, -28, 3, 33, -20, 19, -30, 69, -24, 5, 62, -24, -14, -28, -34, -24, -43, -5, -5, -19, -6, -13, 24, 41, 52, -19, -26, 28, -5, 20, 50, -20, 7, 43, -26, -11, -30, 16, -29, -36, 39, -1, 19, 38, -34, -14, -15, -23, 25, 43, 33, 52, 14, 47, -14, 37, -32, -13, 38, -8, 23, -45, -54, -32, 7, -52, -33, -12, 42, 20, -29, 35, 10, -16, -44, 2, -27, -28, 41, -13, -15, 0, -13, -10, 25, -26, 18, 20, 45, 2, 32, 20, -27, 49, -13, 22, 37, 53, 21, -68, 48, -52, -39, -2, -6, -29, 16, -29, 6, 10, 0, -18, 15, 36, -1, 39, 9, -32, 15, -29, 17, 40, -28, -8, -8, -6, -15, 17, -51, -27, 2, 49, 27, -28, 4, 35, -31, -12, 15, 1, 42, -1, 3, 6, -27, 24, 26, -17, 35, -1, 18, 0, -11, -21, -11, 3, -30, 0, -3, -19, 32, 6, 27, 33, -33, 30, 9, -16, -3, 58, -31, -17, 0, 33, 62, 17, 61, 43, 18, -11, -12, 28, 21, -28, -33, 35, 29, 29, -29, 21, 36, 22, -4, -30, -36, 24, -13, -8, 1, 3, -57, 31, -46, -8, -10, -40, 42, 14, -13, 13, 29, -16, 0, -30, 17, 11, -24, 5, 13, -9, -22, -10, -10, -24, -15, -65, -10, -77, -46, -20, 12, 8, -40, 8, 49, 45, 37, 25, -14, 5, -39, -40, 36, 14, 19, -6, 37, 1, 20, -30, 53, 27, 50, 43, -35, -24, -19, 54, 23, 8, -9, 27, 41, 36, -46, 27, -10, -10, 10, -6, 42, 37, 1, 32, 7, 16, -44, -22, 30, 55, 24, -36, 10, -40, 22, 34, 19, 55, 16, 10, -25, -40, 4, 14, 12, 41, -12, 34, 18, 22, -19, 27, -41, -21, 5, 12, 11, 13, -14, 25, -14, 7, -40, -20, -12, 3, -1, -24, -4, 46, 4, 20, 46, 35, -38, 42, -36, -15, -48, 8, 17, 4, -6, -21, 0, 7, 45, 33, 24, 19, -42, 20, 31, 45, -3, 4, 38, -20, -33, 39, -38, -41, -26, 3, 55, -10, -9, 33, -29, -64, -69, 21, -57, -28, -24, 46, 17, 32, 3, -39, -21, -42, 31, -10, -30, -17, 22, -25, -25, 24, 36, 17, 42, -27, 48, 29, -10, -44, 50, -21, 54, 24, 20, 32, -32, 20, 16, -23, 38, -15, -40, -38, -58, 13, -44, -22, -7, 49, -29, -15, 34, 20, 0, -4, 31, 29, 34, -22, 47, 27, -40, 15, -4, -2, 7, 12, -10, -27, -20, 50, 13, 10, -5, 0, 40, 13, 1, -16, 6, -12, 46, -12, 14, 3, 20, -10, -20, 7, 48, 29, 60, 55, -54, 46, 5, 75, 36, 15, -72, -54, -3, -64, 16, 59, -16, -22, -2, 13, -13, 31, -40, -21, 11, 39, -21, -11, 14, -47, 9, 30, -16, -38, -55, -38, -36, -52, -24, 24, -20, 6, -32, 21, 13, 38, 25, 18, -45, 31, 19, 41, 16, 13, 38, 7, 22, -34, -37, 1, 12, -6, 14, 41, 23, 35, 65, 26, 17, 15, -8, -5, 35, -7, -30, -34, -66, -47, 12, 16, 6, 22, 40, 28, 26, 10, 45, 6, -48, -19, -24, -28, 37, -34, 1, -49, -33, -36, -36, 18, -47, 1, 7, -25, -26, 16, -22, 17, 38, -12, -9, -25, 34, 37, 27, 27, 15, -45, -9, -26, -22, -21, 32, 29, 42, -11, -45, -32, 11, -15, -44, 10, 14, 29, 1, 24, -40, -6, -9, -32, -38, 17, -1, -35, 8, -46, 26, 34, 19, -50, 38, -21, -43, 38, -36, 29, -31, -13, 9, 19, -35, 7, -28, -40, -30, -22, 38, 6, 1, -36, -30, -40, -33, -6, 41, -31, -40, 30, 27, 33, -33, -3, 23, 22, -30, -12, 34, 42, -24, -41, -14, 21, 24, 41, -11, -35, 48, -16, 44, 13, 27, -12, 46, -20, -26, 11, -30, 20, 20, 31, -31, -28, -32, 38, 46, 12, 15, 21, -47, -47, 12, -5, -35, -34, 41, 39, -19, 8, 40, -10, 42, 37, -2, 8, -11, -31, -17, -2, 41, -11, -29, -16, -38, -4, 18, 46, 17, 47, 4, -42, -27, -3, 12, 11, 32, -36, -35, 19, 12, 29, 38, 34, 9, 39, 33, 9, -7, -12, -4, 26, 33, -39, 1, 27, 5, -41, 45, 39, -23, -6, 35, -7, 37, 16, 32, -20, -47, -11, 32, -37, -42, -10, 14, 42, -2, 18, 34, 7, -29, 5, -9, -20, 1, -4, 16, 43, -9, -16, 12, 3, -11, 3, -48, -7, 32, -19, 11, 37, -22, 9, 20, 45, 42, 39, 2, 18, -32, -1, 9, 32, 37, -46, -51, -45, 5, 29, -42, -3, -26, -3, 18, 28, 25, 24, 37, 8, 31, -29, -31, -20, -2, -14, -11, 36, -38, -20, 24, 31, 26, 47, 4, -36, 1, -23, -10, -18, -6, 11, 33, -19, 22, 28, -38, -2, -42, -6, 11, -33, -8, 33, 31, -7, -19, 13, -16, 4, -47, -46, 2, 43, 22, 8, -9, 11, 7, -14, 40, 13, -42, -46, 0, -41, 16, -5, -30, 1, 8, -47, 44, -24, -26, -27, -23, -39, -3, -26, -34, 22, 27, -17, 26, 39, 3, -28, 28, 13, 47, -42, 7, 24, -20, -3, -7, 34, -39, 27, 4, 44, 39, -36, 42, -10, -11, 30, 41, -15, 2, -49, 40, 5, -43, 45, 11, 28, -45, 5, 33, 21, -17, 31, 20, 20, -32, 7, 18, -14, 20, 14, 36, -43, 16, 12, 38, 36, 1, -9, -18, -67, -41, -51, 37, 21, 30, -17, -11, -37, -46, -53, -30, 37, 46, -26, 22, -2, -31, 23, 17, 6, -19, -13, 17, 30, -46, 48, -19, 16, -2, 18, -5, 29, 16, -20, 25, 6, 44, -18, 47, -21, -38, 39, -1, 45, -31, -16, 17, -46, 4, 15, 38, 7, 2, -30, 14, 15, 48, -30, -22, -26, 18, -3, 22, 7, 31, -18, 4, -55, -18, -8, 19, -10, -44, -21, -43, -47, 21, 4, 1, 11, -5, -3, -43, 21, 11, -35, -17, 38, 30, -33, -15, 6, -31, 10, -11, 27, -38, 22, 46, -36, -41, -40, -43, 8, 30, -39, -16, -48, -21, 34, -29, 6, -37, 12, 22, 36, 4, -15, 27, -48, -8, 47, 19, 26, -26, 5, -28, -13, 31, -14, 5, -7, 2, -36, -21, -18, 52, -33, -18, 35, 31, 31, -35, -32, 5, 43, 40, -16, -39, 27, 36, -4, -20, -43, 35, -15, -24, 35, 11, 20, -18, -30, -16, -27, -50, 30, -22, 2, -11, 7, 23, -28, 19, -6, -28, -55, -28, 66, 9, -26, 43, -28, 27, -22, -6, 30, -20, 47, 6, -32, 21, -39, -41, -19, -37, 32, 32, 9, -3, -4, 42, 1, -41, -13, -15, -21, -34, 26, -9, 43, -6, 24, 16, -19, -46, 47, 24, -27, 56, 32, -21, -2, -20, -2, -29, 22, -21, 2, -10, -13, -17, 33, -43, -43, -20, 31, -25, 7, 55, -9, 54, -9, -6, 14, -26, 44, 0, -33, -8, -5, 11, 20, 49, 30, -5, -42, -16, -42, 4, 43, -14, 30, 45, 3, 3, 50, -50, -36, 8, 44, 33, -26, 27, 20, -5, 19, 10, -51, 16, -6, -19, 19, -44, -22, -7, -42, 23, -36, -46, -8, -52, 6, -29, -23, -13, -49, 33, -22, -7, -12, 29, -11, 28, -40, -39, 74, 25, -36, -8, 6, -29, -37, -33, 50, -9, 39, 6, 12, 21, -5, 27, 12, -4, -52, -34, -18, -44, -2, 53, 26, 28, 16, -3, 0, -56, -17, -6, -9, 25, -37, 0, -1, -8, 13, 41, -34, 19, -22, -58, 18, 11, 57, -25, -41, -4, -9, 47, -32, 45, 44, 7, 0, 5, -41, 41, -20, -21, -9, -4, -44, -60, 33, 0, 13, -34, 14, -40, -24, 34, -49, -19, -7, -1, 12, 11, 39, -38, -2, -24, 6, 38, 11, -36, -4, 2, 24, -22, 32, 47, 43, -31, 16, 20, 7, -10, 9, 9, 24, -2, 40, 19, 28, -1, -9, -35, -20, 31, -43, -26, 41, -48, -36, -4, -28, -35, -22, -38, 20, -43, 28, 36, -36, 6, -30, -26, -18, -3, 13, -11, 26, 16, -45, 37, -4, -35, -39, 16, -45, 1, -3, -38, 3, -41, -39, -13, 31, -27, 11, 55, 28, 16, 20, 17, -2, -31, -21, 5, 6, -20, -24, 43, 22, 6, -28, -32, -14, 33, 8, -13, -8, -27, -1, -23, -46, -23, 27, 32, -40, 24, 39, -1, 14, -41, 2, 17, 42, 33, -17, 19, 26, -17, 0, 28, -39, -21, 28, 30, 31, -24, 11, 4, 27, 24, 7, 41, -6, 14, 27, 10, -30, -19, 15, 38, -43, 31, 5, 24, 9, 48, -10, -31, -43, 22, -38, 9, 35, 5, -36, 34, 8, -47, 1, -7, 1, -30, 6, -41, 11, -21, -2, -44, 8, -9, 1, -28, 32, 38, 25, -18, -44, -50, -5, -18, 36, -27, -29, -13, 34, -35, -22, 13, -27, 34, 2, -25, -33, -15, 46, 24, 21, 51, -2, -70, 40, -22, 19, 32, -16, 26, -41, 8, 12, -23, -3, -27, -2, -10, -15, 3, -69, -13, -1, -35, -39, 25, -25, -30, 15, -4, 32, -31, 6, 76, 16, 43, 3, 7, 11, -41, -13, 31, 7, 46, -32, -62, -5, 8, -72, -17, -21, 63, 21, 9, 1, 26, 18, -47, 30, 2, -10, 5, -3, -24, 9, -3, 15, -11, 19, 14, -43, -2, -18, -47, -34, -30, 4, -1, 17, 6, 9, 34, 29, -44, 29, 6, -21, 13, 28, -28, -25, -17, -13, -15, -20, 8, 70, -54, 12, 73, -43, -33, 11, 35, 19, -15, -41, -2, 28, 15, -25, -29, -13, 12, 27, -20, 9, 16, 40, -8, 48, 9, 0, -62, -41, -46, -3, -19, 15, -23, 28, -16, -22, 26, 15, 4, 31, 3, -28, 18, 32, 46, -8, 6, 40, 24, 40, 17, -16, -40, -37, 3, -12, 48, -40, -13, -43, 18, 48, 53, 57, 19, 21, 1, 16, -6, 8, -15, 25, 13, -3, -46, -32, -45, -19, -2, 15, -40, -36, -23, 25, 25, 21, 30, -23, -23, 7, -36, -15, 8, -30, 22, 44, -42, 32, -7, -34, 22, -4, 38, -16, -20, 31, 15, 2, -47, -7, 37, 32, 19, 36, -20, -49, 39, -46, -20, 3, -13, 43, -29, -19, 3, 20, 1, -5, 31, 31, 22, -11, 31, -25, -8, -34, 46, -16, 38, 19, 20, -15, -49, 28, 6, 59, -10, 35, 22, -44, 33, -20, 41, -51, -30, -14, 31, -36, -25, -2, 0, 15, 7, -8, -34, 44, -47, -37, 17, -18, -3, 24, -9, -6, 47, 3, -27, -32, 15, -8, 2, -5, 58, 33, -41, 40, 21, 21, 15, 2, 35, 7, -22, 42, -22, -51, 9, 36, -45, 8, -12, -28, 32, -42, 13, 12, 12, 21, 7, 38, -41, 41, -1, -6, -56, 44, 17, 22, 16, -11, 13, -5, 44, 15, -7, 8, 9, -38, 41, 55, -16, 9, 46, -12, 15, 32, -41, 24, 51, -47, -43, -2, -38, 34, -17, 4, 26, 30, -10, -11, -23, -25, 27, 17, -20, 25, 8, -3, 14, 15, -36, -30, 42, 12, 26, -20, -15, 4, -38, 17, -33, -35, 20, 36, -3, -24, 43, 22, -30, -24, 11, 9, 14, 14, 23, 7, 8, 23, 10, 36, -32, -23, 8, 9, -22, -20, -7, -5, -30, -24, 18, 42, -35, 8, -38, -24, 5, 40, 15, -25, 41, 11, -8, 19, 7, -38, 40, 25, 21, -1, -4, 8, 17, -22, 15, 12, -29, 30, -5, -2, 1, 31, -1, -31, 10, 23, 24, 9, 19, -42, 15, 40, 31, -16, -46, -32, -24, -15, -44, -40, 34, 31, 42, 28, 27, 31, -27, -47, -37, -10, 18, 13, 0, -37, 14, 19, 20, -29, 22, 16, 9, 13, 20, 36, -43, -5, 25, 10, -15, -36, -2, -36, -8, 13, 13, -18, 6, 31, -33, -27, 43, 15, 18, -30, 27, -22, -42, 35, 40, -47, -13, 22, -19, 0, -1, -15, 13, -48, 18, -9, 12, 5, 12, 33, 4, -43, -16, -6, 28, -29, -31, -29, 26, 35, 38, 35, 47, 9, 9, 6, 8, -36, -21, 37, 10, -21, -20, -39, 10, -15, 9, -42, -35, -32, 3, -10, 28, -4, 2, 47, 48, 8, -21, -2, 19, 7, 32, -2, 30, 46, -25, 14, -11, -22, 11, 31, -8, 42, -1, -25, 28, 23, -31, 45, -22, -26, -34, -43, 33, 52, -9, -14, -16, -37, -54, -14, 5, 42, -3, -30, 16, -34, -5, 37, -9, 43, -9, 6, 18, -6, 32, -11, -7, 1, -43, -39, -9, 29, 15, -41, -21, -43, -15, 55, 65, -1, -41, 15, -9, -44, -42, 18, -24, 19, -8, 15, -57, 34, -22, 5, 11, -9, 31, 21, 18, 2, 20, -42, -35, 7, -41, 24, -30, 42, -5, 31, -18, 36, 39, -20, 26, 3, -13, -8, 18, -48, -40, -21, -26, -17, -12, -10, -35, 24, 41, 14, -47, 1, 34, -36, 13, 11, 15, -33, 29, -31, 0, -47, 1, 53, 60, -46, 20, -48, -1, -1, 7, -7, 17, -11, -33, 26, -31, -46, -46, -44, -35, -31, 40, -14, 48, 25, -44, -37, 34, 36, -12, -33, -37, 15, -21, 40, 38, -44, -9, -21, 21, -3, -44, -22, -36, -37, -54, 41, 51, 14, 3, -35, -2, -1, -15, 31, -34, 3, 18, -48, 37, 22, 19, -5, -52, -12, 21, 15, -1, 34, -52, 31, 1, 34, 22, -37, 40, -32, -3, 39, 22, -15, -40, 5, -46, 29, -18, -29, -30, -16, 12, 17, 44, -18, -12, 21, 14, -9, 23, 26, -14, -3, 17, -35, 23, -31, 16, 45, -9, -32, 25, -14, -48, 10, 0, 31, -55, -22, 77, -23, -23, -11, -26, -80, -46, 40, 28, 40, -22, 21, 32, 19, -29, 29, -32, 27, 22, -16, -34, -45, 15, 12, -3, -77, -34, -5, 1, -17, 54, 43, -15, -4, 5, -18, -10, 32, -37, 20, -39, 53, -41, -11, 23, -42, -15, 50, -26, 41, -12, -80, -20, 15, 20, 16, -36, 11, -24, 22, -11, 22, -28, 39, -15, 39, 10, 31, 25, 61, 36, -15, 37, 74, 33, -8, -26, -37, -29, -2, 28, 43, -47, -3, -35, -35, -39, -52, 14, 46, 5, -6, 62, 55, -6, 3, -39, 44, -35, 29, 70, 31, 36, 79, 17, -31, -19, -3, -30, -34, 12, -41, 8, 21, 35, -30, -9, 20, 36, -26, 0, -20, 6, 6, -4, 5, 8, 25, -2, 28, -11, 66, -3, -17, -4, -23, 7, -8, 25, 26, -19, -45, 31, 17, 28, -22, 20, -37, -16, 37, -11, -1, 16, -6, 0, 28, -38, -51, 24, 24, -44, -18, -46, -1, -18, -29, -45, 11, -10, -33, 48, 22, 22, -1, 16, -31, -30, 2, -30, 2, -37, 32, 63, 18, 59, 60, -27, -71, -60, -53, -47, -31, 19, 35, 18, 42, -34, -13, -6, -19, 39, 20, 40, -19, 15, 24, 55, 21, -2, 38, 13, -2, 32, 11, 33, 40, -48, -45, -16, -23, 10, -38, -18, 32, 53, 3, 50, -10, 37, 46, -7, -35, -10, -45, 34, -1, -25, 27, -18, 27, 43, 32, 32, 18, 11, 8, -14, 44, 34, 57, 0, 6, 5, -20, 43, -39, -17, 1, 10, 3, 53, -33, 1, 10, 46, -37, 6, 5, 7, -41, 28, -5, -48, -31, -6, 15, 43, -33, 18, -20, -2, 14, -18, -18, -35, -29, 6, -20, 35, 15, 38, -36, -42, -7, 10, -46, 43, 35, 7, 4, -42, -32, 28, 8, -21, -25, 20, -30, -38, -14, 10, -3, -11, 14, 39, 34, 41, 46, -25, -2, -32, 45, -10, -39, -7, 11, 17, 4, -53, 1, -20, 38, 2, 35, -38, 49, -18, -36, -38, 56, -25, 41, 1, 0, -9, -10, -8, 5, -10, 8, 13, 25, -19, 16, 32, 0, -33, -18, 50, -22, 10, 17, -5, 24, 10, 20, 38, 102, -62, -12, 60, 9, -20, -18, 51, 4, -21, -16, -25, -16, 31, 8, 0, -25, -34, -7, 14, 37, -15, 27, 22, 8, 30, 3, -51, 58, 36, 69, 37, -27, -7, 17, -35, -28, -2, 20, 6, -18, -4, -31, -16, 29, -9, -8, 33, 0, -10, -21, -2, 30, -19, -31, 38, 31, -22, -15, -5, 5, 29, -36, -40, -44, 31, 37, 6, 22, 45, 33, -6, -6, 1, 36, 28, -4, -30, 39, 19, 28, 32, -28, 26, 20, -21, 5, 16, -32, -21, 14, -20, 25, -16, 54, 46, -34, -7, -61, -74, -75, -47, 32, -43, -33, 7, 30, -25, -45, -34, -42, 17, 36, -32, -16, 47, -17, 33, -45, -50, -32, -41, 45, 43, -29, 33, 21, -36, 7, -15, 24, -27, -17, 38, -24, -22, 11, 42, -52, -41, 14, 12, 19, 41, -38, 10, -37, -8, 33, -39, 4, 29, -54, -44, 59, -26, 29, 3, 3, 35, 21, -15, -8, 49, 42, -26, -11, 45, 50, -21, 17, -17, -26, 22, 37, 28, -1, 14, 26, 45, 24, -33, -24, -8, 11, -36, 11, 31, 39, -31, -25, -24, 10, -43, -2, 14, -7, -32, 5, -2, 17, 15, 21, -36, 42, -25, 47, 18, -35, -16, -51, -38, -38, -60, -29, 15, -33, 36, -37, -18, 8, -28, 22, -44, -34, 1, 15, 32, 22, 9, -23, -40, 12, -9, 46, -35, 48, 6, -6, 50, -60, 15, 26, -24, 55, -22, -5, 49, -21, -20, 36, -30, 21, 2, 31, 24, 55, -19, 11, 24, 13, 39, -2, 19, 3, -36, 38, -2, 22, -32, -11, 38, 20, 5, 20, 32, -26, 18, 7, 59, 2, 34, 8, 41, -34, -1, 17, 19, 13, 48, -12, 27, 10, -48, 45, -13, 43, -69, -38, 56, -31, -22, 34, 26, -22, 28, -4, -2, 8, 29, 52, 12, 34, 20, -59, 23, 48, -52, -11, 35, 9, -30, 39, 7, 23, -1, -5, -31, 66, 19, 32, -31, -4, -32, 57, -12, 23, 57, 35, 46, 63, 24, -40, 10, 37, -14, -30, -3, 19, 3, -24, 16, -36, 28, -21, 2, 12, -13, 0, 23, -19, -40, -39, -25, -11, 24, -29, -28, -23, -4, -9, 34, -33, -7, -20, 3, 30, 48, 3, 14, 55, -39, 26, -17, 9, -37, 1, 30, -5, -22, 9, -55, 16, 10, 25, 14, 18, -24, -28, 35, 11, -30, -10, 8, 19, 38, -38, -14, 25, 47, -6, 29, -42, 10, 4, -28, 15, -1, -31, 22, -4, -41, 20, 9, 29, 24, 25, 22, -19, -10, 7, -26, 22, 34, -50, 36, 33, -52, 12, -24, -12, -22, -13, -5, 44, 50, 41, 50, 62, 17, 1, 17, -50, -13, -20, -23, 43, -48, 46, -40, 23, -2, 41, 13, -12, 3, 29, -1, 39, -7, -50, 14, 30, 6, 28, -57, -24, -23, -27, 41, 32, 24, -36, -1, -24, -37, 30, 12, 31, -31, -49, 32, -32, -30, -47, -41, -9, -8, 41, 41, -4, 28, 35, 35, -46, -24, 29, 40, -12, 13, -39, 25, -17, -27, -7, -21, -24, 39, 45, 9, 45, 40, 15, 54, -4, -24, 16, -20, -9, -21, -7, 38, 44, 8, -4, -4, 24, 19, -20, 17, -6, -14, -32, -3, 43, 27, -11, 19, -10, -69, 7, -2, 22, 24, -1, -9, 39, 0, 24, -33, -2, -25, 29, 27, -35, -20, -30, 21, 1, -32, -49, 24, 48, -1, -15, -1, 8, 44, -34, -15, -9, 8, -12, 38, -40, -50, -21, 16, -65, -19, 8, -2, 40, 47, 6, -14, 39, 42, -38, -42, -42, -10, 2, -36, 7, -35, 36, -20, 10, 17, 33, -5, -53, -14, -22, -58, 50, -11, 37, 15, -3, -65, 2, 9, -17, 15, 6, -39, -20, 38, -48, 32, 1, -25, 22, 8, -21, 42, -12, -24, 33, -15, -12, -20, -24, -43, -45, 27, -6, -28, -48, -33, -56, 30, -32, -19, -33, 13, -18, 19, -40, 49, -25, -24, 49, -34, -21, 6, 44, 3, 61, 32, 39, -42, -56, 16, -23, -13, -56, 22, 39, 15, 49, -19, 5, 38, -9, -3, 19, -28, -31, -34, -41, -14, 14, 46, 54, 12, 3, -13, -33, 22, 18, -57, 11, 3, 20, 35, 9, -6, -7, 16, -22, -55, 16, -53, -21, -19, 21, 39, -17, -35, 24, 26, 13, 0, -39, -43, 3, -49, -29, 5, -29, 4, 34, -1, -1, 38, -26, -28, -20, 27, -27, -41, 25, 0, -42, -24, 13, 34, 3, 47, 44, 38, 47, 0, -33, 27, 4, 10, 32, -41, 9, 41, 3, -5, -47, -33, -20, -29, 6, 8, -41, 45, -34, 3, -15, -46, -28, 19, -29, 22, -10, -26, 5, 1, 62, -20, 56, 74, -11, 7, -10, -7, -48, -35, 24, -30, 44, 30, -26, -28, 32, 4, 27, 14, 11, -5, 40, -42, 38, -35, 23, 48, 25, 13, 30, -20, 14, 45, 19, 25, -14, 52, -23, 49, 24, 43, -16, 27, 10, 4, -11, 27, -46, -32, 13, 33, 42, -36, 10, -9, -23, 47, -15, -32, -34, 37, -3, -5, -35, -23, -27, -33, -18, 18, 9, 35, -1, -51, -38, -6, -36, -28, -40, 12, 13, 20, -6, 29, 26, 38, -31, 18, 26, -7, -62, -28, 19, -19, -11, -30, -49, -15, -22, -56, -47, 22, 20, -29, 3, -4, -16, 0, -55, 22, -33, -13, 37, -25, 21, 1, -29, 6, -25, -21, -10, -40, 22, -30, 31, -38, 19, 23, -11, -19, -27, -19, 23, -43, -22, -14, -7, -28, -49, -38, -20, 33, 37, 33, -32, -1, -8, -37, 44, -6, 23, -4, -17, -9, -23, -3, -37, -36, 57, -34, 48, -23, 20, 6, 17, -37, -22, 17, -10, 24, 40, 34, -24, 28, -6, 36, 29, 1, -21, -43, -20, 11, 17, 29, -1, -1, -29, -27, -46, 16, -33, -15, 8, 50, 34, -4, 12, -32, 40, 35, -11, -19, 25, 15, -19, -27, 22, -1, 8, -2, -9, -29, 37, -20, -42, 48, 14, 35, 20, -3, 42, 45, 1, 2, 12, 11, 17, -5, -6, -26, -37, -1, -27, 18, -28, -9, -15, -29, 7, -3, 16, 14, 9, 2, 8, 32, 11, -31, -27, -13, -16, -7, -38, 18, 42, 7, 31, -41, -40, -23, 50, -18, -2, 9, -3, 23, -39, -21, 6, 41, 17, 45, -46, -16, -15, 3, -42, -38, -45, -40, -47, -6, -45, -23, -38, -6, 33, -31, 33, 16, -25, -29, -35, -19, -31, -21, 41, 40, 23, 14, -28, 0, -41, 36, 7, 8, 2, 9, -9, 23, 28, -3, -8, -55, 12, 35, -23, -22, 2, -29, -44, -43, 32, 11, 25, 20, 34, -6, 35, 24, -44, 7, -36, -41, -25, -29, -30, -39, -38, 1, -21, 11, -14, 3, 7, -37, -47, 0, 30, -31, 47, 17, -40, 17, -20, 27, -9, -25, -36, 7, -31, -10, 45, 15, 22, 7, -45, 19, 9, -42, 17, 17, -16, 48, -31, -10, -2, -45, -37, -8, -63, -22, 0, 45, -16, 3, 0, 14, -43, 25, -44, 8, -29, 8, 35, 34, -6, 29, 13, -33, 19, 53, 2, 34, 63, -2, 13, 22, 6, 0, 32, -37, 1, -6, 16, 7, -7, 37, 15, 13, 21, 9, -18, -6, -23, 46, -5, -49, 11, -27, -44, 12, 16, -18, 46, -30, -40, 38, 47, -25, 56, 33, -37, 7, -51, 18, -40, 14, -37, -15, 16, -13, 0, 14, -47, 5, 14, 9, 7, 39, -23, -34, -25, 36, 16, 52, 47, -3, 30, -4, 16, 14, 63, -22, -1, 16, -18, 16, 23, 23, 41, 32, 41, -41, 23, -33, -30, 13, -43, 14, -29, -60, -7, -10, 18, -40, -1, -45, 24, 17, -61, 45, 3, 22, 20, -2, 28, 54, -29, -26, -40, 1, -37, -47, -36, 19, -18, -30, 29, 11, 36, 10, -32, 12, 32, -24, -48, 9, 34, -1, -25, -39, -20, -9, -7, 1, 22, 2, -38, -25, 17, -42, 6, 48, -34, 16, 2, 3, -28, 48, -2, 1, -36, 36, 25, 19, 47, 47, -47, 15, 23, 18, 27, 11, -47, 27, -6, -13, -12, 36, -39, -14, -55, 8, -1, -31, -8, 16, -32, 27, -12, 17, 8, 12, -26, -38, -15, -6, -28, 5, -31, -16, 11, 29, -35, -42, -2, 2, -41, 36, 18, 52, -40, -33, 34, -36, 17, 43, -27, 23, 26, 39, 15, -12, 22, 61, -27, -11, 2, 36, 4, -13, 1, 5, -26, 45, 27, -36, -24, -49, -11, 41, -34, -20, 28, 18, -39, -15, 4, -39, 48, 24, 36, -33, 21, -18, -29, -47, -42, -32, -17, 9, 24, 16, 31, -28, 14, 23, -38, -31, -36, -4, 29, -32, 32, -8, -24, 20, -57, 3, -12, -15, 21, -26, 0, -2, -13, 7, -15, -13, -53, -2, -24, 0, 26, -25, -36, -32, 39, 40, -47, 14, -10, -44, -10, -38, -18, 5, 17, 38, -30, 38, -55, -58, -9, 3, 11, 42, 3, -4, 7, -26, -15, -32, 35, -7, 15, -11, 20, -20, -22, 35, 36, -14, 10, 24, -33, -12, -5, 7, -41, -47, 26, -39, 13, 22, -13, -33, 22, 33, 47, -11, -19, 4, 15, -43, -28, 14, -2, -8, 50, 8, -14, -19, 4, 42, 23, -45, 11, 10, -27, 32, 33, -7, 1, 23, -10, 23, -19, 35, -20, -5, 4, -11, -44, 30, -10, -20, -31, -40, -41, -45, -25, 30, -28, -27, 22, 4, 3, -8, 37, -4, -38, 46, 45, 25, 33, 46, -6, 17, -50, 23, 24, -41, 5, -33, 31, 32, 21, -29, -35, 7, -17, -29, 31, 28, -18, 41, -43, 3, -23, -38, 24, -46, 13, -2, -20, -16, -47, -41, 7, 27, 4, -48, -35, 20, 39, -30, 34, 34, -49, 24, 17, -29, -19, -25, -28, 18, 23, -5, 7, 23, 18, -30, -28, -41, 37, -24, 0, 45, 0, -16, -9, 19, -8, 22, 41, 14, 41, -33, 35, -40, 34, -7, -43, 42, 26, -22, 22, 20, 23, 38, 43, -16, -2, -22, 20, -31, -18, -29, 28, -38, 29, 18, 10, 37, 9, 44, 38, 32, -44, 43, -58, 10, -42, 38, 36, 30, 13, -35, -14, 2, 30, 20, 4, 47, -30, -25, 31, -25, -50, 38, 38, 27, -8, -7, -47, -8, 42, -7, 4, 11, -1, -26, 41, -59, 36, 6, -54, -24, 36, -35, 42, -41, -50, -12, 29, -1, 14, -44, -9, -12, 15, -43, -10, -42, 1, -5, -10, 39, -45, -43, 31, -13, -37, 34, -36, -13, -32, 36, 37, 9, 32, 34, 45, 4, 41, 4, 35, -14, -35, -5, -1, -45, 49, 40, 36, 7, -39, 5, -45, -28, -8, 7, -44, 11, -23, 23, 36, -12, -40, -16, 28, 28, -7, -14, -27, 11, -15, 37, -48, 11, -22, 7, -34, 19, 45, 29, -24, 44, -5, -53, 30, -22, -19, 26, 17, -27, -21, -20, -5, -32, -37, -2, -44, 4, -46, 41, 31, -24, -23, -38, 25, 27, -42, -4, -37, -26, 53, -33, -36, -29, -39, -38, -25, 6, 35, -5, -17, -44, -48, 27, 30, -23, -1, -15, -51, -44, -47, -12, -35, -48, -8, 26, 12, -4, -21, 50, -10, -24, 31, 16, -15, -5, -10, -40, -18, -3, 42, 1, 21, -7, -32, -39, -25, 40, 8, -42, 19, 30, 14, -27, 4, 11, 16, 7, -21, -11, -6, 36, 8, -30, 28, -23, -6, -26, 39, 25, -20, -24, 0, 18, -44, 33, 6, 43, -40, 34, -23, 19, -47, -16, 2, 48, -12, 38, 15, 1, 24, -35, -10, 10, 14, -11, -4, -1, -45, 39, 9, -21, 39, 12, -28, 40, 13, -45, -5, -41, 32, 39, -49, 31, -28, 17, -24, 44, 44, 39, -7, 3, -12, -12, 29, 41, 23, 4, 46, 35, 12, 19, -39, -8, -9, 8, 35, -23, -41, 0, 42, 7, 59, 25, 26, 23, -3, 9, 17, 8, 20, -8, -32, -42, 31, 4, 6, 38, 7, 28, -42, -12, -56, -34, 31, 29, 33, 18, 10, -5, -23, -10, -12, 3, -36, 7, -30, -22, 14, -4, -34, 11, -19, 20, 19, -34, -25, -30, 26, 20, -51, -42, -26, -45, -9, -18, -26, 27, -7, -36, 41, 33, -12, 36, -3, 7, -15, 46, 36, 54, -36, 20, 10, 50, -20, 2, -14, -27, 19, 13, -38, 17, 55, 12, -34, 59, -36, 0, -13, -18, 9, -7, -2, 37, 35, 5, 24, -21, 60, -23, -13, 11, 13, -4, -21, 3, -35, -6, -36, -22, 27, 25, 39, -24, -1, 33, 12, -23, 12, -25, -15, -30, -14, -26, -47, -25, 42, 8, 5, 41, 25, -9, -37, 23, -29, 8, 13, 22, -22, 31, -23, 19, -46, 8, -25, 31, 2, -50, -14, 24, -28, 2, 27, 20, -35, 37, -21, -7, -9, -5, -34, -17, -14, 3, 33, 20, -8, -45, -60, -48, 35, -31, -37, 48, 3, 5, -24, -20, 17, -19, 37, 7, -31, 0, 18, -20, -32, 6, -4, 45, 3, 23, 3, 34, -6, -24, 29, 9, -22, 18, 39, -35, 24, 5, -48, 6, 43, 13, 25, -46, -31, 39, 33, -15, -14, 42, -35, 33, -39, -21, 40, -44, -16, -19, 9, -24, 21, 8, -5, 36, -43, 22, 21, 27, -21, 43, -39, -38, 24, 11, 32, -48, -10, 32, -33, -34, -41, 1, -31, 33, 35, 29, -9, 18, -17, 6, -35, -2, 15, -42, 39, -42, 27, 33, 45, 39, 7, 32, 11, -20, -7, -30, 22, 46, -40, -23, 43, -10, 4, -17, -31, 4, 40, -26, -23, -22, 50, -69, -43, -28, -55, -3, 39, -11, 27, -14, -16, -24, 28, -23, -6, 39, -17, 29, -4, -16, -46, 23, -35, -36, 15, 4, -42, -33, 25, -40, -42, -31, -16, -29, 9, -58, -8, -24, -48, -18, 5, -29, 11, -56, 22, -9, 31, -20, -10, 38, 23, 45, 27, -42, 52, 0, -45, -11, -12, -8, 18, -8, -39, -25, -10, 36, -44, 21, 39, 24, 30, -56, 3, -45, 28, -17, -12, 25, -47, -25, -23, 23, -6, 33, 33, 27, 34, -14, 5, -45, 14, -1, 38, -39, 41, 6, -46, 53, 31, 35, -29, -8, -20, 19, 27, 52, -38, 0, 3, 30, -7, -7, 12, -41, 4, 23, -49, 4, -25, -34, -45, -26, -19, -37, 10, 31, 21, 56, 29, 20, 25, 37, -17, -14, 20, 28, -62, -45, -40, -30, 23, 33, 23, 20, 43, 51, 0, 10, 26, -37, -36, 16, 22, -27, -13, 24, 5, -32, 47, 42, 40, -29, 36, 35, -33, 21, -39, -1, 28, 9, -37, 38, -1, 79, -1, 29, -15, -5, 23, -36, 40, -2, -28, 22, -7, 41, 41, -35, -19, 3, 29, -46, -39, -35, 2, -45, -12, 8, -15, -32, -60, -51, -17, -19, -1, -41, 18, 12, 41, 46, 17, 9, 43, 0, -47, -29, -19, -37, 19, -23, -1, -47, -46, -2, 34, 42, -11, -26, 16, -13, 11, 26, -35, 25, 30, 25, 23, -33, -45, 32, 23, -30, 7, 15, -38, 41, 12, 17, -15, -12, -61, -59, 24, -46, 6, 60, -59, 16, 4, -2, -8, 17, -7, 29, -35, 37, -17, 21, -13, -26, -36, -47, -20, 1, 4, -41, -7, -34, 12, 38, -23, 28, 6, 18, 32, 21, 25, -44, 1, -3, 46, 0, -13, -30, -46, 4, -33, -19, 9, 16, 40, -3, 23, 58, 65, 0, 12, 29, -23, -10, -15, 2, -20, 13, -32, 3, -35, -38, 31, 17, 30, 28, 5, -5, 6, 33, -29, -54, 12, 11, -66, 40, -35, -36, 29, 28, -42, -32, -40, 19, -4, 28, -19, -11, -16, -63, -38, -27, 44, -3, -52, -15, -19, -45, 1, 31, -2, -24, 20, -2, 9, -2, 36, 20, -8, 20, 27, 35, -16, 21, 42, 43, -37, 16, 28, -31, 6, 55, 5, -21, -5, 28, 11, -16, 40, -21, 74, 9, -44, 18, 35, -23, -22, -19, -23, 21, -37, 20, 18, 26, 21, 24, 36, -33, 14, -1, -36, -31, 20, -16, 5, 36, 8, 60, 7, 34, -13, 27, 41, 46, -6, -28, 8, 14, -11, -45, -34, 20, 27, -14, 43, -19, 32, -49, -76, -27, 9, 50, 22, 48, 27, -28, 43, 2, 3, -12, -17, -41, -9, 15, 11, 24, 8, -33, -39, 49, -10, 52, -30, -28, 29, 12, -24, 22, -11, 21, -12, -14, -31, -43, 18, -30, 21, -26, -11, 39, -22, 15, -17, 44, -18, -71, 8, -45, -31, -32, 3, -12, -19, -31, -22, 45, 23, -10, -16, 39, -19, -24, -52, -23, 38, -33, 54, -29, 11, -6, 40, 48, -30, 8, 26, 8, -39, 26, -8, 14, 26, 73, -2, 45, 23, 42, -11, -40, -38, -21, 39, 13, -10, -24, -19, -40, -43, -22, -47, -6, -4, -35, 40, -16, 22, 23, 14, -34, 46, -7, -37, 40, -5, 39, 34, 12, 32, -20, 47, 39, 27, 13, 18, 4, -27, -27, 37, 7, 29, -24, -3, -7, -35, -28, 29, 42, 6, -5, 19, -27, -3, 14, 14, 5, 17, -18, -2, 32, -26, 3, -45, 37, 25, -44, -31, -40, 23, -12, 14, -16, -36, 8, 7, -3, -1, -16, -42, 36, -17, 8, 31, -36, 12, 26, 49, 34, 12, -22, 37, 11, 12, 54, -6, -23, -44, -54, -63, -69, 4, -1, 22, 26, -24, 14, 2, 23, 41, 29, -57, -57, 15, 47, 31, -38, 35, 40, 38, 39, 38, -1, -22, 1, -22, 28, 16, -19, 42, 86, 25, 7, -5, 14, -8, 24, -10, 9, 5, 14, -3, 14, 28, 20, -30, -1, 13, 43, -51, 26, -11, 23, 44, -14, 14, -13, 25, 27, -17, -18, -14, -25, 40, -17, -22, -35, -31, -32, -27, -31, -30, -25, -56, 23, -10, 18, 11, -26, -8, -35, -44, 3, 27, 41, 40, 3, 54, -11, -6, -16, -45, -27, 8, 29, -3, -31, -27, 12, 15, 11, 68, 67, -11, 43, 5, -44, -36, -32, 12, 1, 32, -12, -18, 30, 7, -6, -30, -80, 16, -79, -4, 23, -57, -10, -44, 32, -10, 43, 40, 3, -8, -27, 7, 0, -20, 43, 52, 33, 63, 27, 17, 48, -22, 26, -24, 41, -35, -9, 36, 55, 80, 48, 37, 21, -13, -13, -23, 9, -10, 28, -9, -51, 29, 16, -54, -20, 22, 8, 28, 16, -40, -32, 25, -4, 22, -7, -42, 12, 43, -30, -43, -2, -22, 10, 36, 26, -38, -34, -19, -21, 30, -9, 38, 23, 35, -4, 46, 46, 0, 24, 1, -7, 2, 18, -5, -49, -21, 14, 40, 11, 7, -25, 27, -26, 49, 26, -4, -5, -24, 29, 30, 57, 49, 28, -29, 43, -9, -10, -56, -20, 65, 30, -29, 19, -53, -26, -7, 27, -41, 46, 35, 36, -16, 18, -17, -17, -11, -49, -22, -32, 13, -5, -8, 38, 12, -40, 14, 11, 7, -1, -36, -17, 8, -69, -43, -32, -15, 37, -45, 34, -34, -16, -20, 48, -31, 18, 49, -14, -20, -17, -41, 0, 3, 38, -11, -46, 40, 12, -26, -5, 3, -8, 36, 5, -42, -20, -29, 14, 32, 47, 27, 6, 32, 6, -18, 51, 0, 6, -5, -30, 48, 0, 60, -44, -6, -3, -3, 78, 8, 8, 31, 5, 48, 22, 2, -26, 12, 29, -14, 29, 55, 60, 35, 1, 9, -13, 51, -4, -3, 38, -31, 8, 5, -16, 19, -1, -8, 31, -20, -12, -34, 21, -45, 22, 3, 21, -17, -17, -17, -47, 12, -22, -20, -50, 9, -15, 50, 32, -29, 1, 16, -36, -21, 75, 17, 57, -5, 40, 6, -8, -36, 12, -7, -9, -44, -46, -31, 17, 41, -25, -3, -52, -15, 9, -54, -54, 12, -6, 13, -45, -13, -18, -4, -2, -37, 12, 19, 7, 26, -32, -7, -16, -19, 8, -13, -2, 4, 17, -1, -16, -48, 2, 12, -5, -10, 26, -5, 33, 11, 9, 17, -34, 19, 53, -3, 21, 6, 26, -6, -58, -34, 28, 4, 39, 45, 9, -3, -6, 16, -8, 1, -14, -26, -22, -8, -26, 25, 2, -9, -24, 29, 13, 41, -6, -22, -5, -27, 1, 24, -10, -6, -50, -38, -4, 15, 6, 34, 17, -24, 35, -28, -1, -44, 10, 41, -31, 37, 10, 36, 46, -2, -13, 17, 50, 13, 9, -29, 43, -22, 41, -22, 24, -11, 27, -35, -19, 31, -42, 34, 11, -24, -26, 44, 1, -17, 13, 29, -12, -1, 35, 2, -49, 6, -3, 46, -26, -9, -37, 11, -20, -1, 20, 40, -4, -18, -12, -42, -11, 34, 8, 31, -14, -6, -3, -62, -37, -60, -47, -18, -71, -27, -5, -43, 45, -14, 15, 32, -22, -14, -32, 30, -6, 42, -24, 22, 21, -13, 53, 16, 24, -12, -47, -27, -3, 41, 12, -26, -23, -11, -14, -28, 0, 23, 35, -47, -20, 54, -12, -18, 38, 14, 14, 41, -35, 32, -14, 0, 15, 1, 7, 12, -1, 3, -40, -55, -39, 16, 4, 5, -11, 25, -24, -42, -51, -58, 4, 20, -6, -49, -51, 15, 9, -6, -23, 9, -17, -27, 42, -12, 24, 28, 1, 13, 9, -18, 60, -11, 43, -5, 7, 70, 56, 22, -22, -27, -9, -28, -20, 8, 41, -8, -11, -28, -24, 4, 2, -83, -33, -42, 32, 32, 38, -41, 25, 47, 14, 18, -3, 1, -22, 35, -22, 39, -1, -29, -32, 2, 16, -21, -31, 38, 11, -37, 6, 10, -16, 31, 43, -28, 4, -35, 32, 15, -18, 52, -24, 18, -60, -41, -60, -49, -45, -56, -59, -19, 9, -14, 13, -31, -55, -56, -60, -10, -55, -13, -42, -1, -39, 35, -36, -1, 19, 0, 46, 21, 51, 4, 41, 47, 25, 31, 50, -42, 26, -13, -19, 19, -19, -11, -38, 29, -27, -16, 3, -28, -17, 22, -23, 9, 32, 36, 26, -28, -18, -23, 15, -19, -36, 34, -26, 41, -8, 8, 33, 11, 7, 48, 22, 35, -6, 4, -17, -26, -34, 4, -3, -43, 34, -29, 44, 7, -25, -39, 20, 15, 25, -24, -21, -35, 43, 41, -31, -40, 30, -6, 21, -36, -45, 6, 37, 7, -45, 3, 40, 2, 32, 44, 7, -37, 35, 11, -13, -36, 37, -27, -10, 19, 32, -45, 1, 40, -21, -40, -6, 24, 7, 42, -44, 34, -10, 37, -15, -16, 36, 59, 47, -24, 0, -7, -14, -2, -1, -18, -10, -41, 38, -7, -32, 10, 39, -13, -3, 46, 28, -1, 30, -43, -33, 25, 23, 4, 25, 1, 32, 22, 32, -38, 7, 14, -13, -15, -3, 3, -19, 2, 27, 28, 32, -32, -36, 37, -21, 4, 25, -14, -13, -31, -25, 9, -15, 18, 9, -44, -36, -39, -20, 6, -28, -28, 25, 9, 51, -33, -4, 23, 0, 35, -46, 20, -33, 36, -10, -22, -41, -11, -7, -13, -34, -14, 19, 10, -6, -35, -13, 34, -5, -2, -14, 2, 46, 33, -7, -3, 19, -14, 25, 18, -44, 16, 5, 15, 20, 19, 26, 45, -9, 7, 42, 10, -1, 27, -15, 11, 13, -19, 2, -7, -19, 44, -18, -11, -18, 0, -19, 18, 24, -15, -19, -50, -11, -13, -19, -37, -23, 40, -41, -28, 29, 32, 41, -3, 33, 14, 32, -31, 16, -25, 3, -6, -44, 0, 12, -27, -20, 40, -21, -34, 45, 47, -36, 35, -15, -18, -34, -39, 10, 4, 36, 28, -40, 13, -5, -19, 26, -6, -19, 27, -42, -9, -40, 25, -1, 37, -20, -29, -12, -34, 23, 11, -19, 40, -36, 10, 29, 6, 16, -38, -18, 17, -13, -7, -19, 46, -25, -10, -47, 38, -21, -47, -25, -43, -32, -27, -22, 15, -8, 17, 1, -46, -9, 46, 23, -19, -28, 21, 19, 5, 0, -43, -27, 42, 8, 25, 39, -40, 38, -10, 44, -32, 40, -33, 35, 40, 14, -43, 21, 17, -36, 46, -10, -1, 13, 34, -44, -45, -3, 10, -40, -21, -32, -6, 1, -36, -9, 32, -12, 5, 20, -44, -46, -18, -3, -14, 9, -15, -18, 24, 42, -33, -24, 44, 35, 33, 55, -36, -56, 40, -27, -4, -21, 36, 18, 34, 36, -16, 26, 15, -40, 31, 0, -14, 13, 17, 8, -21, 9, 35, -49, 39, 37, 6, 9, 32, -29, -48, 18, 29, 23, -1, -5, -18, -6, -2, 24, -38, -33, -22, -21, -15, 1, 45, -15, 43, 46, 5, 25, -34, -36, -26, -1, 55, 38, -9, 11, -40, 27, 30, 10, -39, 11, -55, -28, -11, -9, 46, -23, -46, 15, 7, 25, 31, 0, 21, -3, -14, 13, -37, 25, -8, -24, 18, -29, -40, -23, 3, -29, -12, -21, -12, -28, -38, -23, -21, -15, 8, 35, 17, -5, -20, -34, 13, -9, -25, 0, 24, -23, -3, 39, 57, -3, -24, -9, 33, 47, 8, 19, 3, -16, -25, -32, 32, -27, -25, -13, -21, -15, -46, 21, 49, 11, -16, -12, 35, 20, -36, -34, 42, 14, 2, 5, -13, 37, -19, 4, 8, -22, 0, -32, 18, -20, 18, 11, -7, -28, -18, -34, 44, 24, -5, 0, 39, -31, -12, 25, -25, 0, 28, 13, 21, 12, -17, -32, 20, -10, -1, 20, -4, -25, 4, 2, -37, 15, -13, 37, -33, -24, 7, 35, 37, 42, 35, 7, -27, -16, -35, 23, 30, -10, -25, 46, -7, 38, -17, 18, 26, 30, -32, -9, 26, 16, 15, -24, -43, -30, -21, 19, -21, 19, -16, 8, 2, 21, -27, -19, -32, -25, 28, -39, 10, 31, -6, 4, -53, -46, -8, -10, -20, 9, 35, 20, 8, -47, 49, -5, -13, 53, 9, -28, -47, 19, 13, 1, -15, -34, -3, 0, -46, 67, -18, 6, 48, -7, 14, -24, 17, -12, 36, -18, 21, -20, 40, -25, 34, 36, -44, 5, -20, 16, -12, 39, 20, -35, 48, 24, -42, 5, 25, 15, -3, 0, -13, -3, 39, 30, 2, 38, -15, 22, 3, 3, 14, -2, 41, -46, -7, 17, 39, -29, 28, 21, -10, 0, 35, 46, 7, -46, -38, -40, -43, -41, -47, 48, 30, 58, -25, 35, 70, -10, -28, 11, -13, -9, -30, 27, -20, 17, 74, -15, -6, 22, 21, -53, -21, 29, -34, 52, 9, 36, -15, 4, 22, 28, -41, -22, 18, -25, -21, 37, -32, 14, -38, -28, 0, -18, 31, 9, -34, 41, -22, 33, -10, -27, -11, -15, -5, 12, 31, -54, 11, -41, 15, 5, -38, -10, -44, 40, -11, 37, 36, 21, 51, 37, -44, -28, 19, 45, 16, 25, -10, 23, 4, -25, 4, 59, 0, 10, -28, 18, -21, 35, 32, -36, 2, -26, -20, 1, 37, 6, 42, 13, -16, 14, 44, 6, 4, -40, 50, -15, -41, 51, -42, -10, -12, -9, -25, 39, 17, 9, -22, 49, -27, -10, -6, -1, -29, 29, 37, 24, -12, -44, 40, 34, 0, -11, 44, 19, -7, 11, -1, -6, -46, 26, -64, -24, 36, -48, 25, 48, 20, -28, 6, -10, -44, 36, -30, -41, -18, -34, -15, 44, -11, -33, 22, -3, -36, 42, -31, -20, 49, 36, -13, 17, -20, 43, -6, 40, -22, 45, 10, 20, 23, -44, -46, 29, 26, -17, -50, 17, -9, 8, 39, -10, 25, -18, 2, -21, 45, -31, 39, 12, 22, 6, 11, 5, 51, 33, 36, -4, -33, 40, 8, 15, 24, 44, 35, 15, 26, 41, 44, -33, -34, -25, -14, 31, 28, 32, 29, 21, -11, -35, 26, -19, 42, -34, 14, -2, 35, 26, -36, 12, 4, 33, -9, 10, 46, -18, 69, 17, 75, -36, 45, 9, -27, 63, 16, -27, -5, -46, -3, 38, -40, 50, 10, 43, -7, -31, -1, -42, 43, -31, -2, 11, 9, -4, -44, -16, -34, -18, 22, -27, -33, 37, -27, -29, -11, -49, -35, -6, -62, -4, -10, -6, -34, -2, -26, 24, -32, -39, -25, -15, 67, -22, 11, -38, 0, 11, 20, 39, -24, -47, 23, 5, -34, 54, -28, 5, -6, 21, -17, -42, 4, -36, 3, 36, 22, 9, 18, 9, 32, 29, 7, -3, 14, 18, -18, 30, -32, -46, -9, 27, 33, 45, 36, 55, 12, -25, 45, 2, -5, 20, 1, 33, 27, 22, -33, -1, 6, 51, -33, 76, -22, 23, -11, -17, 63, -4, 12, -15, -22, 47, 37, 48, -42, -43, -30, -47, -31, -43, -17, -11, -33, 26, -13, 48, -46, 14, -11, 35, 43, -11, -1, -40, 6, -24, -45, -15, -21, 4, -2, -14, -22, -15, 32, -21, -19, 19, 29, -19, -28, -30, -38, -33, -44, -14, -44, 10, -43, -9, 31, -47, -26, 7, -30, 37, -6, -39, 32, 60, 43, -1, -3, 65, 56, -30, 72, 11, -6, -25, 34, -19, 4, 36, 25, 19, -27, 19, -31, -5, 13, 11, 29, -9, -12, 17, 0, -37, 3, -25, 18, 3, 31, -33, 39, 23, -46, -39, 42, 35, -37, 23, 46, -16, -47, -47, -11, 3, -32, 41, 30, 33, -33, 12, 51, 45, -14, 5, -22, -19, 21, -34, 30, -19, 36, 4, 2, 10, 4, 11, -7, -15, -59, -31, 64, -11, -9, 27, -37, 20, -7, 10, 9, 18, 10, 9, 2, 33, 28, -8, 41, -13, -18, 10, 45, -14, 5, 39, -27, -17, -12, -13, 31, -22, -34, -47, 47, 8, -4, 9, -15, 3, -5, -26, -24, -40, 7, 60, 28, -1, -13, -23, -20, -15, 0, 6, -18, -28, -23, 36, -26, 13, -45, -43, -31, -22, -47, -45, -3, -29, 26, 26, -14, 62, 19, -12, 33, -10, -6, 20, -34, -18, -22, -14, -4, 35, -10, 12, 15, 28, -8, 20, -19, -9, 10, 13, 46, 47, 7, -1, 20, -30, 1, -30, -11, 8, 29, 46, 10, 53, -14, -40, 6, -11, 34, 14, 1, -20, 26, 15, 21, 30, -12, -16, 11, 2, -17, -22, -26, 47, -22, -44, -6, -14, -12, 22, 17, 40, 54, -34, -37, 15, 36, 29, -31, -13, 33, -24, 17, 26, -11, 41, -2, 8, 11, -7, -6, -53, 28, 12, 13, -18, -35, 42, -21, -32, 30, 37, 33, -34, -26, -25, 22, 26, -14, -41, 24, 16, -19, -40, -27, 18, -21, -9, 4, 17, 31, 24, -1, 20, 23, 12, -13, -10, -34, -27, -46, -31, 40, -10, -30, -36, 24, 5, -49, -36, 31, 22, 8, 31, -11, 8, 5, -32, 32, 3, 49, -47, -24, -16, 11, 1, 24, -40, -33, -40, 47, 37, -26, -5, -2, 24, 19, -17, -30, -31, 39, -10, -55, -29, 32, -9, -7, 11, 41, 42, 7, -7, 5, 33, 38, -20, -45, -41, 23, 16, -24, 0, -29, -15, -22, -4, -3, 37, -16, -17, 6, -21, -25, -24, 23, 7, 1, 31, -48, 29, -46, -32, -41, -43, 3, -8, 32, -21, 32, 25, 26, 35, 39, -45, 2, -1, 15, 20, -19, -18, -8, 7, 44, 31, 20, -35, 26, -14, -16, 20, 17, -16, 60, 28, -36, -18, 13, 19, 80, 42, -27, 28, 6, -34, 34, -27, 32, -50, 17, 12, 17, 12, -7, -21, 6, -41, -29, -1, 43, 29, 27, 33, 27, -24, 7, -25, -22, 60, -29, -45, 8, 21, -19, -70, -10, -2, -21, 7, 3, -38, 13, -7, -48, -12, 20, -4, 2, -64, -50, 15, 22, -11, 36, 44, 29, 35, 6, 35, -48, 39, 44, -45, -22, 3, 42, -44, 46, 9, 25, 37, -28, -24, 24, 28, -67, -53, -66, -37, -5, -19, -13, -9, 50, -6, 24, 11, 44, -48, -6, -44, -32, -6, 21, 64, 35, -23, 39, 2, 44, 9, -14, -2, 10, 44, 73, 54, 18, -33, 63, -26, 22, 61, -26, 9, 46, -37, -4, 37, -22, -13, -34, -63, 25, 40, -52, -31, -27, 3, -52, -30, -43, 7, -19, -16, -2, 39, 17, 5, -24, -64, 11, -11, -54, 19, -6, -28, -39, 37, 12, -36, -35, 17, 47, 23, 26, -25, 35, 15, 4, 28, -10, -48, -42, 32, -32, 9, -6, -8, 31, -1, 32, -50, -11, -37, -18, -26, -27, -6, -13, 48, -28, 25, -7, 2, 36, 48, 17, -43, -9, 29, 44, 15, -14, 13, 47, -5, 16, 22, -31, 35, 37, -29, -27, -29, -7, -14, 43, 9, -33, 5, -11, 6, 31, 6, -43, 3, 44, -15, 38, -21, -18, -51, -22, -6, 46, 7, 18, -32, 35, -27, 38, 19, -1, 12, 20, -42, -16, 12, 4, -27, 40, 10, 36, -46, 9, -7, 0, -13, -26, 2, -57, -26, 0, -30, -34, -10, -23, 14, 9, -30, -3, 0, -27, -44, -15, 4, -43, -17, -17, 17, 54, 39, -2, 43, 29, -26, -42, 24, 5, 29, 33, 7, -39, -38, -45, 24, -22, -42, 2, 5, -15, -20, 3, 24, 24, 11, 23, 20, 61, 20, -23, 4, 18, 17, 6, 8, 48, 31, -12, 23, 1, 26, -36, -4, 28, 7, 17, -15, 4, 14, 24, -14, -9, 27, 13, -33, -8, 13, 29, -2, 9, 16, 24, 8, -61, 64, 42, -36, 28, -42, 5, 36, -49, -39, -17, 20, -25, 24, -32, 6, 34, 5, 3, -6, 46, -14, -12, -44, -11, 28, -24, -33, -27, 7, -14, 4, -19, -3, 47, 24, -20, 20, -26, 20, -3, 55, 9, 35, -3, 32, 27, 21, -31, 22, 48, 28, -9, -27, -45, 29, -11, 12, 6, -19, -27, 28, 5, -3, -11, 8, 5, -19, 25, -40, 27, 3, -9, 2, 44, -7, -28, -19, 30, 2, 16, 27, 1, 34, -14, 26, 47, 9, -41, -15, -54, -56, 31, -26, -16, 23, -16, 22, 32, -21, -31, -9, 34, 27, -13, -8, -41, -1, -1, 24, -42, -27, -38, 10, -32, -33, 25, 3, -14, 46, 15, -5, 31, 52, -33, 21, 10, -22, -44, -42, 11, 36, 36, -15, -28, 35, 7, 26, 38, -28, 17, -33, -18, -12, 13, 33, 9, 13, 5, 26, -21, -3, 30, -13, -17, -7, -15, -10, 41, -43, -6, 5, 39, 8, -28, -33, -42, -4, -36, -21, 18, 32, -8, 32, 22, 8, 55, -8, -36, -33, -20, -4, 5, -21, -3, 16, 39, -27, -27, 22, -39, -6, 36, -40, -13, -12, 47, 31, 17, 35, -15, 0, 15, -13, 16, -19, -23, 20, 22, -16, 22, -37, -9, -21, 26, -8, -36, -23, -2, -13, 0, -28, 25, -15, 14, -5, 3, 3, -34, -22, -2, 42, -14, -32, 16, -25, 15, -3, 10, 26, 32, -35, -45, -22, 25, 17, 1, 2, 31, 0, -33, -22, 30, 44, 42, 59, -10, 29, 62, 9, -5, 19, 40, -34, 0, 10, 22, 39, 3, -14, -11, -45, 18, -41, -30, 24, -6, -25, -26, -15, -27, 19, -43, 36, 23, -24, 23, 26, -28, 30, -25, 22, -1, 27, -51, 15, 36, 44, -46, 38, 37, -28, 16, -8, 40, -56, -42, -47, 41, 8, 4, 7, -3, 24, 4, 31, -21, 20, -3, -32, 27, -54, 31, 14, 28, 37, -12, 43, -43, -39, -51, 8, -20, -17, 32, -12, -9, 22, 12, -36, 1, 9, -11, 33, 5, 23, -29, -52, -6, -4, 8, -10, 3, 16, -56, -17, 47, -4, 22, 5, 29, 24, 5, -20, -53, -25, -14, 23, 24, 24, 56, -18, -4, 48, -17, 29, 2, 36, -23, 34, -58, -45, 42, 16, -32, 4, -23, -23, -10, 33, -20, -35, -3, 49, -32, 33, 1, -49, 23, -16, -16, -12, 36, 8, -7, -16, -33, 4, -17, -36, -22, 27, 20, 10, 5, 39, -18, 45, 40, 56, -4, 7, -10, -19, -15, -4, 7, 38, -44, -43, 12, 4, 14, -36, -30, -20, -39, 18, 32, 14, -48, -1, 49, 27, -24, -14, -23, -31, -8, -50, -14, 36, -4, -24, 22, 22, 35, -35, -26, 30, -3, -14, 7, 18, 39, 10, -26, 34, -44, 22, 46, -27, 7, -7, 43, 26, 13, -12, 17, 9, -23, 47, -27, -26, -31, 46, -7, -15, 42, -5, -48, -3, 11, 23, 43, 37, 27, 22, -19, 20, -41, -4, -27, 32, 42, -40, 13, 23, 40, -3, 7, 5, 13, -31, -8, -18, -17, 3, -4, -35, -46, -43, 13, -41, -40, -33, 1, 31, 9, -34, 37, -8, 15, 10, 39, -25, -35, 7, 29, 46, 47, -14, -21, -44, 10, -24, -47, 31, -8, -38, -34, 45, 49, -21, 14, -44, -22, -20, -33, 42, -16, 12, -22, 32, -1, 47, 26, -19, 33, 16, -38, -33, 24, -4, -34, -4, 31, 40, 46, 12, 30, 49, 16, 5, -6, -28, 32, -11, -12, -44, 38, -11, 30, 7, -46, -8, 36, 47, -23, 31, -45, 33, 5, 42, -12, -47, 39, 18, -43, -6, -40, -15, 24, 37, 15, -9, 38, -10, -24, 6, 12, -37, -26, -38, -15, 55, -19, 10, 13, 36, -6, 13, 46, 44, 21, 16, 17, -21, 12, 34, -36, -28, -23, -6, -12, 12, -39, 15, 0, -31, -33, -21, 47, -22, -43, 11, 33, 33, 45, 43, -6, -27, -22, -17, -43, 1, -6, 51, -26, -7, 6, 5, 27, -3, -35, -8, -23, 8, -48, 46, -46, -28, 14, 41, -30, -2, 20, -26, 7, 38, -1, -15, -23, 29, -7, 14, 32, 8, 40, -15, 13, -46, -24, -32, 6, -22, 1, -38, 13, 20, 27, -45, -19, 26, -34, 2, 29, 52, -45, 29, 7, 43, -31, 40, 53, 6, 0, -28, -40, 5, 17, -21, -26, -8, -4, -34, 26, -29, -11, -26, 20, -37, -37, -41, 16, 7, 4, -25, 27, -9, -25, -27, -25, -18, -23, 36, -14, -37, -5, -28, -19, 31, 38, -14, -39, -46, 30, -34, -20, -22, 20, 4, -16, 11, 17, 44, -12, 7, -19, -21, 41, -19, -13, -37, -44, -3, -48, -40, 48, 32, 36, 34, -13, 14, 21, -21, -17, -12, -18, 44, 17, 30, 3, -35, 22, 48, -6, 28, -35, 25, 35, 36, -25, 20, 39, 11, -7, 39, -8, -12, -19, -42, 12, -4, 3, -44, 32, -30, -1, -26, 26, 30, -36, -16, -43, -33, -40, -29, 42, -5, -38, -9, -41, -42, 22, 15, 13, -13, -15, -15, 22, -29, 30, 49, -13, 33, 5, -20, -43, -1, -20, 4, -14, 7, 15, -18, -29, -29, -21, -21, 8, 0, -2, 20, -46, -31, 18, -29, -29, 9, -40, -10, 3, 20, 38, -32, 50, -9, 6, 8, -6, -1, -1, -37, -32, -11, 12, 19, 24, 43, 23, -12, 41, 19, -1, 27, 25, 8, 46, -35, 20, -6, 18, 16, -1, 13, 40, 21, 35, -37, -6, 0, 19, 38, 7, -14, -16, -36, -25, 39, -35, 22, -6, 48, 37, 1, -27, -35, -24, 7, -31, -38, -30, -13, -37, -31, -30, 38, -7, 43, -47, 36, 8, -16, -48, -25, -46, 35, -31, -15, -42, 20, 16, -41, 17, 25, 44, -40, 15, -42, -5, -43, -29, 5, 22, -20, -19, 31, 30, -19, -13, 43, -46, 14, -16, 34, 30, -38, -25, -34, 12, 0, 23, -25, -23, 11, 41, -21, -19, 23, -23, 4, -29, -43, -32, -36, 16, -34, -22, 13, -37, -11, -29, -20, -38, -5, -14, -21, -36, 26, -26, 0, 33, 1, 35, 29, -7, -13, -5, 28, -26, -3, 6, -16, -36, -44, -50, -11, -46, -1, 7, -18, -27, 43, -7, 48, 9, -23, 48, 41, 2, -22, 46, 36, 43, -34, -9, -41, -34, -10, -8, 3, -15, 29, 26, 5, -15, -52, 15, 35, 40, 35, 39, 4, 12, 52, 33, 25, 7, 10, 22, -16, -18, 14, 22, 16, 26, -2, 78, -8, -62, -64, 11, -9, -6, 36, -19, 1, 36, -44, -12, -20, 47, -39, 10, -34, -29, 44, 23, -61, -12, 30, 27, 27, 34, 12, 46, -13, -13, -41, -37, -28, -36, -43, 36, 46, -12, -3, -39, 29, -9, 45, -4, -36, -16, -34, -39, 35, 19, -4, 2, 18, 26, 14, 16, 43, -11, -25, -3, -42, -37, -5, 15, 3, 79, -12, -17, -66, -21, -1, -15, -17, -31, -14, 20, -16, 31, -22, 29, -9, 84, 3, -11, 32, -12, -33, 17, -32, 1, -13, 9, 39, -14, -8, 23, 5, 0, 43, 45, 27, 56, 7, 2, 2, -38, 27, -14, 33, 14, -33, 14, 3, -40, -7, 43, -11, -23, -29, -9, -47, 33, -39, -35, -38, 57, 35, 6, -16, -4, -27, -15, 26, 0, -44, -31, -22, -42, -21, -1, 18, 27, -11, -9, -31, 48, 47, 5, 29, -25, 34, 19, 34, -34, 28, -29, -14, 8, 36, -44, -4, 5, 31, 1, -13, 21, 20, -28, 48, 46, -17, -4, 15, 4, -21, -11, 15, -32, -28, -5, 27, -5, -27, 23, -23, 1, 5, -41, 7, 42, 22, 9, 7, 20, 11, -16, -11, -48, -10, -19, -54, -21, 47, -1, -6, -33, 15, 6, -27, 16, -14, -6, 18, -9, -18, 33, 18, -2, -30, -22, 47, 2, 51, -36, -32, -43, -47, 20, 8, 30, -16, 22, 36, 1, -25, -26, -29, -26, -33, 5, 1, -19, -9, -25, 8, 22, 11, 14, -39, -50, 13, -22, 29, 18, -41, 44, 25, 40, 7, 20, 48, -20, 44, -8, 41, -25, 38, -31, -26, 26, -29, 37, 8, -30, -25, 16, 17, -3, -42, 5, 15, -19, 38, -35, 15, -13, -47, -27, -38, -27, -5, -34, -35, -38, 35, -54, 48, 35, 17, -1, 27, 5, 30, 8, 21, -35, 36, -51, 51, -6, 38, 37, -40, 20, 23, 34, 17, 21, -34, -22, 16, 17, 38, -39, 27, -36, 14, -27, 3, 26, 28, -36, -24, 24, -23, 22, 8, 8, -28, 10, -6, -49, -70, 2, -39, 42, -20, 25, 13, 3, -2, -25, -7, 31, -10, 9, 47, -2, -40, 18, -21, 43, 10, 8, 33, -2, -41, -18, 61, 9, -20, -11, -3, -20, 61, -32, -27, 25, -10, -19, -17, -16, -6, 26, 7, -45, 47, -45, -16, 47, -21, -17, 2, 2, 27, 52, 33, 24, 38, -44, 0, -6, -6, 41, -18, 17, -11, -8, 25, 71, 41, -29, 21, 44, 28, 29, 11, -14, -3, 43, 15, -52, 2, 19, 30, -35, 95, 0, -7, 33, 23, -17, -40, 0, 54, -8, 66, 54, -14, 18, -59, -22, -20, 41, 9, -10, -8, -40, -47, 30, -36, 41, 40, -44, -42, 7, -30, 31, 50, -17, 2, 29, 1, 16, -33, -10, 5, -11, 24, -7, 10, 14, -33, -48, -37, 30, -47, 3, 44, 3, 11, 13, 22, -40, 5, 21, -39, -8, 30, -39, -6, 44, 39, 40, 26, -43, 5, 9, 36, 44, 43, -6, 0, -10, -2, -9, -12, 44, -23, 34, -44, -17, 41, -43, -26, -41, 19, -46, -44, 8, -40, -18, 13, -9, 38, -31, -41, -6, 34, 37, -17, -40, -41, 13, -7, 25, 15, 27, 23, 51, -16, -14, 28, -5, -36, -1, -30, -8, -1, 19, -13, 41, 36, -53, -15, -35, -15, -48, -31, 19, -10, -17, -10, -52, 5, 2, -27, 46, 20, 27, -35, -52, -21, -11, 50, 30, 25, 43, 16, 8, -26, 32, -30, 29, -11, 25, -33, -1, -6, 22, 19, 23, -36, -24, -16, -43, 11, -41, -39, 21, -38, -21, -10, -21, -45, -32, -10, 34, 42, 33, 16, 26, -62, 25, 61, 14, 19, -17, -31, -1, -22, -5, -9, -43, 9, -57, -65, -17, -18, -10, -18, -43, -28, 21, 7, 17, -15, -44, -36, -1, -11, -12, -31, 38, 34, 17, 9, -3, 49, 19, -19, -11, -25, -31, 3, -36, -43, 7, 45, 58, 71, -42, -16, 12, 40, 37, -2, 50, 34, -25, 1, 3, -15, -14, -59, -11, -55, -11, 2, 43, 26, 52, -10, 37, -3, -6, 65, 5, 12, 5, -27, -4, -24, -16, 7, -47, 39, 26, 24, -12, -5, 38, 18, -60, 7, -35, -23, 7, -29, 55, -13, 26, 50, -9, 4, -32, -33, -36, -46, -14, 36, 24, 32, 14, -19, 6, 35, -12, -52, 11, -30, -47, 21, -29, -38, -29, -3, -50, 23, 0, 7, -37, 11, 3, 14, -35, 32, -45, 47, 16, 20, 20, 22, -47, -27, 5, -22, -2, -11, -21, 0, 5, -28, 41, 23, 25, -12, -23, -33, -23, 10, 14, -34, 21, -23, 22, -32, -14, -27, -32, -32, -22, -40, -28, 24, 19, -4, 21, -39, 30, -17, 32, -30, 11, -5, 35, -17, 27, -44, 19, -23, 21, 51, 10, -30, -1, 30, 38, -28, -34, 32, 23, -29, -22, -37, -33, 19, -20, 29, 16, 24, 6, 13, 5, 22, 28, -40, -19, 0, 5, -43, 47, 5, -17, 36, -15, 46, 41, 39, 61, -4, 2, -13, -17, -8, -11, 25, 37, -14, -37, 19, -2, 35, 42, -14, -12, -32, 14, 22, -2, 5, 31, 42, 48, 45, 26, -1, 6, 45, 1, 39, -10, -9, -33, 55, -19, -10, 1, 42, -31, 53, -17, -12, 16, -21, -32, -23, -33, 33, 61, 32, -8, -14, -28, 7, 21, 7, 10, -44, 41, 44, -19, 38, -21, -11, -23, 24, 49, 53, 71, 30, 28, -23, -4, -29, -38, -2, 21, 48, 41, -23, 1, -27, 12, -20, 30, -55, 12, -36, 39, -22, -52, -36, 0, -16, -26, 46, -31, -28, 1, -45, -37, -39, 10, 42, 26, 24, -6, -22, -13, -7, 10, 12, 4, -38, -24, -47, 11, -73, -33, 11, -28, -18, 19, 0, 59, -17, 41, -1, -32, 18, 49, -10, 38, -21, 40, 36, 15, -14, 23, -25, -39, 73, 66, -8, -16, 2, -28, 6, -33, -16, -31, -8, -27, 8, -25, 25, -39, -38, -14, -25, 29, 41, -2, -31, -2, 1, -44, -23, 47, 23, 10, -11, 12, -13, -55, -58, 29, -18, 9, -4, -14, 46, -24, -9, -4, -42, -29, 46, -11, -27, 1, 28, 23, -3, -30, -2, -41, -21, 30, 19, -1, -23, 11, 4, 25, 37, 32, -39, -64, 26, -53, 42, -3, -3, -48, -35, -35, 39, 50, -5, 45, 44, -35, -27, 19, -34, 34, 40, -28, -41, -4, 24, 7, 86, 10, 46, 9, -24, -1, 10, 9, 12, 3, -24, -15, 11, 41, 6, -13, 17, 15, -11, -45, -3, 32, 6, 22, 19, -38, 23, -37, -12, 13, 21 };
signed char f52[16384] = { 59, 33, 2, -36, 36, 33, -33, -73, -23, 25, 85, -88, -22, 73, -42, -29, 67, 24, 52, 28, -64, 9, -35, 22, -17, -26, 32, 65, -18, -14, -65, 25, 45, 35, -43, 10, -64, -33, 36, 7, -47, 65, 43, -77, 29, -71, 2, 52, 15, -4, 27, 3, 88, -25, 11, 65, 53, 0, 6, 53, -64, 80, 11, 77, 26, 35, 57, -63, 78, 38, 44, -10, 22, -11, -43, 65, 28, 64, -1, 19, -42, 55, -52, -5, 26, 26, -64, 5, -35, 44, -6, -84, 67, -25, -83, 36, 23, -50, -63, -61, -7, 5, -56, -5, 32, 3, -73, 4, 7, 40, 29, 47, 34, -54, 9, -32, -87, -26, 66, 48, 84, -79, 2, 45, 41, 62, 31, 22, 1, 0, 74, -9, 85, -65, 39, -44, -57, -47, 33, 66, -6, -58, -22, -44, -52, -29, -11, 60, -14, -16, 82, 82, 11, -15, 52, 15, 73, 9, 62, 42, -66, 71, -98, -30, -84, -67, 63, -56, -28, -45, 33, 17, 96, 33, 72, 24, -39, -66, -59, 34, -57, 5, 82, -3, 50, -41, 70, 49, -74, -72, -39, 55, -31, 1, 32, -56, 48, -74, 99, 60, -31, 18, 14, -3, 40, 14, 73, -47, 7, 4, -77, 72, 37, 67, -72, 39, 18, -16, -59, 18, 64, -66, -31, 75, 10, -5, -84, -42, -7, -5, 76, -72, -76, -68, 17, -35, -35, 8, 43, 83, -9, -25, 40, -41, 13, -54, 12, 47, 53, -19, 8, -10, -64, 15, 26, 61, -46, 59, 43, -28, 71, -5, 34, -66, -60, -20, -72, 76, 70, 24, -12, 52, 82, -78, 60, 20, 65, 27, 5, -45, 11, 38, -24, 36, 29, -26, 33, 19, -38, -26, -49, -48, 15, 6, -42, -36, -79, 41, 88, 79, -71, -17, 1, 49, -54, -2, -85, 79, -24, 14, 13, -17, 58, 60, -1, 29, -33, 70, -5, -74, -21, -59, 12, -56, 39, 39, 77, 59, -52, -51, -30, -27, 73, 48, 44, -13, 31, 55, -61, 0, 23, -40, 51, -64, -8, -22, -15, -7, 76, 46, 24, 20, -67, 22, 68, 70, 70, 9, 12, 66, 14, 49, 31, 89, 70, -8, 71, 66, -7, 43, 72, 24, 38, -38, 53, -22, 78, 7, 81, -14, -47, 38, 57, 33, -19, -80, -48, -66, 25, 76, 25, -34, 25, 23, -22, -50, -67, 5, -27, -72, 3, 65, 50, -12, -32, 29, 2, -64, -60, -23, -38, 87, -35, -74, 71, -66, 71, -8, -10, 21, -78, 6, 69, 5, -58, 75, 64, -28, -15, 1, 35, -53, 43, -83, -23, -63, -48, -67, -19, 63, -20, -26, 76, 80, 78, -49, -27, -83, 17, 4, 65, 2, -75, -70, 10, 12, 8, -53, -3, -29, -7, -75, 60, -8, -20, 58, 55, -11, -31, -19, 41, 21, 52, 22, -84, -62, -14, -24, 15, -79, -56, -48, 80, -23, -70, -17, -27, 4, -21, -9, -32, -33, -76, 13, -70, 77, 24, 29, -52, 77, 45, 60, -42, 33, -30, -41, 66, -2, -69, 41, -60, -55, 78, -9, -57, 12, -71, -28, -5, -43, -13, 11, -5, -18, -68, -31, 59, -43, -5, -14, 68, 70, -57, -21, -54, 49, -54, -65, -70, -23, 67, -66, -52, 54, -47, 75, -69, 72, 14, 66, 57, 36, -28, -10, 43, 11, -42, -90, 55, -23, -57, -50, -15, 74, 63, 70, -75, -7, 16, -72, -88, -48, -14, 62, 32, -4, 47, -94, -103, -64, 28, -14, 45, 2, 49, -17, -68, -33, 44, 81, 49, -96, 68, -6, -61, 5, -77, -57, 51, -8, 60, -6, 75, 73, -26, 68, -25, 78, 22, -66, 71, -43, 36, 75, 92, -59, -5, -14, -3, 50, 64, 53, -80, -68, 44, -75, -45, -59, -86, 39, 2, -47, -10, 77, -44, -80, 71, 22, 30, -55, 42, 28, 10, 31, 8, 16, 31, 59, -52, 69, 3, -28, 82, -19, 104, -65, 34, 25, -21, 62, 52, -13, -52, 72, 41, 13, 1, 3, 5, -53, -33, -31, 39, 40, -72, 95, -62, 3, 46, 33, -8, -64, 67, -10, 17, 30, 55, 4, 33, 47, 31, 44, 46, -73, -33, -30, 63, 15, -40, 6, -25, 15, 82, -4, -21, 11, -45, -47, 28, -64, 26, 44, -61, -2, 79, -56, -1, -8, 39, -54, 29, 63, 13, -7, -71, -43, -84, 20, -45, -80, -8, -46, -12, -53, 30, 76, 66, -44, 63, -87, -11, 35, 38, 30, -32, 6, -46, 45, -44, 4, -57, -18, -4, 30, -61, -3, 19, -15, -21, 1, -26, -46, -80, 54, 23, -46, 36, -99, 6, -15, 43, -63, 27, 72, -75, -27, -30, -72, -17, -42, -10, 0, -42, -3, 68, 44, -44, 45, 19, -74, -15, -70, 21, 44, -78, -15, -16, -42, -91, -52, 5, -74, -19, -41, -10, 16, -75, -7, 74, -64, -37, 25, -43, -51, -79, 16, 77, -23, -42, 76, 29, -68, 73, 54, 52, -38, -14, 66, 1, -16, -55, -38, 80, -46, 37, 63, -41, 8, 72, -63, 17, 38, 10, 82, 78, 38, -47, 21, -71, -41, 8, -16, 40, -4, 49, 19, 34, 8, -25, -56, 73, 41, -67, -1, 0, -26, -69, -10, -74, -36, 46, -6, -10, 18, -12, 30, 58, 16, -26, 34, 64, 23, 22, -40, 10, 34, -36, 1, 58, -19, -53, 9, -39, -79, -19, 47, 3, 84, -24, -4, 1, 51, 70, -68, -76, -41, -78, 37, 61, 36, -44, -45, -56, 60, -18, 45, -58, 49, -46, 24, 14, 28, 17, -42, -8, 25, 43, 13, 60, 38, -15, 83, 61, 17, 75, 8, 45, 12, 10, -39, 54, 71, -81, 66, -58, -39, -81, -61, 20, 55, -58, 69, 18, -2, 53, 91, -55, 73, -9, -46, -18, 54, 1, 69, 1, 10, -30, 43, 43, -80, -68, -45, -16, -78, -66, -63, -94, -21, -47, -62, -50, 87, -52, 15, 3, -14, -7, 69, -63, 12, -46, 32, -59, -58, 16, 22, 50, -68, 55, -50, 32, 0, 48, -57, 66, 67, -58, -15, 43, 30, -57, 52, -5, -33, 13, 3, 16, 15, 8, -52, -56, -44, 14, -13, 24, 24, -3, -8, -33, -53, -63, -65, 6, 82, 20, -70, -17, 26, 26, -54, 21, 16, -1, 78, 71, -2, 69, -14, 70, 82, 24, 64, 25, 85, 73, -8, -14, 20, -60, -15, -12, -65, -24, 56, -28, -82, 47, 32, -23, -53, 3, 51, 19, 15, -11, -42, -18, 44, -14, 26, -24, -27, 44, -51, 1, -55, -69, 83, 66, -15, -59, -1, 67, -68, -32, -38, -59, 59, 66, 50, -101, -74, 68, 52, 11, -15, -76, 5, -33, 11, 64, 17, 52, 66, 50, 65, 42, -51, 53, -83, 41, 3, -65, 41, 0, -54, -48, -79, -67, 49, 77, -40, 14, -15, -66, 79, 1, -41, 78, -62, -4, 2, 34, -25, -11, -34, 20, -37, 35, 39, -10, 27, -2, 1, -5, -10, 71, -52, -23, 20, 39, -23, -23, -51, -34, 39, 72, -83, -24, 68, -33, -19, -14, -20, -46, -72, -10, -21, 19, 5, -62, -31, -77, 39, -36, -51, -49, -30, 83, -23, 59, 12, 61, -49, 83, 53, 26, 53, 34, 88, -6, -71, 74, 40, 96, -34, -34, -75, 6, -33, 26, 54, 54, 80, 47, -32, -17, -50, 24, -13, -13, -30, 53, -49, 2, -70, 24, 47, 24, 58, 20, -19, 100, -3, -42, 2, 68, 72, 31, -26, -14, 21, 52, -32, 63, -3, 54, -39, -20, 67, -24, 18, 42, -51, -42, 17, 49, 25, -22, 65, -12, 19, -4, 68, 69, -3, 13, -36, -10, 19, 48, -38, -29, -62, -19, 53, -64, 77, -33, 38, 9, -50, -12, -29, -16, -45, -28, -73, 9, 61, 61, 15, 33, -35, -33, 28, -68, -58, 7, 58, 10, -72, -45, 78, 4, -31, 44, -2, -3, -54, 79, 26, 16, -27, -75, -59, 50, 17, 30, -55, -2, 62, -16, -50, -61, 48, 71, -60, 64, -63, -20, -18, -10, 61, -28, -64, -52, -65, -70, 58, 45, -65, -4, -17, -53, -30, 50, -27, 75, -23, -24, -64, -43, 99, 77, 40, -11, 15, -81, -36, -51, 18, 38, -59, -17, 54, 10, 7, -43, 79, -88, 10, 51, -36, -77, 65, 1, -46, 39, 85, -12, -46, 15, 66, -30, -15, -71, 19, 40, 72, 81, 79, 51, -60, 11, 27, 7, -10, -60, -51, -90, 52, 54, -61, -42, 38, 43, -13, 64, 61, -53, -33, 23, 32, -57, -61, 64, -25, 21, -90, 22, 53, 56, 76, -67, 60, -37, -32, -59, 53, 62, 40, -61, -66, 65, -82, -9, -55, -8, 27, 46, 25, -72, -24, -17, 11, -29, -59, -29, 49, -3, -44, 2, 18, -65, 69, 26, 39, -61, 32, 21, -37, 57, -36, 69, -35, -75, -27, -80, -52, 28, -14, -16, -36, 58, -31, 22, -66, 77, 2, 72, -61, -7, -45, -48, -81, 19, 52, 28, -70, 24, -34, 32, 50, -78, 12, 83, -15, 6, 28, 25, 31, -74, -60, 35, -8, 79, -10, 49, -21, 25, -53, -4, -16, 40, 72, -8, -6, -30, -57, -16, -29, 19, -14, -22, -72, -71, -60, -29, -58, -52, 36, 18, 71, -63, -52, -63, -25, 12, 73, 56, 2, 11, -30, 4, -63, 75, -19, 77, 15, -63, -67, 43, 66, -75, 24, 40, -3, -40, -76, 24, 56, -48, 57, -90, 66, 37, -48, 33, 15, 63, -41, 49, 51, 63, 54, 56, -2, 83, -39, -78, -43, -68, 59, 23, 49, -85, 74, 32, 45, -2, 3, -90, 49, 12, -59, 67, 14, 26, -14, -13, -72, 127, -5, 43, 15, 4, -42, 48, -69, -93, 65, -79, -3, -8, -29, -15, 52, -97, -38, -77, 7, -28, 59, 78, -82, 43, -63, -58, -27, 0, -18, 60, 31, -37, 66, -18, 58, 76, 77, 28, 21, -8, -44, -24, -9, 25, 0, -33, 1, 28, -24, -40, 89, -48, -105, 20, -61, -44, 57, 16, -7, -85, -53, -41, 42, -33, 41, -16, 68, 38, -3, 61, 80, -39, -40, 1, 60, -29, -15, 59, 51, 24, -32, 71, 40, -1, 51, 17, -25, -45, -57, 52, 57, 3, 86, -64, 67, 19, 81, 52, -57, -12, -81, 19, -78, 78, -59, 9, 60, -54, -19, 40, 60, 5, 24, 69, 24, -42, -73, 45, 45, -9, 57, -18, 42, 59, 8, 28, 52, 47, 29, -13, 27, 27, -62, 13, 1, -30, -57, -15, -19, 0, 18, -40, 58, 9, 64, 40, 69, -15, 4, 29, -35, 49, 13, 7, -18, -7, -27, -44, 46, -32, -35, 75, -68, 59, -30, -65, 38, -56, 78, 40, 12, -4, -48, 67, -3, -25, 10, 27, 69, 85, -79, -91, -24, 29, 12, 0, 36, -64, -56, 18, -72, -12, -76, -26, 16, -52, 79, -29, 28, -57, 55, 11, 80, -21, 26, 38, -15, 43, -21, -8, -70, -13, 62, 10, -26, -5, -77, -70, -23, 63, -41, 12, -61, -11, 34, 1, 43, 29, -12, -27, -5, 45, 77, -15, 50, 47, -67, 14, -44, 7, -40, 53, 17, -39, 45, -25, -30, 6, -52, -4, -14, -2, 80, -13, -53, -21, -41, -29, -83, 0, -48, 73, -72, -33, 66, 50, 24, 66, -44, -73, -81, -55, 34, 45, 33, -68, 26, 68, 34, -44, -24, -35, 39, 42, 11, -35, -54, 6, -22, 12, 58, -44, 66, -59, 70, -67, -5, 23, -84, 49, 28, -19, 16, -11, 6, -37, 13, 9, -15, -91, -76, 63, -49, 84, -62, -66, 69, -77, -11, -68, -80, 55, 27, -59, -53, -77, 63, 55, -31, 33, -68, -64, 52, -6, 68, 5, 24, 71, 59, 31, 51, -1, -72, -35, -29, -56, -79, 37, -20, 72, -2, 56, 72, -46, 62, 31, -3, 75, 78, 51, 61, -31, -26, 56, -43, -18, 36, -36, 46, 68, 80, -11, 26, -72, -12, 14, 47, 2, 67, 35, -77, -72, 75, 74, -31, 29, -42, 5, 10, 31, -36, 17, -49, -62, -10, 33, -68, -69, -48, 44, 39, 39, 64, 69, -65, -42, -46, -62, -1, 29, -58, -39, -57, -63, 49, -83, 52, -6, -17, 39, -72, -21, -48, 3, -73, -16, -16, -16, 25, 79, 64, 20, -65, -59, -50, 35, 72, -42, 7, -28, 0, 3, 4, -40, 8, -24, 75, -11, -77, 27, -58, 5, 35, -25, -5, 39, 92, -77, 27, -69, -80, 13, 65, -67, 21, 1, -42, 44, 43, 77, -14, -55, 19, 50, -33, -17, -51, 22, 33, -66, 84, -80, 0, -57, 74, 26, 77, 66, 50, -19, -23, -69, 85, -20, 24, 26, 13, 30, -28, -72, 65, 35, 24, -16, -75, 43, -9, -36, -82, -76, -86, 16, 28, 2, -56, -8, 23, 21, 67, -36, -44, -49, 30, 62, 11, 4, 54, 66, -49, 55, 94, -6, 34, 57, 55, -17, -76, 17, 79, 1, -15, -29, -92, 50, 39, -2, -63, -48, -59, -92, 77, -58, 57, -14, 78, 34, -9, 44, -11, 19, 65, -24, 52, -41, -70, 78, -69, 33, 84, -24, 53, 3, -75, -72, -44, 47, -47, -34, 7, 56, -45, 44, 31, -30, 28, -22, 16, 12, -39, -3, -26, 88, -57, 1, 72, 11, 36, -43, 11, 38, -42, 45, 39, -63, -35, 45, -51, 26, -39, 25, -62, 23, 65, 3, -83, -68, 4, -15, -49, -35, 35, -12, 60, -26, 79, -50, -71, -21, -57, 51, -29, 59, 10, 38, 77, -7, 56, 64, -50, 55, 49, 33, 29, -75, -34, 75, -54, -35, 34, 20, 64, 39, -108, 32, 12, 27, -47, -34, -49, 56, 35, 59, 84, 10, -6, -63, -55, 35, 68, -49, 23, -39, -27, -80, 68, 20, -31, 42, 48, -94, 9, -16, -31, -28, -7, 57, -17, -72, 71, -61, 74, 19, 18, 7, 69, -9, 31, 32, 62, 37, 20, 14, -34, -61, -52, -31, 69, -31, 59, 0, 62, -5, -26, -41, -8, 83, -17, 54, 16, 30, 62, 11, -42, 63, -4, -26, -58, 23, 32, -2, 24, 28, -28, -77, 119, -67, 55, -81, -11, 16, -45, 26, 72, 10, 77, 1, 6, 6, -16, 62, 5, -31, 40, 23, 9, -89, 66, -77, -62, -43, 41, 29, -77, 26, 77, -33, -16, -40, 87, -47, -11, 52, -95, 52, -5, 45, -1, -27, -10, 0, -31, 48, -56, 31, -60, 74, 55, -93, -86, -40, 17, -44, -91, -71, 49, -3, -1, -2, -92, 65, -87, -30, 32, 45, -14, 2, 40, -61, 33, -73, -68, 36, -28, -59, -89, -92, 12, 30, -48, -49, -41, 106, 19, 8, -2, 10, 2, 123, -66, 3, -19, 12, 57, 82, 31, -39, 64, -26, 28, 2, 20, -60, 27, 20, 0, -50, -21, 64, -64, 81, 18, -46, 2, -51, 5, 46, -73, 63, 35, 36, 28, -39, -2, -43, 66, 30, -25, -37, 30, -78, 1, 50, 70, 72, 60, -4, 58, 79, 22, -11, 78, -31, 1, 59, 39, 54, -87, 47, -22, 14, 79, 20, 54, -50, -42, 46, -76, -38, -19, -47, -45, -78, 84, 25, -10, -26, -59, 20, 40, 17, -61, -66, 31, 36, 66, 44, -36, -17, 72, -66, -34, 34, 49, 22, 76, -93, 40, -79, -78, -5, 29, -64, -16, 34, 19, -25, -22, 5, 11, 23, 31, 65, 50, 89, 8, -61, -38, 53, 28, 19, 63, -46, 25, -81, 32, 49, -83, -26, 44, 50, 65, 51, 23, 77, -32, -50, -56, 22, -71, 59, -73, -64, -59, -55, -16, 29, -73, 49, 77, -45, -2, 55, -31, 31, 20, 19, 13, 51, -41, -41, 44, 72, -11, -27, -53, -9, -14, -70, -35, -44, 41, 77, 50, -64, -78, -6, -71, -49, -45, -39, -54, -85, 44, -10, 39, 66, 59, -48, 52, 46, -77, -72, -59, -2, -4, -13, -68, 41, 55, 61, -50, 37, 1, -29, -73, 77, 3, 44, 2, -51, 58, 1, 51, 36, 18, -6, 54, 26, 41, -75, -15, 69, 18, -78, -69, -36, 61, -69, -46, -47, -44, 9, -76, 58, -6, -4, 6, 84, 39, -80, 56, 12, -49, 41, 74, -10, 59, 45, -62, 74, -54, -30, -51, 43, -87, -29, -28, 49, -24, 30, 11, 79, 6, 32, -19, -43, 54, 8, 81, -25, 3, -11, -38, -14, -16, -73, 32, 38, 23, 71, -64, -32, -48, -19, -17, -44, 15, 7, -23, -18, -17, 10, 15, 0, 54, 2, 17, 22, 67, -8, -75, 8, -76, -13, 37, 55, 11, 25, -15, -3, -4, -58, -80, 17, -24, 5, -76, 63, -19, -26, 74, 46, 76, -60, -31, 55, -65, 67, 71, 73, 27, 22, 66, 15, -27, -51, -54, -11, -53, 62, -13, -32, -18, 68, -66, -4, -11, -14, -29, 46, -34, -75, -60, -64, -41, 29, 60, -84, 16, 35, -13, -16, 57, -27, 30, 63, -33, 56, -20, -23, -6, 39, 33, -15, -60, 77, 44, -22, 25, -18, 43, 38, -51, 35, -4, -59, 34, 56, 50, -55, 8, 16, 62, -83, 32, -18, -37, -85, 38, -78, 30, 77, 60, 63, 16, -68, 49, -63, -39, -73, -1, -65, -6, 74, 8, 22, 32, -36, -39, 29, 62, -76, -32, -25, -54, -21, 61, -99, 62, 22, 92, 53, -61, 47, 58, 71, 79, -33, -47, 8, 7, 60, -12, 60, 60, -41, 64, -43, 53, 36, -41, -28, -46, -56, -87, 19, -89, -61, 44, -5, -58, -74, 53, 67, -37, 21, 35, -59, -28, -18, -72, -18, 24, 12, 68, 27, 14, 41, 47, 23, 56, -68, -43, 9, 78, -31, 2, 9, -23, -58, -37, -96, 30, -31, 48, -51, 41, -112, 51, 24, 11, 3, -84, 66, 6, -53, 11, -49, 60, 28, -51, -46, -9, 33, 65, -62, -59, 58, 59, -43, 40, 67, 60, -62, -60, -71, -23, -30, -67, -82, -55, 76, -68, 48, -19, -20, 30, 21, 2, 56, -4, 55, 45, -27, 21, -40, 46, 41, 40, -2, 17, -42, 47, 14, 62, -11, 38, 20, -27, 55, 66, 25, 33, -56, 36, -39, 30, -18, -34, -29, 54, 61, 76, -10, -83, -20, -32, -4, 76, 48, -39, -63, 3, -63, 70, 28, -64, -48, -26, -70, 70, -47, 71, 26, 61, -69, -1, 79, 67, -85, 57, 18, 10, 0, 25, -23, 4, 13, 85, 54, -29, 7, -11, 56, -57, -66, -1, 26, -66, 30, 45, 0, -44, 27, 34, -8, -85, -87, -56, 1, -19, -51, -51, 32, -10, -43, 21, 84, 52, -76, 15, -71, 18, 44, -46, -64, 62, 58, 46, 9, 45, 22, 78, 23, 75, 45, -31, 56, 32, 82, 81, -54, -82, -61, 61, -50, -62, 22, 41, -40, -41, -49, -53, 82, -60, 15, 53, -83, 52, -6, -30, 5, 11, 70, 15, -81, -28, 4, -24, -15, -14, -77, -10, 18, 74, 46, 43, 66, -6, -46, 27, 77, 57, 54, 1, -24, 30, 19, 24, -3, -76, 12, -41, -72, -28, 9, 8, -26, -45, -65, 44, 6, 26, -27, -79, 44, -12, 26, -63, 5, 48, 58, 15, 26, 40, -63, 15, -58, -70, 52, 34, -44, -53, -60, -48, -36, -75, -26, 65, -32, 22, -58, -57, -49, -60, -73, 34, 28, -10, 42, 0, -71, 7, 26, 61, 53, -60, 85, -18, 26, -12, 32, 78, -19, 16, 45, 41, -42, 57, -77, -44, -59, -58, -62, 77, 7, -29, -8, -69, 35, -78, -37, 42, -33, -24, 59, -10, -72, 66, -57, 18, -66, -64, -7, -55, 37, 62, 17, 25, -2, -42, -64, -15, 36, -17, 20, 17, 69, 65, -39, -40, -3, -5, -84, 16, 80, -76, 24, 40, -31, 14, 25, -11, -55, 20, -82, -62, -44, 18, -22, -70, 58, 31, -60, 65, 60, 34, -63, -65, 58, 22, -60, 59, 5, 13, 56, -18, -27, 34, -76, 26, -83, 27, -17, -9, -82, -4, 66, -63, 55, 39, 22, 0, 71, 73, -42, 42, 35, -10, -33, -27, -26, 55, 81, -80, -25, -30, 74, -13, 76, -53, -3, 5, -30, 19, 66, -36, 49, 22, -13, -11, 69, -71, -83, 13, 50, 70, 55, -21, 62, -46, -17, -19, -30, -78, -82, -63, 77, -41, 14, 38, -86, -33, 9, 61, 52, -43, 47, -62, 73, -72, 65, 79, -25, -62, 44, -55, 59, 84, 78, -10, 68, -11, -40, -13, -42, -76, -62, -31, 27, 1, -47, 15, -24, -44, -66, -76, 27, 26, 11, 26, -55, -84, 30, 78, 10, 12, 14, 24, -7, 69, 36, -9, 61, -7, 4, 76, -60, 30, 14, 87, 19, -55, -46, -29, 25, 46, 1, 81, 66, -69, 10, -88, 4, 4, 77, -73, -17, 41, -65, -53, 39, -15, 15, -26, -15, -29, -63, 43, 1, -26, -13, 38, 63, 48, 59, 43, -63, -14, 7, 70, -33, -30, 44, -13, 73, -42, -75, 42, -75, -70, 38, -41, -51, -26, -45, -16, -32, -43, -43, -54, 83, -89, -37, 12, -19, 69, -9, -29, 99, -54, 56, -34, 58, -68, -10, 34, 59, 1, 21, 3, 0, 53, 43, 17, 17, -68, 61, 5, -49, -63, -84, 38, 20, -70, -41, 74, -77, -64, 16, 61, -45, 60, -19, 55, -44, 31, -81, -40, -9, -56, -54, 49, -14, -74, -46, -55, 25, 21, -52, -32, -6, 58, 5, -50, 42, -53, 53, 28, 60, 74, -87, -79, 42, 52, -38, 81, 56, -44, 72, 65, 74, 21, 71, 19, -47, -67, -50, -50, -44, -64, -70, -27, -38, -45, 2, -80, 76, 27, 30, 55, 3, -11, 41, 21, 7, 46, 0, -56, -67, 9, 23, 5, 12, 63, 75, -2, -36, -50, 28, 78, -61, -21, -7, 8, -44, -4, -72, 21, 1, -4, -40, 34, -75, 16, -11, 25, -21, 30, 49, 45, -63, -61, -11, 47, 12, -44, -16, 8, 38, 73, 73, 54, -10, -52, 58, -6, -9, 30, -84, -44, -51, -60, -11, -16, -55, 14, 49, 43, 10, -51, 7, -67, 32, -22, -75, -29, -57, -45, 30, 44, 2, 32, -25, -40, 67, 49, 26, 62, -40, 15, -14, 33, -70, 12, -60, -6, -44, -4, 33, 10, -40, 10, -22, -31, -70, 71, -4, -8, 33, -60, -15, -21, -69, 82, 47, 28, -33, -72, -36, -40, -11, -2, 65, -72, -70, -71, -4, 34, -23, -22, 59, 13, -3, 48, 19, 13, 45, 7, -54, 59, 40, -55, 49, -51, -4, 11, -68, 16, -62, 2, 72, 36, -67, 42, 46, -57, -13, 96, -80, -52, -38, 39, -2, -46, -62, 82, -8, -33, -32, 82, -15, -27, 30, 99, -63, 43, 53, -24, 35, -10, -45, -17, 49, 8, 2, -69, -55, 19, -10, 4, -80, -55, -26, -76, -59, 41, -79, 58, -45, -42, -74, 46, 71, -4, 62, -69, 23, -54, 31, -43, -19, -27, 41, 64, -4, -59, -38, -48, -37, -25, -42, 27, -55, 41, -7, -81, 90, -46, 73, -59, -45, 64, 44, -64, 0, 69, 23, -53, 27, 52, -45, -76, 81, -36, 20, -71, 2, 68, -79, 3, -32, -77, -46, 59, -29, -19, 82, 9, 46, -63, -81, 19, 45, 5, -42, -82, -62, -80, -82, 10, -4, 6, 2, 7, 43, -10, -39, 31, -10, -36, 37, 41, -70, 9, 0, 16, -35, -28, 32, -19, -2, -34, -43, 26, 45, -10, -78, 51, 0, 43, -27, 37, -78, -23, 67, -33, 56, -25, -79, -58, 57, -14, -30, -21, -12, 17, -1, -68, 88, 61, 66, -80, 14, -62, -22, 45, -21, 14, -29, -32, -67, 8, -9, -46, 27, -29, -89, 34, 21, -53, -22, -30, 42, 15, -70, -36, -27, 31, 30, 13, -25, 37, 35, -44, -77, 54, -25, -65, 28, -10, 68, 71, 47, -24, 66, -20, -16, -7, 57, 78, 72, -20, -53, 3, 22, 35, -1, 63, 25, -9, 81, -50, 12, -61, 48, -43, -44, 67, -69, -4, -64, -35, -3, -81, -42, -46, 67, -9, -11, 19, 42, -43, -32, 39, -24, 78, -51, 39, -33, 79, 35, -12, 5, 65, -70, 65, 58, -77, 76, -45, -2, -4, -69, -82, 67, -78, 45, -57, 54, -51, -27, -69, -50, 45, 56, 48, 47, -62, -35, 23, -34, -10, 83, -4, 39, 4, -44, 69, 52, 36, -80, -6, -80, -70, 18, -27, 64, -75, 57, 4, 39, -46, -29, -18, -78, -40, 1, -76, -69, 4, -74, -29, -67, -46, 6, -27, -74, -39, -61, 72, -81, 43, -58, 12, -63, 9, 71, 75, -12, -11, 58, -71, 16, 63, -8, -24, -79, -35, 76, -1, -18, 28, -9, -54, -76, -80, 82, -26, -26, -71, -48, -32, -49, -55, -44, 67, 17, 7, -10, -56, -44, -7, -19, 8, -63, -57, -82, 48, -30, 69, 64, -30, 60, -63, 15, -54, 11, 42, -32, -48, -55, 88, 68, -14, -78, 74, -33, -67, -58, -90, -67, 9, 44, 61, 41, 64, 0, -33, 78, -31, -56, 44, 46, -67, -78, 34, -60, -11, 21, -48, -39, -4, 28, -76, 37, -70, -77, 78, 65, 80, 40, -21, -15, 63, 47, -74, 76, -40, -11, 3, 24, -8, -80, -76, -23, 21, -59, 4, 60, -31, 75, 5, 55, 77, -84, 66, -80, -15, 3, -42, -51, -64, -43, -52, -30, -28, 21, -40, 41, -57, 4, -53, -1, 44, -71, 27, 28, -53, -21, 37, 59, 97, -19, -21, 12, -59, -83, 49, 101, 83, -47, -7, 17, -41, 51, -41, -59, 52, -26, -20, -7, -32, 57, -15, -56, -55, 67, 17, 30, -17, -54, 53, -19, 56, 78, -74, -50, -11, 71, -73, -42, 54, 69, -34, -35, -66, -68, 67, -15, -11, -50, 42, 38, -8, 30, -39, -2, 50, 17, 57, 21, -47, -20, 20, 25, -71, -36, -45, -8, -2, -38, 39, -54, -57, -41, -78, -31, 55, 30, 37, 8, -41, 49, 30, 73, -45, 68, 55, 5, 62, 36, -36, -59, -18, 83, 31, 41, -33, -15, -67, -62, 19, -35, 51, 80, 48, 53, 47, 3, 81, 22, 33, -27, 41, 33, 6, 59, -49, 6, 3, -6, -44, -43, -37, -14, -28, 51, -55, 66, 61, 41, 37, 40, 54, 22, -8, -48, 13, -24, -52, -52, -62, 46, 69, -58, 18, -3, -46, 29, -49, -25, 62, 15, 51, -37, -40, 54, 63, -52, 31, 23, 43, -53, -62, -48, -42, 23, 35, -27, -23, -44, -50, 11, -4, -29, 11, 81, -16, -56, -22, -55, -44, -8, 13, -60, -57, -13, 9, 63, -30, 3, 33, 15, 3, 48, -20, -11, -67, -41, -20, -86, -74, 58, -58, -24, 63, -2, 65, 61, -52, 57, -51, 14, -56, 4, 22, 15, -17, -53, -13, -91, -2, -37, 59, -39, -31, -49, -53, 46, -7, -37, 13, -42, -59, -59, 48, 33, 9, 42, -48, -28, -21, 33, -56, 47, 59, 14, 7, 12, -20, 55, -37, 9, -52, -3, -70, -29, 103, 31, 14, -66, 75, -3, 36, -67, -69, -86, 43, 34, 52, 56, 62, 25, 74, -30, 21, 11, -48, 31, -24, 32, 55, -50, 79, 55, -17, 68, -77, 56, 12, 18, 25, -14, 10, -7, -21, -77, 24, 71, -20, 1, 49, -19, 38, 64, -36, -36, 75, 40, 24, 71, -23, -28, -26, -11, -75, -69, 85, -27, 4, 56, -32, 42, -85, -13, -27, -2, -15, -59, 66, 48, -27, -18, 48, -71, 32, -69, 76, -2, 73, -27, -20, 55, 30, 59, 81, -8, -42, 79, 2, -90, -66, 48, -63, 8, 34, -24, 33, 26, -10, 37, -83, 22, 72, -99, 58, 26, -44, 46, -70, -64, 70, 81, 63, 73, 18, -73, 28, 25, 78, -28, -20, 94, -52, 11, -21, 72, 52, -37, 40, 29, 12, 22, -1, 49, -44, 52, -60, -29, -50, 43, 53, -36, 29, -66, -39, -56, 8, -44, 6, -30, 57, 61, -41, 4, -77, -35, -2, 51, -44, -79, -81, -6, -21, -20, -71, -15, -10, -37, -74, 76, 4, 9, 8, -12, 63, -21, 82, 15, -25, -17, 17, -3, 4, -20, -8, 7, -57, -33, 60, 39, 53, -75, 61, -81, 37, 52, 69, -64, 73, -45, 31, 34, -20, 66, 19, 16, 48, -50, 53, -55, -48, -62, -51, -76, -69, 57, -72, -58, -15, -15, 51, -43, 54, 52, -36, 38, 12, -70, -69, 40, -16, -37, 22, 6, -59, 1, 1, 81, 23, -69, -76, 66, 32, -44, -23, -52, 14, 47, 84, 26, 79, 34, -92, 6, 69, -56, -40, 47, 21, -53, 26, 42, -35, 4, -58, -19, 16, 50, 24, 39, 22, -34, 4, -81, 30, -55, -57, -83, -53, -31, -56, -70, -46, -69, 60, -70, 8, 38, -80, 19, -9, -38, -64, -77, -82, -4, -18, -24, -30, 55, 68, -54, 60, 69, -68, -31, 17, 75, 7, -85, -38, 16, -73, -40, 69, 63, -35, 81, 55, -71, 48, 69, 61, 41, -21, 24, -82, 46, -38, 71, 15, -18, -35, 45, -27, -61, -75, 54, 42, -17, 6, -2, 27, -40, 15, -33, 69, 26, -13, -3, 37, -55, 19, 20, 44, 39, 47, 44, -67, -8, -47, -68, -45, 21, -74, -61, 35, -42, -34, -16, -43, 73, 58, -13, -57, 15, -33, -62, 44, -66, -65, 74, 71, 63, -49, -29, -64, 18, 79, 62, -53, -60, -27, 75, 28, -49, 49, 72, -17, -50, 65, -59, 13, -4, 3, -54, -27, -53, -52, -61, -73, 75, 23, -75, -61, 64, -31, 43, -90, 29, -52, 11, -3, 61, -80, -26, 50, 60, 4, 71, -38, 61, -33, -32, 29, -42, -8, -17, -60, 76, 11, -61, 62, -36, 38, -44, 56, 47, -2, 75, 11, -38, 45, 29, -27, -20, -8, 26, -4, -24, -33, 71, 31, 2, -63, -51, 64, 63, 72, -75, 55, -60, 53, -56, -68, 15, 37, -22, -35, 50, 54, -40, 26, -37, 20, 67, 74, 35, 53, 40, -44, 38, -68, 55, -71, 5, -45, -81, -67, -19, -41, -35, -22, -47, -70, 70, 48, -74, -5, -77, 61, -48, -48, -60, 20, 30, -70, 29, 33, 11, 8, -59, 3, -15, -47, 36, 56, 65, -58, 75, 71, 43, -7, -44, -67, -1, 50, 60, 1, 33, 26, 15, 22, -64, 71, 79, -79, -6, 68, -9, -57, -77, -72, 8, -46, 50, 10, -75, -79, -6, 46, -21, -52, -61, -82, -39, -82, -49, 65, -46, -1, -48, 6, 73, -10, -50, -79, 77, -62, -32, -81, -3, 29, -43, -36, -63, 66, 56, -4, 1, -28, 32, -71, -45, -53, -16, 77, 17, -82, -1, 22, -26, 70, 62, 79, 73, -54, 53, -48, 30, -10, 37, -74, -10, -37, -50, -64, -66, -70, 59, -13, 10, 31, -39, 10, 35, -31, 18, 56, -4, -78, 0, 22, -59, -57, -21, -6, 57, 66, 49, 6, 9, 24, -66, -71, -1, -44, 26, 1, -21, 27, 67, 23, -21, 36, 23, -18, -72, 59, 68, 28, 32, 5, 32, 27, 50, -83, 9, -1, -58, -67, -56, 78, 7, -15, -64, 80, -77, 69, 56, -76, 10, -39, -51, 77, 76, -19, -13, -64, 34, 9, 10, 45, 3, 68, -54, -46, 29, -40, 7, 49, -78, 2, 52, -27, 40, 4, -70, -11, -41, -40, 28, -55, 30, -24, -64, 75, 29, 24, 10, 3, -9, 67, 68, 51, -11, 47, 8, 77, -81, -69, -4, -38, -28, -72, -28, -19, 61, -7, -35, -69, -62, 3, -43, 10, 55, 53, 13, 37, -48, -64, -17, 27, -69, 52, 34, -50, 46, 53, -24, -48, -37, 73, 66, 5, 94, -18, 4, 61, 4, 66, -12, -24, 53, 38, 73, -51, 28, -73, -65, 84, 20, -42, -30, 21, 15, -72, -25, -18, 69, 10, -12, 16, 57, 12, -75, 27, 68, -81, -50, -75, -29, 70, 64, -19, 70, -10, -33, -54, -38, 41, -18, 77, 23, -30, -45, -62, 8, -54, 25, 41, -79, 83, 27, 0, -28, 12, -1, -53, -22, -22, -35, -58, 16, -52, 17, -63, 6, 48, -38, 33, -62, -81, -65, 22, 20, -43, -60, 1, 5, 54, 47, -74, 57, -63, -12, 55, -48, 50, -20, 66, 9, -48, 67, -48, 31, 20, 41, -84, 58, 19, 9, 68, -4, 56, -2, -75, 63, -57, 42, -39, 78, 13, -62, -21, -65, 77, 0, -71, -2, 66, 19, 1, -24, 5, 26, 37, -19, 15, 16, -21, 34, -18, -45, 1, -36, 49, 36, -66, -82, -24, 29, 49, 39, 86, 48, -75, 22, 82, -79, -50, 29, 71, 72, -3, -72, 83, -6, 9, 20, -71, -71, 62, -32, 86, -72, 81, 61, -10, 54, -31, -42, -80, 83, 63, -27, -36, 23, 75, -55, -55, -82, -62, 41, -59, -47, -8, 2, 73, 14, -82, 73, -59, -43, 67, -45, 28, 29, -67, 21, 47, 13, 66, 37, -50, 49, -19, 60, -38, -24, 4, -22, 39, 21, -4, 77, -5, -41, -15, 28, -61, -57, -7, 23, 45, -56, 10, -6, -42, -37, 72, 77, -4, -65, -38, -3, -61, -50, 49, -76, 50, 9, 74, -16, -48, 21, -54, -26, -17, 80, 84, 51, -61, -70, -48, -55, 47, 56, 5, -16, 48, 10, -26, 53, -78, 51, -80, 84, 10, 0, -82, -24, 23, 76, 6, -14, -6, -36, 45, 41, -44, -27, 83, 70, -63, -63, -8, -39, -59, -5, -17, -32, -42, 36, 46, 48, -30, 72, -31, 32, 54, -7, -50, 22, 73, 44, -57, -78, 32, -91, 21, -63, -2, -21, -6, -28, -23, 46, 10, -44, -46, -3, -12, -21, -73, -70, -1, 17, -40, 1, -38, -57, 70, -52, 5, -30, -19, -48, -71, -19, 8, -36, 71, -21, -16, 76, 48, -62, -24, -38, -57, 6, 9, -22, 21, -47, -44, 54, 74, 35, -76, 31, 75, 58, -81, 23, -45, -22, 13, -84, 3, 3, -62, -33, 53, 15, -2, -43, -63, -52, -53, -77, -18, 105, 91, -55, -14, 70, 37, 85, -79, -62, 43, 30, -30, -41, 56, 38, -14, 37, 6, -24, 79, -38, -69, 45, -34, -26, 16, -46, 46, -26, 5, 57, -54, -22, 63, -14, 40, -61, -10, -33, -3, 74, -5, -77, -66, -14, -35, -74, 68, -46, 16, 61, 6, -86, -32, -38, 5, 86, -21, 17, 25, 18, 61, -87, -8, 7, 5, 68, -55, -73, -44, -41, 28, 19, -9, -66, 65, -48, 80, 53, 21, 34, 92, -34, -55, -11, 36, -18, 57, -48, -68, -37, -9, 80, 60, 31, 52, 60, 39, -20, 31, 2, 3, -59, 45, 30, 3, -27, 65, -46, 34, -4, -71, 63, -98, -33, 68, 29, 37, -42, 52, 53, -61, 16, 21, 77, 30, -48, 4, -11, 10, 36, 60, 10, 44, 97, -35, 57, 49, -65, -6, -26, -58, -56, -65, -13, 17, -64, -14, 28, 75, 66, -21, 12, 13, -69, -58, 50, -73, -10, -54, -81, -35, 54, 41, 51, 3, 16, -79, -38, 16, 60, 54, 37, -57, 28, 48, -68, -4, -23, -88, 12, -18, 14, 45, 84, 18, 37, -73, -47, 15, -28, 16, -79, 79, -72, 47, 32, -24, -60, -40, 27, 38, 12, 58, 38, 47, 32, 39, 59, -52, -9, 39, -55, 37, -33, -45, -58, 45, 20, -28, 52, -51, 69, -35, -11, -36, -19, -33, -18, -27, -40, 63, 5, 44, -70, 8, -13, -51, -68, 42, -75, -45, -84, -73, -94, 11, 84, 4, 23, -7, 16, -8, 16, 6, 45, 36, -66, -43, -39, 30, -23, 84, -13, 80, -37, 3, 20, 23, -50, 45, -40, -16, 52, 2, 81, -33, 17, -71, 70, 20, -79, -27, 40, -30, -36, 57, -68, -27, -15, 1, -17, 17, -32, -62, 51, 42, 62, -40, -58, -64, -61, 17, 58, 38, -64, -35, -28, -50, -1, -30, 3, -68, 55, 22, 85, -86, -21, 71, -59, -14, -26, 26, -83, -21, 16, 57, 9, -14, 32, 35, -51, -11, -73, -70, 75, 51, 37, -29, 66, 23, 29, 21, 17, -50, -10, 27, 59, -42, -7, -75, 5, -69, 50, -46, 49, -6, 82, -76, -30, -70, -87, 39, 1, 29, 83, -39, 10, -81, -75, -10, -49, 57, 50, -22, 58, 59, -3, 64, -2, 17, 50, -49, -20, 59, 41, -16, -35, 80, -19, -34, -7, 39, 14, -59, 76, 29, 48, 46, -26, -32, -45, 70, -22, -45, 39, 84, 38, 26, -87, -42, -76, -50, 31, 43, 35, -11, -8, 48, -9, 63, -2, -80, 57, 45, -54, -20, 49, 57, -19, 56, -24, -81, 2, -17, -14, 44, 60, -76, 9, -17, 21, 24, 57, 57, 22, 61, -54, 12, 67, 64, 3, -53, -8, 82, 67, -37, 52, -17, -7, -34, -15, 45, -12, -21, 5, -16, -33, 22, -17, -35, -54, -33, -80, 80, -55, 36, 83, 46, 38, -9, -47, -64, 81, 59, -43, -62, 0, -18, -49, 76, -47, 14, -62, 7, 18, 78, 26, -30, 21, 82, -10, -26, 22, 22, 48, 25, 25, 10, -63, 68, 65, -80, -80, -75, 33, -20, 34, 83, -70, 73, -81, -21, 52, -52, 5, -80, 44, -18, 11, -74, 56, 53, -7, -82, -45, 21, -47, 32, 47, -60, -76, -80, -28, -28, 1, 29, -32, 35, -79, 28, -59, -42, -71, -77, 16, 16, -20, -31, -56, -2, 13, 77, -79, -13, 101, 39, 14, -29, 38, -36, 98, 10, 53, 53, -55, -6, 22, -58, -47, -76, -15, 68, 42, 12, -18, -60, -45, -53, -48, -71, 83, -29, -42, -31, 48, 52, 43, 67, 40, -46, -83, -40, 29, 50, -51, -61, -59, -41, -65, 8, 35, 59, -16, -33, -49, 30, -36, -46, -42, 68, -3, -50, 14, 29, -53, -44, 32, -20, 0, -31, -6, -2, 27, -20, -57, -66, 12, -21, 20, 30, -6, 87, 62, 69, 65, 26, 49, 33, 13, 61, 80, -26, -23, 33, -36, -6, -5, -15, 79, -12, 35, 83, 44, -81, 48, 26, 39, 70, -9, -53, -29, 3, 68, -57, -42, -1, -79, -75, 31, 48, 29, 28, -54, -31, -68, -12, 17, 39, 0, 4, 43, -81, -16, 13, -3, 57, 41, 12, -52, -12, 41, -63, 74, 50, -61, 67, 39, 4, -4, -50, -5, 18, -59, 74, -32, 41, 11, 28, 25, -31, 66, 50, 36, 19, -93, -11, -69, -17, -53, 61, 86, -67, -40, 12, 53, -27, 96, 34, 62, -5, 76, 14, 43, 48, -37, -13, 12, 75, -39, -15, 38, 44, -80, -67, -94, -77, 32, 72, 65, -67, -59, 73, -44, -3, 46, 12, 50, 76, -29, 45, 10, 84, -49, 20, -54, -40, 42, 55, -22, -30, -57, -84, -35, 74, -75, -71, 77, -50, 56, 16, -82, -18, -54, -47, -34, 82, 31, 17, -4, -68, 9, 69, 63, -35, -54, -47, 29, 1, 8, -38, -32, -15, 27, -6, 26, -1, 27, 67, -78, 56, 15, -71, 68, -33, -38, 73, 91, -22, -52, -64, 69, -19, 2, 79, -36, 12, -55, 34, -19, -25, -12, -88, -68, -74, -50, -9, -4, -24, -23, 42, -59, -32, 2, 68, -41, 14, 12, 70, 18, 46, -4, 50, 76, -68, 45, -6, 73, 53, 24, -74, -36, 0, -40, 75, 52, 44, 61, 25, -66, -52, 47, 16, 51, 70, 59, -52, 55, -8, -50, -40, 13, 44, -49, 89, 28, -64, 11, 9, -32, 8, 52, 31, 42, -35, -34, -78, 74, -61, -92, 102, 47, 35, 31, -72, 49, 8, -80, 22, 33, -26, -49, 48, 39, 19, -8, 65, -74, -16, 39, -38, 17, -2, -42, 10, 48, -35, 57, 39, 67, -15, -29, -54, -47, 61, 66, -39, -30, -44, -71, 16, 73, 12, 22, 35, 47, -34, -57, 44, -4, 47, 53, 12, -20, -21, -28, -16, 35, -34, -60, -12, 5, 26, 10, 48, 19, -59, -72, -20, 2, -46, -84, -7, -42, 66, -24, 46, -30, 74, 15, 58, 49, 13, 41, 67, -68, -46, 59, 85, 17, -64, -24, -74, 54, 56, -17, -55, 54, -5, 59, -49, 72, 42, -9, -2, 0, -18, 53, -66, -31, -30, 66, -2, 10, 57, 47, -33, 57, 26, -75, -19, -44, -41, 68, 66, 72, -79, 4, 54, -66, 43, -64, 45, -34, 36, 4, 20, 77, 0, -43, -89, 25, 50, 101, 8, -73, -11, 75, 69, -21, -27, 65, 44, 61, -68, 56, 68, 49, 34, -53, 82, 38, 63, 28, 56, 24, 24, -26, -24, -59, -13, 22, 16, -28, -29, 52, -88, 77, 43, 67, 70, 71, 41, -70, -57, -72, -63, -30, 5, -23, 54, -37, -44, 14, -10, 1, -40, 0, -3, -6, -68, -14, 66, 75, -20, 9, -19, 76, -64, -11, 24, -30, -6, 73, -81, 41, 31, -55, -59, -11, 42, -68, -79, 13, -24, -94, -23, -34, -24, -46, -56, 1, 53, 20, -56, 48, 15, 63, 30, 69, -14, 31, 76, 29, -31, 28, 28, 17, -55, 65, -66, -31, -41, 18, 81, 12, 32, -49, -37, -38, 87, -11, -75, -94, 14, -41, 76, -49, 39, -45, 55, 73, 49, -48, -53, 59, 35, -37, 8, -12, -42, -73, 36, 34, 95, -70, -12, -64, 17, 58, 5, 37, 28, 54, -26, -14, 6, -70, 59, 64, 28, -67, -77, 23, 73, -46, -72, 53, 73, 14, -45, 56, 41, -100, -46, 42, 73, 30, -13, -106, -68, 33, -15, -13, -40, -22, -2, -30, -18, 32, -57, 75, -59, 45, 45, 76, -70, 70, -91, -68, 60, -34, 121, -61, -50, 48, -23, 88, 18, -52, -4, 4, 53, -49, -68, -68, 50, 41, 73, -12, -6, 46, 51, -3, 79, -41, -24, 54, 61, -92, 56, -45, 61, -58, -78, -2, 18, 68, -57, -84, -6, 14, -78, 21, -62, -27, 80, 12, -65, -53, 17, 68, 27, 50, -31, -68, -96, 71, 53, -58, -53, -12, -35, -59, 69, 64, 49, -19, 87, -34, -61, -26, -83, -5, 79, 54, -23, -10, 50, -67, 94, 8, 0, -108, -28, 2, 53, 32, 19, -122, 0, 55, -60, -52, 104, 19, 16, -76, 18, 47, -14, 13, -2, -32, -71, 77, -76, -23, -54, -44, -1, -60, -81, 80, -80, 71, -7, -31, -41, -78, -77, 43, -59, -72, 25, 79, -72, -48, 63, -64, -66, 68, -83, 3, 11, 24, 18, -65, 76, 26, 42, -35, 45, 76, 4, 20, 18, -41, 78, 65, -21, -96, 36, -46, 20, -120, 36, -110, -8, -75, -14, -47, 39, 54, -12, 25, 61, 11, 0, 70, 32, 47, 57, 9, 52, -6, 62, -72, 19, 19, -52, 70, 4, 51, 6, 47, -45, -83, 56, 13, 35, 26, -78, 49, 59, 63, 76, -21, -63, 57, -79, -58, -54, 23, -20, -36, 10, 6, -53, 49, -40, -29, -15, -12, 73, -38, -37, -8, 56, 7, -38, 21, -85, -8, -30, 68, 71, 56, 75, 40, -67, 10, 34, 68, 68, 30, 64, -46, 13, -46, 19, -66, 77, 22, -28, 4, 54, -19, -31, -63, 53, -42, -26, 43, -31, -6, 82, 71, -73, -38, -34, 41, 22, -28, -18, -70, 42, 36, -79, -30, -51, 0, 19, 10, 48, 24, 12, -82, 1, -16, -64, -21, 77, -15, 75, -75, -5, -65, 67, 76, -72, -30, 15, -67, 74, -64, -41, 52, 50, -17, -52, -63, -9, -24, -20, -14, -80, -34, -35, -36, 69, -60, -78, 43, -43, -6, 20, 40, 6, 64, -53, -54, -8, 20, -61, 0, -49, -10, -41, 51, 13, -66, -53, -37, -78, 30, -55, -1, -13, -21, -60, -14, -58, -37, -64, -62, -73, -24, -9, 54, 79, 4, 6, 45, 40, -70, -81, 19, -85, -8, -48, 14, -32, -6, -12, -62, -28, -70, -51, 19, 47, -20, 64, -60, -57, -42, 18, -62, -39, 1, 28, 10, 60, 39, 38, -48, -58, -22, -63, -25, 18, -53, 78, 28, 40, -8, 46, 29, 25, -26, -74, -14, 23, 81, 1, 37, 6, 15, -12, 58, 2, 54, 66, 29, -67, -9, 0, 64, 41, -55, 19, 29, -21, -79, -62, 71, 27, 6, 34, 13, 23, -58, -24, 75, -26, -38, -27, -13, -11, -3, 20, -55, -11, -44, 52, -48, -71, -43, -28, -30, -45, -19, -42, -40, -76, -81, -81, 50, -16, -57, -70, 11, 39, 31, 1, 76, -17, 21, -70, -10, -43, -78, 12, -41, -57, 16, -9, 41, -28, 75, -56, -66, -59, -3, 24, 35, -72, 61, 73, -75, 56, 68, -2, -68, -77, -43, 7, 82, -45, -74, 79, 29, -33, 50, -57, -72, -68, -51, -24, 22, -73, -41, 28, -3, -29, 68, 16, 28, 82, 50, 72, 46, 42, 82, 54, -61, 55, -65, -2, 18, 24, -58, -9, 1, -2, 12, -15, -3, 3, -61, 16, -19, -67, -36, 75, 73, -62, 80, -6, 52, -34, 64, 77, -46, 55, 63, 14, 33, 23, -10, -39, 15, 63, -53, 55, -64, 19, 38, -2, -32, 64, -38, -34, -74, -27, 15, 32, 72, -42, -82, -76, 4, 7, -63, 60, 2, -49, -27, 6, 58, 62, 32, -38, -19, 26, 36, -17, 31, 56, -60, -19, 69, 47, -18, -2, 56, -53, 77, -71, 19, -20, 51, 2, -36, 42, -27, -21, -66, 76, -17, -55, -63, 73, -31, -85, 13, 86, -52, -78, 36, -15, -8, -8, -49, 5, -68, -29, -67, 1, -87, 17, 45, -73, -34, 72, -24, -3, -33, 40, 28, 71, 65, -17, -8, -3, 43, -36, -13, 54, -6, 74, -40, 40, -15, 7, 0, 10, 45, 26, 9, 61, -40, -69, -45, -54, -47, 2, 67, -19, -17, -82, 34, 35, -46, 69, 13, -5, -25, -38, 27, 55, 76, 44, 41, -10, 45, 10, 84, 31, -53, 54, -12, -2, 51, 40, -20, 73, 39, 39, -27, -74, 31, 13, 64, 61, 67, 20, -38, 55, 12, -81, -80, 60, 58, 47, -71, -73, -83, 4, 34, -33, 77, -66, -46, 43, -23, 26, -9, 50, 12, -21, -49, 30, -50, -24, 1, -18, -27, 21, 45, 27, -24, -12, 12, 25, -7, -61, -31, 58, 39, 1, -41, -16, 46, -13, -15, -42, -46, 33, -43, -78, 44, 18, -83, 54, 30, 44, 65, 40, 28, 7, -73, 20, -26, -82, -56, 59, -70, 59, 61, 22, -15, 17, 67, -54, -79, 47, 61, 44, -55, -68, -9, -61, -25, -40, -58, -62, 10, 40, -43, -58, -38, -38, 72, -52, -24, -23, 21, -12, -71, 2, 41, 30, 8, 4, -18, -16, 33, 39, 47, -7, 3, 61, -59, -75, 80, -9, -70, 16, 11, 26, 81, 37, -82, 63, 36, -75, 2, -39, 59, 2, -33, -14, 82, 11, -72, -29, -83, -48, -11, 11, -50, -33, -44, -68, -23, -81, -72, 44, -15, 5, 44, -81, -35, -65, -17, 71, 14, 48, -15, 11, -20, 64, -69, -23, -37, -35, -21, -44, 43, 57, -10, -10, -66, 0, -55, 51, 44, -11, 47, 73, -33, 59, -56, -43, -30, 71, 31, 24, -11, 18, -23, 17, 78, 81, 39, 63, -54, -11, -22, -11, -61, -71, 26, -36, -12, 36, 76, -67, 57, -51, -36, 39, -52, -11, 15, -81, -41, -6, 33, -58, -9, 70, -15, -64, -34, 51, -53, 40, 59, -74, -7, 60, -11, -59, -26, 25, 109, 48, -27, -4, -70, -12, 36, -26, 36, -74, -116, -103, -28, -42, 54, -41, 0, 51, -37, 19, -34, 39, -56, -79, -54, 21, 15, -27, -122, 11, 50, 70, -68, 21, 73, 36, -34, -14, -20, 87, 15, 46, 77, -55, 55, -37, -26, 35, 74, -88, -33, -49, 17, -94, 68, -33, 85, -46, 81, -6, 50, 9, -61, -82, 79, -78, -102, -4, -55, -23, -32, -17, 17, 15, 13, 62, -85, -24, 31, -33, -2, 18, -52, 37, -35, 62, 114, -13, 37, 66, -29, -40, -3, 32, -70, -48, -101, 15, 19, 21, -33, -78, -89, -89, 56, -59, -99, -115, 52, -77, -11, -5, 24, -10, 29, 18, -52, -11, -51, 2, 7, -62, 75, -1, -45, 16, -12, -22, 64, -33, -51, 65, -45, 52, 52, 20, 31, -19, -32, 76, 47, -37, -74, 42, -10, -30, -33, -27, -65, 1, 21, 21, 20, -33, -2, -69, 108, -11, -27, 58, -75, -68, -49, -4, 21, 35, -77, -36, 46, -45, 58, -58, -77, 5, -59, 24, -19, -43, 36, 44, 10, -84, 47, -16, -86, 59, 62, 55, 0, 24, -69, 105, -80, -11, -50, -68, 54, 84, 15, 10, -53, 51, 39, 30, -28, 33, -26, 31, -44, -38, 14, 49, 28, 82, 22, 57, 40, -77, 63, -99, -25, 44, 28, 21, 71, 81, 18, 47, 14, -31, 36, 62, 21, 30, -18, 32, -34, -25, 73, -48, -15, -64, 5, 43, 18, -52, 40, 52, 80, -6, -4, 70, 59, -67, -75, 21, 73, -48, -38, -55, -27, -83, 55, -29, 77, -83, -50, 42, 18, -7, 73, -65, -84, -68, 12, 18, 22, -55, 44, 15, -46, -72, -33, 7, -1, -82, 0, -41, 21, 45, 55, 70, 80, -58, 39, -27, 11, 67, 19, -25, -10, 12, 71, 8, -54, 70, -84, 42, 31, -56, -51, -45, -32, 43, -1, 44, 15, -5, 42, -63, -69, -8, -70, 15, -35, 72, -70, 15, -76, 26, 40, 47, 32, -37, 42, 12, 5, -25, 59, -45, 78, -8, 4, -57, 2, 54, 31, 9, -29, -55, 60, -9, -1, 12, -48, 36, 33, 54, -57, 15, -58, 2, -12, 39, -2, -14, -60, -80, -66, -12, -30, -71, 30, -14, 78, -23, 10, -46, -44, 32, -78, 23, -63, -16, 8, 47, 68, 35, 69, -65, 56, -31, -25, -59, 35, 48, -68, -59, 17, 65, 77, -33, -84, 65, -18, 18, -35, 15, 36, 58, 55, -40, 25, -61, 5, 78, 41, -71, 31, -16, 4, 7, 58, 48, -25, -5, -34, 71, -27, 63, -60, -7, 39, 14, 61, 34, -36, -16, -17, -32, 50, 46, -65, -6, -78, 32, -79, 52, 32, 38, -69, 75, -74, 57, -65, -56, 44, -53, 21, -38, 67, 0, -82, 14, 57, 38, -9, -14, -66, 53, 26, 15, 5, -23, 57, 25, 41, -47, -50, 15, -75, -4, 60, -16, 11, -18, 59, -78, -9, 10, -25, -3, 56, 58, 21, -74, -13, 51, 36, -46, 40, -60, -36, 51, 17, 45, 14, -74, -2, 45, -88, 25, -54, -37, -79, -67, 54, 32, 55, 42, 1, -45, -24, 89, 72, 68, 0, 47, 64, 24, -47, -7, 76, -4, -67, 1, -71, 78, -73, 66, 103, 80, -9, 31, -68, -37, -68, 12, -23, 46, -70, 51, 22, 58, -82, -76, -13, -61, -8, 57, 71, 65, -49, 30, 48, -80, 80, 43, 77, -19, 37, 49, -56, 44, 11, -42, 47, -17, 7, 20, -67, 21, -9, 71, 75, 65, -69, -19, 15, -53, -62, -5, 43, 87, -72, -46, -7, 86, -45, 53, 81, 76, 46, 18, 0, 26, -57, -3, 43, -30, 52, 79, -86, -19, 17, 9, 24, -37, -50, -73, 21, 11, -73, 41, -37, 13, 2, -33, 69, 78, -44, 27, -66, -44, -91, 1, 54, -39, -46, -27, 23, -74, 55, -49, 19, -27, 27, 8, -24, -10, -74, -40, -47, -57, -49, 50, 62, 70, 44, -78, -30, 40, 4, -47, -66, 54, -22, 8, -28, -26, -22, 6, 14, 57, 49, 43, 11, 14, -3, 24, 79, 32, 19, 56, -61, 49, -55, -21, 41, 55, -20, -54, 51, 7, -13, 60, -19, 52, 6, 84, 21, -49, 43, -67, 73, -55, 59, 12, -43, 72, 1, 26, -38, 5, -68, -6, -78, 9, 63, -64, 6, 20, -46, -63, -23, 5, -31, -22, -2, -67, -6, -71, 65, -45, 70, 54, 33, 67, -14, -39, -24, 53, -3, 65, -52, -65, 78, 42, 17, 18, -9, -15, 58, -24, 10, 80, 69, -40, 32, -57, 4, 75, -22, 67, 16, -13, -76, -64, 34, 64, -8, 38, 38, -6, -7, -31, 75, -16, 51, -65, 37, 33, 5, 36, 25, -13, 7, -41, 80, 60, -18, -19, -1, -68, 14, 64, -50, -70, 15, 74, -67, -34, 19, -80, -54, 75, -17, 5, 70, 27, -17, -37, 80, -25, -66, -61, 3, -73, 2, 3, 21, 38, 18, 22, 25, 23, 20, 47, -24, -19, -24, -21, 57, -15, -71, -18, 56, 21, 44, 22, -28, -9, 56, 44, 29, -62, 39, 71, -30, -29, 22, -11, -36, 74, -38, -32, 48, -49, -43, -37, 27, 7, 58, 20, -53, -55, -63, -70, -70, -7, 10, -45, -82, -35, 7, 22, -54, -18, -46, 23, -25, 14, -13, -69, -76, 5, -81, 16, 22, 35, 6, 11, 61, 8, -45, 43, 26, -10, -5, -32, 36, 68, 30, 48, 44, 55, -32, 49, 31, -15, -10, 0, 77, 18, 2, -16, 87, 23, -70, -54, 0, 40, 28, -26, 74, -60, -27, -63, 15, 76, -6, -21, 26, 43, 22, 42, -14, -5, -57, 61, -13, -47, -60, 48, -42, 48, 15, 55, -75, -21, -35, -76, 57, -74, -43, 78, 48, -17, -11, -4, -7, 57, 4, 45, -29, 18, -77, -67, -57, 58, -2, 44, -21, -21, -32, 26, 11, 18, 30, 29, 46, 27, 51, -74, 22, -65, 43, -8, 20, -69, -27, 93, 26, -34, -80, -84, -54, -4, -74, -6, -44, 73, -33, -65, 51, 81, -62, -53, -46, 7, 26, 11, -38, -39, -55, -36, 38, 22, -17, -32, -36, 79, 41, 37, -53, 37, 65, 21, 33, 32, 45, 39, 64, -9, -42, -3, 69, -68, -42, 86, -85, 19, -84, 23, -17, -54, -80, -54, -82, -25, 70, 56, -62, 59, -74, 5, 70, -43, -26, -19, 58, 42, -12, -77, 22, 44, -19, -8, -43, -22, 25, 53, -46, -30, 6, -17, -10, -14, -5, 48, 37, 3, 45, 41, -53, 44, 78, -50, -42, 36, 24, 25, 55, 80, -63, 69, 63, -43, 24, -32, 26, -21, 53, -35, 56, 30, -48, 30, 68, -85, -19, -22, -30, 8, 55, 69, -11, 59, 44, 6, 32, 28, 52, -50, 23, 81, -36, 70, -8, 40, 38, 66, 39, 33, 82, -30, 0, 12, -77, -5, -65, 80, 4, -55, -42, 62, 23, 8, 13, -7, -12, -11, -49, 56, 75, 86, -78, 25, -36, -27, -31, -72, 48, -59, 11, -20, 20, -49, -12, 22, 28, 10, 39, -74, 11, -30, 31, 7, -60, -58, 21, -45, -70, -12, -13, 54, -81, 34, -42, 24, -20, 26, 1, 1, -26, -18, 61, -29, 35, -17, -81, 3, 49, 25, -72, -51, -8, 12, 61, -68, -63, -37, 42, 30, -1, 73, -3, 52, 61, -82, 45, 72, 69, 26, 18, -11, -55, -30, -16, -16, 37, -23, -35, -28, 77, 68, -21, -69, 25, 65, -57, 75, 67, 25, -81, -43, 81, 73, -87, -78, -81, 100, -6, -6, -20, -67, -50, 19, -64, -19, -49, 54, 13, 58, -50, 66, 3, -35, -43, 0, -32, 56, -77, 9, -67, 0, -63, 19, -77, -50, -65, -68, -3, 6, -50, -18, 28, 34, 31, 9, -49, 62, 68, -47, 64, 74, -41, 75, -6, 74, -21, 26, -41, -22, -18, -52, -71, -52, 15, 50, -19, 52, -65, 3, -40, 19, -86, 61, -33, 22, 20, 88, 18, -67, -28, -49, 17, -58, 4, 7, -50, 47, 72, -48, 38, -70, -25, 40, 48, 72, 29, 12, -20, -24, -51, -37, 57, 58, 9, -79, -68, -26, -50, -77, 2, 77, -75, -67, -66, -59, -25, 54, 21, -40, -36, 42, -36, -36, 43, 69, -44, 48, 15, 72, -56, 28, 73, -29, -44, -83, -15, -53, -43, -69, 54, -33, -23, 10, 48, 13, -5, -53, 21, 43, -13, -23, -51, -18, 76, 74, 25, 47, 59, 61, -32, 49, -12, -81, 12, -21, 84, -5, 43, -30, -63, 60, -71, 53, 21, -7, -52, 69, 68, 46, -51, 44, 2, -59, 73, -23, 54, 52, -29, -44, 75, -62, -53, 19, -25, -10, -14, -44, -80, 55, 60, 52, -26, 38, -33, 11, 45, -19, 92, -38, 21, 20, 11, -21, -20, -9, -42, 67, -49, -78, -3, -76, -73, -64, 0, 46, 1, 13, -38, 18, 24, 11, 34, 52, 57, -6, -79, -40, 13, -22, -69, -54, -16, 67, 60, -6, -34, -41, -53, 93, 42, 26, -60, 23, 11, -1, 11, -23, -8, 4, 22, -37, 20, -68, -4, -5, -76, -55, 66, 74, 12, 84, 14, 41, 67, -44, 24, 17, -62, -30, 23, 44, 46, 74, -20, -41, 24, 0, -73, 20, -2, -61, -57, 32, -50, 18, 72, 23, 22, 71, -74, -63, -14, -22, 41, 13, 68, -85, 33, -37, -3, -83, 78, 28, -11, -82, 25, -6, -67, 7, 11, 30, 13, 19, -70, 52, -30, 61, -23, -37, -70, 31, 7, 55, 30, -41, -46, 50, -59, -74, -26, -6, -41, 16, 53, 17, -48, 6, -20, 10, -73, 14, -12, 83, 54, -56, 43, -53, -33, -78, 70, 49, 31, -42, 41, 77, 37, -2, -78, -43, 62, 54, -45, -22, 66, 40, 38, 72, -57, 4, -82, -25, -36, 53, -75, 58, 37, -51, -74, 40, -89, 20, -72, 10, 11, -25, -44, -16, -43, 81, 84, -59, -10, -32, 64, 14, 64, -41, 19, -37, 62, 79, -65, 79, -17, 36, 30, 14, -64, 46, 14, -51, -77, 99, -30, -54, 74, 72, 52, 18, -94, -1, -32, -42, -36, 25, 55, 92, -15, 62, -32, -66, 82, -46, 74, -55, -65, 41, 17, 16, 64, 71, 4, -71, -24, -2, -64, -7, 14, -1, -78, 15, 87, -76, 36, 74, 34, -36, -16, 0, -65, -77, -15, 56, 40, 51, 73, -45, 125, -55, -6, -47, -33, 7, -61, 68, 17, 57, -47, 15, 8, 45, 95, 29, -46, -13, -51, -54, -30, 57, 55, 70, -37, -65, -73, -6, 25, -50, -30, 12, -31, -78, -64, 26, -85, -80, -64, 16, -35, -29, 19, -9, -8, 37, 104, -6, -25, -7, -29, 76, 47, -45, 53, 70, -33, -48, 16, 44, 66, -1, -3, 61, 0, -11, 22, -8, -87, 0, 10, -1, 76, 70, 43, 72, 30, -47, -66, 69, 31, 65, 65, -23, -83, -11, -79, -5, 13, -31, -56, -36, -32, -39, -44, -19, 36, -64, -14, -8, 48, -80, -81, -45, -49, 47, -54, 24, 43, -75, 28, -55, -33, 58, 69, 25, 27, -58, -25, 22, -10, -53, -9, -66, -54, -51, 47, -71, -15, 52, -4, -35, 0, 33, 64, 14, -48, 45, 65, -70, -58, -43, -83, 76, 48, 27, 77, -82, 57, -80, 64, 38, 7, -75, 50, 60, -20, -17, -71, -54, -30, -11, -63, 14, -69, -42, -52, 64, 30, -82, 6, 23, -24, -62, -82, 27, 54, 8, -27, -7, -30, 16, -45, 45, 35, -25, -72, -79, 83, 8, -77, -12, 34, -31, 5, 27, 47, 23, 64, 9, 67, 35, 27, -28, -16, -3, -83, 33, 31, 83, 51, -36, 33, 58, -68, 60, 59, -18, -53, 25, -3, 53, 80, 57, -54, -32, 37, -14, -21, 65, 56, 18, -65, -25, -35, -77, 45, -34, -34, -30, 51, 66, -26, -54, 12, 26, -70, -66, -7, 35, -40, 1, 57, 65, -31, -81, -78, 24, -5, 50, -4, -68, 18, 75, -75, -59, 47, 44, 7, 59, -59, 69, 0, -23, -9, 27, -74, 64, 7, 18, 50, -43, -47, -37, 22, -56, 35, 7, -96, 8, 28, -38, 20, -20, 18, -2, -28, 46, -13, -41, 52, 48, -7, 83, -12, -59, 34, 21, -18, 56, -19, 21, -11, 32, -4, -66, 59, -22, -12, 45, -60, 16, -6, 86, 74, 5, -88, -34, 40, 4, -40, -81, 29, -37, -57, 25, 29, 32, 56, 12, -36, 71, 84, -64, -66, -6, -76, 28, -86, 10, -45, 56, -53, -11, 8, -40, -28, 58, 24, -22, -61, 71, 37, 64, -12, -8, -70, -21, 52, 8, 11, 14, -63, -65, 18, -9, 3, 54, 64, -56, -12, -41, -33, 72, -49, 41, 64, 51, 69, 15, -84, -45, -30, -59, 18, 96, -35, 40, -12, -74, 95, 83, -36, -31, -69, -80, 30, 31, 33, 1, 84, -22, -45, -49, -50, 29, 66, 53, 12, -75, -77, 89, -79, -47, 35, -33, -70, -37, 82, 54, 32, 64, -6, -26, -90, 2, -38, 50, 44, -65, -62, -8, -58, -57, 74, -48, -65, 19, -72, 15, 79, -62, -58, 82, -20, -55, -59, 8, 31, -1, 43, 58, -45, 65, -66, -14, -75, 71, 38, -19, -1, -49, -49, 18, -72, -17, 68, 42, -1, 23, 35, 80, 0, -24, 80, 69, 80, 22, 53, -40, 49, 76, -69, -38, 1, -33, 25, -63, -32, -72, -36, -68, -54, -32, -37, -42, 70, -15, -52, 86, 25, -48, -33, -79, -54, -41, 74, -10, -9, -33, 60, -37, -28, 59, -20, 37, -63, 60, 63, 3, 61, 66, -31, 30, 70, -81, -22, 4, 68, 33, -54, -79, 20, 55, -81, 21, -74, 34, -41, -2, 77, 23, -8, -53, -31, -59, 1, -82, -87, -85, 71, -73, 71, -69, 67, 33, -70, 78, -9, -44, 27, 72, 23, 81, -32, 14, -106, 73, 15, -38, 55, -23, -97, 9, 10, -63, -42, 70, -50, -11, 59, 49, -85, -70, -75, -28, 17, -72, -49, -56, -80, 11, 56, -34, -41, -60, 46, -57, 63, -20, -5, 78, -3, 70, 76, -14, 44, -10, 13, 49, -21, -63, 62, -101, -19, 32, 21, 1, 25, 68, 63, -59, 8, -18, 67, -15, 83, -32, 42, -33, 24, -77, 62, 19, 59, -31, -76, -4, 27, -72, -1, 79, 17, -94, 56, -18, -3, -6, -18, 25, 37, -80, 56, 77, -32, -97, -74, 75, -17, -26, 68, -66, 71, -48, -24, -27, -24, 72, 57, 23, -55, 27, 57, -83, -60, -49, 5, -47, -57, -38, -79, -24, 43, -88, -81, 41, 36, -61, -52, -81, 30, -10, -36, -22, 14, 30, 13, 52, 38, 30, -54, 70, 70, -74, 27, 17, 25, 40, 4, -62, 29, -14, -30, 33, 56, -47, -65, -32, -34, 25, -72, 68, -29, -38, 64, 65, 0, -16, -79, -37, 37, 19, -21, -11, 22, -45, -36, 30, -20, 63, 73, -45, -35, 26, 19, 59, 15, 59, 40, 69, 14, -78, -74, -16, 40, -6, -51, 39, 34, -29, -39, 55, 22, -27, -56, 7, -75, 37, 46, 58, -67, -70, -70, 31, -77, 34, 49, -26, 59, -64, 69, -38, 13, -50, -58, -52, -27, -61, 45, -15, 11, -17, -30, 19, -20, 75, -69, -66, 48, 79, -78, 1, -43, -10, -56, 47, -73, -18, 46, 35, 25, 32, -39, 33, 35, 18, -4, -44, -18, -55, -3, -56, -2, 42, -52, 33, -9, -51, -81, -32, -68, 33, 33, -56, 27, -31, -74, 45, -33, 83, 15, 18, -65, -37, 32, 66, -32, 103, 10, 13, 24, 6, -53, -20, 44, -79, 74, -11, -17, 80, 6, 29, -14, -3, 72, -80, -16, 7, 26, 62, 59, 85, -60, -16, -79, 71, -93, -68, 2, 79, -47, 35, 6, -25, -80, -59, 112, 29, 6, 3, -11, 66, -57, -48, -80, 66, -26, 3, -14, -53, 35, -33, 38, -14, 69, 18, 24, 12, -15, -50, 28, -80, 29, -10, 63, -9, 47, 50, 6, -63, -76, 28, -83, -84, -18, -81, 18, 56, 37, 76, 8, -34, 53, 11, -85, -19, -8, -65, -58, 32, 58, -52, -64, 47, -83, -49, 5, 41, -15, -82, 17, -54, -30, 14, 28, -33, 18, 56, 41, -31, -14, 59, -67, 13, -19, 53, 69, 29, 29, -9, 18, -12, 21, -49, -44, -12, -11, -8, -86, 47, 49, 81, -77, 47, 4, -53, 37, -18, 17, 23, 9, -50, 6, 53, -46, -2, 42, 4, 51, -32, 44, -6, -71, 49, 63, 62, -82, 7, -13, -24, -37, 2, -38, 1, 52, -51, 49, 0, 36, 76, -26, 45, -34, 17, 30, 47, -50, 3, 52, -22, -71, -68, 64, 24, 74, -1, 4, -18, 44, 20, 63, -85, -81, 39, 71, -15, -35, -26, -22, -31, 14, 17, 50, -64, 63, 65, 66, 9, -76, -78, 61, -58, -4, 15, 56, -44, -57, 9, 42, -33, 79, -18, -19, 36, 62, 80, -37, 53, -7, 35, 13, 78, 51, -17, 58, -40, -4, 3, 50, 65, -77, -5, -66, -83, 36, -65, -82, -7, 27, 15, 13, -59, -26, -73, -81, 27, -23, 13, 3, -13, -35, -2, 46, -75, -83, -69, -59, 71, 2, 29, 67, 14, 32, 32, -46, -77, -49, -71, 17, -2, -16, 62, -17, -34, -17, -55, 76, -78, -29, -64, -43, -9, 23, 7, -36, -62, 52, -83, 51, -80, -48, 43, -27, -41, 29, -73, -20, 1, -44, -16, -79, -15, -7, -22, -67, 50, 79, 51, -40, -33, -29, 54, -6, -9, 68, 54, -65, -13, 48, 5, -70, -21, -56, -1, -8, -74, 21, -60, -54, 27, -38, -53, -68, -26, 56, 17, 21, -19, 44, 16, 59, 13, -13, 83, 63, -44, -34, -30, -38, -52, 28, 23, 76, -54, -6, 39, 68, 30, -50, 28, 10, -81, 43, 10, -21, 77, -43, 50, -31, -28, 22, -63, -35, 63, -47, 76, 90, 28, 21, -4, -59, 55, -37, 12, 88, 79, 26, 29, -14, 6, -25, 18, -10, -68, -4, -4, -18, 12, 11, -1, -80, 40, -48, -78, 65, 47, 8, 33, -43, -97, -34, -38, 14, -11, 8, -14, 64, -17, -6, -44, -76, -47, -59, 57, -3, 42, -57, -67, 17, 62, -55, -14, -18, 57, 56, 51, 63, 0, -58, -22, -70, -14, -73, 53, -27, 3, -9, 16, -16, 35, -94, -26, 60, -7, 2, 28, 64, 25, 56, 81, 50, 43, 56, 4, 66, 18, 11, 35, 73, -68, -33, 52, 35, -59, 48, -29, -50, 31, -57, -80, 14, -8, -71, -24, 39, 8, -11, 32, -81, -43, 17, -40, 71, -11, -41, -51, -50, -35, 63, -43, -71, -45, -3, 60, -57, -61, -17, 59, 32, -80, -21, -45, -71, 29, -66, 3, 51, -36, -79, 53, 33, 38, 79, 11, 35, -32, -46, -76, -74, -65, -50, 40, -53, -72, -57, -78, 57, 42, 34, 65, -88, 80, -73, -61, -21, 73, -17, -61, -54, -80, 46, -78, 28, 29, 24, -2, 49, -83, 33, 61, 18, -30, -21, -55, -57, -35, -49, -33, -18, -70, 0, -2, -34, -44, -48, 36, 32, -51, -15, 64, -55, 64, -33, 13, 24, -63, 30, 33, 55, 23, -57, 2, -88, 57, 42, -9, 6, 79, 16, 66, 64, -47, 34, -38, 60, 54, 13, 40, -82, -70, 25, 25, -13, -28, -69, -37, 34, 34, -54, 39, -20, -40, -75, 34, 54, -71, -33, -38, -56, 9, 39, -15, -7, -7, 58, -54, 40, 37, -62, 34, 10, 36, 69, 59, 12, 66, 33, -55, 43, 30, -39, -65, -37, 48, -77, -50, -19, -4, 34, -61, 27, -48, 82, -11, -2, 0, 46, -25, 76, 37, -13, 34, 61, -4, -43, -43, 81, -1, 22, 25, 45, -1, 47, -75, -85, -74, 67, 19, -19, 12, -49, -8, -75, 42, -72, -59, 39, -64, 51, 19, -43, 3, -77, -5, 49, -92, 13, 13, 0, -8, 3, 3, 87, -46, -47, 25, -1, -73, -33, -2, 68, 52, -26, 36, 47, 54, 22, 49, -45, -45, -5, -38, 41, 38, 95, 30, -17, -61, 73, 26, 41, 63, -77, -51, 37, 6, -30, 35, 15, -55, 41, -38, -4, 31, -21, 60, 15, -9, -64, -12, -36, -17, 32, 36, 5, -8, -50, 11, -79, -76, -57, 78, 20, -73, 51, 70, 13, -84, -4, 67, 9, 10, -70, -14, 56, 54, -57, 84, 18, -86, -25, 41, -92, -8, 87, -16, 75, 49, 49, 59, -78, -36, 30, 71, 20, 93, -42, 0, -105, -81, 6, -10, 4, 42, 1, -9, -63, 49, 69, -87, 45, -40, 5, 16, -43, -52, -36, -36, -71, -51, -74, 2, -22, 53, 12, -45, -55, -51, -68, -24, 107, -67, 15, -55, 57, 1, 18, -45, -56, 67, 68, 15, -72, 4, -61, -1, 30, -29, -50, -35, 21, -30, -6, -23, 61, 33, -8, -21, -65, -45, 12, -2, -30, 18, -47, -35, -82, -10, 7, 48, 62, -1, -16, 48, 81, -64, 61, 17, 59, 66, 55, -42, 20, 82, -77, -44, 55, -61, -38, -56, 15, 40, 27, -6, -37, 34, 57, -45, -49, -5, 12, 21, -35, 57, -38, 45, 18, -75, -35, 12, 42, 42, -1, 74, -12, 66, -73, -18, -50, -69, -96, -78, -43, -29, 49, -25, 23, -55, 48, 55, 46, -35, -14, 28, 39, 37, -57, 55, 45, 62, 37, 19, -73, 48, 60, -70, -23, 53, -43, -58, -16, 66, -44, 53, -30, -46, -88, 62, 19, -81, -40, 69, 72, -87, -5, -69, -22, -47, 52, -26, 23, 26, 26, 10, -45, 46, -27, 27, 46, 17, -1, 4, -38, 49, 41, -53, 37, -10, 26, 12, -7, -2, -4, -27, -78, -20, 44, -85, -32, 48, 39, -35, -32, 69, 26, 28, 25, 41, 50, 32, 63, 28, -7, 28, -73, 14, -73, 78, -69, -64, 4, 52, -42, 49, 31, -71, -20, -15, 64, -1, -59, -24, -47, -49, -72, -25, 51, 71, 68, 60, -28, -34, -19, 19, 8, -45, 78, 28, 5, -23, 22, 39, 9, -47, 56, 16, 91, -39, -52, 32, -39, 32, 68, 35, -78, -100, -76, -75, -66, -67, -47, 11, -75, -26, 5, 38, -12, 39, 60, 28, -28, 84, -51, 50, 67, 28, 63, 60, 73, 43, 60, -31, -14, 39, 34, 33, -36, 60, -74, 73, 36, -33, 46, -60, 52, 49, 59, 47, 47, 38, -65, 2, -6, 51, 21, 4, 22, -62, 42, 73, 57, -56, 5, 71, -14, -7, -92, 63, 50, -38, -78, -57, -23, 24, 60, 18, 7, 69, -59, 48, 17, 0, 37, -25, 27, -59, -40, -8, -59, 29, -50, -33, -1, -12, 33, -8, -57, -12, 30, -58, -2, 45, -65, -24, -43, -52, 19, -38, 73, 20, 68, 48, 63, 12, 21, -5, 25, 5, -61, 59, -70, -74, -21, -11, -65, -13, 9, -78, -37, 77, 0, -11, 60, -68, 40, 3, -73, 43, 64, -14, 32, 74, -41, -3, -7, -23, -1, -76, 12, 66, 49, -69, -4, 64, -38, 3, 31, 3, 2, 42, 8, -63, 7, 23, 33, 29, 18, 55, -80, 37, -47, -13, -13, 20, 15, -39, 57, 49, -61, 21, -74, 77, -45, -69, -62, -38, -62, 44, -43, 27, -73, -46, 28, 9, -72, 93, 19, 40, -28, -64, 23, -4, -42, 51, -25, -59, 24, -51, -53, 28, -84, -35, -8, 62, -20, -5, 66, 7, -45, -5, 28, -18, 33, -53, -31, 61, 37, 19, -53, 13, 48, -52, 38, 14, 37, 51, 14, -30, -36, -43, 55, 56, -18, -60, 9, 80, -4, -52, 47, -19, 44, 44, 1, -5, -64, -33, -42, -33, 11, 40, -82, 11, -3, 83, -41, 64, 38, -10, -35, -56, 2, 6, 12, -25, -22, 89, -4, -54, -50, -53, -59, -93, -57, -35, -64, -12, 44, 41, 66, -75, -27, -9, 49, 1, -4, 63, -45, 36, -46, 21, -28, -25, 16, 21, -40, -12, 45, -57, 63, 1, -34, -8, -53, 30, 15, -7, 55, 8, 82, -43, 28, -21, 35, 37, -43, -12, -43, -42, 3, 68, 25, 54, -10, 76, 12, 83, -54, -89, -62, 58, 24, -11, -76, 0, -13, -49, 5, 70, -4, -39, 25, -9, 23, 72, 67, 36, -77, 47, 71, -15, 63, 25, 34, 71, 5, -3, -86, 10, -39, -28, -90, 80, 24, 75, 41, -43, -41, 9, 21, 47, 76, 59, 24, 6, -61, -25, 19, -4, -12, -40, 76, -63, 66, -17, -13, 22, -70, -21, -21, -53, -12, -31, 56, 83, 4, 28, 37, -55, -70, 15, 13, 9, 45, -31, 11, 9, 21, 71, -28, 51, 5, 70, 28, -58, 72, -37, 38, -28, -26, 44, 36, 12, -45, -53, 14, -80, 39, -50, -70, 45, -63, -15, -9, 18, 50, -71, 38, 1, 74, -81, -68, 85, 76, 55, -58, 44, -26, -44, -32, -35, 54, -14, -68, 40, 52, -21, 24, 57, -28, 21, -27, 77, 27, -23, -48, 6, -6, -9, -78, -30, 82, -7, -77, 47, -38, -24, 74, -64, 39, 33, -46, 42, 50, -8, -85, 51, 1, 24, 56, 44, 17, -13, -14, 51, 71, 5, -26, -7, 21, -28, 4, 41, -39, 21, -13, 94, -47, -32, -22, 57, -70, 44, -67, 45, 6, -9, -68, 10, -10, 19, 41, 42, 1, -84, -44, -40, -14, 18, -51, -45, -2, -24, -42, -65, -64, 62, 86, -66, -36, 43, 27, -37, -11, 72, 77, 38, 13, -43, 56, -66, -60, -63, 27, -80, -1, 42, -26, -77, -12, -15, 48, -17, 47, 21, 22, -40, -2, -80, 33, 52, -44, 39, 50, -25, -54, 9, -43, -27, 18, -25, 12, -46, 42, -55, -24, 82, -78, 27, 53, 1, 52, 20, -6, -25, -32, -8, -8, 32, 77, 64, 27, -41, 25, -70, -41, -12, 86, -15, 57, -31, -62, -65, -22, -71, 0, -14, -88, 58, 42, 20, -14, 19, -65, 28, 63, 0, 29, -8, 19, 69, -11, -71, -59, 60, 46, -53, 19, 43, 3, 39, 93, -79, -85, -20, -76, -61, 15, -63, -43, 55, -38, 14, -70, 67, 46, -63, -5, 12, -68, 72, -71, 53, -19, 50, -41, 31, -80, 38, 32, -42, -73, 13, -42, 82, -11, -17, 13, -49, -61, 58, 53, 71, -61, -22, 34, 9, -54, 66, -46, -16, -61, -25, 10, -27, -51, -70, 23, 10, -13, -26, -74, -40, -9, -84, 81, -80, -35, -68, -65, -22, 23, 74, -7, 42, 73, 25, 47, -34, -53, -54, 39, 19, 45, -9, -35, -77, 74, 32, 41, -58, 7, -17, -17, -85, 58, -45, 39, 7, 42, 33, 13, 23, -4, -60, -52, -30, 42, 5, -6, -65, 75, 14, -27, 47, -1, 42, 65, 76, -66, -72, -40, 42, -34, -44, 15, -82, -64, -78, -70, -17, -69, 21, -8, 13, -40, 29, 66, -81, 37, -61, -37, -80, -35, 18, 12, 30, -65, -24, 12, -81, 50, 66, -41, 27, -26, -17, -77, 40, 78, 38, 62, -23, -81, -60, 62, -27, 10, 15, 39, 6, 70, 43, -35, -38, 14, -52, -29, -51, 64, -46, 66, -26, 2, 70, 31, 36, -68, -29, -27, 89, -42, 52, 16, -78, 0, 79, -48, -26, -58, 73, -61, -72, -33, -22, 70, 1, 79, 21, -20, -4, -43, -63, 24, -68, -36, 46, -18, 39, 61, 16, -64, 46, -57, 96, 69, -15, -94, 14, -80, 16, -30, -75, -45, -8, -33, 34, -54, 69, -4, 61, -87, 68, 87, 84, 58, 37, -36, 9, 71, 9, -3, 98, -46, 3, 45, 66, 37, 34, 1, -17, 21, -49, 100, 31, 20, 44, 59, -20, -41, -60, 45, -35, -76, -2, -6, 52, 80, 25, 58, 55, 5, 77, -43, 41, 14, 58, 65, 4, -17, 28, 22, -51, 73, -21, -77, -64, 10, -10, 64, -35, -41, -33, 81, -66, -36, 54, -30, 6, 55, -6, 33, -83, -36, -58, -25, 77, 25, 63, 72, -65, -42, 31, 65, -34, -45, -15, 5, -14, -3, 31, 69, 53, -14, 39, 28, 84, -42, -51, -16, 32, -84, 35, 39, 34, 33, -55, 23, 23, -73, 35, 19, -26, -2, -36, 0, -34, 12, 2, -75, 52, -43, -79, -46, 62, -13, 7, 73, 45, 17, 57, 13, 2, -35, 4, -61, -55, 66, 50, 52, -5, -55, 58, 64, 21, 70, 4, -47, 17, 49, -39, -71, 57, -37, -33, -43, 41, -82, -18, 59, -54, 75, 20, 23, 65, 19, 11, 48, -16, -23, 20, 76, 71, 58, -3, -77, -27, 75, 17, 29, 44, -46, -44, 8, -48, -73, -44, 73, -49, -32, -55, 64, 70, 60, 35, -18, -39, 81, 70, 29, 47, -79, -25, -69, -63, 63, -12, -16, 72, -72, -82, -34, 11, -48, 63, 79, 87, -77, 45, -3, -62, -58, -69, -35, 27, 35, -77, 23, 72, -68, 37, -72, -45, -5, 72, 46, 19, 10, -59, -39, -46, -60, 49, -64, 47, 75, -12, -68, 50, 6, -19, 64, -23, -28, 31, 67, 37, 58, -36, 43, 32, 22, -17, 14, -22, -64, -75, -71, 35, -41, -11, 51, -27, -34, -31, -81, -16, -34, 31, -18, -73, 74, -21, -48, 80, 39, 81, -32, -56, -8, -60, -73, 57, -50, -19, -4, 42, -46, -3, -80, -32, 42, -68, -74, -45, 80, -54, 7, -8, 18, 39, -77, -23, 70, -7, -78, -38, -12, 78, -48, 70, -34, -35, 36, -45, -63, -72, 19, 12, -5, -72, 50, 60, -14, 13, 5, -43, -81, 14, 47, -25, 3, 65, -43, -57, 45, -67, -61, 69, 12, -52, 32, -58, 13, -28, -21, 39, -21, -60, 56, -48, 38, 10, 5, -34, -63, -26, 76, -43, -11, 37, -20, 77, -3, -50, 62, 36, -60, 76, 21, -3, 68, 67, 57, 1, 64, 41, -68, -66, -13, 71, 74, 74, -17, 63, 77, -1, -76, 7, -5, -68, 7, 64, -9, 51, -9, -69, 72, -48, -25, -3, -64, -35, 7, -7, 8, 40, 21, 29, -60, -36, -7, 23, 64, -11, -27, 70, 30, 17, 77, 5, -78, 69, 48, -67, 2, -16, 22, -76, -65, -54, -39, -56, -3, 79, 76, 3, -44, -12, 75, 65, 31, -65, -31, 36, -46, 81, -79, -44, -52, 13, 28, -57, -48, 20, -32, 12, 18, 2, 19, 28, 18, -32, -34, 31, 21, 18, 43, 5, -54, -67, 80, -80, -28, 35, -40, -70, 64, 29, 14, 56, -25, 86, -79, 48, 59, 71, 19, 30, -100, 88, 9, 7, 3, 49, 16, 80, 36, -33, 58, 34, 54, 17, 69, -22, 29, -48, -61, 67, -14, 73, 51, -10, -3, 45, -17, 46, -36, 71, -35, 82, 22, -83, 26, 73, 35, -29, 34, 63, 12, -12, -26, 67, -69, -5, 38, 40, -48, -69, -83, 75, -36, -38, 41, -34, 55, 19, 34, -43, -26, 3, 10, 61, 16, 15, 58, -8, -1, -66, 16, -17, -74, 49, 66, 71, 24, -21, 38, 76, -83, 97, -15, 39, -47, -1, 66, -15, 18, 9, 18, 17, -15, -14, 62, -9, -14, 52, 47, -63, -39, 55, 51, 3, -11, 73, 24, 41, -4, 65, -10, 10, -36, 69, -33, -65, -94, 28, -60, -60, 41, 22, -55, -1, 75, -23, -18, -50, 91, 20, 74, -16, -33, -6, -72, 14, 30, -48, -70, 10, -44, -73, -12, -43, 32, -12, 64, 9, -18, 18, -60, 11, -15, 88, 39, -30, 59, 32, -34, -17, -77, 50, -88, 43, -61, -73, -49, -76, -45, 64, 43, 18, 39, 36, 25, -3, 29, 16, -77, 48, 16, -46, 13, -9, 72, 46, 59, 72, -26, -9, 5, -44, 68, -54, 39, -57, -81, -52, -33, -53, -48, 25, -81, 35, -55, 87, 64, 38, 21, -34, -48, -13, 26, -45, -12, -82, 10, 45, 6, -29, 70, -22, 41, 45, -3, -20, 7, 50, -34, 42, -59, 8, -41, -2, -8, 24, -46, -58, 21, -14, 9, -26, -39, 12, 68, 27, 21, 2, 64, -63, 36, -72, 56, -52, -2, 35, 7, -52, -73, 67, 21, -59, 3, -38, -38, 25, -32, 21, -15, -6, -34, -54, -21, 7, 33, 61, 56, -68, 57, 20, 45, 29, 12, -34, 23, -55, 30, -67, 22, -84, -58, -16, 61, 58, -5, -57, 13, 11, -12, -71, -17, 54, 44, 76, 11, 84, -4, -58, 54, 46, -40, 6, 17, -15, 45, 49, -57, -33, 38, -72, 0, 23, -18, 77, -65, 30, -75, -82, -43, -85, 17, -59, 2, -14, -9, 44, 50, 26, -77, 16, -55, 32, 20, 70, -34, 26, -15, -7, 24, -10, 45, -66, 17, 4, 70, 53, 64, -81, 27, -72, -18, 41, 56, -63, -64, 49, 26, 66, -60, -29, 8, -65, -2, -48, 58, -26, -5, -60, 9, 8, 7, 81, -85, -54, -55, 18, 54, -51, 82, 63, 43, -27, -15, -82, 24, 13, -14, 0, 38, 76, 49, 83, -56, 37, -32, -30, 19, -31, -35, 46, -10, 38, 19, -29, -3, 51, -45, 67, 29, -82, 5, 62, 18, -11, -69, -88, -77, 56, -47, -52, 63, -9, 3, -80, 39, 38, -88, -30, -1, -5, 35, -82, -29, -2, -51, -73, 82, 28, 45, 15, -18, 23, 25, -78, 42, -30, 35, -54, 52, -73, -35, -43, 34, -12, -77, 59, -71, -53, -35, 39, -59, -3, 55, 72, 37, -8, 40, -62, -21, 79, 71, 56, -19, 65, -55, 17, -78, 59, -13, 57, 26, 4, 48, -37, -44, 9, -3, 48, -63, -48, -22, 51, -34, 67, 40, 0, 29, -16, -40, -42, -70, 7, -16, -75, -21, 3, 19, -18, -21, -48, -59, -31, 49, -59, 53, -38, -37, -22, -89, -31, -46, 27, -29, 18, -23, 59, -8, -15, -71, -70, -65, 9, 47, -77, 38, -25, 31, 19, 0, 23, -29, 53, -69, -44, 45, 16, -3, -27, -44, 82, -52, 51, -36, -33, -82, 55, -84, -76, 47, 11, -28, -76, -77, -76, -66, -58, 67, -37, -32, 61, 7, 44, -87, 2, 26, -73, 77, -27, 41, 4, 3, -13, -11, 6, -49, 31, -1, 8, -1, -49, 55, -75, 75, 22, -15, -84, -18, 34, 55, 78, 18, 31, 2, -64, -70, -6, 20, -28, -76, 38, 32, 40, 65, 60, 85, 44, 23, 78, -35, 44, -66, 57, 31, 29, -36, -21, 40, 9, 60, -27, -81, -48, 47, -57, 65, -45, -83, -38, -15, 61, 5, 20, 40, 19, -18, -61, -82, 59, 23, -38, 20, 48, 45, -52, 30, -74, 9, 23, 20, -46, -87, -51, 35, -46, 67, 35, 13, -66, -30, -12, 11, -23, -14, 41, -54, 17, 59, -52, 24, 61, -23, -35, 54, -70, 34, 65, 70, -4, -61, 26, 79, -58, -73, -55, -87, -76, -17, -49, -79, -23, -64, 76, 4, 39, 85, 61, 72, 29, -42, -9, 19, -57, -54, 60, 23, 78, 66, -31, 4, -40, 17, 57, -71, -27, -53, 72, -29, 30, -58, 89, -39, 36, 53, 35, 39, -20, 3, -50, -25, -68, 6, -4, -40, 65, -67, 3, -22, -81, 53, -49, -72, -14, -75, -17, -59, 38, -58, 60, 64, 64, 66, -77, -38, 85, 55, 70, -31, 79, 10, -48, 14, -30, -1, 62, 70, -71, -7, -81, -38, -53, 80, -20, 55, 14, 47, 71, -41, 74, -30, 0, 66, 32, 48, -8, -10, 5, 65, 47, 59, 35, -55, 62, -57, -7, -81, 59, -71, -12, 7, 26, 35, -45, -60, -1, -2, -30, 63, 26, 56, -76, -30, 22, 86, 69, -72, 82, -76, -15, -40, 44, -31, -73, 25, 12, 21, -20, 36, -53, -5, -84, 7, -8, 41, 23, 50, -43, 53, -37, -30, 4, -27, 54, -36, -23, 17, 65, -76, 82, -65, -1, 69, -76, -34, -37, -5, -28, -65, -80, 18, -3, 22, 0, -42, 3, -59, 55, -69, 54, -62, -47, 7, -23, 10, 78, 75, -23, 69, -57, -15, 39, -64, 63, -58, 62, 63, 74, -78, 47, -8, -56, 51, 56, 20, 10, 15, -68, -58, -82, -54, -89, -49, -58, -79, -8, 12, 18, 29, -25, -12, -62, 68, 64, -17, 65, 93, 67, -71, 27, 22, -70, -43, 24, 37, -56, -4, 18, 4, 24, 3, 32, -82, 45, 27, 40, -72, -1, 14, 20, -71, 25, -79, -11, 55, 30, -76, 37, 50, 16, 39, -10, 6, -40, 60, -40, -29, -41, 67, -65, 72, -38, 64, -21, -48, -43, -39, 67, -52, -26, 22, -19, 35, 80, 6, -35, -80, 23, 26, 61, 67, 27, 9, 16, -72, -3, -22, 53, 63, -4, 55, -73, 13, -23, 49, 18, 56, -79, 56, -35, -11, 63, -63, 19, -80, 25, 45, -64, 3, -3, 79, -15, -48, -20, 68, -5, 71, 31, 0, -51, -25, -75, 11, -86, -81, -30, -10, 72, 9, -25, -53, -41, -16, 25, -64, 20, -8, 32, 14, -63, 49, 26, 26, -53, 59, 18, -14, -14, 65, -41, -12, 7, 30, -30, 54, 50, -12, 4, -70, 40, 3, 6, 31, 62, 46, 31, -7, 24, -70, 55, 22, -3, -84, 38, 6, 19, -9, 46, -45, -30, -30, 19, -63, 19, 35, -52, 57, 3, 9, -49, -74, -64, -21, -59, 64, -8, -16, 57, 61, 4, 68, 53, -71, -10, 42, 11, -59, 17, 10, 38, 18, 23, 16, 55, -25, -35, -78, 15, 38, -17, 58, 27, 62, -55, 28, -33, 7, 27, 15, 75, -58, -24, -54, 74, -7, 73, -30, 75, -76, -55, -46, -63, 5, -65, 15, 54, 73, 27, 78, -69, -24, -65, 20, -17, -45, 19, 70, -3, -77, -47, 69, 31, -51, -74, 22, -66, -80, 71, -28, -80, -72, -32, 2, -1, 74, 26, -39, -30, -36, -48, -46, -38, 44, 96, 68, 31, 2, -51, 73, 72, -80, -66, -11, 78, -6, -53, 15, 16, -66, 51, -61, 31, -10, 56, 7, 31, 45, 23, -76, -15, 28, 33, -22, -41, -62, -52, 37, -38, 54, 19, 59, 89, 12, -10, -26, 69, -79, 45, -34, -24, -39, -60, 65, 87, -47, 30, -25, -43, 54, 8, 29, -62, -66, -65, -66, 74, 75, 77, -69, -3, 46, -62, 16, 38, 35, 42, 29, 4, 23, -6, 57, -47, 18, -71, -26, 31, -48, 54, 2, -59, -51, -15, 48, 36, 31, 59, 56, 24, -51, 27, -20, -4, 51, 6, 85, -39, 21, -29, 26, -57, -21, 13, -59, 82, -54, 67, -4, -15, -36, -31, 67, -23, 34, 27, 16, 65, -29, 5, -56, 2, 46, -81, -18, -8, -23, 18, -14, -6, 77, 69, 52, 47, -25, 71, -50, -61, -13, -85, 45, 78, 7, 31, -28, 63, 84, -47, -69, 7, 81, 21, 21, 14, 73, -51, -69, 22, -23, 40, 93, 41, 45, -41, 82, 36, -7, 63, -21, 25, -1, -48, 38, -70, 3, 69, -32, -37, -46, 14, -45, -37, -51, -30, 89, -72, -35, -59, -21, 69, 49, 82, -44, 34, 51, -45, -72, 71, 65, -73, 4, -1, -73, -28, 28, -64, -44, 44, -41, 77, 28, -27, 46, -42, -50, -59, -45, 83, 16, 39, 60, 42, 5, -61, -84, 20, -61, -63, 2, 21, -49, -29, 80, 53, 26, -58, 41, 88, 18, 20, 8, -49, 83, 14, -9, -45, -19, -30, -29, -48, 45, -37, 45, 65, -66, -5, -19, 3, -64, -10, 63, -25, -24, 46, 5, 14, -49, 53, -65, -22, 5, -77, -56, -55, -69, -40, 73, -65, -53, -17, 67, 31, 9, 68, -31, 50, -25, 14, 72, -54, 62, -48, -71, -19, -3, 78, -81, 49, -67, 7, 64, 57, -22, -32, 36, -90, 73, 40, 74, -6, 21, -9, -25, -56, -48, 17, -19, 18, 3, 25, 40, -30, -49, -65, 17, -21, 62, -4, 90, -46, -72, 70, 15, 12, 87, 64, -55, -24, 63, 76, 71, 83, 31, -80, -19, 11, -14, -34, 8, 37, -63, 39, 1, 36, 1, 43, -33, 4, -26, -71, 29, 68, 82, 18, -42, 44, -30, -41, -48, -64, 9, 32, -11, 23, 48, 28, -43, -10, 45, 40, -47, -18, -1, -63, 68, 63, -12, 40, 30, -30, 39, -71, 9, -22, 75, -82, -61, -3, -27, 41, 43, -23, 5, -64, 33, 25, -37, -83, -15, 35, 35, -16, 9, 23, -79, 17, -59, -2, 10, -88, -68, -66, 69, 56, 84, 39, 24, -33, -60, 44, 84, 72, -38, -32, 9, -54, 38, 80, 84, -72, -24, 38, 85, -93, 82, 22, -58, -31, -21, 48, -12, -17, 6, 16, 80, -22, 46, 23, -59, -48, -81, -63, -12, 46, -4, 100, -22, -53, 12, 14, 68, 85, -21, -66, -4, -84, 43, 57, -80, 48, -51, -33, -22, -17, -39, 76, 73, 11, -28, 5, -58, 68, -18, 107, 46, 28, -43, 27, -45, -86, -24, -77, 86, 21, -59, 25, -12, -70, -23, -37, 75, 24, -34, -12, 30, 36, 37, -70, 82, 38, 20, 0, 1, -58, 8, 29, -54, -63, -29, -41, -82, -34, -23, -75, -75, 64, -45, 51, 79, 17, -18, -39, 14, -62, 65, -66, -18, -93, 8, -12, -38, -73, -82, -47, -13, -27, 17, -71, 61, -87, 55, 14, -24, -71, -86, 67, 85, -2, 73, 78, -46, -44, 90, -65, 19, -79, 20, -90, 49, 26, -23, -22, 13, 8, -9, 29, -50, 44, -64, -35, -37, -82, 25, -10, 5, 39, 52, -83, -86, 14, 66, 40, 51, -64, 24, 81, -69, 54, -65, 3, -66, 57, 34, 5, 11, 60, -37, 59, 71, -26, 44, -81, 14, 27, -77, 36, -75, -22, -8, 14, 28, 65, -36, 64, -38, 71, -60, 65, 35, 76, -41, -22, 39, 39, 89, -79, 12, 38, -7, 7, 28, -63, 31, 47, -60, 74, 23, 14, -52, 35, 27, -84, 47, -71, 12, 34, -16, 22, -48, 20, 61, -41, 71, -7, 75, -34, -68, -73, -9, -43, 75, 22, -45, -17, -22, 45, -33, -5, 7, 21, -14, 0, -71, 3, 41, 15, 83, 35, 58, -43, -23, 38, -32, 62, 39, 7, 56, 41, -25, 61, -34, -4, -30, 99, 19, 40, 59, 62, 18, -39, -62, 19, 45, 36, -68, -36, 83, 40, -12, -22, -23, -14, 27, -23, 80, 72, 77, 3, -16, 48, 19, -5, 14, 21, -12, 41, -12, 71, -32, 42, -76, 76, 33, -29, -27, 37, -58, 80, -6, -45, -28, 3, -48, -27, -42, 64, 75, 33, -73, 4, 25, -48, -46, -35, -60, 54, 67, -7, 53, 51, -64, -49, -31, -35, 38, -3, 21, 37, 4, 14, 48, 28, -71, 65, -39, -16, -5, -32, 50, 69, -83, 46, 60, 26, 18, -13, -2, 12, -1, -35, 78, 80, -21, -22, 10, -72, 14, -41, 58, 57, -9, -60, -69, 21, 8, -50, 47, -57, -31, -53, -38, -56, 67, 4, -38, 25, 45, 69, -44, 19, -29, 55, -35, 29, -56, 72, -72, -67, 68, 33, -71, 59, -42, 76, -34, 41, 16, 53, 31, 0, -14, 42, -64, -18, -20, 47, -26, -69, -27, -71, -35, -68, 61, 82, 14, -17, 77, -71, 33, -20, -51, 45, -78, -78, 79, 2, 56, 33, 72, 30, 74, -47, -63, 41, 65, 11, 30, 61, 9, -50, 39, 45, -45, -53, -45, -18, 47, -5, -36, -4, -15, -52, -80, 78, 57, -65, -80, 47, 42, 14, 14, 59, 23, 85, 77, -69, 43, 3, -62, 62, -64, -16, 42, -25, 4, -40, 78, -53, -33, -45, 27, -34, 27, 58, -6, 64, -70, -7, -4, 3, 16, 14, -2, -66, 25, 15, 19, -32, -53, -57, 90, -63, 50, 52, -33, -22, -64, -37, -62, -50, 61, 71, -68, 54, 73, 5, 53, 64, 93, 67, -24, 48, 32, 56, -71, -26, 21, 29, 88, 26, 85, -44, 64, 33, -3, -62, 99, 17, -26, 69, -41, 83, 61, 14, 39, 52, 19, -41, 12, -17, -64, 5, -1, 20, 79, -43, 11, -31, -75, -48, -58, 13, -21, 15, -18, -38, 33, -51, 10, -62, -13, -64, -34, 18, -76, 42, 69, -17, 23, -2, -26, 34, 24, 31, -38, 41, 75, 50, 57, 54, -28, -34, -59, -65, -66, -41, -19, -27, 15, 1, -81, -25, -74, -40, -15, -83, 12, -36, -46, -10, -55, -17, -34, -56, -81, -54, 52, -5, -6, 9, 80, -16, -46, 10, -8, -10, -29, -28, -38, 78, -26, -76, -62, 82, 46, -17, -42, 45, -50, 6, 76, 56, 69, -80, -82, 59, 23, 34, -17, -42, 65, 10, -55, 67, 22, -14, -50, 82, 59, -69, -9, -34, -48, -17, 33, -57, -39, 33, 71, 43, 17, 45, 65, -26, 58, 59, 50, 26, -40, -18, -13, -11, -1, -54, -32, 53, -22, 21, -73, 70, -21, -59, 29, -54, -71, -29, 36, -1, 20, 52, 68, -84, 10, -59, -33, 40, 49, -22, 7, -49, 32, 70, 62, 28, -58, 37, 37, 63, -51, -14, 62, -14, 20, -70, -75, -28, -79, -1, -68, 44, -54, -71, -78, 79, 8, -36, 70, 24, 33, 36, 20, 68, -15, 76, -26, 40, 2, -38, -80, -86, -40, -36, -52, 79, -62, 54, 10, 33, -23, -8, 11, 64, 46, -79, 5, 3, 63, -42, 22, 72, -35, -4, -39, -69, -50, 10, -81, 66, 34, 61, 20, 52, 23, -63, -91, -10, 66, -12, 62, 29, 71, -12, 31, 67, 66, 10, -51, -61, 44, -46, -9, 21, -64, 27, -51, -2, 37, -48, -72, 10, -55, 96, 44, 68, -17, -50, -64, -7, 50, 37, 68, 61, 46, -70, -40, 23, 67, -65, -46, -20, -68, 22, 26, 25, 19, 15, -21, -12, 63, 38, 3, 52, -68, 11, 30, -74, -58, -63, 52, 69, 55, 21, 20, 62, 21, 50, 40, -31, -65, 79, 27, -67, 8, 27, 44, -68, -80, -59, 74, 66, 45, 21, -13, -14, -38, 21, -24, 40, -37, 10, -10, -8, 36, 16, 58, 36, -41, -1, 45, 48, 45, 91, -28, 49, -84, -73, -36, 23, -65, 35, 18, -72, 77, 72, -68, -14, -10, 73, 19, 5, 25, 10, 22, 56, 7, 16, -1, -30, 26, -35, -65, 20, -66, 60, -59, -8, 50, -62, -51, 45, 3, 53, 64, -22, -66, 62, -14, 35, -26, -8, -48, 9, -42, 1, -35, 40, -60, -25, 86, -6, -71, -65, -9, -54, -57, 10, 1, 75, -74, -67, -8, 31, -8, 5, 65, 0, -51, 42, -45, -65, -23, 66, 49, 69, -67, 58, 64, 17, -61, 30, -3, -76, 52, 20, -41, -30, -31, 8, -78, 12, -8, -66, 61, 24, -14, -10, -55, 27, 24, -25, -46, -78, -12, -34, 3, 13, -29, 63, -67, 78, 63, -82, -55, -61, 70, 46, -7, 1, -23, 46, -65, -83, -34, 56, 28, 9, 45, 56, 67, 58, -55, -11, -24, 5, 31, -62, -45, 17, -59, -66, 91, -60, 28, -56, -51, -73, 67, 90, 38, 0, 19, 10, -80, 8, -63, 22, -48, 5, 79, 32, 9, 66, 93, -32, -28, 69, 70, -38, 56, -9, 59, -17, -78, 50, -34, -36, -86, -4, -36, -72, -52, -12, 50, -56, 51, 11, 18, 12, 46, -56, 82, 57, -36, 32, 28, -57, -36, 3, 38, 3, 65, -34, -50, 84, 35, 7, 37, 17, 26, -58, 59, -5, 3, -32, 68, -6, -20, 11, -13, 80, 37, 77, 31, 50, 81, -67, 58, -77, -42, -60, -64, -16, 26, -79, 80, 3, 20, 1, 23, 77, -29, -31, -56, 84, -64, -57, 48, 32, 59, 72, 72, 27, -18, -59, -57, -51, -5, 6, 35, 52, 51, 5, -48, 51, -82, -36, -21, 2, -70, 67, -31, -39, -33, 52, -1, 29, 63, 62, 1, 69, 9, -2, 46, 31, -65, -69, 15, -62, 11, 12, 53, 41, -71, -28, 38, -74, -29, -4, -67, -76, 12, 7, -47, 30, -74, -82, -54, -33, 0, -63, 1, -49, -52, 34, -18, -2, 23, -50, -54, -15, 52, -51, 38, -2, -68, 87, 78, -15, 18, 7, 57, 64, 17, 26, 55, -48, 14, -18, -85, 4, 61, 40, -36, 34, 61, 75, 26, -78, -72, -47, 69, 0, -15, -65, 26, -83, 19, 50, -61, 48, -52, 9, -14, -25, -1, -42, 41, -82, -40, -89, 58, 47, 42, -5, -23, -7, 59, 2, 49, -16, 83, -5, 68, 27, 48, -33, 83, -65, 39, -53, 52, -65, 60, 31, -59, -48, 23, -78, 36, 56, -33, -61, 65, -50, 52, -20, 35, 64, -46, 63, -14, 12, -9, 33, -42, 51, -78, -76, 49, 23, 72, -48, 86, 16, 62, 20, 53, 30, 41, -40, 64, -86, 56, 57, -35, 71, 6, 9, 78, -5, 56, -81, -53, -82, -26, -81, 21, -56, -43, -77, -54, 40, -13, -11, 2, -77, 56, -79, 29, -3, 48, 61, 82, 51, -50, 18, -77, 63, -40, 2, 60, -61, -53, -35, 5, -26, -59, -82, -55, 52, 58, -19, -44, -25, -63, 10, -46, -46, -67, -19, -11, 62, -66, 45, 65, 11, 79, -26, -52, 27, -16, 4, 34, -2, -79, -36, 51, -83, -80, -71, -42, 38, 21, -70, -13, -40, -38, 74, -28, -10, 40, -36, -3, -36, 26, 57, 83, 13, -19, -23, 81, 50, -69, -50, 52, 71, 3, -69, -6, 72, -41, 69, -60, -4, 20, 70, -64, -27, -32, 13, -9, -26, -71, -41, -40, 22, 55, -80, -50, -46, 3, 54, 64, -85, 0, -50, 36, -9, -4, -41, -20, 57, -30, -19, -7, 31, -61, 16, -36, 77, 21, -78, 81, 30, 7, 28, -16, 14, 22, -80, -87, -58, 37, 67, 29, 70, 57, 8, 31, -20, -38, -16, 48, 30, -42, -62, -27, 65, -10, -61, -83, 4, -23, -16, -23, 16, 46, 51, 27, -64, -73, -79, 71, -39, -35, 24, -65, -61, 16, -47, -51, -53, 4, 89, 103, 70, -45, 11, -66, 57, -84, -65, -3, 42, 0, 9, 50, 51, -19, -43, -7, -22, 14, -37, -29, 7, 56, -85, 45, 30, -34, -71, -2, 16, 8, 74, 65, 64, 2, 66, -52, 4, 79, -32, -88, 11, -2, 46, -14, -77, -14, -51, -57, 24, -54, 36, -17, 62, 43, -47, -51, 61, 54, -30, 51, -41, -78, 71, 56, 59, -50, -79, 48, 15, 16, 9, -16, 22, -24, 46, -58, 23, -82, 56, 16, -27, -21, -68, -71, -57, -25, -24, 30, -76, 61, 54, -35, 27, 62, -3, -50, -30, -16, 27, -45, 9, -61, -54, -51, 62, -52, 39, -29, 28, 39, -32, -40, 14, 28, -51, -23, 28, 40, -34, -40, 83, -29, -4, -64, 17, 78, 25, 18, 39, 13, 73, 67, -77, -50, 16, 14, -21, -33, -70, 5, 85, -35, 43, -30, 23, -39, -63, 47, -38, -15, 58, -61, -54, -4, 8, 65, -47, -37, -38, -55, -15, -57, 4, 30, -55, 0, -1, 35, 27, 41, 67, -10, -52, 55, -60, -1, -69, -79, 69, 5, 13, -22, -73, -32, 12, -67, -70, -88, -29, 2, 71, -1, 53, 61, -53, -71, -53, 65, 2, 58, 25, -1, -72, -9, -93, -74, -1, 60, 63, -1, -72, -38, 31, -1, 83, 16, 58, 10, -38, 93, -70, 6, 29, 78, -12, 24, -30, 8, 49, -47, -24, -60, 23, -37, -23, 40, -40, -47, 13, 8, -23, 5, -21, 40, -17, -34, -2, 73, -31, 80, 2, -26, 7, 21, 43, -37, 37, -24, -45, -63, 82, 38, -67, -13, 31, 58, -62, 13, -71, -5, 67, -46, 81, 12, 21, 31, 56, 22, 61, -14, 37, 14, -49, 96, -80, -40, 42, -71, -87, -70, -63, -17, -34, -42, -35, -11, 40, -55, -77, -12, -61, 84, 31, -21, 45, 85, -68, -14, 66 };
signed char f53[147456] = { 0, -3, -22, 10, -18, -47, 8, 34, 8, 38, 20, 18, 34, 38, 18, 28, -46, -23, 10, -26, 18, -31, 2, 16, -19, -32, 23, -1, -29, -8, -24, 18, 43, -6, 36, 10, -4, -5, 42, 11, 7, -21, 10, -29, -23, 21, 7, 15, -14, 5, -49, -7, 32, 16, -37, -8, -6, 5, 31, -24, 22, 13, 22, 1, 15, 41, 30, 2, -12, 11, -39, 11, 7, 1, -17, 34, -32, 36, -13, -21, 29, -49, -18, -31, -29, 17, 29, 15, -37, -26, -46, -33, -16, -44, -33, 0, 32, -26, 35, -8, 13, -4, -6, 8, -7, 21, -6, -30, 22, -16, -22, -10, -44, 26, 30, -11, -11, 24, -25, 15, -11, -15, 6, 15, -23, 6, 31, 4, -25, 1, -44, 36, 3, 7, -4, -18, -8, -14, 40, 0, -27, 13, -37, 33, 15, -1, -24, -20, 6, -47, -23, -11, -43, 27, -47, -39, -19, -11, -12, -35, -42, 0, -16, 41, -9, -16, -20, -28, -25, 4, -22, -10, 33, -48, -47, -12, -22, 3, -20, -27, 35, -33, 43, 38, 14, 7, 44, -30, -2, -17, -19, 15, 40, -20, -27, -23, -37, 41, -7, -10, -36, -42, -10, -44, 13, 11, 26, -21, -3, -14, 27, -5, 8, 20, 7, -7, -31, 33, 42, -4, -27, -35, 29, 31, -22, 28, -20, 29, 18, -36, 21, 5, 44, 10, 34, 20, -12, 29, -38, 16, -18, -9, 41, -38, -30, 12, -15, 8, 29, 18, 29, -22, 24, 0, 19, -36, 45, 29, -7, -6, -27, -9, 38, -25, 9, -27, 25, 14, 4, -13, 16, -20, -28, 21, -44, -24, -40, 5, 29, 23, 2, 6, -35, 16, -28, -28, -5, 28, 19, -14, -33, -12, -8, -44, 20, -5, -38, 0, 8, -31, 21, 7, -43, 32, 14, 43, 41, -8, -12, 10, 28, -33, 39, -28, 22, -25, -26, -16, 35, 22, -13, 18, -53, -40, 45, 20, -35, -10, -5, 28, 36, 24, 2, 43, 8, 28, -6, 23, -30, -22, 2, 9, 19, -42, -13, 43, 34, 12, 5, 20, -13, 43, 14, -30, -11, -34, -40, 17, 41, 26, 16, 43, -6, 5, -26, -47, 33, 3, 2, -11, 22, 32, -11, -17, -28, -43, -13, 28, 2, 30, -6, -16, -6, -11, 36, -11, -22, -36, -1, -28, 31, -42, -44, -48, 14, 25, -6, -41, 22, 8, -31, 2, -2, -31, -39, -9, 32, -24, 26, -34, -11, -20, -21, 21, -42, 23, 36, -35, -31, 9, 7, 26, -4, 32, 6, -35, 40, 16, 45, 10, 7, -17, -17, 1, 17, 39, -32, -7, 42, -30, -28, 15, 16, -33, 29, 22, 41, -42, -46, -50, 13, -9, -51, -49, -5, 12, -35, -8, 13, 18, -7, -3, 25, 26, -37, -29, 28, -1, 40, -33, 37, 30, -2, 37, -17, -36, -9, 21, -19, -6, 43, -13, -16, 5, -16, -32, 9, 1, -30, 7, 12, -13, -17, -15, 9, 23, 21, -10, -31, -13, 12, 25, 26, 33, 22, 18, -41, -6, -23, 31, -38, 42, 33, 28, 28, 22, -30, 21, 26, -10, 12, -12, -26, -32, -38, 30, 15, 27, 1, 21, 10, -20, -21, -39, -37, -41, 21, 32, -52, 27, -18, 2, -11, 30, 10, 41, 26, 28, -18, 29, 41, 23, -22, -41, -22, 23, 36, 26, -13, 20, -3, 10, 34, 31, 4, -20, -14, 2, 37, 7, -42, -39, 15, 20, -29, -25, -21, -11, -18, -24, -19, -46, 8, -1, 33, -6, -25, -43, 7, -17, 23, 4, 28, 28, -2, -14, 31, 7, -8, 41, -32, 15, 35, -11, 20, -30, 0, 27, 0, -42, 38, -12, 3, 27, -7, -20, 7, -39, 24, 18, 27, -20, -39, -38, -37, 10, -37, -25, -49, -7, 20, 40, 32, -36, -43, -8, -15, -45, 32, 29, -20, -24, -30, -12, -2, -3, 28, 10, 5, -7, -32, 21, -31, 34, -10, 4, -27, 39, 3, -35, 23, -43, -35, 15, -26, 43, -38, 31, 28, -9, -43, -15, -43, -29, 26, -31, -4, -27, -46, 2, -39, 16, 15, 43, -35, 4, -2, 30, 33, -2, -22, -40, 16, 11, 25, 4, -28, -32, 10, 1, -3, -18, 37, -24, 36, 16, 4, -2, 19, 10, 47, 32, 1, -20, -30, -18, 23, 7, -38, -14, 3, -25, 13, 34, 46, 43, 40, -11, 28, -44, -40, 0, 15, 38, 5, 23, -6, -42, 43, 9, 4, 18, 36, -45, -8, 2, -3, -27, -44, -11, -33, -34, 17, 15, 31, 8, 23, -41, 32, 1, -21, 32, -40, 6, -26, -31, 11, -6, -5, -17, -33, -45, 34, 37, -32, -9, -33, -3, 4, -7, -22, 30, -13, 44, 44, 35, 17, -26, -5, 8, -2, -35, 35, 6, 19, -7, 36, -20, 7, 33, -29, 42, -9, 5, 28, 24, 33, -33, 12, -29, 14, -12, 30, -31, -35, -27, 35, 29, 30, 7, -20, -6, -37, -4, 40, -44, -8, -36, 34, 2, 29, -44, -23, -29, 17, -8, 27, 26, 0, 27, 38, -40, 22, -24, 31, 18, -47, 4, 39, 22, -37, -14, 4, -33, -7, 23, -44, -30, -29, 40, -12, -31, 39, -9, 34, -33, 46, -49, -21, -4, -27, 14, -11, -45, 8, 34, -13, 0, -20, -20, -45, -9, -41, 11, -4, 21, -45, 42, -11, 37, -25, 29, -14, 33, 15, -10, -3, -8, 25, -25, -10, 32, -45, -17, -18, 19, -40, 22, 43, -7, 9, 0, -19, 35, -7, -43, 19, 5, 35, 13, -15, 30, 12, 20, 6, 8, 37, -39, -4, 11, 18, -11, 35, 13, 35, -24, 35, 21, 34, -20, -33, 42, -15, -4, 11, 16, -32, -28, 0, 6, -8, 12, 33, -23, -23, 41, 8, 13, 29, 25, -40, 10, 41, -22, -41, -5, 32, 42, -9, 9, 5, -34, 23, -4, 19, -42, -10, 38, -7, -47, -39, -28, 43, -15, -25, 13, -31, -30, 11, -48, -24, -1, -24, -40, -31, 17, -14, 11, -3, -5, 0, -30, -30, -41, -31, 15, 35, -14, -24, 7, 29, -19, -20, -1, -38, -22, -46, -29, -33, 24, -32, 32, -27, 2, -17, -20, 12, 26, 6, 2, 2, -5, 12, -32, 39, -10, 39, -31, -12, 29, 32, 42, -6, 18, -36, 16, 17, -13, 1, 18, 33, -24, 11, 30, 16, -28, -52, -23, -13, -36, 9, -21, -10, -29, -46, 30, 0, -46, 33, -11, -25, -8, -25, -24, -10, -34, -30, 38, 17, 7, -2, -8, 22, -11, 31, 28, 33, -11, 3, 38, -28, 7, 43, 9, 31, 22, 21, -28, -19, -7, -36, -34, 11, -12, 9, 21, 11, -36, 18, 34, 6, 3, -36, -51, 32, -7, 9, 43, -44, 22, 20, 34, -45, 44, 31, -34, -5, -37, 13, 22, 20, -34, -26, 13, 22, 38, 14, 10, 3, -31, -33, -2, -19, 22, -29, 24, -46, 39, 27, 4, 48, 25, 1, -32, -39, 26, -49, 4, -16, -33, -29, -7, -15, 11, 37, -27, -6, -9, -26, -29, 22, -18, -8, 30, 24, -20, 20, 41, 41, -9, -3, 28, -35, 36, -29, 20, -21, -19, -28, 24, -7, 32, -34, -4, -33, 3, 19, -24, -27, 0, 27, -39, 13, 42, -50, -22, -24, -43, 13, -3, -3, 39, 39, 7, 43, -29, -10, 36, 37, -10, -2, 36, -36, 5, -21, -38, -36, -36, 24, -48, 37, 4, -1, -15, 32, -30, -39, 30, -38, -33, -31, -2, -6, 9, -23, -14, -46, -3, 24, 8, -44, -39, 21, -15, -11, -1, -34, -18, -44, -25, -47, -28, 22, -6, -4, -46, -38, 26, -5, 40, 4, -39, 13, 5, 33, 21, -26, -34, -20, -1, -39, -25, 11, -6, 0, -35, 27, 17, -45, -14, -45, -45, 10, 1, 12, -21, -38, -8, 2, 3, 6, 27, -7, -6, -48, 36, -8, 33, -15, -38, 12, 37, -31, -13, -4, -18, -38, 5, 40, -39, 25, -24, 18, -38, 20, 15, -41, 8, -21, -44, -26, -46, 43, -1, -24, -42, 11, 13, 28, -37, 28, -5, -26, -43, 30, -17, -10, -22, -8, -24, 27, -45, -41, -14, -35, -23, -41, 34, -20, 3, -28, -24, 45, -24, 27, -3, 19, -38, 31, 8, -12, 18, -12, 31, 4, -28, 4, -35, 24, -6, -42, -45, -29, 42, 29, 14, 4, 42, 46, 4, 42, -35, -38, -20, 20, 8, 1, 34, -28, -50, -39, 40, -36, 40, 5, 46, 16, 23, 0, -28, 1, -25, 37, 46, -37, 46, 42, -24, -29, 15, -31, -15, -20, 1, -2, 40, 9, -35, 36, -11, 43, -29, 24, 6, 5, 41, 8, -22, 45, 35, 42, 28, 17, -1, 16, 11, -9, -29, 30, -17, -9, 2, -10, 1, -24, 39, -25, -29, 38, -6, -42, 1, 16, -40, -16, -47, -17, -7, -8, -15, -54, 28, -11, -29, 13, -40, 12, -17, 4, -25, 15, 16, 10, -21, -41, 1, -27, -32, 3, 29, -43, 3, -31, 28, -5, -43, -30, 14, 17, -2, -38, 23, -11, -46, -20, 26, 8, -10, 39, -43, -46, -21, 12, -38, -17, -8, -6, -1, -26, 47, -31, 30, -36, -8, -13, 2, -42, 24, 40, 34, -26, 21, -1, -21, -9, 2, -40, -6, 25, -36, -23, 16, 6, 24, 13, -12, -25, -26, 7, 7, 28, -28, 7, -2, 4, 23, -28, -17, 28, -19, -45, -2, 34, -37, 1, 26, -23, 17, 15, 3, -44, -37, 38, 42, 4, -44, -8, -25, -2, -8, 33, 28, -5, 34, -1, 45, -16, -41, 41, -42, -19, -9, 20, 15, 32, -45, -6, -14, 21, -6, -43, -32, -13, 40, -4, 44, 7, -7, -19, -16, 21, 10, -46, -2, 5, 37, 25, -30, 1, 22, -31, 21, 40, 44, 43, 16, -1, 12, 23, 9, 6, 9, 36, 26, 9, -16, -27, 19, 8, -21, 33, -17, 5, 36, -2, 16, -15, 0, -15, -1, 37, -37, 41, -11, 32, -2, -4, 42, -30, 36, 21, 20, 36, -15, 35, -34, -23, -30, 13, 10, 35, 1, 31, 44, 0, -40, -8, 30, -23, -46, -13, -39, -15, -17, 13, -40, -23, -41, -31, -41, -43, 14, -37, -25, 19, -29, -35, -18, 0, -35, -11, -5, -41, -28, 32, -35, -1, -10, -36, -30, -31, 24, 41, -9, -5, 24, -20, -39, 24, 18, -6, -43, -10, -33, -4, 28, -10, 20, -38, -11, 17, -26, -10, 8, -15, 25, 28, -27, -3, -24, 2, 37, 25, 19, 39, 4, -1, 27, 3, -45, -38, -10, 15, 33, -2, 23, -8, 34, -28, -41, 8, 41, -2, 36, 28, 38, 26, -4, -26, 40, -34, -12, -3, -32, -49, -20, -20, -13, -39, -31, -15, -16, 38, 14, -20, 3, -3, -16, -18, 16, -24, -36, 25, -37, -27, -1, -14, -36, 10, 25, 23, 13, 42, -49, 13, -46, -1, -31, 17, -1, 27, -1, 1, 16, 9, 30, -24, -1, -3, 24, 14, -37, 18, -38, 31, -52, 35, 26, 27, 36, 11, -13, 7, 35, -2, -25, -23, -36, -27, -24, 27, 21, -47, 19, -37, 29, 42, -40, -34, -15, 17, -39, 22, 43, -14, 32, -33, 22, 11, 32, -9, -37, -20, 35, 2, 15, 38, -33, -37, -35, -24, 25, -2, -30, -9, -13, 12, 30, 30, -4, 17, -24, -43, 38, 24, -20, -41, 4, 36, 9, -39, 11, 20, -42, -38, -26, -38, 25, -18, 26, -23, -23, 14, -28, 20, -44, 16, 29, 27, -9, 13, -16, 3, -28, -4, 37, -22, -37, 40, -30, 6, 26, -14, 7, 23, 31, -44, -44, 40, -35, -2, -38, -23, 2, -26, -32, -5, 44, 36, 33, -35, 30, 19, 2, 34, -18, -34, -48, 34, 26, -30, 13, -8, -46, 23, 36, -45, -25, -1, -15, 24, -28, 42, -24, 40, 9, 42, 26, -40, 37, 41, 15, 14, -34, 30, 32, 2, -2, -8, 21, -13, 37, 29, -30, -8, -8, 30, 31, -12, 15, -28, 26, 41, -30, -18, 46, 21, -27, -20, 28, -13, -31, 33, 8, 35, -37, 25, -20, 34, -1, -4, -1, -5, -16, -35, 6, 8, 10, -22, -11, -48, 24, -14, 57, 37, 44, -44, 9, 42, -18, -34, 11, 8, 26, -27, -39, -28, 7, 29, -26, -11, -9, 30, -14, 0, 23, -32, -39, 41, 38, -32, -18, -12, -5, 29, 12, -25, -37, -13, 42, -21, -22, -5, 35, -15, -40, 24, 14, -10, 9, 23, 23, 29, -39, 1, -41, -25, 25, 30, -26, 25, -13, 24, 43, -11, -39, -8, -33, 9, -31, -43, -16, -9, 29, -23, -44, -15, -12, -45, 39, 41, 36, -28, -23, 40, -36, 9, -23, 42, 22, 26, 42, -2, 42, 23, 26, -30, 40, -38, 4, 32, 35, -17, 14, -35, 3, 38, 20, -21, 43, 20, 29, -33, 5, -17, 27, -1, -17, 20, -8, 1, 31, -41, 13, 46, 10, 24, -14, 20, 0, -21, -35, 3, 38, 14, -50, -22, -44, -12, -18, 1, -42, 36, -32, 9, 7, 7, -37, 14, -36, 14, -6, 33, -8, -18, 34, -10, -24, -21, -12, -46, 13, -31, -39, 45, -42, 26, 15, -42, 1, -24, -29, 7, -19, -24, -24, -32, 40, -32, -18, -36, 46, 7, 32, 28, 42, -17, 36, -1, -1, 36, -40, -6, 40, -24, 19, -12, 25, -8, 34, -29, -44, 34, -35, 11, -19, -21, 9, -6, 3, -4, -29, -43, 12, -22, -7, -27, -31, -11, 8, 32, -39, 37, 0, -30, -17, 17, 43, 41, 39, -26, -16, -2, -21, -30, 10, -41, 8, -25, 1, 32, -28, 7, 15, -25, -38, 11, 32, 41, -46, 44, -21, -4, -32, 1, -21, 8, 5, 3, -15, -46, -15, 9, 12, -37, -40, 16, 19, -11, 43, -10, -31, 13, 41, -17, 43, -35, 40, -45, -12, 28, 41, 29, 17, 32, -38, -14, -34, 21, 16, 0, -21, -8, -9, -3, -47, -43, -26, 3, -42, -21, -29, 41, 49, 13, -37, -40, -64, 10, -18, -7, 10, 6, -4, 18, 38, 40, 26, -3, -7, -18, 16, 30, -57, -31, -32, -6, -29, -3, -3, 37, 46, 8, -11, 13, -6, 32, -33, 15, 51, -35, -6, 37, -46, -30, -12, -50, -4, 15, 28, -10, 20, 0, 2, -33, 38, 33, 9, 28, 8, -50, 17, 25, 13, -57, -11, 41, 46, -27, -38, 49, 23, -7, -45, 33, -12, 41, 16, -12, 38, -8, -13, -4, -42, 43, 14, 13, 27, 9, 54, 11, -1, -53, 44, 31, -21, -42, -42, -17, -21, 31, 11, -22, -51, 37, 27, 29, 12, -1, -28, 8, -3, 20, 30, 54, -39, -20, 20, -27, -11, -37, -33, -40, 31, -3, -33, -37, 52, 13, 35, 52, -39, 3, -21, 13, -16, 32, 24, 25, -49, 7, -6, 27, -60, -11, -16, 31, 49, 84, -54, -9, -17, -42, -58, -52, -13, -12, -47, 41, 30, -13, 19, 27, 3, 13, 38, 14, 7, -2, -16, 32, 27, -41, -24, 10, -36, 15, 25, 50, -7, -16, -10, -33, 24, 18, 33, -9, -21, 25, -4, -39, 53, -15, 27, 28, -9, -33, 4, -26, -22, -31, 23, -42, -30, 18, -44, -34, 4, 19, -5, 18, 30, 12, -18, 8, -21, -42, 49, 22, -24, -3, 39, -12, 52, 12, -2, -2, 16, -38, -4, 20, 14, -18, -39, 44, 42, -42, -44, 39, -35, -27, -7, 39, -42, -8, -22, 43, -31, 1, 49, 12, -30, 23, -46, 20, 37, 33, 12, -48, -29, 12, -27, -27, 35, -24, 14, 18, 43, 40, 39, -9, 42, 40, 47, 23, -34, 29, 11, 16, -12, -18, -33, -31, 12, 25, -39, 31, -25, -25, -7, 34, -1, -66, -31, 36, -23, -27, 13, 50, 37, 34, 40, -9, -12, -51, 60, 27, -6, -33, 15, -1, 1, 3, -36, 40, 39, -21, 30, -2, -27, 29, -40, -11, 6, 0, -30, -9, -49, 18, 4, 38, 0, 49, 21, 21, -32, -4, 40, 21, 17, -24, -22, 34, 23, 30, -25, -61, -4, -30, 12, -10, 14, -11, -11, 16, 18, 1, 16, -31, -43, -2, 5, 17, 2, 5, -48, -38, -46, 5, 13, -14, -45, -54, 14, -45, 14, -10, 36, 3, -36, -46, -6, 6, 30, 20, -17, 5, -11, 18, -5, -8, -9, 26, 55, 0, -29, -16, 23, 15, -13, -6, 34, 11, -28, -2, -48, -37, 15, -2, 6, 15, -36, -8, 8, -47, -7, -52, -25, -2, 15, 5, -18, -57, -39, 22, 11, -66, -43, -4, -21, 28, 44, 40, -9, -7, 52, 48, -29, 60, 67, 18, -34, -18, 3, -54, 43, 25, 40, -2, 32, 16, -11, 5, 51, 32, -33, 40, 14, -42, -50, -12, 0, 73, 68, -59, -18, 0, -7, -28, -39, -9, 18, -20, -30, -52, -65, -15, -27, -22, -7, 40, 3, 27, 15, 28, -27, -15, -2, -6, -34, -46, 20, -40, 20, -34, -8, -21, -5, 3, 25, 34, 35, 17, 28, 33, 15, 8, 17, 22, 0, 34, -49, 10, 0, -49, -28, -41, -51, -33, -33, 33, -4, 1, 25, 36, 18, -36, 10, -45, 21, 31, 31, -5, -10, 67, -3, -4, -41, 33, 2, -63, -30, -23, -27, -15, 18, 8, 52, -52, -28, 16, 38, -22, -29, 41, -12, -3, 37, 39, 25, 38, 21, 32, -46, 21, -8, -31, 27, 39, 29, 43, 20, 5, 48, 14, 26, 32, -19, 11, -2, -51, -4, 13, 33, -40, 26, -46, -26, -36, 14, -49, 43, -24, 1, -32, -19, 7, 12, 3, 16, -11, 18, 12, 22, 36, -41, -20, -40, 14, 7, 47, -46, 18, 7, -17, 53, 18, -47, -8, -6, 24, -46, 27, -19, 12, 7, 37, -23, -30, 36, -2, -31, -1, 38, 25, 18, 0, 42, -15, 25, -13, 10, -9, -25, 19, 41, 27, -38, -31, 9, 65, 33, -14, 17, -31, -3, 9, -51, 12, 23, -33, 4, -48, -11, -13, 38, 39, 26, 15, -13, 0, 14, -7, 34, 33, 41, -21, -23, 9, 2, 14, -19, 29, -9, 15, 35, -20, 38, -26, -30, -31, 44, 30, -29, 33, -65, -22, 46, -38, -40, -15, -11, -7, 11, 20, 11, -12, 25, 11, 4, 7, -27, -27, 34, -4, -13, 23, -21, 9, -22, -10, -55, -48, -17, 31, 10, 11, -40, -1, -24, -57, -27, 15, -23, -6, 4, 5, 23, -36, 42, 9, -12, -57, 14, 50, -29, -28, 17, 63, -40, -34, -17, 2, -44, 20, 20, -45, 25, 25, 6, -11, 24, -43, -3, 25, -7, -14, -19, 16, 54, -39, -17, -64, -21, -5, -20, -26, 27, 15, -25, 10, 16, -50, 1, 15, -10, 18, 2, 56, 44, 49, -39, -25, 14, 11, 20, 13, 12, 25, 9, -12, 28, -11, -51, 0, -42, 4, -34, 11, -4, -26, -10, 8, -77, -12, 5, 4, -70, -10, -35, 21, 1, -22, -55, 38, 3, -17, 21, 17, 8, -14, 32, -19, -18, 50, -32, 34, -38, -21, 7, -4, -11, 29, -27, 39, 21, -2, 34, -41, -2, -54, -18, -42, -28, 39, -3, 13, -13, 50, 26, -26, 0, -36, -28, -33, -10, -19, -6, -3, -14, -44, -24, -20, -47, -15, -23, -28, 31, 31, 49, 9, -39, 2, 44, -45, -67, 13, 27, 37, 30, -18, 4, 0, -35, 12, 73, -41, 14, -32, -22, -4, -41, -1, -24, 1, -26, -9, -35, 2, 32, -41, 5, 23, -35, -2, -4, -35, 23, -6, 27, 14, -28, 6, -5, -11, -36, -43, -24, -18, -1, -19, 23, -40, 33, 16, 7, -12, 19, -47, 21, -45, 27, -27, -11, 36, 3, 16, 50, -47, -34, -16, -17, -37, 36, -41, -39, 41, 19, 8, 29, 12, 36, 30, -40, -33, 20, -30, 32, 26, -10, 38, 42, -5, 66, 13, -15, -26, 26, -7, 40, 2, 0, 34, 9, -28, -3, -40, -10, 3, -31, -8, 31, -73, -55, 47, -41, -22, 26, 13, 0, -33, 53, -27, -14, -9, -34, -4, -18, 5, -2, 70, 36, -11, 38, 37, 27, 4, -11, 30, 16, 14, -2, 0, 19, -29, -22, -45, -14, -35, -19, -16, 7, 29, -30, -47, 18, -6, -15, 34, 35, -16, -7, 41, 29, 41, 16, 41, -19, 12, 20, -44, -18, -48, 16, -19, 34, 27, 28, -42, 11, 37, -7, 1, -24, -11, 28, -8, -22, 10, 39, -26, 28, 8, 14, -37, 3, 19, -35, -44, 26, 17, -29, -45, 23, 63, -12, -32, -13, 1, -38, -17, 14, 33, 21, -33, 27, 37, -46, -7, -15, -4, 18, 32, -40, 33, -2, 30, 1, 13, -8, -48, -17, 11, -5, -54, -32, -1, -11, -24, -48, -25, 2, 14, -2, 0, -38, -45, -10, 46, 37, -1, -55, -9, -41, 10, -29, 29, -34, -17, -47, 24, 0, -11, -22, -3, 7, 21, 17, 11, -20, 9, -4, -38, 5, 43, -26, 2, -27, 7, -11, -45, -45, -43, -17, -40, 39, 8, -26, -32, 26, 41, -27, -14, -12, -20, -34, 31, -21, -39, 22, -21, -30, 35, -5, 2, 19, -42, 11, -33, -5, -46, -8, 22, 32, 33, -21, -39, -13, 37, 43, -34, 31, 5, -7, -5, 26, -8, -21, 40, 6, 22, -8, -5, 11, 27, 14, -3, 32, 22, 33, 8, 12, -36, -31, -19, 29, -5, 26, 20, -4, 27, -9, -5, 20, 28, 14, 23, -12, -17, -32, -13, -38, -24, -27, -30, 21, -36, 27, 37, -3, -4, 28, -8, 38, -11, -4, -13, -18, 21, 30, 0, -28, 0, -12, 29, -36, 24, 19, 34, -43, -41, 5, 0, -34, -9, 2, 43, -28, 2, -36, 33, 39, -20, -44, -20, -49, -22, 12, -14, 36, -20, 3, 6, -22, -21, 37, -35, -25, -27, 41, -15, 0, -40, 11, 30, -34, 8, -27, -33, 46, -32, -10, -29, 40, -14, -32, 2, -12, -10, -42, -20, 30, 5, -35, -25, -28, -16, 31, -20, 41, 0, 26, 33, 28, -46, 30, 39, -7, 11, -42, 42, 23, -17, 10, -35, -14, 45, 24, 23, 41, 4, -25, -42, -24, -21, -40, -1, 44, -41, -18, 9, 7, -26, -24, -16, -41, -17, 20, -8, 20, -28, -38, 30, 13, -30, -33, 3, 28, 29, -13, -42, 14, 27, 21, 1, 36, 3, 20, -23, 1, 25, -43, 0, 40, 32, 24, 46, 0, -33, 4, 32, 15, -24, 10, 17, -26, 35, 22, -19, -25, -15, 14, -31, 40, 26, 19, 12, -40, 46, -2, 30, 41, 14, 37, 31, 24, 20, -3, -11, 40, -4, 6, -6, -35, 21, -5, 41, 41, -16, 35, -35, 27, 37, 23, 22, -16, -46, -9, 27, -10, 8, 22, 19, 26, 4, -41, -34, -16, -20, 17, -41, -11, -29, 24, -10, -34, 33, -32, 21, 28, 4, 11, 11, -3, -39, 8, 41, 20, -16, 26, 37, 31, -6, 31, 42, -29, 19, 32, 30, 46, 12, -39, -30, 19, -18, 43, -11, -38, -42, -19, 23, 19, -33, 39, 15, 42, -37, -36, 0, 24, -3, -11, 37, 28, 17, 12, 18, -8, -31, 16, -15, 35, -7, -20, 7, 19, -44, 40, 6, 16, 39, 14, -13, -23, 18, 30, -7, -5, -23, -8, 13, 9, 30, 30, -6, 14, -11, 36, 29, 9, -14, 31, 27, 13, 44, 11, -16, 36, -43, -7, 41, 50, 6, -37, -3, 26, 2, 8, 43, -3, 10, -20, 42, 12, -30, -21, -30, -35, 18, 17, -40, -23, 24, -46, 34, -34, -40, 17, 1, 31, -46, -21, -47, 18, -45, -17, -38, -33, -35, -18, 39, -37, -1, -7, -15, -12, -43, 44, -29, -34, 4, -33, -11, -8, -36, 43, -18, 20, -6, -25, 32, 14, 20, 28, -8, -36, 24, 37, 36, 12, -32, -39, 27, 41, 27, 17, -46, 27, -11, -22, 43, 12, -11, 17, -30, 10, -18, -41, 43, -6, 13, -44, -43, 31, 29, -13, 19, -43, -11, 40, 14, 44, -34, -15, -44, -14, 1, -39, -16, 5, 12, -26, -18, 15, -21, -23, -37, 15, 39, -43, 31, 40, -42, -46, -22, -26, 12, -2, -10, -8, -27, -20, 10, -29, -30, -1, 4, -27, -16, -34, 30, -24, 37, 5, 9, 32, -12, 34, -21, -33, 26, 27, -28, -39, -37, 28, -45, -42, -17, 8, 12, -22, 11, -9, 47, -31, -39, -21, 21, -44, -35, 47, -9, -21, 33, -45, -3, 23, -19, 10, -5, 15, -16, -16, -1, 27, 3, 29, 38, 42, 25, 33, 20, 26, -26, 25, 16, 21, -32, 11, -4, -35, -3, -18, -33, 26, 40, -31, -39, 9, -6, 2, 16, 39, 32, -45, 31, -4, 33, 27, -3, 31, -1, -34, 31, -11, -38, -34, 21, -19, -10, 0, 42, 44, -5, 44, -45, 40, -7, 31, -26, -15, -3, 19, 39, -31, 5, -11, 1, -10, 16, 27, 10, -35, 8, -6, 31, -27, -25, 43, 34, -42, -21, -25, 23, -27, 23, -42, 15, -12, -19, -41, -31, -37, 36, 26, 17, 32, -27, -15, 41, 45, 26, -35, 16, -40, -32, -2, -23, -15, -17, -11, -31, -12, 16, -33, 24, -10, -17, -23, -44, 8, -16, -26, 5, -15, -11, 7, -29, -12, -40, -15, -12, 25, -3, -39, -5, -39, -18, 15, -27, -11, 7, -23, 34, 24, 42, 27, -43, 27, -40, -26, -30, 41, 14, -24, -31, 44, -27, -31, -9, -9, 18, 43, -27, -42, 25, 13, 23, -6, -35, 43, 10, -36, 38, 37, 39, -6, -22, 2, -6, -35, -13, -46, 18, 4, 5, -14, -41, 32, -18, -20, -3, -24, -35, 25, -38, -35, 31, 13, -8, -22, 35, 35, 22, -48, 4, -25, 9, 36, -14, 16, 38, 8, -4, 29, 42, -44, 25, 24, 6, -34, -8, 37, 28, -23, 15, 0, -25, -27, -22, -1, -5, -9, -18, -16, -34, -42, 29, 18, -20, -26, -5, 9, 2, -20, 44, -34, -38, 14, 3, -29, -27, 22, 43, -19, 33, 37, 13, 9, -2, 26, -39, 23, -26, 42, 42, 30, -14, -34, -35, 13, 17, -11, 17, 28, 5, -10, 13, -43, 5, 34, -42, 32, -42, -43, 3, 6, -7, 46, 22, 8, -7, 30, -16, -27, -5, 3, -6, -36, -18, -28, -31, -33, -41, -1, -8, 28, -44, -6, 2, -28, -31, 23, -39, -4, 16, -41, 35, 43, -39, -39, -18, 40, 9, 22, -4, 24, -19, -25, 15, 3, -10, 19, 14, 34, 12, -33, -43, -31, 23, 3, -29, 43, 36, -10, 35, -40, 21, 25, -22, -24, -35, 33, 33, 8, 42, -35, -38, 24, -41, -11, 22, -11, -42, -38, -38, -39, -43, -41, -42, -10, -19, -24, -19, 42, -6, 32, -25, -3, -18, 39, 6, 1, 28, 22, 40, 29, 48, 2, -32, 2, 23, 30, -37, 15, 27, 7, 5, -43, 38, -27, 31, 10, -1, -8, -3, 21, -15, 2, -8, 41, -41, -9, -14, 19, 0, 14, -7, -40, -3, -30, 14, 44, 24, -41, -34, -16, -39, 6, -45, -8, 8, 21, -18, -16, -32, -44, -41, -9, -1, 44, 13, 22, -29, -41, 1, -20, 25, 38, -35, -26, -23, 8, -19, -22, -37, -42, 4, 2, -45, -25, 33, -12, -35, -2, 9, 22, 17, 1, 30, 18, 4, 27, -45, 8, -46, -46, -29, -16, -12, 4, 3, -33, -4, 10, 43, 18, -1, 3, -36, 17, -23, -21, -5, 37, -33, 36, -21, 32, -4, -7, 8, 29, 12, -7, 19, -12, 20, 14, 5, -44, -34, 20, 14, 0, 13, 13, -12, -31, 38, 34, 33, -37, -1, -19, 15, -5, 9, -40, 0, -42, -42, 6, -27, 16, 9, -6, -21, -14, -4, 15, 34, 11, -11, -22, 25, -1, -33, 30, 32, -32, -27, 23, -10, -52, 1, 39, -1, -5, 6, -13, 51, -47, 28, -21, -24, 32, 29, -31, -33, -27, 17, 37, 17, 29, 15, 21, 32, 39, 22, -41, 9, -32, -71, 25, 44, -10, -37, 34, 13, 34, 20, -25, 24, -19, 25, 27, 10, 19, -51, -16, 28, -39, -40, -2, -8, -33, 48, -5, 25, 34, -30, -18, 11, 6, -37, 35, 22, -25, 24, -36, 18, 28, 45, 13, 48, 7, 23, 8, 29, -16, 22, -4, 4, 32, 8, 11, 27, -32, 38, 3, -50, -32, -40, 19, -7, 7, -7, 36, -42, -21, -17, -25, -29, -13, -13, -22, -2, 20, 13, 14, 3, 17, -1, -2, -1, -19, 26, 32, 47, 49, -20, -6, -49, 3, 41, 5, -42, -12, -5, -34, -1, 49, -7, 22, -17, -31, 27, 24, 13, 30, -17, -8, 2, -12, 3, 20, -42, -20, -25, 39, -4, -33, 39, 25, 6, -4, -28, -9, 9, -36, 15, 21, -2, -26, -15, 17, -31, 11, -5, 8, 35, 1, 10, 10, -14, 23, -30, -31, 15, -10, -6, -44, -16, -6, 4, 1, 46, 36, 15, 38, 6, 25, -20, -1, 15, 30, -37, -33, 25, 18, 33, -24, -48, -38, -28, 19, -13, -9, -28, 10, -34, 6, 14, -44, 13, -26, -26, -44, 19, 36, 41, 19, -24, 37, 13, -27, -31, 34, 8, 8, 46, 7, -19, 15, 19, 15, 26, -34, -25, -16, -18, -10, 29, 18, -11, 32, 19, -11, 20, 2, 24, 38, -47, 21, -7, -28, 38, 19, 28, 35, 11, -31, 34, -23, -57, 37, 19, 35, 18, 15, 39, 23, 1, -7, -27, 27, -15, -4, 30, 24, -36, 5, -13, -44, 1, -13, 20, 20, -4, -22, 22, 16, 40, -1, -41, -12, -36, 6, -11, -11, -33, -17, 8, 53, -36, 16, -2, 3, 22, 9, 12, 42, 3, 48, -13, -6, 29, -36, 9, 35, 51, -14, 5, 43, -37, 6, -24, 10, -19, 40, 28, -13, -34, 14, -29, -11, -42, -29, 30, -31, 17, -9, -25, 14, 16, -21, 25, 32, 30, -18, 14, 4, 12, -44, -18, 6, -50, -9, -11, 24, 5, 35, 9, -24, 7, -35, -54, 32, -24, -36, 5, -15, 17, -40, -4, -37, 29, -38, 27, 32, -29, 32, 14, 25, -17, -52, 30, -32, 42, 7, -45, 0, 26, -30, -13, 14, 1, 26, 24, -5, -30, -2, 26, -20, -13, 52, 55, 15, -41, -4, -21, 21, -29, 19, -8, -9, 26, 46, 43, -2, -25, -33, -36, -27, 47, -43, -5, -14, -46, 19, 2, -52, 23, -19, -1, 35, 20, 39, -18, -28, -26, -41, 11, -6, 3, 8, 11, 18, -13, -15, -19, 11, 36, 18, 33, 44, -2, -42, 5, -23, -12, 6, -44, -34, -45, -60, 35, -43, -9, 36, -12, 4, 23, -14, -26, 22, 12, -36, 13, 31, -23, -46, -12, -24, -45, -5, 2, 14, -50, 36, 33, 44, 4, 17, 40, -22, -4, -14, 15, -27, 6, 4, 14, 0, 11, -12, 44, -33, 26, -7, -9, -42, 24, -25, -12, -7, -26, -8, 6, 22, -48, 43, 4, 17, 12, 27, 4, -7, -36, -60, 10, 4, -6, -10, -38, -1, -39, 38, 0, -1, 24, -29, -8, -22, 42, -54, 49, 8, -37, -4, 24, -2, -29, 0, -16, 39, -32, -11, -20, 27, -48, -49, -53, 4, 28, -40, 0, -9, -9, -7, -12, -33, -16, -44, 6, -7, -6, 15, 44, 6, -27, -43, -42, -22, -7, -25, -10, 23, -3, -15, 14, -45, -39, -22, -20, 26, 16, 33, -16, -37, 9, -21, -18, 17, 0, -26, 37, -21, -2, -16, 1, -11, -23, 20, -5, 48, 33, 24, -12, -14, -28, 33, -12, -45, 22, 26, -29, 3, -15, 13, -28, -17, 9, -44, 20, 12, 29, 18, 3, -15, -52, -14, -42, -19, -18, -16, 17, -22, -12, -16, -44, -24, -5, -28, -19, -18, -2, -31, -51, 6, -16, 4, -64, 11, 56, -33, 5, 16, -34, -36, -27, 1, -18, 39, 14, -28, 37, 24, -8, 14, 34, -28, -4, -24, 30, -7, 2, -7, 36, -32, -46, -15, 3, -39, -16, -50, 21, -28, -42, 29, 11, 5, -4, 5, -11, 21, 42, -51, -42, 44, -21, -20, 15, 7, -49, -22, 28, 28, 7, -18, 12, 27, 33, 25, -11, 8, -13, 55, 27, -36, -41, -33, -61, -32, 33, -35, -3, 20, -48, -30, 13, 35, 11, 27, -3, -36, 42, 15, 31, 17, -21, 35, 42, 21, 14, 11, 21, -15, 16, 1, -3, 1, -13, 40, -4, -27, -35, 11, 18, -23, -38, -33, 67, 1, -19, 21, 14, -52, -13, 32, 23, 36, 33, -35, 35, 4, 2, -40, -15, 12, -22, 25, -22, 14, -57, 18, -3, 13, -6, 16, -34, 48, -13, 13, -2, 43, -26, 29, 44, -31, 8, 21, 7, -23, 13, -39, 36, 2, 16, 10, 6, -17, -37, -2, 37, 11, -42, -22, -28, 5, -16, -25, 20, -18, 48, -27, -27, 51, 29, 31, -35, 25, 30, 24, -35, 8, 14, 25, -36, 31, -30, 10, 41, -24, 17, -9, -33, -40, 29, -26, -16, -29, 8, 11, 40, -23, -34, -33, -7, -23, 11, 13, -11, 23, 10, -9, 9, 37, 2, -24, -23, -22, -17, -29, 38, 25, -3, 17, 7, -5, -43, -6, -34, -42, -16, 25, -5, -14, -27, 14, -35, 24, 36, 24, -12, -46, -23, 4, 37, 13, -52, 20, -29, -17, 4, -23, -29, -10, 11, -19, 5, 49, 34, 14, 40, 26, 12, -12, 45, 43, 30, 22, -12, 29, 22, -2, 55, 34, 19, 29, 7, 55, -13, -15, 23, 19, -16, -37, -10, 17, -8, 6, -46, -34, -28, -19, 69, -3, -5, -26, -40, -4, -19, -7, -45, -2, 41, -11, -32, 1, -3, 43, 11, -14, 3, 2, 16, -13, -20, -12, 35, 13, 1, -42, 24, -32, 15, 23, 27, 28, 9, 32, -11, -18, -5, 31, 1, 26, -29, -28, 34, -24, 35, -7, -13, 3, -42, -2, -46, 18, 18, -50, -36, 47, 78, -1, 52, 56, 2, -7, 45, 33, -26, -23, 21, 16, -36, 18, 10, -19, -60, -44, -5, -17, 52, -9, 37, 0, 7, 9, 4, -8, -6, 25, 25, -14, 3, -16, 35, 14, 15, 10, 26, -26, -17, -15, 4, -11, 4, 28, -26, 14, 46, -22, 31, 36, 10, -46, 56, 23, -4, -4, 53, -72, 30, 8, 16, 28, 21, 16, -15, 28, -12, 6, 16, 34, -1, -18, -25, -18, -14, 12, -8, 20, 34, 15, 5, 20, -38, -14, -16, 26, 7, -11, -70, -4, 40, -2, 25, -2, 20, -30, 26, -24, 14, -6, -5, -5, -5, 6, 23, 14, 53, 17, -9, 34, 19, -22, 8, 10, 42, 40, 34, -32, 0, 8, -6, 43, -38, -31, 21, 21, 30, -16, 13, -54, 19, -1, -1, -10, -27, 26, 17, 20, 35, -16, 15, 3, -28, 13, -9, 16, -17, -4, -4, 15, 21, 31, -9, 21, 19, 26, 14, -39, 9, -33, 28, 0, -29, 24, -34, -31, 35, 3, -18, -23, -40, -9, 51, 32, 12, 33, -40, -27, -32, 26, 2, -7, -17, -10, -3, -41, -33, 2, -50, 1, -15, 8, -30, 26, -9, -28, 34, -2, 5, 32, 40, 7, -15, 9, -42, 14, -3, -44, -50, 6, 21, -38, -18, 24, 46, -29, 3, -23, -3, -20, -14, 3, 18, 9, -18, 1, -24, -36, -33, -27, 6, -10, -19, -2, -33, 37, -25, -1, -1, -35, 24, 38, 42, 14, 42, -8, -39, 29, 48, 45, 43, -30, -25, -4, 37, -20, 10, 9, -32, -15, 17, 12, -32, 24, -6, -13, -39, 55, 30, 30, 28, -14, -19, 12, -11, 22, -21, 59, -56, -50, -25, -29, 38, -5, -1, 2, -9, 32, 34, -24, -35, -5, -44, -43, 0, 63, 33, 17, 17, 50, 23, -35, 17, -18, -25, 14, -31, 5, -34, 2, -4, -26, 0, 18, 30, 18, -27, 44, 9, -28, -20, -8, 10, 19, 28, -18, -36, 38, -24, -46, -33, -1, -30, -9, -6, -59, 3, -54, -22, 35, 8, 9, 11, -4, -20, -1, -42, 0, -16, 15, -27, -18, -11, -42, 4, 27, 33, 40, 5, -28, 22, -15, 23, -24, 16, 46, 34, -30, -26, 26, -16, -12, -14, 16, -19, -41, 23, -7, -27, -30, 0, 0, 19, -36, 10, -19, 11, -22, -10, -25, -21, -14, -25, -10, 4, -8, 58, -22, 19, -17, -24, -31, 32, 40, 41, -26, 37, -28, 39, 17, 17, -36, -32, -19, -45, -13, -6, -12, 15, -14, 11, -47, -42, -12, -22, -48, -3, -12, -11, -57, -46, 21, -44, -25, 23, 20, 31, -10, -13, -5, 19, -31, 41, -1, 18, -20, -25, 7, 17, 15, -1, 8, -7, -45, -23, 35, 45, -8, 12, -27, -15, 6, -40, 18, 14, -31, -22, 33, 41, 3, 29, 27, 16, -6, 15, -31, 44, -18, 33, -29, 18, -24, -29, 20, 24, 25, -42, 29, -19, 17, -29, -7, -17, -20, -10, -25, -44, 34, 38, -41, -3, -8, -35, 22, 0, -12, 6, -21, -38, 45, 25, 1, 4, -21, 7, -33, -15, -62, -14, -23, 30, 24, -8, -6, 24, 7, 39, -21, 25, 36, -2, -38, 12, 27, 12, -12, -22, 17, 8, 37, 35, -40, -7, 3, 42, -31, 1, -15, 14, -20, -7, 31, 35, -19, -34, -11, -14, -1, 11, -49, -9, 53, -6, -37, 21, -4, -3, -20, -6, 23, 42, 50, 30, -13, 19, 21, 8, 30, 16, 30, 5, -27, -17, 18, -45, -31, 39, -29, 27, -8, -10, -29, 7, -28, -26, -43, -4, -16, -3, -17, -15, -17, 3, -19, 17, 7, -5, 43, 11, 3, 40, 28, -15, 49, -18, 6, 16, -41, -3, 6, -11, 32, -29, -10, 56, -30, -16, -4, 20, 38, 1, -19, 15, 33, 29, -2, -39, 20, 12, 27, -13, -43, 24, -41, 35, -26, 26, 25, -26, -38, -16, 39, 39, 40, 37, -21, 1, -1, 35, 25, -7, 3, -10, 14, 11, 47, -19, -9, -18, 29, 55, 32, -41, 28, -15, 17, 37, -22, -13, 44, 12, 24, -20, -9, 10, 10, -46, 13, -30, -29, 33, 18, 25, 27, 23, 2, 34, 0, -21, 17, 11, -6, 20, 37, 47, 22, 20, -12, -20, -10, 7, -48, -43, -39, -12, 2, 24, 2, -41, 22, 31, -19, -8, 19, 29, 28, 32, 28, -33, -28, 4, 24, -21, 15, 30, -27, -28, -12, 28, 30, 29, -5, -9, -8, 28, -39, 14, 33, -40, 38, 35, -19, -33, -1, 5, 69, -37, -11, 7, 21, -43, 20, -21, -19, -37, -11, -46, -43, -36, 50, -39, -24, 26, 29, -38, 41, -34, -20, -2, 27, -9, 37, 31, 6, -14, -1, -32, -25, -15, -21, 45, 23, -9, 13, 34, 12, -18, 28, 22, -31, -13, -25, 31, 13, 14, 18, -12, -44, 42, -33, -34, 9, 45, 40, 25, -23, -3, 35, -8, 27, 30, -29, 13, -9, -6, 7, -33, 24, -29, -22, -15, 39, 0, -25, 2, -21, 21, -8, -27, -25, 29, -18, 26, 10, 47, 13, 34, 16, 5, -9, 27, 20, 4, 12, -13, 15, -1, 17, -42, -10, -28, 11, 25, -51, 25, -23, -8, -1, -19, -12, -22, -4, 26, 14, 20, 20, -21, 17, -33, 34, 34, -15, -37, -23, -34, -42, -37, -5, -5, -22, 43, 22, -34, 10, 8, -6, 32, -1, -38, -18, -33, 12, 19, -39, -13, 20, 1, -29, 12, -32, -17, 29, -13, 6, -21, -14, -14, 12, -11, 50, 15, 61, 38, -52, -7, -45, 12, -52, 10, -3, -15, 20, -27, 5, -18, 50, -8, 3, 11, -3, 2, 5, 27, 36, 5, -40, 15, 17, -32, -5, 31, -32, -14, -33, 14, -29, -7, -46, -27, 1, -3, -11, 55, 41, 17, -10, 45, 36, -9, -22, 29, 49, 20, 20, -12, -6, -11, 11, 0, 15, -8, 1, 21, 25, 24, -23, -17, 19, -4, -34, 32, 34, -36, -40, 47, 3, 14, 0, 40, 2, 20, 1, -11, -44, 52, 0, 37, -27, -16, -1, -32, -23, 40, 46, 3, 41, 2, 6, 14, -55, 22, 7, -27, -3, -14, 30, 14, -14, -30, 26, -22, 6, -10, -9, -27, -9, -32, 16, -10, -44, -2, -15, 29, -3, -4, 25, 18, 6, 37, -42, 37, 38, 54, -38, 41, 3, 1, 33, 6, -7, -41, 18, 41, -30, -44, 10, -5, 25, 14, -42, -24, -13, 36, 31, -12, -23, -34, 8, -39, -35, -8, 10, 36, -8, -39, -31, 22, -39, 1, -22, 6, 38, -10, 11, -38, -15, 34, -32, 4, 4, -40, -12, 6, -13, 25, -45, 1, -2, 0, -6, -40, 25, -38, 13, 25, -12, 20, 0, -35, -38, 35, 20, -23, 49, 21, -12, -11, -33, 11, 22, -1, -18, -30, -51, -32, -23, 34, 24, -39, -6, -47, 17, -35, 9, -26, 40, 50, 23, 32, 45, 5, -34, 22, -38, -12, 32, -32, -2, -56, -5, -21, -21, -21, 45, 34, 30, 7, 37, 41, -24, -32, -28, 26, -30, -7, 24, 12, -24, 35, -25, -44, -43, 3, 23, -7, 33, -32, 0, -42, 36, -11, -34, 35, 17, -35, 37, -4, 20, 24, 22, -6, 36, -15, -2, 5, -21, 14, -26, -33, 28, -10, -38, 16, -17, -37, -44, 23, 28, -28, 31, -7, 18, -33, -49, 34, 37, -49, 8, 26, 9, 33, -32, -11, -47, -23, 33, -37, -18, -27, -38, 2, -16, -29, -24, 16, -29, 29, 58, -49, 22, -46, 34, 46, 34, -35, -5, -25, 40, 17, -28, -32, -11, -17, -43, -41, -32, 43, 11, 12, 34, -26, -9, -22, 29, 22, 7, 30, 16, 10, 28, -23, -61, -37, -33, -21, 0, -11, 32, 22, 35, -14, 21, 26, 18, -2, -12, 40, -4, -8, 1, 7, 28, 4, 7, -20, -33, -4, 24, -39, -27, -1, 23, -35, 10, 16, -24, 37, 31, -40, 27, 29, 5, -40, 24, 20, -47, 25, 27, 23, -13, 19, 18, -35, 34, -18, -34, -5, -30, -28, 45, 35, 34, -19, -18, -17, 17, -38, -23, -22, -42, -18, 44, -11, 2, -7, 38, 16, 4, -29, -2, 35, 28, 41, -42, -15, -31, 3, -25, -27, -23, 0, -5, -16, 43, -14, -26, -30, 27, -12, -17, 34, 27, -38, 3, 23, 6, 22, -4, 11, -6, 9, -14, -42, 16, -35, -9, 22, 14, -40, -26, 24, -39, 13, -19, 27, -40, -9, 14, 12, -11, -4, -15, 7, -12, -6, -37, -21, 28, 5, -8, 38, 40, -29, 29, -27, 27, 39, 2, -7, 33, -38, 7, -27, -27, 2, 20, 8, 17, 20, -41, 9, -36, -38, 6, 25, -26, -37, -5, -44, -40, -5, -24, -33, -41, 31, 49, -29, -22, -34, -3, 1, -45, 5, 10, 41, -41, -7, 19, 5, 29, -35, -3, 42, 12, 6, 43, 36, 17, 15, -29, -8, -37, 14, 11, 18, 35, -34, 12, -26, -3, -37, 1, 3, -24, 9, -11, -17, 5, -40, 11, -42, -6, 21, 13, -45, -15, 22, -26, -31, 21, 37, -29, 18, 1, -24, 30, 18, 32, 39, 26, 11, -3, -20, -3, -5, 32, 16, 4, -3, -10, -10, 10, -8, -12, 33, 4, 32, -38, 23, -19, 31, 25, -43, 32, -7, -19, -37, -30, 10, -22, 31, -17, 20, -45, 9, 22, -21, 21, 32, -21, -35, -35, -13, 16, -22, 26, 13, 18, 23, -27, 15, 35, -20, 20, -22, -48, 22, -7, 1, 27, 27, 15, 28, 25, -5, -44, -46, 40, 0, -41, -15, 1, -23, -42, 14, -44, -33, 6, -2, -21, -18, -29, -46, 8, 9, 35, -27, -12, 29, -28, 3, 44, -18, 6, -26, 36, -33, 7, -13, 45, -24, -31, 11, 11, -11, 10, 6, 38, -46, -8, 19, -30, -10, -6, -47, 11, -44, -18, 41, -40, 43, 2, -19, 36, -40, 3, -23, 41, 36, 35, -25, 21, -6, -45, 15, 8, -23, 28, -47, -3, 28, -16, -18, 35, -32, -44, -11, -6, 42, -8, 26, 31, -9, -17, -42, 13, -9, -36, -7, -22, -1, 15, 26, -28, -42, 33, 8, 8, -9, -39, 11, 30, -40, -44, 24, 20, 35, 16, 42, -23, -29, -12, -15, -23, 40, 4, -14, 34, 33, 5, 31, 14, -3, -39, 31, -16, -11, -12, 26, 1, -4, 4, -40, 21, 38, 38, -4, 19, -16, -49, -9, 13, -39, 23, -3, 37, 37, 45, -9, 8, 12, -28, 18, 9, 27, -29, 7, -16, 16, 11, 22, -25, -28, 41, 0, 12, -7, -27, 41, 38, 24, -43, 15, -45, 30, -41, -30, -31, -23, -13, -20, -46, -27, 25, 10, -15, -25, -37, -38, -5, 0, -34, 28, -1, 22, 8, -14, 38, 7, -27, -42, -18, 42, -16, -10, 11, -28, -18, -44, -12, -31, 37, -15, 26, -41, -12, 5, 8, -34, -9, -34, 36, 11, -27, -41, 45, 26, -39, 22, 20, -22, -42, 18, -44, -30, -38, -40, 46, 23, -45, 15, -22, 20, 38, 31, -46, -44, -22, 27, -29, 7, -32, 6, -5, -33, -33, 38, 31, -36, 31, 21, -9, 21, -31, -36, -45, -29, 46, -3, 22, -26, -14, -32, -42, -20, -15, 24, 4, 41, -26, 20, -19, 1, -40, -34, 40, 8, 39, -35, -37, 11, 43, 28, -7, 39, -14, 11, 37, -33, -4, -30, 32, 27, 4, 33, 42, -23, 0, 20, -25, 32, 40, -34, 28, -26, -12, -2, 18, 26, 36, -8, 0, 27, 3, 21, 44, -47, -45, -38, -8, 41, 11, -25, 24, -2, -3, 13, -25, 40, -31, -10, 30, -13, -2, -43, 13, 24, 12, -12, 16, 8, 12, 15, 27, -20, 12, 44, 44, 27, -29, 28, 24, 27, 21, -29, -40, -43, 32, 37, -36, 35, -24, -32, -25, 14, -14, 5, -33, 15, -19, 43, -43, -9, -45, 41, 9, -47, 7, -29, -46, -7, -23, -47, 41, -9, -1, 20, 13, -34, 2, 30, 8, -9, 43, -42, -2, -26, 42, -35, 15, 40, 19, 5, -21, -32, -6, -40, 19, -4, 5, -27, 1, -4, -29, 29, -21, -29, -11, -7, 35, -44, 22, -21, -45, -33, 25, 21, -45, -12, -31, -44, -29, 23, 35, 7, -17, 31, 19, 16, 17, -48, -40, 40, 28, 31, -16, -43, 19, -8, 36, 9, 38, -7, 5, -15, 31, 39, -32, 24, -9, 10, -35, -12, -27, -33, 2, -20, -2, 39, 34, -34, 7, 23, -15, -2, 9, -37, 32, -22, -16, -28, 19, 0, 24, 14, -48, 7, 4, -43, 25, 7, 30, -26, 15, -29, -5, 30, 29, -17, -5, -32, 10, 16, 10, -42, 29, -36, 30, -46, -36, 8, 23, -1, 21, -44, -10, 26, 24, 10, -16, 32, 33, 30, -27, -27, -12, 35, 6, -38, -30, 11, 17, -16, 42, 19, -2, 5, -23, -20, -37, 40, -8, -42, 10, -4, -10, 5, 40, 20, -35, -38, 26, 2, -37, -10, -41, -46, -11, 16, 36, -31, -26, 13, -43, 5, -45, 11, -9, -20, -17, -28, 18, 36, 7, 17, -9, 7, -10, 9, -45, 23, -9, -38, -44, -2, 2, -34, -35, -26, 4, 40, -21, 39, 43, 13, -34, 35, 16, -33, 0, -31, 17, -34, 18, 8, 11, 0, -34, 14, -35, -22, 28, 18, 27, 30, 1, -31, 18, -21, -1, -4, 23, 44, -46, 23, -21, 2, 39, -3, -19, 36, -36, -7, 21, 4, -17, 18, -24, -7, 45, 11, -5, -27, 11, 7, -9, 23, 16, 35, 45, -23, 18, 37, -12, 25, -23, 17, -39, 6, -5, -31, 2, 32, -34, 34, 1, 27, 24, 28, 36, -10, 33, -26, 14, 44, 14, -38, 14, -19, -49, -6, -30, -25, -3, -40, -33, 1, -19, -3, -1, 10, -40, -4, -42, 41, 2, 40, -27, -15, -44, -18, -43, 4, 28, 19, -42, 41, -41, -50, -42, -36, 34, 5, 43, 15, -39, -40, 38, -15, -7, 43, -16, -16, -38, 33, -38, -12, -49, 43, -29, -42, 7, -9, 15, -14, -16, -47, -35, 14, 27, -40, -34, 7, 21, 37, -14, -41, -33, 18, 46, -2, 33, 23, 36, -36, 21, -10, -1, 20, 36, 32, 32, -26, 23, 3, 28, 10, -42, -4, -44, -9, -12, 28, -3, 29, 14, -10, 37, -9, 8, -26, -8, 48, -14, -29, 41, -41, 36, -39, -34, -22, -18, -37, -36, -22, -3, 29, -38, -1, 26, -10, -32, 7, 9, 9, -3, 40, -3, 11, 25, -17, 28, -24, 5, 10, -24, -14, 7, 44, 1, 9, 38, -21, -36, 4, -29, -12, -13, 19, 42, -27, 19, -32, 41, -44, -24, -10, 0, -10, -25, 0, -8, 40, 41, -25, 28, -9, 47, -34, 15, 36, -17, -36, 14, -19, 16, -17, -11, -9, -11, 9, -46, 54, -44, 32, 39, -30, -22, 27, 39, -30, -11, 20, -22, 7, 37, 35, -4, 15, -31, 18, -19, 7, 22, -28, -15, -45, -8, 2, -9, 8, -33, 3, -42, 27, -7, 35, -25, -20, 38, 17, -39, 19, -40, -32, 46, 27, 12, 8, 18, -17, -43, 13, -14, -37, 44, -14, 39, -35, 27, -22, 11, -41, 30, 12, 18, -30, 63, 4, 55, 36, 18, 15, -8, 17, 2, 3, -30, -47, 28, -38, 10, -33, -22, 18, -4, 17, 10, -9, 20, 31, -25, 1, -4, -31, 8, 36, 12, -7, -35, 0, 20, -11, 9, -20, -3, 30, 21, 36, -3, -41, -10, 4, 46, -33, 25, -7, 21, 14, 28, 1, 25, 14, 7, 2, -33, -35, -19, -38, 38, -1, 0, 25, 6, 27, 22, -26, -50, -14, 1, -31, 16, -51, 19, 31, 26, -56, 23, -28, -19, -22, 4, 49, 63, -10, 22, 46, 9, -30, -36, 32, -15, 42, 18, -36, -16, 21, -29, -8, -32, -22, 11, 0, 10, -43, -15, 21, -26, 17, 30, 24, -25, 8, -21, 66, 13, 4, 25, -13, 23, 14, -41, 8, -35, 24, -22, 8, -32, -8, -36, -22, -40, -10, -8, 13, 35, -41, -17, 23, 0, 2, 2, -15, -20, -11, 32, 18, -2, -31, 14, 60, 8, 22, -23, 22, 15, 21, -9, 35, -12, 8, -47, 30, 2, -49, 41, -43, -33, -31, -1, 39, 6, 1, 56, 4, -24, 15, -20, 38, 27, 26, 39, 5, -18, -50, -31, -52, -47, -29, -23, 20, -42, -29, -17, 13, 36, 29, -17, -12, 46, -28, -29, 5, -3, 10, -11, 8, -1, 17, 20, -2, 21, 10, -32, 32, -4, 4, 23, -24, 18, -11, -37, 31, -31, 38, 26, 12, 15, -24, -24, 13, -12, -53, 37, -32, 8, 4, 4, -6, 23, -29, 3, -11, 41, 27, 6, -16, 9, 4, 20, -22, 38, 13, 30, 40, 22, 12, 14, 40, 20, -10, 31, 16, -17, -22, 13, 19, 2, 22, -17, -2, -40, 24, 4, -6, -7, 5, 10, -2, 14, -15, 8, -10, 15, -31, 0, 2, -44, 19, 13, -25, 11, 0, 6, 23, -19, 40, 27, -22, 63, 1, -60, 20, -36, -19, 23, -24, 29, 19, -30, 35, -13, -31, -3, 39, -17, 3, 3, -60, -22, 34, -43, -27, 27, -44, -6, -5, -21, 7, 30, 28, 22, -18, 30, -17, 23, -28, 0, -41, 23, -13, -36, -22, -9, -38, -14, 23, -26, 50, 35, 2, 46, -7, 18, 25, -40, 29, 8, -28, 48, -16, 46, 45, 25, -36, -15, 43, -11, 12, 0, -15, 21, -24, 5, 20, -22, -9, 27, -41, -41, 45, -10, 22, 47, -64, 14, -9, 1, -67, 52, 37, -40, 14, 2, 17, -36, 3, -17, -19, -28, -13, 45, 28, -7, 52, -3, 13, -20, 29, 17, -10, -31, -37, -27, -43, -30, 12, 3, 18, -8, -33, 0, 29, -26, 30, 0, 22, -22, -44, 18, 9, -47, -15, -11, -20, -18, 16, 36, -6, -1, -40, 19, 1, -25, 29, 25, -45, 41, -18, -43, 37, -34, 14, -33, -12, -8, -14, 48, 23, -30, -16, -27, 0, 3, -9, 5, -21, 15, -31, -45, 4, -18, -47, -18, 39, -34, -28, 17, 20, -8, -48, 18, -38, 7, 15, 18, 29, -17, -7, -39, 31, -25, -30, 18, -38, 24, -27, -34, 21, 9, -30, -19, 6, -38, 8, 7, -17, -43, -4, 21, 45, 15, 45, -20, -31, 24, -19, -4, -22, 8, 38, -36, 40, 35, 8, 42, -12, -12, 8, -14, -25, 17, -31, -32, 19, 22, 23, 17, 26, 5, 38, -37, 59, 7, 17, 8, 27, 18, -18, -1, -27, -17, 0, 28, -41, -41, 42, -23, 38, -5, 25, -26, -21, -22, -11, 21, -44, 7, 16, -20, 18, 21, 8, 42, 33, -19, 32, 56, 2, 20, 45, -41, -18, -36, -32, -39, 34, 31, 14, 20, 31, -45, -28, 9, 28, 8, 13, 13, -50, 12, -1, -56, -47, -25, -22, 11, 16, -23, 7, 44, 31, -28, 2, 31, -38, 12, 19, -21, -32, -31, -20, 6, -12, 36, -20, -62, -10, -40, 37, 30, 16, -40, -35, -32, -17, -12, -63, -29, 36, -15, 5, 14, 11, -36, -17, -10, -42, 9, 30, -2, 9, 19, -18, -42, 7, -1, -27, 4, 20, -14, 30, 36, 8, 23, -1, 17, 59, 2, -17, 41, -46, -4, 35, -45, 12, -31, 22, -26, -38, 29, -24, 22, 14, -12, -5, 22, 32, -36, -15, 11, -21, 26, 24, -20, 21, -5, 7, 35, -1, -22, 33, -50, 17, 5, 7, -36, 13, -32, -25, 28, 7, -30, -5, 49, -33, 9, -30, 15, -11, -27, 34, -12, -15, 0, -4, 42, -18, 23, -31, 27, 10, 34, -29, -15, 3, 24, 3, -30, 23, -38, 24, 2, 13, 22, 28, 15, -24, -4, -23, 47, -10, 28, 45, -33, 0, 62, 3, 33, 9, 7, 52, 34, -36, 46, 15, -6, 10, 6, -37, 45, 23, -41, -14, 39, -8, -6, 10, 7, 3, -17, -33, 16, -8, -5, 19, -14, -16, -49, 19, -22, -23, -42, -14, -3, -9, -33, -18, 9, -14, 10, -19, -16, -8, 36, -54, 30, -9, 8, 29, -32, -11, -24, -23, -3, -43, -18, 1, -3, -21, -48, -23, 3, 22, -23, 6, 0, 4, 12, 32, 23, 1, 14, 2, -6, 39, -3, 2, -7, 2, -6, -27, 42, -18, 33, -23, -29, -27, 5, -14, -20, -17, 7, 1, 58, 10, -20, 39, 32, 35, 35, -21, -31, -50, -2, 0, -26, -34, 25, -4, 35, -15, -30, 35, -16, 33, 33, -14, 34, -11, 61, -30, -24, -17, -4, -18, -24, -34, 29, 36, -46, -31, 46, 3, 16, 11, -30, -30, -4, -20, -17, 33, 37, -10, -24, 30, 26, -14, -27, 21, 25, 46, 29, -34, 7, -39, 12, -53, 29, -9, 7, 37, 2, 1, -4, -3, 16, -24, -62, 14, -8, -34, 27, 44, 6, -35, -15, 44, 44, 0, 28, -32, -31, -15, 5, -13, -30, 14, 69, -8, -24, 10, 41, -14, -19, 22, 25, -7, 3, -25, 17, 47, -18, -42, 19, 22, -26, -2, 17, 3, 39, 16, -8, 14, -5, 32, -41, 16, 14, -7, -32, 28, 9, 51, 14, -27, -17, 24, 11, 4, -37, -26, -22, 35, 69, -3, 29, -28, -22, -3, 9, 23, 11, 15, 18, -38, -35, 17, -19, 9, -26, 24, 9, -33, 25, -29, -27, 29, -5, -14, -38, 26, -11, -10, -42, 1, 17, 30, -14, 41, -28, 16, 0, -22, 7, -5, 15, 35, -47, 14, -6, -22, -20, 38, -38, -26, -36, 17, -2, -34, 40, -67, 9, 20, -4, 20, 5, 14, -23, 20, 10, -27, 18, 30, 22, -16, -10, 8, 21, -36, 16, 31, -21, -22, 12, 16, 16, 43, -24, 19, 22, -11, -19, -11, 17, 20, 14, 29, 18, -17, -41, 11, 6, -16, 40, 3, -21, 4, 32, -13, 36, -4, -42, -22, -25, -31, 10, 36, 32, -43, 34, -37, -41, -45, 45, -18, 25, -9, -1, -10, 35, -43, -40, -27, -2, -39, -44, 45, -18, 13, -24, 6, -14, -23, -13, -34, -47, 8, -43, 40, 20, -48, 6, 19, 0, -12, -39, 37, 11, 23, -5, 15, -34, -21, 1, -22, 17, 45, 25, -2, -5, 26, -10, -39, -10, 27, 22, 30, -4, -14, 11, -37, 43, -25, 33, -9, 0, 12, -11, 28, 10, -41, -26, -6, 13, 8, -33, -4, 46, -12, -6, 1, 7, 24, -1, 28, 20, 40, -33, 9, -18, -29, 16, -7, 16, 24, 24, 31, -39, 24, 4, 18, -32, -18, -37, -40, 37, -25, -42, -17, 37, -49, 5, 13, 40, -46, 35, 17, 32, -6, 22, 28, -36, -20, 24, -37, -40, 14, -30, 12, 32, 45, 29, -44, 39, 11, 42, 41, -4, 14, 32, -33, -30, -15, -16, 5, -44, 0, -27, 39, 3, -19, 21, 35, -4, -11, 45, 10, 34, -19, -26, -19, 3, -26, -11, 1, -46, -19, -6, 40, 34, 30, 41, 9, -25, 27, 15, 13, 7, 24, -38, -12, 19, 27, 39, -36, -25, -16, -11, -24, -1, -25, 2, 12, -44, -6, 6, -38, -5, -38, -25, 5, -37, 30, -44, 32, -10, -27, -36, -25, -20, -43, 18, -9, -6, 10, 8, -22, -41, -11, -23, 21, 26, -43, 6, 29, -3, -34, -9, -36, -28, -16, -14, -24, -4, 34, -31, 28, -26, 10, 15, -17, 14, 26, -34, 20, 9, 12, -32, 16, -30, -27, -18, -41, -37, -31, 33, 20, 16, -14, -8, 28, -2, -36, 20, -31, 25, 15, -39, 14, 41, 27, 19, -41, 2, -2, -9, -7, -28, 25, -11, 34, -8, 19, 22, 20, -9, -23, 10, 4, -41, -42, -6, -47, 31, 15, -5, 25, 43, -8, -45, 26, -10, -41, -32, 24, 19, 20, 10, -28, 43, 26, 8, 34, -36, -39, 5, 29, -16, 38, 33, -34, -3, -39, 27, -7, 41, 42, 25, 10, 32, 18, -32, 23, -21, -29, 27, 42, 30, 23, 37, -3, 15, -20, -13, 0, -26, 24, -40, -43, -45, -19, -23, 11, 6, 17, -20, 32, -7, 0, 14, 17, -19, 4, 11, -29, -45, -15, -9, 22, -42, -33, 11, 22, 14, -25, -14, -45, 22, -46, 23, 2, -8, 42, -3, 10, -3, -4, 22, -39, -1, 7, -23, -9, 32, -28, -32, -3, 41, -32, 23, 35, 19, -1, -5, 26, -42, -10, 41, 31, -37, -41, 9, 9, -21, 0, -9, 4, -14, -42, -17, -21, -27, -25, -9, -16, 22, 36, 15, -12, 35, -10, 2, -22, -20, 23, 32, -49, -15, 28, 12, -33, 5, -17, -13, 12, -36, -25, 22, -46, -1, 30, 14, -44, -19, -44, -1, -6, -5, 43, -1, 42, 36, -36, -15, 7, -27, 35, -31, 16, -44, -8, 34, -4, -6, 39, 8, 45, -8, -2, 25, 37, 26, 8, -34, -39, 10, 6, 6, 26, -6, 23, -18, -17, 21, -9, 46, 44, -45, -45, 33, 3, 25, 25, 3, 16, 17, 41, -40, 16, 42, 0, -34, 12, 20, -13, -31, -42, 35, -5, -41, 20, 6, -8, 33, 33, -1, 16, -32, -35, -26, 41, -48, -31, 26, -1, -29, 25, 8, -37, -27, 13, 25, 15, -22, -23, 0, 18, -14, 3, 10, -20, 21, -24, -31, 25, 42, 30, 29, 35, -32, 26, -43, 4, -6, 21, 3, -35, 29, -38, -35, -43, 26, -42, 27, -34, -47, -8, 33, 19, 2, -19, -10, -19, -34, -22, 41, -29, -8, -10, 25, 41, -18, -28, -7, 37, -2, -12, 2, -5, -3, 36, 31, 16, -22, -32, 9, -15, 36, 36, 29, 28, -5, 16, 12, 6, -37, -39, 7, 15, 12, 24, 15, -31, 17, 11, -38, -25, -23, -17, -43, -11, 15, -12, -11, 27, 12, -29, 35, 23, 3, -29, 32, -11, -27, 12, 18, 33, -40, 19, -40, -25, 45, 43, -43, 30, 26, -7, 38, 42, -13, 29, 20, 39, -6, 5, 29, 35, 40, -17, -7, -2, 31, -12, 24, 18, -8, -18, -14, 18, -4, -35, 7, -5, -44, -15, -10, -45, 22, 12, 32, -44, -31, 33, -29, -37, 30, -46, -34, -33, 2, 12, -15, -42, -24, -3, -27, -18, 19, 2, -31, 12, -11, -23, -25, 0, -36, 27, 46, 38, -12, -45, -39, -33, -19, 16, -38, 2, -15, 4, -36, -35, 31, -3, 35, -37, 33, -35, 6, -37, -35, 5, 25, 6, -28, 11, 10, 3, 19, -14, -31, 39, 27, -9, 23, 35, -45, -49, 4, 22, -14, -48, -6, -18, 37, 26, 8, 15, 2, 4, 32, -31, 32, -40, -14, 0, 40, -44, -45, -16, -46, -44, -35, -47, -18, -11, 26, 39, 40, -3, 1, 11, -14, 19, -41, 12, 1, -37, 23, 22, -45, -33, 1, -37, 6, -39, -19, -13, 11, 40, 9, -45, 38, -34, -27, 19, -10, 28, 14, -27, -38, -22, 6, -18, -12, 31, -26, -45, 32, 31, 16, 3, -34, -17, -30, -28, 33, -13, 30, 29, -22, -16, 3, -39, -29, -46, 41, 21, -33, -43, 45, -18, 35, -44, -46, -24, -38, 15, -14, -38, 27, -21, 35, -3, 20, 5, 11, 25, 26, -12, -2, -32, 9, -30, -37, 23, 45, 11, 43, 43, -38, 30, 29, 23, 38, 20, -23, 15, 35, 3, 25, 4, -20, 1, 21, -5, 34, -4, -38, -36, -40, 24, 12, -25, -35, 16, -40, 41, -18, -21, -22, 16, -15, -20, 28, -6, 8, 6, -27, 10, -41, -6, -15, -4, 12, -9, 43, -21, -12, -30, -14, -34, -20, 35, -47, -2, -38, -44, -18, 42, -12, 4, -20, -21, -46, -39, -32, 23, 3, 4, -12, 34, 10, 17, -5, 0, 27, -47, -23, 26, 4, 21, 25, -12, -12, 42, -26, -7, -25, -23, 18, 34, -11, -6, -1, 27, -13, 26, -27, 9, 25, 25, 39, 44, 29, -9, -41, -31, 1, 5, 5, -6, -43, 46, -22, 31, 18, -16, 32, -19, 8, 32, 38, 32, -43, -26, 39, 15, 42, -42, -4, -45, 7, 36, -25, 23, 23, 24, 19, -22, -6, -41, -5, 4, -18, -3, -22, -39, -3, -10, 1, -44, -3, 35, -19, -7, 21, -33, -25, 3, -34, 20, 34, 18, 5, -31, -6, -43, -40, 14, 17, -17, -44, 32, -3, -18, 12, -29, 0, -43, -6, -1, -17, -7, 1, -5, -11, 32, -8, -32, -9, -40, 13, 34, -15, 29, -29, -14, -35, 44, 41, 38, -26, 31, -17, 8, 32, 30, 36, -7, -31, 11, -11, 12, 29, 8, -40, 4, -38, -27, -10, 35, 17, -30, -14, -21, 2, 6, -29, -37, 42, -29, 41, -8, 53, 50, 28, -23, 21, -48, -18, -37, 11, 34, -23, -12, 18, -11, 20, 15, -20, -15, -41, 10, -27, -20, -48, -63, -73, 6, 8, -20, -44, 26, -38, -52, -7, 13, 10, -26, -44, -2, -46, 30, 28, 40, -35, 51, 27, -25, 38, 18, -3, 5, 10, -30, -33, 17, -20, 29, 33, -23, 36, -14, 13, -26, -2, -37, 33, -31, -23, 5, 25, 4, -13, -4, 19, 15, -5, 1, 3, -45, 24, 11, 58, 15, -15, -39, 16, 20, 9, 1, 34, 6, -4, -26, -32, -19, -8, -7, -20, -5, -10, -19, -44, -45, -9, -20, -35, -52, 29, -6, -8, 8, 34, 30, 10, 11, -22, -34, -35, 42, 6, -14, -19, 20, -30, 3, 14, -29, -19, 17, -23, 8, -4, -29, 6, -5, -17, 18, 3, 24, -19, -39, -5, 22, 19, -5, -13, -7, -14, -18, -54, -33, -4, 9, -14, 21, -6, 14, -11, -15, 8, -11, 47, 57, 1, 52, -22, -65, -34, 35, 0, -22, 34, 46, 25, -12, -12, -8, 32, 15, -35, -26, 10, 24, 27, -27, 35, -23, -7, -60, -10, -8, 35, -2, 4, -9, -15, -27, 34, -5, -20, -17, -3, -43, -31, -22, 36, 21, 19, -8, 21, -14, 35, 20, 14, -28, 29, -1, -6, -44, -25, -23, 2, 24, -24, -9, 21, -17, -25, -10, 20, -6, 40, 14, 19, 19, -44, 4, 16, 34, 19, 25, -35, -11, 1, 31, 20, 27, -27, 12, 41, -5, 23, 19, 0, 12, -41, -37, -5, -24, -16, 26, 3, -17, 17, 18, 9, 32, -5, -6, -41, 10, -34, -9, -3, -47, 42, -30, 26, 6, 12, -1, 11, -18, 20, -13, -6, -34, 40, 17, 31, -5, 38, -19, -16, 59, 3, -29, 43, 0, 34, 37, -41, 30, -5, 28, -12, 3, -15, 25, 35, -46, -10, 20, 14, -21, -24, -21, 7, 27, 34, -29, -17, 22, -4, -16, -8, -39, 18, 29, -32, -18, -33, 35, -11, 32, 46, -30, -53, 23, 1, 1, 42, 22, 20, 43, 25, 38, 5, 32, 7, 3, -16, 1, 11, -14, -53, 25, -19, 39, 42, 29, -22, -12, 29, 18, 21, 31, 22, 11, 37, -2, -24, -39, 20, -54, -45, -9, 20, -24, 0, 33, -19, -29, 40, -5, 11, -1, -23, 20, -14, -27, -28, -63, 23, 2, -40, 26, 12, 15, -19, -17, -41, 18, -13, 22, 20, 21, 23, -25, -16, 2, 21, 7, 24, -53, 15, -13, -2, -41, 12, 25, 49, -22, -22, 24, -1, 13, -41, 25, 2, -32, 5, 39, 18, 0, -42, 24, -19, 20, 9, 40, 20, 42, -20, -5, -2, 31, -20, 53, -3, 22, -23, -21, -10, 28, -35, 38, 37, -18, -14, -21, -3, -35, -39, 38, -33, -37, -19, -64, 7, -24, -49, -15, -16, 9, 17, -62, 23, 15, -37, 3, 3, -39, 3, -6, 22, -35, 4, -33, -8, -46, -18, -23, -45, -24, 24, 11, 28, -10, 30, 8, -10, 44, 8, 23, 40, 33, 26, 35, -42, -7, 14, -4, 22, -7, -24, -8, 17, -39, 24, 32, -22, -27, 22, 25, -38, -28, 37, 12, 45, -13, 11, 33, -31, 33, 12, -36, -60, 6, 22, -32, -2, -14, -47, -12, -35, 35, 61, 14, 10, -19, -6, -64, -22, -55, 40, 11, 15, 24, 24, 27, -38, -2, 7, 0, -39, -42, 19, 31, 10, 37, 21, -31, 0, -8, -27, -11, -10, 46, 14, 6, -32, 29, -15, -31, 6, -18, -5, -12, -48, -18, 24, 18, 18, 39, 40, -28, 14, 16, -7, -29, -7, 23, 14, -27, 41, -24, -17, -34, -14, 27, 7, 24, 9, -8, 57, 23, -11, -11, -37, -41, -20, -15, -30, -36, -4, -12, 3, -31, 20, 48, -30, -37, -18, -37, -16, -37, -17, -35, 6, 11, 16, -22, -24, -28, 44, 16, -7, 37, 32, -45, -8, 24, -10, 33, 74, 40, 9, -33, 32, -43, 9, -31, -23, -41, -30, -7, -22, -43, -29, -26, 31, -1, 2, -34, -34, 37, 24, 4, 38, 9, -24, 3, 16, 24, 24, -33, 10, -29, -15, 40, 15, -26, 43, 0, -37, 40, 3, 5, -29, 21, -50, -29, -12, -5, 4, -12, 33, 41, -36, 39, -36, 39, -18, -11, 17, -9, 1, 16, 12, -25, -7, -56, 31, -37, 16, 23, 46, -9, 22, -18, 10, 23, 33, 5, -1, 9, -18, 14, 4, 33, 39, 20, 11, -32, 27, 20, -6, -50, 28, 2, -35, -20, -37, 35, 31, -14, -3, -18, -14, -41, 40, -48, -18, 11, 9, -41, -53, -5, 26, 17, 15, -26, -46, -25, -32, -18, -27, 13, -29, -4, -6, -31, 36, -34, -17, 24, 28, -38, 38, -2, 25, -15, 27, 32, -16, -46, 2, 50, 18, 26, 18, -8, -29, 44, 33, 29, 7, 45, 6, -40, 23, -34, -60, 33, 28, 8, -23, 34, 41, 51, 28, -6, 0, -6, 51, -19, -24, 23, 49, 30, 23, -38, 43, -2, 28, -36, 0, 9, -5, 6, 11, 17, -18, 9, 20, 10, -4, 27, 27, -13, 28, -49, 20, 18, -30, 11, -8, -42, 2, -50, 19, 25, 12, -30, -22, -36, 23, 19, -8, 4, 24, -9, -30, -48, 1, -55, 26, -39, 34, -21, 42, -13, 28, -20, 14, -38, -28, -30, 12, -45, -26, 29, 10, 12, 18, 36, 8, 65, 29, 26, -41, 6, -8, 15, -27, 41, 20, 47, 27, -18, -11, 39, -6, 44, -48, -10, 31, -7, 44, -30, -42, 1, -6, 30, 0, -39, -25, -15, 18, 43, 41, -25, 18, 28, 21, 23, 21, 38, -44, 10, -9, -11, -27, -27, 36, 37, 6, 26, -17, -10, 29, 6, -5, -40, -5, -20, 17, -31, 17, -20, 37, 46, 54, 0, 37, 40, -5, -22, -17, 7, 26, -33, -10, 76, 19, -5, -30, -17, 30, 16, 40, -5, -17, -44, -1, -37, -20, -41, 25, -36, 2, 15, -38, 43, 16, 51, 20, -10, 7, -30, -9, -42, -54, -7, -17, -12, -5, -11, -63, 12, -11, -21, -6, 43, -41, -3, 19, 4, -1, -36, -37, -35, -40, 9, -4, 67, 53, 5, 16, -13, 8, -3, -38, -20, 34, -9, -35, -36, 19, 0, -34, -6, -27, -17, 34, 57, -55, 3, -2, 40, 39, 1, -6, 22, -21, -1, 40, -43, 32, 47, -43, -27, 1, -26, 1, 4, -13, 4, 40, 37, -15, -7, -5, -35, -6, 0, 22, 23, 7, 32, -19, -29, -11, 37, 23, 14, 26, 38, 15, 2, 33, -26, 18, 21, 9, -2, -1, 39, 21, -27, -4, 11, -45, -8, -11, 7, 12, -15, 4, 30, -44, -24, -24, 23, 6, -1, 42, -7, 38, 21, -31, -37, -16, -16, 29, -2, -18, -43, -14, -3, -3, -32, 3, -40, 7, -5, -19, -24, -50, -33, 6, -16, 13, -16, 30, 14, -16, -45, 6, -9, -26, -11, 12, -22, -2, 3, 24, 5, -14, 17, 12, -17, 6, 37, 58, 63, 0, -33, -43, 24, 6, 10, -31, 21, 43, 23, 24, 8, 20, -4, -5, -11, -25, 33, 21, -59, -23, 4, 3, -3, -22, 9, -8, -34, -16, 7, 6, 2, -29, 5, -9, -22, -59, 20, -9, -43, 14, -19, 53, -6, 22, -25, 25, -6, 28, 38, 38, 42, -41, 31, -24, 4, 21, 37, 20, 10, -22, 17, -43, 51, 13, 4, 32, -25, -17, 39, 21, -37, 14, -5, -6, -18, 7, -14, -46, 0, -18, 14, 6, 16, -67, 15, 9, 25, 70, 12, -26, -48, 15, -33, -7, 3, -9, 47, 35, -36, 11, 37, -41, -36, 34, 26, -29, 26, 3, 27, -11, 22, 30, 33, 9, -4, 33, -39, 20, -1, -5, 32, 7, -46, -27, -4, 4, 29, -19, 27, -9, 10, 4, -20, 36, 37, 9, 7, -40, -19, -25, -13, -23, -30, 13, -3, 23, 44, -16, -1, -14, 29, 7, 4, -49, 6, -41, 21, 17, 32, 42, -32, -26, -25, 13, 12, 33, 26, 27, 25, -15, 12, -24, -37, -9, 40, -7, -10, 19, 51, 25, -12, 18, -19, -59, -46, -38, -69, -13, 39, -31, 26, 9, -11, -6, -32, -27, -13, 24, -42, 22, -22, -9, -33, 9, -44, 34, -40, 23, -22, 26, 4, 16, -1, -6, -9, -2, 12, -52, -27, 5, -50, -4, 6, -19, -45, -10, -28, 18, -22, -36, 37, 18, 16, 23, 13, -1, -5, -48, -17, -25, -10, -9, -24, -34, 53, 21, -19, 25, -23, 35, 19, -25, 17, 31, 6, -42, -46, -9, 11, -48, -23, 5, -5, 8, 11, 39, 70, 38, -16, -9, 26, -10, 12, -6, 12, -59, 10, -18, -7, 5, -26, 31, 10, 9, -2, -6, 7, 22, 59, -21, 38, 15, 16, -37, -20, 44, -23, -24, -8, -24, 31, -29, 23, 2, 12, -12, -3, -34, 8, -9, 36, -9, -30, 32, 20, -18, 5, -53, 0, 8, 0, 26, 24, 33, 3, -36, -37, 27, 24, 16, 36, 16, 10, -25, -38, -5, -5, -17, -18, -36, 9, -9, -1, -3, -11, -20, 7, -2, -41, -9, 29, 1, 6, 50, 19, -5, 24, -2, 11, 11, 25, 33, -61, 18, 43, 18, -64, 43, 0, -12, -34, 18, -15, -33, 4, 3, 17, -26, -32, 10, 30, -33, 22, 76, 34, 21, -39, -28, -39, 4, -16, 37, 24, -13, -37, -5, -39, 27, -19, 28, -33, 47, -7, -42, 20, -6, 30, 27, -39, 1, 16, 7, -47, 45, -32, -27, 4, 29, 5, 44, 0, 25, -2, 40, 34, -6, -35, -23, 6, -3, -4, 11, 40, 23, -70, 8, -2, -12, -33, -20, -47, -26, -10, 38, 31, 1, -23, 40, 8, -19, 75, -2, -46, -28, -20, -12, -5, -30, 11, -22, -22, -33, 10, -41, 0, 34, 18, 22, -21, 3, -31, -15, 31, -50, 0, -8, 2, -24, 42, 9, 32, 4, 29, -41, 36, 39, 0, 29, 30, 17, 7, -8, 39, -30, -10, -34, 41, 19, -33, 46, 25, 44, -20, -3, -34, 28, -12, 15, 3, -47, 22, 26, -30, -4, 40, 40, 24, 29, 22, -11, -42, -67, -30, -64, -28, -24, -54, -41, 14, -40, 21, 26, -59, 43, -51, -14, -41, -28, -3, 20, -6, 35, 27, 25, 1, 6, 5, 1, 10, 9, -18, -9, 35, -33, -29, -7, -4, -33, -4, -20, 20, 0, -25, -31, -15, -54, 29, -13, -25, 0, -34, -32, -26, -31, 37, -9, -10, 11, 17, -2, -25, 11, 0, -25, 15, 22, -6, -8, 30, -28, -21, 42, -1, 15, 25, 0, 21, 2, -12, -3, 46, 8, -10, 18, -17, 21, 17, 17, -41, -3, -26, 21, 22, 5, 24, -41, 25, 34, -29, 23, 24, -34, 7, 22, 46, 13, -40, 20, 23, -33, -11, -23, 21, -36, -10, 22, 30, 51, -62, -24, -44, -26, 22, 1, -72, -43, -47, -37, 17, -27, -35, -14, -6, -22, 40, -10, 13, -13, -39, -24, -13, 3, 52, 10, 24, -6, 26, -18, 14, 64, 41, -13, -33, -9, -35, 47, 0, -26, 25, 29, 5, -1, -46, -37, -48, -31, -45, -2, -27, -37, -24, -16, 22, 34, 38, 31, 26, 21, 44, 15, -27, -65, 17, 35, -31, 11, -42, -3, -74, -19, 12, -35, 39, -40, -8, 14, -24, -38, -6, -2, -45, -19, -29, -22, -36, 12, -3, 32, 11, 41, 52, -7, -33, -16, 11, 26, 22, -41, 6, 29, 8, -19, 37, 25, -21, 24, 34, 5, 39, -9, -36, -32, 1, 7, 3, 18, -42, 22, 11, -33, -34, 5, -54, -47, -6, -17, 16, -48, -52, -26, 24, -44, 52, 20, -1, 19, 20, -13, -1, 3, -42, -41, -25, -36, -10, 31, 34, 12, 67, 4, 17, -4, 5, 26, 9, -21, -22, -25, 3, 45, 15, 16, 26, 55, -24, 21, 12, -46, -24, -16, -41, 6, 30, -12, 41, -40, -36, 32, 21, -38, 21, 32, -35, -18, 15, -16, 32, 26, -21, 17, -3, 47, -1, 18, 6, 12, -10, 18, 12, 7, 9, 23, 50, 30, -6, -6, 33, -22, -16, -1, -33, -27, -13, -12, 30, 27, -13, -24, 30, -30, -35, 26, -15, 38, -29, 27, 32, 42, 20, -16, 0, -38, 7, -29, 29, 2, -2, 9, 26, 1, -6, -37, -13, 5, -30, 28, -6, -32, 12, -9, -19, -65, 20, 54, 7, 11, -53, -35, -3, -4, -19, -41, 38, -9, -36, -4, 6, -18, 9, -26, -38, 24, 3, -40, -20, 28, -4, -41, -39, 51, 4, 27, -16, 16, -30, 24, 2, -26, -29, 45, 70, 37, 13, 13, 19, -22, 26, 57, 24, -19, -17, -40, 8, -16, -34, 11, -28, -28, -21, 13, 46, 14, -21, 1, -17, 5, -30, 36, 23, -18, 4, -21, -17, -44, -35, 0, 9, -31, -5, 32, 28, 39, -37, 21, 23, 27, 27, 25, 2, 45, 33, 42, 36, -39, 6, -15, -35, -1, -16, -60, 23, 37, -4, 3, 30, -47, 4, 27, 5, -32, -14, 17, 29, 5, 29, -31, -65, 28, 8, 6, 33, 35, -25, -20, -15, 10, -1, 25, -17, 49, 21, 23, 12, -36, 0, -57, -43, -47, -34, 13, -11, 20, 29, -22, 4, -2, 30, 35, -35, 36, 3, -27, 44, 7, 25, -32, -19, 29, 21, 4, -16, -4, -56, 33, 34, 6, 3, 6, -16, -4, 29, 20, -35, 4, -17, 4, -15, 39, 28, -23, -9, 2, -16, 1, 2, 2, 12, 5, -24, 26, 22, -50, -17, 37, 14, -53, -45, 13, -36, 40, 15, -35, 28, 29, 39, 6, -19, 23, -23, -24, 2, 2, 6, -28, 16, 6, -5, 58, -28, 27, 29, -9, 23, 16, -3, 12, 32, -44, -67, -19, -31, -2, -13, -15, 29, -38, -24, 25, 23, -36, -43, 31, -13, 51, 45, 8, 28, 17, -38, -5, 21, -14, -26, 15, -10, -31, -35, 31, -38, -20, 15, 45, 45, -28, 31, -28, -8, -29, 2, 2, -14, 2, 16, 13, 44, -32, -15, -1, 9, 32, 23, 29, 40, 11, 4, 1, 11, 23, -8, -40, -44, 2, -40, -48, 17, 11, 0, 16, 20, -32, 17, 6, 8, 35, -6, 29, 21, -12, -39, -4, -13, -54, -43, 4, 11, -26, 39, 21, 1, 26, -58, -31, -8, -35, -46, -7, 24, -40, 6, -25, 28, -14, -1, 60, -5, 14, -28, -55, -11, -52, -31, 32, -21, -41, 29, 4, 15, 42, 3, 8, 34, -17, -27, 25, -16, -43, 38, -35, 8, 5, 21, -9, -1, -24, -3, 18, 31, 7, -27, -11, 48, 13, -22, 7, 24, -37, 8, 21, -5, -30, 10, -19, -9, -36, 7, -44, -19, -41, 27, 29, -27, 11, -34, -30, -31, -14, 76, 55, -31, 49, 51, -24, -17, -31, 6, -24, 20, -4, -2, 14, -17, 34, -19, -17, -9, -46, -42, 22, 27, 15, -4, 1, -25, -23, 1, 22, 37, -17, -12, 18, -29, 1, 41, 27, 5, -22, 6, 5, -4, -66, -46, -25, 8, 3, 46, 22, -48, -17, -10, -24, 35, 15, 42, 22, 20, -8, 18, 41, 48, -45, 14, 5, 27, 26, -22, -41, -22, -24, -27, -31, -1, 15, 48, 50, 48, 49, -32, 39, 17, 35, 10, -20, -7, 23, 10, -7, 32, 20, -5, -13, -41, 40, -47, -5, -3, 3, 16, -4, -17, 55, -1, 27, 47, 28, -49, 26, 44, -22, -29, -17, -15, 40, -41, -14, -29, -31, -20, 40, 16, 7, 43, -18, 16, -29, 3, -18, 32, -18, -9, 6, 18, -16, -32, -11, 45, 22, 16, -4, 43, -22, 19, 13, -14, -23, -2, 21, -9, 1, -3, 4, -52, 4, 13, -9, 2, 21, -3, -11, 16, 46, -29, 38, 19, 25, 28, -2, -15, 42, 28, -38, -40, -21, 12, 26, 8, -18, -24, 9, 27, -8, -33, 3, -11, 30, 42, -40, 40, -15, -20, 3, 16, 0, 32, 21, -10, -45, 7, 1, 1, 18, 6, -20, -23, -25, -14, 15, -14, 21, 2, 33, -1, 7, 23, 0, 10, 8, -30, 36, -41, -3, -28, 1, 13, 35, 34, -5, -36, 20, 31, 37, 36, 21, -5, 14, 21, 0, -48, -64, -30, 7, -31, 22, 0, -17, -35, -36, -2, 10, 16, 1, -38, -30, 51, 18, 39, -24, -8, 6, -37, -47, 4, 31, 6, 33, -19, -5, -26, 4, -25, 48, 8, -16, -15, 48, -29, 13, 5, 30, 4, 25, -21, -12, 47, 18, -18, 0, 2, -20, 40, -6, 41, 38, 2, -5, 30, 38, -4, -24, -25, -3, -5, 16, 0, 28, 43, 24, -7, 22, -39, -36, -35, 31, 62, -13, 17, 42, -42, -31, -14, -34, 14, 9, 26, 19, 12, 12, -21, -9, 9, 3, -42, 46, -16, -11, 61, -28, 6, 5, -38, 43, -17, -22, 42, -29, 34, 13, -15, -15, 4, -46, 7, 17, 35, -40, -5, -31, 4, -35, 35, -10, 12, -5, -31, -10, -32, -13, -32, 27, -8, -14, -17, 18, -29, 28, 42, 21, 4, -15, 38, -42, -43, -13, 0, 10, -15, -56, -37, -10, -2, -3, -47, -9, 4, 45, -28, 29, 11, -15, -50, 22, 6, -23, 32, 19, 43, 2, 31, 18, -19, -11, -32, -6, -44, 1, -40, 8, -33, -18, 33, 15, -1, 8, 40, -22, 23, -5, -3, -36, 12, -37, -15, -53, 12, 15, 3, -11, 37, -18, -39, -30, 33, 16, -31, -35, -28, -8, -36, -21, 19, 34, 34, -28, -38, -18, 10, -37, 19, -8, -37, -5, 3, -4, 14, -19, 46, 16, -4, 5, 30, 34, 10, -1, -4, -35, 19, -12, -20, -36, -33, -14, 24, -12, 11, -7, -26, -15, -22, -22, -17, 9, 4, 14, 35, 7, 20, 28, -12, 41, 3, 18, 14, 17, -3, -40, -22, -22, -29, -24, -38, 4, -35, -27, -39, 44, -29, 12, 6, -31, -15, -29, -25, 13, 18, -31, 11, -40, -28, -42, 25, 7, -16, 39, -44, 18, 28, -26, -38, -32, -19, -43, -30, 30, 32, -8, -34, 19, -8, -53, 46, -37, -5, -6, -6, -34, 28, -16, 17, -40, 4, -7, -38, -15, 30, 47, 27, 45, -34, 44, -20, 14, -43, -67, 15, -14, -17, -38, -23, -3, -47, 25, -24, 28, 35, 43, 28, 1, -12, 44, -10, -41, 9, 21, 20, -47, 9, -19, -59, -8, 10, -34, -9, 35, -43, -19, -17, 7, 5, -29, -6, -5, -27, 24, -20, -48, -24, -30, 10, 47, 21, -20, 2, 21, 12, -2, -10, -13, -36, 9, -11, 28, 24, -34, 37, 23, 3, 61, 6, 48, 66, 54, 10, -26, -15, -36, 30, 32, 56, -2, 19, -22, 9, 49, -45, 54, 3, -21, -11, 20, -32, -30, -9, -18, -37, -6, -11, -5, 28, 27, 26, -37, -22, -10, 27, -45, -3, 23, -15, 17, -39, 1, 23, 25, -31, 17, 19, -6, 15, -14, 11, -47, 10, -5, -17, 21, 19, -26, 2, 19, -4, -73, -13, -32, -6, -41, 35, -5, 10, 14, -37, 0, -7, -16, 30, 43, -6, 28, -1, 25, 28, -51, -20, -11, -53, -31, -35, 26, 21, 6, 24, 30, -42, 57, 18, -22, 11, 35, -4, -1, -48, -37, 32, -28, -8, -22, 7, 37, 2, 19, -24, 11, -12, 15, 14, -34, -24, -5, -25, 29, -48, 10, -28, 39, -23, -11, -9, 39, 12, 14, 39, 44, -42, -2, 7, 24, -8, 38, 16, 27, 49, 50, -41, 19, -24, -10, 43, -18, 21, -9, -20, -41, -61, -44, -48, 24, -33, -46, 14, 35, -8, 20, -16, -17, 28, -31, -38, 25, -5, 41, -9, -38, 15, 28, 44, -42, -6, -31, -41, -29, 24, -34, -17, 6, 33, 47, 64, 14, -7, -27, -35, 24, -27, 30, -40, -46, 13, -46, 23, -3, 35, 17, -29, -18, -51, -16, -16, -1, -26, -1, 9, 12, -27, 6, -31, 39, 6, -40, 29, 7, -13, 36, 9, -14, 0, -15, 40, 31, -10, -3, 59, 1, -25, -29, -35, -2, -14, 5, 50, -8, 24, -28, -9, 15, 7, 12, 9, 27, -17, -27, 11, -49, 4, 15, 7, 32, 27, 2, -20, 16, -30, 34, 2, -13, 14, 7, 36, 43, -21, 15, 55, 21, -33, -31, -6, -31, 2, 0, -18, -4, 4, 19, 57, 10, 7, -50, -31, -21, 36, -2, 7, -2, 7, 41, 14, -39, -2, 27, -19, -3, -28, 10, -8, 50, 40, 44, 37, 41, 30, -36, 0, 19, 22, -6, 32, 5, 0, -23, -10, 10, -39, -48, 4, 1, 15, -61, -38, -4, -12, -1, 45, -6, 31, -43, 10, 15, -37, 7, -21, 12, 6, -26, 2, -19, 18, -27, -15, -21, -33, 11, 25, -20, 43, -27, 4, 17, -29, 31, 4, 6, -53, 18, 23, -56, -11, 21, -25, -6, -23, 26, 46, 7, 16, -13, 34, 23, -9, 30, -5, 18, 37, -32, 23, 40, -53, -2, 13, -35, 39, -7, 6, -5, -25, -23, 5, 2, -24, -5, 1, -19, 19, 11, -4, 38, -6, -9, 47, 6, 14, -6, 34, -14, 26, -47, 13, -20, 7, -24, 16, 29, 51, -54, -7, -15, 21, 21, 11, 29, -16, 9, 28, 11, -24, -2, 4, 35, -10, -11, 6, 45, 12, 41, -3, -11, 38, -3, -27, 15, -12, 44, 3, -12, 5, -31, 1, -24, 31, 7, 41, 19, -1, -15, 19, -38, -8, 35, -1, 1, 20, 16, -17, -56, 23, -39, 18, 5, 2, -16, 17, 7, 18, -17, -32, -15, 48, -33, 1, -8, -8, 30, 11, -19, 13, -27, -53, 50, 30, -33, 13, -2, -16, -27, -35, -16, 30, 7, 31, 20, 32, -32, -40, -40, -4, 9, -9, -7, -10, -28, -21, 14, -8, -38, -28, -31, -28, -19, -10, 8, -32, 15, -16, -1, -23, 40, -4, -17, 3, 12, 33, 23, 43, 54, 32, -29, 16, 26, -9, 14, -15, 19, 18, -17, -22, -65, -44, -55, 0, -49, -12, 31, -16, -38, -12, 10, 20, -9, -29, 11, -3, 31, -23, -15, -14, -2, -46, 1, 25, -10, 10, -32, 38, 38, 13, 27, -3, 32, 11, -10, -38, 0, -52, -9, -4, -19, -29, 14, -25, -14, -16, -33, -34, 3, 6, 7, -8, -42, 24, -45, 14, -12, -47, -43, -9, 2, -32, -16, -34, -12, -6, -37, -30, -11, -30, 28, -36, -36, -38, 20, 0, 46, 27, 29, 18, -28, 21, -4, -34, 24, -5, -21, 33, -28, 8, -13, 38, -9, 28, -11, -5, -15, 22, 4, 12, 40, 10, 0, -10, -1, -60, 25, 8, 5, 9, -12, 8, 13, 46, 39, 38, -2, 0, 10, 46, 39, 17, -4, 51, 0, -4, 36, 3, -27, -15, -32, 33, 17, -10, 16, 26, 16, -35, -17, 29, -46, -22, -15, -43, 37, -27, -14, -15, -17, -14, -42, -24, 30, 22, 6, 11, 5, -42, -13, 7, -37, 2, 34, -35, -38, 0, -38, -12, 50, 8, -44, 24, 26, -5, -6, -6, -7, 36, 16, -27, 7, 3, 8, -39, -43, 15, 13, -31, 18, 38, -33, -1, 8, 37, 3, -6, 1, -16, -3, -11, 9, -12, -14, -40, -26, 6, -23, -21, 28, -40, 2, -17, -11, -23, 19, -8, -10, -32, -29, 44, 32, -42, -28, -1, 19, -6, -7, 35, -26, 15, 23, 40, -47, -34, 38, -1, -36, -38, -44, 35, -55, 20, -49, 16, -12, -2, 29, 0, -10, -6, 19, 17, 56, 0, 7, 8, -13, -3, 5, 37, -14, -35, -69, 14, -45, -40, -27, 4, -20, -12, 12, 14, 29, 15, -8, -12, -7, -47, 58, 0, -51, -35, -28, 26, 15, 39, -22, 16, 3, 22, -32, -16, 29, 40, -3, 29, 3, 30, 0, -12, -33, -38, -27, -26, 36, -13, -21, -44, -19, 12, -35, -31, 16, 26, 34, -29, 9, -1, -25, -15, -43, 19, -42, -26, -13, 38, -11, 13, -25, 22, 4, 8, -14, 7, -19, -18, 1, 27, -22, -28, -4, -4, -15, 27, -4, -36, -53, -43, -19, -61, 6, 3, -37, -67, -18, 22, -4, 2, -42, 14, 1, -1, 2, 11, 30, 11, 1, 8, 36, 36, -28, -11, 12, -1, 13, 21, 35, -47, -34, 2, -16, 43, 57, -5, -30, 10, -52, -18, -45, 13, -23, -19, 19, 26, 0, -44, 21, 0, 18, 34, -25, 39, 10, 2, -5, -26, 15, -16, -43, 18, -31, 22, 3, -23, -43, 2, 12, 1, 19, 1, -13, 20, -23, 27, -8, -5, 4, 29, -25, 22, -14, 12, 17, -55, 15, -16, 8, -4, -4, 12, 15, 21, -23, 35, 40, -36, 44, 14, 14, -39, -22, 4, -31, 34, -23, 8, -3, 39, 35, 46, -22, -7, 29, 14, -49, -66, -64, -40, -41, -22, -29, -16, 9, -7, -19, -22, -21, 19, 19, 45, 27, -40, 14, 37, -3, 21, -34, -6, -20, -34, 8, 20, -17, -22, -33, -18, 15, -7, -34, -34, 38, 11, -23, 12, 17, 4, -44, 16, 22, 1, 40, 12, -30, -27, -21, 15, -32, 40, -28, 2, -30, 36, -10, 12, -36, 0, 22, 42, -31, -25, -36, -46, -29, -21, 4, -40, 7, 17, 47, 57, -32, -44, -3, -21, -40, 6, 32, -7, -1, 27, 19, 2, 47, -32, 22, -27, -47, 33, 40, 26, 25, 16, 27, 18, 36, 29, -37, -23, 27, 3, 21, 4, -19, -12, 27, 32, 3, -20, 21, -36, 24, 29, 6, -43, 27, 5, 34, 9, 40, 10, 34, -37, -31, 18, 11, 15, 49, 15, 14, 5, -1, 45, -18, -16, 12, 22, -46, 0, 35, 14, -2, -31, 37, 7, 20, 6, -20, 45, -27, -45, 17, -42, -25, -28, -23, 6, -6, 43, 9, 33, 10, -26, 44, 21, -28, 7, -48, -33, 17, 4, 27, -33, 40, 41, -2, -33, -27, -18, 42, -37, -41, 44, 5, 6, -35, 17, -8, 9, -3, 24, 1, 27, 32, 48, 13, 13, -13, 15, 0, 32, -30, -37, -21, -42, 0, -66, 31, -4, -16, 6, 6, -21, 29, 30, -10, 33, -16, 9, 25, -4, 15, 26, -4, 1, 12, -19, -13, 3, -2, 47, 6, 19, 59, 7, -12, 2, -39, 17, -44, -32, 1, -10, -26, 12, -52, -15, 2, 22, -42, 43, 20, 25, 20, 2, -9, -37, 8, -16, -45, 2, 7, -16, -20, 27, -44, -5, 8, 0, -45, -14, -43, 8, 2, -8, 22, -38, 9, -50, 21, 10, -17, 7, -30, 17, -13, -8, 10, -34, 13, -28, 0, -17, -28, 36, 36, 31, 32, -19, 42, -25, -38, 52, -1, -9, -39, -15, 24, -17, -30, -24, -20, -23, -18, -52, -23, 12, -32, 40, 47, 34, -35, -11, -41, -10, 19, 19, 30, -9, 27, 4, -12, 47, 6, 22, -10, 18, -47, 14, -37, 0, 12, 22, -49, 36, 44, -8, 3, -6, 10, -1, 9, 10, 17, -34, -29, 30, -34, 10, -3, 6, 26, 4, 11, -19, 8, 31, -19, -51, 50, -28, 38, 15, 34, 23, 45, -22, -25, 9, -4, 34, -17, 30, 8, 34, 13, -21, 26, 38, 30, 2, 8, -13, -41, 41, -33, -8, -45, -20, 4, 5, -15, -24, 16, 1, -66, 43, -41, -11, -23, 24, -6, -9, 5, -39, 24, -5, -13, 33, -38, 29, -24, 41, 47, -21, 11, -33, 27, -37, 19, -17, -56, -31, 13, -9, 20, 16, 45, -39, -28, 3, -63, -26, -8, 41, -14, -14, 14, 4, 19, 14, 42, -32, 34, -39, 5, -7, 10, -35, -36, 49, 10, 0, 42, 36, 11, -36, 40, -34, 43, 32, -5, 23, -14, -3, 15, -18, -15, 6, 7, 15, -45, -26, 16, -28, 34, 28, 36, -29, 3, -28, 31, -43, 5, 24, 36, -42, -42, -27, 28, 25, -12, -13, -8, 44, -23, -33, 20, -12, 9, -14, 18, -4, -9, -50, 20, -59, 15, -25, -50, -49, -54, 10, -37, -4, -8, 32, 18, -19, 18, -4, -27, 31, 18, -3, -55, -35, -5, -36, 21, 6, -8, -10, 12, -34, 13, -12, -29, -25, -37, -11, -1, -31, 43, 43, 2, -14, 41, -48, -61, -33, -7, -31, 11, 21, -34, -2, 25, -37, 23, 24, -23, 43, -36, 23, 5, 6, -18, 16, 39, 13, -30, 20, -27, -8, 5, -26, -15, 10, -3, -31, -2, -5, 31, -25, -34, 18, 6, -2, -9, 7, 9, 8, -4, 2, -47, -44, 14, -35, -20, 39, 4, 3, -17, 36, -8, -31, -8, 27, -17, -8, -48, -31, 62, -9, -32, -12, -25, 40, 40, 10, -61, 13, -54, -23, 40, 17, -42, 6, 50, 26, 33, -24, -46, -31, -32, -58, -64, 1, 39, -19, 26, 3, -32, 16, -30, 20, 5, -9, 18, 28, 0, -26, -22, 19, -18, -3, 43, 19, -8, -2, 31, -20, -19, 27, -50, -45, -18, 9, 23, -26, 3, 6, -36, -2, -17, 37, 38, -20, -29, 9, 36, -18, 15, -33, 19, -30, -14, 17, 4, -42, 43, 18, 0, -42, -2, 27, 8, 5, 24, -35, 18, -12, -39, 22, 21, 21, 27, 30, -3, -34, 13, -45, 9, 1, 20, -11, -2, 4, 10, -27, 34, 12, 20, -9, -23, 5, -42, -27, -44, 15, -45, 29, -16, 15, -39, 10, -3, 22, 5, 23, -3, -17, 50, 8, -7, 35, 27, 17, 7, 11, 15, -29, -16, -9, 42, 22, -21, -23, -8, 25, -42, 18, 3, 38, -18, 24, 21, 34, -30, -24, 38, -13, 32, -28, 14, 34, -21, 5, -7, 18, -12, 23, -6, -65, 16, -57, -1, -14, 6, 2, 22, 32, 23, -50, 32, 12, -5, -48, -40, 8, 16, 43, 44, -35, 2, -44, -4, -9, -19, 29, -48, -38, -15, 23, 34, 33, -15, -13, -7, 44, -45, -23, -29, -22, 48, 28, -40, 8, -8, -15, -16, -16, 32, 11, -8, -3, 41, -32, -11, -47, 26, 32, -48, -25, -28, -22, -34, 6, -26, 1, 24, 4, 22, -6, -40, -14, -56, -28, -50, 4, 1, -42, 27, -30, 60, 19, -8, -11, -23, -28, 3, -1, 0, -14, -17, -18, 11, -28, -26, -19, 37, 39, -23, 23, -25, 12, -31, 18, -15, 9, 37, -39, -23, -10, 24, 17, -5, -46, 16, 38, -32, -36, 33, 1, -8, 42, -20, -9, 26, 23, 21, -11, 14, -28, -35, -9, 7, -7, 9, 8, -17, 36, -17, 3, 13, 10, 33, -6, 11, 23, -22, 34, 6, -19, 34, 33, 4, 45, -6, -20, -20, -45, -23, 0, -64, -50, -58, 12, -4, -36, 20, 19, 18, -37, 36, 43, -21, -16, 4, -4, -23, -3, 19, 14, 28, 26, 13, -12, 6, 19, 32, -32, -3, -16, -2, 30, -4, -21, -26, 20, 7, 22, 0, 7, -5, -2, 8, -15, -43, 45, 10, 28, 44, 10, 27, -8, 32, -39, 0, -13, -22, -20, -4, 23, -48, 6, -9, -4, -11, 28, 45, 23, -37, 14, 43, -1, -81, -64, 13, -27, -28, 37, -56, -38, -26, 33, -17, -30, 23, 4, -26, 52, -4, -21, 10, -43, 7, 0, -7, -33, -47, 14, -44, 25, -57, -33, 14, -34, 53, -14, 13, 25, 15, -8, 17, 10, -8, -9, 1, 8, -16, 7, -40, 26, -9, -32, -1, 0, 27, 37, 40, -24, 23, 27, 18, -11, 17, -7, 29, -5, 53, -13, -37, 26, 40, 14, -29, 2, 18, -49, 5, 19, 17, 35, 35, 4, -2, 44, -30, -44, 22, -10, 1, -38, -41, -10, -24, 17, 49, 32, -25, 34, 31, -6, -10, 36, -5, -5, -8, -26, -5, -32, -27, -41, -23, -34, -23, 41, -22, 6, 25, 18, -1, -32, -41, 5, 9, 34, -26, -9, 43, -41, -40, 23, 19, 43, -7, -33, -3, 36, -2, -2, -45, -43, -34, 36, 52, 9, 9, 48, 5, 5, 11, 14, 6, -43, -14, 8, 28, 4, -5, -12, -15, 7, 15, 34, -5, 20, 20, 33, 17, -31, -29, -44, -12, -42, -3, 30, 5, 11, -22, -2, 21, 1, 40, -15, 4, 22, -17, -16, 13, 22, -34, 3, -3, 9, 13, 20, -7, -27, -42, -20, 8, 22, 30, 40, -42, -5, 27, 10, -12, 17, -11, 30, -15, 0, -39, 52, 1, 8, 31, -15, 6, -17, 26, 26, 28, 33, 36, -28, -24, 15, -21, -18, -10, 3, -38, 21, -18, -17, -11, -26, -9, -39, 3, 7, -15, -16, 27, -35, -40, -4, 18, 21, 39, -27, 31, 44, 32, 42, -22, 40, 32, -13, 12, 40, 3, 17, 40, -31, 11, 41, -26, -12, -13, 20, 28, 18, -30, 21, -18, 16, 49, 60, 37, 12, 16, 33, -2, 24, 2, -41, -22, -4, 4, -35, -26, -30, -34, -49, 8, -17, -2, -1, -40, 10, 29, -9, -34, -16, -25, 8, 1, 31, 12, -33, -38, -17, 24, -16, -13, -49, -27, -68, 32, -20, -9, 12, -37, -9, -13, -1, -20, 20, 13, 19, 18, -30, -43, 34, 36, 9, 19, -28, 0, -30, 7, -6, 31, 38, -3, 26, 26, -19, 19, 9, -2, 38, 42, 42, 29, -2, 0, 45, 18, 19, 22, -32, -28, -43, -24, 28, 7, -16, 39, 27, 12, -30, 0, 15, -29, -3, 26, -35, -7, -28, -18, 21, -5, -8, -34, -23, -42, -24, 31, -40, 31, 33, -40, -29, -44, 39, -10, 47, -14, 16, 17, 29, 37, 5, -35, 7, 15, 3, -26, -1, -4, 30, 2, -36, 24, 39, 36, 2, 29, 8, -21, -2, -13, 15, 7, 30, -23, 15, 10, -22, 19, -13, 5, 21, 24, -14, 4, -9, -2, -15, 12, -5, 20, 3, -6, -6, -5, 13, -22, 38, 10, -37, -1, 33, 46, -3, 37, 23, -20, -15, -35, 18, 37, 31, -30, 15, -33, 26, 24, -26, -47, -38, 1, 4, 12, 4, 26, -44, 19, -25, -45, 17, -28, -64, -13, 28, 19, -36, -18, -35, -35, 25, -11, -20, 48, -7, 21, 30, 1, 5, -40, 31, 27, 12, -34, 27, -2, -9, -18, -28, -13, 15, 6, -35, -18, -15, -14, -3, -31, -39, -28, -47, -21, 15, 45, -1, -10, -16, -10, 48, -2, 47, -15, 19, -5, 12, -1, 25, -25, -40, 29, -28, 14, 0, 20, -18, -29, -44, 27, -38, -13, -15, -25, -7, 8, -11, 4, 11, -5, 37, 37, 3, -19, 8, 17, 17, -20, -33, 13, 21, -35, 3, -12, -14, -44, 15, 30, -4, -28, -47, -3, -3, -32, -9, 18, 37, -35, 34, -10, 44, -29, 33, -9, -27, -21, -50, -57, 28, 6, -1, 21, 51, -14, 34, -27, 15, 15, 56, -54, -16, 25, 19, 6, -38, 21, 34, 16, 3, -2, 7, 46, -4, 33, -17, 17, -5, -29, 12, -8, -10, -28, 15, -15, -37, -27, -8, -37, -28, 41, -55, -11, -26, 6, 33, 25, -41, 18, 11, 47, 1, 16, -29, 23, 0, 22, 51, -49, -3, 13, -21, 10, 4, 19, -24, -2, -20, 42, -26, -33, -17, -37, -28, -2, 20, 10, 59, -2, -14, 32, 9, -21, 24, 0, 35, -21, 52, 18, -8, 36, -10, 45, 33, -24, -9, 7, -10, 5, 53, -25, -6, -21, -55, 33, -31, 4, 10, 40, 22, -20, -56, 8, -24, 28, 16, -17, -4, 27, -13, -9, 26, 29, -23, 9, -3, 1, 11, 11, 21, -35, 5, -3, 25, -10, -37, -1, 30, -18, 7, -11, 44, -17, 14, -31, -5, -34, -40, -61, 29, 31, -3, 11, 33, 20, 57, 47, -19, 4, -11, 24, -3, 64, 28, -40, -14, -24, -26, -19, 36, 8, 31, 5, -6, -30, -12, 32, 2, -41, 32, -28, -16, 6, 15, -4, 29, 20, 41, -1, 47, 13, 43, -38, 20, -18, 30, -9, 44, 23, -21, 0, 2, 29, 34, 25, -34, -11, 24, 2, 2, 13, -38, -31, -30, 6, -25, 27, 32, -45, 21, 5, 14, -42, 35, -6, -17, 12, 18, -47, 41, 1, 11, 46, 3, -37, 25, 32, 38, -27, 1, 9, -34, -5, 3, -3, -29, 15, -36, 42, 22, 9, 28, -34, -30, 27, 44, -4, -18, 29, 35, 28, 52, -21, -45, -2, 20, 15, -4, 36, -25, -6, 37, 24, 25, -5, 32, -16, 9, -21, 39, 26, -36, 50, -6, -7, 21, 15, -24, 36, 9, -6, 11, -13, -11, -5, -24, 9, 0, -31, -16, 18, 51, 0, 16, -19, -23, 50, 19, -50, 16, 0, -23, -18, -23, 27, 30, 10, -4, 10, 31, -2, 44, 28, -22, 29, 29, -1, 34, 5, 2, -30, 5, -11, 34, 46, 8, 29, 23, -34, -27, 23, -20, 33, 10, -33, 38, -13, -20, 1, -8, 3, 27, -15, 39, -19, -16, -22, 19, -40, -20, -22, 43, -13, 12, 2, 45, 24, -28, 35, -44, 30, -2, 8, 10, 15, -17, -20, -5, -12, 26, 29, -19, 5, -55, 9, -2, 5, 32, -1, -26, -27, 7, -22, 0, -34, 17, -7, 50, -5, -70, -25, 20, -41, -25, -4, 11, -14, 42, -6, -11, -5, 14, -39, 5, -10, -53, -24, -24, -18, -4, 31, -14, 7, -18, 26, -4, -6, 11, 6, -30, -26, -12, -29, -48, 34, 5, -27, 51, -28, -54, 4, 2, -6, 22, -18, -11, -1, 57, 27, 6, 41, -34, -19, -29, 9, 45, -41, -52, -26, -37, -10, 3, -21, -33, -26, 32, -17, 32, 23, 18, 28, 1, 21, 35, -5, -51, -27, -17, 7, -35, -34, 31, 4, -35, 14, -25, -42, 28, 39, -59, -17, -22, -30, 3, 0, -14, 33, 46, -31, -49, -41, -24, -25, -40, 13, 25, 8, -33, -36, -24, -38, 13, 26, -44, -44, -23, 40, -39, -13, -38, -9, -32, -1, -5, -29, 30, -30, 27, 24, 44, -9, 24, 17, 32, 6, -19, 14, 29, 13, 21, 16, -12, -6, -14, -12, 0, -16, -41, -29, 18, 21, 45, 32, -13, -24, -22, 14, -51, 16, 3, -33, -33, -17, -34, -32, -4, -4, 19, 25, -25, -5, -9, -6, 22, -22, -4, -22, -31, -20, -8, -42, -22, 7, 11, 54, -47, -11, 31, 1, -17, -18, -60, -44, 13, -5, -32, 6, -14, 27, -11, 14, -35, 56, 9, -54, -10, 12, 8, -4, 23, -36, -39, -31, -1, 29, 13, 5, -28, -15, -44, -31, 22, -43, -28, 2, 32, 19, -5, 1, -56, -29, 25, -23, 23, -35, -35, -23, -23, 5, -11, -11, -47, 15, 16, 23, 12, -31, -41, 40, 0, -8, -29, 33, -6, 39, 6, -16, 3, -20, -31, -17, 12, -30, -4, -13, -4, -34, -29, -3, 50, 8, -26, 20, 26, -49, 44, 31, 3, -20, -15, -31, -41, 24, 26, 1, 22, 2, -29, -37, 14, 28, -20, -27, 44, 13, 33, -25, 22, 16, -16, -1, -30, -46, 9, 24, -41, -32, -22, 27, 14, 44, 6, -11, -54, -34, -28, 39, 32, 58, 17, -53, -5, -10, -58, -28, -22, 18, 26, -41, -4, -22, -44, -23, -27, 1, 21, 34, 29, -4, 3, -26, -15, -8, 15, -5, 28, 5, -44, 4, -24, -35, -1, -20, 3, 14, 42, 2, -5, 27, 19, 29, 6, 54, 7, -27, 0, -23, -18, -35, 6, -16, -3, -39, -23, 33, -15, 23, -31, -41, 28, -18, 35, 37, 15, -4, 24, 23, 12, 24, -13, -12, 20, -2, 12, 14, 3, 0, -39, 16, 14, 22, -15, 13, 12, -22, -22, -8, -7, 10, 7, -5, 16, -9, 28, 8, 36, -4, 14, -23, 29, 12, 3, 8, -42, 17, -33, 4, -30, 9, 1, -45, 19, -4, -41, -54, -11, 2, -17, 39, -19, 14, -18, 9, -26, -35, -31, 19, 9, 16, 45, 45, 35, 63, -2, 16, 31, 23, 3, 39, -32, 42, -14, -41, 28, 7, 24, -1, 29, -35, 19, 27, 0, -33, -41, 18, -14, 5, -1, -13, 7, 22, -25, -10, 55, -41, 39, 15, 27, -32, -32, 3, -18, -19, 10, 31, -9, -39, 12, -57, -21, -33, 20, -37, 27, -28, 35, 2, 18, 22, -14, 29, -30, 13, -17, -2, 38, -39, 45, -4, 20, 12, -27, 24, 35, 58, 16, 14, -2, 27, 37, -30, -35, 19, 25, 27, 9, 51, -16, -5, 42, 40, 13, 20, -24, 33, -26, -15, -5, 3, -24, 20, 66, 33, 2, -34, 23, 40, -34, -15, 68, -25, -40, 15, 39, 0, 14, 52, -11, -21, -35, -6, 21, -8, 4, 4, 22, -14, -23, 33, 19, -11, 19, -8, -30, 42, -37, -38, -3, 32, -56, -36, -20, 15, -44, -2, -47, -13, 16, -16, -60, 11, 19, -5, -32, 40, -17, -19, -1, 21, 4, -23, 43, 31, -19, 28, -33, -12, 22, -24, 23, 7, 4, -2, 39, 39, -49, 62, -19, -21, 4, -27, 17, 2, 10, -16, -30, -41, 35, -11, 17, 21, -10, 41, -2, -4, -33, 19, 14, 24, 11, -8, -39, -9, 42, -45, 3, 4, 3, 23, -30, -27, 28, -14, 31, 42, 43, 41, 22, 29, -40, -25, 25, -39, 7, 16, -34, -5, -19, -1, -36, 54, -31, -34, -14, 42, 21, 5, -28, 22, -16, 19, 24, 4, -19, 38, 46, -21, 33, -30, 31, -27, -34, 6, 29, -55, -45, 2, -23, -48, -48, 35, 3, 5, -39, -41, -14, -48, -40, -1, -26, -1, 12, -22, -21, -12, -30, 13, -44, -10, 30, -31, -11, 37, 5, -13, 9, -16, -19, 21, 11, 35, 18, 36, -32, -15, 42, 18, 7, 6, 23, -28, -9, -6, 25, 5, -29, -14, -42, 3, 24, 17, 33, -9, 31, -2, 42, 9, -45, 31, -32, 30, 43, -15, 27, -25, -44, 24, -21, 8, -40, 25, 2, 6, 30, -39, 26, 24, -34, -28, -37, -26, -43, -40, -16, 33, 16, 35, -31, -9, -35, -45, 3, -23, 19, 15, -37, 39, 39, 41, -1, -11, 32, -25, 19, 26, -7, 9, 13, 21, -7, -7, 13, 18, -17, -40, -1, -25, -44, -44, -33, -10, 26, 5, -6, 22, 20, -37, 14, 21, 2, 13, 37, -22, -29, -21, -46, -32, 36, -26, -3, 20, 16, 7, -6, -28, -4, 29, -13, -10, 23, 3, -44, -18, -15, -18, -2, 5, 26, -22, 16, 6, 37, -14, -23, 4, -32, -11, 3, -44, 14, 16, 15, 13, -19, -22, -30, -19, -25, -14, 30, 43, 4, 45, -26, -20, -29, 31, -40, 39, 9, -24, -2, -34, -43, -20, 15, 31, -14, -50, 11, -28, -23, -45, 1, -28, -18, -40, 22, -28, 2, 44, 38, -18, -46, -14, 3, 38, -22, 20, -5, -37, -24, -36, 44, 15, -17, 12, 42, -34, 1, -39, 42, -37, 39, -23, -24, 41, -40, -44, -25, -15, 27, 29, -45, -32, -37, -18, 26, 28, 44, 40, 20, 5, 5, -43, -14, -1, -5, -32, -29, -21, -32, -14, -22, 9, -4, -10, -36, -14, -4, -34, -12, -17, -5, 40, 33, 38, -26, -25, 17, 13, -9, 3, -18, 37, -26, -22, 21, 34, -11, 42, -43, -21, -43, -8, 40, -33, -30, 10, 43, 22, -8, 13, -6, 31, 28, 46, -44, -30, -27, 33, -7, -22, 41, 14, -39, 8, -12, 16, 0, -17, 36, -37, 32, 20, -24, 26, 11, -9, -18, -38, -29, -28, -3, -4, 7, -35, 28, -21, 35, 17, 17, 30, -41, -12, -33, -15, -40, 30, 23, 39, 17, 24, 46, -46, -25, -28, -28, -27, 13, -18, 28, 27, -3, -43, -32, -20, -3, 28, 31, 8, 23, -46, -42, -46, -36, 30, -11, -20, 3, 5, -2, 30, 45, -10, 43, 36, -26, -38, 31, 21, -15, -22, 41, -17, 36, -31, -9, -9, 16, -14, -37, 2, 31, -11, -31, -35, -16, -5, -42, -45, -25, -12, 31, -5, -22, -30, 6, 24, -8, -28, -15, 12, -45, 9, 22, 16, 4, -37, 3, 8, 42, 12, -5, 3, 42, -14, 18, 11, 34, 43, 22, -24, 39, -22, -9, 35, 15, 17, 19, -27, -48, 18, 2, -10, 2, -28, 30, 18, 24, 43, -40, 19, 20, 39, -23, 21, -36, 14, -29, -29, -43, 22, 18, -35, 18, 25, -44, 5, 19, 22, 9, -14, -47, 12, 9, -14, -5, -15, -37, -33, -8, 31, 34, -37, -45, -16, 44, -42, 5, 16, 19, 14, 13, -4, 25, -13, -34, 20, 16, 44, -5, 27, 24, 24, -14, 35, -27, -4, 13, -40, 5, -47, 23, 23, 16, -40, 14, 29, -45, 1, -28, 22, -7, 14, 14, 16, 26, -33, 41, 49, -1, 39, -1, -19, 5, -39, -41, -19, -41, -36, -29, 23, 9, 20, -46, -15, -17, -33, -26, -37, 17, 31, 45, 45, -30, -33, 2, -43, -15, -12, -23, 33, 14, 15, 18, -32, 4, 16, 39, -2, -5, 8, 1, 0, -34, -3, -36, 40, -20, 42, 17, -1, 24, 7, 21, 5, 3, 16, -32, 16, 6, 6, -26, 18, 8, -30, 36, 14, -19, -37, -33, 9, 9, -7, 17, -11, -27, -8, -41, -25, -45, -18, -8, 9, 6, 33, -8, -13, -8, -31, 8, -27, -10, -17, 37, -25, -33, 15, 22, 7, -23, 38, -37, -24, 36, -36, 23, 45, -28, 26, -17, 43, 23, 28, 23, 10, 23, 39, 30, 0, -20, 23, 20, 19, -10, 36, -15, 26, -31, 9, -31, -22, -8, 11, -39, 24, -6, 28, 41, 16, -37, 29, -40, -8, 43, -6, -21, 30, 13, 39, -43, 15, 44, -8, 29, -39, 21, 13, -19, 1, -47, -38, -32, 46, 28, 28, -5, 40, 13, -7, -16, 10, -44, -25, -45, 2, -32, -32, -45, -45, -40, -23, 34, 35, 11, -28, -43, -6, -4, -20, -7, 32, 11, -30, -27, -8, 30, -7, -11, -32, 11, -40, -4, -43, -7, -34, -6, 31, 27, 2, -14, 16, 44, -6, -24, -26, 36, -16, -24, 10, 4, 22, 20, -32, -23, -15, 4, -43, 12, -35, -13, 46, 9, 2, -18, -20, -16, 35, -37, 13, -48, 37, 43, 18, 40, -12, -16, 20, 27, -43, -22, -12, -8, -36, -16, 11, -5, 5, 30, 28, -8, 32, 0, -42, 43, -37, -1, -7, -27, 47, 29, -42, 10, -26, -31, 42, -4, -33, -26, -19, -6, 31, -38, -47, -34, -19, -48, 26, 9, 21, 27, -7, 0, -22, -37, -7, 11, -21, 41, -26, -38, -11, -16, 14, 13, -20, 39, 10, -5, 25, -12, 27, 24, -46, 21, 39, -38, 8, 16, -41, -22, 17, 2, 37, -43, -45, 12, -31, -22, -22, 30, 15, 31, -19, 42, 35, 14, -28, -5, -35, 27, 49, 35, 24, -40, -44, -38, 42, 30, -19, -30, -35, -44, -19, -28, -27, 23, -36, 9, -27, -8, 41, 0, 19, -39, -12, -42, -25, 37, 29, 6, 38, 15, 35, -42, 2, 6, -36, 29, -27, -39, -12, 13, 20, 38, -2, -27, 7, -31, 8, 35, -44, -11, -36, -13, 22, -10, 0, 4, 6, -35, -32, -15, -2, -37, -23, 11, 6, -14, 37, -14, -46, -28, 28, -8, 3, -30, 8, 14, 35, -17, -5, 8, -42, 19, 27, -29, -22, -27, 46, -15, 28, 36, 20, 31, -17, 3, -19, -20, -29, 5, -9, 17, 41, -33, -20, -1, 27, -24, -39, -7, 23, 10, 5, -18, 20, 27, -46, 22, 38, 1, 10, -17, 6, -38, 22, -2, 22, 23, 22, 25, -25, -29, -13, -29, 33, 11, -17, 3, 32, -27, 31, 1, 23, 33, -28, 36, -40, -8, 1, 31, 26, -12, -43, 40, 3, 38, 3, -36, 39, 26, -44, 10, 14, -5, 13, 26, 19, -17, -28, 5, -18, -21, -37, -36, -22, -14, -19, 7, 34, -28, 23, 19, -35, -48, -19, 4, -22, -14, 12, -15, -42, -16, 7, 35, 32, -21, 24, -13, 44, -14, 3, -44, -21, -35, 5, -37, -21, -37, 13, -42, -9, 1, 18, -41, -17, -11, -1, -20, 17, -16, -1, -9, 12, 5, -44, -8, 43, 26, -32, -9, 17, 21, -1, 16, -22, -45, -13, 36, 3, -35, 21, -29, 0, 0, 37, 17, -18, 3, 1, 19, 17, -43, -35, 36, -36, 27, 2, -44, 16, 14, 6, 29, 21, -37, 30, 16, -30, 10, -16, -4, 39, -15, 8, 18, -29, 18, 23, -9, -7, -9, -36, 41, -22, -5, 28, 16, 28, -32, -33, 21, 5, -14, -37, -20, -20, 13, 30, -9, 25, -2, -44, 29, 42, -26, -37, -7, 1, 21, -35, -12, -20, -28, 8, -26, 47, -47, -30, -43, -47, 37, -44, 8, -38, -33, 30, -26, 19, -50, 3, 24, -1, -13, -36, 36, 41, 51, 20, -6, 37, -62, -73, 17, 38, 41, -4, 1, 20, -16, -15, 3, 44, -30, 40, -17, 27, 43, -50, 27, 2, -30, 26, 36, 24, 52, 13, -20, 34, -1, -24, -35, -29, -13, -12, 13, -22, -48, -26, 18, 25, -39, 27, 21, 7, -26, 35, -35, -38, -31, 17, -14, -60, -46, 12, 5, 18, 27, 39, 32, 15, -50, -16, -26, -27, 56, -34, -27, 34, -25, 12, -36, -5, 28, 10, -32, -47, -2, 0, -24, 43, 38, 41, 13, -68, 41, -25, 55, 46, 15, 8, 5, 44, -15, -85, -1, -26, 5, 21, -10, -11, 17, 6, 9, -16, 12, 21, -49, 13, -8, 12, 3, -26, 2, 14, -38, -22, -43, -44, -24, 48, -11, -28, 0, -24, -21, 39, -20, 7, 9, 4, -32, -27, -39, -2, -4, -32, 7, -21, -42, -16, -6, 16, 15, 1, 23, 46, -21, -27, 11, -37, 14, 16, -49, 13, -11, -42, -35, 2, -51, -27, 39, -1, -25, -30, -31, 33, -9, -34, -23, 40, -37, 40, 25, -29, -31, 2, -26, 55, 3, 0, -5, 47, -20, -26, -74, 25, -8, -31, 5, 51, -42, 37, 28, 14, 15, 30, -16, -28, 34, -14, -7, -27, 23, -6, 21, 37, -41, -54, 13, 44, -15, 0, -42, -3, -48, 38, -24, 4, 36, -4, 41, 22, -1, -34, -26, -12, 25, 50, -22, 12, -20, 44, -30, 21, -29, -17, -34, -18, -28, 17, 38, 38, 30, -43, -14, -40, -10, 8, 36, 1, -19, 27, 43, -24, 6, -27, 21, -34, -11, -21, -37, 3, 29, 29, 43, 44, 61, -13, -17, -41, -19, -23, -39, -61, -27, 29, -28, -16, -22, -40, -33, 42, 29, 36, 9, -39, 21, -26, 8, -48, 54, 34, -15, -32, -34, -23, -35, 8, -65, -18, -14, -30, 32, 16, -32, 8, 36, 8, 11, -14, -21, 20, -17, -42, 38, -15, -8, 45, -2, -27, 42, 3, -3, -6, -16, 1, 24, -9, -20, 21, -5, -27, -21, -22, 30, -11, 36, 10, -54, -10, -54, -34, -1, 30, 6, -28, -27, -6, 61, 4, 15, -5, 36, -35, 32, -28, -38, 25, 8, -28, -40, -7, -3, -50, -5, -10, -20, -53, 9, -3, -18, -23, -22, 12, 31, -23, -11, -11, 33, 91, -66, -33, -34, -6, 15, -9, -44, -42, -16, -50, -17, 44, 34, -14, -9, 23, -21, 28, -35, -15, 38, -32, -30, 46, -13, -32, 52, -2, 37, 17, 22, -7, 12, -27, -40, -36, -18, -32, 15, 32, 6, -45, 45, -51, -10, -29, -49, -49, -27, -22, -26, 5, -8, -28, -57, 14, -18, 12, -59, 4, -42, -20, 2, 4, -47, -26, 6, -15, -48, -21, -21, -39, -2, 23, -11, -48, -9, -59, 12, 1, 80, -60, 64, 2, 37, 33, 88, 11, -1, 34, -48, -26, -38, 0, 9, 6, -24, -14, -9, -22, 18, -27, -25, -16, 25, -17, -18, -46, -2, 42, 42, -33, -22, -7, -14, -2, 6, 3, -10, 20, -20, -2, -19, 9, 9, -41, 4, -28, 39, -1, 17, 19, 23, 19, -27, 17, 31, 10, -17, -22, 10, -3, 43, -36, -5, -4, 2, 52, 55, -12, 18, 14, -29, -4, -36, -37, 0, -25, 26, -4, 41, 52, -54, -16, 0, -6, 4, -27, -43, -7, -10, 0, 19, -18, -22, 29, 32, -19, 38, 24, 16, 13, -37, -26, -16, 13, -45, 26, 1, -46, 52, -21, -44, 5, 16, -12, -36, -23, -39, -46, 19, 37, 45, -37, -47, -6, -33, 27, 23, -37, -19, -6, 23, -18, -17, 12, -46, 4, 16, -4, 12, 26, -27, -19, 24, -13, -34, 18, -26, 12, -28, 1, -13, 12, -27, -10, 1, -26, -30, 64, -47, -28, 22, -5, -21, -41, 12, 28, 6, 38, 6, -18, 3, -5, 24, 24, -15, -38, -9, -42, 17, 44, -32, -11, -25, 11, -37, -17, 2, -15, 11, 17, 23, -12, 31, 19, -9, -25, 19, 16, 3, 10, 0, -32, -5, 25, -59, -31, 43, -21, 47, 27, 34, -23, -11, 28, 43, 34, -32, 66, -24, 8, 5, 9, 22, 24, 27, -16, 29, -1, -16, 11, -39, 44, 24, -51, 17, -35, 28, -44, -24, 38, -24, -35, 38, -17, 4, -19, 17, 68, -37, 71, 11, -30, 24, 41, 11, -43, -16, -30, -41, -77, -37, 12, 14, -22, 42, 35, 17, 12, -14, -11, 5, 11, 23, -57, 4, -27, -27, 7, 1, 10, 31, -1, -39, -29, 7, -13, -27, -36, -34, 16, -43, 53, 30, -19, 37, 56, -54, -20, -21, -6, -43, 9, 32, 23, 56, -11, 43, 31, -11, 35, -19, -35, -25, 25, 15, 8, 59, -21, 34, -50, -19, 20, -18, 35, -34, 53, -22, -32, 51, -39, -11, -5, 16, 9, 19, 26, 10, 8, -12, 21, -11, 19, 27, -20, -16, 15, -49, 6, -31, -53, 15, 5, -8, 40, -44, -19, 19, 26, 2, 19, 54, -36, 18, 20, 32, 45, 42, -12, 15, 7, -38, 9, 11, 31, -12, 7, -26, 28, 16, -19, 2, -6, -62, -8, -11, -37, -37, -29, -2, 5, 9, 52, -36, 27, 40, 4, -6, -34, -47, -13, -49, 22, 4, 14, -17, -43, 18, -5, 17, -20, 20, -15, 18, -33, 11, -1, -8, -40, -21, 2, 42, 17, 17, -25, -22, 24, 36, -26, -18, -3, -23, -7, 39, -8, -2, -54, -59, -35, 19, 7, 34, 40, -30, 36, 9, 4, -37, 26, 19, 35, 52, -38, -39, 17, -6, 13, -5, 38, -12, -25, 12, 33, -42, 28, -11, -18, 16, 8, -32, 7, -73, 0, 30, -43, -8, -15, -52, -36, -32, -37, -12, -41, 0, -36, 6, 6, 19, 5, -12, -21, -16, -39, -5, -44, -17, 22, 19, -9, -2, 14, 26, 44, 4, 30, -23, -14, 25, 52, 22, 19, 32, -28, -37, 49, -13, -12, 24, -19, 16, 1, 14, 35, -44, 11, 23, -37, 4, -60, 23, -16, -49, -39, -17, 40, -11, -40, 10, 26, -40, 26, 16, 38, -30, 6, 41, 3, -22, 14, -40, 18, 61, 4, 40, 6, -35, 7, -44, 61, -8, 23, -43, -17, -11, 65, -43, 20, 16, -21, -26, 7, -30, 19, 28, 34, 5, 27, -17, -24, -45, 22, 11, 23, 36, 37, 42, -39, -9, 18, 21, 1, 50, 13, 7, 7, 15, -22, -30, 12, 7, 14, -7, -28, 27, -36, 19, 2, -46, -39, -31, -11, 13, 3, 8, -45, -21, 23, -20, -11, 44, 20, -66, 5, 57, -43, -31, 36, -5, 13, 33, 34, 1, -19, 14, 33, 19, 43, 33, -14, 37, -34, -19, 33, -7, 35, 8, 13, -2, -6, 11, -24, 0, -42, -17, 21, 19, -16, 36, -5, -14, 5, 71, 59, 13, 48, -13, -22, -9, 37, 11, -8, -40, 21, -2, 15, 11, 14, -22, -11, -40, -22, -44, 5, -5, 16, -9, -38, -48, -48, 35, 28, -22, -46, -16, -30, -39, -3, -27, 1, -40, 45, 23, -45, 20, -25, -40, 36, 18, 36, -42, 4, 28, 20, -20, 14, -40, -31, 13, -3, 39, 36, 17, -48, -30, 5, -23, -3, -20, -28, -23, -35, -43, 15, -13, 13, -31, -21, 34, 16, 8, -10, 37, -49, -7, -46, 35, -16, 33, 2, -9, -19, -7, 6, -42, -40, 29, 11, 9, -31, -27, 18, 25, 19, -21, 42, 19, -5, 38, 12, 28, 28, 18, 26, 29, 6, 21, -9, 0, -31, 19, 13, -14, -24, 26, -11, 16, 32, -7, -6, 32, -33, 21, 7, -38, -31, -37, -28, -36, -33, 25, -29, -13, 33, -40, 17, -36, 11, 41, -48, 44, 27, -24, 41, -41, -3, 38, -8, 13, -11, 41, -9, -16, 35, -47, 12, 1, 1, -45, -8, -12, 39, 10, 18, -13, 17, -28, 32, -44, 36, 21, 29, 5, -28, -18, -37, 12, 38, -20, -24, -35, -14, 16, 29, -39, -15, 44, 13, 21, 12, 31, -20, -12, -44, 9, -38, 26, -23, 1, 36, -28, 15, -40, 28, -1, 21, 30, -24, 37, -32, -23, -27, 35, 33, -30, -11, -4, 17, -25, -33, -39, 44, 14, 28, 44, -46, 13, -28, -29, -39, 7, 30, -33, 44, 34, 40, -24, -41, 28, -20, 24, 12, -36, 31, -17, 35, 36, -4, -37, 23, -5, 28, 2, -18, 45, -18, -8, 38, 4, -36, 2, 21, 23, -6, 39, -2, 23, -38, 3, 28, 30, 20, 13, -32, -39, -13, 39, -6, 40, -23, -27, -17, 23, 39, -11, 30, -11, 7, -23, -36, 0, 29, 37, -3, 20, -2, -11, -25, -6, 42, 15, -15, 4, 11, -14, 35, -19, 10, -31, -46, -17, -37, -29, 29, 47, 2, 3, -47, -48, -12, -37, -44, -26, -23, 1, 15, -46, 17, -18, 18, -26, 12, -11, 14, 19, 37, -11, 1, 4, -10, -22, -19, -13, -27, -44, 32, 15, 40, 5, -12, -12, 30, -1, 30, 1, -12, -15, 37, 17, 45, 9, 24, -41, 17, 11, -33, -33, 27, 21, 34, 0, -32, -34, -47, 41, 23, -1, -4, 28, -13, 31, 26, 34, -18, -33, -19, -40, -1, -43, 23, -25, -21, -13, 7, -18, 22, -45, 28, -4, -22, 27, 23, 37, 2, -31, -40, -4, 28, -16, -3, 33, -48, -25, 21, 35, 2, -17, 40, -40, 29, -26, 29, -32, 5, 28, 16, -30, -29, 6, -6, 31, -45, -24, 2, 41, 4, -17, -45, 32, -46, 28, 25, 4, 37, 1, -32, -10, -13, 28, 22, 3, -10, -46, -19, 29, -6, -3, -3, -44, -42, -39, 6, -11, 23, -45, -24, 41, 33, 34, 5, -36, 21, -37, 25, -46, -27, 1, 2, 22, -23, -19, -3, -33, -20, -3, -33, -7, -10, 32, 28, -36, -16, -41, 19, 6, 13, 41, -28, 24, 37, 26, -9, -16, -1, -40, -32, 40, 12, -33, 42, 43, -8, -18, -21, -28, -21, 0, -25, 27, 7, -34, 24, -23, 3, -10, 11, 11, 42, 43, 19, -37, -7, -6, -18, -13, 31, 18, -32, 44, 35, -10, 33, -39, -27, -30, 34, 7, 41, -43, 13, -41, 47, -38, -31, 32, -48, 26, 17, -22, 24, -5, 20, 10, 34, 23, -7, 10, -31, -22, 13, -22, -6, -33, -21, -45, -25, -35, -14, -14, -49, 21, 41, -21, 19, 11, -36, 33, 34, -17, -42, 0, -40, 35, 21, 42, -17, -5, -6, 25, 17, -40, 41, 26, 18, 27, -17, 27, 39, -22, -39, -18, 39, 34, 30, 8, -6, 12, -25, 14, 0, 27, -17, 32, -22, -33, -33, 35, 29, 35, 35, 4, -37, 27, -13, -14, 24, -9, -6, 0, 32, -45, 32, -4, -11, -11, 34, -27, 19, 5, -5, -28, -1, -10, -24, -9, -18, 41, -18, -38, 38, -14, -30, 14, 4, 14, 36, -20, -20, -42, -11, -25, -4, 22, -41, -23, 26, -45, -42, -7, 37, -9, 25, -36, -13, -24, -45, -13, 8, -20, -21, -21, -12, -23, -18, -45, -1, 6, -11, -47, 16, -31, 28, 20, 41, 0, -43, 7, -18, 30, -6, -42, -27, 44, -30, 7, -40, -17, -37, 8, -29, -33, 30, 37, -14, -21, -28, 42, -10, 28, 14, 33, 36, 24, -48, 29, -5, -15, 4, -34, -10, 34, -41, -42, -45, 48, 22, -17, 24, 44, 28, 15, 29, 44, -36, 21, 44, -35, -5, 43, 26, 15, 19, -36, -12, -42, -38, 44, -12, -19, -24, -5, 36, -27, 17, -46, -10, -3, 18, 23, -10, -11, -33, -20, -37, 24, 15, -25, -29, 19, -37, -40, 5, -46, -5, 4, -10, -10, -15, -1, -43, 37, 1, 10, -12, -43, -39, -4, -19, 3, -9, -44, -21, 45, 24, 7, -34, 37, -25, -19, -17, 27, 16, 1, 4, 35, -24, 28, -8, -32, -26, -20, 4, -24, -45, 1, -27, -18, 29, 16, 7, 24, -40, 39, -10, -34, -5, -41, 14, 29, 37, 42, -34, 44, 37, 33, -7, 42, 16, 25, 27, -42, -39, 14, -38, 37, 8, 41, -34, 28, -15, 0, 8, -2, -26, 5, -30, 3, -48, 25, -49, 12, -1, -4, 7, 20, -8, -11, 39, 11, 31, -31, 42, 9, -12, -42, 24, -47, -47, -22, -22, 18, -11, 38, 25, -2, -40, -24, -1, 8, -29, -22, -12, -6, -22, -10, 14, -41, 19, 42, 27, 42, 33, -39, -31, -2, -5, -44, 24, 36, 29, 3, 4, -42, -46, 11, 25, -30, -21, 33, 26, 14, -46, 43, 25, -28, 45, -10, -2, -10, 33, 23, 40, -31, -32, 13, -44, 14, 20, -9, -1, 22, 3, 33, -12, -18, -22, -15, 43, -32, 21, 20, -14, -32, -4, 28, -37, 26, 41, -21, -41, -41, 15, 40, -41, 29, -5, 43, -13, 37, 10, -24, -46, 45, -28, 2, -36, 40, -21, -19, -44, 13, 17, 26, 39, 24, 30, 0, 17, -38, 41, -28, 4, -11, 37, 12, -18, 27, 17, -23, 2, 34, 21, 2, 25, -36, -45, 0, 6, 0, -33, 15, -14, 40, 1, 34, -9, 14, -13, 30, -14, -15, 11, 40, 14, -42, -21, 17, -6, -13, 29, -3, -38, -38, 37, 9, -8, -49, -40, -26, 9, 20, -39, -43, 9, 43, 34, 9, -24, -5, 21, 30, -24, -26, -27, 10, -42, -42, -31, 35, 38, 28, 8, 9, 6, 10, 15, 31, -23, 39, -6, -10, -37, 10, -18, -36, -32, -10, -12, -7, -44, 7, -11, -23, 37, 36, 0, 30, 4, -18, 8, 13, 28, -6, -1, -43, 20, 4, 32, 8, 6, 32, -40, 39, -29, -11, -38, 35, 43, 39, 33, -11, 27, -31, 7, -19, 14, -45, -29, -2, 1, -5, 35, -29, -46, 29, -38, 11, 5, 14, -42, -21, 43, 24, 45, 23, 14, 17, 4, 6, -7, -24, -29, -20, 10, -33, 33, 49, -33, -25, 8, 5, -16, 27, 7, 47, 10, -5, 4, 8, 12, -39, 30, 19, -36, -22, -2, 42, 33, -42, -39, -59, 0, 1, -22, -23, -12, 27, 31, 44, 32, 1, -7, 24, -28, -36, -14, 48, 19, -23, -10, 40, 45, 38, 31, 11, 8, 27, 19, -32, -15, -10, -6, -34, -61, 30, 5, 30, -24, -32, -22, -19, -18, 22, 9, -34, -42, 41, 26, 11, 27, 43, 24, -7, 55, -22, 26, 18, -27, -47, -26, -21, 3, -17, 18, -52, -24, 7, -43, -24, 10, -22, -15, 3, -19, -2, 28, 48, 63, -1, -2, 13, -7, -29, 14, 28, 36, 29, 21, -36, -42, 25, 13, 9, -33, -36, -25, -44, -12, -41, 45, 27, -35, 14, -13, -30, 17, 42, 38, -36, 42, 3, 21, -22, -19, 10, -13, 41, 15, -4, 7, 42, 7, -36, -7, -40, 50, -31, 13, -3, -38, -6, 31, 44, 31, -14, 9, -5, -33, 18, 18, -32, -22, -23, -18, 41, 36, 5, -5, 45, -12, -11, -37, -20, -32, -39, 29, 23, -40, -28, -12, -23, 31, -16, -38, -60, -35, 38, -6, 37, 8, -6, -9, -6, -18, 11, -9, 22, 36, 12, -16, -29, 14, 14, -26, -35, -42, 34, 30, 40, -20, 44, 3, -32, -1, 25, 41, -13, 5, -34, -22, 57, 22, 28, -28, -45, 10, 13, -15, -33, 17, -14, 6, -6, 9, 0, 9, 38, -31, 37, 28, 24, -7, 26, -21, -18, -10, 5, -23, -44, 18, -47, -1, 33, -11, -39, 50, 40, 24, 39, -1, 43, -44, 34, -2, 3, 35, 1, -24, 19, -13, -58, 3, 2, 34, 17, 18, 32, 0, -17, -4, 43, 17, -12, 3, 34, 28, -41, -6, 48, 39, 17, -3, 38, -7, 30, 30, 13, -9, -10, -13, -24, -4, 25, -19, 4, -22, -21, -2, 3, 14, -4, -6, 9, 75, 39, -18, 25, -26, 34, -10, -21, 37, 30, 42, 3, -39, 18, -19, 9, -43, 8, 18, 6, -29, 14, 17, -40, 20, 38, 29, 45, -24, 8, -9, 2, -41, -29, -47, 33, -51, -17, 4, -2, 33, 36, 11, -10, -29, 32, 24, 15, -44, 51, -39, -25, -15, -6, -14, -30, 0, 5, 37, -28, -3, 0, -58, -30, 11, -24, -3, 37, 6, 52, 4, -2, -42, -4, 37, -17, -35, 3, 11, -33, 44, 37, 23, 27, -4, -42, 29, 29, 25, 33, 25, 21, -10, -16, -39, 8, -25, -18, -4, 1, -15, 13, -56, 18, -33, -3, 0, -14, -26, -15, -26, 59, -26, 12, -46, -8, 49, 22, 11, -55, 30, 27, -53, 23, 20, 10, -27, -17, 7, 58, 23, 17, -37, -5, -53, -12, 1, 10, -43, -6, -44, -10, -32, 14, -12, -29, 7, -7, 12, -2, -26, -13, -39, -14, -57, -6, -63, 10, 25, -12, -30, -31, 9, -18, 23, -10, 11, -18, -16, 25, -14, 22, -51, -33, 13, 44, 20, 0, 7, -28, -23, -35, -27, -37, -6, 39, 41, 46, -29, 41, 43, -7, -18, 26, 33, 25, -40, -42, -28, -41, -8, -43, -15, -15, 15, -3, -53, -9, -39, -36, -4, -32, 24, -13, -36, 23, 23, 41, -112, -50, 1, -25, -26, -21, -13, -23, -44, -20, -44, 10, -30, -47, -20, 6, 11, -18, -14, -33, 48, 23, 23, -32, 43, -25, -14, -23, -14, -30, -36, -34, 15, 7, 7, 20, 18, 23, 13, -26, -5, 18, 1, 37, -22, 35, 7, -10, -22, 19, -9, -3, 25, -43, 0, -23, 23, 4, -51, -15, 20, -15, 27, 25, -6, 9, -32, 4, -41, 11, -7, 36, 39, 19, -13, -20, 29, -18, -14, 51, 40, -5, 35, 26, -50, -7, 16, 11, 0, 4, 50, 38, 41, 35, 30, -3, -43, 13, 9, 32, 53, 59, -46, -31, 18, -14, -38, 7, -36, 31, 31, -42, -18, -22, 3, -14, 46, 1, 18, -13, -54, -35, 13, -56, -61, -9, 36, -23, 19, 22, 1, 30, -3, 24, 7, 40, 6, 20, 13, 14, 21, 9, 74, 27, -39, -38, -11, 20, -43, 9, 12, -47, 27, 35, 3, 38, -21, -27, 23, 44, 33, -39, -36, 37, -3, 20, -20, 14, -29, -28, -8, -27, -22, 43, -12, -4, -35, 14, -31, 14, 23, -5, -46, 5, -23, -60, -8, 36, -7, -13, -5, 13, -36, -45, 18, 14, 26, -26, 16, -27, 3, -35, -16, -34, 16, -30, -5, 6, 22, 39, 15, 3, -13, 11, 33, 0, 37, 24, -40, -21, -23, -35, -20, 12, 12, -29, -22, 2, 35, 0, 23, 0, -40, 13, -20, -20, -73, -24, -16, -47, 10, -29, 10, -41, 10, -15, 31, -24, 18, -20, 11, 30, -23, -21, 0, 13, 11, 30, 48, -43, -17, 15, 18, -50, 32, -4, -56, 18, 15, -26, 22, -37, -54, -43, 8, -4, -44, 17, 17, -10, 39, 29, 27, -6, -23, 19, 27, -6, 2, 42, -34, 11, 19, -19, 20, -8, 11, -34, 22, 2, -18, -8, -22, -40, -26, 8, -2, -19, 38, -4, 47, -3, 9, 49, 13, -14, 27, 0, 10, 16, -5, 2, -49, -45, -6, -32, 37, 22, -38, 3, 21, 17, -32, 29, -19, 2, -24, 40, 23, 51, 24, -19, -22, -39, -47, -8, -32, -51, 40, 39, -3, 29, 12, -32, 20, 45, 22, 21, 12, 4, 42, 42, -43, -3, -45, -13, -24, -29, 17, 27, -8, -26, 2, -17, -20, 24, -25, 41, -47, 27, 37, -28, -33, -29, -17, 18, -40, -20, -10, 43, 18, -15, 33, 24, 25, -4, -44, 2, 4, -56, 50, 5, -14, -28, 11, -12, -18, -14, -22, -5, 5, 53, -24, 29, 17, -4, 6, 41, 47, 0, -37, 13, 7, -38, 23, -34, 21, 38, 30, 18, 4, 2, 11, 22, 4, -49, -38, -60, -2, 22, -45, -1, 48, -42, 23, 36, 23, -30, -15, 32, -3, -3, -34, 39, -29, 11, 13, 25, -42, 30, -42, -1, -10, -28, -42, -42, 24, -40, -5, 57, 43, -8, 27, 11, 26, 21, 52, -43, -59, -26, -28, -31, -90, -52, 24, -38, -5, -21, -27, -4, -14, -14, -9, -2, 31, 17, -26, 4, 7, -26, 45, -17, -4, 3, -15, 44, 28, -22, -26, 32, 6, 38, 17, 21, -25, -42, 14, 28, -16, -15, 0, -35, -13, -4, -3, 18, 42, -23, -18, 15, -33, 21, -15, -15, 10, 43, -23, 6, -24, 7, 8, 1, 9, 58, 5, -3, -34, 54, -27, -1, -12, 1, -2, -24, -28, -32, 27, -20, -12, 25, 5, 22, 28, -11, -44, 73, 27, -40, -43, 27, -44, -13, 22, -26, 44, -3, 10, -9, 6, -27, -38, 30, -47, -9, 9, 8, -21, 14, 10, -17, 2, -33, -25, 2, 24, -23, 22, -27, -48, 0, -80, 23, 37, -27, 4, 40, -43, 19, 2, 31, -26, -18, -32, 15, 11, 14, 22, 38, 29, 0, 32, -31, -24, 52, 16, -37, 22, 59, -42, 66, -17, -31, -32, -22, 16, 31, 25, -24, -26, -20, 9, -27, -27, -16, -29, 12, -35, -35, -41, 19, 27, 17, 21, 27, -40, 5, -31, 43, 13, -18, -12, 20, 1, 7, 19, 44, -27, -29, 20, -29, 16, -14, 1, 2, -9, -23, 15, -53, 13, 23, -4, 3, -3, -38, -6, -7, 27, -7, 5, -17, -19, -16, 18, -13, -18, -39, -3, -25, 11, 20, 31, 31, -26, -12, -35, -37, 44, 5, 23, 46, -17, 20, -35, 22, 0, 4, -26, 47, -37, 44, 13, 24, -5, -57, -12, 19, -6, 22, 66, -11, 34, -42, -23, 33, 26, 27, 19, 38, 8, 45, -20, 23, 37, -9, 32, 44, 28, -7, 26, -14, 19, -33, -12, 48, 13, -29, 7, -42, -5, -32, -50, 54, 23, 7, 43, -27, 18, 5, 21, 11, -50, -5, 26, -58, -10, -35, -1, 28, -33, -35, 47, -5, -17, 11, -42, 39, 34, -25, -6, -3, -4, 15, -13, -7, 41, -12, 34, 9, -20, 44, -1, 24, -61, -22, 5, 3, -12, -17, -43, -9, 32, 6, -1, -30, 5, 11, 21, -59, 9, -16, -7, -12, 18, 20, 27, 28, -9, -14, -1, 31, -2, 2, 3, 31, -24, 46, 0, 44, 17, 56, 15, 20, -23, -33, 19, 22, -56, 44, -11, -27, 32, -4, 15, 34, 2, 21, 7, 27, -16, 41, -9, 15, -36, 4, 20, -20, 13, 22, -4, -25, -17, 16, -54, -3, -26, -26, 0, 19, 20, -31, 50, 28, -40, -13, -18, 41, -35, 17, 31, -19, -8, 21, -35, 5, -40, -37, 22, 9, 13, 25, 37, 29, 29, 33, 36, -14, 29, 22, 25, -54, -42, 19, 24, -31, 8, -43, -25, 23, -24, -7, 11, -15, -12, -8, -44, 1, 40, 59, 55, 30, 17, 4, -36, 42, -12, -61, -13, -21, -2, -35, -41, -12, 42, -3, 33, -10, -21, -14, 26, -9, -14, -25, 24, 30, 21, 19, -11, -28, -29, -30, 9, 44, 39, -38, 15, -1, -6, -9, 20, -8, 32, -10, 5, 19, 9, -4, -28, -11, 27, 3, 14, -13, -28, -26, 25, -14, 41, -11, -36, 39, 35, 34, -55, 22, 2, -6, 57, -18, -7, -44, 37, -35, -1, 24, 22, 19, 28, 8, -26, -1, -15, -20, 33, -2, 28, 5, 6, 7, 39, -24, -21, 34, 3, 56, -34, -24, 41, -33, -3, 37, 1, 20, 20, 11, 24, 4, -35, 30, -14, 43, -9, 32, 12, -7, -12, 4, 32, 6, 6, -15, 19, 21, 9, 29, 5, -17, 2, -28, 18, 47, 21, 14, 38, 25, 6, 2, 26, 18, -30, -20, -10, -10, 7, -4, -19, -5, 30, 5, -12, -23, -16, -19, -4, 15, -1, -48, 51, -7, -60, 44, -74, -38, -11, -8, 3, 5, -20, 44, -18, 18, 35, -21, -44, 41, 33, 23, 14, 7, 17, 11, 27, 25, 4, 39, 31, 20, -2, -25, 8, -17, 13, -4, 43, 4, 13, -26, -11, -29, -9, 8, 23, 42, 20, -51, -16, -43, 20, -9, 5, -42, 36, 4, 10, 17, -9, 8, 5, -21, -2, 21, 6, -11, -31, -34, -32, -22, -23, -31, -18, -56, 12, 47, -4, -11, 49, 12, -46, -4, -41, -52, -2, 47, 28, 24, 50, 14, 12, 41, -45, 46, 45, -3, 12, 25, 1, 14, -19, 72, -18, -20, -28, -37, -13, -21, -40, -5, 3, -38, 21, 22, -56, -6, -36, -16, -59, 33, -11, -9, -14, -36, 32, -39, 0, -25, -11, 3, -5, 28, -27, 17, -12, -36, 42, -21, 10, -2, -2, -10, -24, -43, 20, -16, 0, -2, -5, 5, 31, 32, -37, -20, -10, -38, 18, 12, -44, -8, 19, -31, 33, 12, -25, 24, -25, 10, -27, 21, -47, -45, -32, 4, 3, -18, 16, -33, -38, -6, 2, 11, 22, -23, 8, 0, 19, 8, 9, -28, 23, -23, 32, 32, -9, -16, -21, 3, -28, -36, 41, 12, 24, -9, 14, 16, 23, -32, 11, -33, 36, -1, -12, 12, 27, 27, -7, 2, -24, -24, -2, -16, -28, -25, 8, -53, 9, 9, 49, 2, 11, 37, 34, -23, 28, -16, -38, 22, 24, -23, -26, 9, 41, -41, 24, -18, 49, 12, 2, -27, -3, -19, -26, -27, 16, 32, 23, -5, -21, -12, -33, -2, 50, -7, 12, -14, 4, -14, 13, 7, -43, -23, 23, 1, -24, 40, 18, -4, 9, -2, 36, 26, 40, 3, 37, 48, -6, 23, -6, 8, 1, -15, -28, -6, 22, 31, 24, 33, -21, 7, -40, -38, -12, -43, -5, -43, -8, 18, 22, 13, -8, 6, -19, -14, -31, 12, 40, -12, 48, -41, 23, 24, 43, -25, -21, 11, -37, -27, 20, 23, 16, 52, 15, 38, 33, -38, 44, 7, 11, 34, -13, -55, 17, -32, -9, -31, -7, 16, -49, 32, -17, 28, 69, -2, 30, 21, -19, -41, -41, -6, -32, -36, -38, -9, -4, 28, -11, -36, -10, 46, -13, 46, 40, -2, -9, -34, -25, -28, -9, 39, -33, 28, -34, 40, -1, 27, 0, -35, -14, 34, 10, 6, 19, -14, -22, 19, 36, 5, 24, 34, 10, 0, -12, 57, -21, 24, -46, -13, 2, -20, -17, -45, -1, -25, -49, -41, 22, -23, 31, 46, -16, -8, -3, 30, 21, 23, -5, -45, -30, -9, -47, -37, -8, 29, -39, -10, 40, 3, -19, -4, 3, -12, 47, -35, -6, -45, -27, -18, -42, 5, 3, 42, 26, -3, 30, 3, -14, 7, 36, -3, -30, -39, 37, -44, -26, -29, -17, -33, -27, -13, -16, 22, 23, -49, -32, 3, 37, -59, -1, -2, 20, 42, 2, 1, -30, -23, -15, 37, -12, -17, -20, -35, 8, -22, 28, -8, 29, 9, -14, 10, 22, 14, 12, 26, -8, -19, -28, 49, 5, 17, -2, -13, -29, 45, -2, -7, -31, 13, -22, 29, 1, -12, 1, 4, -31, 26, 39, -19, -26, 41, -42, 23, -5, -7, 1, -57, 41, -30, -30, 32, 17, -40, 27, -17, -6, -27, -30, -52, -2, 5, 0, -12, -12, -1, -40, -53, 24, -21, -6, 23, -2, 4, -21, -9, -19, 12, 35, 4, -39, 4, -47, 28, 17, -8, -5, -25, 12, -37, 6, 31, -14, -25, -8, -18, -43, -28, 14, -7, -26, 14, 15, 29, -61, 17, 12, -42, -2, 28, -15, 22, -2, -34, -35, -13, 47, 12, -13, -39, -24, 21, -43, -29, 39, 1, -33, -2, -20, -14, -12, -44, -60, -6, -43, -16, 56, 24, -29, 8, 20, -3, 9, 9, 31, -20, 15, -23, -16, 40, 25, 54, -31, -19, -19, -17, -6, 11, -25, 16, -18, -21, 12, 25, 38, -6, 27, -23, -15, -30, -6, -5, -17, -17, -1, -13, -70, -3, -18, 29, -24, -27, 6, -25, 22, 31, 28, -31, -33, -31, 19, 2, -1, 15, 22, 17, -4, -14, 47, -1, -56, 39, 16, 15, -21, -44, 19, 30, -11, 29, 25, -5, -2, 3, 19, 35, -18, 19, 17, -44, 11, -9, 37, 34, 15, 29, -20, 42, -21, -30, 18, 14, -8, -23, -35, 39, -5, 35, 32, -10, 21, -27, -5, 48, 32, 4, -28, 3, 10, 12, 9, 11, 44, -15, -29, -1, 6, 23, -43, -41, 15, -24, 32, 11, -31, -48, 36, 24, 27, -30, -27, -4, -20, -11, -42, -9, 11, 9, -37, 22, -32, 7, -30, 6, 5, 4, 23, 15, -15, 27, -49, 15, 25, -48, -42, -29, -14, 1, 39, 19, -21, -4, -44, 30, 32, 1, 27, -35, 5, 43, 20, -20, -14, -4, 31, 20, 31, 28, -32, 33, 1, 25, 39, -35, 29, -20, -42, 8, -47, -33, -42, 34, 1, -14, 5, 15, 11, -47, 33, 5, 25, -19, -27, -42, 8, 7, 11, -27, -9, -44, 28, 10, 28, 26, -20, -38, 32, -36, 6, -40, -36, -34, -37, 23, -22, -8, 26, 47, -12, 24, 2, -27, -39, -8, 10, 44, -3, 15, 8, -10, -2, 29, 8, 0, -1, -48, 6, -16, 21, -40, 56, 1, 37, -11, -37, -12, -33, 45, -18, 14, -4, -40, 28, -31, 15, 26, 39, -32, -26, 36, -2, 11, -22, 37, 0, -9, -32, 9, 26, 8, 2, -18, 7, -35, -17, 31, -10, -10, -11, -2, -7, -42, -20, -15, 31, -6, 28, -18, -4, 21, 39, 45, 1, -18, 51, 24, 25, -8, 27, 13, 44, 28, -35, -9, -38, 15, 37, 18, -41, 20, 41, -9, 38, 41, 9, -25, 36, -14, -8, -12, 5, 23, -47, -10, -20, 14, 3, -1, 9, -32, 17, 8, -26, 19, -6, 31, -30, 9, -39, -27, 24, 14, 42, 14, -33, 23, 7, -25, 35, -25, -18, -8, 10, 2, -38, -38, -7, -16, 18, 25, 9, -36, -38, -30, 1, 16, -33, 6, -22, -20, -3, 10, 6, -7, -3, 26, -41, -27, 34, 43, -30, -2, 20, 16, -8, 28, -26, 39, -14, -23, -38, 38, -38, -23, 14, 10, -4, 20, -17, 14, -16, -29, 1, -40, -12, -38, -42, -37, -38, -3, -35, 34, -5, 31, 4, -17, -8, 22, 27, 32, -41, 21, 18, -47, 38, -38, -39, -44, 39, -22, -17, 0, -40, 20, -31, -42, 27, 5, -40, 12, -1, -13, 27, 18, -16, 35, 34, 31, 12, 39, -29, -43, 33, 16, 34, -27, 28, 34, 1, -25, -37, 13, -2, -25, 47, -26, -45, -28, -24, -40, -5, -28, -5, -42, -39, -33, 23, -35, 44, -37, -41, -3, 15, -30, -6, 0, -4, -58, 31, 7, 32, -29, 9, -29, 23, 4, -48, -34, -34, 11, 11, -14, -41, 35, 26, 24, -10, -23, -37, -30, -42, -45, -22, 33, 24, 18, 50, -26, 18, -41, -40, 16, -15, -13, -40, -31, -14, -7, 27, -43, -23, -5, 22, -43, -20, 0, 2, -12, -5, -12, -23, -39, -39, -9, 35, -13, 24, 42, 37, 39, 43, -6, 8, 44, 28, -43, -16, -34, 2, 6, 11, -7, -11, 5, -19, -13, -29, 33, 36, 22, -39, 32, 25, -1, -14, 16, -4, -24, -21, 13, -38, 20, 8, 22, 11, -4, -7, 23, -43, 21, 33, 21, -22, -47, -17, -24, -34, 40, 3, 4, 2, 8, -27, 14, -19, -8, -19, -25, -38, 12, -21, 24, -19, 24, 40, -19, 32, 18, -41, -18, -37, 7, -3, 30, -27, -2, 27, -40, -12, -25, 40, -3, -31, -45, -26, 25, -31, -39, 17, 45, -30, 3, 3, -15, 3, 7, -44, 36, 26, 13, 28, -38, -24, -52, -20, -2, -3, 26, -31, -6, 1, -11, -45, -38, -3, 20, -45, -15, 51, 44, -41, 18, 2, 32, 35, 9, -19, 6, -26, -3, 10, -10, -20, 20, -3, 20, -2, 37, 41, 12, 8, -30, 11, -44, -26, -1, 40, 39, 35, 23, -3, 2, -43, 2, -19, 25, -3, -31, 29, 14, 37, 5, -7, -37, -15, -35, 34, -44, 22, -43, -40, -4, 31, -40, -46, 38, 33, 40, -26, -34, 40, 39, -12, -44, -14, -2, -36, 23, 21, -46, 3, 19, -50, -37, 24, -11, 15, 23, -21, -47, -6, 6, 24, 30, 27, 22, -41, 26, 20, -12, -19, 7, -3, -39, 34, 26, -12, 22, -35, 11, 18, -28, -46, 13, -36, -6, 30, 25, -21, -20, -43, 19, -28, -40, 20, 22, -29, 15, -21, -23, 10, 37, -17, -40, 42, 10, -20, 23, 6, -8, -16, -16, 25, 27, 14, -49, 4, -2, 29, -11, -32, -29, -28, -29, -14, 7, -6, -18, 0, -39, 3, -36, -44, 40, 28, -35, -26, 27, -40, 19, -16, -9, 49, 28, 7, 32, -4, 38, 25, -12, 43, 11, 12, -28, 7, 21, -35, 41, -24, 22, -15, -27, 21, 19, -43, -3, -15, 37, -39, 21, -2, -3, -49, 32, 21, 6, 49, -6, -34, 6, 42, -26, 26, 12, 35, 32, -22, -41, -9, -6, 42, 35, 16, -19, 38, -31, -21, -27, 10, 37, 15, -31, 12, 38, 9, -44, -18, 11, 11, -2, -26, 41, 30, 47, 31, 15, 27, 6, 6, -18, 20, -29, 27, -33, 33, 31, -18, -50, 18, 14, -22, -3, 3, -16, -21, -21, -41, 17, 11, 22, -47, 11, -6, -10, -37, -2, 24, 1, -11, -7, -46, -26, -15, -15, 10, 40, -33, -29, -32, 8, 4, -21, -3, -23, 34, 3, 29, 35, 31, -6, -11, -4, 19, -17, -7, -21, 22, -16, -19, -43, -19, 26, 29, -5, 39, 17, -37, 8, 34, -17, 42, 31, 13, 28, 38, 5, 21, 17, -12, 1, -33, -49, 5, 42, 43, 19, 1, -8, -11, 27, 21, -17, -6, -26, 25, 16, -11, -4, 27, 36, 39, 3, 33, -30, 16, -31, 6, -11, -8, -42, 18, 36, -43, 13, 4, -36, -41, -40, -46, -35, 17, 21, -34, -44, -11, -29, 28, 31, -10, -2, 33, -6, 22, 29, -30, -40, 19, -39, 13, -18, -4, 31, -18, -31, -3, 49, 5, 11, -21, -32, -35, 35, -33, 13, -4, 45, -42, 0, -29, -35, 9, 47, -19, -28, 42, -14, -9, 10, -8, -7, 48, -17, -6, -38, 34, -32, 30, -27, 18, -47, 12, 39, -4, -44, 25, 8, 42, -4, 31, 5, -7, -10, 24, -14, 32, 26, 22, -44, 30, 17, -4, -43, -20, -46, 11, 18, -11, 32, -2, 33, 0, 11, 39, -35, 34, -2, -24, 39, 36, 39, -34, 43, -17, 25, -27, -8, 10, 17, -15, -33, 39, 36, -39, -17, 11, -10, -41, -12, 6, -26, 35, -27, 28, 26, 1, -5, -30, -11, -32, 7, 29, 35, 8, -17, 0, 22, -24, 4, -8, -37, -18, -18, 43, -28, 37, 28, 3, -39, -29, 30, 45, 14, -43, -10, 21, 41, -1, -7, 21, -22, -24, -34, -18, -26, 38, -19, -36, -41, -42, 35, -25, -25, -31, -24, 31, -8, -4, -7, 30, -37, 41, -11, 5, 20, 5, 16, 8, -14, 31, 44, 13, 3, 17, -12, 39, 7, 32, 31, -37, -31, -14, 25, 0, -48, -11, -31, -47, -27, 14, -25, 39, -6, 32, -27, -3, -2, -33, -19, -14, 40, -33, 12, 41, -11, 16, -36, 21, 3, 27, 5, 19, 11, 18, 23, 8, -25, -17, -31, 43, -43, 9, 21, 13, 32, 21, 28, 6, 32, -17, 40, 3, -30, -38, 16, -44, 34, 8, 1, -19, 26, -12, 2, -39, -17, -30, -42, -48, 28, -17, 4, -12, 10, 11, -5, -21, -11, -40, 48, 5, 19, -34, -20, 14, 6, -24, -44, -4, 6, -13, 25, -5, 42, 5, 7, -3, -31, 23, 36, 20, 20, -20, -31, 18, 13, 24, -6, 35, -43, 7, -43, -9, -35, 20, 34, -16, -23, 4, -19, 29, -16, -31, -2, -34, -20, 28, -49, 38, 15, -43, 31, -27, -32, 33, 20, 40, 26, -19, 31, -20, 18, 19, 17, 19, 38, -8, -14, 19, 23, 42, 37, 45, -1, -21, 8, -40, -18, -46, 36, -6, -29, -22, -7, -34, 41, -34, -14, -45, 24, -19, -8, 2, 23, -37, -1, -4, -1, -6, 22, -19, 31, 15, 13, 15, -9, -6, -9, 31, -47, 32, -21, -14, 39, 36, 4, 18, 36, -18, 34, -5, 34, -39, -12, 30, 26, 3, 17, -11, -31, 8, 40, 22, 18, 18, 15, -14, 32, -34, 22, 30, 13, -8, -48, 25, 13, 15, -42, -4, -36, -3, -2, 33, 22, 33, -8, -15, 8, 37, 32, -6, 7, 25, -41, -5, 15, -9, -31, 33, 3, -45, 41, 38, -13, 36, -12, 1, -44, -44, 46, 21, -8, -25, -36, -22, -35, -29, 23, 23, 23, 25, -10, -5, -4, 33, 0, -39, 22, 6, 8, 21, -14, -23, -27, -49, 2, 9, -1, -17, 17, 4, 16, 1, -9, -45, -33, -17, 34, -8, -45, -9, -4, -45, -14, -8, 20, 15, -23, -31, -26, 4, 40, 28, 32, 10, 11, -6, 23, 31, -27, -26, -48, 39, 9, 16, 31, -19, -19, -5, -38, 8, 26, 29, -29, 27, -36, -19, 9, 11, -44, -50, -30, -21, 8, -14, 32, -29, 2, -37, -41, 37, 43, 39, 30, -17, -12, -31, 5, 2, -37, 13, -35, -11, -27, 2, -12, -27, 31, -17, 1, -27, -1, -4, 35, 1, 32, 34, -29, 32, 8, -11, 22, 31, 38, -26, -44, -28, -11, 30, 10, 32, -24, -19, 13, -38, 0, 16, -26, -39, -26, 39, -42, -4, 29, 1, 43, -45, -12, -4, 7, -45, -43, -37, -49, 45, -7, 7, -39, 2, -24, 37, 34, 45, -27, 18, 39, -46, 45, 35, -17, -23, 31, -24, 8, 41, 18, 16, -23, -21, 11, -18, 26, 18, 22, -34, 6, -12, 3, -2, 6, -6, 23, -8, -26, -36, 24, -25, 7, -44, 31, 27, 11, 43, 17, -18, -3, 11, 8, -43, 23, -14, -2, 16, 24, 28, 10, -38, -42, -25, 31, -31, 25, -39, 13, 6, 14, 34, 1, -11, -34, -9, -36, -46, -13, -2, -44, 8, 16, 5, -11, -18, 10, 46, 37, 43, 3, 36, -22, 20, -53, -33, 13, 36, -5, -49, 18, 26, -29, 0, 2, 32, -1, 18, -4, 12, -14, -44, -32, 37, 42, 39, 45, 39, -43, 7, 14, -16, -38, -13, -36, -35, -8, -11, -26, -15, 13, 1, 12, -30, 24, -19, 35, -36, 34, -15, 14, 30, 44, -30, -11, 23, -10, -20, 2, 17, 12, -41, -38, -23, -35, 0, -32, -48, 41, -46, -27, 37, -34, -7, -20, 23, -15, -18, 18, -31, -19, 44, 23, -37, 6, 42, -38, -38, -46, -40, -3, 28, 2, 21, 8, -17, -49, 28, 13, 8, -10, 4, 30, -12, 2, -29, 20, -1, -43, 9, 39, 36, -17, 10, -42, 45, 5, -20, -11, -40, 2, 25, -16, 34, 28, 42, -33, -8, -9, 0, 4, -26, -41, -7, 19, 13, 39, -35, 21, 44, 35, 41, -18, -18, 13, -15, -16, 19, 25, -38, 21, -45, -43, 13, -28, -12, 30, 2, 37, -10, 27, 26, -36, 21, 29, -18, -16, -16, 11, 12, -33, -20, 28, 0, 21, -18, 34, -18, -20, -36, 10, 14, 23, -31, 26, -31, -3, -7, 1, -35, -19, 8, -44, -20, -18, -47, 8, 21, 42, -3, 46, 35, 37, 37, -36, -12, -7, -40, -38, -49, 30, -27, -51, 25, -1, 44, -3, 12, -42, 44, -25, 24, -31, -33, -25, 3, -13, 31, 9, 2, 15, -29, -53, -6, 35, 47, -25, 21, 8, -32, -34, -15, -26, 7, -17, -17, 34, 34, 22, -4, -27, 7, 40, 4, 9, -26, 39, -33, -33, 20, -24, 28, -37, 10, 31, -33, -28, -14, -46, -45, -10, 5, -37, 26, -13, -4, 29, -32, -13, -31, -45, 23, -36, 45, 28, 0, 2, 0, -45, -8, 2, -1, 0, -35, 41, -39, 19, -26, 45, 8, 30, -6, 27, 9, 40, 2, 25, -29, 12, 37, 18, 13, 31, -18, 0, 29, -10, 9, -12, 18, 3, -25, -8, -45, 11, -47, 0, -6, -13, -5, 18, -29, 27, -25, -27, 13, -1, -6, 23, -1, 30, -36, -9, -3, 20, 12, -44, 29, 30, -7, -17, -36, -44, 14, 19, 1, -26, -3, -5, -21, 15, -25, 16, -30, 17, 14, 37, 33, 5, 31, 33, 1, 24, 44, -29, -24, -36, 32, 8, -28, -36, 26, 44, -7, -20, -34, 32, -5, 40, -29, -12, -1, -22, 46, -41, 21, -26, 27, 18, -34, 14, 34, 35, -36, 43, 11, 32, -44, 5, -9, -23, -10, -34, 31, -5, 28, 23, 22, 2, -5, 38, 5, -5, 4, 13, 44, 25, -23, -32, -17, 45, -13, -17, 4, 24, 19, -41, -22, 40, 39, -37, -37, 28, 27, 16, -12, -42, -13, -7, 38, -41, 0, -6, -34, -7, 18, -27, -1, 29, 19, 44, 19, 8, 12, -6, 9, 21, 10, 35, -17, 41, -28, -30, -33, -34, -27, 34, -15, -33, 23, -42, 28, -23, -32, -43, -25, 21, -33, 17, 46, -47, -1, 36, 13, -21, -14, 0, 31, -23, 18, 18, 14, 17, -19, 33, -15, -4, -20, -9, 43, 36, 30, 34, 39, -42, -18, 2, -4, 7, 34, 16, -5, -39, -16, -6, -27, -5, 22, 15, 7, 27, -32, 23, -16, -32, 16, -45, 12, -9, 52, -17, 21, -13, 4, -40, -34, 42, -23, -38, 43, 42, -5, -16, -29, -26, 6, -19, 24, -27, -1, -22, -9, -18, -49, 31, 36, -33, 42, -10, -17, -13, 0, -43, 15, -35, -13, -39, 11, 42, 16, 12, -34, -26, 9, 19, -17, 42, 23, 44, 12, -40, -22, -42, -47, 34, -18, -44, -6, -27, 8, 6, 25, -19, 44, 35, 4, 10, 1, -19, -2, 41, -2, 6, 9, 7, -41, 7, 18, 5, 43, 25, 33, -42, -9, -40, 15, -28, 34, -32, -5, -28, -4, -30, 2, -16, 13, -34, -24, -31, -5, 20, -24, 29, -39, -22, -28, 40, 19, -16, -10, 17, 10, -13, -26, 10, 31, 6, 41, -10, -7, -31, 29, 34, 0, -42, 29, -31, -25, -6, 2, 41, 21, -39, -27, -37, -38, -3, 18, -3, -26, -22, 24, -26, 22, 39, -18, -27, 29, -46, 2, -7, 8, 21, -41, -15, -1, -41, -45, 40, -14, 18, 9, 38, -6, 39, 4, 25, -38, 23, -47, -22, -35, -20, -15, -8, 39, 12, -38, 12, 6, 42, 41, 4, 30, -8, 4, 2, -29, -33, 13, 46, -6, -10, -31, 28, 9, -9, 2, -39, -5, 44, -21, -17, -18, -8, -14, -41, 42, -22, 15, 28, 28, -10, -2, -11, 21, 17, -14, 4, -4, -52, -24, -35, -31, -26, -23, -15, -46, -26, -14, -12, -47, 0, -15, -4, 1, 9, 32, -45, 5, -10, -11, -39, 22, -41, 33, -6, 32, -42, 16, -8, -17, 26, -38, 27, -18, 30, 17, -2, -40, -11, -46, 13, 25, -31, -32, 6, -2, 0, -26, 28, -27, 33, 38, -34, -5, 31, -9, 1, -25, -45, 4, 22, 28, 40, -32, -36, 19, -39, 19, 17, -37, 44, -25, 27, -7, 28, 33, 4, 7, -12, -34, -15, 9, -12, 20, -17, -17, -24, -42, 13, -32, 19, 31, 8, -30, -26, -24, -8, -22, -32, 37, -30, 26, 11, -43, 44, 34, -30, -40, -33, -34, 36, 6, -12, -23, 37, 4, -36, -7, -22, -8, 9, 23, -13, 5, 34, -12, -35, -24, 12, -10, -44, -37, -3, -46, -45, -3, -15, 20, -31, -43, 43, -12, -6, 15, -33, 4, 24, 20, 32, 20, -47, 12, -5, 14, -42, 9, -28, 41, 1, -11, -13, -41, 0, 24, 37, 5, -16, -16, -46, 41, -21, 35, 21, -26, 2, 41, 4, 16, -30, 2, 1, -46, 39, 35, 7, 8, 28, 42, -25, -9, 2, 19, -45, -18, -25, -11, -38, -10, -3, 7, 32, 19, 10, 20, 35, -1, 2, -21, 12, -38, -10, 40, -3, -11, 32, 7, 14, -8, 20, -46, -48, -34, -22, -16, -3, -27, 6, -37, -11, -14, 23, -19, 42, 23, -11, -39, -7, 3, 6, 14, 13, -33, 28, 30, -11, 22, 9, 21, 0, 20, -1, -45, 6, -34, 16, 32, -45, -41, 39, 30, -28, 35, -9, -33, -19, -42, -20, 40, -37, -14, 32, 20, 38, 28, -15, -33, 4, 32, -20, 32, -27, -31, 23, 38, -20, 25, -35, 39, 14, -44, -21, 17, 15, 26, -31, 28, 0, 31, 17, -29, -47, -20, -38, -36, 6, -17, -32, 15, -10, -18, 22, 39, 6, 24, -13, 33, -34, -29, -2, 7, -2, -4, 0, -27, 13, -33, -7, 10, -29, 10, -16, -22, 43, -36, -10, 22, 31, 30, 29, 15, 16, 45, 39, 7, 0, -44, 28, 24, 25, 39, 26, -31, -20, 39, -7, -15, 39, -44, -1, 26, -14, -14, 23, 11, 0, 29, -23, 23, 24, 38, 32, -6, -19, 9, -12, 11, 11, -16, 3, -19, -31, -41, 12, 9, 35, 39, -16, 5, 40, 26, -4, -36, -39, 17, -43, 17, 5, 34, 2, -39, -23, -35, 31, 41, -28, 23, -37, 6, -9, -38, 12, -14, 28, -32, 44, 19, 1, -44, -25, 25, -2, -9, -46, -8, 16, 36, 19, -13, -41, 20, 30, 26, -41, -4, -23, -38, 40, 30, 11, 8, -46, -15, 12, -4, 12, -33, 39, 5, -34, 12, -13, -39, -43, 45, 27, 18, -44, -27, 27, 15, 23, 22, -22, 34, 32, -1, 6, -11, -14, -46, -33, -33, -44, -25, -47, 35, 27, -5, 22, -2, -7, 45, 40, -3, -9, 4, -37, 10, 36, -24, -31, 12, -13, -33, 35, 34, -35, -12, 30, -23, 24, 25, -24, 13, 4, 44, -27, 23, 16, 4, -25, 34, 32, -45, -29, 23, 43, 33, -38, 5, 16, 34, 38, 3, -40, -40, -13, -46, 7, -15, 5, 13, -35, -9, -31, 4, 13, -28, 24, -28, 17, 38, 15, 1, -1, 29, 8, 16, -10, 26, -47, 39, -9, 35, -22, 39, -12, -35, 24, 21, -40, 6, 2, -43, -28, -45, 33, -29, -27, -43, 45, 35, -33, -37, -6, 14, -45, 21, -10, 2, -38, -42, 17, 17, 27, 0, 10, 10, -5, 10, 2, -44, -15, 12, 17, -44, 10, -47, -10, 41, 40, 27, 26, 5, -23, 0, 6, 35, 6, -5, -44, 34, -20, 31, 17, 11, 19, 4, -28, -37, 7, -17, -29, 33, -14, 35, -42, -29, -33, 9, -8, -17, 27, 26, -45, 37, -32, 8, 25, 13, 3, -40, -19, -36, -13, -35, -8, 15, -2, -2, 11, -46, 20, 14, 4, 39, 1, 10, -36, -41, -24, -16, -17, -19, 44, -10, 36, -21, -27, 4, -33, -43, 8, 26, -47, -37, 8, -11, 34, -16, -25, -18, -43, 20, 27, -47, 34, -14, 4, 22, 21, 41, 19, -41, -40, 19, -14, -29, 28, 31, -43, 3, -22, 15, 15, -25, 26, -49, 37, 34, -33, -7, 24, -36, 23, 27, 32, 27, -5, -42, -3, 41, 25, 20, -4, 1, -39, 0, -4, 22, -6, 36, 35, -42, 31, -14, 20, -25, -16, -32, -34, 44, 27, -30, 0, -49, -41, -23, -27, -15, 5, 25, 17, 31, 1, 5, -2, -9, 42, -2, 36, 34, -3, -2, 0, -4, 43, -43, -37, 6, 30, 0, -32, 12, -27, 33, -13, -31, 43, -34, -25, -1, 6, 38, 6, -44, 43, -6, 12, -19, -8, -37, 37, -11, 34, -27, -11, -9, -5, 38, -42, -3, -43, -44, 26, 14, 36, -24, 31, 42, 41, 17, 4, -9, 42, 31, -2, 37, 35, 19, 16, -39, 0, -23, 2, 22, -5, -34, -40, 10, -14, -21, -2, -24, -22, 15, -7, 21, -33, -19, -40, -2, 19, 31, 19, -6, -4, 14, -18, -5, -4, 3, 2, 4, -7, 15, 11, -28, -38, -6, 26, -41, 26, -49, 26, -6, 3, 29, -8, -4, 4, -32, -12, -31, 39, 31, 27, 36, -36, -37, 33, -15, -22, 4, -15, -3, -5, 3, 20, -16, -40, 19, -34, 38, -2, -50, -21, -12, -13, 40, 16, -21, 4, 11, 14, 30, -5, -21, 31, -41, 41, -23, -12, -1, 13, -45, -29, -48, 32, 10, 18, -38, 17, -37, -41, -13, 7, 31, -3, 29, 8, -17, -16, -27, 31, -46, 23, -18, -27, 5, -26, -34, -29, -16, 28, -17, 12, -25, 6, -27, 31, 33, -18, -19, -25, -23, -25, -21, 45, 17, -25, 18, -19, 40, -38, 16, -43, -37, -45, 23, -45, -2, -24, -16, 25, -27, 11, -31, -33, -6, 29, 40, 44, -13, -13, 7, 12, 10, -42, -48, 3, -20, 14, 19, -9, 35, 27, -35, 6, 46, -3, 42, 31, -1, 15, -18, -43, 6, 37, 20, -24, -11, -41, -20, -41, -19, -14, 11, 44, 39, -3, -7, -43, -32, 34, -9, -17, 26, -32, 68, 23, 18, 38, -27, -6, 26, -17, -21, 22, -6, 17, 0, 23, -31, 14, 32, 7, -22, 6, -24, 12, -11, 9, 0, -2, 9, 26, -18, 22, -29, -42, -2, 33, 29, 31, -37, -16, 25, -12, -31, 16, -29, 12, 26, 56, -31, 42, -28, -31, 29, 19, -5, 26, -34, 3, 1, -1, -14, 9, 21, -35, 33, -34, 1, 36, -15, -17, 14, 13, 26, 41, 53, 2, -4, 9, -32, -12, -40, 11, -16, 17, -16, -6, -19, -4, -6, 14, 7, 11, -39, 12, -30, -37, -14, 4, 24, 27, -43, 26, 47, 19, 1, -48, 28, -39, 16, 33, 36, 57, -14, 8, -1, -3, -5, 29, -23, -10, -11, 11, -27, 38, -8, 18, 19, 26, 1, 74, 39, -36, 34, -17, 26, 20, -23, 31, -40, 44, -25, 9, 3, -20, -19, 5, -19, -34, 40, -22, -34, 16, -29, -17, 23, -24, -28, 0, -22, -21, 5, -39, 24, 36, 10, 4, -5, 30, 19, -38, -3, -34, -60, 6, 16, 23, 16, 8, 16, 50, -8, -4, 28, -17, 37, 5, 13, -28, 19, -24, -3, 34, -37, 13, -12, 50, 45, 4, 5, -13, -6, 11, 36, 35, -12, 44, -6, -32, -9, 38, 21, 36, 16, -29, 31, 33, 40, -39, -13, -6, 39, -20, -7, 2, -25, -31, -44, -23, 50, 17, -35, 13, 0, -37, -15, 35, 5, -15, -29, 34, -9, 49, 2, -1, -7, 7, 29, 34, -14, -19, 3, 31, 1, 4, -7, 4, -16, 4, 57, 2, -38, -19, 1, -45, -16, -9, -20, 42, -31, -7, -27, 3, 37, 4, -55, -20, 6, -3, -22, 33, -22, -7, 22, 9, -28, 19, -8, -11, 8, -22, -52, -15, 42, -12, -17, -13, 42, 9, 31, 6, -4, 3, 41, -38, -41, 3, 9, -4, -25, 12, -33, 41, 22, 31, -12, 23, 28, -31, 7, 10, -41, -37, 42, -12, -31, -25, 0, -35, 30, -48, 26, 13, 42, 16, 8, -23, 14, 28, -45, 36, 25, 16, -28, -40, -44, -22, -45, 45, 7, 17, 31, 27, 29, -42, 37, -15, 12, -35, 9, -34, 18, 39, -18, 4, 25, 13, -24, -24, 34, -2, 38, 7, -23, 16, 25, 28, 11, -1, 7, 31, 21, -9, -4, -9, 12, 4, -18, -17, 6, -36, 35, 7, 5, -43, 32, -2, -28, -28, -44, -9, -7, -4, -3, -36, 12, 1, -7, 24, -15, -39, 19, -37, -63, 14, -44, -15, -93, -45, -47, -26, 21, 1, 23, 3, 29, 26, -34, 5, -36, -35, -15, -11, -34, 20, -52, -13, -26, -30, -19, -14, 11, -18, 12, -18, -16, -28, 31, -18, 25, 14, -3, 2, 46, 3, 2, 41, -23, 12, -4, 38, 24, -60, -23, 33, -39, 19, -48, 11, 31, 1, -23, 6, 36, -17, 0, -18, 5, 21, -26, 36, -34, -36, -1, 0, -31, 34, -32, 10, 32, 13, 25, -19, 40, 7, 8, -45, -4, -33, -26, 5, 4, 23, 29, -38, 1, -9, 8, 39, 42, -26, 36, 31, 23, -15, -61, -27, -38, -44, 12, -35, -23, 8, -36, -18, 30, 9, -8, 7, 35, -32, 36, -49, -12, -25, -48, 37, -27, 2, 9, -25, -38, 3, 42, -11, 7, -46, 38, 2, 0, -2, 10, 16, 19, 37, -29, -1, -41, -30, 4, 14, 23, -8, 2, -27, -9, -3, -36, 6, -15, -37, -37, 2, -15, -6, 3, -14, -46, 35, -12, 35, -16, 25, -23, -14, -23, 25, 45, -9, 69, 1, 31, 42, 4, 18, -3, -30, -17, 24, 35, -48, -44, 6, -2, -21, -8, -40, 38, -35, -37, -20, 11, 21, 15, 11, 33, 42, 21, 8, -13, -58, 15, -22, -24, 34, -6, -1, 31, 23, -44, -25, 29, -11, 40, -35, 0, -10, -26, 26, -33, 37, 45, -41, -37, 11, 34, 39, -34, 15, -45, 20, -23, -3, 21, 9, -31, 9, -26, -23, 15, -35, -25, 17, -18, -14, -36, 13, 0, 4, -12, -30, -57, 16, -4, 1, 18, -11, -48, -21, -4, -4, -3, 16, 23, 30, -12, 34, -19, -28, -15, 39, -10, -1, -35, -7, -5, 6, 35, 26, 32, 12, 32, 29, -7, 8, -54, -14, 24, 20, 43, 20, -5, 15, 22, -2, 29, 31, -31, 15, -23, 26, -20, -35, 15, -50, -3, -46, 4, -54, 27, -6, -3, 40, 9, -36, 25, -23, -33, -10, -16, 25, 0, -11, 41, 45, -12, -32, 22, 18, 38, 1, 44, 25, -10, 37, 15, -8, 37, -18, 6, -7, 7, -23, -49, 19, -52, -20, -10, 5, 47, 24, 3, -38, 5, -27, -70, 4, 22, -24, 9, -26, 35, 12, -44, -48, 0, 52, -7, -19, 30, -13, 14, -42, -37, -25, 3, -35, -16, 61, -3, 9, 10, 7, 38, -57, 1, 8, 39, -11, -1, 11, 29, -29, 18, -14, -2, 66, 0, -38, -12, 34, 40, 21, -8, 42, 23, 48, -42, -34, 17, -45, 27, 23, -35, -25, -7, -7, -31, 2, -13, 25, 27, -40, -21, 15, -30, -5, -26, 37, -37, -31, -18, 36, -14, 18, -18, -21, 18, 16, -8, -24, -30, -21, -23, 15, -47, -32, 13, 24, 47, 11, 51, -18, -33, -11, 16, 34, -17, 9, 23, 35, 23, 60, 57, 30, -31, 33, -15, 0, 26, 27, 3, 8, 1, 9, -7, -23, 45, -40, 35, 41, -31, 35, -28, -3, 25, -28, 10, -3, 37, 7, 21, 36, -45, 20, -13, -44, -48, 40, 6, 9, -26, 27, 26, 9, -4, 31, -27, -14, 45, -23, -48, 38, -42, -56, -37, 37, 12, -22, -12, 12, 10, -11, -7, 24, 10, 50, -39, 17, 17, 25, 29, 33, -51, 34, 14, 21, -32, 12, -22, 7, -20, -41, 8, -24, -27, -46, -14, 6, 32, -43, -21, -25, -12, 8, -34, -19, -31, -31, -17, -12, -25, -20, -39, 32, -9, -9, 45, 10, -17, 28, 4, 1, -69, 11, 15, 10, -37, -44, 24, -45, 5, 18, -46, -8, 27, 9, -2, 11, 22, -15, -32, -13, 34, 3, -15, -6, 25, -22, -10, 21, 46, 45, 43, 31, 5, -14, -42, 48, -37, 15, 46, 39, -24, -1, 6, 5, -26, 14, -31, 1, 34, -6, -34, 51, -7, -33, -19, -51, -3, -4, -19, -41, -45, 10, -9, 39, 4, -38, -12, 7, -39, -8, 31, 21, -13, -14, -52, -58, -20, 6, -13, 16, 15, 7, 33, 22, -25, -14, -7, 2, -22, -30, 31, 9, 29, 39, 29, 9, -13, -20, 18, 26, -1, 11, -24, 0, 31, 20, 34, -8, 29, -31, -41, -21, 4, 20, 27, 10, 47, -14, -7, -10, -2, -30, 17, 25, -33, -42, 34, -3, 1, 14, 16, 37, 0, -57, 2, 35, 10, -10, -47, 48, 18, -1, 26, -38, -41, 5, 8, 82, 11, -20, 19, -9, 10, 9, 31, -9, -13, -34, -1, 44, 48, -58, 21, 38, 6, 7, -41, 11, 22, -40, -4, -57, -51, -18, -74, -45, -59, 22, 17, -27, 24, 2, 44, 59, -58, -35, -24, -32, 1, -29, -42, -7, 37, -2, -14, 7, -33, 6, -11, 17, 36, -44, -1, -11, 36, 49, -12, 49, 25, -26, -17, -4, 67, -34, 19, 8, -5, -1, 16, -29, 9, -6, 42, 37, -36, -16, -2, 54, 4, -33, -33, -22, -8, -10, -53, 45, 5, -27, 16, -10, 60, 65, 36, -11, 1, 7, -64, -30, -14, -102, -30, -18, 10, 14, 1, -51, 30, 13, -13, -20, 10, -8, 8, 17, 11, -16, -17, -58, 28, 19, 38, 37, -2, 12, 11, -94, 50, -20, 26, -24, -11, -52, -35, -37, 12, -58, -56, -21, -32, -60, 14, -60, -2, -38, -12, -9, 31, -28, -42, 11, -60, -17, -33, -52, -23, -13, 5, -39, 21, 68, -15, 11, 32, 31, 30, -32, -45, 41, 8, 10, 3, 14, -24, -28, -34, 2, -39, 8, -6, -35, 48, -47, 15, 34, 25, -19, -47, 33, 72, 7, 47, 40, 30, 33, -16, 40, 41, -10, -12, -26, 33, -17, 2, 0, 3, -51, -38, 21, -6, 28, -63, -53, 13, 46, 6, -30, 34, 38, -5, -25, 0, -13, -5, 26, 23, 17, 13, 36, -15, 30, -22, -31, 13, -17, -19, -13, -12, -16, -12, -32, 7, -66, -13, 27, -32, 29, -19, 4, -27, -29, 32, -39, 8, -20, 33, -6, -42, 16, 39, 22, -24, 20, -1, -39, 14, 14, 39, 21, -15, -45, -41, 6, -4, -41, -49, 13, 21, 45, 23, -39, 21, -4, -20, -36, -17, 24, 16, 19, 43, 12, -25, -10, -30, 29, -3, 20, -12, -53, -58, -10, -26, -34, -20, 38, 32, -22, -68, -78, -37, 44, 43, 44, 22, 13, -26, 5, 21, 0, 22, -37, 22, 42, 2, 12, 29, -52, 13, -22, -19, -16, -35, 16, 17, 33, -5, -32, 6, 7, -28, 31, -38, 9, -95, 2, -49, -46, -17, -3, -21, -12, -27, 51, -43, 26, -29, 51, 41, 42, 51, 67, -9, 9, -54, 4, -26, -43, -25, 33, -32, 31, -30, -30, -2, 16, 9, -7, -26, -33, -3, -40, -13, -3, 1, -9, -35, 35, -14, -6, 23, -7, 45, 21, -12, 41, -13, 23, 17, 18, -46, 28, 15, -19, 28, -26, -26, 39, 19, -25, -27, 15, -3, -3, -30, 37, 18, -5, 11, 30, 12, 40, -54, -29, -50, -83, -67, -17, 49, 12, -34, -9, 40, -37, 62, -24, 18, 46, 45, -27, 30, 6, 46, 55, 22, -28, -14, -36, -39, -18, -67, 8, -22, -4, -24, -54, 21, -57, 77, 12, -29, 40, -6, -37, -10, -13, 16, -14, -29, -60, -89, -68, -54, -38, 21, -25, 7, 28, 15, -28, -52, 19, 18, 37, -40, -27, -4, -3, -11, 36, 11, 45, -25, -3, 12, -12, -35, -32, 33, 4, -38, -1, 31, 31, 6, 15, -63, 9, -19, -21, 5, -26, -19, -27, 20, -25, -25, 3, -4, -10, -4, -18, -51, -3, -2, 2, -70, -50, 8, -41, -30, -33, -13, 9, 26, 15, 17, -24, 2, 66, 36, 15, -6, -25, 35, -33, 12, 41, -8, 21, 3, -31, -13, 3, 7, -32, -10, 26, -72, 30, 46, -18, -19, -14, 37, -19, -32, -41, 15, 80, 13, -7, -13, 28, -28, 29, -20, -3, -14, 8, 40, 24, -15, -4, -47, -25, -22, -2, 43, 20, 38, -34, 29, 33, 26, -35, 32, -27, 11, -54, -15, -18, 34, 16, 12, -56, -9, 16, 0, -10, -13, 45, 11, -75, -27, 23, 22, -24, 16, 19, -29, 29, -45, 50, 28, -16, -21, -43, 18, -43, 49, 37, 26, -27, -27, -3, -22, 26, -43, 17, -18, -38, 23, -29, -15, -13, -34, 7, 1, 44, 31, 4, -7, -40, 19, -37, -36, -20, 8, 27, 1, -27, 10, -3, -73, -40, 18, 16, -32, -35, 26, 33, -19, -33, -42, -15, -43, -29, -28, -10, -11, 16, 38, -41, -18, -19, -42, 61, -15, -31, 22, -5, 7, 0, -103, -24, -71, 31, -21, 5, 1, -15, 31, -15, 38, -8, 16, -31, -17, -66, 7, -37, -18, 71, 11, -23, 32, 36, 9, -3, 12, 16, 33, 38, 12, -37, 21, -33, -43, -14, -8, 29, -31, -15, 26, -12, 29, -7, -28, -51, -71, -40, -35, -32, -12, -18, 27, -10, 26, -12, -2, -23, -47, 3, 1, -35, -28, -28, -9, -5, 8, 17, -29, -36, -53, 37, -21, 42, 27, 21, 5, 36, -28, -20, 32, -3, -35, 31, -25, -1, -49, -77, -55, -47, -21, -2, 24, -40, 19, -46, -54, -14, 21, -56, 75, 1, -1, 15, 18, -39, -56, 1, -12, 33, -3, 43, 14, 4, -3, -49, -33, -20, 10, 16, -9, 37, 38, -10, 19, -2, -39, 27, 2, -24, 2, -19, 1, -31, 20, -39, -26, -71, -24, -24, -1, -39, -15, 22, -28, -33, 5, -15, 8, 13, 35, 39, -1, 40, -36, 24, -9, -18, -52, -10, -41, -13, 85, 3, -23, 20, 23, 12, 45, 0, 42, -30, -43, 35, -49, 24, 18, -31, 37, 8, -26, 20, -27, -17, 6, 25, 28, -45, -5, -49, -26, -21, 13, -22, -26, -9, 48, -66, -17, 54, 22, -1, -20, 15, 6, -5, -4, 19, -10, 2, 24, 24, -18, 19, -29, -24, -17, 23, -29, -16, 33, -10, 40, -2, -46, 18, -7, -26, 46, -14, 30, 17, 14, 6, -7, -33, 14, 54, -11, 11, 22, -17, 5, 9, 26, -10, -34, 36, 27, 15, -1, 36, 10, -40, 2, 14, -5, 36, 50, -48, -19, -6, -29, 15, 40, -9, 16, 10, 23, 14, 23, 15, 41, -8, -24, 9, -17, 30, 44, 26, -26, -30, -56, 8, -26, 40, -24, -20, -30, -17, -37, 4, -39, -17, -61, 21, 16, -29, -46, 40, -2, -27, -23, 0, 20, -12, -62, 15, 1, 45, -7, 10, -14, -3, 1, 44, 32, 16, -59, -40, -4, -23, -20, 6, -8, -10, -12, 33, 23, -24, -26, 9, -20, 23, -50, -35, -40, 23, -7, 0, -11, 1, -13, 63, -8, 9, 32, 26, -37, -18, 25, -14, 7, 11, -33, -41, -7, -2, 1, -14, -24, -70, -52, 28, 36, 0, -21, -46, -20, 23, -21, 4, -27, 11, -14, -12, -24, 9, -23, -42, -23, -11, -35, -25, -43, 40, -21, -50, 8, 22, 15, -5, -66, -19, 6, -10, -33, -7, -9, 26, -10, 0, -30, 30, -45, -14, 26, 30, 31, -39, -19, 7, 8, 6, -67, -1, -19, -36, 3, 22, -12, 20, 2, 8, -8, 36, -10, -12, 59, -18, 28, -56, 18, 60, -19, 6, 17, -3, 36, 42, 38, 4, -6, 9, -17, -11, -15, 15, -41, -12, 30, 20, 21, 5, -22, -32, 31, 5, 15, -26, -54, -37, -1, 0, 36, 40, 34, 21, 31, 19, 31, 1, -13, 31, 6, -1, -26, -31, -27, 31, 35, -19, 21, -15, -24, -29, -27, -47, -46, 18, -20, -5, 36, -38, -31, 32, 28, 51, 27, -25, 0, 21, -18, 21, 37, 19, -19, -5, -15, -4, -15, 32, -15, 15, -12, 2, 47, 7, 18, 22, -35, -8, -36, 41, 9, -8, 1, 34, -10, 51, 7, 1, 2, -6, 5, 20, 23, -28, 16, -51, -6, -35, -8, -28, -20, 32, 5, -34, 10, 8, 13, 32, 8, -23, -32, -27, 0, -35, -26, -18, -26, 11, 32, 7, -32, -30, 5, 37, -43, -38, 5, -26, -39, -4, 5, 17, -34, 36, 15, 4, 21, -37, 8, 30, 32, 29, -40, -2, 38, 38, -4, -40, 0, -32, 14, -45, 24, 19, -13, 6, 36, -4, -21, 27, -19, -7, 20, 21, 35, 47, -32, 24, 24, -14, 5, 41, 38, 12, 16, -45, -28, 29, 12, -41, 19, 40, 29, 0, -30, 8, 31, 15, 16, -23, 8, -12, 32, 13, 1, 52, 24, 12, -43, 13, -15, -13, -1, 47, -23, 16, -22, 40, -34, -34, 35, -13, -8, -33, -6, -18, -9, 37, 10, 21, 27, -9, -1, 15, -5, -5, 43, -8, -22, -3, 32, -9, -21, 29, -15, -12, 16, -13, 43, 27, -23, 27, -25, 22, -35, -1, -27, -4, -36, 15, -1, 36, 13, 4, 36, 3, 13, 39, -18, -9, -38, 35, -44, 25, 13, 19, -43, 3, -46, 16, 8, 35, -30, 34, 18, -9, 21, 17, 14, -29, 1, 42, -7, -16, 21, 19, 32, 24, -26, 13, 9, -19, -11, -12, -6, 10, 35, -14, -11, -12, -23, 12, -39, 15, -29, 11, -1, -49, -18, 18, 2, 28, 2, 17, 8, -26, -33, 16, 1, -10, 21, -20, -36, 16, -26, 28, -36, 23, -8, -36, 18, -33, 26, 34, -49, -5, -8, 19, 6, -12, 28, 11, 1, 24, 35, -16, 14, -40, 10, 13, 12, -53, -5, 14, 41, -8, -18, 8, -25, 10, 2, -20, -41, 0, -23, -50, 31, 2, -29, 17, 1, -21, 16, 0, -46, 0, 16, -34, -8, 3, 37, 12, -56, -44, -16, 29, -53, -2, -45, -15, 16, -13, -25, 20, -22, -25, 24, 40, 35, 13, 22, -40, 20, -31, -31, -3, -39, 2, -34, -5, 2, 13, -29, -42, -12, 23, 38, 5, 39, -10, -29, -46, 15, 8, -29, 13, -29, -27, 26, 4, -4, 32, -33, 4, -17, 21, 51, -6, -19, 5, 9, -6, 24, 48, -12, -5, 11, -25, -56, -1, -33, -21, 28, 8, -28, -32, -41, -3, -14, -11, 19, 7, 6, 22, -29, 5, 26, -60, -19, 3, -13, -25, -16, 5, -2, -57, -13, -25, 40, -10, -2, 39, 32, -2, -30, -39, 28, 35, -16, -27, 5, -23, -8, -16, 28, -2, 11, 21, -44, 17, 14, 35, -2, 11, -17, 32, 23, -39, -7, 11, -30, -35, 46, 25, 31, 30, -43, -35, -34, -30, 33, 16, 12, 38, 32, 28, 31, -21, 6, 53, -8, -27, 40, 13, -42, -8, 11, -30, 39, 27, 15, 25, 20, 32, -10, -14, -16, -20, -54, -20, 3, 9, 21, -25, 37, -41, -9, -5, -40, -20, 24, 32, 40, -39, -33, -3, -43, -23, -6, 27, -13, 15, 35, 34, -51, 8, -21, 2, 23, 40, -4, -6, 19, 11, -19, -28, 37, -3, 27, 37, 18, 18, -27, -5, -41, 34, -40, -6, 17, -13, -18, -45, 48, 45, 37, -46, -43, -4, 0, 2, 47, -29, 11, 6, -17, -19, 15, -40, -7, -41, -25, -4, 8, 22, -12, -6, -24, 28, 27, 14, 0, 4, 38, -27, 1, -34, 22, -2, -41, -6, -39, 12, -31, -1, 18, -15, 0, 10, -28, -20, -29, 2, 25, 43, -6, -27, -9, -12, -20, -3, 30, -11, 21, -55, -15, 5, -4, 4, 29, -5, 11, -12, 15, -43, 21, 15, 4, -35, -10, -32, 3, 8, 27, -20, -32, 42, 25, 15, -3, -44, -36, 36, 27, 6, -34, 39, 1, 8, 50, 30, -2, 25, 28, -24, 48, -5, -19, 38, 31, -4, -27, 29, 44, 26, -16, -47, -15, 23, -18, -42, 13, -20, -10, 32, -10, -48, -4, -13, 4, 28, 56, 26, -5, 7, -22, -29, 0, 14, -12, -37, 26, -35, 13, -9, 19, 30, 32, -4, 23, -8, 19, -7, 2, 26, 30, -52, 18, 17, 33, -14, -38, -26, -2, -22, -10, 22, 33, 25, -6, 27, 10, -29, -42, -41, 18, -26, 27, -50, -25, -27, -33, -13, 31, 51, 7, 8, -16, -3, -36, 24, -49, -7, 36, -33, -13, 24, -6, 10, -14, -13, -22, 46, 17, 1, -19, -43, -30, -42, -55, 16, 15, 5, 27, 19, 22, 1, -5, 6, -6, 12, -19, -29, 24, -3, 27, 19, 7, -18, -2, -24, -34, 15, 37, 31, 6, 22, 35, -6, 26, -4, -20, 15, -18, 13, -10, 12, 31, 25, -21, 37, -35, 7, 15, -30, 13, -54, -3, -31, -20, 37, -14, 41, 45, -18, -43, 13, -10, 4, -33, 44, 17, 2, -20, 43, 13, 27, -17, 43, -30, 40, 24, 13, 33, -33, -44, 27, 16, -43, 29, -7, -21, -50, 27, 5, 22, 29, -28, 20, 16, 25, 6, 35, 27, -16, 41, -13, -32, 2, 8, 13, 23, -5, -13, -26, 60, -15, 22, 38, -1, 8, 15, 26, 33, -39, 2, -3, -22, -35, 37, 16, 16, 8, -31, 39, -35, -42, -4, -3, 20, -15, -4, 14, -3, -40, -17, 0, -32, 26, -19, -19, -1, -23, -35, 13, 44, -15, -36, 39, 27, -24, 4, 21, -43, -11, 34, 6, -12, 33, -2, 23, -12, -10, -30, -35, -27, 23, -22, 26, -20, 46, 34, 31, 19, 7, 10, -16, -35, -31, 1, -2, 4, -36, 1, 12, 13, -11, 20, -19, 34, -18, -21, 41, -8, -17, 10, -12, -15, 0, 31, 17, -22, 22, -21, 16, -39, 43, 11, -36, -31, -30, -19, 37, -29, -32, -38, -23, 32, -11, 15, 20, 26, 54, 53, 21, -16, -21, 1, -17, -14, 5, -48, -16, -18, 4, -37, -3, -13, 19, -11, 53, 49, 31, -5, 31, -36, 35, -23, 34, -16, 32, 2, -9, -30, 33, -37, -17, -14, -9, -14, -32, -31, -14, 17, 1, -8, -38, -32, -38, -34, -22, 3, 33, -5, 1, 4, 26, -30, -12, -7, -7, 55, 24, 7, 6, -17, -18, -57, -41, -4, 34, 1, -18, 55, 30, 14, -8, 16, -15, -12, 17, 36, -9, -41, -16, -48, 32, -40, 28, -34, -36, 0, 0, 22, -9, 11, -45, -34, 30, -43, 30, -29, -30, -31, -6, 8, -39, -42, -20, -13, -21, -27, -30, 0, 32, -1, 16, 38, -22, 1, 13, -13, -37, 27, 25, 44, 10, -37, 45, 52, -21, 22, 31, 43, 10, 22, -34, 36, -12, -29, -33, 20, 45, -33, -30, 37, 22, -42, -23, -2, 20, -30, -22, -17, -5, -27, 41, -47, -1, -70, -73, 31, -59, -29, -35, 2, 0, 8, -35, 6, 2, 25, -46, -13, -10, 34, -14, 24, -16, 31, 13, 9, -41, 49, -14, 6, 32, 39, 35, 27, 13, 5, 7, 15, 55, 14, -6, -49, -21, -4, -5, 12, -18, -27, -13, -25, 15, -19, 38, -42, -35, -26, -24, -12, -18, 37, 24, 11, -9, -1, 36, -41, -45, -13, 9, 13, 86, 3, -10, 4, -26, -33, -29, 24, -24, -54, -12, 8, 45, -19, 14, -12, 33, 18, -7, -22, 26, -11, -2, 10, 36, 33, 30, -11, 24, -19, -12, 16, -9, 20, -17, 6, 0, -40, 35, -9, 1, -65, -55, -38, -18, -6, -63, 9, -64, 12, -19, -10, -7, -11, -29, 33, 36, -21, -3, -54, -30, -17, 9, -7, -13, 15, 17, -19, -36, 13, 10, -22, 2, -35, 23, 41, -6, 27, -25, -26, -40, 17, 44, 33, 33, -21, 31, -28, 21, -5, -28, -37, -70, 21, -33, -11, 13, -3, 31, 14, -25, -33, 24, 49, 19, -5, -13, -20, 43, -42, 24, 34, -15, 32, 4, 11, -38, 14, 39, -14, 33, -31, -9, 22, -20, -9, 36, -9, 4, 39, -15, 46, -26, 22, 36, 5, -50, 5, 3, 42, 45, 2, 38, 40, -5, -19, -25, 47, 0, 1, 29, -3, 45, -48, 7, -13, -57, -45, 12, -4, -17, -30, -1, -5, -48, -31, -22, -34, -34, -2, 26, 29, 12, -35, -18, -22, 43, -30, 35, 9, -18, 15, 32, 8, -37, 15, 23, -14, -2, 27, 4, -15, 27, -38, -22, -3, 24, 0, 38, -5, -3, -5, -30, -4, 10, -46, -12, 8, -1, -36, -35, 17, 12, 5, 22, -14, -28, -21, -16, 18, -60, 35, -43, -37, -34, 18, -18, 38, -38, 18, -24, 2, -7, 23, 1, 32, -22, 14, -10, 0, 41, 16, 10, -27, -19, -11, 16, -39, 27, -34, -28, -35, -17, -24, -9, -22, -40, -3, 21, -9, 39, 35, -8, -26, -42, -57, -18, 1, 6, 35, -20, 34, -16, 36, 54, -24, -14, 19, 26, 4, 4, -25, -19, -15, -17, 15, 20, -34, 6, -43, -53, 8, -46, 17, -2, 17, -38, -5, 1, 10, 18, -1, -39, 33, 23, 45, 8, 35, 18, 24, 1, -17, -14, 39, 22, -39, -8, -19, 46, -12, -39, -46, 8, 18, -24, -32, -25, 7, -8, 15, -33, -52, -21, -51, -43, -66, -50, -26, -33, -4, 38, 18, -20, -61, -19, 20, 3, 27, 29, 3, 21, 35, 7, 49, -9, -7, 7, -34, -27, -54, -38, 45, 43, 55, -15, 20, 27, -31, -6, 59, -31, 25, -32, -27, -49, -14, -40, 5, -21, 12, -49, -11, -25, -5, -29, 38, -10, -23, 10, -12, -23, 43, -20, 34, 24, -19, -3, 10, -34, -24, -32, -16, 5, -27, -5, 14, -3, 25, -29, 27, -4, 24, 8, 28, 0, 46, 16, -9, 47, 10, 33, 37, -43, -43, 4, 62, 0, -8, 35, 35, 13, 23, 21, 40, 36, -17, 31, 15, 14, 36, -18, -6, -27, -2, 22, -38, 23, 43, 8, -20, 51, 5, 43, -16, 12, 36, 40, -39, 15, -6, 27, -15, -23, -19, 2, -13, 17, 38, 74, 12, -29, 6, 43, 31, -9, 44, 12, 17, -20, 57, -42, -2, 17, 44, -10, 14, 32, 33, 14, -9, -36, 25, -3, -33, -1, 4, 8, 6, -19, 22, -9, -33, -6, -16, -11, 37, 27, -29, 7, -17, 45, -39, -73, -54, -5, 1, 19, 22, -3, -19, -42, -26, -5, 27, -51, -34, 21, 10, -16, 22, -25, 9, 41, 27, -38, -49, -41, 36, -17, 9, 45, -35, 2, -33, -22, -7, 3, -16, 2, 26, -15, -8, 32, -13, -59, 35, -10, -23, 25, 15, 7, 8, 13, -22, 35, 27, 7, 17, 33, 21, 22, 33, -51, 1, 9, -27, -15, -1, -11, -37, -49, -26, -25, 14, 7, 24, 10, -41, -48, 19, 4, 11, -14, 35, 60, 41, -1, 49, -15, -46, -19, -37, 16, -10, 12, 32, 19, -51, -27, 18, -8, -37, 2, 15, -13, -17, -18, -24, -39, -16, 47, 89, 8, -15, -29, -5, -27, -22, 40, 7, 38, -7, -26, -13, 26, -7, 15, 1, -38, -25, -26, -15, -31, 39, -54, -12, -1, -9, -6, -9, 8, 10, -38, 12, 28, -19, 27, -5, -41, 36, 33, 39, -44, 5, -38, -57, -21, -37, -31, 20, -28, 35, -47, 41, 30, 32, -1, 4, 20, 16, -10, -41, 10, -26, -15, 8, -13, 0, -25, 7, -47, -18, -70, -36, 3, 7, -13, -18, -14, -40, -31, 16, 40, 28, -29, -14, -12, -59, -47, -20, 21, 18, 17, 3, -42, -22, 38, 27, -36, 11, 28, 32, -27, 7, -39, 15, 9, -6, 34, -6, 29, 37, -6, 37, -34, -39, -33, 21, 8, -20, 12, 31, 4, 18, -14, 43, 2, 38, -25, 37, -17, 5, 4, 1, 5, 33, 15, 36, -2, 14, 23, 18, -40, 2, 3, 8, -34, 8, 19, 36, -28, -42, 1, -7, -13, 30, 23, -5, 23, 32, -34, -19, 0, 16, 9, -31, 30, -6, -29, 14, -14, -30, -32, 14, -30, -18, -24, -26, -33, -15, 34, 18, -37, -70, -69, 1, -27, -41, -37, -7, 0, -41, -28, -9, -20, 46, -42, -44, -28, -5, 4, -1, 40, 6, 11, -13, -18, -17, -5, -7, 12, -22, 10, 3, -36, -2, 32, -13, -25, -3, 33, 10, -26, 20, 7, -12, -3, 28, 18, 28, -28, -3, -21, -2, 16, -4, 17, 19, 5, 2, -29, -41, 18, 25, 34, 20, -8, 0, 21, 27, -42, 5, -2, -16, 35, -51, -22, 20, 23, 33, -33, -25, 18, -16, 75, 36, 15, -2, -6, 19, -23, -39, 11, 43, 27, -29, 0, 1, 32, 7, -21, -25, -3, -36, -18, 6, -21, 25, 12, 34, 4, -12, 23, 17, -4, -49, -22, 24, 8, 37, -13, -19, -22, 16, -4, -26, -20, -4, 28, 34, 29, -23, 40, 34, -26, -26, 9, -7, -11, -39, 19, -32, 5, 3, 32, -19, -17, -46, 14, -6, 40, -3, -42, -33, -18, -34, 51, -40, -13, -11, -55, 45, 7, 23, -34, -38, -41, 1, -16, 36, -18, -7, -21, 0, -20, -20, 11, -54, 30, -14, -69, -41, 11, -31, 1, 12, 23, -9, -11, 27, 35, -21, 50, 41, 4, -44, -47, -43, -36, 15, -41, -2, 17, -56, 30, 42, 41, 8, 11, 23, 16, 11, -17, 8, -35, -1, -32, -26, 18, 28, 3, -25, -5, -24, 32, -29, 13, -23, -20, -35, 1, 19, -17, -5, 4, -4, -12, -49, -5, 4, 8, -16, -11, 41, 18, 49, -25, -24, -7, -16, 43, -17, 36, 26, -28, 17, 24, 13, -35, 0, 50, 17, 2, -46, -7, -25, -31, 35, 30, 43, 35, -42, 37, -31, 40, 35, -16, -9, -5, -40, -44, -34, -30, -44, 29, -35, -20, 2, 16, 10, -22, -64, -55, -11, -11, -28, 18, 0, 48, 7, -19, -39, -27, 35, -48, -12, 3, -17, -37, -28, -28, -24, 12, -40, 19, -29, -34, -22, 36, -30, 13, 26, 17, -44, 38, -13, 17, -5, 21, 28, 1, 15, 54, 1, 3, -5, 5, 30, -11, -9, -48, -42, 20, 12, 24, -2, -13, 10, -26, 25, 33, -24, 3, 50, -4, -16, 57, 41, 25, 39, 36, -3, 41, 35, 16, -4, -44, -17, -41, 33, 16, 38, -23, -44, 33, -4, -27, 19, -47, -1, -14, -43, 37, -2, 44, 26, -9, 33, 25, -45, 17, -3, -9, -15, -18, 22, -32, -24, 32, 12, -25, 35, 42, 36, 43, -57, -4, 20, 18, -41, 29, 65, 1, -29, 9, -13, -25, 37, 24, -6, 30, -23, -26, -45, 39, 27, 27, -25, -5, 0, -40, -23, -33, 5, -31, -33, 20, -43, -3, 6, 12, 25, 1, -8, 27, -14, 4, 29, 13, 60, -19, 38, 20, 14, 25, -15, -34, 33, -1, -12, 20, -30, -8, 2, -36, 5, -15, -22, 5, 6, 38, 33, 23, -36, 41, -8, 7, -7, -47, -36, -38, -14, 9, -7, -27, 2, 45, 43, 21, -32, 33, -6, -1, -11, 30, 4, -18, 36, 5, 17, 18, -7, -18, -25, 21, -54, -20, 10, 3, 21, -3, 9, -24, -9, 29, 3, 9, 6, 41, -27, 16, -32, -33, 16, -15, -6, 12, -38, -26, -21, 40, 7, 2, -4, -7, -36, 32, 38, 29, 35, -44, 4, 21, 5, 35, 39, -19, 39, 38, 13, -7, -7, 31, -23, -19, 44, -26, 21, -37, -20, -41, -4, -30, 11, 12, 5, -22, -15, -4, 4, -9, 46, -36, -15, -31, 6, 45, 11, 43, 27, 3, -31, 10, 49, -28, -8, -35, 4, -28, 15, -18, -19, -25, -12, 6, 41, -17, -11, 35, -24, -30, 8, 0, -1, -33, 44, 12, -31, 28, 10, -17, 7, 15, -7, -1, 26, 0, -38, -9, 6, 21, -6, -41, -38, -41, -21, -47, 49, 34, 9, 53, -8, 4, 40, 14, -19, 10, -18, 23, 24, 30, 16, 1, 71, 1, -17, -34, -10, 8, 30, -22, 23, -2, -18, -30, 33, 24, -18, 37, 37, 34, -28, 43, -42, -33, -44, 10, 33, -24, 44, -44, 9, -35, -17, -27, 20, 25, 22, -40, -44, 21, 24, -36, -10, 8, -36, -56, 0, 27, -28, 2, -41, 19, -20, -35, -26, -15, -21, -5, -13, 6, 53, -6, -9, -10, -25, 21, -4, 9, 37, 5, 39, -40, 22, 35, -47, 4, -5, 33, 24, -55, -1, -24, -7, 4, -24, -56, -31, -6, 13, -17, 20, -37, 3, 26, -40, -15, 25, -3, 24, -22, -14, 12, 33, 26, -30, 44, 40, -34, 2, -2, -1, 13, -18, 37, 23, 26, -12, -36, 39, -11, -33, -18, 22, -35, 52, -27, 41, 18, 3, -11, 40, 20, -27, 1, 37, 4, -25, 30, -18, 18, -18, -16, 3, 12, 41, 25, 22, 35, -16, -4, 11, -63, 2, -33, 4, -11, 17, 55, 2, -19, 39, -10, 1, -15, 6, 2, 26, -20, -34, -10, 14, 31, -46, -6, -20, 20, 38, -41, -4, 40, -15, 51, -56, 42, 3, 4, -46, 14, -53, 26, 11, 35, 18, 34, -25, 28, 0, -13, -17, 7, 12, -17, -35, -19, -12, -31, 7, 14, -1, -12, 27, 15, -49, -18, 37, -10, -2, -1, -32, -5, 43, -21, 35, -21, -35, -38, -12, -42, -4, -14, -25, 47, -9, -11, 0, -5, 1, 5, 2, -11, -3, 37, 12, 10, 22, -15, -36, -1, -5, -2, -50, -15, 39, 7, -33, 34, -25, 35, -41, -37, 22, 14, -33, -20, -40, 37, 19, -40, 9, -24, -22, -40, -2, -44, -28, 5, 27, 37, 39, -27, -38, 38, -35, -23, -3, 8, 27, -35, -22, 42, -41, -21, -11, -57, -33, -11, -18, 31, 5, -39, 7, 9, -22, -15, -31, -42, 30, -25, -6, -1, 44, -9, 32, -11, 39, 29, -53, -18, 30, -16, -9, 3, -29, 6, -17, 5, 23, 34, 55, -5, -63, 2, 0, 38, 59, -9, -10, -18, 32, 38, 11, 8, -13, -34, -44, 13, 16, -11, -33, -12, 10, 25, -34, -38, -36, 9, 9, 10, -56, 25, -27, -23, 28, 55, -17, -16, 44, -2, -13, -39, -2, -1, -29, -25, -53, -1, 2, -53, 3, -11, -38, -55, 44, -27, 36, 13, -42, 13, 48, -18, -5, 17, 20, 30, -12, -30, -33, 12, -4, -50, -63, -41, 1, -42, -30, 10, -31, -32, 39, -30, 5, -35, 4, 11, 2, -27, 10, -17, -26, -8, 19, -18, 0, 15, -50, 7, 35, 12, 11, 28, 5, -13, -20, -2, 28, -28, 11, 44, 6, 35, 28, 39, -10, 44, -30, 45, -41, 45, -28, 38, 13, 43, 10, -39, 16, 6, -32, 5, 47, -28, 3, 3, 23, -11, -13, -19, -5, -40, 6, -5, 37, -13, 43, -2, -28, -27, -27, 11, 29, -37, 8, 10, -16, -40, 0, 4, 29, 5, -21, 39, -37, 19, -3, 24, 14, 1, 9, -9, -39, 24, -43, -15, -41, 29, 19, -29, 2, 9, -25, 24, -38, 21, -1, 5, 43, 33, 28, 16, -19, -26, 26, 32, 45, 29, -15, 17, 27, -39, -14, -43, 11, 32, 2, 38, -11, 12, -42, -32, 41, 2, -18, 4, -2, 16, 22, 36, 26, 17, -43, 42, 5, -29, 25, 40, -57, -20, 14, 25, -35, -2, 22, -28, 16, 16, -5, -8, 7, 30, -17, -40, 43, 36, 20, 25, 24, 15, 34, 18, 24, 4, -28, -6, -18, -9, -10, 47, -19, -13, -23, 28, -41, 44, -24, -29, 33, -5, 8, -22, 3, 12, 28, 5, -33, 23, 26, 29, 30, -2, -37, 13, 71, 10, -5, 8, 44, -13, -14, -24, 10, -32, 12, -41, 17, -2, -2, 6, 32, 40, -2, 9, -32, 36, 13, -20, 9, 23, -34, 7, -25, -34, -6, -24, -33, -40, 20, -11, -22, 7, 32, 26, 46, 1, -28, -9, 22, -2, -34, 12, -38, -15, 12, 31, 0, -13, 14, -2, -10, 18, 23, 24, -16, -27, -52, 27, -20, -45, -18, -19, -26, 7, 10, -19, 28, -20, 41, -12, -9, 48, 13, -11, -26, 59, 30, -33, 14, -12, 6, 15, 34, -17, 5, -50, -23, -10, -28, 22, -7, -13, -20, -27, -38, 15, 29, -51, 10, 10, -32, 38, 17, -30, 23, 1, -44, -47, 28, 0, 34, -43, -25, 25, 3, 16, 43, -18, 47, 14, 42, -47, -11, -30, -1, -3, 22, 37, -32, -19, 52, -6, -12, 37, -31, 11, -34, 4, 12, 29, 38, -26, -41, 5, 40, 10, -31, -11, -9, -5, -14, 12, 32, -16, -17, -10, -31, 41, 27, -34, 29, 22, 30, 7, 34, -32, 22, 0, 29, 27, -24, 15, 40, 4, 36, -28, -32, -11, -52, -19, 38, 0, 22, -20, -39, -43, 41, -54, 12, 14, -17, 22, -20, 37, 46, 38, -31, -10, -35, -40, -26, -33, 12, -12, -28, -14, 21, 51, 31, 18, 62, 1, 10, -33, -28, 2, -6, 16, 5, -22, 19, 46, -10, 22, -15, -26, 10, -27, -10, 7, 25, 38, -10, 30, 25, 18, 24, 40, -32, -7, 17, -5, -14, 16, -3, 1, 34, -43, 13, 39, 10, -3, 42, 11, 0, 49, -19, 8, 33, 46, 52, 34, -13, 42, -46, -12, -47, 7, -2, -3, 48, 27, -39, 40, -5, 39, -25, -39, 35, 41, 32, 32, -53, -50, -6, -41, -37, -29, 29, -23, 29, 13, -45, -30, -16, -1, -17, 5, -6, -42, 3, -41, 22, -45, -66, -51, 45, -25, -10, 22, 6, 12, -12, 33, 37, 7, 9, 25, -9, -6, -9, 28, 13, 13, 20, -44, 6, -34, 8, 29, 24, -34, 22, 24, -7, 11, -51, -18, 10, 38, 29, -33, -18, -9, -15, 3, 16, 4, 12, -13, -46, -32, -12, 21, -3, 15, -2, -38, 42, 23, -9, -40, 31, 22, -8, 22, 11, 7, 13, 2, -15, -19, -30, 4, 23, -17, -29, 36, -20, 22, 0, 29, 4, 3, -20, 12, -9, 2, -36, -15, 43, -15, -26, 32, -34, 22, -42, -4, 1, 1, 7, -17, -42, -17, -4, 20, 32, -28, -35, -14, 9, -34, -13, -12, 38, -41, 22, -7, -44, 37, -30, -42, -44, 0, -3, -23, -41, -47, -34, 32, 2, -25, 32, 2, 10, 36, 45, -34, -39, -11, -33, 34, -34, 42, -4, -33, 53, -11, 23, 18, -39, -4, 48, -12, -11, -36, 2, -26, 30, -35, -51, -24, -40, 37, -16, -19, 23, 10, 0, 26, -29, 12, -32, -42, 40, -34, -10, -6, -10, -20, 0, -3, -19, -25, 9, 33, -26, -34, 8, -19, -24, 23, 21, 33, -38, -8, -28, -33, -4, 12, 23, -12, -23, 39, -3, 4, -47, -2, -16, -8, -35, -25, -2, -9, -17, 17, 14, -7, -5, 23, -42, 8, -16, -34, 25, 43, 35, -30, -8, 36, 39, -10, -1, 5, 47, -17, 18, -31, -9, 4, -44, 19, -23, 53, -18, -43, -33, -28, -37, 35, -43, -16, -29, 5, 25, -44, 9, -31, -34, 33, -40, -7, 27, -38, -11, -26, 14, -17, 0, 32, -15, -37, -15, -29, 20, -12, 31, -43, -46, -36, -10, -2, -18, 33, 16, 16, -27, -19, -3, -28, -50, 55, -12, 17, 6, 42, 21, -34, -19, -26, -7, -17, -7, 33, 13, 27, -13, 3, -36, 31, -59, 2, 8, 37, 19, -40, 41, 4, -21, 27, -13, -24, -26, -8, -6, -1, 40, 56, -10, 13, 39, -8, 37, 30, -26, -6, -30, -16, 23, 14, 5, 30, 33, 44, -1, 38, 27, -13, 7, 18, 41, -38, 27, -24, 22, -19, -30, 16, -36, 12, 2, -39, -12, -24, 15, -8, 29, 7, 11, 16, -17, -22, 10, 1, 34, 7, 1, 31, -22, -21, -35, 22, 33, 6, 15, -5, 31, -24, -8, 16, 7, -12, -17, 21, 27, 26, -32, 1, 39, -44, -29, -15, 24, -40, -34, -15, 36, -6, 0, 14, 30, 39, 33, -46, 26, -18, -28, -33, -4, -13, 5, 15, 22, 4, -35, 29, 4, 11, -6, -10, 44, 27, 9, 49, 43, -36, 7, -22, -3, 35, 47, -31, 9, -48, 2, -36, -26, 3, 31, 18, -28, -8, 6, 29, -5, 8, -19, 22, -37, 44, 7, -4, -16, 18, 20, 32, -1, -11, 29, -3, -1, -50, -25, -2, 3, 7, 31, 30, -19, -1, -29, -17, 6, 29, -43, -1, 11, -37, 36, -34, -38, 38, -5, -2, 14, 32, 42, 26, 22, 27, 21, -21, 32, -16, 6, -31, -6, -46, 40, 17, -31, -10, 18, -42, -8, -18, -7, 15, -23, 30, -27, -43, -14, 22, -48, -38, -16, -34, 39, 20, 43, 61, 17, 19, 21, -22, -28, 38, 13, 33, -22, 36, -13, 28, -7, -11, 12, 38, 11, -25, -28, 0, 34, -2, -34, -36, -41, 15, -13, 2, 24, -31, -43, 23, -38, -54, -43, -31, 28, 31, 23, 36, 29, -43, 2, -17, 8, 4, 19, 31, 27, 11, -34, 3, -12, 24, 10, 33, -5, -34, -20, -10, 11, -26, -44, -22, -23, 24, -12, -22, 5, -33, 10, -23, 3, 31, 2, 9, 18, 19, 13, -4, 20, 16, -30, 15, 28, 35, -37, 27, -45, 8, 4, -14, -41, -2, -34, -14, -46, 29, 21, -1, 6, 28, -41, -30, -55, 15, 22, -38, -3, -15, -27, -13, -8, -20, -43, 23, -23, -20, 47, -16, 46, 9, -18, -44, 13, 29, 27, -34, -14, -54, -5, 16, 40, 40, -15, -29, 24, 2, -32, 11, -38, -7, -31, -21, -45, -2, 19, -37, -12, -1, -31, -38, -25, 11, -2, -26, 13, -38, 34, 13, -17, 16, 31, 6, -13, -4, 42, 7, -22, 2, 8, 44, 14, 29, 25, 31, -21, -22, -34, 46, -30, 27, 33, 10, -13, -41, -32, -14, -45, -18, 15, -12, -21, -30, 3, 26, 15, 12, 44, 35, -14, -46, -39, 39, -9, -18, 31, -32, -31, -8, 31, -30, 8, -44, 33, 22, 21, -19, 23, 37, 0, -13, 32, -29, -11, 1, -11, 6, -36, -4, 35, 25, 18, 13, 17, -15, -42, -13, 13, -33, -5, -13, -35, -42, 43, 6, 44, -8, -33, 15, 39, 26, 21, 9, -4, 44, 9, 24, -42, 3, -32, 35, 12, -34, -11, -16, 19, -8, -28, -27, 32, -42, -33, 36, 25, -30, -22, 6, -17, 12, -27, -23, -22, 22, 6, 19, -19, 23, 35, 22, -17, -10, 26, -1, -44, -17, 29, 9, 32, 32, -33, 23, 0, 14, 29, 30, 12, 46, -23, 43, 2, -4, -24, -32, -13, -16, -14, -43, 5, 23, 21, 2, -31, -31, 29, -31, -1, -2, 7, -3, -23, -1, -21, 22, -4, -5, 25, 27, 6, -7, -27, -25, -26, -30, 9, 42, -21, -12, -24, -30, 30, 29, -28, 9, 35, -43, -1, -17, 3, -14, -35, -41, 14, -14, 7, -43, 26, 32, -43, 4, -11, 15, -6, -3, -37, -28, 41, 8, 11, -40, 48, -6, -1, 16, 14, 34, 41, -27, -50, 38, -17, -41, 5, 6, 49, 47, 48, 5, -12, 25, -30, -8, -10, -28, 20, 6, 21, 8, -16, -17, 13, -25, -30, -14, -28, -14, -53, 17, 29, 45, -42, -3, 13, 8, 36, -24, 20, -16, 51, -27, -38, 32, -21, -5, -14, -35, -44, 27, 12, -5, 26, 39, 12, -42, 7, 11, 7, -35, 41, -42, -25, -38, -23, 25, 26, -2, -17, 27, 48, -3, 10, -35, 39, 25, 37, -6, 0, 8, 11, -42, -25, 62, 44, 25, -43, 5, 0, -28, 31, 8, -32, -8, 39, 11, 1, -10, 2, -35, 3, -3, 1, -5, -52, -12, -36, 22, -9, 0, -8, -26, 1, -37, -27, 39, 32, -60, 42, -11, -29, -17, 40, 23, 25, 35, 71, 15, 53, 5, 34, 3, -18, -30, -8, -40, 13, -3, 4, 23, -9, 14, -36, -58, -22, 19, 28, 15, 24, 48, 14, -51, 30, 31, -40, 2, 16, -12, -19, 6, -7, -44, 6, 12, 33, 22, -38, -15, 10, 16, 18, 32, 13, -34, -23, 2, -32, -29, 18, 33, 67, -12, -60, -88, 4, 31, -41, -1, -41, 5, 16, -45, -38, -4, 28, -24, -21, -3, -57, -45, 16, -58, -13, -2, -7, -16, -47, 17, 18, 10, -16, 27, -13, 0, 47, 22, 50, 36, -53, 13, -11, -57, -22, -48, -42, -10, -37, -17, -19, -18, -43, -96, 7, -28, -13, -51, -17, 37, 36, 27, 15, -20, 23, -41, -17, 8, -1, 39, -28, -21, -34, -48, -37, -16, 2, -6, -42, 30, -8, 42, -46, -2, -12, -15, -9, -12, 28, 13, 30, -38, -31, -8, 16, 5, 21, 19, 50, -5, -14, 25, 17, 38, 18, -34, -21, -7, 10, 15, -11, 6, 45, -3, 31, 26, -9, 18, -31, 31, 16, -38, 17, -1, 13, 37, 4, -30, -14, -9, 46, 18, -47, -41, 37, -20, -46, -6, 6, -11, -23, -31, 18, 3, -20, 33, 28, 5, -31, 32, -4, 3, -39, -19, -56, -45, -17, -8, 43, -38, -9, 28, -39, -36, -37, 3, 12, -47, -40, -19, 7, 25, -15, 4, -17, 20, 5, 27, 25, -16, 28, 2, -17, -12, 29, -2, -32, -7, 34, 2, -22, -35, -3, -4, -10, 7, -19, -31, 0, 14, -36, 4, 40, -41, 41, 48, -21, 13, 2, 41, 51, 15, -74, 15, 35, -18, -38, -27, 41, -40, 24, -3, 0, 27, 4, 12, 35, 5, 26, 36, -24, -20, 14, 16, 3, 13, 6, 24, 13, 57, -31, -1, 35, 32, -47, 24, -13, -28, 26, 19, -1, 24, -10, 43, -22, -12, -19, 7, -36, 10, -13, -6, -12, -39, 20, -13, -21, 0, 23, -43, -25, 39, -15, 41, -61, -50, 22, 31, -48, 32, -32, 2, 13, -15, -4, 16, 22, -1, -47, -56, 9, -37, -2, 5, 23, 16, -25, -9, -2, 16, 10, -40, -5, -43, 30, -28, -20, -2, -4, 1, -38, 22, 19, -45, 38, -42, -1, 26, 37, 0, 1, 43, -34, 1, 14, 22, -5, -16, -21, -34, 0, -6, 16, -35, -21, -60, -46, -42, 6, -43, -24, -12, -7, -50, 11, -65, -1, -47, -11, -2, 48, 24, 16, 71, -46, -36, 84, 41, -7, 5, -31, -17, -8, 18, -34, -34, -32, 13, -25, 21, -37, 65, -3, -50, -36, 38, -45, -57, -42, -13, -49, 8, -57, -90, -23, 16, -40, -4, 25, 18, -47, -16, 24, 43, -42, -41, 40, 45, -24, -30, 33, 11, 3, -46, -3, -42, 32, -37, 43, 26, 7, 23, -39, -34, 46, 12, -43, -31, 31, 6, 14, 30, -6, 12, 23, -45, 43, 62, -4, -33, -6, -35, 13, -25, 31, -7, 42, -30, 56, -21, -46, -28, 16, 47, -17, -20, -27, -43, -11, -20, 10, -45, -1, 34, -54, 55, -13, 9, 38, 43, 16, -21, 8, -28, -18, -8, -55, 22, 3, -28, 33, 25, -14, -10, -9, -36, -31, 3, -59, -46, -47, 25, -17, -12, -37, 1, 29, 44, 17, 7, 38, -33, -15, 45, -29, 42, -28, 2, 27, 21, -28, -29, 11, -6, 39, -36, -22, 37, 37, -48, -12, 20, -46, -1, 19, -60, -3, -16, -43, -40, 9, 33, 25, -22, -12, 43, -15, -32, -36, 25, -40, 22, 26, 7, 38, -44, -13, -36, -37, 25, -15, 47, 24, 47, -20, -29, 13, -44, 6, 17, -16, 17, -33, -4, 6, 3, -3, -72, 22, -23, -74, 11, 49, 78, -1, -40, 20, 21, 16, 24, -8, 16, -38, -38, -9, -15, -17, -6, -12, -7, -34, -26, -29, -24, -29, 13, 0, -24, -28, -2, -48, 27, -20, 5, -28, -11, 8, -37, -40, -28, 20, -27, -8, -20, -45, -64, -43, 18, -32, 21, 40, -5, 16, 39, -17, 34, -18, 36, 28, -13, -19, -8, -14, 53, 8, 18, -7, -13, 24, 41, -23, -17, 21, 2, -18, -29, 23, -24, -11, -30, 13, 30, -42, 5, 3, -39, 26, -28, 1, -6, -29, -16, -41, 21, 20, 6, -30, -22, -18, 13, 9, -26, -35, 9, 4, -8, -2, 40, 43, 9, -62, -17, 39, 13, -9, -12, 2, -68, 32, -19, 55, -9, -30, -44, 32, -17, 48, -48, -21, -47, -31, -38, -48, -12, -5, -60, 28, 15, 31, -5, -20, 19, 3, -40, -3, -58, -40, -35, 21, 8, -56, -11, -27, 3, -14, 2, -10, 36, 7, -13, -11, -33, 34, -31, 26, -21, -13, 19, -2, 8, 27, 24, 16, 32, -9, 17, -51, -45, 4, -20, 8, -34, -9, -7, 25, 40, -21, 34, -14, -12, 10, 2, -29, -21, 7, -36, -25, 55, -10, 17, -43, -58, -45, 4, -27, 6, 29, -26, -27, 19, -3, -23, 21, 46, -8, 31, -38, -50, 32, 0, 24, 14, -17, -20, 10, 8, -29, 19, -2, -26, 17, 13, -28, -31, -19, -44, -30, 14, -6, 28, -50, 29, 6, 57, -28, -51, 9, -33, 41, -37, -41, 28, -25, -20, 3, -27, -26, 23, 23, -29, 22, -15, -35, 20, 43, -18, 26, 14, 33, 4, 39, -33, 2, 45, 32, -10, 54, -4, 8, 41, 30, -16, -13, 33, -37, -10, 9, -15, -47, -7, 44, -11, 16, -44, 33, -30, -9, -2, 28, -31, -22, -17, -4, -36, 18, -40, -25, 18, -35, -2, 11, 35, 4, 15, -27, -7, 34, 58, -12, -24, -40, -53, 39, -4, 8, 12, 27, 61, 13, 31, 37, -24, -15, 4, 25, 10, -39, 22, -19, -37, 32, -3, 17, 7, -39, -15, 35, -5, -41, -7, 12, -56, -45, -9, -63, -2, 50, 31, 8, -5, -19, 20, 25, -51, -51, 4, 26, 30, -16, 51, 42, -33, -8, -4, -31, 13, 9, -42, 12, -6, 25, -1, -38, -39, -24, 22, 21, 21, -17, -50, 28, -5, -32, -1, 17, 26, 27, 20, 43, -17, -28, -61, -3, -18, 28, -24, -31, 16, 12, 23, 39, -22, -1, -6, -48, 35, 2, -37, 23, -24, 41, 40, -25, -11, 26, -16, -30, -45, 4, 12, 7, -38, -10, 7, 20, 20, -9, -12, 22, 13, -52, 60, 25, -9, -19, -45, 18, 42, 41, 12, 24, -45, -4, 34, 20, 24, 18, 25, -43, -11, 39, 17, 81, 44, 5, -19, 26, 26, 17, -2, -40, 2, 3, -25, -1, -27, 33, 52, 3, -1, 28, -44, 4, -13, -10, 45, -39, -51, -10, 8, -38, -18, -17, 2, -38, 0, -46, -11, 18, 6, 37, 10, 51, 30, -42, 34, -13, 23, 38, 5, -10, 30, 44, -1, 3, 27, -33, 10, -13, -32, -31, -15, 3, -14, 20, 30, 0, -29, -34, -22, 45, 14, -53, -3, -21, 0, -25, -8, 15, -6, -18, -15, -3, -37, -41, 4, 30, -17, 7, -13, -2, 30, -2, 15, -37, -36, -21, 7, 3, -47, 24, 2, 37, -32, -36, 12, 26, -40, -3, 7, 13, -11, 2, 7, -11, 39, 28, -20, -7, -6, -20, -34, -4, -39, -19, 20, -1, 33, 31, 4, 1, -32, 35, 0, 24, -35, 26, -47, -39, -42, -44, 35, 0, -37, 32, -48, 37, -13, 3, -16, 33, -35, -29, 29, 39, -22, -12, -12, -5, -35, -9, 27, 27, -19, 4, 35, -38, 7, 35, -10, -30, -28, 3, 26, -37, 6, -16, 38, -19, -38, -48, 30, -34, -51, 14, -25, -39, 13, -7, -13, 24, 2, 13, -12, 19, -7, -3, 25, 3, -8, 10, -7, -36, -13, -8, 19, 23, 30, 26, -21, 30, -30, -21, 36, 21, 38, 35, 4, 38, -3, 10, -20, 24, 29, -43, 1, -28, -12, -15, 2, 3, 22, 10, 9, -33, -2, -7, -33, -39, 41, -45, 15, 22, 30, 37, 0, -44, -42, -8, 35, 16, 1, -28, -23, -7, 23, 29, -35, 11, -45, 2, 16, -31, 45, 17, 38, 22, 13, -26, -31, 5, -40, 11, 36, -43, 42, -2, 9, -17, 15, 17, -7, -9, 1, -32, 19, -16, 26, -10, 25, 3, 44, -22, 4, -2, -19, 18, 7, 6, 5, 28, 44, -19, -19, -19, -19, 5, 32, -1, 16, -34, -18, 21, 4, 30, 42, -42, 34, -36, 8, -26, 24, -23, 4, -46, -25, 25, 25, -15, 11, -25, -28, -1, 27, -24, -6, 53, 14, 26, -9, -25, 16, 4, 5, 10, 19, -18, -29, -44, 16, -6, -34, 35, 30, 30, -9, 18, -25, -42, -38, 41, 4, -10, -45, 31, 42, 11, 33, -45, -44, 14, -37, 8, 4, 1, -36, -2, -33, -20, -25, -35, -14, 9, 8, 36, 31, -33, -50, -15, 39, 45, -41, 2, -26, 14, 37, 14, -14, 37, -39, -7, 14, 37, -33, -10, 13, 29, -24, -40, -4, -19, -15, -2, 25, 14, 11, -5, -28, 20, -32, -31, 40, -38, -38, -39, -37, 8, -42, 28, 27, -7, 7, -38, -5, 2, 12, 37, -8, -42, -6, -28, 37, -3, 12, 40, 2, -41, 2, 1, 27, 6, 38, 36, 2, 15, -19, 7, -1, 12, -27, 23, 34, -24, 11, 10, -22, -21, 5, -16, 18, -45, 32, -13, 35, -57, 2, 10, -27, -28, -27, -18, 38, 25, -46, -28, -42, -26, -11, -3, 20, -8, 21, -47, 40, -26, 6, 11, 32, -15, 1, 2, -11, -13, 1, -32, -45, 32, -9, -1, -53, 41, 32, 28, 14, -28, 26, 25, -39, 33, 9, 15, -11, 34, -29, -7, 36, -35, -31, -36, 32, -6, 37, 20, 35, 27, -11, 24, -27, -24, -28, 1, 15, -3, 41, -39, 11, 6, 2, 24, 14, -38, -31, -34, -25, 18, 26, 15, -9, -21, -26, 47, -8, 10, 25, -13, 26, -22, 29, -3, 11, 32, 32, -46, -3, 22, -1, 23, 42, -11, -27, 33, -6, -3, -28, 29, -32, -20, -5, -10, 23, 3, -41, 21, 35, -4, -22, 41, 15, 0, -11, -47, 0, 17, -29, 32, 27, 26, -39, -44, 5, -2, 32, -8, -31, -4, -12, 3, -35, 31, 29, -7, 11, -1, 8, 37, 19, -44, 23, -30, 37, 35, -36, 21, 35, -23, 17, -35, 7, -4, 0, -19, 39, -21, 28, -44, -33, -28, -31, 31, -62, -5, 21, -25, 42, 2, 4, 11, 2, 38, 27, -27, -28, -26, 18, 5, -20, 21, -36, 7, -25, 34, 16, -26, -33, 4, -40, -34, 37, 39, -30, -15, 33, -40, -14, -25, 23, -2, -16, 19, 6, -30, 21, 37, 28, -3, 51, 5, -18, -11, -11, 14, 30, 12, -22, 25, 12, -47, 8, 29, 9, 36, 12, 11, 6, -13, 12, -31, 41, 11, -8, 5, 11, 8, 41, -40, -4, 9, -42, 2, 24, -23, -43, -37, 23, 21, -11, 14, -21, 26, 15, -18, 4, -40, 5, -33, -38, -16, 42, 10, -34, 3, 8, -34, 31, 13, 28, -42, 24, 23, -41, 11, -42, 41, -31, -48, -1, 31, 10, -39, -10, 30, -14, 35, -44, 2, -8, -11, 11, -38, -53, -29, 15, 35, 24, -44, 18, 37, 23, 40, -6, 44, -21, -18, 11, -1, 32, 20, -30, 36, -37, 37, 33, -12, -35, 16, 4, -2, 30, 36, -19, -23, 40, 2, -55, -28, 0, 26, 35, -33, 27, -5, -45, -38, -31, -28, -41, -39, 33, -12, -13, -35, -52, -1, 20, -29, -34, 29, 8, 20, -26, -26, -50, 26, -23, 31, -8, -48, -37, 2, 36, 22, -38, 15, -1, -9, 31, -8, -36, 31, 4, -41, 41, -43, -21, 39, 3, -20, -5, 8, -9, 11, 18, 11, 35, -16, 21, 39, -40, 35, -1, -37, -8, 40, 10, 31, 1, 19, 24, -27, -37, 8, -22, -34, -1, -17, -24, 33, 6, -16, -9, -20, -4, -36, -28, 26, 13, -9, -5, 0, 5, -8, -7, 33, -17, -2, -9, -21, -5, -43, 36, 7, 10, 40, 7, 32, -47, -6, -17, 31, 3, -40, -13, 10, -20, -24, -38, -37, -40, 26, 8, 1, -23, -27, -4, -28, 1, 3, 28, 2, 4, 22, -29, -30, -19, 25, 2, 6, 34, 3, 27, 37, -17, -10, -7, -15, 39, -12, 19, 9, -22, 26, 33, -30, 36, -14, 11, 1, 13, 29, -13, 21, -38, 19, -19, -27, 5, -16, -31, -23, 25, 4, -46, -7, 8, 5, -8, 3, 44, 27, -2, 38, 4, 30, -13, -19, -26, -31, 20, 12, -41, -6, -22, 5, 38, -30, 35, 18, -40, -19, -26, -44, 17, 17, -32, 15, -13, -14, -8, -8, 36, -39, 27, -25, -3, -45, -28, -10, 16, 13, -5, 40, 49, -22, -10, 27, -2, 6, 42, 21, 24, 15, -13, 37, 46, -10, -34, -6, 37, 16, -32, 31, -37, 1, 27, -32, 2, 12, -1, 18, 22, 40, 33, 28, -38, -37, -17, -45, -40, -34, 24, 6, -8, -31, 30, -41, -9, 37, 9, 29, 4, -5, 46, -46, 11, 14, 4, -30, -30, -3, 5, 0, -43, -20, 26, -22, -21, -31, -4, -11, 27, -37, 20, 42, -44, 9, -35, -7, 10, -1, -35, -9, -40, 34, -25, 42, -18, 24, 36, -4, -27, -24, 11, 15, 18, -28, 20, 15, 34, -20, 5, -17, -30, 31, -15, -21, -27, -8, -12, -6, 14, -46, -21, 25, -32, 18, 13, 40, 29, -30, -1, 38, -40, 40, -31, 4, -2, 43, -30, -16, 27, -23, -33, -17, 40, 20, -31, -20, 21, -9, -1, 36, -3, 8, -9, 12, -4, -45, 10, 18, 10, -44, 7, 14, -39, -43, 2, -3, -31, -31, -24, 43, -23, 43, 47, 39, 39, 7, 0, 6, 7, 12, 35, 11, -21, -27, -16, -6, 35, 33, 47, -30, 14, -26, -24, 20, -36, -3, 38, 24, -41, 15, 15, 15, -7, -40, -24, -13, 31, -14, 4, -24, 28, -21, 24, 44, -26, -8, 34, 37, 11, 28, 32, -21, -9, 39, -8, -25, -45, 13, -6, -22, -20, 5, -9, 3, -43, -23, 19, 10, -8, 37, 27, 15, -5, 18, -7, -8, -14, -21, 1, -16, -13, -19, 32, -27, -50, 30, 10, -12, 34, 37, 34, -29, -13, -11, 17, -17, -16, -46, -5, -23, -29, 6, -9, 15, 21, 9, 35, -2, -32, -39, -10, -18, -36, -38, -44, 23, -34, -45, 40, -25, 14, 1, 15, -38, -15, -7, 22, -19, -32, 2, 27, 27, -9, -20, 30, 35, 7, -23, -19, 38, -30, -18, 43, -4, -13, -16, -18, 32, -21, -20, -23, -8, -19, -1, -44, -45, -8, -21, 8, 15, -39, -29, -7, -41, -26, 9, -46, 38, 42, -34, -11, -47, 11, 35, 20, -21, 17, -10, -44, 25, 35, 18, 38, -39, 8, 33, -22, 41, 41, -2, 18, -27, 1, -7, 28, -39, 0, -5, -43, -20, -18, -41, 43, -34, -41, 4, -43, 33, -30, -36, -27, 24, 23, -34, -34, 8, 27, -33, -2, -25, -26, -43, -26, -30, 34, 7, 34, 34, 36, -2, -2, -23, -34, 49, 0, 15, -7, 0, 17, 12, 22, 31, 42, -3, 31, -32, -37, 14, -34, 15, 15, 44, -25, -25, -19, -28, -1, 13, -10, 3, 4, 31, -46, -8, -22, 6, 0, -19, 15, -41, -26, 7, 27, 8, -39, -29, -15, 6, 20, -4, 34, -17, 0, -6, 34, 43, -29, 35, 36, -12, 41, 13, -39, -37, -34, 7, 36, 41, 27, -36, -41, 33, -25, -32, 23, 16, -38, -12, 14, 27, 43, -31, -8, -43, 12, -7, 26, 34, 6, -8, -47, 29, 11, 24, -22, 37, -5, -9, -42, -37, -4, -17, -27, 3, 34, -30, 11, 36, 41, 41, -4, 25, 44, 10, -36, -37, 45, 32, 46, 22, 2, -42, 25, 33, -33, 39, -20, -14, 0, -41, 36, 18, -19, -17, 25, -26, 18, -9, -38, 42, 40, -43, 7, 20, 11, -37, 15, 4, -15, 42, 28, -42, 5, -17, 19, -7, -2, -33, -16, 23, -23, 17, -18, -5, 43, -26, -5, -35, 13, 6, -30, -1, -22, -17, -39, -30, 16, -4, -17, -12, 25, -10, 19, -31, -20, 2, 15, -26, -1, 2, -15, -32, 47, -45, -6, 6, 32, 16, -39, -19, -2, -33, -43, 5, 12, -4, 43, -14, 24, -39, -15, 40, -45, -7, -11, -43, -4, -25, -18, 23, -8, 16, 8, -40, -10, -5, -14, -4, -8, -10, 18, 22, 18, 0, -10, -20, -17, -10, 6, -29, -22, 10, 48, -29, -13, 38, -3, 8, -11, 46, -4, -44, -35, 4, -25, -35, 31, -40, -1, 8, 25, -1, -7, -28, 16, 27, -22, 30, -45, 40, 8, -45, -16, -10, 28, 41, -5, -16, -47, -11, -46, 18, -28, 12, -44, 22, 33, 21, -38, 0, 16, -21, -11, 24, -35, 36, 20, -33, 34, -19, 24, 19, 5, -44, -6, -1, -11, -15, 26, -35, -38, -44, 44, 11, 8, 8, 37, 36, 24, -26, -43, -29, 39, -45, 9, 39, -7, -21, -29, 15, 43, -37, -33, -46, 22, -37, 21, -9, 4, -19, -12, -7, -40, -23, -39, 39, -29, -11, 1, 38, -38, -20, 35, 40, 36, -44, -10, -1, -31, 24, -28, 18, 35, 4, -37, -49, -6, 11, -6, 11, 43, 34, 33, 16, 23, 21, -9, 21, -42, -34, -2, -30, -20, 43, 25, 44, 45, -41, 15, -39, 32, -10, -34, -36, 3, 16, -10, 14, -14, 6, 43, 40, -7, -37, 27, -31, 3, 17, 48, -45, -19, 9, 6, 41, -20, -10, -37, 23, -24, 45, -17, -22, -43, -44, 38, 26, -36, -44, -9, 19, -32, -22, 31, -31, -41, 19, -23, -14, 45, -38, 37, 7, 22, 4, -12, -3, 8, 32, -17, -2, -17, -14, 16, -8, -47, -36, 29, 20, -28, 11, -21, -26, 21, -28, 23, 36, 9, -40, -7, 41, 4, -38, -38, -35, 40, 5, 27, 44, 23, 36, -3, 23, -24, 36, 20, -47, -45, 12, 41, -35, -2, 23, -22, 29, -24, 46, -14, -20, 30, -31, -38, -46, 33, -22, 5, 30, -21, -38, 4, 42, 33, 34, 45, 36, 38, -35, -20, 41, 32, 1, 5, -16, -24, 39, -38, -35, -26, -35, 30, -2, -26, 35, -30, 36, 5, -10, -30, 21, -27, -32, 8, 35, -41, -42, 3, -1, 38, 19, 16, -9, 9, 6, 0, -18, -42, 3, -28, 33, 9, 39, -48, 2, 18, -15, -16, 9, 14, -4, -24, 2, -30, 1, 45, 15, 13, -2, -25, -1, -26, 9, 19, -5, -46, -2, 7, -16, 16, -21, 19, -21, 5, 21, -39, 38, -17, 41, -20, 45, -8, 10, -8, 36, -5, 15, 43, -35, 1, 13, 13, -47, 22, -10, 15, -39, -20, 29, -42, 31, -19, -37, 36, 11, -22, 24, -6, 23, -36, 40, 3, -19, 15, -29, -36, 23, 11, -43, -38, 42, 7, 27, -17, -7, -15, -34, -8, -6, -38, 20, 39, -32, -41, 1, 3, 32, -28, -39, 0, 17, -36, 40, 27, -46, 34, -20, -20, -16, -28, 38, 16, -33, -14, -43, 6, 31, -17, 6, -16, -5, 38, -20, 15, -26, -12, -36, -19, 33, 20, -46, -22, 4, 43, 3, -34, 44, 11, -12, 1, -24, -44, 2, -35, 40, 4, -4, 1, -30, 23, 42, -41, 37, -15, 39, -46, 36, 43, -22, -32, 29, 33, -19, -6, 21, -30, -5, -19, -21, 27, -38, 0, 30, 40, 42, -23, 33, 0, -36, -4, -30, -44, 25, -12, -19, -26, 2, 5, -45, 3, -13, -28, -6, 19, -6, -15, 39, 32, -2, 40, -41, -41, 32, -14, 19, -17, -11, -45, 14, 15, 30, -36, -38, -5, 17, -37, 43, 23, 11, 17, -34, 34, -14, -4, -14, 34, 15, 29, -44, -2, 9, -3, 3, 45, 19, 0, -40, -12, 31, -37, -45, -41, -26, 39, -37, -40, 42, -34, -8, 0, 25, 38, -13, -6, 34, 13, 11, -41, 0, -40, 12, -32, -32, 17, -28, 44, 19, 6, -32, -29, 5, -46, 17, -20, -20, -5, -25, 9, 27, 33, 21, -24, 22, 21, 1, -39, 22, 5, 28, 18, -20, -21, -29, 43, -19, 15, -21, 22, -43, 39, -6, -16, -20, -31, 40, -8, 1, -22, -28, 7, -31, -20, 6, -3, -24, -13, 19, -45, -2, 34, 43, -2, 8, 25, 7, 38, 29, -22, -25, -19, 7, -10, 34, 4, -12, 2, -43, 22, 4, -21, 9, -16, -19, 0, -23, 31, 2, -16, -12, 38, -32, -5, -32, 6, 7, -24, -12, -34, -64, -29, 30, -17, 19, -48, 1, -4, 23, -17, 39, 11, -16, 11, -39, 18, -1, 73, 15, -38, 21, 36, -30, -29, 46, 70, 53, -35, 4, 18, -63, 28, -4, -7, -63, -14, -17, 19, -25, -34, 19, 35, 11, 45, 4, -9, -4, 15, 12, -17, -22, -1, -29, -20, -45, -16, -45, -41, -38, 13, -10, 20, -3, -16, 7, -30, 5, 17, -23, -34, -18, -39, 16, -3, -38, 25, -9, -16, 23, 4, 49, 1, 1, 6, -28, -1, -56, 53, 59, -16, -15, 3, 0, 0, -68, -82, -11, 13, 26, -28, 19, 22, -11, 5, 11, -24, -34, -51, -42, 34, -13, -20, 2, -28, 5, -23, 22, -6, 2, -10, 44, 51, -4, 44, 50, 41, 10, -31, 24, -16, -54, -20, 42, 27, 16, -17, 18, -9, -26, 34, 0, -6, 101, 84, 15, 20, 11, -5, -29, -39, -19, 30, 10, 32, -22, 16, 45, -7, -19, -37, -1, -18, -9, -27, 2, 13, 4, 39, -33, 17, -2, 25, -5, 23, -27, 42, 35, 60, 38, 40, -12, -55, -44, -49, -8, -3, 0, -3, 2, 10, 62, 6, 10, -23, -36, 48, 10, -15, 3, -41, 41, -39, 29, -46, 34, -26, -41, 33, 30, 14, 16, -25, 20, 35, -7, -30, -23, -14, 5, 17, 39, 42, 32, 47, 34, 22, 30, 30, 37, 42, 46, 19, -12, -10, 33, 38, -11, -4, 37, -47, 11, 56, 14, 20, 27, -37, -41, 43, 25, 40, -45, 20, 35, 16, 39, -3, -26, -31, -2, -44, 22, 26, 16, 10, -2, -28, -33, 58, 9, -9, 38, -5, -12, -43, 3, -2, -38, 33, 7, -27, 36, 33, 27, -28, -38, -5, 10, -10, -13, 21, 16, -29, 26, -43, -30, 6, -19, -37, -55, -25, 42, -6, -16, 4, 12, 21, -10, 22, 15, 53, -8, -30, 43, -41, 5, -4, -35, -1, -13, 43, 14, 29, -37, -35, 21, 11, 14, 33, -3, 40, 40, -32, 22, 2, -18, 46, -34, 1, 22, -64, -76, -48, 23, -36, -17, -23, 36, 60, -14, -2, -13, -13, 46, -11, 49, -18, 30, -38, -40, -43, 38, -18, 22, -32, -2, 25, -25, -40, -20, -20, 44, -28, 6, 21, -5, -41, -25, -7, 30, 14, -23, 0, -26, -9, -31, -45, -44, -16, 38, 47, -15, 9, 9, 30, 26, 6, 27, -11, -34, -3, -24, -26, -17, -13, -54, 53, 26, -30, 33, -12, -5, -38, 20, -13, -18, 18, 1, -26, 2, 25, 3, -17, -3, -30, -5, -14, 12, 7, 29, -12, -15, -20, 4, -15, -2, -12, -3, 23, -5, -43, -11, 21, 11, -8, -26, -12, -14, -48, -26, 25, 0, 60, 41, 48, 6, 24, 5, 9, 5, 9, 42, 13, 6, -17, -9, 62, -21, 3, -59, -63, -33, -11, -31, -59, 44, -17, 20, 10, -1, -27, -22, 21, 47, -14, 45, -4, 33, 31, 18, -42, 16, 7, -28, -28, 4, -16, 24, -43, -7, 25, 17, -23, -8, -42, -32, 38, 13, 45, -20, 0, -34, 30, 32, 25, 28, -32, -6, 58, 18, -41, -12, -19, 34, -42, -11, -24, -12, 14, 68, 52, 27, 8, -13, 22, -24, -30, -15, -51, -46, 7, 20, 48, 15, -27, -36, 35, 26, -16, -24, 32, 16, 31, 31, 40, 30, 7, -10, -2, 11, -34, -53, -1, 12, -9, -11, 2, 9, -14, -39, 20, 20, -10, -40, 18, -17, -5, -37, -19, -19, -14, 33, -1, 15, -3, 39, 22, 46, 7, -35, 46, 24, -15, -25, -15, -4, -11, -1, -17, -50, 17, -13, -3, 40, 35, -4, 1, -5, -34, -17, 61, -17, 46, -17, -29, 3, -5, -32, -32, -5, -17, -54, -1, 11, -52, -2, -33, 23, 26, 40, -24, -31, -21, 11, 11, 5, 25, -19, 27, -36, 14, 33, 22, -32, 19, 0, 18, 19, 4, -22, -46, -43, -8, -34, 25, -14, 8, -14, -18, -5, 20, 45, -15, -38, 1, 10, -37, 10, -21, -20, 39, 22, -2, -27, 18, -22, 37, 22, 35, 15, 24, 22, -32, -8, 1, -42, -50, 28, -41, -28, -16, 31, 34, 22, -14, -1, 22, 14, 25, 16, 6, 38, -29, -4, 28, 15, -43, 25, -8, -3, 51, 33, 28, 0, 3, 7, 40, 23, 7, -7, -38, 19, -13, -20, -19, -37, -12, -25, -22, -7, 18, 31, 37, -6, -28, 41, 42, -11, -26, 15, -24, 11, -19, 11, 25, 34, -12, 11, 43, -37, 2, -7, -5, 39, 30, 24, -18, -22, -1, 12, -19, 16, -16, -18, 27, -9, -2, 14, 14, 49, -22, 30, -23, -25, -24, -2, -9, -6, -5, -29, 1, -1, 3, 41, 1, 28, 19, -18, -29, -5, 7, 31, 30, -23, -53, 39, 51, 3, -22, 30, -10, 58, 8, 31, -5, -54, -37, -11, 9, -26, -35, -36, 37, -33, 36, 27, 27, -7, 1, -52, 27, -33, 0, 56, 24, 21, -42, -1, 2, 38, 32, 37, -41, -52, -24, 28, -12, 1, -39, 29, 44, -8, -17, -16, -10, -27, -52, -42, -37, -68, -17, 17, 40, -25, 6, -27, -8, -26, 4, 13, 10, -49, -1, -36, -29, -5, 19, 10, -25, 49, -15, 12, -17, -24, -14, -41, -15, 25, -12, -44, -45, -47, 32, 13, 39, 29, 25, -32, 7, 5, 3, 22, -15, 29, -29, 43, 27, -4, 9, -10, 54, 17, 8, 44, 19, -35, 11, -10, -31, 38, 7, -29, -35, -20, -39, 32, -37, -34, 23, 34, 16, 15, -8, 19, 56, 17, -44, 40, -14, 41, 8, 43, 8, 25, -32, -25, -13, -78, -31, -4, 34, -16, 24, -16, -5, 31, -4, -31, -39, -25, -7, -6, -32, -44, 9, -22, -15, 11, 18, 17, -22, -31, 46, 11, 15, 17, -11, 54, 15, -3, -22, 45, 36, 11, -6, -28, 6, 7, 50, -25, -4, 1, 21, 5, -3, -35, -21, -35, -29, 8, 0, -17, 36, 36, 5, -17, -9, -1, -32, -19, -43, 31, 26, 25, 16, 23, -14, -36, 6, 2, 21, -22, 4, -9, 64, 2, 28, -28, 34, 19, -11, 16, 2, -45, -7, 0, -33, 13, -13, 8, 1, 26, 31, -6, -28, 5, -12, 5, 44, 23, 30, 15, 29, -46, -33, 30, -39, -12, 20, -19, -41, 26, 4, 31, -12, 14, 5, -18, 0, -12, 14, 21, 4, 26, 46, -8, -40, -7, -46, 7, -1, 2, -20, 10, -25, -21, 6, 18, 18, -21, -21, 22, -13, 31, 54, 32, 4, -7, 27, 45, 57, -1, 19, 55, 48, 3, 36, 29, -37, -22, -16, -20, -32, -31, 4, 0, -22, 3, 27, -2, 30, 2, 17, 14, -15, 20, 19, -25, -14, -20, 14, 24, 28, 42, 9, 1, 9, 15, 26, 3, -32, 17, -16, 14, -7, -21, 5, -32, 26, -10, 19, -7, -45, 35, 15, 35, 10, -9, 8, -42, -38, -5, -28, 34, 33, -41, -24, -6, 17, -30, -30, 3, -22, 21, 28, -18, 29, -39, -9, -16, -12, -40, 22, 27, -2, -7, 9, 14, 10, -21, -11, -50, -21, -36, 13, 25, 18, 30, 6, 15, -21, -6, 0, 1, 22, 40, 5, 18, 25, 46, -27, -16, 11, 20, 45, -40, -27, -6, -9, -27, -13, -13, -48, -7, 25, 22, 30, 40, 29, -37, 15, -15, 41, -10, 25, 4, 24, 7, -35, 21, 20, 11, -16, -14, -7, -11, -2, -7, -17, -4, 2, 29, 22, 24, -38, 3, -24, 35, 16, -3, 23, 25, 30, 28, -6, -33, 28, 15, 39, 1, 39, 28, 26, -18, 5, -8, 20, -16, 21, -30, -1, -21, -35, 35, 1, 9, 7, -34, 33, -15, 2, 16, 27, 11, 12, 38, -28, 13, -34, 18, -12, 31, -15, 34, -9, 10, -36, 25, 0, -14, -20, -50, -40, -24, -34, -4, -44, 7, -24, 32, 7, 21, -5, -3, 41, -27, 3, -18, -1, 33, -16, -10, -6, 33, 23, 38, 26, -4, -31, 6, 6, -11, -49, -49, -51, -30, 34, 44, 10, -23, -18, -28, 12, -6, 42, -30, -29, -40, 6, -28, 35, -23, -3, -44, 10, 6, -16, -37, 26, -32, 23, -22, 6, -11, 24, -31, -30, 36, 31, -1, -8, 2, -17, 36, 38, 3, -40, 25, 42, -25, -4, 57, 18, -30, 36, -17, -38, -25, -29, 43, 41, -39, -4, -11, 15, -41, 25, -23, -30, -47, 7, -24, 40, 23, 16, 30, 35, -5, -33, -38, 32, -26, -34, 27, 3, -28, -21, -41, -10, -1, -39, 10, 1, -50, -36, -22, -49, -22, -24, 50, 32, -23, 16, 8, -4, 24, 3, 10, -18, 9, 25, 50, 45, -24, 26, 2, 6, 3, 6, 37, -29, 17, 62, -29, 28, 57, -1, -3, -11, 44, 15, 52, 21, -33, 56, -1, 11, -17, -1, 19, -19, -32, -32, -24, -27, 45, 19, -16, 1, 36, -11, -22, -24, 12, 39, -32, 3, 35, -30, -5, -18, -13, -19, 23, 35, 8, 24, -1, 19, -9, -33, 45, 0, 34, -2, 22, 32, 17, 13, -4, -8, 14, 6, -46, 3, 30, -30, 6, 17, -23, -31, 8, 10, -9, 46, -25, 31, 40, -2, 30, -14, -5, -36, 33, 8, -19, 7, -17, 12, -29, -19, -31, 34, 2, -14, -5, 33, -5, 28, -17, 20, -45, -48, 27, -40, 30, -34, 25, 49, -32, -36, -17, -44, -35, 38, -23, 19, -10, 21, 14, -18, 47, 16, 2, 7, 19, 30, 21, 4, -21, 23, 31, 15, -10, 26, -25, 20, 6, -22, -14, 16, -4, -20, -19, 13, 7, 35, 4, 22, 25, -33, -3, -6, 4, -1, 23, -39, -5, 7, -51, -23, -28, -6, 32, 6, -15, -8, -3, -55, -34, -45, 0, 26, -56, 6, 44, -44, -34, 33, 11, -13, -13, -14, -12, 40, 29, -1, -17, -14, -38, -12, -33, 29, 39, 24, -11, 13, 3, -40, -36, -6, 43, -32, 39, 34, -14, 18, -1, -37, 39, 38, 8, -43, -15, -24, 37, 21, -7, 16, 3, -43, 37, -39, -7, -12, -15, 17, -15, 10, -20, 33, -47, -22, -27, -31, -1, -40, -61, -5, -20, 32, 18, 38, -36, -51, -3, -58, 37, -1, 12, 39, -35, -5, 13, 22, 46, -41, -16, -5, -21, 13, 35, 10, -1, -30, -5, -4, -5, -23, 6, 31, 35, -7, -27, 0, 2, 8, 21, -17, 19, -10, -48, -33, 34, -8, 21, 29, -13, 2, -34, -16, 0, -19, -27, 4, -9, 33, -20, 15, 27, -38, 43, 29, -37, 40, -3, -10, -9, 3, 25, 31, 22, 28, -19, -44, 18, -20, -34, -42, 15, 23, -13, -40, -13, -2, -48, 10, 8, -12, -7, -19, -11, 47, 39, 9, -35, -18, 16, 29, 20, 28, 0, 18, 26, 14, -14, -36, 7, -18, -27, -33, -49, -60, -9, -44, -6, -27, -27, 42, 8, 4, -38, -29, 42, 41, -11, -34, -9, 12, 48, 46, 38, 21, 7, -9, 3, 9, 11, 9, 5, 14, 43, -10, -9, 41, 28, 35, -30, 27, -43, -8, 17, -23, -22, 13, 36, 29, -30, 21, -26, -20, 48, 36, -14, 11, -12, 29, 14, -6, -37, -42, 3, -5, -27, -16, -34, -43, -18, -22, 3, -3, 16, 0, 20, -37, 12, 43, 2, 23, 2, -25, -28, 22, 31, 1, -39, -32, 18, 36, -49, -8, 4, 58, 15, -31, 15, 58, 11, -23, 20, -15, -5, 31, 13, 2, -9, -34, -2, -15, 14, -29, 42, 11, 19, 7, -33, -6, -4, -8, 7, 9, 11, 11, 1, -26, -1, 14, -32, 25, -23, 6, 48, 26, -41, 12, 25, 31, 15, -35, -7, -12, 43, -34, -21, 15, -25, -22, -29, 19, -8, 8, -46, -16, -26, -14, 11, -30, -44, -9, 11, -12, -2, -24, -12, 11, -58, -3, -1, 1, -16, 12, -19, 3, -35, -3, -44, 33, 47, 27, -31, 12, -17, -10, -42, 0, 53, 23, 33, -17, -29, -1, 9, -20, 46, -42, -46, -6, -53, 4, 13, 26, 29, -28, 19, -12, -42, -1, 38, -15, 4, -27, 26, -18, -8, -12, 38, 16, -21, 32, -6, 35, 26, 4, 14, -26, -43, 37, 21, 18, 24, 13, -68, 19, 12, 4, 13, 49, -20, 41, -29, 10, -15, -21, 29, -49, -50, -14, -2, -25, -37, -35, 26, 9, 5, 1, -14, 27, 42, -45, -15, -29, -21, 12, -27, 4, -13, 35, -5, 22, 31, 30, -21, -5, 16, 26, 4, 35, 19, 14, 17, -1, -29, -9, 41, 4, 21, -22, 6, 41, 2, -15, -24, -2, -46, -23, -31, -9, 20, 9, 28, -33, 32, 37, 31, 40, -13, 13, 12, -19, 35, 23, -43, -56, 27, 36, -16, 47, 8, 4, 18, -42, -32, -6, 1, -47, -19, -41, 20, 13, -65, -12, -21, 47, 40, 8, 28, -16, -19, -29, -16, -51, 19, -22, -23, -31, 15, 17, -16, 33, 33, -13, 2, 1, 9, 64, -9, -34, -4, 12, -17, 15, 20, 21, -30, -4, -40, 7, -23, -31, 29, -17, -56, 24, 18, -5, 5, -28, -11, 37, -43, 23, 6, 11, 17, -50, -34, 1, 3, 19, -13, 0, -2, 28, 37, -10, 11, -43, -8, 14, -22, -1, -16, -4, -9, -23, 21, -16, -3, 9, -19, 22, -21, 45, -25, 18, -11, 17, -47, -17, -10, -19, 36, -33, -22, -20, 28, 39, 42, 19, -16, -31, 29, -48, 17, -43, -22, -46, -23, 7, -41, 12, 14, -27, -52, -7, 30, 12, 42, 18, 35, 24, 21, 45, 10, 23, 32, 5, 9, -22, 41, 21, 32, -40, -44, 7, 5, 1, -48, 40, -30, -21, -8, -16, 0, -6, -4, -64, 45, -32, -50, 13, -7, 29, 57, 26, 40, 16, 18, -21, 25, 12, -53, -61, -6, -8, -6, 12, -14, 1, -10, -33, -13, 28, 33, -30, -27, 20, 32, 50, 23, 6, 38, 39, -4, -32, 6, 38, 28, 18, 10, -13, 28, -1, -25, 15, -12, 37, 24, -2, 22, 6, -53, 14, 16, -25, -10, -37, -28, -29, 9, 4, 6, 17, -2, -45, -24, -32, -18, 31, 23, -29, -8, -37, 21, 6, -38, 26, -20, -57, -11, 3, 26, 25, 25, -21, -44, -16, 0, -10, -36, -31, -13, -30, -51, 19, 44, 3, -1, -35, 42, -7, 23, -37, 15, 28, 35, -19, 20, 46, -22, -21, -10, 6, 8, -14, -26, -32, -23, 15, -9, 27, 4, -6, 13, 23, 39, -17, 11, -9, -17, -46, -17, 35, -17, 10, -32, 39, 39, 43, -5, -7, -1, -13, 23, -19, 31, -15, -4, -15, -28, -28, -27, -62, -28, -39, -55, -46, 32, -2, 39, 3, 25, -40, -23, -50, -31, -1, 15, 1, -43, -22, 2, 20, -9, -68, 7, 21, -7, 11, -27, 31, -28, -18, 10, -1, -12, 28, 0, 9, 18, 25, -40, 35, 42, -5, -21, 42, 15, 14, 33, 33, 30, -21, 13, -46, 5, -21, -22, 9, -37, 20, 37, -49, -1, 16, 25, -35, 22, 11, -8, -21, -29, -14, -29, -2, 30, 25, 22, 34, -42, 46, 0, -11, -12, -26, -26, -35, -16, -7, 16, 11, -20, -37, -18, -7, 17, 15, 9, -11, 31, 14, -7, -31, 1, 9, -31, 25, -37, -3, 21, 4, 38, -28, 45, 22, -23, 7, -29, 23, 46, 36, 55, -23, 2, 32, -28, -19, 33, -31, -13, 14, 36, 36, -19, -21, -48, 39, -5, 34, -41, 32, -18, -37, -4, 6, -10, 11, -17, 3, -8, -2, 13, 21, 7, -14, 17, -54, 26, -33, -10, -31, 27, 48, 6, 9, 14, -7, 27, -27, 36, 50, 15, 3, -35, -1, -4, -31, 33, 12, -50, -7, 31, -7, -45, -9, -18, 17, 36, 21, -27, 43, 5, 15, 25, -16, -37, -7, 1, -6, 31, 45, -14, -38, -22, -20, -43, 42, 33, -44, 31, 19, -5, 32, 13, -7, 26, -47, -18, -45, 45, 10, -8, -1, -2, -44, 1, -49, -46, -23, 16, 48, 44, 23, -32, -20, 42, 48, 1, 27, -40, 22, 58, 11, -7, 3, 16, 6, -25, -10, 29, 37, -26, -63, 23, 24, 44, 47, -6, -3, -33, 16, 3, 27, 1, -10, 11, 14, 24, 25, 12, -36, -38, 24, -3, 40, 18, -13, 4, -35, -23, -44, -10, -3, -33, -4, 32, 12, 21, -18, -21, 11, 7, 0, -39, -21, -27, 34, -7, 47, 39, -17, 16, -37, 25, 18, -33, -23, 17, 56, 22, -2, -20, 28, -6, -63, -9, -39, -55, -47, 25, 21, 34, 4, 20, 7, -18, -25, -14, -3, 1, -14, -44, -41, 52, -35, 7, 1, -49, -10, -33, 15, -21, 16, -20, -26, 19, 31, 15, 26, 46, -25, 37, 28, -12, 0, 17, -23, -3, 34, -11, 19, -14, 8, 4, 9, -33, -14, 33, 18, -15, 30, 35, -39, 3, 19, 20, -34, -4, -2, 41, -19, -8, -17, 23, 42, -12, 10, 33, -21, 31, 9, 16, -24, 23, 7, 32, 21, -4, -17, -13, 3, -13, -4, 9, -18, 9, 36, -10, 33, 68, 23, 27, 4, -45, -28, -28, -37, -14, 7, 18, -16, 5, -40, 43, 30, -42, 21, -40, 0, -46, -40, 17, -1, -36, 30, 7, 8, 13, 26, -52, -24, -29, -44, 12, -6, -40, 8, 9, -3, 27, -24, 43, -16, 46, 1, 13, -5, 13, 23, -46, 17, -33, 10, -6, 15, -4, 58, 43, 26, 26, 22, 52, 5, -27, 12, 1, 9, -24, -2, -8, -41, -43, -11, 19, -6, -19, 36, -34, 35, 15, 14, -44, -5, -37, -43, 6, 23, 22, 39, -9, -12, -31, 13, -13, 19, 13, -20, -5, 10, -40, -2, -45, 8, 3, -31, 0, 30, -29, 32, 39, -54, -26, 45, 5, 36, 44, 5, 22, 11, -9, -6, -35, -34, -25, 39, -1, -12, 9, 14, -12, -63, -44, -33, 25, -31, 37, 35, 41, 29, -3, -27, 17, -29, 38, -13, 33, -1, 5, -24, -1, 32, 38, -24, 34, 8, -4, -21, -17, 24, 5, -11, -34, -4, -61, -26, 12, 23, -33, 32, 44, -11, -22, -40, 20, 23, 8, 18, -13, 28, -26, 0, 22, 17, 4, -4, 26, 24, -10, 19, -30, 30, -30, -11, -31, -40, -32, 35, -23, -33, -37, -7, 15, 19, 6, -56, -24, 47, 5, -6, -22, -43, -42, -40, -13, -6, -3, -16, 19, -22, 8, -15, 0, -33, 28, 30, -25, 25, 23, 7, 10, 9, 16, -11, -2, -45, 16, 6, -29, -7, 12, -29, 36, -11, 0, 20, -44, -10, -31, -25, 49, 49, -47, -49, -22, -38, -26, 18, -8, 43, 34, 31, -3, -42, -31, 6, 0, -38, 13, 14, -7, 6, -42, -23, -9, 31, 3, -23, -4, 30, 3, -1, 22, 5, -3, 3, 28, 38, -20, 15, -27, -14, 13, 40, 12, -37, -6, -38, 0, 27, 11, 36, -40, -9, -41, 31, 42, -17, 20, 12, 31, -39, -13, 0, -54, -17, -17, 8, 17, 8, -33, 22, 34, 33, 26, 34, 21, -18, 21, 20, 1, 21, -3, -8, -51, -17, 22, 27, 11, -2, 33, -21, 13, 39, 17, -31, -52, -19, 45, 6, -20, -28, -37, 35, 53, 15, -18, -22, -21, 42, -18, -43, -44, -31, -6, 11, 46, 47, -7, 26, -22, 37, 7, 31, -19, 0, 24, -19, -42, -30, 26, -41, -10, -42, 1, -12, -38, 21, -3, 38, 32, 40, 29, 8, 35, 28, -7, -16, -54, -39, 9, -22, -4, -23, -23, 22, 20, 8, 35, 7, -18, -18, -19, -39, 35, -20, -40, -47, 22, 32, 25, -15, 8, 15, -50, -19, 37, -9, 18, -22, -24, -13, 25, 24, 22, 29, -31, -39, 26, 41, -22, 45, -29, 26, 40, 31, -3, 26, -35, -23, -10, 15, 51, -13, -29, 21, -21, -3, -22, 18, -14, -26, 12, -9, -23, 33, 16, -37, 15, -5, -12, 27, 34, 52, 19, -8, 26, -3, 32, 33, 27, 5, 6, -6, -24, 23, -49, 25, 3, -36, -21, 5, -10, 29, 27, 8, 19, 37, 15, 24, -39, 20, 4, -24, 18, -27, -55, -8, -29, 17, -5, -4, 14, 1, -47, -34, 2, -40, 18, -17, -26, 45, 39, 30, -11, 10, 34, 23, -11, -38, 44, -39, -7, 34, -14, 26, -15, -1, 26, 5, 47, 45, 6, -24, 47, -11, -32, -35, -41, 5, -22, 18, -20, 40, 45, 29, -14, -50, 1, -45, 20, 21, -38, -15, -41, -8, 4, 29, -43, -27, 34, 7, -52, 23, 7, -11, -13, -41, -32, -19, 0, 8, -15, 18, 19, 37, -7, -35, -1, 12, 27, 19, -31, -31, 41, 5, 28, -20, -6, 50, -37, 42, 7, 12, 28, 22, 41, 62, -22, 44, 38, -2, -10, -49, 1, -12, 15, 34, 24, -54, 4, -37, 16, 11, 21, 16, 40, 18, 12, -25, 44, 25, -7, 29, -21, 16, -2, -12, 5, -1, 47, 16, 17, 2, -64, 1, -24, -3, -14, 6, -10, -45, 5, 3, 20, 25, -7, 12, 40, -18, -19, -30, 8, -45, -27, 8, 15, -44, -38, -10, 7, 23, -28, -6, 27, -38, -28, 28, -39, 23, 24, 9, -8, -29, -7, -35, 37, 18, -38, 5, 0, -28, 14, 30, -36, -37, -50, -7, -7, 50, -43, 25, -46, -16, 28, 51, -1, -1, 12, -48, -11, -11, 61, 17, 27, 5, -8, -31, 3, -7, -19, -15, -23, -13, -25, -36, 10, -9, -34, 14, -40, -24, -28, 13, -6, -35, 44, -52, 8, 19, 31, -33, -11, 35, 21, 23, 34, -32, -7, 52, 7, -74, 25, -39, -61, -14, -43, -30, 11, -27, -35, 30, 25, -25, -27, 11, -24, -11, -52, 22, 13, -26, -57, -66, -54, -61, 7, -10, -54, 30, 47, 47, 44, -33, 16, 37, -14, -30, -2, 11, -32, -45, 38, 28, 23, 6, 39, -27, 25, 4, -41, -27, 27, -12, 6, 29, 35, -5, 34, -18, 42, 16, 25, 15, 25, -45, 29, 40, 31, -33, -34, -1, -14, 21, 9, -28, 30, 10, 20, -4, -29, 19, -24, -39, -3, 24, 7, -43, -52, -22, -13, -9, 29, 10, 30, 12, -11, -60, 15, -13, 35, 44, 10, 23, 25, 9, -39, -32, 40, -55, 0, 15, -7, 38, 31, -35, -8, -31, -27, 34, -11, 18, 11, -14, -32, 42, 16, 32, -11, -13, -18, 28, 20, 28, 7, -9, -9, 7, -21, 10, 13, 10, -27, -27, -36, 17, -40, -12, -22, -22, -14, -17, -8, -24, 22, -17, 30, 12, -16, -22, 19, 25, 7, 8, -26, 46, 1, -12, 42, -3, -12, -51, 16, -59, -21, 23, 6, -39, 1, -39, -36, 9, -42, -45, 32, -33, 33, -45, 17, -17, 24, 36, 16, 27, 13, -9, 26, 14, -45, -34, -44, 38, 19, 42, -40, -31, 29, -15, 44, 6, 24, 1, -10, -6, -13, 18, 12, -27, 16, -28, 40, -3, -6, 25, 11, 39, -28, 27, -34, 8, 31, -26, 22, -16, -31, -38, -27, 20, -3, -34, 25, 1, 40, 24, -24, 15, -34, 32, 24, 25, 48, 38, 23, -48, -18, -39, -45, 45, 25, 50, 7, -35, -2, 16, -16, -2, -8, 5, 14, -6, -1, 31, -12, -32, 40, -12, 19, -32, -17, -32, -9, -4, -49, -9, -38, -13, -12, 39, 26, 9, 22, -15, 7, -59, 7, -50, -33, -34, -31, 7, -10, -18, 7, -4, -44, -13, -4, -25, -6, 33, 33, -17, -14, 50, 47, -25, 17, -30, 11, -41, -49, -14, 13, -27, -24, 22, -10, -29, 21, -36, 10, -19, -43, -47, 26, 0, -22, -37, -24, -7, 8, -18, 7, 25, -9, -17, 2, 29, -7, 37, 57, 25, -18, 38, -27, -10, 33, 15, -18, 30, 0, 23, -33, 30, 30, 46, 4, -32, -44, -36, -3, 6, 12, 40, 2, 39, 0, -15, 1, -7, 24, -37, -36, -54, -40, -2, 23, -23, -8, 25, -35, -14, 3, 1, 20, 10, -22, 14, 42, -56, -18, -27, 34, -80, -50, -24, 40, 21, 42, 4, 82, 6, 30, 48, 34, 36, -1, -13, -36, 38, -37, -46, -56, -40, -35, 42, 26, -9, 14, 12, 4, -8, -35, 31, 34, -33, 29, 48, -13, 14, 48, 13, -15, 15, -14, -9, -50, -17, 24, 40, -3, -7, -28, -30, 12, 19, 45, -31, -6, 13, -8, 9, 15, 35, 17, -15, -22, -16, 12, 26, 28, -4, 39, -60, -9, -43, 26, -35, 47, 55, 27, -47, -6, -17, -8, -29, -43, 3, -19, -13, -31, 20, 41, 21, 34, -23, -35, -27, 16, 33, -31, -26, 10, 8, 36, -16, 10, -13, -38, 17, 28, -46, 11, -10, -17, -23, 38, 35, 40, 25, 30, -4, 39, 37, -19, -34, -10, -6, 45, 12, 31, -33, -13, -58, -56, -11, 13, 25, 3, 35, 7, 19, -12, -25, -23, 23, -36, -11, -17, 38, -27, -20, 31, -43, 15, 2, 32, 11, 4, 36, -41, 22, 20, 4, -19, -32, 40, 0, -36, -27, -19, -41, -32, 6, 29, 25, -23, -47, -6, 32, 28, 1, 0, 20, -46, -21, -4, 2, 35, -15, 16, 41, 20, -32, 42, 6, 41, 42, 30, -6, 13, 31, -37, 21, -3, -57, 22, -10, -56, -40, -48, -43, 8, 13, -42, -33, 18, 31, 34, -23, 41, -46, 20, -36, -43, -35, 39, -62, 36, 0, -45, 27, -33, -26, -50, -32, -26, 30, 4, -41, 26, 14, -8, 1, -9, 9, -16, -22, 4, 4, -43, -12, -61, -55, -17, -22, -32, -36, 22, -52, 23, -24, -10, -34, -21, -8, 3, -29, -38, -8, -13, 37, 17, 58, -14, 54, -15, -40, 13, -59, 13, 18, -1, -33, -34, -39, -17, 21, -49, -50, -26, 32, 15, -17, 33, 21, -27, 5, 42, 8, 35, 24, -3, -20, 9, -13, -37, 7, 38, -9, 51, 21, -13, 77, -10, 55, -9, 29, -15, 51, 39, -29, -24, -39, -23, 46, -22, -13, -10, 23, 30, 7, 22, 39, 1, 18, 16, 6, -34, 13, -6, -25, -8, 35, 28, -41, 36, -19, -5, -27, -31, 10, -3, 17, 21, 29, 4, 33, 4, 28, 51, -23, -11, 41, -4, -21, 47, -2, 29, -1, 15, -43, 30, -10, -7, -38, 21, 16, 15, -11, 24, 34, -44, 13, -9, 10, 31, 16, -4, -15, 17, -44, -3, 34, 16, -24, 41, -42, 4, -1, -4, 32, 11, -13, -29, -17, 1, -10, 5, -3, -34, 44, -34, -1, 10, -1, -36, 36, -25, 25, 24, 1, 9, 1, 20, -1, -12, -16, -9, -6, -41, 18, 8, -12, -22, 14, -1, -1, -45, -3, 39, -13, -33, 30, -30, 27, -35, 11, 52, 6, -47, 14, -18, 38, 29, 11, 9, -25, 11, 34, -20, -29, 18, -21, -15, 23, -45, 13, -35, -44, -29, -5, -11, 26, 24, 8, -32, -33, -3, 4, 9, 41, -35, -48, 11, 39, -40, 9, -15, -5, -47, -35, -17, -29, -7, -14, -12, 3, 17, -1, 13, 24, -24, 26, 9, -24, 0, -28, -36, -5, 21, 45, -15, -28, 8, -27, 12, -30, 5, -28, 8, -18, -12, 13, -49, 1, -15, -40, 14, -30, 25, 21, -50, 29, 18, -8, -5, 11, 10, -32, -29, 18, 35, -18, -8, 3, -39, 28, 8, -33, -25, -37, -27, -64, 6, 26, 17, -44, -21, 11, -48, -32, -19, 18, -26, 23, -6, -37, -7, 23, 36, -44, 23, -22, -3, -31, 8, 44, -20, -17, 48, -16, 2, 11, -11, -10, -38, -4, -39, 24, -31, -24, -14, -42, 25, 44, 26, 15, -36, 49, -13, 2, -3, 29, 22, -12, -8, -31, -7, -27, 12, 1, -42, -58, -49, -12, 27, -16, 45, 28, -5, 10, -39, 47, 26, -18, 38, 37, 35, -30, 22, 13, -10, -24, 9, 36, 120, 74, 82, 5, -21, -15, 62, 54, 6, 47, -8, 7, -31, -10, 25, -21, -58, -37, -18, 23, -32, 37, -34, -10, -6, 30, 19, 19, 34, 36, -27, 22, 20, 46, -26, -49, 14, 31, 1, -39, -37, 24, -3, -13, -20, -27, -14, 6, -30, -57, -67, -9, 1, 18, 7, 26, -54, 22, -42, -33, 10, -33, -42, -9, -9, 16, -46, -6, 19, -19, 25, 8, 50, 5, 44, -32, -36, -11, 12, 18, 14, 62, 20, -6, 55, 11, 53, 14, 49, 48, -8, 20, 47, 10, -21, -18, 16, -12, -11, -9, 15, 16, 12, 25, 40, 10, -32, -33, -28, -36, 2, 1, -65, 32, -4, -71, -30, -41, 11, -13, -42, -32, -4, 29, -8, 36, 19, 19, 6, 24, 23, 47, 42, 21, -33, -4, -2, -48, -28, -8, -53, -22, 3, -16, 37, 36, -24, -37, -44, -30, -36, 9, 32, 10, -5, 7, -31, -14, -5, -23, -38, 14, 56, 18, -17, -15, -4, 1, 60, 43, -37, -58, -54, -15, -35, 6, -30, -32, 4, -44, -32, 18, -38, -12, -36, 6, -43, 17, 23, 19, -36, -15, -28, -5, -33, -20, 28, -2, 31, -22, 21, -9, -26, 20, 50, 5, 57, -6, -37, 26, -26, -40, -6, -37, -73, -30, -17, -7, -13, 36, 1, 8, -40, 22, 50, -3, -26, 36, 30, 14, 26, -7, -22, 12, -23, -1, 37, 9, -14, 26, -21, -3, -4, 40, 1, 30, 0, -3, 34, -30, 42, -26, -16, 9, 18, -9, -22, 0, 18, -56, -41, -6, -11, -42, -32, -23, -10, 32, 18, -23, -4, 35, 53, 38, 13, 62, -2, -25, -10, 38, 19, 28, -18, 36, -23, -7, 35, 10, 13, -12, -5, 5, -67, -37, 17, 0, -37, -2, 40, 34, -38, 2, -45, 28, 9, -32, -5, 45, -14, -35, 24, 27, -48, -7, 40, 27, -17, -22, 20, 5, -35, -15, 8, -57, -40, -28, -10, -43, -21, 10, -13, 0, -45, -29, 30, 15, 31, -3, 26, 0, 25, -28, -3, 12, 8, 23, -5, 11, -14, 21, 3, 20, 2, 19, -5, -5, -30, -6, 11, 52, 16, -7, 41, 26, 33, 54, -33, -22, -8, -41, -13, -74, -56, 42, -18, 4, -22, -4, 1, -32, 16, 22, -12, -46, -12, 36, -22, 20, 66, -44, -18, 63, -32, -24, 12, -15, -52, 14, 4, -25, -6, 43, -12, 29, -14, -50, 15, -49, -48, -6, -35, -43, -30, -30, 33, 38, -2, -26, -19, -50, -18, 43, 19, -38, 11, -29, -53, -69, -19, -68, -69, -30, 26, -16, 4, 64, 14, 7, 17, -1, -12, -36, 9, -22, 9, 7, 12, 10, -15, 17, -9, 35, -66, -29, -2, 24, 37, 0, 48, 1, -10, -14, 46, -11, 34, -2, -7, 15, 6, -30, 14, 41, -38, -28, -1, -21, -32, -11, 13, -26, 26, 6, 35, -20, -32, 3, 5, 31, 41, -15, 34, 21, -10, -32, -38, 20, 35, 37, 6, -56, 18, -27, 39, 27, 1, -12, -15, 42, 27, -23, 6, -1, 92, 52, 51, 51, 50, 75, 79, 23, 62, -37, -58, -46, -24, -71, -49, -55, -42, -58, -4, 1, 23, 28, -36, -27, -4, 30, 44, -58, 16, 35, -2, 7, 39, -41, -7, 14, -2, 13, -30, 20, -31, 44, 33, -10, -4, -32, -23, 39, -31, 6, -49, 11, -26, 10, -28, 55, 40, -44, 20, -13, 6, 8, -37, -7, 36, -7, -17, 36, -5, -37, -60, 35, -39, -26, 32, 20, -54, -3, -20, 42, 30, 24, -2, 31, 19, 1, -48, -34, -22, 5, -49, -33, 13, 16, 24, 6, 26, -47, -67, 61, 48, -14, 60, 43, 8, 37, 8, 15, -47, -52, 21, -24, 4, -36, 18, 33, -49, -11, 32, 52, -6, 13, 22, 61, 29, 60, -21, 31, 43, 43, -36, -27, 14, 25, 22, 10, 33, -41, -23, 5, -43, -44, 22, -12, 8, -5, -48, -35, 15, -20, -40, -10, -16, -24, 40, -45, 42, 31, 16, -21, -35, -14, 15, -3, 11, 30, -16, 24, 36, -13, 24, 45, -46, -41, -15, -22, 13, -13, 25, 18, 29, -23, -4, -15, -11, 24, 12, 1, -6, 43, 8, -69, -18, -6, -51, 4, 30, 28, -1, 37, 44, 17, -21, 21, 7, -31, 21, -14, 36, -35, -48, -49, -16, -34, -40, -14, -24, 26, 20, 20, 35, 7, 12, -12, -40, -60, -30, -54, 0, -33, -12, -33, -17, -24, -6, -1, 24, 31, -29, 12, -5, -4, 12, 0, 41, 4, 26, 8, -61, 9, 32, 34, 27, 11, 31, -46, -62, -55, -35, -30, 18, -19, -52, 6, -12, -26, -35, 23, -54, -18, 34, 11, 57, -38, -26, 2, -29, 24, 7, 10, 1, -49, 43, 24, -30, 9, 37, 30, 13, 6, 34, -53, 21, -44, -14, -13, -28, -36, 19, 5, 24, -27, 37, -14, -47, 2, -39, -1, -41, -14, -28, 1, 27, 36, -40, -30, -15, 30, 18, -14, 24, -17, -63, -15, -3, 42, 28, 32, 8, -15, -21, -24, -31, -61, 10, -49, 31, -63, -1, 29, -44, -19, -65, -24, 43, 10, 6, -35, -13, -11, -8, 17, -4, -17, -26, 34, 1, 15, 18, 47, -45, 18, 42, 19, 3, -19, -40, 49, 40, 0, -31, -50, 2, -19, 23, -48, -42, 21, 40, -3, -4, 14, 14, 16, -16, -36, -8, -10, 28, -36, 4, -20, 35, 17, 33, 12, 1, 12, -24, 6, 40, -7, 39, 23, -30, -43, 7, 23, 23, -11, 59, -25, -14, -6, -28, 14, 18, 19, -36, -2, -12, 7, -34, -50, 17, -50, -48, -47, 3, 22, -3, 23, 50, 33, 2, 28, 32, 32, -15, -13, -6, 56, 16, 29, -7, 7, 31, 15, -27, 18, 33, 23, -9, 25, -46, -36, 14, 4, -35, 18, 8, 3, 16, -29, -26, 8, 5, 43, 45, 22, -11, 34, 17, 58, 45, 28, 25, 27, 23, 8, -11, 11, -10, -3, -59, -32, 8, 15, 40, -7, 6, -41, 46, -21, -20, -24, 7, 11, -28, -44, -25, -26, -41, -36, 31, 27, -28, 39, -16, -59, -42, -56, -39, -8, -31, 49, -21, -27, -37, -42, 18, 2, 32, 6, 22, -18, -38, -2, -1, 28, -8, -57, -33, -28, -40, 13, -6, -49, 4, 71, -10, -54, -51, 4, -13, -31, -20, -7, -27, 5, 12, -43, 29, 4, -28, 25, 43, 35, 0, -36, -5, 7, -3, -10, 30, -35, -21, 24, -17, -36, 4, -13, 1, 8, 3, -34, -47, -56, -1, -34, -35, -42, -28, -16, -13, 30, -6, 31, 37, 39, 14, 36, 45, 15, -5, 7, -25, 24, 2, 8, -12, -1, 5, 27, 8, -31, 26, -23, 29, 17, -17, -1, 35, -34, -21, -58, 29, 24, -29, 20, -6, -10, -26, 53, -11, -12, 54, 54, 19, 58, -18, 43, -25, 35, 1, -8, -41, -2, 24, 4, -29, -7, -44, -60, -18, -35, 5, -18, 30, 23, -3, -12, -43, -34, -30, 34, -27, 24, 13, 2, 2, -36, -27, -2, -20, -43, -19, -22, -30, -13, 33, 4, 12, -25, -29, -4, 6, -16, -2, -9, 36, -10, -17, 30, 12, 25, -43, -23, -12, 27, 12, -27, 42, -14, -38, 37, 31, -36, 5, 13, 25, 7, -24, -10, 30, -30, 36, -11, 1, 24, -11, 29, -6, -34, -8, 17, 3, 2, -5, 37, -11, 7, -23, -48, 38, 29, 15, -30, -22, -40, -20, 25, 38, 38, 31, -24, -21, 9, -9, 19, 6, -13, 16, 14, 6, -17, -22, 25, 16, 29, 32, 22, -17, 18, -2, -26, 4, -25, 10, 8, 10, 23, 3, 13, -10, 18, 3, -29, 19, 3, 22, -7, 19, -26, 2, 8, -26, 44, 50, 3, -24, -19, -28, -11, -34, -3, 27, 8, -6, 9, 6, -11, -6, -26, 11, 33, -34, -29, -2, -29, -14, 15, 29, 10, -15, -16, -33, 27, -37, 21, 47, 21, 69, -32, 14, -34, -34, 19, 21, -13, -20, 22, -32, 26, -30, 3, 2, -22, 0, 7, -20, -21, -22, -20, 12, 4, -17, 15, -25, -10, 9, 54, -9, 32, -7, -19, -9, 14, 27, 19, -4, -54, 2, -42, 2, 5, -7, -2, -42, -1, 30, -1, -9, -2, -27, -51, -37, 50, -15, 12, 8, 12, 37, 28, -25, 9, 22, 20, 28, -35, -26, 29, 20, -22, 10, 22, -35, -38, 43, 30, 23, -13, -32, -19, 45, 21, -19, 47, 49, 25, -31, -18, -7, -32, -4, -4, 17, 18, -8, 38, -5, -30, 17, -30, 22, 9, 13, 23, 0, -4, -22, -4, 3, -15, -41, 27, -22, 14, 31, -6, -35, 32, 5, -5, -51, 6, 27, 16, -30, 41, 24, 33, 30, -37, 2, -36, 24, 6, -13, 21, 22, 9, 34, -25, -30, -34, 5, -33, -21, 38, -28, 2, 36, -25, -12, 9, 18, 17, 16, -17, 6, 14, -19, 16, 29, -25, -13, 4, 14, -1, 52, 38, 17, 10, 23, -3, 41, -17, -3, -14, 42, 20, 22, 10, 1, 8, 30, -45, -30, 14, -8, 17, 34, 12, -24, 13, 5, -29, 16, -14, -2, 58, -36, 14, 7, 6, 0, 8, -18, -35, 42, -17, -23, 49, 35, 43, 33, 3, 2, -9, -32, -16, 12, -43, -5, -48, -2, -1, 37, -30, -51, 3, -17, 8, -17, 58, -22, -33, 23, 3, -32, 6, 30, -3, 6, 10, 70, -33, -56, 26, -33, -51, -2, 40, 25, 5, -24, 6, 10, -54, -13, -48, 60, -23, -43, 15, 10, 39, -6, 16, 45, 18, -33, -27, -6, -6, -16, -45, 20, 31, 13, -6, 26, 23, -45, -40, -10, -20, 17, 14, 32, -15, -18, 28, -51, 22, 6, 34, 38, 41, 22, 7, 19, 6, 24, 34, 7, 22, -41, -26, 45, 8, -33, 30, -43, -24, -43, 19, 9, 26, 39, -29, -24, 35, 37, 22, -9, -23, 2, -7, -2, 16, -8, -19, 18, 44, -5, 23, -30, 3, 38, 42, 4, -46, -31, -77, -51, -1, -95, -45, 2, 46, -1, -12, 29, 3, 6, -63, 38, -17, 5, 16, 40, -23, 29, 24, 29, -22, 24, -1, -18, -28, -1, -26, -25, 48, 31, -14, 12, -27, -8, -50, -43, 2, 28, 24, -10, -23, -26, -10, 19, -2, -4, 41, 17, -38, -25, 32, -17, 13, 40, 8, -44, 10, -34, -40, 16, -39, -41, 32, -11, 13, 16, -11, 34, -20, -9, 41, 15, 33, 8, 45, -10, 39, -16, 9, -50, -6, 18, -39, -10, 11, -14, 8, -30, 54, 28, 9, 1, 21, 22, 29, -45, -5, -37, 1, -12, -40, -5, -29, -34, 17, -5, -35, -39, -45, -23, 36, 47, 11, -43, -44, 23, -27, 36, -30, -1, 2, 38, -49, 33, -13, -22, -39, -29, 26, 17, 9, -20, 17, -47, -14, 47, 26, 2, -28, 41, -42, -21, -22, -41, 24, 17, -8, 13, 26, -39, 38, -33, -22, 5, 4, -5, -5, 21, -15, 1, 6, -41, 21, 40, 25, -1, -33, -16, 44, 45, 17, -42, -32, 25, 38, 54, 16, 4, 21, -52, 29, 46, -20, -27, -34, 30, -49, -15, 17, 45, 14, -58, -32, -18, 34, -2, 10, 18, -28, -32, 15, -40, 5, 36, -5, 23, 35, -35, 35, 24, -33, -29, -10, 8, -31, -17, 26, -6, -40, 48, -33, 19, -40, 40, -49, 29, -55, 25, 38, -27, 15, -4, 37, -26, -62, -8, -16, -44, -2, 25, -2, 4, 15, -9, -7, -2, 16, -30, -30, -56, -20, 0, 9, 10, 2, 26, -31, -4, -68, -35, -23, -39, 50, -55, 3, 46, 27, -26, 40, -2, 28, -22, -47, -47, -11, 36, 11, 19, -4, -44, 6, -5, -20, -37, 3, 21, 21, 7, 16, -4, 23, 39, 27, 1, -17, -11, 30, 39, 39, -18, 39, 15, 25, 34, 37, -21, 4, 19, 5, 29, 2, -41, 14, -15, 15, 30, 2, -36, -18, -21, 15, 5, -47, -36, 26, -35, 18, 21, -3, 9, 10, -24, 31, -3, 57, -36, 28, -24, 9, -1, 22, -22, 18, -36, -21, -41, 32, -11, 45, -34, 31, 27, 6, 37, 8, 23, -15, 6, -42, -52, -17, -42, -62, -5, -14, -62, 29, -48, -50, 6, -37, -25, 39, 39, 6, 12, 4, 46, -40, -12, -33, 29, -40, -33, -17, -36, 9, 0, 35, 31, -9, -24, 31, 45, 21, 1, -32, -15, -27, 30, -31, -16, 0, 54, 8, 17, 53, 1, -1, -47, 31, 0, 44, 44, -28, 38, -27, 33, -42, 2, 19, 3, 5, -32, 10, 19, 6, -1, 8, -16, 7, 15, 19, 30, -25, -23, 32, 40, -11, -38, 27, 16, -22, -43, 10, 0, 39, -8, -35, 11, 7, -15, -5, -30, 2, -6, -37, 5, -27, 20, 43, -37, 11, -27, -12, 17, -49, -70, 12, -29, 25, 0, 7, 4, 21, -13, 12, -41, -33, -32, -6, -41, 44, 31, 38, -20, 58, -52, 14, 28, 26, 7, 45, 12, -9, -6, 26, 8, 51, -4, -16, 10, -29, -53, 18, 14, -11, -40, -4, -18, -3, -13, 3, -20, 8, -43, -27, 47, 28, -40, 5, 33, -2, -22, -40, -11, -4, 10, -23, 6, 15, -35, 33, -28, 29, -20, 3, -25, 18, 18, -17, -18, 48, 46, -34, 13, 11, -12, -60, 20, 40, -33, 2, 32, 40, 28, -5, -10, -16, -32, -64, 16, 7, 29, -34, -38, 20, 27, -18, 4, -16, 7, 37, 22, 3, -52, -27, -7, 10, 31, 32, -14, 1, -14, 25, 24, -10, -9, 15, 21, -15, 29, -39, 1, 27, 18, -64, 26, 31, 1, 34, -6, 72, -14, -55, 49, -40, -5, -25, -10, -26, -3, -19, 29, -44, -42, 43, -28, 30, 6, -34, -53, 10, 18, -13, 23, 21, 24, -46, -5, 36, 0, 36, -40, -19, 18, 34, 9, 18, -16, -53, 26, -46, 35, 11, 23, -27, -26, 19, -20, 0, -41, -25, -12, -11, -9, 30, 8, -41, -35, -9, 36, -51, -9, 27, 20, -2, 9, -12, 7, 33, 33, -35, 18, 15, -27, 22, 33, -25, 30, -12, 58, 4, 36, 21, -5, 1, 23, 28, 47, 21, 34, -21, 23, -5, 28, -50, -46, -15, -27, 15, -9, -9, -29, 50, 7, -27, 8, 55, -14, -9, 39, 43, 36, -9, -11, -32, 19, -14, -41, 10, 5, 4, -27, -13, 4, -10, -1, 12, 24, -10, -29, 45, -22, -46, 32, -40, -12, -36, -17, -2, -6, 44, -20, 4, 42, -11, 17, 14, 17, -11, -8, -3, -3, -46, 34, 8, 1, 28, -17, 16, -41, -34, 23, -4, -10, 10, -10, -14, 23, 34, 4, -4, 46, 27, -32, -40, 55, -18, -33, -37, -28, -27, 15, -26, -19, 27, 13, 24, -35, 37, -44, 43, 2, -35, 33, -22, -59, 23, -16, -28, 36, -35, 10, -17, -11, -7, -28, -25, -3, -33, -25, -1, -22, 16, -20, -18, 26, 37, 10, -25, 10, 35, 10, 1, 13, -38, 25, -36, -9, 30, -4, 31, 33, -22, -8, 38, -23, -20, -11, -35, 22, -29, -12, -18, -45, 38, 33, 20, 4, 5, -44, -32, -31, -26, -11, 10, -4, -21, -18, -41, 9, 41, -34, 68, -25, -20, 0, 11, -33, -2, 3, 42, 41, -49, -22, 5, -25, 35, -6, -2, -40, -11, 34, -42, 23, 40, -50, 22, -17, 8, -39, 48, -15, 29, -38, -16, 30, -39, -1, 9, -25, 30, 4, 10, 57, 11, -39, -4, 12, -57, 13, -15, 30, 23, -40, -44, 16, 14, -16, -15, 16, 3, -31, 6, 8, 37, -11, 33, -19, 32, 5, -24, 15, -3, -14, -35, 10, 8, 37, 46, 0, 27, -39, 11, 3, 13, -21, 32, 3, -8, 11, 32, 4, 9, 7, 1, 3, -7, 9, 1, 12, 0, -22, 29, -13, 0, 11, -7, -24, 5, 25, -21, 23, -14, -27, 16, -44, -15, -1, 10, 29, 27, 23, -15, 31, 16, -7, 47, -12, 3, 10, 8, -27, -12, 20, 38, -16, 15, 40, 41, 40, 0, -27, 25, 24, 1, -16, -1, 7, 9, 2, -42, 0, 20, 19, -10, -9, -15, 37, -22, 38, 30, -34, -44, -15, -22, -2, 24, 10, -41, -44, 17, -45, -11, 2, -41, 9, 2, 15, -8, 43, -7, 43, -9, -12, 1, -51, 1, 3, 6, 6, -24, -9, -72, 5, 46, -13, -34, 60, 2, 18, 37, 4, 23, -31, 28, -1, -46, 1, 7, 39, -10, -5, 10, 16, -40, 48, -6, -22, -7, 29, 7, -65, -12, -21, 14, 34, -38, -23, -3, -48, -9, 10, 32, 29, 35, 3, -16, 4, 3, 32, 33, -42, 12, -45, -23, 8, 6, 39, -25, 15, 21, 31, -17, -9, 41, 36, 31, 27, 0, -30, 30, 38, -19, -27, 29, 35, 29, -10, -8, 20, -29, -39, 22, 21, 17, -32, 29, -12, -5, -26, 34, -22, -30, 39, -44, -45, 10, 47, -18, -2, -32, 43, -22, 4, -27, 24, -10, -15, 43, -6, 8, -38, 25, -15, -11, -7, 35, -4, 25, -16, 16, 20, 50, -30, 19, -3, -16, 39, -26, 22, -28, 22, 8, -26, -11, -9, -29, 8, 10, 5, 3, -5, -22, -21, 30, 31, 26, 24, -15, 44, -11, -1, -42, -15, 15, 27, 26, -19, -19, 12, 10, 41, -4, 4, 15, -27, 4, 4, -16, 29, -7, -2, -5, -12, 31, -33, -27, 9, 33, -23, -4, 23, 14, 18, 0, -5, 33, -10, -6, -15, -30, 19, 30, -27, -10, 35, -37, 32, 5, 2, -5, -4, 18, 39, 28, 38, -12, 37, -22, -34, 1, 0, -19, 12, -28, -15, -19, -1, 11, -23, -5, -8, 6, -5, 40, 9, 36, -22, 40, 43, -3, -28, -26, -8, 0, -4, -38, -5, 27, -27, -31, -32, 15, -8, -41, 1, -18, 39, -36, -32, -15, 5, 8, 14, 1, -15, -35, 13, 9, 24, 3, -21, 36, 5, -16, -25, -27, -2, 8, 37, 22, -39, -26, -24, 32, 9, -14, 38, 12, -16, 16, 24, 5, -31, -7, 18, 19, 3, -18, 52, 36, 5, 6, -29, -10, -16, 30, 31, -5, 12, 47, -7, -46, -7, 2, -42, 5, 28, -6, 25, -8, 30, -34, 4, 30, -24, 37, 2, -11, 18, -51, -27, -8, -55, 26, -28, -14, 9, -33, -21, -4, 19, -11, -19, 35, 28, -29, 20, -9, -41, -20, 14, 34, 13, -41, 13, -31, 20, 31, -20, 31, -11, -7, 9, -31, 19, -53, -1, 28, 7, -36, 18, -17, 15, 3, 8, -27, 16, 18, 11, -32, 24, -42, -23, -1, 12, -41, -20, -2, 27, -3, 2, -4, 42, 38, 34, 36, -9, -23, -27, -21, -32, 5, -9, -24, -6, 33, -40, 16, 24, -20, -20, -37, 18, -44, -25, -1, -41, 18, 3, -9, 14, -20, -38, 11, -28, 39, -9, -45, 37, 54, -16, -31, -30, 12, -12, -16, -46, 12, -12, -35, 32, 6, 21, 9, 24, -4, -25, 36, 3, -26, 25, 53, 49, -33, 3, -6, 9, -30, 11, 34, -24, 38, -1, 37, -29, -29, 34, 33, 48, 51, 1, 46, -52, -33, 37, -34, 9, 43, -6, 29, -27, 0, 21, -13, 15, -27, -28, -30, 11, 38, 12, -32, 19, 29, 32, -22, 46, 14, -6, 43, -16, 9, 31, -28, 16, -41, 5, -1, 9, 37, -13, 13, -7, 24, -14, -8, 32, 47, 10, -29, -14, 18, 20, -38, 11, 4, -33, 8, 31, 13, 35, -45, 9, -41, -38, 3, -32, 8, 20, -51, -17, -5, 38, 39, 20, -12, -16, -37, 3, -32, 42, -2, 4, 50, 38, 35, 39, -18, 24, -14, 4, -30, -6, -15, 2, -18, 11, 35, 3, -39, -37, -33, -85, -15, -18, -30, 39, 0, -14, 19, -11, -8, 0, -51, -24, 11, 22, -8, -14, -34, -39, -40, 8, -14, -11, -21, -31, 6, -16, -18, -3, -41, -15, 1, 16, 42, -32, -12, -35, -39, -7, 9, -22, 6, 24, -14, 8, -39, 7, 10, 14, 27, 24, -5, 2, 6, 9, 10, 8, -10, 9, 12, 13, -8, 39, 33, -6, -47, 18, -68, -19, -2, 18, 13, -13, 3, 46, 48, 47, 6, -4, 19, -32, -29, 5, 31, 23, -7, -15, -20, 12, -23, 27, -20, 8, 0, 0, 33, 17, -31, -48, 4, -22, 1, -22, 25, 4, 2, 29, -31, -12, -26, 38, 47, -5, 2, 25, -31, -10, -32, -11, 3, 4, 1, -25, 0, -20, -18, 20, 11, 9, -33, 17, 1, 15, 39, -61, -44, 7, -31, 15, 22, 1, 22, 34, -35, 26, -59, -46, -15, -50, 4, 7, -1, 21, 3, 29, 25, 35, -14, -9, 16, -34, -52, 3, -44, 45, -27, 29, 40, -35, -7, 20, -82, 35, -3, 4, 37, -16, 22, 18, -49, -35, -7, -17, -10, 45, 9, -9, 19, 59, 22, 31, -34, 7, 38, 39, 17, 41, 2, 9, -1, 39, -3, 18, -2, 24, 24, 19, 9, -34, -34, 25, -25, -54, -17, -32, 8, 4, 25, 29, -37, -51, -22, 9, -5, 76, 30, 5, -17, 28, 4, -59, 38, -48, -39, -39, -25, -11, -36, 2, 4, 24, 105, 33, 3, 16, -32, 56, 22, 2, 39, 58, -9, 14, 3, 4, -40, -26, 0, -1, 6, -2, 14, -5, 10, 11, 14, 2, -21, 45, 6, -29, -31, 7, -54, 6, -10, -5, 1, -36, -8, 0, -23, -21, 28, 56, 8, 22, 35, -7, 16, -51, -31, -19, -41, -4, 26, -48, -55, -51, -68, 22, 21, 24, 2, 14, 22, -11, -40, 53, -69, -36, 14, -45, -18, -13, 4, 0, -11, 44, -17, -18, -16, 12, 25, -19, 8, -51, 28, 21, 15, -27, -23, 32, -17, -52, -60, 35, 43, 13, 38, -34, -34, 21, 20, -9, -25, 19, -15, -7, 15, 10, 23, 2, -37, 1, -46, -18, -26, 6, 46, 41, -28, 33, -5, 25, -25, 70, 20, -12, -10, 42, -34, -44, -50, 38, -12, 5, -17, -46, 35, -26, 15, 27, -15, 62, 25, 20, -39, 30, 10, 44, -40, -16, -24, 21, 30, -1, -21, -47, 3, 25, -37, -28, 14, -22, 10, 8, -13, 3, 33, 12, 28, -40, 49, -14, 6, -4, -10, 14, 10, 39, 11, -17, 0, 15, -19, -6, -15, 21, 16, -52, -25, -31, -23, -30, -46, -30, 22, -2, 26, -1, 1, -10, 7, 31, 28, 22, -28, -9, 17, -38, 51, 27, 53, 41, 38, -46, -63, -58, -54, 54, 50, -14, -17, -30, 26, 22, -26, 34, 42, 33, -33, 44, -33, 40, 0, -14, -2, 15, 33, -20, 27, -39, 44, -8, -42, -34, -33, 38, 20, -17, -30, -50, -45, 20, -22, 27, -6, -33, -16, -25, -40, -69, 11, 18, -34, 0, 19, -14, -43, 15, 23, -41, -1, 6, -41, 11, 31, -16, 35, -17, 31, -47, 0, 2, -56, -72, 1, -37, 49, -35, -33, -43, -66, -24, 6, 18, -21, 15, 34, -23, 1, -17, -31, -14, 9, -15, 9, 12, -19, -17, 25, -8, 7, -37, -21, -43, 2, 33, -39, -36, -57, -25, -10, -8, -11, 33, 0, 41, -32, 3, 52, -6, -35, -34, 19, -4, -26, 46, -14, -24, 11, -43, -16, 26, -44, 0, 43, -3, 4, -2, -17, -72, -35, -36, 18, -8, 54, -19, 48, -39, -47, 3, -7, 29, 12, -3, -39, -29, -30, 20, 7, -29, -44, -16, -22, 13, 0, 11, 14, -2, 13, -26, -65, -2, -15, -88, 30, 75, -48, -1, -19, -41, 7, -36, -4, 1, -21, 19, -20, -15, -12, 45, 8, -7, -17, -10, -13, -1, -6, 33, 2, -40, 37, 15, -6, -29, 25, -34, -10, -50, 33, 31, -33, -34, -38, 0, -23, -4, 11, -24, 20, -38, -18, 3, 25, 5, 32, -21, -4, -18, 42, 42, -23, 15, 54, -63, 2, -8, -80, 80, 47, -81, 20, -46, 4, 36, -6, 54, -35, -29, 82, 24, -21, 9, 5, 39, 29, 5, -28, 28, -50, 28, 8, -42, 40, 19, 5, 4, 20, 3, -11, -22, 5, 8, 12, -6, -25, 20, -4, 11, 29, -30, -49, -12, -35, -43, 29, 44, 53, -20, 25, 43, 3, -4, 22, -23, -45, -5, 0, 17, -11, 15, 52, 34, -7, -25, -14, -36, -18, -13, 18, 16, 21, 6, 4, -5, 24, 35, 10, -14, -25, -26, -27, -46, -34, -8, 12, 27, -12, -49, -29, -44, -15, -25, -18, 41, -8, 28, -5, 4, 12, -7, 14, 39, 4, -16, -23, -20, 32, -32, -12, -19, -11, -16, 6, -10, 44, 4, 21, -14, 36, -2, 28, 26, 13, -9, 18, -1, 25, -35, -52, -19, -2, -16, -3, -3, -11, 19, -9, 46, 6, 17, 33, -19, 48, -7, 6, -39, 2, -33, -18, -6, -17, -38, -20, -61, 49, -42, -57, -10, -30, -62, 69, -20, 21, 30, 15, -28, 42, -45, -8, 36, -16, -47, 26, 35, -19, 20, -32, 21, 115, 48, 3, -27, 50, -18, -22, -59, -19, -23, 22, -16, -2, -44, -37, -19, 20, 10, -33, 1, -13, -80, -28, -4, -53, -56, -10, -63, 13, 2, -31, -14, -2, -28, 16, 3, -7, -25, -31, 63, -43, -53, 0, -36, -45, 31, -5, 5, -54, 8, -15, 61, -13, -31, 62, -9, -13, -4, -47, -26, 26, -20, 5, 32, -5, 15, -2, -20, 21, 10, -21, 26, -35, -21, 13, 29, -15, 20, 31, -16, 49, -25, 76, -17, -29, 5, 1, 45, -33, -52, 39, -65, 5, 8, -71, -21, 7, -49, -6, 4, -20, 24, -14, -26, -45, -46, 48, -29, -61, -11, 33, 42, 31, 21, -53, -15, 34, 20, 12, -1, 41, 12, -39, -37, -9, 10, 23, -11, -5, 24, -24, -4, 6, 37, -12, -64, -24, -41, 37, 8, 49, 4, -18, 49, 42, 17, -55, 10, 42, -23, -25, 44, -11, -31, 9, -7, -46, -6, -29, -72, -18, -45, -58, -67, -21, 36, -29, -73, -35, -3, -48, -54, 45, -4, -44, 1, -30, -35, -18, -6, 35, 25, -18, -21, -25, 19, 14, -12, 32, 23, -21, -18, -30, -34, 0, -33, -8, -28, -19, 27, 36, 24, -35, -15, 11, 5, -39, 42, 2, -12, 5, -34, 6, 2, -17, 28, -20, 16, -9, 18, -4, -3, 40, -3, -39, -29, -23, 11, 5, 4, 42, -12, 33, -46, 22, -44, 26, -23, -19, 10, 31, 11, -5, 14, 26, 16, -52, -43, -8, -42, 21, 56, -15, 48, -12, 11, 14, 27, -15, 12, 38, 56, 38, -19, -3, 49, 3, -30, -5, 40, -21, 8, -10, 11, 13, -31, -56, 30, -49, 29, 26, 46, -31, -39, 51, 29, -28, 14, 4, -19, -5, 26, 2, -10, 45, -29, -14, 26, 46, 33, 17, -14, -13, -51, -15, -17, -69, -69, 39, 26, -26, -5, -22, -14, -22, -66, 18, 17, 17, -27, -27, 21, 18, -57, 26, 47, 35, -2, 34, -27, 12, 32, 13, 22, 34, 28, 23, -2, -5, -12, -9, -32, 57, 1, 4, -32, -10, 14, 0, -67, -40, -72, -53, -27, -29, 0, 9, 66, -5, -47, 5, 33, 14, 17, 6, -57, 31, -4, 33, -19, 20, -36, -21, -28, 9, 29, 15, 52, 30, -8, -3, -38, -7, 26, -11, -5, -22, 8, 7, 0, 33, -8, 21, -18, 19, 46, -21, -25, 11, -5, 1, 12, 10, -29, 10, -14, -12, 26, -68, -23, 65, 21, -33, 12, -12, 28, 22, 12, 9, -30, -23, -41, -5, -19, -2, 38, 22, -41, -27, 14, 34, -18, 34, -29, 17, -35, 11, 25, 23, -10, 43, 25, 0, 42, -8, -3, -37, 27, -44, -18, 39, 33, -36, -19, 20, 23, 16, -24, -40, 16, -36, -34, -27, 42, -10, 33, -6, 2, -29, 26, -14, -9, 25, -17, -33, -27, 13, 6, -19, -22, -18, 28, -5, 22, 28, -42, -31, -29, 27, -47, -35, -18, 7, -14, -36, 12, -8, 22, -11, -25, -7, 18, 8, 40, 9, -42, 39, 26, 20, 28, -40, -24, -19, -2, 34, 15, -42, 30, 28, 3, -29, -26, -48, 4, 22, -39, 5, 40, 27, -7, 12, 31, 17, -12, -48, -23, -2, 11, -9, 39, -3, -30, -24, 21, -45, -20, 40, 8, -23, -30, -17, -6, 30, -33, -10, -6, 13, -6, -11, -8, -26, -19, -40, -24, 15, -30, 44, 25, -1, -23, -38, -28, 4, 21, -21, -33, -52, -14, 9, 31, 24, 26, 11, -41, 11, -16, -41, 5, -15, 5, 16, 20, -47, -5, 17, -25, -1, 18, -38, -26, 37, 23, -8, -18, 4, 13, 45, -13, -35, 25, -27, 21, 27, 41, -17, -28, -13, -27, 9, 1, 28, -44, 19, 11, 4, 36, -37, 32, 33, -10, 30, 48, 18, 25, 9, -14, -10, -39, -33, 22, -23, 0, 18, -38, -23, 15, -24, 27, 10, -6, -20, -42, 6, 2, -43, 19, 9, 27, 9, 19, 19, -37, 14, -39, -20, 13, 30, -23, -17, 13, 20, 9, -34, 38, -36, 21, 34, 42, -37, 27, -21, -2, 15, 25, 9, 28, -31, 5, 4, -7, -27, 29, -38, 36, -35, -24, 35, -44, 17, -33, 14, -1, 35, -21, 19, -7, 1, 35, 39, 25, -16, -11, -40, 34, 18, 35, 35, 15, -42, 14, 25, -19, -12, 22, 11, 20, -5, 3, -5, 21, -39, -19, -21, 15, -12, -38, 15, -18, 10, -39, 34, -41, 37, -11, -18, 38, 47, -2, 1, -26, 17, 36, 41, 27, 31, -6, -14, -4, 5, -2, -42, 31, -13, -10, 24, 41, -17, -21, 30, 36, -26, -37, -29, -39, 7, -20, -8, 20, 35, 13, -41, -21, -42, 34, -31, -13, 14, 23, 1, -14, 8, -35, -33, -29, -36, -19, 29, -47, 28, -15, 24, 7, -3, 10, -5, -29, 43, -10, -26, 30, -29, 24, 42, -41, 34, -25, -15, 28, -3, -3, 9, 14, -31, -44, -27, -35, -19, 20, 43, -9, 9, -2, 10, 18, 20, 3, 37, 3, -36, -27, 21, 32, -21, 11, 29, 3, -10, -3, -18, -26, -20, 29, -17, -17, 41, -3, 32, -41, 39, -51, 20, -30, 26, 20, 27, 42, -28, -2, -46, -14, 5, 33, 2, -46, -18, -6, 38, 43, -42, -3, -17, -9, -13, 22, -35, 20, 18, 21, -1, -1, -48, 6, -10, 33, -41, -36, -8, -18, -43, -8, -43, 2, -43, -35, 14, 20, -40, -36, -6, 15, 6, -40, -19, 36, 26, -35, -36, 38, 14, 25, 20, 4, -16, -12, 4, 28, 24, 27, -31, 30, -27, -23, 37, 5, -24, -23, 39, 25, 19, 39, 40, 21, 6, -2, 8, -20, -27, -47, 39, 2, -18, -34, 31, 8, -35, -26, 27, -38, 23, -28, -22, 11, -26, 34, -6, 14, -14, 32, 0, 43, -7, -19, -35, 15, 22, 33, -15, 5, 20, -22, -40, 40, -3, 38, 27, -21, 17, -22, -38, 13, 13, 32, -45, 23, 31, -26, -43, 21, -23, 35, 17, -1, 25, -20, -21, -32, 17, -2, -34, 21, -46, 17, 20, -46, -23, 29, 17, -30, 40, -3, -25, 35, -34, 18, 28, -1, 31, 13, 14, 37, 40, -20, -35, -32, -18, 2, -19, -42, 22, -33, 10, -32, -13, -22, -47, -50, -47, 20, -23, -1, 32, -31, -26, 37, -17, -13, 9, 35, 16, -23, 32, -9, -28, -21, -19, -40, 37, -43, -45, -25, 15, 50, 27, 22, -42, 15, -22, 7, -18, -1, 12, 18, -8, -11, 18, -10, -1, -40, -45, 7, 18, 32, -1, -29, -8, 17, -40, 31, 37, 39, -39, -22, -7, 36, -46, -30, -20, -4, -1, -22, -44, -3, 38, -2, 17, -13, -42, -32, 25, 35, 29, 20, -13, -31, -3, -4, -42, 8, -20, -27, 36, -27, -32, 32, 21, -1, -37, 31, 0, 3, -9, 42, -42, -34, -19, -41, -36, -16, 10, -34, 32, 59, 24, -10, 3, -37, 44, -35, 38, -34, 32, -36, -18, 10, 32, 0, 18, 12, 24, -38, -39, -15, -11, 20, 43, 4, 21, -18, 2, 7, 41, -28, -6, -17, 38, 11, -34, -32, 5, -26, -5, 0, 22, -38, -18, -23, 10, 31, -29, -14, -26, -6, 2, -1, 7, 44, 24, -27, -14, 14, 24, -4, 13, -34, -42, -50, 28, -39, 32, 23, -35, -15, -37, -11, 23, 9, -44, 3, 13, 5, -31, -36, -25, 47, -18, 8, 8, -10, 28, -36, -10, 3, 2, 20, -35, 28, -18, -38, -46, -25, 39, 22, 24, 32, -13, 6, 44, -2, 32, 39, -38, 40, -18, 38, -37, 37, 15, 23, -44, -9, -33, -33, -6, -3, 37, -27, 40, -3, -8, 39, 1, 3, -45, -40, 0, 27, 0, 34, -37, 40, 7, 22, -18, 29, 30, -29, -38, -1, -8, 4, -9, 15, 34, 36, 2, -18, -34, -31, 19, 24, 8, 26, -34, 6, -3, -27, 21, -3, 7, 39, -41, 9, -13, 5, 31, 3, -23, 43, 29, 40, 28, -26, -2, 13, 7, 1, -18, -29, -23, -10, -19, 6, 26, -1, 33, -32, 40, 46, 23, -40, 13, 16, -4, 28, 33, -18, -4, -36, -32, 37, 13, -13, -21, -31, 44, -14, 27, 23, 14, -20, 34, 16, -9, -16, -34, 12, 6, -5, -20, -42, 16, 30, -36, -35, 5, -18, -37, -30, -10, 13, 5, -15, -10, -19, 2, -20, 3, 8, 31, 30, -7, -48, -35, -19, 24, 20, 32, -32, 29, -24, -15, -34, -1, -44, 35, -24, 8, 10, 25, 39, 2, -8, -4, -26, 25, -23, -13, -14, 48, 12, 39, 9, 27, -13, 10, 0, 3, -24, -3, -23, 24, -8, -45, 40, 8, -8, -45, 37, -8, 19, -17, 27, 15, -39, -20, -44, -31, -30, -32, 36, -28, 20, -15, 12, -20, 30, -22, -20, -26, 21, -6, -40, -26, -11, -31, 31, 24, 32, -4, 45, 13, 14, -18, 23, 12, -26, -5, 8, -34, 27, 13, 2, 5, -9, -10, -36, 37, -37, -26, 22, -35, 31, 1, -3, -14, -10, -24, 20, 32, -23, -3, 1, -37, 14, 26, 15, -33, 21, 42, 12, -24, -16, -14, 1, -32, -36, 30, 43, 13, -24, 17, -42, -44, -18, 35, 22, 17, 22, -40, -32, 45, -33, -17, 3, -28, -46, -7, -16, -24, -49, 7, 0, 17, -26, -29, 20, -10, 0, -2, -40, 12, 17, -14, 14, 20, 33, -37, 24, 35, -23, -31, 13, 19, 35, -45, 2, 28, -40, 13, 22, -4, -5, -25, -18, -20, 38, -6, 32, 37, 19, 3, -10, -2, 8, 2, 22, 37, -16, -40, 40, 41, 31, 40, 0, 14, -5, -25, 7, -45, -3, 11, 20, -32, -26, 44, 35, -22, -14, 33, -36, -24, 5, -40, 6, -7, 18, -5, 26, 23, 2, 0, -44, 34, 13, -27, 44, 29, -13, 57, 26, 24, 4, -21, -5, -45, -10, 40, 30, -42, 9, -1, 12, 35, -7, 42, -38, -18, 39, 26, 17, -9, 33, -4, 39, -23, -19, -23, -52, 6, 27, -30, -16, -32, 1, -35, -32, -9, -31, 15, -28, 8, 30, 3, -19, 16, 48, 17, -20, -1, 33, 13, -15, -45, -23, -42, 29, 19, 3, -19, 10, 20, 43, 34, -16, 13, -43, -34, 30, 9, -32, 4, 15, 44, 12, -11, 23, 27, 2, -12, 8, 26, -9, -28, -23, 31, 31, -17, 38, -16, -32, 16, -3, 36, 28, -37, -4, 24, 10, 17, 42, -19, 19, 52, -21, -26, 48, 7, 34, 6, 20, -35, -9, -7, -5, 37, 37, 43, 46, 1, 15, 15, 3, 27, 32, 14, -21, -6, 36, 25, -35, 27, -12, -54, -46, 36, -6, 26, -35, 55, -13, 28, -11, 28, 4, 41, -10, 37, 29, 38, -43, 22, -9, 5, 12, 15, -2, -20, -2, -28, -29, 17, -12, -2, 25, 5, -35, -1, -25, -39, 35, -8, -9, 47, -21, 25, 6, -51, 19, -16, -38, 33, -45, -29, 16, -19, -33, 25, 43, 29, -27, -22, -23, -15, 18, 8, 31, -31, -38, 3, -30, 17, -31, -33, 15, 16, 12, -36, -36, -30, -2, 9, -23, 40, 42, -5, -34, -38, -6, -27, -23, 15, -26, 16, -52, -34, -6, -3, 17, 7, 26, -13, 45, -31, 15, -27, -38, -15, 20, 19, 22, -21, -50, -18, -41, -2, -36, 2, -50, 11, -13, 12, -36, 36, 18, 24, 7, -23, 8, 1, 3, -2, -19, -42, 44, -4, 9, -33, -39, 7, 19, -18, -17, 20, 34, -35, -14, 19, 8, 20, -10, 30, -19, 26, -6, 20, -28, -25, -3, 48, 4, 32, 15, -2, -18, -38, -14, -35, -56, 6, 1, -59, -47, 23, 16, 23, 24, 30, -11, 32, 19, -32, 18, 23, 3, -17, 34, -2, -35, 24, -40, -43, 23, -22, 21, -14, 3, 30, -28, 42, 62, 18, -7, -24, 35, -46, 26, 21, 24, -47, 50, 18, 20, -5, 45, -34, -7, -24, -15, 21, -32, 29, 32, -15, 14, 0, 41, 37, 19, 10, -19, -2, 11, -40, 33, -33, -28, -25, -13, 32, 14, 46, 19, 12, -28, 26, -69, -56, 1, 16, 28, -55, -21, -9, -13, 32, -32, -50, 8, -11, -25, 2, 7, -9, -57, -21, -44, 8, 13, -26, 39, 10, 27, 20, -21, -9, 0, 38, 30, -12, -1, -22, -21, -20, 26, -11, -23, -8, -16, 41, -10, 1, -14, 30, -14, 1, 24, -20, 5, 15, 35, -17, -22, -10, 46, -43, -9, 19, 5, 0, 25, -12, 3, -30, 41, 25, 33, -3, 8, 29, 27, 8, -41, 7, 26, 39, 47, -44, -17, 34, -35, -40, 48, -6, 26, 44, 0, -40, 4, -24, 23, 17, 4, -45, 36, -13, -38, 14, 28, -9, 16, 13, -8, 2, 26, -43, -32, -18, -35, -35, -34, 6, -38, 32, 13, 27, -8, 5, 20, -15, 14, -30, 45, 36, 14, -30, -19, -33, -19, 15, 14, 7, 36, -6, -11, 2, -7, 16, -29, -44, 28, -29, -23, -15, -14, -10, 2, 28, 3, -21, -9, -29, 39, -21, 20, 25, -40, 22, -11, -32, 7, -2, -21, -47, -38, 21, -6, 35, -25, 39, -38, -35, 25, -16, -4, 3, -25, 37, -2, -15, 9, 1, 38, 21, 5, 18, 44, 33, -33, -38, -32, 4, -14, 32, -26, 27, -42, -39, 33, 56, -14, -37, -28, 12, -36, 9, 30, 2, 33, 31, -35, -2, 4, -13, -31, -33, -23, -29, -13, -27, -23, 8, -27, -47, -2, -10, -11, 23, -12, -4, 3, 39, -13, 21, -18, -16, 35, 8, 45, 11, -1, -7, -21, 8, -20, -1, 47, -12, -32, -15, -9, -3, 25, -44, -39, -16, -37, -22, 5, -13, -28, 25, -11, 4, 12, -42, -9, -13, 4, 37, -10, 19, -41, 23, 28, -26, 20, 17, 43, 31, 37, -48, -27, 28, -51, -18, 31, -9, -49, -31, -33, -10, 21, -7, -18, -38, 34, -12, 12, 13, 22, 14, -45, 37, 43, -23, 14, -3, -15, -13, 28, 31, -36, -38, -25, 11, 32, -43, -16, 41, -3, -28, -2, 1, 38, -37, -24, 47, -18, 32, 15, 9, 0, -1, 1, -36, -33, 49, 32, -11, 18, -50, -31, 10, 38, 11, -9, 27, 32, 30, -20, -11, 36, -20, -3, 40, 23, -2, -8, 48, -27, -24, 13, 58, -16, -33, -21, -17, -9, -16, -39, -4, -6, 32, -3, -28, -13, 28, 33, 45, 5, -34, 9, -25, 4, -19, 35, -36, 38, 15, 22, 1, -7, -16, -41, 26, -10, -25, -38, 34, 6, -29, 17, 2, -5, 22, -18, 47, -43, 5, 4, 2, -15, 23, -25, 43, -23, -27, -4, 6, 29, 5, 14, -6, -16, 1, 0, -43, 28, 33, -34, -38, -9, 10, -44, -1, 31, -15, 14, 21, 33, -55, -31, 0, -37, -49, 39, -46, 37, 37, 44, 3, 22, -17, -1, -1, 2, 16, -36, -22, -38, -15, 20, -14, -1, 10, -37, -21, 15, -12, 29, -37, 23, 24, -12, 50, -21, -20, -1, 19, 15, -7, -31, -15, 7, 21, 30, 27, -9, -3, -42, -23, 16, -12, -6, 18, 8, -31, 27, 15, 18, 19, -42, 16, -13, -3, 15, -10, -13, -49, -33, 16, 36, 9, -23, -16, 14, -19, 36, -18, -43, 13, 18, -38, -6, 0, -14, -11, 15, -21, -24, 29, -11, 36, -1, 21, -45, 32, -18, 32, 12, -26, -22, -39, 14, -11, 27, -37, -14, 35, 4, 40, 50, 52, 50, 29, 39, 0, 0, 21, 60, 2, 15, 50, 34, 2, 10, -7, 33, 1, 1, 18, 12, 6, -10, -22, 2, -13, -6, 16, -20, -26, -17, -52, 1, -9, -24, 35, 19, -14, 24, -12, -9, 17, 12, -11, -9, -42, -7, 6, 42, 31, 8, 23, 22, 4, 6, 12, -25, -12, 41, -6, -41, -4, -31, 34, -11, 38, 28, -15, -14, -11, 33, -31, -18, 27, 6, 10, 25, -13, -16, -15, 8, 15, -39, -57, 2, -30, 33, 37, 8, 22, -7, -16, -18, -43, -16, -22, -41, -51, -19, -35, -31, -13, -12, -14, -32, -48, -33, 22, 35, -19, -9, 27, -7, 29, -26, 19, 37, -27, -21, 16, 32, 13, -2, -19, -28, -40, 18, 37, 18, 30, -3, -21, 33, -41, 47, -9, 38, -37, -32, 27, 10, 39, -47, -8, -15, -50, -25, -24, -16, -27, -10, -12, -39, -6, 22, -38, 32, 38, -38, 9, 23, -14, -25, -14, 4, -21, 6, -29, -37, -7, -45, 18, -23, -23, -22, -14, -29, -40, -29, 43, -24, 34, 37, 40, 29, 48, 4, -2, -34, -9, 3, -10, 38, 15, 51, -1, -7, -48, -16, -10, -8, -6, 20, 21, -24, 32, 10, -35, 46, -34, 5, 5, 30, 26, -39, 29, -1, -39, -40, -20, -37, 23, 15, -53, 15, 29, 27, -15, 24, -11, -19, 0, 47, -37, -7, 6, -24, -14, -35, 7, 18, 0, 24, 25, 1, 3, -62, -10, 18, -29, -22, -8, 39, 16, 19, -22, -23, 9, -26, -3, -15, -30, -38, 7, -10, 14, 31, -19, -47, -22, -29, -24, -30, -38, 40, -19, -26, -23, -18, 0, -1, -4, -10, -11, 9, 3, -22, 27, -8, -14, -47, 30, -28, 25, 71, 49, -25, 58, 10, -5, -8, 7, -70, -10, -21, -13, 3, -38, 2, -42, -49, 13, 30, 0, -9, 29, -32, -3, 5, -49, 34, 61, -45, -4, 21, -10, 22, 5, -27, -26, 10, 26, -18, 38, 4, 2, -33, 8, 24, -36, -27, 28, 31, -8, -8, -12, -28, 22, 60, 22, -21, 23, -31, -8, 35, 20, -28, 0, -10, -6, 5, 28, -37, -2, 15, -18, 22, -10, -29, 25, 2, 42, 37, 43, 14, -46, 35, 21, 26, 17, 24, 4, -47, 31, -49, -25, -45, 29, 37, 38, -30, 22, -37, -15, 9, 11, 22, 20, -40, 27, 40, 20, 33, -12, 37, 40, 46, 25, 10, -46, -4, 53, -29, -35, 29, -15, -4, -21, -22, 18, -28, -14, 40, 43, 23, -7, 4, -4, -13, 39, -9, -36, 18, 43, 21, 27, -13, -30, -8, 27, 44, 14, -28, -1, -20, -22, 39, -47, -10, -50, -13, -1, -8, -47, 16, -58, -34, 34, -47, -54, 20, 31, -42, -1, -32, 16, 21, -60, 23, -12, 30, 22, 28, -40, 7, -3, 20, -33, -18, -27, 8, 12, -11, -9, 27, 4, -6, 22, 45, -41, -21, -43, 26, 41, -21, 20, 39, -53, -14, -16, 22, 34, 26, -34, 33, -2, -1, 12, -7, 0, 23, 1, 3, -4, -11, 36, 46, 3, 28, -29, -16, -19, -29, -17, -30, -3, -41, -42, -11, 17, 27, -49, -34, 24, -57, -24, -45, 35, 23, -3, -6, -43, 25, -10, 17, 6, -10, 36, 18, 21, 15, 2, 59, 8, 40, -17, -27, -1, 35, -6, -12, 25, 30, 14, -43, 28, -41, -20, 35, 18, 19, -42, 42, -9, 12, 8, 5, 15, 60, 0, -46, -33, -39, 24, 32, 44, 0, -55, 6, 16, -71, -8, 16, -18, -64, -16, -50, -53, -41, -7, -25, -45, -4, 5, -52, -61, -8, 1, 9, -30, 13, 25, -19, -23, -31, -28, 14, 24, 13, -2, -1, -36, 16, 26, 17, -2, 36, 52, -29, 42, 26, -41, 47, -14, 2, 51, 14, -2, -28, -36, 7, -28, 9, -20, -36, -17, 26, 15, 8, 13, 37, -21, 9, 11, 2, 0, -24, 29, 6, -23, -15, 38, -7, -21, 7, 35, 40, -6, 34, -3, -21, 31, 19, 13, -42, 17, -40, -27, 4, 42, -41, 21, -2, 13, 32, 15, -22, -40, -24, -32, 27, -10, 45, 11, -23, -12, -13, 44, -9, -4, 26, 19, 4, 1, 29, -18, 3, -1, 5, -39, -21, 22, -20, 43, 35, 37, -43, -42, -19, -7, 0, -36, 34, -32, -27, 4, 70, -17, -4, 5, -30, 24, 45, 21, -23, 9, 24, 35, -8, -29, -8, -34, -41, -44, -11, 47, -46, -7, 22, 27, 30, -22, -45, 1, 22, -14, 7, 34, -6, 23, -22, 20, -1, -42, -2, 1, -12, 10, -5, 37, 3, 52, 37, -4, -47, 30, -12, -22, -12, 13, -28, -9, -34, 19, -1, 3, -15, -39, 18, -38, -41, 17, 36, 18, -11, 17, -15, 46, -18, 24, -18, 13, 39, -50, -37, 17, -37, 33, 16, 8, -4, -4, -38, -16, 29, 31, 11, 42, -12, -7, -12, 3, -3, 27, -17, 39, -12, -18, 34, -12, 39, -23, 6, -22, 12, -5, -36, -16, -51, 54, 21, -22, 23, 16, 2, -22, 16, 26, 62, -5, 26, -13, 9, -27, -42, 12, -4, 25, 44, 23, 31, -11, 22, -11, 1, -33, 3, -8, 22, -34, -35, -35, 43, 34, 33, -2, 28, 23, 4, 4, 24, -4, 17, 55, 6, 36, -3, 45, -32, -14, -2, -36, 39, -36, 2, -22, 38, 35, 34, 15, 38, -22, -15, 26, 28, -27, -26, 32, 9, -55, 7, -30, -9, 42, 4, 5, 12, -32, -23, 28, 19, -30, 34, 40, -8, 10, 33, 15, -15, -4, -2, -41, -18, 42, 37, 61, 44, 46, 40, 11, -20, 35, 43, -43, -2, -27, -6, -13, -48, 33, -34, 8, -37, 19, 14, 27, 33, 1, 58, 24, -15, -25, 16, 4, -19, 43, 41, -14, 55, 35, -14, 52, 27, 5, -59, -14, -64, -17, 2, -13, 16, 9, -21, -43, -30, -32, -24, -48, 11, -48, -16, -1, -16, -27, 14, 3, 27, -46, -29, 42, -33, 22, -15, 27, 8, -11, 42, -6, -4, 37, 11, 23, 29, -40, 5, 22, -22, -68, -25, 31, -29, -22, -24, 9, -5, 31, 18, -25, -12, 7, -46, -2, 14, -24, -21, -12, -23, -2, 5, 31, -24, -24, -15, 18, -2, -35, 14, -45, 20, -29, 29, -31, 27, -9, -9, -32, 10, 36, -38, -5, 17, -21, 8, -29, 16, 10, 11, 7, -20, 1, -38, 14, 17, -28, -19, 16, 15, 12, 34, -37, 35, -33, 4, -4, -27, 10, -15, 37, 40, 44, 28, -13, -38, -35, 1, 18, -24, -22, -20, 2, -32, 37, -15, 26, 17, 4, 23, 31, -7, 18, -19, -21, -19, -27, 11, 20, -7, 30, -8, -6, -18, 17, 44, -10, 2, 9, 9, 24, 23, -41, -15, 26, 17, -6, 25, -48, 5, -41, -26, 32, 3, -52, 11, -34, 26, -10, -21, -6, -6, -20, -12, -11, 22, -9, -6, -49, -42, 19, 61, 16, 23, 1, 34, -7, 31, 25, -62, -38, 18, 8, -5, 24, -10, 27, 22, -34, -44, -11, -15, -20, 7, 27, -27, 45, 25, 10, -12, -48, 14, -20, -42, -20, -50, -19, 5, 9, 26, 3, -32, -1, 10, 10, -35, 31, 21, 42, 55, 50, -9, -6, 21, 34, -40, -42, -11, -17, -18, -1, -7, -41, 20, 31, -51, 41, 27, 1, 32, -59, -33, 37, -20, -12, -6, 22, -27, -21, -27, 27, -35, -6, -36, -24, -51, -31, -3, -27, -3, 37, 45, -8, -7, -43, -19, 33, 13, -29, -9, 24, 17, 29, -30, 47, 19, -15, 53, -27, -19, 28, -2, 48, 2, 35, 37, 15, -17, 14, 21, -7, -34, 50, -17, 8, -16, -19, -18, 7, 10, -27, -48, 13, -33, 6, -47, -16, -48, -56, -15, 12, 10, -19, -20, 20, 34, -3, -15, 28, 11, -38, 32, -27, -26, 52, 6, -27, -22, -39, -6, -33, -36, 9, 4, 9, 64, -4, -21, -2, 15, -42, 3, -6, 19, 25, -7, 40, 38, 19, -21, 37, -30, -26, 15, 16, -39, -35, 9, -1, -21, -37, -15, -42, -39, 14, 9, -27, 31, 41, 0, 44, -5, 41, 18, -38, -8, -21, -21, 25, -2, 16, -27, 13, 6, -21, -7, 7, -18, 1, -23, -24, 18, -51, 33, 10, 7, 52, 40, -32, 48, -20, 12, 8, -9, -26, -24, 3, 27, 21, 5, 19, -11, -8, -37, 41, 33, 2, -18, 14, 17, 15, -31, 6, 31, -16, -15, -36, -7, -12, 37, -17, 15, -21, 33, 3, -29, -46, -48, 7, -45, -30, -8, 20, -6, 12, 37, 26, -36, 2, 34, 1, -17, 31, 49, -23, -8, 16, -9, 22, 30, -42, -6, -27, -37, -7, 20, 17, -56, 12, 13, -8, -22, -10, -12, 27, -25, -7, -33, -2, -19, 25, -31, -25, -16, -18, -14, 23, 28, -37, -18, -48, 14, -11, -2, -2, -10, -39, 36, 12, 32, 27, 33, 12, 6, 0, -33, -9, 1, 10, -21, -25, -37, 20, -20, -22, -43, 1, -18, 33, 20, -1, 31, -39, -19, -53, -18, 5, -49, 19, -49, 3, -40, 2, -22, -27, -17, 28, 40, -41, -5, -45, -12, 10, -14, 13, -14, 41, 12, 41, -41, -40, -10, 20, 30, 9, -20, 16, -11, -5, 19, 11, -7, 31, -29, -39, -2, 16, 19, 6, 9, 0, 7, -26, 14, 31, 17, -35, 6, 15, -6, 36, -6, -14, -19, -16, -11, -23, -18, 43, -25, 35, -2, -32, 26, -24, -11, 21, -19, 17, -25, -33, 2, -26, -28, -34, -10, 5, -38, 14, -16, -43, 7, -2, -13, -15, -3, -7, -15, -23, -48, -9, -12, 25, 9, 4, -6, 35, 22, -22, 31, -20, -23, -17, 6, 39, 7, -17, -45, -7, -18, 16, 28, 21, -24, -28, -21, 14, 39, 43, 47, 40, 7, 45, -22, 13, -26, -13, 0, -12, -45, 9, -7, -41, -38, -47, 0, -15, 18, 5, -22, 4, 31, 29, -24, 55, 13, 46, -18, 56, -1, 41, -18, 26, -43, 26, -47, 41, 34, -10, 25, -33, -18, -9, -32, 33, 4, 8, -3, -25, -23, -23, 11, 6, 2, 11, 19, 34, 19, 28, -37, 32, 42, -10, 41, -12, 21, 8, 32, -4, -1, -9, -48, -47, 22, 35, -19, 16, 7, -14, -27, 25, -30, -11, -26, -27, -41, -42, 33, -29, 27, 7, -29, -18, 18, 7, -29, 2, 8, 21, -28, -17, -14, 8, -16, -26, -36, -2, 18, -6, 6, -50, 3, -13, -7, -6, -15, 5, 31, 4, -24, -28, -7, -21, 15, 4, -2, 27, 22, -33, 5, -35, 31, 22, -8, -14, -31, -7, -22, -1, -10, 23, 29, 17, -19, 5, 8, 27, 26, -44, -11, 39, -28, -25, -45, -9, 14, 19, -4, -19, -48, -2, 17, -33, -17, 33, -41, 0, -26, -39, -18, -24, -5, -6, 41, 21, -3, 16, -2, 1, 13, 38, -13, 20, -37, 6, 35, 18, 0, -27, -40, 31, 5, 8, 13, 0, -34, -19, 13, -8, 8, 29, 9, 18, 40, 2, 12, -5, -13, -24, -45, -20, 13, 20, -35, -23, -29, -23, -23, 3, -1, 4, 27, -2, 44, 27, -29, 26, -6, 1, 6, -29, -27, 41, 44, -26, 11, 35, 30, -21, 42, 11, 7, 6, -14, 33, 23, -10, -45, 19, -9, 31, 36, -14, 10, 46, -20, -33, 17, 2, 31, 13, -36, -35, 8, -13, 44, -26, -39, 22, -17, -38, -51, -43, 30, -29, 21, 39, 3, -30, -21, -3, 30, -25, 21, 11, 25, 19, -28, -28, -19, 28, 36, 36, 22, -12, 5, -14, 17, 44, 30, -30, -6, 29, -45, 8, 23, 34, 28, 7, -53, -7, -7, -32, 7, 40, -1, 1, 31, -5, 24, -36, 18, 43, 36, 19, 35, 18, -29, -43, -29, -8, 23, -14, -27, 15, -19, -19, -37, -3, -33, -21, -3, 18, -45, -17, -7, -32, -44, 15, 42, -23, 13, 0, 55, -14, 4, 36, -40, -20, -20, 28, -25, -25, 27, 16, -20, -41, -27, -4, -47, -19, -47, -5, 28, -31, 15, -26, 42, -24, 20, 1, 12, -8, 6, -3, 15, -13, 19, -8, 7, 6, -7, -20, -42, -41, 20, -17, -40, -27, 36, 1, -43, -19, 17, 34, -20, 10, 41, 5, 4, 25, -2, -24, 42, 17, -40, 14, -8, -35, -18, 20, -11, -43, 4, -28, -41, -45, 34, -36, -2, 8, 15, -4, 28, -14, -1, -23, 39, 9, -6, -45, 7, -36, 10, 10, -13, -28, -7, 35, 39, -38, -28, 31, -45, 11, -37, 19, 54, 11, 52, 15, 17, 24, -42, -24, -53, 2, 6, 12, 38, -17, -26, -2, 45, -24, 19, -54, 1, 5, -40, -43, 24, 21, -2, 25, 42, -25, 14, 4, 6, 15, -37, -1, 32, -20, -1, -23, 25, -4, -40, 50, -4, 0, -11, -32, 24, -41, 28, -25, -5, -33, 9, 33, 27, -27, 38, 32, 17, -16, 36, 30, 43, -9, -20, 16, 34, 7, -16, -31, 10, -4, -14, 25, 59, 33, -4, -19, 11, 11, 14, -13, 1, 10, 19, -4, -18, -40, -28, -46, 33, 7, 37, 19, 27, 18, -30, 2, -21, -38, 14, -34, 22, 29, -12, 39, 25, -19, 47, -28, 25, -37, 38, -1, -28, -16, -14, -20, -29, -32, -40, 37, -41, 6, -46, -29, -34, 36, -27, -48, 9, -25, -17, 8, 20, 42, -37, -22, 7, 2, 25, 21, 7, -16, -14, 39, -44, 5, -34, 28, -23, -47, -34, -35, 7, -40, 1, -38, -17, 50, 51, 11, -15, -38, 48, -43, -11, -18, -29, 15, 36, -32, -32, -5, 11, -41, 39, 36, 2, -30, -6, -42, 17, 34, 32, 17, -31, 15, -17, -26, -12, -38, -16, -9, -2, 28, -2, 41, -13, 5, -19, 9, -21, -16, 28, 1, -11, 3, 31, 8, -22, -36, -8, 10, -12, -34, -41, -7, -15, 0, 32, 4, 34, -20, -5, 36, 0, -4, -9, 43, 33, -9, 3, 20, -30, -33, -42, -39, 4, -1, 29, 26, 41, -11, -17, -45, 13, -22, 25, -27, 19, -29, -34, 14, 22, 16, 34, -4, -14, 11, -20, -40, -26, -3, 27, 14, 8, 10, 47, 19, -37, 13, -15, 25, 23, -27, 17, 2, 15, 55, 8, -51, 51, -22, 19, 3, 50, -2, -14, 1, -36, -8, -46, -16, 5, 31, -2, 24, -17, -21, -28, -34, -27, 16, 5, -26, 36, -8, -35, 13, 45, -28, 17, 4, 9, -11, -35, 42, 1, -28, 9, -29, 14, 22, 13, 12, -2, -14, -43, -9, -34, 50, 4, -39, -57, -46, 32, -36, -16, -37, 38, -16, 36, 7, 40, 19, 41, 3, 6, -39, 16, 37, 32, -11, -3, -48, -6, 43, 0, 27, -22, 34, 26, 26, -24, 24, 22, 21, 30, 37, 28, 15, -4, -35, -12, -17, -14, 0, -19, 24, -22, 8, -4, 37, 22, 14, 36, -26, 6, -41, 24, -47, -42, -64, 0, -24, 22, -17, -13, -39, -33, 20, -8, -8, 26, -6, 35, -1, -25, 1, -41, -16, -11, -25, 8, -7, -38, -35, -33, -3, 20, -1, -17, 38, 16, 48, 31, -6, 6, 14, 12, -49, -6, -25, 29, -18, 42, 0, -28, -14, 18, -11, -11, -23, 47, 36, -16, 34, -11, 10, 13, 40, 45, 6, 35, -28, -33, -32, 13, 0, -31, 33, -29, -31, -30, 28, -12, 8, 24, -45, 44, -25, 6, -25, 17, 17, 1, -23, -9, 0, 3, 31, 23, 33, 0, 27, 40, 26, -44, -38, 44, -7, 22, -31, -43, -46, 16, -23, 36, 7, 47, 42, -3, 30, -41, -44, 32, 20, -1, 8, -36, 11, -25, -13, 44, 15, 37, -21, 20, 1, -24, -21, 30, -29, 3, 34, -3, 29, -46, -26, 34, -13, 30, 19, 25, 23, -3, 19, -8, 33, -21, -19, -30, -39, 11, -10, 32, 10, 7, -33, 37, 40, -43, 10, -5, -2, -2, 12, 33, -36, -8, 44, -9, 6, -27, 24, 18, 19, 9, -71, -5, -24, -5, 36, 13, 32, -17, -40, 7, -39, 31, 12, -22, 27, -28, -43, -17, -25, 14, -8, -34, -37, -7, -1, -9, -31, 33, 8, -18, -29, -23, -44, -39, 3, -34, 14, 6, -43, -5, -6, 27, 6, -28, -37, 5, 19, -6, -47, -48, 14, -32, -31, 42, 4, -15, -38, -28, -29, -5, -6, 13, 23, -12, 45, 13, -19, 12, 48, -12, 30, 28, -31, 2, -17, -39, 2, -10, -13, -12, 22, 28, 15, 52, 29, 10, -22, 8, -31, -20, -18, -33, 34, -21, 3, -8, -12, 14, 34, 16, 34, -6, 35, 7, 55, 39, -11, 19, -1, -37, 37, -14, -16, -41, -11, 8, 47, 12, -16, 39, -1, -39, -36, -37, -3, 15, 21, -13, -27, -34, -16, -5, -19, -2, 18, 8, 10, 13, -11, -34, 36, 24, -42, -39, -7, -7, 12, 25, 9, -31, 17, 30, 18, -14, 38, -15, -19, -27, 0, 15, 28, -18, 57, -24, -4, 12, -57, -37, 37, -10, -7, -47, 43, -17, -17, 9, -55, 17, 34, -47, -6, -19, 18, 2, 21, 18, 2, -5, 17, 5, -22, -15, -22, -7, 35, -5, 23, -32, 19, -8, 15, 22, -41, 43, 11, -10, 32, 9, -44, -28, 38, -8, -10, 4, 14, 28, -30, -19, 11, 14, -5, -18, -26, 35, -30, 9, 22, 25, 32, 30, 21, -8, 33, -16, 36, -25, 24, -48, 6, -41, 5, -35, -32, 33, -4, 18, 15, 37, 1, 28, -6, -41, 32, -35, -46, 15, 8, 7, 37, -35, -30, 34, 4, -13, 5, 12, 21, 1, 43, -4, 17, 30, 41, -2, -32, -4, -67, -28, -18, -34, -24, -23, -46, 17, 6, 6, -38, -37, 6, 14, 13, -1, 33, 23, -6, 0, 41, 6, -10, -3, -32, 19, 19, 32, 30, 23, 27, -39, -11, 12, 30, -27, -36, -22, -7, -43, 18, -28, 45, 35, -21, 41, 20, 17, 2, 23, -25, -2, -25, 24, -20, 27, 44, -2, 26, -24, -45, -20, -16, -44, -26, -39, -37, 9, 11, -9, 0, 55, 7, 26, -12, 39, 17, 1, 11, -3, 24, 14, -1, -27, -34, 14, -18, 35, -16, -4, -13, 30, -22, 47, -11, -6, -2, -17, -30, 57, 28, 33, -9, -46, 13, -26, -23, -10, -41, -9, 15, 6, -18, 0, -25, 3, -31, 33, 3, -3, -7, -37, -27, -7, -31, 31, -36, 15, 34, -39, 24, 10, -43, 17, 32, -13, 42, 44, -14, 4, 2, -12, -39, 22, -9, -38, -8, -16, -27, -24, -37, 21, -22, -33, -19, -7, 14, -17, 14, 0, -52, 32, 5, -55, -4, 9, 43, -43, -35, 15, 45, 46, 25, -7, 8, -17, 37, 5, -21, 7, -42, 11, -49, 16, -29, -6, -9, 42, 23, 25, 12, -25, 41, -37, -9, 22, -23, -12, -8, -4, -23, 19, 4, -4, 16, 62, -57, -31, 13, 9, 13, -20, 46, -6, -18, -29, 30, -16, 44, -17, -18, -21, -16, -35, 28, 39, -47, -36, -6, 9, 20, 16, 36, 14, 5, 12, -19, -27, -19, 43, 44, 15, -10, -50, 12, 4, 29, -25, -39, -55, -11, -38, 18, -6, 1, -19, 22, -23, -26, 1, -39, 12, 29, -43, -3, 9, -17, -19, -39, 54, -8, -1, -28, 46, -25, 25, 27, 6, 23, 18, 39, 11, 41, 10, -29, 8, -44, -41, 11, -44, -30, -23, 7, -51, -5, -29, -49, -49, 12, 17, -59, 29, -39, -27, -15, 15, 50, -29, 41, -16, 14, -8, -41, -14, -22, 44, -6, 29, 4, -33, 5, -41, 32, -14, 22, 10, 11, -17, -5, 32, -18, 25, 30, -20, 0, 1, -24, 3, 10, 23, -33, -2, -3, 57, 33, -31, 15, -24, -15, 25, -10, -33, -12, -32, 33, -16, 1, -13, -17, -10, 15, 26, 31, -25, 26, -49, -48, 6, 44, -8, -35, -12, 40, -19, -2, 17, -3, -11, 26, 44, 11, -16, -27, 13, 22, -29, -8, 12, -30, -32, 56, -31, -5, 12, 48, -5, -6, 17, -30, 22, -30, -55, 22, 4, -4, 61, -30, 4, 48, -29, 6, -4, 23, -18, 7, 25, 16, -17, 52, 28, 20, 6, -26, 1, 43, 18, 39, -15, -54, -61, -37, 55, 15, 2, 40, -10, -39, 24, 31, 24, -25, 32, 32, 0, -33, -13, -47, -25, -32, -16, 4, 33, -22, 4, -19, 16, 4, -36, -4, -24, -32, -41, 1, -17, -8, -7, 10, -17, 21, -5, -27, 18, -42, -34, -47, 33, -8, -21, 2, 41, 32, -28, -17, 4, 43, -43, 36, -4, 44, -31, -16, -38, 31, 34, -35, 15, 7, -14, -21, -35, -3, -32, -31, 6, -59, 7, 15, 30, -3, -1, -4, 12, -2, -2, -19, -29, 7, 3, -27, 22, 1, 24, -4, 43, 26, -12, 29, 5, -37, -41, 6, 24, -9, 12, -37, 20, 0, -47, -33, -7, -44, 29, -45, 36, 35, -6, 9, -12, -3, -43, -15, -23, 7, -24, 2, 24, 26, 47, -32, -1, 32, -7, -37, 24, 16, 15, -42, -14, 0, -17, 25, -4, -21, 6, 47, -22, 34, 27, -1, 37, 6, 46, 32, 30, -12, 2, -57, 61, 17, 6, 4, -36, 26, -12, 33, -6, -41, 20, 19, -32, -24, 3, -21, -14, 24, 20, 14, 22, -35, -48, 12, -54, 24, 35, 28, 30, -18, -20, 7, 8, 27, 40, 5, 15, 32, -2, 35, 12, 21, -5, 29, -36, 4, -8, 27, -33, -7, -36, 60, 39, 5, 8, -57, -4, 35, -11, 46, 17, -27, 50, -44, -50, 26, -28, 30, 13, 38, 8, 7, -35, 48, 13, -5, -16, 37, -14, 28, -32, -4, 25, 40, -48, -49, 45, -52, 28, 60, -25, 12, -1, -31, 11, 60, -12, 16, -10, -70, 63, -75, 24, 0, -13, 8, 37, 38, -19, -48, 20, -37, 20, 36, -37, -22, 23, -72, -47, -39, -40, 25, 30, 21, -44, -16, 71, -40, 2, 42, 33, 11, 7, -27, 5, -11, 32, -42, -27, -37, -15, 30, -37, -44, -32, 22, 34, -2, -17, -24, 20, 11, 30, -29, -20, 14, -14, 26, 35, 31, -38, 13, -5, -50, 22, -41, 6, 11, 11, -45, -18, 31, -8, 0, 12, -28, 31, 23, 34, -32, -40, 13, 15, 17, -23, 66, -3, 10, -37, -37, 39, -8, -32, -40, -14, -10, -16, -25, -34, -15, 13, 35, 15, 26, -39, -41, 20, -50, -36, -3, -18, -36, 2, 5, 49, -41, 9, 1, -43, -48, 40, 19, -17, 25, -48, -47, -38, -7, -48, -20, 3, -76, -29, -35, 3, -1, -13, 15, -45, -21, -19, -36, -2, 15, 13, 9, -7, 9, 12, -34, 20, -25, 1, 30, -10, -28, -18, -47, -42, 46, -23, -27, 13, 45, -38, -14, -5, -2, 5, 37, 0, 32, 8, -23, -32, 11, -16, 24, -44, 35, -9, -14, -38, -2, -15, 8, 21, 16, 8, 26, -13, -27, -18, -13, 43, -19, -32, -21, 13, 21, 23, -12, 22, -27, 8, 22, 59, -31, -33, 18, -11, 41, -5, -22, -24, -9, 8, -17, -22, 25, -38, 29, 46, -20, 35, 19, -20, 46, 1, 8, 34, 35, -13, -1, -24, 3, -27, 33, 2, 48, -48, -10, 45, -61, -7, -49, 11, -51, -25, 29, -26, 30, -47, -18, -27, -43, 12, -2, 42, 14, -42, 37, -10, -35, 30, -10, -36, 7, 17, 3, -30, -13, 40, 6, -15, 25, -48, 16, 27, 24, 25, -23, -2, -1, 4, -40, 4, -32, -53, 32, 46, 28, 31, 0, -32, -1, -30, -15, 28, 8, -29, 21, 8, 35, -55, -24, -25, 4, -15, 19, -19, -44, -42, 15, -30, -2, 13, 35, -39, -50, -33, 19, -28, 9, -34, -41, 55, -37, 22, -24, 46, 13, -33, 20, 9, 27, -10, -34, 12, 19, 6, 47, -18, 12, -3, 15, 23, 8, -9, -9, 9, -46, -7, -23, -23, 52, -19, 46, 0, -56, 18, -14, -31, 20, -25, -1, -34, 19, 36, 22, 37, 31, 11, 48, 45, 16, -6, -26, 23, 13, -13, -11, -46, -30, 31, -18, 34, -37, -2, -35, 36, -19, 11, 24, -28, 18, 11, 1, -36, 21, -43, 36, -16, 2, 16, -40, -20, 14, 1, 0, -43, 18, 9, -47, 37, 17, -38, 39, -12, -14, -9, -28, -19, 9, -20, -13, 11, -18, 20, -8, 39, 5, -20, -6, -30, 6, -23, 9, 0, -19, 20, 26, -27, 35, -48, 22, -11, 33, -34, 37, 7, -28, 1, 13, 13, 14, -29, -58, -21, 14, 17, -5, 5, -27, -43, 23, -50, -56, 18, -25, -46, 16, -9, -13, 15, -30, -26, 13, -13, 22, -34, -28, 31, -25, 41, 4, -42, 17, -17, 2, -39, 5, -30, 31, -15, 5, 37, -12, 25, 27, -5, -1, 38, -4, -28, 26, -27, -34, -33, -25, 16, -3, -16, -25, -5, -32, -29, -26, 32, -1, 4, -41, -38, 32, -42, -15, 87, -6, -16, -10, 16, -12, -54, -41, -18, 16, 47, -43, 62, -21, -13, -60, -53, 18, 4, -3, -31, -17, -3, 44, 43, 39, 34, 46, -12, -59, -10, 6, 21, -27, -18, -53, -45, 20, -26, 28, 21, -34, 22, -15, 36, 41, -37, 42, -19, -2, -28, -37, 15, -24, -8, -28, -9, 37, 34, -23, 33, -16, 2, -28, -19, 8, 15, -30, 12, 4, -40, -26, -72, -6, 11, -39, -14, 18, 0, 62, 34, -10, 35, -24, -10, -33, 11, -52, 17, -23, 11, -30, 0, 8, 42, -26, 19, -6, 10, -5, 19, 17, 39, -1, 24, -5, -39, 7, -14, 18, 1, 29, 14, -2, 23, 25, -7, 35, 13, -4, 21, 37, -20, -11, -25, -14, 26, 33, 40, 50, 42, 15, -9, 0, -19, 19, 13, -55, -33, 0, 18, -16, 13, -26, -5, -15, 7, -32, 20, 33, -25, 2, 3, 27, -32, 37, 36, 11, -5, 21, -27, 29, -27, 7, -47, -9, 28, -7, -6, 31, 13, -11, -43, -35, -39, -11, -38, 15, -46, -20, 47, 4, -22, -21, 13, -14, -38, -7, -21, 42, 37, -42, 43, 14, -23, -32, 4, -48, -23, 19, -30, 2, -36, -23, -1, 7, -11, -59, 9, -26, 3, 7, 27, 30, 21, -21, -1, -44, -29, -45, 26, -11, -23, 3, 29, -13, -8, -62, 28, -28, -24, -16, 22, -34, 29, 0, -7, -12, 48, 15, -46, -68, -24, -19, -15, -28, 6, 51, -9, 29, 19, 31, 2, -66, -78, 18, 0, 2, -11, -34, -25, -41, 33, -20, -11, 6, -42, 7, -62, -15, -18, 2, -31, 4, 26, 10, -19, 25, 26, 11, -30, 2, 38, -4, -28, 8, 15, -11, 5, -3, 5, -11, 14, 29, 49, -29, -12, -11, -37, -26, -11, -1, 16, 6, -42, -50, -24, 11, 26, -33, 11, -30, -43, 40, 27, 31, -26, -55, 14, -56, -54, -8, -50, -37, 57, 12, -11, 17, 31, -33, 4, 5, -21, 3, -16, -24, -6, 19, 15, 12, -4, -26, 20, -2, -42, 43, 27, -22, -32, -30, -43, 14, 5, 2, -31, -29, 40, -5, 26, 13, 1, 38, 25, -18, 14, -9, -16, -11, -4, 51, -12, 30, -18, -49, 29, -38, -3, -40, -45, -35, -43, -7, -38, 26, -17, 23, 38, 11, -2, 39, 22, -7, 32, 21, -18, 19, -37, -34, -32, 45, 41, -11, 10, -35, 36, -1, -4, -3, -28, 23, 20, 1, -3, -44, -19, 14, 34, -48, -18, -13, -25, 28, 5, 30, 24, 1, 27, 6, -20, 9, -1, 4, -32, -6, 24, -46, 48, -15, 22, -7, 31, -16, 10, 38, 2, 45, -7, -2, -26, 1, -19, -44, -20, -24, -16, -32, -9, 42, -39, 6, 0, 2, 6, 9, -5, -56, -52, -22, -14, -39, 40, 1, -1, -26, -61, -43, 12, 58, 4, -20, -31, 6, 16, 36, 23, 15, 38, -26, -45, 27, 23, 0, 21, 39, -15, -19, -19, -19, -23, -65, -10, 18, 32, 36, -28, -16, 23, -16, -23, 1, -42, -12, 32, 7, 6, 17, 30, -48, 37, -9, 13, 16, -38, -11, -32, -4, -28, -47, 15, 25, 42, 21, -53, 17, 14, -5, 24, 50, -18, 7, 8, 34, 42, -15, -45, 1, 47, 7, 15, 50, -16, -43, 22, 16, 34, 64, 16, -22, 9, 39, -73, 20, 27, 9, -4, -74, -17, -3, -3, 15, 4, 20, -53, 0, -31, 7, 11, 19, 17, 27, 9, -34, 13, 9, -28, 11, 29, 3, 27, 25, -26, -16, 24, -8, 20, -5, 30, -6, -33, 40, -48, -40, -3, 18, 19, 43, -1, -14, 14, 3, -35, -29, 36, 21, -6, 27, -14, 23, 38, 4, 28, -27, -44, -11, 25, 15, 22, -5, -15, -29, -20, 41, 38, 0, -10, -11, -31, -14, 11, 15, 7, 11, -48, -5, 44, -4, -47, 17, 18, -38, -10, -33, 12, -25, 7, 39, -45, -31, 7, 12, 6, 33, 25, -43, 15, -27, 36, 12, -30, 30, 14, 32, -31, -49, -37, 32, 5, 13, 16, -42, 25, -11, 2, -36, 42, 0, -45, -15, 26, -5, 13, -19, -25, -13, 9, 37, 52, -30, 34, 50, -9, -5, -15, 16, -42, -22, 22, 30, 3, -2, 5, 12, 19, -6, -29, 34, 14, 10, -36, -46, 32, 28, 45, -17, -22, 52, 20, 20, 25, 1, -25, 30, -30, 26, 18, 48, -16, -37, 3, 39, 1, 9, -20, 34, 39, 24, 32, -2, -15, -13, 29, -54, -36, -26, 10, -8, -40, 39, 44, 33, 14, 67, 26, -46, -1, -54, -2, 38, -51, -31, 29, -23, 19, -19, -21, -31, -7, 33, 31, -26, 25, -41, 22, -22, -32, 25, 26, 15, 40, 39, -41, -29, -17, -32, 13, -26, 42, -2, -3, 37, -26, -42, 11, -19, 40, -33, -8, -29, -36, -30, -1, 41, -14, 37, -18, -18, -9, 9, 22, -38, 4, 9, -42, 13, -15, 6, 34, 42, 0, 26, 15, -28, -30, 5, 30, 20, -5, -2, 19, 36, 2, 27, 36, 3, 48, -29, 43, -33, -7, -31, -31, 1, -24, 9, -17, 30, 32, 11, 15, 44, 11, 27, -7, 30, 25, 29, -46, 8, -13, -16, 17, -22, -12, 35, 37, 12, 1, -3, 42, -25, -20, 33, -12, -43, -39, 37, 31, 9, 12, -32, -37, -16, -27, -22, 4, 2, -9, -35, -25, -51, 23, -10, 10, -11, 24, 11, 21, 52, 18, 21, -19, -34, 29, 4, -42, 2, 23, 19, -18, 38, 9, -28, -37, 44, 28, -15, 29, -50, -22, 13, -10, -19, 31, 24, -6, -13, -31, 37, 19, -25, -20, 30, -28, 46, 17, 12, -4, -1, -40, -19, 8, -13, -5, 16, -43, -8, 12, -19, -17, 18, 26, 33, -19, 31, 41, -22, -5, -4, -12, 36, 11, -31, -9, -11, -47, 30, 21, -51, 1, 20, -27, -4, -25, 48, 4, -6, -24, 37, -26, -17, -10, -28, 8, 32, -57, -48, 32, -38, -11, 14, 2, -43, 37, 26, 28, -34, -31, -18, -17, 6, -24, 11, -15, 42, -57, 30, 33, -21, 47, -21, 36, 1, 48, 28, 33, 37, 39, -24, 1, 2, -8, -6, -35, 11, -21, 37, 36, 16, -29, 32, -23, 6, 20, 33, 23, -51, 7, -34, 13, 1, -19, -34, 46, -46, 7, 24, -59, 17, 2, 10, 14, 3, 1, -22, -31, 25, -22, -8, -46, 2, -28, -22, -25, 19, 48, -6, 21, 15, 6, -11, 33, 10, 35, 22, -35, -53, 29, 49, -5, 17, -2, 28, -14, -2, 16, 7, -38, -41, 23, 6, 37, -22, 20, 40, 26, 36, -11, 22, 26, -30, 9, 10, -32, 23, 20, 22, 6, 22, -8, -22, -39, -7, 37, 27, -27, -1, -43, -40, 6, -19, 19, -25, -28, -8, 43, -22, -9, -39, 11, 14, 18, 46, 38, -18, 6, 6, -18, -33, 18, 37, -27, -27, 6, 48, 70, -37, -23, -6, 3, -30, -45, 46, -1, 9, -25, -5, 34, 6, -47, 35, -47, 20, 41, -30, -5, 22, 22, -2, 8, 25, -4, -8, -15, -66, 9, -33, 7, -1, -17, -10, 48, 2, -28, 55, -10, 16, 37, 23, 17, -29, 12, 43, -17, 25, 6, 63, 17, 6, 41, 5, -32, 24, 11, 13, -35, -33, 34, 26, -19, 13, 25, 40, 13, 0, 13, -38, -19, 6, 37, 11, 21, 11, 16, -31, -41, 30, -3, 22, -20, 1, 32, 2, -11, 37, 4, 34, 37, -29, 24, -30, -24, -24, 30, 27, -15, -40, -15, 38, -60, 20, -3, -33, -19, -30, 18, 28, -4, 39, -9, -65, -37, -8, -31, 21, -13, 16, -58, -19, 18, -35, -10, -22, -25, -4, -3, -30, -4, -37, -31, 16, -34, 11, -24, -38, -15, -51, -19, 11, 4, -7, 31, 29, 39, 46, 4, -5, 38, 41, 27, 20, 16, 40, -35, 29, -16, -3, -4, -53, -9, 31, 13, -15, -43, -7, -7, 42, -15, 30, 25, -26, -12, 11, 13, 4, -12, 27, -15, 31, -3, 5, -26, 29, -32, -50, -14, -45, 15, 30, 3, -49, 27, -32, -31, -41, -27, 27, -31, 32, 27, -26, 7, 25, 42, 29, 28, -37, 19, -32, 5, -21, -42, 3, 34, 6, -17, 18, 41, -6, -17, 23, -43, 10, -14, 16, -7, -24, 38, -41, -18, -26, 41, -25, -26, -11, 51, -10, -13, -8, -1, -17, 1, -17, -2, -53, 15, 9, 23, 2, 32, 6, -6, -21, 6, -26, 21, 1, -1, 15, -31, 48, 28, -37, -30, 14, 1, -44, -8, 48, -39, 6, -18, -18, 37, -9, -12, 32, -18, -10, 13, 1, 13, -11, 9, -34, 29, -20, 23, -1, -17, -29, -14, -29, -42, 13, -39, 34, 1, 10, -41, 31, -13, -4, -18, -39, -11, 17, 13, -18, 14, 60, 22, -27, 1, 25, 12, 29, 21, -5, 0, -20, -39, 47, 30, -1, -20, 1, -17, 22, 25, -13, -37, -23, -26, -29, -33, -12, 19, -9, -23, -6, -17, -17, -36, 5, 38, -12, -11, 37, 13, -29, -38, -39, -14, -10, 19, -13, -25, -40, 39, 13, -36, -32, 52, 4, -39, 40, 9, 3, 16, -11, 12, 40, 20, 4, 23, -26, -37, -17, -8, 0, -44, 45, -38, 15, 2, -19, 26, -13, 23, 20, -21, 21, -8, 30, 28, 36, -12, -55, -38, 6, 5, -1, 42, -6, -27, 4, -17, 40, 15, 45, 34, 3, -33, 13, -12, -27, 21, -6, -33, -29, 30, 28, -19, -14, -31, 31, 3, -37, -22, -28, 35, -38, -7, -9, -14, -20, 35, -11, -17, -39, -18, 27, 33, -51, -12, 5, 29, -43, 6, -23, 13, 23, -4, 28, 11, -4, -10, 22, 55, -13, -13, 18, -42, -35, -24, -8, -6, 15, 23, -2, 22, 50, 44, 54, -30, -5, -12, -3, 5, -23, 13, -18, 52, -23, 36, -37, -1, 43, 24, -5, -26, 35, -22, 12, 21, 37, 34, -15, 0, 2, -48, -1, 45, 34, -29, 25, 7, 8, -40, 4, 40, -33, 41, 34, -34, -25, 65, -8, 27, -14, 20, 13, -2, 1, -13, -23, -45, -15, -30, -42, 50, 21, -38, -20, -18, -51, 20, 28, 27, -3, -28, -10, -13, 42, 36, -30, 36, -18, -6, -53, 45, -38, 43, 1, -21, 24, 10, 8, 13, -20, -32, 24, -13, -1, 45, 4, -28, -20, -44, 15, 16, 10, 7, 3, -37, 0, 38, 4, 34, 17, 2, 12, -2, 14, -28, -47, -42, -47, 2, -37, -20, 49, 14, 10, -30, -37, -28, -26, 13, -19, 2, 4, 31, -42, -39, 30, 42, 24, 19, -11, 41, -32, 28, 2, 30, -47, -48, 6, -41, 25, -11, 19, -8, 28, 28, -40, -46, -15, -39, 33, -14, -26, 36, -5, 2, -46, -38, -27, 3, 13, 8, 29, 23, 39, -9, -40, -50, 34, -14, 31, -31, 18, 26, 26, 25, -14, 25, -14, 42, 37, -19, 32, 40, -10, 38, 19, 0, -1, -25, 33, -31, -11, -48, -27, -2, 11, -16, -12, 30, -29, -41, 30, 0, -35, 36, -17, 10, -28, 16, -15, -24, 22, 39, -22, -19, -35, -45, 14, -19, -32, -13, 23, 0, 20, -27, -49, 43, -35, -35, -36, -5, -31, 15, -36, 41, -4, -5, -5, -25, 35, -5, -44, -29, -40, -21, -5, 25, -23, -43, 12, 24, -5, -21, 21, -31, -10, 16, 4, 0, 36, 13, -20, -22, -2, -47, 29, -45, -31, 15, -47, -15, 30, -54, -2, -49, 7, -34, 19, 8, -23, 6, 25, -31, -31, -2, 18, -12, 22, -30, -24, 35, -11, -8, -5, 24, -28, -44, -14, -8, -21, 43, -35, 16, 4, -27, -29, 2, -11, -1, -2, -11, 26, -39, 24, 19, 20, 9, -36, -12, 38, 4, 7, -27, 18, -37, -46, 36, -18, -39, 37, -14, -37, -2, 12, 35, -22, -38, 14, -39, -2, 33, -25, -15, 19, 25, -24, 14, -4, 4, -13, -13, 23, 34, 23, -9, -13, 21, 9, 26, 14, 39, 37, -38, -32, 13, -3, -23, 22, 8, 1, -32, -14, -29, 16, 40, 9, 12, 3, -29, -31, -45, 34, 25, -34, 25, 39, 46, -20, 21, 3, -8, -29, -44, -31, 29, 42, 4, 40, 38, -31, 41, -15, 19, -46, -30, -35, -43, 4, 25, 9, 2, 40, -16, 7, -27, -14, -41, -4, 14, -27, 28, 0, -5, -34, -19, 1, 6, -42, -25, -2, -44, 9, -42, -11, 15, 0, 26, -48, -4, 41, 9, -21, 37, 26, 14, 5, -10, 34, 32, 19, 6, 33, 26, -42, -41, -30, 21, -37, -13, -24, 1, 22, -25, 14, 31, 20, 14, -39, 18, 23, 7, 17, 36, 14, 43, -20, -21, -29, 37, 22, 21, -34, 24, -6, 12, -37, 29, -20, -24, 42, -25, -19, -25, -41, 39, 27, -25, -7, 12, 4, 36, -33, -41, 34, 17, 15, -40, -1, 22, 0, -14, 18, 16, -6, -47, -34, 4, -31, -19, -40, -43, -45, -13, -5, 17, 4, -45, -37, -18, 34, 16, -43, -38, -11, 10, 43, -43, -29, 22, 7, 13, -45, -12, 0, -6, -21, 36, 33, 8, -31, 30, -16, 23, 28, 20, 11, 37, 22, -41, -11, 18, -12, -25, 10, -8, 7, -44, -12, 13, -14, 13, -37, -20, 32, -48, -2, -25, -31, -15, -27, 35, 15, 21, -24, 12, -14, -40, 10, -37, -17, -24, 14, 32, -50, -1, 11, -32, 4, -3, 12, -41, -27, 12, -46, 29, 20, -21, 5, -41, -13, 27, -30, -36, -22, 21, 11, -26, 4, -7, 28, 2, -45, 30, -5, 1, -6, 6, 34, -20, -45, -43, -35, -34, -45, 24, -26, -32, -15, 20, 5, -37, -41, -8, -38, -11, 14, -34, -21, -17, 25, 36, -41, 26, 17, -8, -40, -35, 0, -39, -38, -29, -33, 19, 43, -35, 17, -46, 29, 23, -15, -10, 14, 7, -9, 19, 7, -35, -34, 0, -36, -34, -3, 27, 12, 24, -1, 16, 22, -45, 35, 15, 23, -50, 32, -42, -3, -22, 18, -27, 5, -7, -13, 37, -17, 30, -33, 25, 33, -20, -29, 24, 4, -15, 40, -24, -24, -27, -5, 37, 21, -45, -24, -32, 10, 43, -28, -44, 32, -29, -33, -16, -32, 2, -6, 8, -28, -23, 37, 32, -31, 17, -2, -11, -22, 25, 3, -23, 41, 24, -5, -46, 32, 14, -13, 40, -45, 28, -7, -28, 14, 38, -12, 23, 30, 10, -19, -16, 21, -36, -12, -18, 43, 13, -26, 20, -15, 15, 27, 15, 11, -26, 4, -29, -19, 26, 1, -9, -44, 40, 2, 39, 7, 39, 28, 2, 14, -34, -14, -7, 30, -34, -38, 24, -48, 15, -8, 33, -44, 1, -31, 31, -34, -17, -39, 3, 36, 20, -2, 26, -32, 40, -22, -13, 22, 41, 23, 25, 15, -9, -24, -23, -39, 26, -22, 41, -20, 35, 40, 20, 39, -20, 31, -19, -33, -44, 7, -43, 0, 36, 35, -43, 29, -5, 9, -35, 1, -10, -35, -6, 6, -45, -1, -35, -24, -7, -30, 6, -36, -22, -42, 15, -21, -47, 6, 37, 37, 41, -18, 35, 42, -44, 42, -18, 30, -22, -34, 36, -18, 18, -39, -6, 2, 26, 9, -21, -17, -2, -34, -46, -36, 15, 22, 26, 16, 31, 22, -37, -13, 25, 2, -38, 2, 1, -27, -29, 5, 10, -17, 21, 7, 20, -31, 5, -26, 31, -30, -16, 40, 19, 4, -48, -28, -7, 23, -12, -41, -7, -31, 14, 31, 21, -5, 23, 13, -44, 18, -36, 28, 38, -34, -33, -46, 27, 4, -41, 38, 32, 37, 40, 43, -33, -6, 1, -17, 2, 26, -45, 36, 36, -46, -34, -25, 5, -35, 30, 37, -16, 29, 7, 20, 14, 5, -13, 36, -24, 2, -38, 39, 27, 33, 30, -38, -9, 35, -9, 23, -48, 29, 35, -5, 34, -35, -1, 38, -4, -47, 34, -25, 14, 32, -43, 23, 17, -43, -24, -13, 1, 15, 10, -47, -20, -28, 17, 36, 2, -22, -5, -3, 14, 40, 44, 12, -8, -22, -42, -12, -29, -38, 43, 26, 4, -43, 25, -13, 4, -16, 39, -8, 31, -24, -6, -39, -13, 10, -15, 4, -42, -10, 14, 25, 11, -34, -8, -8, 33, -17, -4, 22, 24, -24, -25, 1, 12, -33, -18, 23, -20, -20, 7, -1, 10, -27, -27, 33, -7, -19, 28, 39, 38, 10, -38, 12, -21, 17, 24, 24, 14, -34, -46, -31, 9, 42, 17, 36, -34, 16, 22, -39, -13, 35, 32, 10, -6, -34, -41, -21, -39, 23, -40, 22, -35, 5, -34, -19, -20, 42, 7, 32, -44, -24, -46, -1, 21, 12, 40, 29, 12, -1, -22, 26, -38, 39, 5, 12, 16, -42, -14, 35, -15, -8, 33, -16, 4, 10, 21, -42, -7, 17, -41, 37, 26, 12, 11, -2, -2, 9, 2, -3, -23, 28, 21, -43, 1, 21, 41, 9, 13, -26, 4, 8, -31, 39, 21, 27, 5, 33, -12, -42, -2, 29, 32, 18, 14, -3, 1, -32, 26, 27, 28, -28, 28, 29, -18, 7, -29, 0, 41, -34, 9, 1, -21, -44, -44, -44, -31, -31, -26, -41, -45, -32, 34, -27, 22, -10, -6, 6, -46, -42, 11, -18, -37, -38, -15, 0, 29, 35, -35, 5, 30, 45, -45, -15, -17, -10, 28, 38, -35, 43, 20, -7, 29, -31, -20, 1, 29, 19, 12, -21, -18, 22, -19, 4, 26, 0, 28, 2, 45, 28, -15, 4, -25, 38, 5, 25, -12, -5, -38, -30, -20, 23, 36, 32, -9, 27, 13, 1, -23, 47, -1, 44, 10, 0, 43, 31, 33, 9, -45, 28, -33, -28, -30, -35, -33, 13, -25, -15, 36, 48, 14, -2, 14, 20, -1, 15, 4, 21, -49, -11, 24, -30, 6, -25, 13, -5, 38, -17, 25, 33, 32, 43, 13, 31, 24, -27, -40, 33, 1, -21, -17, -26, -15, -22, -20, -14, 0, -2, -29, 21, -23, 17, 32, -34, 6, -29, -33, 38, -24, 8, 5, 6, 9, 15, -40, 33, 12, -12, -40, 27, 2, -43, -23, 2, 15, -18, -11, 25, -7, 18, -11, -22, -11, 24, 28, 55, -18, 59, -9, -19, 41, 20, 19, -4, 37, -21, -17, 12, -38, 36, 38, 32, 23, 40, 32, 6, -10, -43, -39, 37, 22, 13, -18, 10, -6, 12, -12, 8, 24, -27, 34, -26, -45, 18, 6, -14, 2, -8, -13, 5, 28, -33, -29, 30, -18, 31, 32, -3, 37, -34, 43, 17, 6, 30, -10, 20, 44, 6, 39, 21, 49, 0, 6, 8, 5, -13, -3, -36, 28, 7, -5, -4, -36, 39, 5, 0, 8, -20, -31, -25, -34, 5, 36, -23, -5, -19, -25, -21, 18, -18, 14, 39, -31, -26, -6, -43, 11, -13, 27, 25, 28, -33, 31, 1, 18, 46, 22, 11, 26, -3, -3, 37, -41, 32, 24, 0, -4, -8, -6, 0, 15, 15, 42, -20, -14, 42, -19, 18, -22, 33, -26, -12, -46, 30, 23, 6, -14, 27, 18, -23, 42, 6, 24, -40, 30, 31, -8, -10, -11, -43, 42, -6, -40, 28, 46, -9, 22, 39, -10, -28, 43, -10, 26, 21, 34, -40, 45, 17, 15, 5, -19, 30, -11, 19, 20, -12, -12, -42, 8, -28, 13, -34, 15, -13, -26, -28, 51, -34, -46, 21, 15, 5, 34, 13, -53, 10, -29, -37, 13, 23, -1, 12, 20, -14, -7, -10, -21, -25, -35, 3, -45, -29, 12, 43, -1, -4, -3, -1, 38, 44, -10, -27, -26, -17, -42, -24, 23, 12, -12, 39, -1, -20, 24, -40, 38, -16, -1, 25, -35, -5, 3, -17, 6, 17, 28, -11, 27, -33, -4, -37, 39, 23, 2, 4, 14, -4, -15, 25, -27, 23, 36, -18, -15, -3, -6, 51, 19, 21, 6, -10, 18, 32, -18, -31, 9, -42, 50, -25, -34, 15, -3, 26, -7, 30, 23, 47, 32, -12, 48, 32, -45, 30, 5, -18, 14, 39, 7, 45, 46, 26, 27, -20, -17, -36, -26, -8, 17, -43, 13, 27, 37, 45, -11, -21, 35, 17, 17, 20, -10, -20, 5, -25, -25, -35, 9, 40, 0, -5, 43, -17, -15, 2, -43, -29, 9, -38, -43, -30, 18, 24, 19, 22, 0, 8, 30, -11, -41, -6, 6, -2, -5, -2, 28, -33, 34, -21, -45, 5, 6, 34, 4, 22, -12, -45, -17, -17, 35, -11, -27, 44, -30, -9, 0, -2, -4, -37, 36, -30, -50, -22, -23, 0, 3, 39, 7, -1, -41, -8, 10, -39, -43, 13, -13, -42, 7, 28, -42, -12, -14, 14, 30, 11, -34, -4, 30, -52, 37, 5, 30, -3, 34, 40, -23, 19, 10, -10, 18, 35, 31, -9, 17, 3, -47, 2, 40, 27, -22, -19, 2, -28, 6, 18, -2, 19, -3, 2, 14, 35, -32, 37, -12, 9, 0, 43, 32, 21, -33, -36, 37, 33, -4, 13, -27, -37, -29, 35, -12, -10, 32, -37, -3, 11, 19, -14, -19, -34, 47, -15, -33, 32, 33, 4, -13, -49, 18, 1, 22, -1, -6, 25, 25, 35, 31, -27, 16, 11, 40, -19, -22, 26, 8, 28, 15, -38, 13, -21, -17, 33, 34, 0, -12, 51, 5, -9, -42, -47, -52, 24, -37, -47, -15, 4, -22, -38, -47, -26, -29, 18, 2, -39, 7, 24, -18, -1, -32, -10, -41, -31, -5, -22, -46, 27, 24, 2, -29, 37, 21, 24, 39, 39, 36, -43, -15, -42, 16, -39, -27, 7, -61, 39, 3, -67, -37, 6, -12, 13, 13, 39, 7, -14, -30, 13, -4, 2, -4, 33, -45, -30, -40, -37, -18, 17, 28, 12, -31, 12, -7, -4, -37, 8, 31, 47, 31, 8, -33, 0, -11, 47, -28, -4, -8, -7, -32, -31, -17, 26, 10, -18, 15, -24, 35, 38, 44, -26, 32, -8, -46, 3, 8, 39, 15, 33, 29, -20, -30, 16, -13, -4, 8, -37, 28, 25, 24, 33, -34, -1, 22, 7, 45, 3, 44, -30, -46, 19, 27, -36, -15, -11, -17, -21, 44, -4, -12, 14, -14, 32, 7, 22, -22, 6, 9, -19, 14, -36, -13, 22, -46, -6, 19, -33, -70, -13, 9, 31, -7, -30, -11, 34, -30, 33, 26, -6, 0, 13, -39, -63, 12, -43, -26, -37, -55, 12, 13, -28, -20, -14, -17, 32, 19, -13, -6, -25, 24, 20, 5, 11, 5, -21, 21, -22, 24, -34, -7, -35, -16, -48, -6, -13, -5, -6, -36, 24, -39, -18, 20, 3, -25, 10, -3, 34, -10, 38, -7, -26, 24, 21, 2, -4, 49, -33, 20, 15, -45, 11, 37, -4, -8, -12, -16, 22, -40, -36, -4, 20, -28, -17, -9, -41, 20, 2, -5, 23, 13, -9, -17, 8, 20, -1, -20, 20, -15, -38, 7, -11, 48, -27, -10, -12, 16, -9, 39, -33, -36, -29, -38, 6, 26, -22, 2, 8, 27, 38, 23, -21, -15, -28, 16, -26, -23, -40, -6, -42, 32, 13, -37, 36, 34, -40, 29, 13, -31, -30, 16, 10, 37, -5, -17, -1, -30, 6, 26, -16, -8, -42, 24, 36, 43, -31, -6, -3, -28, -44, -40, -29, -10, 51, 43, -19, -46, 3, 7, 17, -42, -30, 9, 29, -11, 15, -19, -24, -2, 1, 25, 41, 34, 35, -4, -6, -2, -25, 12, -5, -39, -23, -6, -22, 36, -13, -44, 8, -1, 20, -26, 13, -48, 33, -26, -9, 15, -37, 22, 7, 0, -55, -36, 1, -17, -33, -10, 34, 41, -10, 31, -20, 39, -40, -16, -26, -32, 56, 20, 26, 39, -34, 15, 29, -24, 9, 32, -23, -40, 21, -4, 8, 12, -31, 42, 37, 22, 19, 1, -7, -1, 6, -23, 14, 16, -67, 2, 16, -30, -1, 14, 20, 5, -21, 13, -32, 31, -20, 6, -18, 31, -21, 35, -13, -26, -9, -39, 30, -10, 44, 7, 13, -11, 20, -31, 32, -31, -31, -57, -9, 15, -27, 37, -14, -31, 7, 11, -9, -51, -2, -29, -43, 24, -14, 0, 29, -31, 10, 4, 1, 30, 20, 58, 39, 22, -9, 9, -42, -12, -41, 24, -28, -44, -2, 30, 0, 22, -21, -13, -19, -14, 0, -18, -20, -18, 15, -10, 34, -22, 41, -28, -1, 31, -30, 34, 36, -20, 26, -7, 29, 26, -27, 7, -19, -15, 32, 16, -7, -23, -34, -26, 6, 14, 22, -44, 18, -28, -23, 57, 20, -10, 12, -45, 27, -41, 4, 1, 7, -46, -4, -23, 10, -1, -8, 27, 1, -28, 17, -11, 44, -8, 17, 25, -42, -71, 9, -4, 18, 32, -20, -42, 41, 25, 59, 0, -10, 0, 28, 34, 45, 13, 18, -45, 8, -44, 3, -53, 63, -20, 0, 6, -15, -32, 40, 4, 23, 28, 16, 30, -28, 29, -18, -38, 30, 6, -27, -9, 17, -27, -49, -59, -3, 21, -3, -5, -28, 19, 21, 28, -51, -47, -13, 16, -18, 27, 48, -22, 2, -16, -21, -20, -50, -8, -9, -17, 12, -27, -22, -2, 12, 18, 48, 65, -42, 54, 13, -40, -13, -10, 10, 63, 37, -21, -43, -17, 29, 38, -45, -58, 24, -40, -48, -7, -55, 7, 6, -45, 16, 10, -19, 12, 56, 26, 6, 51, 31, -32, -5, 38, -28, -47, -23, -15, 10, -18, -44, 3, 45, 9, -31, 3, 64, -41, -40, 18, 0, -51, -45, -48, -36, 11, -87, 7, -40, 79, 74, 45, 45, 43, -51, -44, 2, -15, 26, -25, 4, -20, 35, 12, -10, -36, 20, 12, -19, 18, 4, 9, 25, -54, -28, 12, -18, 25, 37, 13, 32, 18, -48, -49, -42, 46, 13, 21, 4, -49, 12, 14, -40, 43, 11, -37, 18, 23, -32, 16, 44, -44, -22, 18, 26, 1, 26, -33, -17, -27, 27, -22, 27, 6, 35, 21, -9, -3, 11, 0, -28, -39, 39, 1, 31, -25, -43, -3, -57, -23, 17, -53, 0, 33, -43, 10, 38, 13, -27, -41, 20, -8, 27, -22, -25, -13, 39, -50, 11, 64, -62, 51, 0, -36, 18, -23, -28, -1, -11, 48, -15, 1, 19, -10, -10, -45, 26, -36, -40, -18, 45, -43, -20, 32, 11, 68, -26, 36, 1, 3, 29, 29, 27, 24, 42, 5, 40, -2, -15, 31, 10, -27, 28, -26, -20, 70, 56, -42, -1, 56, 37, 3, 39, -59, -51, -30, 15, -50, -40, -9, -23, -25, 34, -18, 18, -9, -11, 9, 19, 18, -22, -26, 1, 19, -40, 8, 17, 11, -27, -2, -24, -27, 7, -40, 12, -35, 34, 32, -33, -41, -27, 30, 11, -23, -9, 0, 4, -18, 20, 28, 20, -15, 8, 17, -31, 8, -38, 21, 25, 31, -31, 50, -30, 23, 12, 36, 40, -8, -21, 7, 8, -13, -20, 45, -39, 10, -32, -28, -5, -59, 3, -8, -31, 14, 42, -31, -28, 4, -6, 10, 22, 10, -41, 4, -40, -25, -8, 34, 12, 14, 39, 38, -49, -7, -22, 22, 8, -12, -33, -12, -25, 0, -68, -62, 69, -2, -7, 13, -31, -10, -10, -25, -9, 40, 30, -38, -35, 5, -48, -44, 19, -53, -76, -1, 23, -36, -27, -11, 26, 0, -1, -15, 23, -28, 26, 13, -26, -63, -27, 8, -4, -25, 21, 15, 19, 13, -74, 8, -17, -8, 51, -7, -40, -4, 17, 36, 9, 21, 36, -58, 3, 50, -29, 72, -17, -81, -88, -31, -21, 24, -1, -20, -15, -8, 10, -11, 37, 28, -1, -37, 40, 0, 38, -19, 21, -2, -27, 44, 17, -27, 10, -5, 24, -32, 39, 38, 3, -42, 13, 8, 29, -5, -10, 26, -3, -27, 25, -15, 13, 9, -27, 13, 4, 6, -32, 22, 21, 20, -35, -35, -15, 1, -17, 7, -38, 3, 30, 21, 10, -3, -16, -61, -65, 6, -2, -7, -19, 35, 10, -5, 4, -12, -15, 18, -38, 37, 50, -8, 37, -44, 19, -30, -19, 45, 40, -15, -9, 19, -25, 45, 8, -4, 1, 41, 25, 3, 18, 1, -28, 23, 30, 7, -24, -26, 42, -46, 8, 43, -27, -20, 14, -33, 35, 7, 14, 14, -21, 8, 36, 50, 13, 13, -49, -26, 31, -21, -42, 13, -25, 26, -13, -15, -17, 19, -25, -2, -24, 13, -45, -5, 3, -26, -15, 15, -30, 11, -44, -37, -42, 30, 37, -21, 4, -22, 9, -15, -9, -28, 42, 45, -31, -4, 24, 27, -35, -26, -4, -13, 37, -25, 18, -38, -34, 26, 2, -34, -1, -8, 3, -36, -46, 6, -25, 37, 24, -34, 2, -34, -35, 12, -41, -60, 8, -14, -59, 29, -54, 68, -2, -35, 18, 33, 21, 33, 42, -15, -37, -10, 3, 4, -30, -26, -35, -36, -23, -72, -17, -16, 77, 16, -70, 42, -33, -10, 43, 0, 11, 25, -4, 31, 26, -2, -10, -31, 33, -58, -12, 5, -27, -8, 26, -36, 48, 19, 38, -24, 8, 26, -30, -6, 18, -1, 24, 10, 41, -38, -9, -28, 29, -6, 6, -50, 11, -54, -25, -13, 31, 7, 44, -29, -40, 16, -13, -23, -25, -29, -12, -27, 25, 9, -53, 4, -17, 6, 22, -27, -39, -48, -38, -1, 12, 32, -29, 15, 49, -8, -10, 30, -65, 30, -9, -50, 2, 49, -14, 40, -45, -22, 14, -6, -9, -8, 27, -46, -30, -65, -20, 41, 20, -23, 7, -23, -6, 18, -32, -71, 2, 47, -30, 3, -22, -28, -3, -70, -46, -48, -34, -1, -40, 37, 7, 36, -13, 56, 21, -42, 59, 18, 18, 14, 4, 11, -22, 14, 16, -3, 15, -34, 20, 24, -37, -31, -25, 17, 4, 10, -12, 5, -16, -16, -25, 28, -8, -18, -34, -26, 7, 32, 26, -9, 33, 52, -12, -17, -10, -10, 13, 2, -10, 25, 39, 62, -65, -13, -26, -9, -28, 6, -40, -26, -51, -36, -24, -17, -69, 45, 5, -50, 2, 43, -16, -35, 22, -12, 43, 1, -13, 40, 67, 12, 11, 50, -20, 31, 32, 31, 4, 21, 25, -8, -11, -32, -1, 22, -4, -7, -47, -30, -36, 19, -13, 40, -5, -13, -27, 34, 12, -37, -3, -40, 25, -43, -5, 9, 4, 56, -27, 19, 24, 31, 48, 9, -6, 8, -21, -11, -61, -39, -13, -45, 39, -38, -44, 37, 41, -24, -15, -16, -30, 35, -39, 16, -52, 17, 25, 24, -7, 16, 25, -29, -4, 38, -43, 32, -4, 29, 15, -29, 11, -4, -35, -34, 2, 20, 40, -19, 34, 11, 7, -23, -24, -43, 17, 39, -20, -32, -11, 33, 4, 52, -56, 40, -24, 14, 15, -65, 8, 42, -16, -19, 20, 37, 34, -17, 34, 55, 18, -31, 53, 3, 40, -10, -53, -67, -22, -41, -31, -12, -26, -15, -3, 9, 10, 24, -9, -24, 32, -12, 28, 13, -6, 23, 18, -74, 31, 0, -9, -46, 23, -14, -33, -12, 8, -41, 45, -46, 4, -19, 16, -7, -59, -16, -15, -18, -30, -10, -50, 1, -25, -38, 20, -12, 46, -11, 15, 33, 26, 42, 27, -35, 30, 15, -8, -36, -18, 4, 32, -18, 76, 23, -42, 0, 10, -1, -4, -20, -6, -55, -8, -29, -30, 44, 34, 47, 2, 7, -3, -22, -13, -28, -35, 43, 4, 16, 6, -44, 9, -7, 22, -34, 3, -4, -13, 22, -7, -37, 17, 44, -49, -8, 41, -3, -16, 45, 38, -31, -17, -20, -23, -6, -20, -24, 2, 12, -41, -7, 26, 8, -28, 36, -43, -47, -28, -37, 17, -23, 30, -4, 13, -15, -41, -44, -39, -6, -21, -12, -1, -28, -30, -38, -17, -17, -45, 16, 11, 13, -10, 22, 26, 25, 15, 13, -12, 34, -6, 24, -11, 24, 40, -23, 21, 11, -15, -2, 32, -22, -42, -35, -29, 16, 26, -8, 42, -42, -23, 45, -19, -26, 25, -30, -11, 19, 24, -20, 25, -47, 15, -5, -26, -22, -37, 20, 20, 25, 27, 11, 9, -31, 48, 20, -14, 13, 31, 13, -28, -48, -23, 31, -15, -6, 52, -24, 20, 13, -23, 12, 48, 28, -39, 11, -35, -12, -12, 6, -44, -26, 7, 4, -15, 52, 2, -6, 9, -20, 2, 45, -4, 47, 28, 20, 32, 14, -13, 11, 19, -21, 7, 27, 27, 2, 10, -49, -9, 33, -42, -20, -24, -45, -25, 7, 4, 41, 36, 23, -10, -9, -20, -16, 33, -23, 43, -35, 44, 10, -12, -28, 50, 29, -20, -12, -19, 43, 21, -27, 17, 9, 28, 8, -12, -37, -6, 8, -7, -23, -5, -36, -36, -22, -7, -37, 5, -39, 26, -42, -12, 43, 9, 34, -41, 20, -48, 24, -3, -10, 30, -34, 4, -43, 6, -8, -31, -9, -6, 4, 40, 40, 44, -13, -7, 43, -3, -43, 34, 9, 0, -51, 33, -11, 28, 42, 29, 32, -28, -15, -17, 1, 17, 2, -1, 29, -38, -30, 40, -13, 5, -25, -52, 9, 1, 32, 43, 6, -41, -10, 40, -27, 17, -2, -20, 46, -11, 28, -5, -2, 50, 18, -42, -45, -2, 33, 29, -8, -9, -13, -51, 26, -30, -9, -13, -38, 25, -1, -12, 4, 10, 46, -37, 24, 55, -26, -4, 21, 7, 17, -4, 20, -19, 21, -15, -34, -15, 11, 61, -23, -35, 37, 23, 5, -29, -36, 14, -27, 13, -3, 19, -23, 1, -26, -19, 47, 26, 21, -13, -10, -42, -31, 25, -17, -38, 4, 39, 38, -36, -24, 41, -8, -46, 13, 0, 33, -16, -36, 29, 23, -38, -43, 5, -25, 28, -27, 39, -6, 0, -26, 12, 5, 23, 12, -16, -53, -51, -23, -18, 19, 26, -30, 12, 17, -13, -39, -6, -6, -44, -17, -11, 43, -1, 25, -4, 23, 24, -34, 17, -22, -18, 14, -28, 36, -27, -17, -32, 26, -48, 20, 29, 15, 8, 13, -10, -26, -37, -40, -18, 24, -48, -2, -20, -5, 10, -5, -6, 16, 3, -28, -22, 7, 12, -38, -29, -39, 9, 47, 12, -1, 18, 1, 19, 41, -25, 14, -9, 34, -17, -15, 48, 47, 7, 52, 21, -18, -10, -17, 8, -2, 23, 17, -8, 32, 3, 4, 15, -2, 12, 13, 6, 0, 7, 31, -15, -31, -4, 14, -20, -1, 21, 15, 12, -51, 56, 43, 9, 27, 34, -12, -44, -34, -5, -53, -27, 26, -52, 4, -34, 25, 37, 51, 0, 19, -3, 17, -38, 3, -16, 39, 22, -15, 41, -21, -34, 30, -25, 0, -13, 11, -5, 30, 45, -35, 33, 16, 38, -29, -22, 36, 39, -6, 6, -38, -32, 10, -24, -31, 52, 23, 0, -20, 36, 55, 11, 21, 32, 26, 42, 3, 34, 46, 32, 0, 33, 36, 31, 21, -42, 28, 1, -40, 5, 17, -8, 33, -3, -10, 8, 8, 4, -9, -15, 17, -18, -45, 0, -34, -28, 23, 6, -23, -4, -38, -42, -9, 30, 45, -27, -18, 16, -5, -36, 15, 25, -13, 2, -31, 32, 59, -39, 8, 38, -29, -29, -19, -36, -5, 8, 19, 38, 1, 34, 26, -15, 14, -14, 25, 33, -17, 25, 22, 34, 31, -39, 12, -40, 24, -50, 18, -2, -28, -34, -29, 21, 17, 13, -11, -30, -10, 16, -6, -35, -57, -59, -37, 27, 25, 47, 10, -18, -16, 33, -28, -27, -33, -19, -21, 15, -23, 16, -50, 30, -8, 25, 7, 15, 29, 34, 26, -11, 25, -19, -7, -45, -17, 28, 32, 45, -23, -6, 1, 4, -54, -10, -28, 14, 24, 2, -12, 30, -38, -31, 22, -26, 5, 16, -51, -4, 82, -12, -62, 0, -23, -31, -12, -14, -41, 3, -3, -19, -38, -53, 5, -5, 24, -30, 13, 5, -12, -37, -38, 14, -25, 8, 40, 6, 1, -10, -9, 32, 23, 37, -5, 16, 33, 29, -31, -26, -1, -16, 22, 32, -31, 19, 20, -13, -26, -64, -19, 22, 2, 30, -48, -37, -46, 8, -37, -35, -9, 19, 42, 3, -35, 3, 41, 28, 20, -8, 29, -14, 27, -7, -55, 12, -39, 22, -11, 21, -35, -26, -39, -14, -18, 36, 29, 8, -30, 31, 30, 27, -30, -1, -24, -20, 25, 7, 28, -42, -61, -22, -44, -15, -39, 40, -46, -28, -24, -1, -3, 19, 0, 10, 15, 15, -15, -23, 37, 5, -10, -15, 26, 38, -28, 16, 46, -4, 3, 33, -21, -34, 11, -16, 53, 24, -3, 59, -19, 35, -13, 37, -39, -45, -49, -38, -29, -22, 28, -6, -23, 12, -22, 15, 14, 2, 6, -9, -3, 24, 8, -23, -31, -23, -19, 11, -12, 29, -21, 10, 7, 39, 18, 20, 2, 38, 36, 34, -7, 1, -28, -5, -5, -3, -10, 16, -18, -6, 0, 1, -12, 5, -25, -15, -8, -28, -14, 36, -35, -7, -3, 24, -33, -30, 25, -37, 61, -28, 1, -27, -5, 43, 28, 24, 5, 21, 1, 46, -7, 16, 42, 2, 25, -8, 15, -46, 21, -3, -30, -29, -5, 7, 18, 24, -45, 22, -11, 34, -33, 2, -33, 6, -33, -20, 6, 41, -36, 35, -21, -30, -32, -32, 26, 38, 29, 43, 4, -24, -14, 10, 17, 3, -19, -21, -30, 8, -28, -23, 5, -38, 2, 33, 21, -26, -25, 13, 34, -31, -28, 39, -17, 22, -3, 7, 34, -28, -23, -16, -26, -16, -31, -8, -2, 40, 40, 32, 21, -2, -19, 1, -46, -20, -31, 21, 4, 19, -3, -27, -13, 38, -21, -18, -42, 0, -11, 28, 5, -10, 26, -31, 34, -28, -40, -40, -48, -45, 19, 44, 42, 10, 41, 8, -23, 46, 13, 21, -13, 4, -27, 42, -39, 37, 31, 3, -52, 31, -59, -55, -5, 36, 13, -5, -20, -25, -31, -24, 37, 19, -4, 7, 17, 43, -11, -36, 39, -8, 15, -3, 19, 5, 7, 47, -12, 42, 31, 19, 23, 39, 15, 38, 29, -44, -46, -2, 23, 26, -3, 25, 36, 60, -43, 34, -1, 12, -14, 27, 22, 51, -10, 11, 53, 56, 33, 29, 18, 17, -13, 17, -31, -19, 4, -32, 42, -12, -40, 41, -18, -15, 11, 3, -4, 14, 19, 28, 27, 24, 46, -2, -30, -32, 25, -32, -43, -50, 17, -26, 7, -33, 31, 1, 46, -25, 39, 23, 1, -29, -21, 22, 26, -31, 21, -27, -35, 2, -35, 46, -14, 41, 55, -42, -14, 4, -31, 2, -25, -13, 11, -24, -18, 32, -28, -40, -2, -56, 17, 16, 38, -6, 21, 25, 8, -7, -22, -35, -6, 39, 14, 0, 45, -16, 3, -41, -13, -46, 37, 2, 0, 5, -12, 40, -28, -4, -29, 4, 18, -11, -45, -47, -35, -30, 25, -41, 24, -26, -37, -15, -31, 41, 12, -9, 0, -14, -6, -35, 7, 8, 13, 27, -4, 17, -23, 27, -5, 2, -37, 17, -19, 9, -32, 28, -19, 26, -21, 9, -49, 38, -14, -16, -19, -2, 21, 32, 36, -8, 7, -18, 9, -25, 27, -27, 45, 24, -15, 26, -35, 17, 22, 14, 8, 17, -15, 18, 15, -20, 30, 1, -37, -2, 62, 4, -5, -5, 53, -13, -36, 13, -35, -58, 37, -31, 4, 28, 7, 37, 37, -13, -40, -38, 5, -16, -3, 8, -11, -43, -44, -27, -40, 26, 30, -14, -19, 2, 40, -58, 72, 45, -33, 61, -21, 2, -55, 4, -2, -52, -52, 17, -59, 18, -2, -16, -21, 13, -18, 19, -53, -20, -26, 20, -25, -46, 3, 13, -7, -5, -58, 7, 45, -13, -5, -23, -37, 19, 9, 13, -27, 26, -33, 10, -18, 9, -22, 13, 32, -5, 6, -6, -19, 19, -28, -12, -1, 25, -8, -33, 8, 37, 13, 5, 38, -8, 16, -15, 39, 2, 15, -8, -25, -41, -22, 30, -8, 38, 10, -5, 19, 7, 11, 21, -5, 11, 34, -41, 33, 7, -28, -30, -11, -2, -1, -14, 4, 35, 25, -31, 13, 20, 8, 11, 40, 32, 24, -32, -33, -31, 13, 34, 24, 29, -3, -1, 18, -14, -28, -48, 6, 33, 6, 28, -30, 27, -9, 20, 31, -28, 1, -33, 30, 38, -13, 41, 29, -39, 19, -34, -42, -13, 10, 33, 26, 26, 26, -29, -7, 7, -39, -7, 2, 17, -15, -29, 2, 40, -2, 16, 36, 13, -10, -28, -26, -16, 36, -13, 6, -11, 13, -31, 9, 12, -16, -27, -37, 0, -19, -43, 10, -39, 2, 11, -24, 40, 6, 17, 24, -34, -42, 33, -39, 33, -16, 12, -20, -33, 8, -3, -8, 29, -46, 20, 36, 9, -42, -25, 10, -22, -33, -25, -5, -2, -33, -42, 12, 16, 17, 19, -22, 8, 42, 23, -24, -11, 29, -33, -38, -17, 31, -20, 0, -5, 8, -28, -10, -41, 32, -40, -53, 32, 25, 12, 11, -16, -18, -26, 6, -32, -18, -15, 16, 36, -35, 40, 37, -5, -13, -27, -13, 0, 33, -2, -28, -37, 32, -19, -17, 4, -4, 28, 8, 25, 0, -38, 39, -2, -48, -45, -5, 7, -45, 25, 8, 43, 36, 36, -9, -2, 31, -46, -8, -10, 15, 6, -5, -14, 0, -7, -11, -15, -23, -41, -16, -50, -45, -8, -37, -15, -11, 10, 14, -14, 0, 6, 41, 9, 10, 28, 40, 6, 35, 8, -27, 12, -9, -17, 14, 9, 7, 10, -36, -20, 25, -9, 31, 13, 27, -24, -14, -26, -18, -11, 4, -21, 3, -40, 40, -44, 2, -30, -37, 21, 8, 6, -30, 42, -4, -39, 36, -31, -13, 14, -7, -36, 40, 42, 35, 12, -25, 16, -17, 40, 44, 2, 10, -8, 1, 2, 53, 17, 42, -31, 39, 8, 19, -17, 0, 47, -10, 5, 14, 37, 37, 32, 12, 37, -36, -4, 36, 5, -46, -43, -26, -5, -42, -32, -41, -26, -38, -24, -29, 35, 44, 3, -35, -5, 8, -19, -42, -15, 2, -12, 6, 17, 34, -29, -29, -25, 6, 9, 37, 3, -9, -45, -15, -3, -16, -35, -29, 46, 17, 30, 10, 3, 27, -15, 8, 28, -26, -34, -45, 35, -2, 4, 27, -10, 22, -20, 0, -4, -36, 40, 38, 8, -20, -9, -42, 11, 9, -19, -22, -15, -26, -40, -31, -62, 42, 8, 15, 28, -24, -47, -47, 47, -55, -30, -36, -30, 21, 26, -44, -42, -30, 39, 37, -14, -45, 1, -39, 10, 9, 30, 26, 25, 3, -24, -45, -44, -27, 21, -14, -12, -32, -34, -48, 25, 23, -36, 9, 21, -1, 26, 46, 51, 4, -27, 0, -36, 31, 28, 18, -45, 17, -7, -31, -13, 2, -7, -6, -31, -35, -56, -18, -18, 14, -30, 42, -4, -28, 1, -5, 29, 10, 4, 44, -33, 14, 38, 30, -48, 35, -43, -43, -21, -31, 34, 13, 34, -42, -39, -35, -16, -21, -18, -25, -45, -45, 45, -39, -27, -40, -16, 33, 47, 9, -57, -7, 20, 1, 15, -22, -39, 6, 18, 1, -23, -40, -16, -11, -43, 14, -4, -46, 24, 45, -22, -16, -27, 16, -24, 19, 23, -37, 7, 16, -27, 35, 35, -31, 40, -16, 34, -43, 39, -16, -48, -4, -44, 1, -29, -40, -41, -18, -15, -5, 1, 2, -33, -7, -37, 9, -13, -20, 19, -35, 14, -1, -44, 21, -50, -32, 8, -46, 34, -31, 14, 0, -38, -6, -19, -36, 3, 28, -39, 3, -21, -49, -12, -13, -37, 19, -24, -32, 3, 37, -31, -3, 41, 13, -43, 5, -20, 18, 5, 32, -67, 30, 7, 27, 19, 23, 18, -17, 31, -29, -15, -20, -25, -3, -8, -20, 35, 4, -37, 23, 9, -25, -5, 23, -21, -31, -21, 42, -3, -10, 25, -16, 17, 38, 10, 20, 18, -38, 31, -33, -30, 58, -32, 42, 24, 14, -11, 8, 18, 37, -24, 11, -39, 14, 13, 37, -38, -22, -31, 8, -30, 19, -15, 19, 52, 50, 10, -8, 17, -21, -32, 39, -35, -38, 2, 3, -3, 39, 40, -11, 2, 7, -34, -30, -34, 6, -26, 11, -29, 47, -35, 13, 29, -36, -26, 32, 33, 38, 9, 32, -44, -37, -25, 2, 7, 27, -35, 11, 29, -28, 15, -30, -37, -6, -39, 30, 10, 38, 29, 39, -29, -25, -2, -16, 24, 52, -40, -14, -42, -4, 28, -35, 35, -10, -35, 7, 42, 23, -7, 40, 21, -12, -43, -11, -23, 30, 8, -13, -30, -1, -6, 25, -2, 2, -8, 29, -41, 24, 19, 8, 1, -30, 55, -18, 17, -29, -38, -11, -46, -42, 29, -45, 34, 13, -52, 15, -7, 19, 25, -7, -25, 32, 49, -24, -42, 33, 16, -53, -6, 10, 29, 38, 34, -36, -35, 20, 28, -34, -1, -43, -48, 6, -32, 35, -47, 20, 25, -33, 24, 27, 28, 38, 3, 21, 25, 11, -40, -13, -20, -53, -27, -32, 5, -22, -41, 9, 0, -26, -20, 11, 13, -30, 33, 52, 54, 14, -39, -41, 6, -29, -40, 34, 34, -25, 5, 35, -19, 23, 17, -29, 4, -26, -13, 30, 31, -9, 16, -43, -6, -7, -8, 32, 38, -30, 22, -23, -15, -48, -42, 16, -57, -36, -22, 25, -35, -56, -15, -33, -23, -41, 11, -34, 40, 10, -16, -17, 19, 27, 14, 15, 15, 34, -3, -41, 26, -20, 2, 64, 40, -37, 25, 39, -31, 34, -26, -2, 29, 34, -36, -7, 3, 3, 21, 36, -15, 36, -8, 26, -64, -11, -12, -5, -1, -42, 13, 1, 7, -4, -6, 62, -15, -10, 52, -16, -6, -37, -1, -39, -28, -24, -15, -40, 31, 31, 8, -44, -37, -34, -19, -21, -16, -27, 66, 41, 14, -25, 28, -29, -36, -10, 3, 13, 38, 20, -28, -11, -38, -38, -34, -34, 43, -24, -7, 10, -39, -25, 23, -27, 32, -34, -27, 42, 29, 20, -21, -3, -14, 67, 29, 10, 6, -6, -51, 14, -44, -25, 41, -36, -24, 50, 1, -22, 42, 0, -18, -17, -34, 9, -19, 3, 22, 16, -47, 15, 39, -37, -30, -21, 8, -10, 2, 3, 20, -37, 62, -11, -32, 28, -43, -46, -52, -11, -6, -24, 31, -22, -11, -3, -16, 29, -23, -26, 33, 10, 22, 18, 40, 3, 38, 21, -19, -41, 38, -24, -40, 11, -33, -6, 29, -18, 5, -27, -54, 18, 15, 6, 2, -23, -4, -47, -46, 9, -6, -32, 14, -38, -13, 43, 18, 39, 5, 8, -26, -7, 31, -7, 11, 10, 29, -34, -50, 22, 9, -11, 10, 35, -19, -24, -18, 19, 8, 8, 21, -5, 4, 18, -21, 38, 21, 6, 23, 16, 3, 45, 13, 9, -17, 18, 38, -7, -21, 13, -24, 41, 9, -56, 14, -36, -39, -11, 22, -30, 37, 26, -30, -29, -3, -13, 28, -30, -38, 28, -36, 22, 33, -8, -32, 44, 51, 17, 22, 26, -21, -40, -35, 25, -20, 21, 33, -4, 8, -22, 43, 35, 24, -1, -4, 10, 43, 22, 0, -15, 39, -40, 29, 15, 41, 56, 15, 30, 55, -12, -21, -6, -9, 51, 17, 35, -45, 39, 5, 34, -21, 37, -9, -8, 23, 32, -11, -4, -38, 11, 0, 43, 52, -19, -23, -15, -22, -28, -56, -54, -54, 25, -19, -64, 5, -51, -36, -18, 31, -38, 11, -22, 14, 42, -5, -5, -5, 1, 3, -40, -30, 32, -43, -8, -4, 40, 17, -38, 39, 5, -9, 23, -23, 16, -1, -46, -17, -30, -26, -45, 31, 26, 21, 21, -2, 36, -20, -8, -31, -37, -9, 6, 20, 6, 0, 26, 23, 9, -41, -23, 36, -44, 41, 36, 15, -16, -54, 28, -44, 14, 13, -10, 11, 32, 1, 18, -30, -38, 26, 10, 4, -8, -51, 10, 18, 31, -31, 52, -5, 21, 55, 2, 20, 5, -24, 10, -21, -17, 25, -29, -27, -13, 18, -20, 9, -5, -9, 8, 7, -49, 21, -13, 11, -27, -9, -20, 14, 27, 20, 39, -22, 14, -44, 10, -22, 35, -37, -5, -23, 66, -46, -10, 22, 11, 18, 25, 35, -34, 19, 46, -25, 5, 35, -34, 33, -35, -11, -45, 42, 8, -56, 22, -37, -32, -11, 27, -31, -38, -34, 14, 19, 35, 35, -43, -40, -80, -13, -36, -36, 10, -3, 14, 17, 14, 4, 9, -2, 0, -40, -10, -12, -12, -17, -16, 33, 6, 45, -41, 3, -10, -24, -38, 27, -41, 10, -21, -17, -25, 14, 0, 5, 6, -39, -49, 35, -12, -39, -12, 17, 18, 19, -40, -24, 18, -33, -6, 12, 35, 32, 42, 23, 15, 19, -25, -25, 39, -44, 38, 30, 2, 25, 12, 38, -13, 39, -37, -4, 24, -1, -29, 4, -16, 49, 25, 14, -2, 9, 31, 0, 35, 34, 13, 14, 8, 47, 58, -4, 30, -14, -29, -14, -11, -56, -15, 18, -26, 16, 52, -16, 24, -19, -41, 45, -5, 38, 4, -44, 8, 11, 21, 38, 6, 15, 47, 30, 2, -13, -9, 5, 31, 9, -47, 35, -2, 46, 29, -31, -7, 22, 34, -23, -35, -22, -4, 37, -15, -30, -14, 1, 19, 38, 4, -21, 22, 15, 44, 28, -15, -21, 20, -47, 27, -32, 5, 12, -33, -26, -41, -44, -46, 18, -13, -45, 11, 22, -17, -30, -19, 10, 21, -46, 21, 6, -18, -14, -13, -44, -65, -28, 9, -24, 6, 30, 40, 22, 1, 22, -53, 18, 12, -15, 39, -21, -29, -4, -30, -4, 39, -18, -31, 49, 50, 18, 13, -23, 30, -17, -16, 57, 17, 41, 1, 14, -33, -33, -16, -31, -7, 32, 15, -34, 29, 22, 49, 11, -9, -4, -8, -42, 33, 10, -15, 48, 21, -14, 51, -36, -13, 37, -34, -29, -36, 15, 1, 49, 51, 31, 25, -4, 31, 51, 11, -8, 8, 47, 33, 15, 0, -25, 0, -6, -22, -33, 20, -10, 22, -51, 13, 22, -3, 25, 39, 14, 2, -11, 14, 31, 19, -11, 0, 36, -25, 17, -24, 43, 1, 14, -41, -20, 30, 10, -21, 30, -6, -1, 10, 16, 11, 24, -31, 31, 40, 42, 40, -3, -7, -22, -21, -4, 13, -3, -19, 32, 9, -2, 28, -44, -8, -3, 17, -11, -9, 10, 5, -14, -27, 24, -21, 5, 26, 51, 55, -13, -18, 2, 8, -44, -24, -31, -30, -25, -17, 39, 47, -9, -30, 42, 11, 5, -10, 5, -20, 57, 37, 4, 37, -17, -49, -18, -4, -29, -4, -2, -52, 16, 22, 8, -9, 14, 42, 42, 3, 14, 34, 32, 13, -32, -34, 45, 34, 13, -21, -23, 29, -53, -47, -8, 13, -47, -30, 1, 33, 39, 40, -22, 0, -39, 32, 33, 11, 20, 0, 32, -32, 21, 49, 24, -19, -42, -2, -21, 0, 0, -35, -9, 8, -48, -51, 14, -59, -24, 26, 5, -36, 13, -16, 16, 12, -34, -10, 36, 11, 17, -29, -12, 48, -37, 51, 29, -38, 51, 42, -1, -34, -40, -23, 1, -25, 29, 20, 33, 12, -3, 5, -17, 16, 3, 4, -40, -35, 32, 7, -13, -22, -19, -22, 11, 18, 16, 41, -17, 39, -39, -1, 16, -33, -13, 48, -29, -2, 10, -17, 4, 17, -37, -39, 22, 2, -8, -22, 1, 31, -2, 13, 29, -50, 2, -18, -9, -3, 26, -19, 18, -19, -21, 8, 37, -18, -32, -43, -26, 31, 22, -11, -22, 2, 44, -39, 14, -9, -5, 15, -7, -32, 55, 14, 23, -17, 41, -1, -41, 41, -13, 21, 22, -7, -29, 43, -24, 40, -26, 11, -35, 32, -7, 20, 8, -38, -19, 16, -18, 30, -54, -14, -38, -57, 8, -15, -30, -53, 16, -71, -25, -21, -60, -45, -52, -22, 16, -33, -42, -40, -11, -9, -4, -14, -35, 22, -33, -24, -9, -30, -49, 3, -10, 5, 43, -17, -26, -9, -28, -29, -52, -11, 25, -8, -35, 17, 29, -28, 8, 44, 32, -30, 7, -55, -24, 81, 8, 4, 67, -41, -25, 46, -3, -50, -69, 7, -11, -42, -9, -21, -37, -17, -30, -37, -2, 22, -12, -1, -13, 27, 40, 33, -25, -1, 60, 6, 53, 55, -5, -49, -45, -46, -18, 17, -9, -9, -36, 8, -18, -16, 39, -2, 20, -14, 21, 4, -19, -27, 32, 10, -31, 23, 26, -16, -13, -30, -38, 33, 0, -24, -43, -26, 3, -8, 1, 9, 18, -58, -45, -21, 17, -1, -13, -8, 17, -16, -48, -1, 48, -6, 43, 21, 21, -40, -3, -14, -52, 30, 30, 9, -36, -11, 4, -17, -21, 25, 2, -8, 19, -39, 29, -21, 5, -23, -27, -19, 36, -29, -1, 23, -59, -43, 10, -31, -26, -8, 22, -15, -52, -67, -2, -34, -29, 35, -11, 16, 39, 16, -5, -52, -6, 28, 26, 52, -8, -35, 37, 3, 34, 6, 31, -30, -37, -3, -42, -39, 24, -24, -25, 12, -30, 6, -23, 22, -1, -8, 4, -6, 23, 34, 28, -39, 42, -25, 1, -22, -14, 11, 18, 7, -20, 28, -10, -27, -2, -24, 7, 56, 24, 13, -16, -24, 9, 6, -10, 40, -10, -28, 35, 2, 39, -28, -46, 50, 43, 26, -38, 33, 20, 15, -3, 0, 8, 5, -21, -29, 25, -3, 14, -9, 27, 17, -18, -5, 29, -41, -8, -18, -36, -4, -49, 8, 21, -51, 9, -30, 9, -31, 0, -5, 7, -14, -28, 28, 12, -31, -47, -72, -49, -36, -54, 14, 16, 19, -6, 14, -4, -16, -38, 25, 55, 6, 36, 46, -43, -21, 23, -34, 11, 24, -6, 21, 13, -28, 46, -38, 31, 20, 38, -27, -51, 39, -77, -67, -36, -34, -41, -46, 14, 6, 16, 3, 44, 4, 2, -36, -22, 45, -43, -7, -9, 43, 22, 5, -24, 41, 34, -32, -15, 36, 12, 18, 31, 0, -41, -47, -28, 2, -22, -16, -22, 30, 21, -13, 28, -50, -21, 31, -7, 25, 9, 58, -5, -46, 16, 31, -33, -37, 33, 32, -20, 6, 32, 44, -16, -39, -5, 15, -1, 14, 4, 46, -2, -28, -2, -14, -8, 22, 0, -32, -1, 3, 35, 15, 15, 38, 21, -31, -30, 34, 28, -44, -18, -9, -7, 1, 32, -4, -27, 24, -4, 19, -26, 36, -21, -15, -24, -5, 5, 30, -44, 8, 9, -17, -38, -30, 14, 14, 22, 16, 3, -22, 14, 5, -5, -21, -18, -46, 59, 0, 6, 8, 56, 34, 6, 14, -43, 38, -15, 32, -27, -40, -15, -10, -13, -39, -49, -33, 8, -5, 22, -3, -11, -34, -31, -40, 0, 5, -41, 8, 13, 17, 17, -3, 0, -11, -15, -16, -47, -24, -28, 13, 7, -45, 27, 24, 2, -9, -28, -35, 52, -8, -46, -31, 34, 31, -25, 31, -27, -21, 26, -16, -16, -24, -5, -5, 9, 7, 12, 3, -16, -33, 31, 11, -1, 36, -32, 55, -12, -18, -10, -25, 22, -16, 56, -25, -11, -25, -2, 1, -40, -13, 16, 11, 8, -20, 10, 30, 6, 23, -5, 9, -17, 20, -16, -18, -8, -16, 28, 14, -12, 16, -39, 32, 14, 18, 12, 2, -2, -13, -12, -19, -5, 32, -14, 36, 32, 2, -16, -30, 44, 19, -74, 20, 58, 73, -32, -15, 56, 17, 18, -1, 45, 49, -19, 40, -9, -32, -45, 19, 49, 31, -11, -52, 12, 25, 24, 2, 29, -57, -69, 3, 10, 22, 19, -35, -4, -20, 9, -10, 8, 9, -8, -11, 54, -41, -34, -29, 43, 32, 27, 32, -41, -18, -34, -22, -5, -12, 27, 15, 45, -45, 9, 41, 13, 43, -19, 1, -46, -6, -43, -42, 29, -19, 42, -11, -36, -15, 1, -16, -29, -19, -20, -25, -39, -25, -19, 12, 30, 9, 40, -4, 19, -38, 5, 58, 36, -11, 20, 8, 21, 15, -1, -3, -21, -28, -18, 10, 4, 42, -28, -25, 45, 15, -33, 15, 38, 4, 16, -43, -11, -6, 11, -54, 27, -41, -11, -17, 21, 3, 1, -29, -38, -22, -42, 38, -40, -27, 18, -25, 34, 19, -6, 33, -38, -17, 36, 13, 31, -14, 31, -13, -20, -8, 38, -24, -27, -42, 23, 5, -25, 14, 30, 0, -9, -71, 15, -44, -31, -20, -18, -40, -19, -16, 21, -17, 41, 22, 32, 32, 7, 41, 27, -39, 26, -41, 39, 6, 29, 28, -29, 23, 17, 26, -5, 10, 25, -52, 16, 31, 11, 1, -30, 2, 18, -12, 1, -15, 19, -1, -16, 24, 31, 5, -28, 55, -26, 16, 31, -42, 30, 34, -15, 3, -28, 2, -1, 44, -20, -56, 33, -7, 12, 31, -12, -56, 13, 50, -1, -41, 16, -28, -20, -22, 10, -38, -2, -4, 5, -11, -41, 37, 48, 21, -15, 12, 34, -35, -27, 36, -1, -3, -48, -32, 6, -18, -46, 5, -27, -3, -18, 39, 19, -27, 16, -21, 17, 32, -32, 36, 63, 22, -21, 28, 36, 24, -45, 6, -29, 40, -25, 12, 32, 35, 0, 21, 17, -37, 44, 33, 3, -17, 13, -33, -8, -18, 30, 40, 10, 44, -39, -29, 41, -49, -7, -26, -6, -32, -29, -41, -3, 34, -5, 13, -10, 5, -15, -19, 12, 26, -37, -17, 15, 0, -1, -29, -43, -23, -15, 10, 36, -7, 20, -44, -3, -35, -24, -4, -11, -18, -18, 46, -21, -3, 12, 20, 5, -34, 23, 54, 1, 24, 6, -85, -24, -11, -37, -21, -23, 20, -10, 11, -16, -33, 38, 9, -66, -37, 10, 11, -36, 16, -15, 15, 1, -26, -10, 28, -34, -16, -16, 25, -9, -47, -34, 9, -22, -44, -18, 16, -24, 6, -15, 20, 2, -37, -8, 5, -1, 35, 1, 41, 14, -20, -3, -53, 30, -64, 13, 11, -14, -2, 10, -24, 17, -10, 58, 56, -33, -4, 9, -20, 40, 6, 27, -33, -1, -10, 3, 18, -56, 31, -32, -3, 19, 33, -34, -44, 7, -29, -26, 49, -14, -44, -15, 2, -31, -4, -39, 6, 35, 36, 38, 34, 50, -15, 4, 18, 38, 16, -28, -45, -15, -28, 42, -14, 30, -25, 11, 1, 1, 26, -29, -17, -14, -31, -31, -29, 11, 34, 38, 11, -26, -21, -26, -38, -14, -16, 12, -3, -37, 27, -30, -22, 14, -5, 10, -22, 28, 13, -8, 30, -35, -22, -5, -6, 0, 26, 37, -40, -43, -24, 33, 18, 29, 9, 25, 22, -40, -51, -30, -3, -33, -1, -7, -17, 18, -47, 18, -13, -33, 41, 2, -28, 4, 18, -7, -15, -23, 2, -6, -37, -13, 38, -29, 44, 19, -16, 37, -3, -28, -28, -17, 19, -12, -46, 48, -30, -6, -37, 41, -25, 26, -25, 49, 19, 18, -15, 24, 6, 8, 5, 43, -2, 27, 19, 31, 48, 34, -18, 17, 22, -39, -6, 12, -12, -13, -41, 10, 13, -52, 45, -21, 0, 1, 16, -36, 33, 15, 9, -4, 13, -3, 34, 27, -48, -9, -26, 31, 17, 17, 34, -38, 3, 17, 8, 38, 1, -28, -12, -5, -12, 15, -21, 18, 14, -4, -13, 35, 6, -4, -13, 41, 31, 24, -6, 11, -40, 21, -25, 10, 20, -6, -54, -28, 52, 4, -28, 72, 3, -10, 8, 32, -9, -12, -3, 9, -8, -1, -37, -48, 14, -20, -13, 18, -34, -33, 21, -3, -24, -31, 36, -25, -29, 31, 12, 47, -73, -56, -1, -1, -17, 44, -1, -14, -5, -16, 36, 19, 25, -18, -49, -22, 36, -14, -3, -16, 26, 6, -31, 43, 16, -45, -20, 15, -20, 7, -10, -3, 35, 10, 46, 20, 33, 15, -2, 44, -23, 25, 28, 28, 6, -18, -26, 21, 46, -35, 20, -16, 22, -40, -17, 19, -26, 37, 5, 13, -30, 38, -13, 48, 22, 26, -11, -35, -10, -48, 40, 1, 8, 39, -4, 12, -26, -5, -30, -34, 8, -34, 13, -8, -28, -48, 10, -1, -23, 4, 33, 43, -5, -24, 3, -15, -10, 18, -53, -12, 38, 32, -25, 14, -9, -30, 28, -2, 34, 3, -32, 16, 29, 24, 45, -3, -29, -8, 35, -5, 42, 37, -13, 26, 34, 16, 22, 32, 11, 31, 15, 11, 23, 11, 31, -50, 43, -3, 23, 40, 40, 6, -28, -8, -3, -9, 35, -12, 1, -43, -7, -4, 37, -28, -2, -29, -7, 17, -44, -44, -28, -26, -33, 0, -22, -11, 28, -7, -20, -8, 13, 64, 9, 2, -7, -23, 40, -8, 28, -41, -7, -42, -19, 14, -12, -10, 37, -1, -39, 9, 40, 37, 29, -4, 25, 17, -13, 17, 23, 34, 38, -30, 13, 14, -10, -1, -38, -29, -21, 13, -1, -35, 37, -20, 43, 2, -25, 31, 5, -39, 35, 23, -11, -18, -38, 19, 39, 25, -36, 2, 35, 18, 36, 19, 25, -29, -16, -12, 13, 4, -36, 21, 25, -4, 10, 6, -17, -42, 26, -4, -6, -14, 2, 26, 2, 34, -17, 16, -5, -18, 19, 22, 29, -26, 35, -25, 17, 15, -4, 36, 10, -38, 0, -8, -23, -38, -18, -22, 11, 9, -29, 4, 26, -31, 36, -7, 5, 0, -3, 13, -35, 19, 34, -17, -24, 13, -14, -16, -55, 24, -40, -50, -29, -21, -24, -13, -18, 31, -10, 15, 21, -4, -26, 8, -44, -31, 3, 20, 10, 1, 40, 27, 19, -6, 44, 35, -7, 12, 37, -17, -13, 52, 30, -19, 11, 5, 7, -32, -18, -40, 27, 16, -19, 19, 40, -28, -42, 38, 17, 43, 1, 0, 35, -44, -29, -47, 7, -3, 22, 7, -40, 22, 7, -29, 15, 37, -46, -42, -34, -12, -3, 25, -14, -36, 3, -7, -33, -27, -4, -41, -27, 31, 18, -38, 34, -42, 17, 19, 10, -18, 18, 7, -31, 49, -40, -1, 10, 28, -18, 32, -45, 11, 40, 6, -5, 6, 47, -14, 27, -23, -1, 17, 42, -37, 4, -2, -10, 46, -15, 27, -33, 0, 28, -13, -37, 2, 6, -15, -43, 15, -25, 3, -24, -4, 15, -12, -11, -4, -4, -19, 7, -18, -8, 26, 16, -30, 23, 27, 30, -18, -39, 42, -24, 3, 11, 21, 12, 42, -7, 4, -3, -52, 6, -27, 9, -33, 49, -48, 20, -27, 16, -36, 22, -16, 56, 30, -36, 36, 21, -5, -33, -43, -17, -9, 11, -45, 50, -47, -1, -6, 16, -21, 15, -33, -48, 31, -17, 9, 6, -8, -11, 2, 31, -19, -4, 14, 14, -15, -2, 44, -4, -13, -36, -42, -5, 0, 10, -29, -16, 42, 3, 3, -41, 6, 45, 24, -19, -20, -31, 12, -45, 44, -15, -5, -11, -9, -22, -16, -20, -18, -32, 19, 31, 30, -20, 38, -3, 37, 11, 11, -13, 25, -9, -21, 10, 2, -39, 6, 46, -8, 18, 15, -20, 20, -19, -20, 21, -1, -20, 17, -21, -17, 19, -10, -10, -68, 37, 1, -16, 28, 27, -5, -1, -39, -18, 27, 0, -27, 28, -14, -10, -31, 43, 26, 10, -20, -26, -45, -49, -5, -41, 5, -28, 24, 30, -19, 12, -34, -7, 12, 29, 23, -44, 20, -33, 30, -12, -23, 21, 3, 27, 41, -19, 33, 20, -25, -26, 23, -6, 12, 11, 29, -12, 7, -4, -2, 52, -15, 33, -23, -33, -27, -9, -16, -11, -16, -39, -10, -9, 13, 2, 18, 4, 12, 40, 7, -18, -51, 31, -21, -24, -35, 10, 2, 30, -28, 14, -9, 6, 27, -19, 24, -17, 37, 36, 19, -42, 20, 61, -4, -20, 33, 39, 28, 33, -9, -3, 19, -36, -7, -5, -5, -45, -59, 2, -21, 26, -56, 34, 42, -18, -29, -48, 4, -8, -3, 32, 3, 10, 12, -46, 8, 17, -8, 27, -48, -34, 6, -8, -2, 51, -11, -4, 31, -35, -26, 39, 12, 7, -25, -4, 43, -40, 27, -37, 44, 19, 16, -8, -21, -56, -8, -23, 13, -33, -24, -5, -39, 6, -21, -24, -15, -33, -58, -24, -12, -33, -39, 1, -13, -24, 29, -13, -34, -40, 10, -35, -43, 11, -10, 5, -27, 2, -10, -4, 27, -29, -34, 8, 32, -37, -44, -3, -11, -23, -32, 14, -33, -40, 27, 21, -12, -33, 26, -38, 30, -22, -28, 5, 6, -20, -44, 18, 1, -20, 24, 34, 7, 0, 26, -47, 13, -10, -15, 7, 39, 25, -2, 25, 27, 9, -7, 40, 35, -20, 11, 0, 13, 23, 31, -19, -27, -11, -32, 13, 30, 18, -19, -12, 30, -62, -10, -29, 14, -14, 14, -2, 31, 58, 27, -32, -2, 6, 32, 15, -22, 30, -18, -8, 5, 0, 27, -31, 14, 34, -17, 36, -38, -26, 42, 9, 35, 22, -2, -49, 0, -24, 3, -21, -38, 1, -30, -12, 55, 36, -6, -23, -12, 25, 7, -2, 19, -10, 15, -15, -36, -19, 15, -1, -6, -12, -32, 31, -18, -41, 2, -21, -9, -6, -22, 22, 3, 30, -11, -46, 40, -45, 3, -22, -13, -34, -10, -4, 2, -20, -3, -31, 6, -14, -21, -29, -3, 29, -2, -36, 15, 13, -23, 6, 20, -5, -39, -42, 36, 31, -32, 44, -42, 14, 22, 44, 31, -5, -24, -17, 23, -38, 22, -12, 6, 33, 14, 40, -10, -31, -33, -10, 25, -34, -30, -6, 24, -25, -12, 34, 14, -46, -8, -48, 17, 32, -27, 16, 31, 29, -43, -12, 5, -30, -32, -22, -10, -18, -12, 2, 1, -38, 2, -49, 30, 16, -14, -5, -22, 38, -54, 27, 5, 26, -14, 22, 10, -23, 37, 33, -48, 30, -20, -12, 7, 37, 18, -28, 7, 12, -14, -14, 49, 1, -15, -30, 15, 40, 14, 45, -35, 46, -10, 33, -4, -12, 28, 32, -16, -8, -44, -17, 11, -46, 3, 19, -12, -33, 18, 21, -29, 12, 17, -13, -9, 14, 35, 13, 14, 15, 26, 13, -26, 29, 20, -9, -32, -14, -39, 39, -40, 22, -21, 32, 24, 30, -29, 46, 17, -29, 4, -36, -18, -38, -8, -37, -32, 15, -47, 21, -16, 14, -6, 48, 28, 27, -26, 12, -7, -22, 41, -45, 13, 6, 22, 11, 7, -24, -10, 27, 32, 32, 48, 8, 27, 46, 0, -22, 28, 21, -36, -16, -47, -37, 31, -14, 39, -8, -4, 2, -41, -12, 22, -10, -30, 13, -18, -8, 0, 17, 33, -16, 1, -13, 15, 8, -18, 38, -33, 25, -17, 46, -7, -34, 34, -33, -13, 21, 43, 27, -1, -39, -37, -33, 19, -24, -37, 47, -38, -31, -17, 41, 34, -32, 37, -23, -22, -10, -35, -38, 10, -8, -4, -15, -30, -32, 27, 1, 19, -1, -11, 28, 35, -16, 37, 10, -18, 17, -10, 32, 2, 1, -16, -40, -1, 39, -2, 14, -5, -5, 9, -30, -10, -40, -32, 24, -24, 3, -24, -7, 20, -39, 42, -10, 9, 13, 14, -27, -42, 26, 41, 32, 1, -15, 9, 29, 24, -32, -31, -28, 39, -33, -27, 11, 27, -14, 15, -17, 6, 29, -13, 28, 14, -25, 4, 21, 12, 24, 9, -6, 32, -40, -37, 52, -52, -50, -19, 15, -29, 33, 10, -43, 7, 21, 8, 18, 29, 2, -41, -41, 14, -21, -26, -5, 32, 25, -16, 10, -6, -25, -27, 3, 13, -31, 2, -29, -16, 38, 2, 37, 39, 28, -36, -19, -21, 10, -1, -19, -6, 32, 0, -19, 19, -41, 30, 36, -5, 22, 34, -26, 24, -2, -45, -11, -39, -39, 28, -11, -37, -11, 35, -20, 36, -30, -16, 30, 26, 7, 21, -9, 10, -12, -34, 25, -23, -22, -31, -32, -14, -26, -36, -14, -32, -37, 6, -13, -1, -39, 2, 51, 0, -41, -25, 31, -20, 38, -14, -39, -36, -14, -12, -1, 10, 43, 35, -36, -9, 32, -38, -41, 6, 38, -39, -7, -2, -27, 30, 27, 5, 44, -33, -7, 20, 38, -23, -29, 45, 35, -29, 34, -43, -16, -50, 5, 10, -2, 28, -39, 19, -16, 36, -24, 11, -4, -30, 28, -10, -33, 22, 35, -33, 30, -10, 37, -16, 10, 10, -17, -23, -8, -11, 28, 31, 27, 9, -18, 26, -42, 15, 4, -14, 41, 14, 35, -24, -26, 38, 28, 2, 26, 8, -30, -37, -6, -29, -27, -36, 18, -19, 5, 12, 5, -34, 49, 28, 33, 1, -34, 31, 28, 45, -19, 4, -6, -4, -31, -37, -32, -5, 29, 1, 5, -46, -34, 13, 7, -36, -6, -6, -40, 11, -32, -34, -7, 34, 33, 15, 29, 26, -4, 21, -40, 31, 30, 8, -19, 7, -21, -45, -33, -5, -43, -2, 23, 14, 4, -5, -36, 28, 0, -13, -2, 26, 0, -34, 18, 14, 27, -35, 35, 47, -38, -43, -26, -5, -20, 1, 8, -29, 43, -24, -37, 6, 1, 21, 22, -3, -29, -43, -26, -24, -9, 9, 19, 11, -19, -17, -6, 36, -39, 25, -36, -34, -37, 8, -14, -1, 21, -25, 30, -31, 30, -10, 33, -24, -22, 32, -16, -22, -21, -45, -21, 5, 28, 25, -36, -9, 31, -42, 34, 3, -12, 37, 32, -38, 25, 19, 11, -50, 7, -31, 34, -65, 28, 9, 27, -28, -7, -47, -50, -50, -7, 30, -27, -22, -23, -22, -17, 29, -32, 26, 24, 25, -13, -30, 11, 24, 30, 24, -35, 34, -20, -7, -6, -28, -26, -29, 12, -43, -52, 10, 9, 31, -53, 22, -26, 18, 34, 32, 7, 41, 32, 1, 7, -34, 34, 37, 32, -32, 32, 40, -2, -5, 29, -8, -20, -19, -7, -22, 3, -2, 15, -26, -16, 9, -18, 39, -30, 2, 42, -22, -32, 43, 0, -14, -50, -8, 15, 23, -32, 22, 0, 52, -4, -43, 33, -12, 1, -24, 4, -36, -8, -27, -45, -18, 12, -23, -20, -19, -13, -27, 11, 24, 36, 19, -43, 51, -43, 32, -27, -2, 28, -34, -39, 25, 18, -42, -5, 38, 27, -14, 19, 20, 31, 42, -37, 22, 8, 4, -33, -49, -30, 4, -13, -7, -52, 16, -41, -22, -2, 33, -15, 27, 44, -31, -42, 33, -4, -37, -40, 35, -8, -47, 11, 30, 34, 14, 16, 11, 43, -23, 30, 14, 32, 34, -45, -28, -42, 16, 27, -17, 6, -27, 41, 27, 14, -32, -41, -27, 2, 12, -35, -1, 2, -11, 11, -44, 10, 14, -42, -1, 37, -13, -9, -15, 11, 30, -46, -22, -33, 41, -23, -13, -41, -10, 45, 32, -33, 39, 15, -32, 38, 10, 8, 48, 40, 12, 51, -26, 40, 35, 30, 21, 0, -41, 43, 5, -24, -14, 0, -42, 39, 28, 5, -29, -25, -20, -25, 0, 35, 12, 17, 33, 17, 7, 13, 8, -30, 5, -35, 7, 6, -36, -35, -40, 28, -25, -42, -50, 13, 41, -22, -55, -4, -45, 11, -19, -1, 19, -6, -31, 15, -44, 43, -15, -19, 22, 13, 30, -42, -47, 25, 29, -40, -12, -5, 23, 16, 33, 3, 20, 6, 31, 5, 25, 2, -36, -27, -10, 33, 8, -42, 23, -31, -37, 0, 32, -54, -19, 38, -5, -5, 21, -11, -32, -34, -15, -24, -8, -16, -12, 15, -11, -24, -10, -23, -28, 8, -49, 2, 25, 9, -8, 25, 3, 40, -3, 20, -28, -50, -15, 18, 11, -26, -47, -47, -5, -10, 29, -39, -47, -47, 24, 21, -48, -11, 18, -41, -19, 2, 21, 6, 32, -21, 8, 31, -31, 40, -44, 33, 11, -49, 36, 21, -9, -27, 46, -45, 45, -30, 14, -12, 51, 5, -34, 5, -41, -8, 6, 0, 12, -34, -9, -37, -10, 28, -21, 4, 11, -18, -2, -21, 7, -8, -21, -6, 17, -10, 26, 6, -42, -21, 8, -34, -23, 41, 13, -40, -40, 23, 27, -34, -40, 11, -31, -31, -12, 22, 9, -36, 36, -9, 0, 32, -39, 27, -17, -51, -11, 15, 11, -21, -35, -28, -28, -34, 21, -51, -1, 12, -28, 2, 32, 25, -37, -8, -11, 37, -30, 11, -15, -45, 5, -13, 34, 17, -34, -16, 39, 23, -46, -38, -15, -33, 8, 17, 40, -35, -17, 15, 23, -19, 3, 32, -22, 35, -15, 7, 11, 13, -6, 13, -26, 30, -36, -1, 10, -22, -24, -20, -42, -48, -12, -2, -24, 22, 19, -52, -13, 19, 25, 43, -19, 28, -35, 45, -42, -21, -15, 43, -19, -7, -3, 39, -24, -43, 27, 18, -39, 35, -8, 48, 29, -24, 24, 11, -5, -18, 37, 0, -35, -35, -2, -10, 26, -45, -28, 5, 23, 42, -37, 8, -15, 10, 28, -2, 32, -23, 30, 7, 20, -45, 21, 14, 32, 46, -34, 39, 39, 8, 40, 19, 23, 27, 62, -37, 34, 33, 16, 15, 50, -29, 3, 5, -28, -28, -5, -29, -41, -49, 23, 9, -6, 6, 23, 47, 39, 15, 19, -29, 22, -13, -28, -1, 24, 28, 17, -47, -24, -46, -31, -31, 43, -25, -6, 15, 35, 24, -7, -6, -12, -46, 45, 27, 9, 34, -11, 28, 7, 26, 3, 0, -36, 2, -24, 42, -24, -4, 33, -19, -24, 31, 17, -18, 6, 39, -42, 3, 7, -31, -31, -36, -13, -21, 32, -28, 22, -42, 4, -21, -47, 18, -46, -20, -2, 21, -46, 17, 6, 13, -36, -20, -9, 20, 46, 35, 32, 6, 22, -25, 5, -19, -28, 43, 23, 27, 28, -26, 18, 6, -17, 54, -49, 1, 1, -38, -19, -22, 48, -26, -21, -35, -15, 34, -31, 12, 29, 13, 1, -61, 49, -21, -1, -19, 1, 30, 18, -43, 21, 28, 34, -6, 9, 16, 11, 0, 33, -20, -42, -32, 37, -22, 35, 24, -7, 24, 10, -39, 9, 37, -21, -22, -12, -19, -37, -16, 24, -39, 18, -28, 35, 6, 38, -21, 7, 12, 15, 17, -6, 26, -47, 39, 16, -12, 3, -26, 28, -45, -24, -9, -12, 23, -13, -1, -31, -6, -11, -36, -8, -14, 3, 36, 28, -32, 9, 8, -52, 9, -38, -29, -37, 29, -27, -5, -19, -4, -19, 38, 16, 37, 7, 32, -20, 35, -22, -7, 32, 17, 48, -27, -38, 9, -43, 15, 34, -21, -6, 24, -22, -49, 11, -12, -27, 34, -2, -50, 0, -24, -29, -14, 36, 6, -41, -37, 3, -26, -27, 0, -3, 17, 24, -39, -40, 35, -43, -14, 37, 21, 0, -34, -23, -41, -29, -10, -1, -45, 30, -34, -42, -45, 21, 33, 15, 0, 1, -5, -29, 11, -47, 30, -21, 25, -34, -13, -15, -14, 11, 20, -48, 18, 11, 5, 46, 12, -37, -21, 41, -11, -23, 21, 6, 22, -30, -4, 9, -42, 4, 26, -22, 29, 3, -11, -23, 3, 44, 8, -27, 25, 31, -44, -21, -13, -6, -13, 36, -20, 16, 43, 42, 36, -45, -32, 17, -25, 25, -3, 45, 7, -21, -12, -32, 0, -7, 14, 37, 10, -6, 3, -12, 9, -24, 27, -25, -15, 51, 9, -38, -34, 37, 26, -39, 24, -24, -7, 13, 15, 38, -42, 38, 31, 33, -30, -17, 47, 17, -11, -18, 7, -32, -32, -46, 33, 24, -24, -19, -30, -4, -19, 30, 17, -22, 2, 34, 6, 7, -29, -22, 13, 5, 30, 34, 10, -31, 5, 8, -27, 32, 3, -30, 35, 6, -23, 28, -18, 44, -10, 27, -2, -10, 37, 9, -6, 30, 9, -31, 22, 28, -21, -4, -46, -13, 20, 12, 21, 26, 13, 28, -32, 22, 4, -43, 25, -41, 10, -37, 21, -34, 12, -41, 36, -16, -45, 34, 5, -17, -6, 32, 54, 0, 43, 7, -6, -7, -39, -19, -24, 3, -29, 33, -12, -21, 43, 5, -31, -2, -1, 47, 34, -4, 7, 7, 14, -13, -14, -43, -44, 1, -39, 45, 29, -13, 19, -21, 0, 2, -15, -15, 9, -8, -46, -28, 10, 50, 16, 38, 40, 18, 40, 19, 28, 18, 27, -26, -40, 7, 37, 12, -16, 4, 33, -23, 18, 50, -40, 23, -11, -41, 43, -41, 29, 8, -15, -40, -31, -13, -10, -23, 6, -4, -4, 11, 24, 30, -38, 37, -47, -19, 34, -18, 6, -25, -29, 34, -56, 31, -18, -68, 37, 10, -13, -52, -7, -11, -41, 20, 7, -10, -13, -9, -33, -19, 33, -19, 13, 32, -25, 6, -13, -39, -2, 6, 27, 6, 1, 2, 32, 59, -38, 11, -49, -44, -21, -26, -33, 9, -28, -4, -28, -51, 58, -34, 35, 21, 22, -18, -14, 27, 7, 38, -32, -47, -48, 26, 42, 7, -34, -40, 2, 17, 36, 46, -13, -9, -44, 34, -23, -7, 2, -26, -27, 6, -1, 3, -37, -46, 7, 7, -45, -29, -28, 36, -49, -2, 21, -43, -22, -1, 25, -22, -28, 37, -32, -6, -30, 8, 36, 5, -13, 13, 42, -49, -44, -5, -28, 22, -13, 6, -4, -12, -22, -20, 2, -19, -53, 27, -1, -36, -39, 16, 15, -34, -25, -26, -26, -32, 40, -2, 2, 28, -22, 47, 26, 7, -37, -44, 14, -13, 18, -6, -15, -36, 16, 7, -25, -17, 29, 42, 10, 9, 22, -28, 1, 36, 33, 27, 7, 3, 12, 16, -51, 46, -22, 34, 44, 6, -2, 10, -17, 39, 16, 28, -15, -28, -7, -30, 9, 23, 2, -6, -20, -15, -59, 39, -45, 12, 33, -39, 36, -23, 32, -4, 6, -22, 14, 12, 1, -4, -44, 36, 23, -59, 47, 11, -40, 13, -14, 2, 22, -44, -27, 2, -18, 13, 44, 43, -25, -13, 16, -7, -15, -26, 14, 26, -45, 10, -14, 47, 14, 17, 25, -10, 25, 10, -40, 20, -26, 8, 57, 16, -31, -45, -35, 32, -34, -22, 6, -30, -1, -20, 27, -23, -6, 6, 10, -12, 40, -25, 15, -39, 20, 19, -34, 18, -27, 9, -9, -7, 20, 19, 37, -20, 8, 22, 22, -28, -17, 15, 28, 47, -20, 15, 14, -21, 18, 3, -19, 13, 17, 24, 26, 27, 12, -1, -32, 5, -36, 43, 23, 5, -16, 38, 19, 21, 5, 21, 4, 23, -14, -27, 17, 27, 30, 41, 10, 1, 42, 7, -24, 32, 23, -44, 9, 11, -22, -17, -50, -41, -26, -49, 16, 7, -14, 49, 2, -4, 16, -7, 24, -13, -44, -40, 2, 6, -34, -55, -37, -14, 18, -35, -4, 19, -29, -3, 6, 4, -2, 25, 51, 23, 53, -33, 9, 40, 0, 47, -24, 18, 31, 9, 42, 14, 30, -23, -1, -23, -30, -13, -10, 9, 51, 18, 14, 9, -43, -1, 28, 16, 10, -26, 36, -33, -35, -28, 46, -7, 28, 40, -26, -27, -33, -35, -38, 3, -12, -13, 23, 2, 34, 34, -19, -36, -12, -32, -19, 22, -32, 0, 20, -23, -44, 6, 17, -51, -44, 2, 17, 15, 2, 35, 32, -45, 37, -5, -51, 13, -3, 4, -36, 23, 28, -47, -45, 5, -15, 28, 31, -40, -9, -41, -1, -28, -34, 10, 4, 20, 21, -51, 19, 40, -35, -26, 42, 43, 41, -28, -7, 33, 31, 12, 33, 4, 9, -11, -18, -24, -13, 7, -20, 27, -35, 7, 12, -19, 40, -17, -4, -8, 6, -5, -2, -13, -43, -30, -21, -7, -25, 12, -19, 34, 32, -9, -22, -30, -59, 17, 23, -6, -1, 7, 30, 16, -1, -17, -16, 27, -21, -21, -41, -20, 14, 29, 40, -19, -27, -19, -25, 34, -19, -24, -14, -21, 45, -13, 10, -1, 33, -32, -12, -1, -33, -7, 9, 32, -45, -42, 12, -42, -11, -30, -11, 0, 11, -34, 4, 2, -6, -8, -12, -33, 35, 32, -18, 14, -12, 9, -23, 20, 7, -51, -6, 51, -26, -62, 22, -43, -9, 27, -29, 7, 13, 6, 18, -27, 8, 14, 44, 11, 25, -2, -45, -56, 10, 34, -4, 7, -22, -9, -28, 27, 55, -11, -20, 8, -7, -6, 44, -44, -4, -36, 1, -17, 24, -32, -38, -25, 27, -11, -2, 23, -15, 22, 37, 47, 31, 42, -6, -45, 13, -35, -14, -37, -42, -24, -47, -22, 50, 39, 3, 44, 18, -16, 39, -28, 30, -9, -2, 1, 27, -23, -51, 30, 40, 20, 32, 10, 0, 56, -17, -48, -42, 33, -32, 25, 27, 23, 28, 2, -24, 8, 40, 20, 41, 37, 4, 29, 0, -20, 13, 18, -1, 26, 23, 10, -23, -34, 19, -3, 41, 6, 8, 31, 7, -11, 22, 17, -27, -12, 28, -6, -30, 21, -51, 23, 48, 34, 24, 34, -6, 26, -30, -19, 20, -43, -10, -27, -13, -13, 52, 9, -37, -17, 35, -50, -43, 7, -6, -42, -33, -19, -32, -25, -39, -17, 19, 22, -38, 61, 12, 3, -63, -22, -5, 0, -32, 18, 24, 33, 71, -12, 43, -10, -13, 30, -27, -28, -28, 3, 50, -20, -38, -8, 15, -30, -31, 15, 31, 16, 31, 4, -29, 42, -20, 37, -42, -12, -17, 13, -8, -31, 27, -11, 8, -44, -17, -32, 45, 53, 38, 22, -20, -37, -66, -69, -33, -15, 41, -8, -45, -33, -14, 18, 9, 31, -10, -34, -48, 15, -35, 27, 5, -57, 4, -43, -51, -30, -50, 52, -14, -56, -13, 41, -24, 28, -15, 39, 30, -16, 4, 32, 27, -11, -12, -40, 14, 21, -36, 37, -17, -16, 1, -55, -16, 44, -27, -7, -18, 61, -27, -7, -12, 23, 18, -16, 6, -23, -16, -36, -22, -35, -13, -38, -15, 76, 33, 64, 21, 6, -65, -47, -11, -27, 6, 47, -23, 2, -18, -14, 38, 41, -12, 20, 8, 22, 30, -37, 8, 30, 13, 34, 31, 48, -45, -10, -26, 37, 4, 39, 33, -9, 47, -8, 1, -6, -17, 0, -10, 20, 1, -51, 3, 56, -9, -28, -3, 44, -11, -31, -25, -44, 2, 27, -21, 24, -10, 19, 14, -25, 19, -2, -25, 22, 25, 19, -26, -61, 31, 2, -11, -21, 21, -3, -32, 33, 33, -32, 2, 45, 25, 36, 19, 33, 24, -1, 28, -21, -42, -32, -16, -21, 19, 38, 47, -5, 14, 65, -17, 81, -34, 60, 66, 16, -23, 6, -40, -35, 4, -21, 33, -7, -40, 13, 37, 16, -3, -7, -32, 13, -14, 49, -13, 20, -21, -24, -3, -68, -43, -13, 12, -2, -21, 37, -31, -25, 40, 4, 36, 30, -47, -15, 3, -35, -17, 27, -47, -28, -33, -4, 19, -44, 3, 20, 47, -3, 25, -5, 2, 14, 27, 10, 12, -39, -47, -13, -45, -2, 23, -10, -18, -9, -4, -42, -43, -22, -56, 17, -33, 33, -8, -19, 44, 14, -42, -26, 17, -44, -11, -14, 26, 2, -19, 1, -42, -40, -42, 30, 12, 23, 91, 35, 11, 22, 30, -17, -21, -3, 49, 3, 29, 1, -27, -42, -39, -38, 4, -22, -13, 27, 6, -23, -5, 1, 52, -26, -20, -21, 20, -18, 45, 44, -18, 7, -21, -21, -36, -47, -47, -18, 26, 25, 23, 23, 17, -24, -25, -6, 11, 9, -22, 5, -21, -6, -37, -27, -11, 28, 20, 26, 25, 31, -58, -48, -24, -13, -26, 31, 34, -40, 58, 26, 2, 14, -35, -56, -16, -33, -80, -19, 9, -17, -34, -8, -49, -27, -2, -9, 24, -23, 34, 5, -17, -57, -6, -29, 13, -13, -11, -29, 48, 30, -2, 10, 4, 10, -6, 13, -16, 18, -21, 8, 36, 8, 60, 51, 15, 3, -19, -11, 11, -59, -13, -38, -76, -54, -76, -32, 34, -36, 22, 13, -26, 2, 7, -5, 48, -17, -44, -10, 13, 7, 20, 45, -10, 1, -16, -1, -4, 35, 18, 39, -1, 30, -7, -43, -50, 30, 34, -29, 45, 30, 26, -17, 5, 21, 12, 27, -3, 32, 49, -32, 26, 0, -40, 22, 12, -6, -12, -14, -5, -19, 74, 10, 33, -21, -34, 5, -15, -5, 16, 1, 48, 51, -15, -10, 50, -9, 9, -5, -23, -14, -48, -26, 47, -45, 25, -3, 1, -12, 30, 17, -7, 25, -5, 25, 0, 46, 19, 17, -24, -17, 53, -44, 18, 23, -5, -32, -35, -10, 37, 37, 10, -40, -32, 17, -10, 39, -9, 12, 46, -6, 16, -46, 38, 23, -25, -22, -50, 43, 42, -35, -25, -33, -45, -13, 45, -20, -30, 38, -45, -39, -22, 17, 7, -65, -37, -13, -53, -18, -26, -51, 1, -62, -37, 8, -25, -17, 29, -16, -30, 86, 15, 51, -41, -42, 11, 1, -7, 19, -33, 13, -28, -18, 17, 7, -13, 4, -2, 11, 26, -34, -14, -37, 9, -17, 2, 26, -45, 33, -8, 32, 11, 23, 40, -8, -4, 13, 32, 15, -28, -15, 6, -26, 28, 52, -36, -11, 32, -15, 47, 16, 8, 6, 18, 7, 28, -45, -3, -14, 3, 20, 45, 46, 37, 15, 22, 31, -43, -20, 5, -44, 29, -11, 44, -19, 27, 8, 44, -16, 3, -1, -35, 2, 30, -15, 31, 26, -4, 18, 41, 37, -51, -43, -46, -52, -17, -2, 19, -28, 5, -22, -32, -35, 2, -43, 33, 31, -18, -7, 13, 6, 16, -45, 29, -12, -18, 41, -13, 5, -20, 12, -1, 18, -34, -29, 10, 29, 15, -10, 28, -23, -15, -7, 26, -20, 24, 48, 61, 5, 18, -22, -4, 3, 40, 12, -11, 5, 7, -16, -29, -1, -30, 33, 5, 15, -24, 15, -56, 25, -27, 1, 46, -15, 17, 33, -56, 8, -21, -49, -10, 39, 4, 16, -7, -52, 20, 1, -37, -27, -8, 18, -48, -27, -30, -2, 0, -23, -50, -32, 38, -63, -21, 15, 26, -40, 10, 45, 18, 35, 39, -32, 26, 13, 18, -64, -5, 19, 15, -8, -28, -15, 14, -42, 41, -17, 44, -43, -68, -16, -10, -49, -41, 24, 15, 49, -22, -36, 9, -59, -18, 12, -39, 56, -29, 31, 54, 52, 3, 9, 25, -26, 17, -15, 38, 22, 35, 3, -18, 9, 2, -54, 27, -35, -50, 34, 57, 45, 1, 4, -32, -38, -61, -1, 65, -31, 29, 17, 56, 11, -25, 43, 15, -5, -4, 0, -38, 36, -2, -45, 21, -35, 26, 12, 5, -25, 23, -38, 33, 29, -3, 30, 7, -15, -26, -16, 36, -27, -42, -27, -4, 22, 17, -24, 14, -26, 40, -54, -44, -85, -10, -32, -20, 31, 4, -30, 13, -9, -38, 12, -11, -9, 32, -13, 44, -54, 34, 30, 16, -10, -23, 31, -21, 6, 62, -18, 48, 25, 0, 12, 40, -28, 27, 37, 53, -3, 34, 31, -24, 7, 30, -19, 10, 28, -23, -1, 33, -11, 2, -31, -50, -58, -37, 41, -15, 19, 36, -29, -18, 46, 43, -30, -25, 13, -41, -38, 4, 45, -5, 1, 6, -36, -48, 0, 19, -1, 19, 71, -39, -34, -56, 11, -6, 7, -8, 33, -2, 5, 3, -37, -3, 2, -17, -18, -25, 28, 15, -49, 53, 14, 30, 37, 11, -16, -1, -40, -37, -30, -38, 2, -45, -9, 27, -36, 36, 24, 50, 23, -5, 19, 18, -20, -22, -4, -44, -43, -4, -50, -24, 48, -7, -3, 1, -8, 13, 1, -8, -2, 3, -29, 18, -17, 89, 2, 42, 14, -33, 13, 7, 8, -12, 0, 63, 9, -17, 59, 4, 9, 38, -18, 11, 28, 37, 12, 24, 40, -28, -27, -38, 29, 1, -46, -46, -45, -25, -33, -12, 2, -39, -25, 3, 24, 12, -21, 18, -20, 30, 29, -18, -32, 4, -32, 38, -21, 8, -15, 39, 56, 35, -21, -24, -15, -47, -8, 39, -30, 40, 14, 23, 34, -24, -13, -21, 28, 20, -3, -28, -9, -33, 14, 23, -3, 9, 43, -30, 31, -27, 24, 12, -20, 20, -28, 10, 53, -41, -27, 17, -40, 4, -32, 25, 20, 5, 17, -19, -8, 26, 30, 9, 18, -27, -7, 11, 56, 9, -19, -22, 13, 7, 34, 10, -7, -41, 26, -22, -14, -31, 17, -29, 20, -3, -8, 10, -34, -41, 36, -14, 29, 25, 7, 10, -40, -38, 1, 15, -36, -14, -35, 2, -7, -34, 21, 22, -47, -11, 23, -4, -42, -6, -28, 14, -46, 1, 52, 22, 39, 7, 17, 28, -23, -49, -27, 22, -33, 10, -21, -39, 4, 21, 4, 47, 9, 0, 24, 19, 34, 15, 15, -43, -9, 8, 18, -9, 12, -49, 7, -4, 25, 16, -35, 25, -22, 11, -28, 35, 10, 10, 20, -12, -24, 16, -22, -37, 30, 1, 6, -18, 23, -24, -16, 39, -21, -26, 12, 36, 39, 8, 50, -36, -9, -21, -21, -55, -16, -5, -12, -17, 30, 36, 21, -28, -13, 40, 37, 31, -22, 23, 8, -15, 41, -12, 4, -4, 16, 2, 48, -7, 32, 43, 9, 18, -23, 37, -2, -7, 7, -39, -26, -15, -27, 32, -5, -22, -1, -10, -39, -46, -42, -13, 44, 38, -27, -22, -20, 8, 35, 38, 29, -13, 17, 14, -34, 5, -4, 11, -4, 12, -5, 17, -34, -30, 39, 17, 15, 12, -36, -39, -7, 19, -35, 26, -8, 17, 16, 21, 7, -13, -20, 10, 22, -7, 18, 37, -39, -33, -31, 38, 7, 3, 6, -27, 16, -43, 13, 1, -2, -30, -21, 27, -31, 7, -23, -15, -18, 5, 21, -6, 46, 9, -12, 10, 47, 19, -41, 2, 0, 30, 28, 5, 27, 22, -22, -15, -44, -4, -16, 15, -32, 19, -10, -28, -28, 29, 5, -34, -34, -16, -49, -3, 12, 4, -13, 8, -10, 14, 26, 40, -31, 31, -37, 30, 43, -42, 5, 14, 8, -45, -47, 31, -27, -27, -9, -6, -20, -28, -44, 23, 27, -24, 3, 10, -11, -4, 17, 28, -20, -45, -19, -21, 16, -17, 21, 32, -24, -3, -14, 33, 32, -10, -41, 16, 20, -36, -31, 0, 23, -25, 35, -26, -11, 15, -46, 23, 44, 33, 17, 19, 40, -24, -32, -3, 38, -12, -7, 7, 17, -22, 56, 25, 9, 29, -20, 17, -25, -44, -7, -10, -1, -21, 1, 5, 21, 29, -34, 11, -22, -25, -13, -21, -6, -19, -37, -3, -22, 30, -16, -19, 27, -39, -20, -3, 8, -35, -39, -43, 15, -32, 18, 21, -31, 25, -13, -4, 6, 34, 36, 5, 49, -16, -52, -35, 48, -44, -41, -40, 54, -43, -42, 54, 33, -40, -27, -16, 3, -19, -8, 12, 1, -28, -27, 29, -25, -46, -43, 22, -4, -39, -19, 11, -67, -53, -14, -3, -9, -27, -3, -2, 19, 58, 20, 16, -29, 20, -20, 42, -32, 8, 9, 1, 41, 8, 23, -25, 27, 45, 11, -30, -23, 22, -18, -2, 8, 14, -44, 23, -38, -14, -8, -21, -19, 8, 5, -36, 3, 23, -23, -39, 19, 29, -21, -11, -31, -7, -10, -30, 37, 0, 18, 32, -7, 41, 35, 4, 34, 21, 44, 42, 28, -30, 2, -42, 4, 4, -16, 21, -20, 34, -2, 3, -5, -43, -23, 24, -41, -25, 21, 4, 6, -24, -38, 26, 0, 26, -33, -15, 0, -11, -32, -47, -42, 22, -7, -15, 15, 14, 21, 23, -55, -11, 28, -41, -8, -9, -1, 28, 28, 17, -8, 15, -15, 16, -18, -37, -3, -1, -43, -11, 41, 15, -11, 28, 22, 11, 35, 11, 45, 8, -49, -12, 29, 22, -10, -19, 11, -25, -1, -8, 20, 9, 29, 8, -41, -37, -11, -37, 34, 7, -5, 5, 22, -13, 43, 32, 43, 9, 1, 16, 29, -5, 25, -36, 34, 13, 33, -25, -14, -37, 14, -39, 0, 14, 8, 34, -18, -13, 2, -11, -23, -38, 2, 38, 27, -35, -15, -16, 22, -29, 41, -27, -3, 28, 15, -16, 23, 23, -12, -32, -7, 24, 1, 40, -47, 3, -43, -39, -1, -27, -10, 31, 36, 11, 2, 26, -2, -34, 8, 11, 30, 47, -27, 0, 0, -61, -38, -34, -44, -27, 21, 0, 21, 12, -18, 34, 0, 2, -8, 41, 37, 31, 40, 55, 31, 23, 43, -12, -28, 35, -19, 30, -41, 42, 0, -22, 6, -19, 16, 2, 20, -6, 45, 17, -59, -46, -57, -19, 25, -26, -44, 13, -31, 14, 22, 9, 18, 22, 18, 35, -23, -7, 9, 15, 32, -5, 6, 1, 0, -28, -12, -40, -44, -27, -10, -12, -3, -34, -21, 22, -13, -17, 6, -42, -48, -10, -16, -9, -44, -8, 38, 39, 17, 0, 36, 20, -17, -27, 18, -19, 15, 10, -8, 12, 39, -24, -28, -37, -13, 20, -9, 6, 25, -30, -36, 29, -30, 4, 42, -12, 9, 13, 21, 13, -22, -11, -13, -10, -37, 22, 6, 15, -7, 34, -4, -6, -45, 42, 1, 3, 36, -36, 13, 17, -25, 39, 29, -35, 28, -33, -21, -19, 8, 31, 29, -47, -34, -31, -17, -41, -4, -23, -2, 14, 5, 26, 37, -12, 8, 30, 37, -58, -11, 21, -4, -16, -11, -46, -28, -33, -5, 0, -27, -50, 14, -25, -47, -9, -29, -54, 4, 9, 8, -3, 42, -35, 6, -33, -35, 9, 8, -52, -1, -1, -19, -28, 36, -14, 6, -30, -26, -47, 24, 15, 24, -38, -6, 8, -19, -12, -38, 42, -21, -31, 36, -26, -32, -39, 30, -28, -31, 2, -7, -32, 50, 25, 1, -3, -43, 24, 22, -13, 8, -19, 19, 6, -39, 5, -37, 19, 17, -21, -3, 15, -35, -36, -31, -10, 0, -48, -26, -36, -25, 16, -18, 29, 29, -4, 9, 20, -23, -18, -8, 9, 24, -8, -40, -38, -20, 14, 7, 13, 27, 25, 29, 43, 35, 25, 1, 23, 37, 36, -10, -44, 29, 16, -13, 17, -54, -22, -48, -54, 35, -36, -4, 35, 12, -10, 22, -27, -36, -43, -40, 1, 12, -18, -5, 16, -40, -1, 17, -11, 3, 34, -5, 52, -13, 44, -1, 17, -39, -19, 12, 13, -3, -4, 13, -13, 46, 47, 42, -7, 1, -19, 35, -11, 36, 23, 22, -27, -40, -17, 0, 4, 30, -14, -31, 2, 7, 7, 15, 35, 23, 17, 14, -42, 32, 12, 21, 17, -37, 32, 10, 35, 34, -11, 2, -26, 45, -15, -37, 14, -34, -7, 15, -8, -11, 4, -23, -24, -13, -1, -31, -9, -17, -4, -43, 38, -43, -29, -11, -5, -9, 33, -4, -6, 44, -33, -34, -44, 6, 1, 39, -24, -30, 31, 16, 26, 13, -5, -21, -42, 33, -21, 43, 3, -40, 32, 29, 30, -44, -10, 3, 0, 26, -12, -20, 42, -39, 5, -35, -19, -47, -25, 30, 27, 19, -32, -10, 25, -2, -24, -7, -12, 24, -38, -5, -5, -29, 35, 3, 21, -45, -17, -43, 9, 27, -12, -29, -42, -4, 0, -44, 12, -43, 1, -19, 7, 1, -2, 1, -41, -26, 9, -18, -13, -55, 20, 31, 14, 8, -30, -17, -41, 0, 10, 15, 21, 39, 9, 3, 2, 0, 13, -5, -9, 10, -31, 14, 32, -56, 20, -11, -19, -34, 28, -16, 33, 6, 25, -12, 22, -5, 30, 7, 35, 41, -22, -55, -4, 5, 23, 19, -26, 8, 42, 26, 40, 22, -17, 32, 57, 15, -24, 40, 31, -6, -43, -26, 42, -20, 40, 32, -56, -65, -74, -25, 18, 45, 30, -32, -46, 28, 34, -4, -19, 6, 20, 37, -14, -3, -2, -46, -46, 33, -24, -12, 27, 36, 36, -21, 13, 20, -3, -29, -20, -2, 38, -5, -14, -34, -43, -52, -54, -41, -22, -29, -6, -45, 7, -29, 4, -14, 8, 15, 35, -3, 48, -20, -2, 29, 21, 16, 23, 14, -15, 8, -40, 29, -4, 23, 13, 40, 1, 34, -14, 31, -11, -44, 40, -31, -4, -16, 31, -6, -16, -17, -11, 12, 4, -27, -27, 18, -40, -6, -49, 15, 5, 21, -33, -40, -36, -37, -6, 42, -46, 20, 19, 40, -6, 7, -11, 39, -23, -22, 35, -38, -17, 4, 2, -41, -47, 35, 43, 10, -37, 33, 5, 30, 31, 10, -16, 3, -1, 18, 11, 4, -38, 33, 39, -33, -35, -34, 36, 4, -8, 2, 15, 17, -15, 19, -52, -15, 12, -64, 19, 24, -52, 45, 20, -14, 35, -1, 30, -21, 7, 36, -1, 11, -24, -8, -11, 11, -15, 4, -24, -15, 11, -21, -8, -13, 35, -20, 15, 25, -31, 31, 21, -17, -7, 23, -3, -4, -5, -22, 19, 25, 19, 28, -16, -4, 20, 14, -17, -1, 18, -18, 17, 43, -35, -61, -6, 31, -20, -23, -35, 39, 7, 18, -20, 1, -3, 2, 12, -40, -11, -7, -14, -45, 4, -27, -25, -42, -42, -27, 39, 37, -43, 0, 24, 37, -5, 24, -40, 18, -41, -26, -30, -12, 26, -20, 13, -38, 10, -11, 2, -9, 7, -16, 19, 36, 19, 4, -1, -22, 13, 29, -16, -36, 3, -3, -39, -1, -28, 14, -29, 11, 2, -3, -14, -7, 33, 35, -27, -24, 49, 8, -10, 2, 4, 21, 13, -20, -16, 0, -28, -47, -25, 24, 31, -40, -38, 17, -41, -25, 33, -36, -26, -40, 20, 12, -51, -36, 18, -26, 34, -44, 21, 36, -11, -33, 18, -2, -35, -43, -40, -35, 21, 2, -19, -34, 10, -32, 54, 19, -39, -19, -29, -20, -50, -14, -23, 8, -7, 16, -63, -36, 12, -40, 29, -30, -13, -13, -19, 10, -19, -14, -20, -32, 29, -39, -14, -23, 30, 33, -14, 32, -5, -25, -3, -50, 50, 16, -46, -9, -45, 49, 26, -43, 13, -31, 29, -68, -9, -52, -1, -19, -48, 20, -43, 12, -9, 23, 39, 26, -7, -36, -27, 24, -6, 16, -42, -2, 22, 2, 32, 26, -11, -42, 13, -20, -19, -12, 22, -22, -22, 16, 18, 12, -32, 14, -4, 16, 28, -48, -44, 42, -37, 22, -41, -18, -16, -13, 21, 35, 15, 41, -46, -34, 38, 28, -53, 36, 61, -15, -68, -17, -20, 1, -15, -21, -29, 57, 34, -31, 50, -20, -25, 14, 22, -37, 2, -22, -2, 0, -28, -10, -11, -6, -36, 24, -37, -51, 10, -39, -30, 27, -54, -10, -52, -49, 26, 21, 22, -9, 17, -12, 7, -7, -31, -2, 44, 30, -38, -26, 25, 34, 13, 33, -21, -8, 3, -31, -35, -45, -22, 35, 22, 3, -15, 45, -20, 4, -1, -14, 22, 4, -14, 2, -21, 40, -43, -39, -41, 32, 31, -8, 16, 15, 26, 22, 12, 12, -45, 7, -20, 42, -14, -15, -54, -27, -1, -16, 53, 18, -10, -46, -44, -2, -2, 27, -8, -10, -45, -16, 40, -22, 22, 2, 32, -7, -9, 38, 13, -20, -37, 28, -43, 42, -4, 25, 23, -21, 0, -2, -38, -62, -42, 25, -48, 13, 26, -34, -18, 18, -51, -19, -5, -41, -27, 29, 39, 20, 39, 4, -44, -21, 3, -22, 0, 30, 0, -4, -41, -66, -26, -9, -16, -42, -55, -46, -38, 18, 23, 41, 41, 16, 36, 22, 37, 54, 25, -37, 54, 21, 40, 34, 12, -15, -1, 68, -22, 11, 29, 44, 29, 44, 14, -15, -6, -19, 8, -45, -2, -34, 42, -9, 1, -13, 31, -55, 32, 1, 28, 28, 35, 7, 12, 24, -15, -6, 22, 26, -23, -8, 61, -32, 15, 20, 23, -60, -55, 0, 32, -12, 31, -23, 33, 7, 0, 31, 43, 27, -36, 4, -1, 9, 32, -66, -43, 25, -25, -6, -40, 28, 28, -1, -3, -17, -43, -43, -50, 26, 33, -19, 4, -12, -5, 7, -35, 7, -45, -52, 39, -9, -58, -32, -28, -28, -29, -40, 18, -36, -32, 30, -16, 59, 39, 0, 19, -9, -43, -17, 35, 37, -28, -38, 12, -3, 27, 0, 35, -21, 26, -8, -30, 2, 26, 6, 10, 10, 42, -34, -40, 10, 36, -27, -63, 6, -49, -19, -7, 24, 25, 27, 21, -3, 45, -11, -22, 19, 5, 18, 29, -1, 32, -29, -19, 41, 5, -45, 9, 19, -43, -56, 0, 21, 8, -9, 16, -52, 17, 47, -31, -13, 35, 15, -62, -23, -12, -6, -19, 9, 53, -24, 38, -21, 0, -6, -49, 29, 35, -21, 10, 31, -40, 26, 8, -36, 35, -36, 37, -40, -20, 30, -12, 22, -19, -34, 30, -36, 30, 7, 36, -11, 37, -34, 24, -16, 27, 20, -35, 19, -13, -44, 26, -19, -49, -49, -21, -13, 13, 13, -18, -21, 31, -16, 25, 39, -8, -49, -15, 6, 33, 0, 24, 14, -44, -30, 27, -22, 10, -21, -17, -15, -31, 6, 44, -54, 9, -20, -27, -46, -2, -44, -4, 9, -15, -43, -28, 1, 34, 16, -52, -14, -10, 36, -43, -22, -47, 34, -40, -54, 10, 0, 35, -16, 39, 25, -1, 7, -14, -37, 31, 8, 8, 34, -39, 22, 28, -6, 35, 21, -36, 40, 50, 16, -12, 30, -40, -12, -27, -19, 1, -28, 26, 42, 10, -46, 37, -14, -24, -7, -5, 0, -41, -28, 16, -3, -46, -15, 22, 8, 1, -4, -34, 42, -13, -33, 1, 38, -9, 13, -11, 8, -31, -42, 26, 27, -33, 15, -44, -61, -4, -3, 24, 9, -11, -27, 36, 51, 37, -39, -3, -30, 37, -5, 15, -23, -32, -11, 5, -21, -12, -43, -43, -18, -40, 38, 3, -28, 40, 27, -47, -7, 11, 45, -5, -19, 33, -35, -22, 4, 43, -21, -2, -21, -29, -18, 42, -28, -41, 1, 47, -39, -15, 18, -19, -8, 45, 42, 17, -38, 14, -9, 7, -13, 51, -10, -27, -22, 7, -10, 43, 3, -24, -11, -33, 57, -3, 48, -20, -25, -9, -16, 2, -21, -19, -37, 41, -34, 4, 4, -2, 21, 28, 13, 26, 37, 38, -6, 23, -33, -10, -11, 14, -5, 3, -23, 26, 6, -1, 4, -38, 61, 52, 49, 16, 25, 28, 15, 49, -39, 18, 17, 14, -25, 17, 11, -26, -19, -33, 24, 12, -36, -27, -15, 3, 6, -6, 20, 2, 45, 22, 39, -27, -51, -17, 29, -31, 42, 11, -32, 44, 7, -22, -3, -27, 16, 27, -18, 14, -2, 45, 5, 16, -10, 19, 24, -17, -49, -14, 22, -43, 15, -22, 30, -14, 11, 12, -8, -24, -22, -28, 41, -27, 12, 19, 0, -12, 42, -31, 23, -1, 53, -18, 37, -2, -37, -27, -43, 20, -1, 22, 6, -32, 31, 39, -14, 44, -3, 44, 20, -21, 16, -26, 24, 24, 1, -6, -29, 16, -10, 31, 36, 11, 8, 20, 6, 28, -8, 9, 46, 1, 27, -33, -53, 29, 9, -19, -9, -18, 44, 11, -13, 22, -35, -30, 9, 26, 6, -32, -1, -11, -40, -18, -12, 26, -26, -27, 19, -2, 0, 26, -41, -20, -40, 8, 43, -25, 7, 22, 14, 19, 37, 9, -18, 42, -4, 12, -23, -21, 17, -48, -7, 11, -33, 24, -38, -13, 41, -24, 33, -43, 3, -18, 17, 38, -35, -20, 45, 11, -20, -36, 51, -3, -8, 32, 1, -25, -56, -29, -24, 37, -48, 53, 5, 17, -23, 14, -13, 38, 22, -2, 45, -14, 30, -23, -21, -33, 27, -25, -9, 0, -25, 29, 16, -6, -28, -46, 16, 20, -15, 34, 30, -22, 22, 21, -14, 35, 18, -6, -11, -10, 28, 9, 35, 4, 8, 23, 0, 20, -9, -2, 16, -13, 12, -32, -25, -13, 26, -13, -39, -52, 10, 24, -13, -2, -38, -31, -13, -26, 44, -31, 1, 24, 35, -26, -31, -32, 0, -14, 17, 27, 28, 28, -11, 22, 13, 0, 29, 0, -10, 22, -28, 6, -3, 3, 21, -21, 35, -39, 36, 42, 6, -32, -3, -16, 23, -8, -33, 12, -6, 5, -24, 34, 50, 0, 35, 34, -19, 23, -1, -14, 25, 29, 10, -12, 35, -6, -46, -32, -11, 18, -54, 46, 12, -33, -7, -19, -14, -25, -50, 12, 6, 12, 41, 35, -31, 5, -33, -30, 3, 12, -56, 3, 39, -47, 6, 20, -37, -11, 7, 7, -3, 41, 67, 30, 13, 50, 4, 19, -30, 34, -25, -25, 15, -28, 40, 22, 40, -26, -39, -43, -18, -10, -27, 33, 9, 32, -53, -22, -50, -25, 48, 8, 10, 28, -10, 48, 21, 17, -5, -36, -22, -3, -21, 17, -24, -53, 24, -8, 6, -3, 37, 23, -26, -23, -6, -24, -54, -8, -5, -30, -11, 29, 11, -14, -27, -48, -33, -33, 3, 30, -5, -23, 2, -42, -16, 14, -16, 29, -38, 7, -54, -39, 3, -27, 44, 53, 12, 8, 17, 33, 32, 24, 31, -18, 12, 10, 19, -5, -6, -7, -8, -35, 39, 29, -32, -36, 39, 38, -44, -24, -41, 3, -8, 43, 33, -33, -1, 28, -18, 17, 19, 21, 13, 31, 0, -35, 20, -9, 42, 11, -18, -39, -27, -13, -40, -17, -7, 31, 33, -37, -42, 3, 24, 10, 42, 28, 16, 38, -32, 9, 23, 1, -28, 2, -16, 25, -17, -32, 11, -22, 17, -52, 30, -30, -13, 37, -11, 25, 30, -1, 10, 32, -10, 26, 2, 6, -29, 18, 49, 27, -43, 22, -17, -29, 40, -20, -38, -12, 20, -25, 2, 13, -3, 14, -33, 11, -20, -22, 5, -22, 32, -35, -30, 3, 46, -1, -43, -19, -26, 25, -4, 5, 12, 3, -14, 12, 2, 15, 31, 42, 50, 13, 1, -19, 31, 47, 19, 7, -26, -53, -31, -24, -40, -33, 10, -26, -16, -25, 19, 19, 10, -43, -21, -16, 32, 16, -22, 15, 16, 13, -9, 44, 21, 63, -3, 10, 30, -5, 12, 42, 10, -8, -41, -26, 5, -36, -57, 15, 31, -26, -19, 6, 7, -27, 44, -40, 48, 10, 46, -17, 4, 24, -12, -29, 28, -2, 25, -39, -24, -44, -20, 33, 38, -27, -22, 12, 5, -14, -17, -24, 23, -37, 31, 14, 36, -40, 16, 7, -32, 5, 2, 40, -51, 22, 17, 22, 12, 34, 28, 1, 20, -15, 23, -8, 2, 18, -17, -16, -39, -27, 23, 36, 0, 40, -24, 30, 31, -9, -14, 46, 25, 5, 33, 21, -10, -44, 12, -15, -4, 24, -42, -8, 32, -21, 22, 19, 6, -12, 8, 17, 13, -31, -9, 25, 40, 20, -2, 16, 12, 25, -24, 38, 5, 10, 5, 1, -27, 41, -24, -51, -12, -14, -6, -47, -9, -37, -41, 38, -5, 1, -19, -5, -23, 24, 25, 5, 1, -4, 5, 23, -16, -38, -22, 52, 16, 18, -18, -26, -12, -3, -28, 23, 1, -29, -15, 22, -52, 24, -37, 15, -29, -5, -32, -31, -2, 5, -15, -16, -5, -20, -22, 20, 1, 36, -34, 28, -53, 25, 0, -23, 20, -24, -38, -27, 36, 35, 44, 32, -7, 26, 16, 43, 10, 34, 4, 33, 20, 12, -36, -15, 5, -2, 35, 18, -10, -25, 64, -43, -6, -14, -1, 34, 37, 34, -16, 6, -25, -37, -32, 17, 5, -42, 29, 30, -33, 26, 15, 35, 46, 6, -32, 14, -29, -27, -34, -2, -22, 4, -9, 35, 23, 1, 17, -8, -4, 19, 61, -29, 15, 21, 8, 26, 28, -4, -13, 29, -10, 4, -7, 43, 41, 12, 23, -13, 18, -16, 20, -3, 28, -23, 28, 1, -12, 0, -40, -1, 19, 21, 38, -3, -8, 2, 9, 6, 18, 4, 49, 6, 31, -28, 17, -40, -41, -32, 10, 4, -14, -5, 19, -11, 5, -7, 25, 21, -37, 19, -6, 33, 26, -11, 4, -40, 25, -38, 34, 26, -24, -44, -22, 12, 14, 12, -34, -1, -17, 7, -4, -8, -15, 15, -38, -39, -33, -12, -44, -1, -19, -27, 21, -27, 45, 3, -43, 20, -23, 34, 27, 5, -14, -21, -34, -27, 26, -48, -51, -7, -6, -2, -26, -6, 9, -28, -5, 11, -1, 32, -5, 8, -16, -28, -53, -12, -54, 31, -29, 31, -37, -25, 14, 19, 2, 27, -7, -33, -36, -36, -44, 15, 10, 17, 39, 17, -14, 20, -17, 7, 14, -2, 30, -11, 29, -4, 16, -27, 12, -6, -7, -33, 34, -7, -7, 25, 26, -26, -40, -21, -7, -15, -9, -45, -44, -34, -50, -73, -37, 24, -4, 28, 43, 48, -1, -33, 26, 21, 2, -23, 7, 39, -43, 6, -23, -30, -47, -22, -79, 6, 4, -14, -67, 9, 8, -38, 28, 32, 17, 13, -24, -3, -37, -3, 32, -6, 6, 41, -27, 14, -32, 22, 34, -12, -8, -39, -21, 18, 26, -8, 18, -40, -8, 44, 2, -13, -1, 14, 7, -19, -40, 4, -30, -47, -46, -3, 47, -20, 9, 25, -29, -40, -41, 35, -23, 36, -5, 10, 19, -38, -26, -45, 2, 27, 10, 19, -53, -25, -27, 23, 9, -23, -15, -34, -29, -2, -26, 22, -12, 3, -26, -15, -35, 10, 17, -6, 14, -43, -1, 2, -32, -29, 38, -25, -42, -39, -1, -33, -14, -17, 4, -23, -22, 18, 12, 22, 28, -45, -10, -34, -44, 20, -34, -6, -24, -26, 50, -27, 36, -10, 31, 30, 15, -46, -23, -33, 35, -39, 24, -34, -32, 24, 27, 36, -26, 18, 14, 13, 24, 19, 9, -18, -5, 10, -45, -16, 20, -9, -13, -50, 11, 11, 10, 26, 1, 20, 27, -18, 1, -20, 19, -32, 39, 27, 46, -9, 37, -1, 9, 39, 3, -6, -4, -45, -5, -36, -22, -39, -40, 3, 17, -26, -12, -35, 4, 27, 48, 6, -6, 24, 6, -6, -30, -36, -42, -1, 30, 2, -14, -2, 17, -5, 1, -7, 25, 17, 11, 13, -35, -26, -19, 24, -17, 10, -27, -2, 36, -34, 13, 4, 50, 1, -25, 20, -35, 4, 40, 19, 4, 11, 41, 13, -33, 20, -36, -24, -43, 21, -39, 4, -33, 1, -24, 41, -8, 47, -11, 25, -5, -42, 40, -17, -30, 13, 28, -27, -34, 35, 18, -14, 4, -25, -19, 21, 34, -6, 33, -4, -2, -29, -36, 3, 24, -38, -44, 18, -40, -24, 47, -46, 28, -1, 38, 1, -35, 25, -4, -5, -30, -25, 21, 18, 13, -9, 29, 25, 37, -16, 24, 10, -1, 7, -11, -5, -34, 3, 31, 31, -21, -15, -41, -32, -41, 20, -34, 37, 25, -7, 16, -14, 20, -25, -12, -33, -41, 35, 40, -17, 37, 16, 10, 36, -12, -29, 40, -19, -1, -5, 7, -3, -34, 8, -6, -38, 5, -31, -17, -32, 16, -11, -25, 6, 18, -10, 34, -46, -23, 10, -5, 28, 32, -12, 10, -31, -45, -43, -27, 19, 13, -47, -38, -17, -42, 6, 36, 5, -7, 14, -42, 6, -9, -38, -22, -44, 7, 42, 8, 21, 14, -4, 44, 24, -20, -18, 2, -45, -1, -7, -33, -1, 11, 13, 19, -40, -3, 32, -40, -4, 44, 19, -16, -27, 6, -45, -15, 38, 32, 30, -42, 1, 33, 8, -29, -38, 44, -16, 20, 14, 25, -18, 25, 0, -1, -44, -17, 9, -3, -20, -15, -23, 38, -6, -1, -46, 3, 15, -31, -32, -51, 21, -6, -43, 11, 2, 27, 49, -40, 24, 17, -28, 37, 22, 27, -15, 22, 10, 18, -5, -33, 24, -32, -40, 35, 14, 18, 50, 15, -9, -37, 11, -24, -9, 44, 2, -17, -51, -55, -50, 16, -36, 45, 0, -40, -36, 6, -38, 19, 46, 25, 9, 29, -46, 23, -18, 10, -7, 1, 11, -28, -23, -45, 13, 8, -33, 22, -9, 15, -16, -14, 8, -18, 4, -53, 36, -25, 33, -28, 42, -24, -21, 32, -12, -44, -30, -36, -30, 30, 28, 2, 10, -44, -29, 35, -41, 31, 29, -21, 10, 22, -26, 13, -17, 23, -22, 27, 26, 22, -6, -45, 42, 26, -23, 40, -36, -10, 25, -35, -6, 3, 21, 5, 3, 40, -3, -18, -35, -17, 9, 39, -36, 19, 1, 29, 10, -31, -29, 17, -33, -16, -18, -42, -17, -34, -17, -2, -50, -39, -9, 5, 18, -45, 0, -9, 22, 7, -9, -38, 18, 26, 29, -14, -42, -46, -37, -7, 35, 45, 33, -22, 35, 31, 37, 0, -30, 24, 28, 4, -19, -39, 20, 7, -4, 39, -2, 32, 15, -15, 22, -28, -20, -28, 18, 29, -21, -4, -33, 11, -1, -35, -37, -33, -6, -13, -22, -1, 33, 33, -37, -42, 18, -25, 10, 30, 14, -40, -17, 4, 8, -24, -18, 10, 30, 26, -22, -3, -34, -39, -16, 13, 15, -11, -40, 29, 30, -24, -7, 17, -14, 21, 28, -17, 16, 10, 43, 19, 23, -6, 16, 16, 14, -5, 38, 2, -12, -20, -14, -31, 12, 7, -27, -36, 13, 18, -27, -32, 19, -8, 23, -11, 18, -28, 20, -16, -36, 21, 31, -41, -28, -18, -44, -26, 38, 36, 8, -12, 46, 46, -35, 32, -14, -16, 10, 39, 21, 2, -20, 3, 26, -25, 19, -22, -41, -21, -40, -44, -29, 14, -1, 27, -25, -39, -21, 0, 6, -33, -2, -44, 26, 29, 7, 20, 26, 9, -31, 15, 5, 45, 22, -17, 43, 26, -18, -23, 22, 35, 43, -36, -32, 32, -25, 43, -34, 18, 46, 10, -14, -29, -20, 3, -18, 3, -15, -5, -26, -9, -30, -1, 37, 15, 44, -11, 44, 14, 14, -43, -33, 40, -14, 23, -3, -7, -12, 13, -46, 11, -33, 24, -2, -20, -17, -39, 19, 11, 49, 14, -15, 31, 1, -38, 6, 34, -31, 13, 28, -14, 17, -39, 18, -52, 22, 40, -32, -33, -5, 22, -32, -11, -39, 18, 2, 36, 28, 44, 26, 32, -10, -21, -28, 0, -31, -1, -10, -26, -28, -8, 8, 4, -39, 1, -8, -9, -29, -11, -1, 16, -19, -13, 10, -12, 37, -24, 11, 42, 36, -25, 6, -19, 12, 3, 24, 41, 3, 26, 5, 14, 22, -20, -48, 4, -37, -2, 10, -18, 35, -26, 15, -14, 11, -3, -7, 5, -18, -20, 22, 21, 34, 17, -40, 10, 0, -50, 27, -41, 32, 23, -6, -19, -20, -31, -35, -29, 20, -45, 22, 46, -1, -21, -31, -44, -26, -50, 17, 33, 15, 18, 31, 21, -4, -36, 16, -48, 37, 39, -32, -21, -47, 1, -46, 6, 1, 16, -34, 0, 36, -21, -35, 32, 0, 13, 31, -18, -47, -17, -8, 34, 16, -44, 3, 17, -12, -5, 8, 2, -40, -28, -18, 26, 33, 44, -31, 36, -18, 4, -38, 32, 6, 21, -22, -40, -3, -25, 9, -41, -14, -44, 27, -19, 3, 13, -23, 7, -13, -23, -20, 27, -22, 8, 31, 10, 19, 13, -24, -44, -44, -18, 18, 12, -1, 25, -43, 16, 33, -44, -25, 40, -31, -34, -1, -1, 33, 26, 15, -12, -6, 44, 3, 0, -1, -12, -38, 32, -2, -27, 40, -11, -23, 17, -45, 1, -10, 30, 29, 11, 42, -41, -21, 11, -7, 32, 5, 28, -25, -6, 22, 38, 38, -49, 5, -19, 13, 27, 32, 5, 48, 0, 26, -3, -30, -38, -32, -5, 25, -24, 26, -7, -55, -17, 39, 21, -22, 45, -5, 16, 42, -17, -29, 11, -32, 10, -13, -10, -2, 15, -27, -29, 43, -49, -11, -55, -14, -15, 3, -23, 21, -10, -41, -39, 13, 40, -31, -37, 14, 23, 1, -32, 34, 15, -33, 32, -26, -11, -10, 36, -6, -22, -30, -12, 15, -1, 3, -11, -43, -16, -24, 15, -30, 44, -43, -8, -45, -9, 29, -33, -10, 42, 27, -38, 25, 35, -17, -39, -27, 22, -43, 21, 41, -34, -32, 29, 42, 45, 6, -38, -22, 32, 22, -34, -3, -28, -15, 56, -31, -12, 1, 22, -34, -12, -19, -12, -9, -23, 1, 55, -22, -32, -21, -45, -1, -21, -23, 25, -50, 17, 12, 29, -22, 32, 17, 21, 39, -33, 30, 53, 8, 50, 13, -23, 45, 25, 41, 25, -4, 49, -16, 29, 6, -20, 7, -18, -34, -40, -66, -7, 29, 11, -19, 19, -18, 3, 2, 17, 53, -29, 40, 26, 48, 12, -4, -40, -65, -2, -26, -29, 23, -30, -47, -17, -38, 25, 13, -53, 7, 40, 6, -8, 14, -8, 0, -48, 9, 2, -2, -28, -43, 47, 17, -5, -8, 19, 26, 6, -38, -5, -20, 20, -42, 3, -15, -37, -6, -15, -16, 12, -20, -11, 9, 31, -42, -3, -18, 17, -21, -8, 4, 44, -31, -46, 5, -45, 18, 34, 16, 28, -36, 8, 21, 28, -32, 43, 6, -1, 74, 16, 1, -24, -20, 43, -33, -57, -10, -1, 30, 26, -15, 4, -29, 9, -45, 79, 82, 48, -41, -16, -8, 1, 26, -13, 29, 27, 37, -6, -4, -65, -4, -1, -8, 9, 13, 6, -20, 18, -13, -35, 23, -2, -43, -25, -24, -36, 25, -43, 17, 37, 45, 43, 62, 52, 5, -19, 5, -2, 8, -21, -5, -30, 46, 42, -39, -2, 43, -30, 25, 3, -24, -22, 47, 25, -6, 27, 34, 14, 20, 23, -5, -1, -3, 12, -40, 5, 39, -2, -34, 0, 59, 14, 30, -30, -23, -23, 4, -40, -20, 3, 46, -9, 5, 4, -1, 29, -37, -46, -35, -27, 13, -15, 6, -29, 59, 13, -6, -34, -1, 56, 12, 30, -10, -22, -30, 6, -29, 4, 31, -35, 51, 12, 21, 33, -39, 31, 43, -23, 38, 19, 0, 59, -20, -7, -5, -20, 45, -18, -11, -9, 18, -23, 6, -26, -8, -19, -3, -33, -9, 13, 19, 16, -14, 16, -14, -44, -5, -7, 6, 0, -26, -7, 16, -44, -35, 26, 9, 43, 34, 30, -12, -4, -3, 2, 12, -38, -33, 2, 29, 30, 0, -6, 34, 32, -17, -27, -14, -36, -4, -16, -30, -12, 14, -23, 23, 29, 11, -41, 25, -43, -36, -39, 12, -55, -38, 18, -35, -9, 36, 5, -4, -22, -34, 11, 27, 23, -20, 16, -38, 12, -7, 17, -27, 37, -14, 6, -14, 20, 17, -19, -10, -33, -51, -12, -19, 17, -11, 31, 35, 26, 6, 55, 4, 42, -27, -10, -40, 12, -50, -32, -44, 48, -8, -35, 16, -22, -8, 42, 6, 7, 8, -33, -6, -33, 20, 3, -40, -1, -5, 0, 26, -47, -28, -14, 2, 31, 29, -34, -26, -6, 49, -33, 51, 26, 21, 13, 24, 15, 18, -29, 52, -13, 11, -25, -18, 16, 7, 16, 29, -13, 10, -36, 0, -12, 14, -28, -13, 5, 17, 10, -42, 22, 17, -37, 33, 9, -2, 17, 27, 28, 36, 14, -8, 10, -27, -31, -21, 14, 35, 59, 37, -15, -43, 7, 10, -55, 37, -8, 18, -4, 39, 22, -4, 41, -8, -13, 44, 2, -20, -26, 36, 21, 23, -7, 8, 18, -33, -29, -11, 19, -27, -34, -37, 19, -21, 43, -27, 46, -24, -10, 3, 37, 21, -9, 18, 3, 3, 12, -4, 17, 40, -18, 54, 17, 12, -13, 11, 35, -20, -2, 30, -37, 76, 49, 73, 15, -28, 32, 12, 2, 28, -24, 16, 1, 19, 5, -34, 13, 15, -28, 11, -20, -14, -4, 4, 19, -19, -20, 35, -13, -10, 34, -38, -8, 29, -34, -25, 7, -26, 25, -20, 16, 15, -8, 14, 20, 5, -40, -28, 17, -13, 10, 9, -36, -11, -14, -29, 21, 3, 13, -31, 39, -44, 1, 42, 1, 38, -12, -37, -4, 25, -26, -9, 30, -2, 34, 20, -42, -24, 17, -36, -40, 26, 4, 4, -23, -10, 20, 16, -21, -11, 21, -15, 20, 15, -55, 20, -34, -6, -7, 43, 29, -19, 15, 43, 37, 37, -3, -2, 22, 8, 46, -30, 35, 40, -29, -4, -21, 16, 10, 31, 33, -13, -9, 25, 41, 3, 25, -16, 38, -17, 27, -7, -11, -25, -41, -15, 28, -56, 2, 12, -29, -15, -31, -25, 0, -30, -47, -12, -2, -1, 5, -29, -18, -30, 20, 29, -9, -30, 11, 25, 13, -16, -27, 33, 0, -15, 26, -36, -33, 17, 12, 8, 12, 11, -23, -37, -32, 8, -21, 44, 29, 2, 39, -26, -9, 6, 1, 0, 39, -43, -47, -39, 6, -40, -51, 15, -14, 7, -22, -29, -36, -44, -19, 37, 16, 34, -42, -30, 1, -39, -1, -35, 16, -13, 19, 32, 17, 9, 42, -5, -17, 24, 19, 40, 18, -26, -15, 28, -42, -23, -40, -42, -47, -44, -38, 25, -2, -11, 52, -34, 24, -24, 33, -11, 31, -6, 31, -46, -47, -5, 3, 10, -35, 27, 13, -10, 13, 42, 13, -19, 18, -5, 12, 20, -5, -36, 1, -42, -21, -46, -14, 13, -40, -4, -21, 13, -20, 8, -18, -22, 7, 5, -10, 53, -9, -34, -31, 40, 29, -27, -9, 9, 20, -16, -39, -33, 19, -1, -30, -1, 18, 11, 45, -6, -25, -43, 42, -11, 35, -38, -22, 7, 44, -34, -29, -16, -40, -42, -59, 7, -57, -34, -15, -17, -3, 24, -2, -10, -37, -29, -37, -30, 6, -29, -62, 30, 17, 4, -15, -24, -21, 11, 42, -39, 20, 27, 4, -52, 11, -42, 24, 30, -37, -27, -20, 56, -2, 43, 40, -12, -6, 4, 52, 24, 35, 23, -17, 42, 36, -40, -22, 0, 2, -40, -1, -31, 24, -39, -2, 7, 31, 29, -29, 34, -19, -27, -15, -29, -22, 26, 25, 28, -12, 1, -9, -34, -35, 26, 0, 47, 48, 10, -10, -11, 50, 2, -39, -10, 0, 12, -9, -9, -39, -17, -9, 3, -26, -46, 7, 5, 10, 15, -4, 18, -43, 1, 5, -14, 35, 15, 13, 18, 23, 14, 33, 0, -44, 33, 34, -24, -17, 15, 46, 45, -31, -44, 22, 23, -18, -18, -2, -39, 11, 30, 20, -25, 15, 17, 28, -35, 11, 11, 69, -17, 25, -4, 52, 21, 1, 31, 37, 48, -35, -10, 6, -25, -10, 30, -55, 17, 48, -38, -15, 41, 27, -19, 68, -34, 18, 26, 1, 17, 0, -18, 30, 13, 16, -32, -30, 15, -37, -29, -13, 8, -4, -4, 33, -11, 9, -6, -11, -10, -11, -18, -36, -34, 27, -43, 8, 50, -8, -36, -13, -12, -3, 45, 57, -3, 22, 35, 1, -2, -30, -36, -34, -2, -26, 36, -25, -42, 21, -27, -34, -45, 37, -50, 6, 13, -15, 25, 45, -17, 31, 27, 50, -10, 6, 28, -21, 33, 40, 5, -3, 38, 39, 41, 18, 36, -10, -10, 11, -40, -9, 32, -10, -9, 40, 11, 2, 31, 10, -1, -21, -4, 25, 11, 2, -20, -30, 37, -38, -27, 48, -35, -12, 29, -13, 16, -22, -23, -19, -16, 27, 22, 7, 39, 39, 31, -41, 30, -32, -54, -1, 6, 17, 46, 10, -6, 9, 27, -18, 1, 46, 29, 40, 9, 38, -28, 30, 76, 41, -19, 36, -5, -23, 5, 17, -35, -29, -4, -34, -28, -31, -9, 6, 34, -35, -41, -39, -32, 25, 0, 21, 11, 30, -36, 1, -17, -41, -12, 3, 12, 46, 51, 28, -19, -34, -1, -11, -5, 43, -5, 11, 16, -35, -37, -4, -58, -38, -6, 16, -28, -32, -8, 19, -31, 46, -44, 20, -35, -37, -24, 7, 51, -29, 31, -33, -9, -41, -18, 18, 20, 21, 10, -13, -11, 16, -19, 20, 21, 20, 36, -27, 40, 54, -22, -20, 15, 25, 56, 51, 24, 10, -3, 29, -16, -34, 47, 24, -27, 27, 11, 27, -2, -13, 40, -7, 2, -32, 8, -1, -29, 52, -10, 6, 20, -23, -40, 29, 12, 14, 25, 28, -37, 11, 39, 17, 11, 39, 27, 20, -27, -4, 27, -5, -46, -38, -32, 30, 9, -11, 0, -3, -8, -53, 23, 40, 11, 21, -1, -57, -24, 25, 27, -15, 37, 0, 39, -12, 26, -18, 6, 27, -22, 45, -20, 48, 15, -39, 4, 35, -19, -9, -35, 8, 5, -44, -8, 12, 32, 3, 22, -9, 0, 12, 41, 11, 29, -26, -22, -1, -39, -2, 8, 29, -16, -38, 41, -42, -12, 34, -27, -3, 15, -16, 5, -32, 20, 30, 27, 19, 24, -7, -42, 12, -3, -27, 41, 56, 10, 5, -19, -29, 43, -14, -20, -6, -13, 23, 37, 4, 28, -28, 17, 18, 39, 11, -46, 22, 3, 1, -47, -35, 11, -7, -4, -43, -35, -30, -25, -10, 21, 21, 24, -16, 42, -10, -23, 45, 24, -34, -14, 18, 27, 28, -11, -8, -12, -34, 35, -43, 31, -12, 4, -1, 10, -26, -18, -4, 19, 22, -33, 56, -42, 12, -26, 33, 2, -15, 11, -26, 42, -36, 21, 28, 22, -44, -45, 7, -16, -31, -10, -39, -14, 7, -8, 19, -24, -28, -16, 3, -34, 6, -30, -12, -24, 12, -40, 3, -24, -49, -30, 8, 2, -42, 39, -4, -40, 22, 32, 2, -28, -29, -42, -36, 34, -10, -30, 36, -41, 9, -2, -11, 20, 8, 1, -27, 32, -29, -22, -41, -28, -31, -30, -28, 9, -4, 5, 11, 3, -48, -40, 14, 13, 30, -1, -57, 36, -9, -13, 3, 22, 58, -19, 9, 19, 20, -41, 0, -16, 5, 10, 23, 17, 2, -43, 11, -42, 19, 38, 27, 11, -14, -45, 25, 13, 28, -43, 19, -6, -15, -26, 47, 42, 19, 9, 24, -20, 6, -8, 25, -21, 26, -21, -16, -5, 24, -26, 9, 0, -12, -18, -51, -54, 14, -10, -15, -40, 37, 25, 15, -3, 25, 3, -2, 38, 7, -26, 9, -32, -7, 32, 15, 3, -10, 28, -25, 36, 18, 20, -7, 40, -32, -54, 3, -8, -64, -43, 58, 53, 22, -2, -23, 0, -27, -2, 8, 24, -8, 25, -5, -4, 37, 16, -5, -4, 9, -21, 46, -31, -7, 44, -5, 23, -14, -2, 36, -9, 25, 43, 31, 27, -29, -24, 15, -14, -30, -3, 14, -4, -12, 46, 22, -40, 38, 16, 22, 34, 3, 43, 23, -6, -10, 12, 1, 1, -6, 33, 11, 5, -34, -27, -33, -38, -27, 16, -47, -61, -46, 16, 16, -13, 29, 26, 16, -5, 43, 4, 25, -27, -43, 20, -42, 19, -15, -4, 15, -33, 41, -40, 16, -1, -8, -19, -6, -17, 15, 57, 39, 19, -44, -5, 4, 17, -8, -41, -21, -32, -13, 15, -9, -39, 42, -40, -48, -35, -52, 38, 36, 2, 30, -5, -34, -9, -32, -6, 34, 8, -17, 12, 15, -42, 42, -7, -17, 25, 15, -14, -37, 24, 3, -19, -54, 15, 35, -42, -8, 0, 17, -23, -22, -19, -50, 7, 22, -3, 11, 15, 27, 32, 23, -6, 5, 1, -25, 28, 17, 44, -22, 3, -38, -32, 21, -31, 14, 7, -9, -15, 18, -35, 31, 69, 32, 14, -53, 39, -21, -66, -2, 20, -37, -35, -5, 2, 42, 14, -26, 33, 45, -6, 32, -50, -9, 8, 38, 45, -33, -33, 36, 6, 8, -31, -7, 44, -20, 0, 33, -16, 23, -3, -21, -15, -32, 30, 41, -39, 6, -2, -15, 62, 9, -57, -28, 12, 39, 9, -42, 26, 40, 35, 19, 21, 45, 27, -13, -5, -31, -40, -38, 9, -13, -17, -26, 52, 15, 17, -15, -9, -1, -11, 20, 42, 42, -8, 8, -18, 35, -18, 43, -9, -25, 6, -4, 19, 27, -23, -4, -40, 38, 8, -35, -28, -37, -27, 33, 41, -25, -39, -18, 13, 15, -20, -45, -3, -58, -18, -34, -41, -35, 22, 24, 10, -37, -34, -58, -48, -4, 31, 1, -20, 4, -10, 56, 6, -15, -43, 26, -4, -69, -37, -46, -74, -69, -15, -19, -2, -17, -43, -13, 43, -5, -11, 32, 30, -8, -39, -23, -46, 49, -49, 23, -44, 28, 24, -28, 14, 30, 12, 51, 38, 50, -12, 23, -41, 0, 26, 24, -33, -22, -21, 10, 11, -36, 39, 24, 0, -23, 31, -7, 42, 25, -33, 24, 3, -39, 12, 38, -23, 26, -5, 5, -17, -33, -47, -5, -11, 22, -7, 14, 6, -28, -51, -1, -3, 38, -28, 11, -26, -6, 3, 19, -23, 19, -28, 7, -31, -12, 40, -40, -4, -29, -24, -43, -69, -44, -25, 15, 51, 23, 12, 2, -37, 9, -32, 1, 28, 19, -46, 37, 31, 55, -2, 33, 0, 6, 8, -20, -1, 44, -44, -3, -7, -11, 0, 19, -36, -23, -11, -22, 41, 20, 14, 15, -2, 34, 22, 44, 21, 38, -34, -20, 8, 11, 14, -14, -3, -5, 7, 24, 24, 26, -31, 8, -32, 30, -3, 24, 5, 32, 19, 42, 41, -1, 22, -8, -15, -32, 57, -30, 51, -5, -10, 23, 6, -38, 0, -13, -27, 21, 3, 13, -35, 24, 21, 14, 12, -17, 1, 25, 13, -48, -43, 3, -3, 18, -7, -35, 37, 17, -44, 21, -24, 9, 2, -2, -1, -10, -11, -33, -16, -26, -46, 68, 2, 30, 15, 22, -16, -28, -30, -14, 18, 35, 32, -32, -19, 52, -18, -4, -37, -20, 12, 21, -17, 10, -49, -53, -17, -46, 16, 44, -35, 34, -24, -27, -42, -15, 35, 55, 21, 37, 45, 57, -10, -50, 4, -28, 26, -15, -30, 4, 22, 24, 19, -22, -48, 55, -42, -34, 6, 27, -47, 1, 4, -34, -2, -11, 2, 27, -2, -37, -44, -61, 31, 22, -44, 25, -25, 30, -25, 42, -16, -35, -4, -58, -24, 9, 27, 15, 38, 26, -5, -8, 38, -17, 0, 22, 2, -26, 26, -37, -14, -13, -46, -3, -33, -4, 2, -21, -23, 45, 48, -2, 20, -33, -21, -43, 3, 15, 43, -9, 28, 11, 21, -36, -43, -1, -18, -6, 3, 1, 8, -50, 4, 38, 5, 24, -15, -59, 18, -21, -49, 23, -10, -20, 14, 2, 16, 13, -44, -36, 45, 38, 37, 33, -18, -3, -18, 16, 42, 10, -51, -45, 2, 5, 0, -10, 33, -45, 5, -3, -26, -17, -65, 2, 5, 47, 20, -17, 46, -6, -1, -58, -77, -5, 36, -30, -45, 15, -9, 13, 17, 15, -27, -4, 20, 25, 35, -75, 6, -32, 36, 35, -15, -19, -13, 10, 33, 9, -5, -8, -31, 27, 3, 7, -42, -16, 28, 28, 48, 5, -29, 24, 14, 16, 48, -18, -23, 13, -20, -20, 35, 54, 69, 31, 20, -1, 20, 20, -35, -40, -61, 35, 15, -48, -56, -83, 9, 16, 18, -20, 57, 1, -8, 42, -8, -32, 3, -8, 4, -39, -34, -4, -22, -37, -24, 17, 19, 14, 7, -25, -3, -7, -62, 2, 4, 22, 11, -25, -56, -21, -13, 21, 17, -38, 43, -25, -41, 64, -30, -32, -27, 14, -37, -67, -53, -10, 18, -44, -77, -84, -49, -8, -19, 17, 35, 71, 14, 6, -52, -72, 3, -34, -12, 61, 26, -32, 6, -2, 36, 16, -6, 36, 8, 16, -3, -5, 27, 42, -31, -42, -16, 18, 28, -3, -55, -74, 21, -44, 0, 10, 18, -41, 19, -15, 39, 72, -46, -22, 45, 101, -22, -43, 35, -22, -27, 33, 17, -11, 14, 0, -11, 35, 38, 30, -10, -11, -50, -6, -1, 20, 23, 2, -30, -40, 15, 12, -39, 16, -39, 14, -43, -34, 22, -13, -1, -11, 0, -27, 18, -6, -44, -35, -37, -34, 40, -25, -33, -23, -60, -4, 2, -4, 32, 39, 57, -5, 31, 5, 1, -43, -55, 19, -41, -8, -31, -14, -3, 7, -37, -9, -9, 36, 11, 33, -25, -32, 19, -38, -2, 10, 42, 29, -11, -20, -21, -12, 57, -9, 11, -32, 0, -24, 12, 17, -38, 29, -12, 36, 49, -38, 74, 15, -16, -12, 24, 14, 42, -2, -40, -9, 4, 70, -39, 17, 31, -22, 15, 2, 36, 14, -27, -25, 26, 28, -44, -30, 6, 18, 4, 18, 51, -13, -16, 15, 10, 9, 25, 5, 37, -12, -15, 14, -4, -1, 44, 12, -12, 10, -27, -46, 11, -13, -47, 54, -34, 21, 15, -24, 25, 41, 23, -30, -31, -8, -50, -33, 40, 41, -3, -24, -16, 6, -29, 21, 5, 21, -65, -21, -50, 10, -4, -22, 1, -20, 39, -49, -14, -34, -7, 18, -47, -31, 18, -62, -62, 7, -43, -29, -24, -25, 41, -39, 33, 10, -17, -8, -5, 42, -5, -1, -33, -45, -17, -20, 9, -36, 31, 3, 32, -9, 50, 40, -19, 39, 56, 51, 1, -37, -47, -39, 14, -53, -46, -42, -47, 32, 44, 11, -48, 16, -1, -35, 2, -14, 15, -11, -2, -8, -66, 3, 33, -68, 78, 10, -8, 8, 15, 31, -50, -53, -12, -62, -2, -26, -15, -11, 20, 23, -8, 0, 127, -75, -89, -75, -31, -13, -3, -49, -10, -76, -40, 0, -20, 37, 36, -33, -8, -34, -9, -1, 25, 51, 42, -20, -14, 1, 35, -15, 47, -5, 15, -20, 36, 38, 38, -24, 32, -24, 38, -14, 19, 4, 5, -46, -39, 6, 47, -10, 38, -44, -24, 32, -27, -13, -17, 30, -36, 24, 43, -14, 29, 24, 44, 21, -23, -11, -74, 64, 20, -52, 22, 83, -24, 43, 4, -4, 16, -48, -24, 27, 56, 12, -22, -24, 11, 37, -17, -32, 29, -51, -20, -39, 1, -40, 14, 75, -16, -21, 15, -40, -42, -45, 12, -49, 39, -63, 35, 5, -6, -6, 9, 54, 24, -32, -2, 18, 2, -15, -27, -25, -33, 5, 9, 36, -26, -23, -44, 39, 18, -12, -26, 6, -43, 2, 7, -4, -3, 11, 18, -2, -46, 32, 17, -59, 2, -9, -17, 81, 6, 15, -6, -3, -31, -38, -23, 2, 21, -33, 56, -8, -8, 0, -28, -13, -18, -41, 20, -38, -19, -5, -14, -8, 8, 3, 29, 32, 7, 19, 31, 34, -26, -49, -64, 21, -20, -18, -26, 17, 57, 40, -46, 28, 26, -3, 1, 19, -21, 4, -24, 12, -34, -38, -33, 23, 39, -24, -8, -34, 5, 42, 59, 24, 18, 57, -6, 41, 37, 0, -15, 21, -14, 41, -41, 0, -6, -36, -32, -34, -55, -25, -13, 15, -92, 51, 30, 20, 11, 26, -30, -25, 4, 0, 38, -33, -23, -5, 1, 12, -10, 21, -48, 49, 43, 25, 10, 6, 29, -4, 34, 26, -2, 39, 26, -9, -18, -31, 2, -39, 32, 1, 12, 17, 10, -30, -15, -77, 0, 14, -101, 17, 1, 11, 45, -30, -28, 12, 24, -11, -24, 20, -76, 9, -56, -10, -38, -63, 8, 41, -9, 16, -30, -23, 19, -35, 3, 9, 44, -38, -34, -25, 19, 25, -23, -5, 17, 12, -67, -66, -26, 34, 32, -50, -27, 45, 18, -30, 15, 36, -1, -34, -6, -12, 10, 20, -54, -31, -86, -8, -42, -3, 22, 54, 40, 1, 65, -15, -18, -8, -27, -37, -16, -20, 16, 54, -14, 11, 7, -20, -6, -20, -66, 37, -52, -25, -16, 16, -51, -9, -16, -9, -1, 23, 2, -6, -19, 34, -16, -24, 26, 32, -14, -65, -26, 37, -36, -26, 2, -90, 3, -36, -15, 38, 73, 23, -32, 36, 3, 63, 6, 56, -30, -41, -16, -25, -73, -28, -26, -40, 8, -82, 8, 8, 10, -23, -29, -36, 1, 30, -49, -61, 12, -42, -44, 3, 16, 16, -8, -48, -31, 9, -11, -54, 36, -20, 25, -30, 17, -27, -57, 20, 56, -45, 36, -31, 3, -43, -22, -34, -10, 23, -41, -35, -23, -46, -31, -34, -4, -37, -6, -5, 15, -35, 40, 40, 11, 25, 0, -24, -14, -9, -10, -7, -69, -52, 6, 12, -34, -41, 37, -28, -12, 15, 36, 45, -29, 30, 3, 23, -30, -7, 19, -23, 37, -7, -22, 48, -10, 8, 32, 1, -60, -37, 56, 29, -16, 0, -39, -16, -20, -38, 0, 26, 12, -75, -33, 45, 34, 18, 3, 8, -45, 53, -65, -39, -45, 12, -26, -57, -2, -68, -75, 60, -35, 18, -24, 21, 11, -50, -9, -20, -46, 65, 11, -16, 15, -3, 6, 28, 57, 32, -10, 10, -9, -31, -34, 23, -7, -5, 23, -33, -2, -41, -13, 9, -36, 2, -7, 40, 40, -4, 5, 1, -52, 36, 28, -64, 81, 6, 5, 15, -45, 30, 11, 9, 31, 38, -40, -32, -25, -27, 16, 1, 13, -7, 53, -15, 53, -12, -19, 7, -88, -3, -82, -29, -26, -40, 15, 28, 5, 57, 30, -16, 12, -12, -4, 28, 13, 19, 41, -29, 0, 35, 26, -17, -15, -31, -31, -16, 31, 7, -36, 2, 4, -13, -9, 60, -29, 8, 24, 6, 10, -9, 29, 48, 24, -36, -22, 35, -69, 22, 0, 36, 25, -37, -8, -37, -15, -23, -14, 13, -22, -6, 19, -57, 5, 71, -33, -44, -11, 54, -26, -60, 2, 39, -1, -5, -33, -52, -47, -32, -47, -18, -59, 27, 28, -2, -20, 44, -19, -3, -23, -34, -23, -20, 36, -46, -39, 40, -42, 54, -9, -18, -21, 92, 44, -11, 15, 27, 55, 56, -4, 42, 37, 9, -4, 21, -10, 32, 27, -31, -4, -2, -33, 5, -56, -15, -13, -17, -63, 17, -1, -12, 12, -6, -46, 8, -25, 40, 47, -25, 11, -13, 3, -6, 5, 39, 9, -10, -31, 7, -3, -8, -25, -12, -31, 4, 92, -16, -60, 8, -44, -45, -40, -21, -7, -18, -14, -20, 21, -12, 31, -5, -14, -23, 15, 36, -82, -43, 22, -45, -23, 76, -12, 11, 48, -22, -36, -9, 3, 40, -35, -21, -28, 20, -30, 31, -38, -18, -29, -21, -3, 21, 47, -21, 0, -53, 8, -19, -34, -16, -16, -53, 42, 25, 8, 51, 44, 4, -3, 11, -67, -29, -15, -65, -20, -60, -18, -18, -17, -24, 39, -57, 4, 0, -16, 46, 60, 24, 46, -6, 2, -20, -21, 16, 12, -54, -6, -2, -19, -20, -22, 8, -22, 15, 46, -5, 24, 0, 13, 14, -5, -6, 4, 40, 33, -3, 71, 15, 15, 79, 51, 42, 53, 8, 1, 17, 13, -26, -39, -29, 26, -60, 5, 1, -31, 13, -36, -3, -25, 42, 28, 2, -45, 29, -35, 18, 9, -24, -21, -31, -3, -57, -4, -6, -52, 16, -28, -37, -10, -4, -26, -41, 31, -36, -49, 25, 37, -42, 24, -20, -46, 0, -32, 10, 38, -30, 42, -28, 63, 4, 30, -39, -32, 53, -67, -30, 9, 12, -7, 43, 7, 18, -6, 24, -30, 32, -5, 42, -30, -33, -32, 4, 22, 10, 9, 49, 2, 49, 65, 9, 24, 44, -22, -13, -34, 15, 13, 27, -12, -28, -18, 8, 9, 12, -22, 1, -7, -32, 10, 12, -124, -68, -25, -47, -25, -15, -46, 14, -29, -6, -62, -47, -4, 50, 1, -36, -14, 5, 7, -43, -21, -39, -34, 45, -38, -25, -32, 18, 35, -17, 25, 9, -21, -18, -39, 26, -5, -23, 36, 14, -17, 19, -26, -4, 9, -38, 15, -6, -39, -40, -57, 0, -13, 10, -39, -12, 22, 45, -25, 12, 6, -47, -6, -42, -31, -25, 14, -21, -4, 2, -40, -30, 4, 38, -24, -10, -30, -17, -69, -58, 9, -51, -28, -6, 2, 56, 53, -29, 8, 12, -40, 63, 22, 24, 7, -73, 41, -17, 12, 26, 60, -17, -43, 28, -44, -13, -21, -13, -33, 27, -10, 57, 14, 6, 63, 11, 0, 45, 33, -6, -61, -38, -12, 7, -35, -63, -64, 53, 34, 26, 10, -25, -54, -11, -73, -79, -13, 55, -21, -7, 53, -40, -16, 2, -89, -48, -14, -16, 50, -6, 1, -25, -75, -24, -8, 31, -6, -8, 16, -28, -61, -16, -16, -6, -25, -34, -32, 1, -18, -9, 49, 91, 43, 58, 73, 32, 11, 41, 6, 5, 51, -40, -33, 31, 31, 46, 35, 19, 2, -32, 8, -18, -28, 33, -28, 45, -30, 14, -14, -15, -35, -12, -22, 15, 31, 12, 22, -23, -1, 30, -3, 32, 31, -7, -6, 41, 24, -2, 5, -26, -27, 8, -1, -50, -54, -5, 17, 6, 5, -7, -35, 42, -27, -5, -21, 38, 50, 33, -4, 5, -3, -9, 66, 9, 37, -68, -17, 8, -37, 40, 47, -50, -5, 38, 42, 3, -48, -31, -37, -23, -21, -39, 47, -21, 61, 46, -3, 21, 59, -4, -25, 26, -46, -2, 62, 2, -2, -5, -62, -5, 43, 41, -39, -4, 4, -23, 15, -24, -36, 20, 7, -14, 29, 51, -33, -1, 32, 10, -36, -43, -6, -33, -28, -7, -8, -28, -16, 14, -65, -62, 31, -11, -23, -30, 48, 49, -25, -49, 24, 1, -40, -5, -8, -13, -19, 24, 36, -42, -35, 6, -57, -39, 0, -32, 27, 29, -24, 7, 34, 43, -8, 61, -37, -34, 17, 20, 19, -10, 17, -48, -12, -37, 29, 24, 25, 20, 8, 63, -43, 14, 13, -65, 30, 37, -6, 30, 2, 9, -3, -14, 19, -18, -23, 19, -27, 19, -4, -61, -3, 78, 28, -32, 7, -42, 28, 4, -15, 55, 19, 28, -7, 14, -15, 9, 27, 34, -21, 18, -10, 42, 5, 70, -29, -12, 77, 17, 61, 37, -11, 25, 18, 28, -41, 38, -26, 32, -37, 19, 22, -14, 26, 21, -56, 22, 20, 31, -26, -18, 10, 17, 32, -40, -44, 30, -29, -4, 43, 30, 46, 24, -20, -24, 35, -62, 8, 17, -83, -55, 19, -37, -7, 42, 12, 16, -12, -30, 15, -26, 28, -37, -46, -36, 20, -48, -24, 2, 20, 10, 42, 25, -22, 21, 15, -27, 48, 12, -23, -7, 24, 12, 21, -11, 9, -8, 34, 15, -2, 30, 53, 19, -45, -4, -56, -57, -71, -48, -17, -16, -11, 33, 8, 15, 35, -1, -25, -21, 6, -10, 27, 15, 66, 26, -16, 7, -42, 32, -30, 5, -63, -21, 23, 32, -9, -31, 16, -38, -17, 21, -5, -66, 37, 7, -63, -13, 13, 36, -8, 19, 13, 5, 10, 42, 3, -23, 0, 37, 28, -45, -34, 10, -34, 1, -28, -40, -10, -36, -33, 4, 23, -17, -21, -44, 36, 57, -19, -27, -22, -61, -9, -18, 3, -19, -27, -42, -34, -32, -4, 76, 54, 27, 37, 46, -18, -9, 30, 37, -25, -14, -48, 27, 43, 41, -9, 47, 27, 17, 3, -4, 64, -26, 3, -15, -17, 10, 6, -26, -7, 24, 7, -59, -14, -24, -59, 10, 11, 34, 7, -5, 6, 26, -11, -33, 22, 41, 20, 36, -25, -3, -5, -11, -2, 32, -22, -13, 39, 21, 36, -1, 5, -8, 21, -12, 73, 21, 6, 39, -26, 14, 24, 17, -22, -1, -41, 14, 27, -1, -16, 43, 37, -23, -53, -45, -60, -50, -58, 19, -23, 11, -9, 0, -7, -59, 11, 45, 24, -63, 24, 20, -32, -24, 27, -12, 16, 35, 45, -8, -8, 32, 39, 63, 16, -15, 44, 1, -11, -11, 51, 30, 50, 35, 57, -11, -6, 26, 12, -45, -40, 38, -56, -25, 19, -12, -24, 21, -78, 33, -23, 5, -19, -21, -38, -20, 50, -18, 31, -28, -51, 8, 12, -73, -85, -51, -22, -49, -51, -33, -43, -31, 16, 13, 22, -57, 0, -42, -50, 22, -20, -37, 11, -44, -27, -28, 35, 35, -32, 13, -8, 27, -11, -4, -8, 6, -29, 18, 35, 29, -13, -4, -36, -60, 26, 7, -63, 20, -42, -54, -43, -14, -11, -26, -5, 44, -9, 8, 28, 52, -15, 3, 40, 20, -9, 86, 27, 2, -54, -16, 52, -42, -53, -10, 34, -2, 16, -27, -6, 16, 15, -29, -21, 17, 60, -36, -50, -27, 10, -40, 38, -51, -39, 8, -77, -37, 11, 33, -23, 25, -6, 12, -47, 23, 61, -47, 28, -2, 44, 18, 8, 3, 35, 23, 7, -48, -41, 30, -44, -3, -29, -32, 26, 29, 40, 4, -23, 36, 14, -25, -5, 7, 3, 25, -37, -20, -17, 27, -8, -32, -25, 26, -7, 26, -35, -29, 4, -36, 22, -25, 15, 4, 1, 3, -11, -35, 2, -39, -16, -22, 24, 3, 22, 32, 14, -26, -9, -28, -25, -21, -2, -4, -47, -33, -29, 43, -47, 35, 22, -22, 14, 40, 11, 0, -22, -2, -1, -20, 32, -37, 1, 37, -43, -37, 4, -42, -28, -39, -43, -1, 36, -14, -39, -2, 54, 23, -39, 34, 36, -29, 0, -39, 28, 43, 32, -48, 7, 24, 22, 8, -15, 3, -10, -35, -18, 35, 22, -38, 42, -37, 51, 2, 38, -39, -8, -10, -44, -35, 5, -21, -2, 43, -33, -5, -11, -17, -17, -31, 2, 31, -42, 31, 32, 0, -29, -7, 34, 6, -12, -11, -35, 17, 21, 5, 6, 38, -26, -14, -30, -33, -44, -43, 43, 41, -17, 50, 29, 32, 8, -25, -35, -42, 24, -3, 38, -6, 10, -40, 15, 42, -7, -43, 18, 14, 20, 28, -38, -22, 42, 8, 8, -3, 19, -32, 40, -8, 19, 13, 16, 43, -44, -38, -9, -15, -26, -28, 6, 18, -19, 43, 39, -6, 47, 15, -34, 11, -46, 17, 12, -24, 45, 15, 15, 30, -45, -27, 30, -41, -41, 35, -30, -15, 2, -29, 3, -20, -13, 10, -42, -29, 40, -31, -22, 40, -15, -46, 6, -35, 31, -44, 7, -4, 5, 33, -35, -9, -25, -9, 6, 39, -38, 16, -27, 23, -6, 4, -19, 2, -34, -45, 29, -30, 31, -5, 22, 40, 28, 7, -11, 12, 15, -19, 4, 6, 18, 1, -21, -25, -24, -18, 23, 28, -4, 45, -35, -18, -37, 35, 22, 3, 14, 8, 33, 6, -12, -10, -34, -33, -29, -16, 40, -40, -17, -15, -28, -26, 41, -16, -17, -43, 5, -7, -10, -40, 29, -42, 37, -30, 41, -48, 20, 5, 4, -38, 35, -2, 26, 8, 1, 39, -2, -32, 22, -15, -19, -19, 8, -22, 3, -41, 43, -37, 11, -13, -31, 33, 15, -16, -8, -17, -39, 0, 7, -18, -35, 49, 4, 34, -40, 25, 5, -32, -15, 48, -1, 20, 4, -34, -28, 41, -16, 4, 38, 5, -23, 13, -40, 37, 16, -38, 33, -35, 28, 13, -29, 29, 16, 6, -15, -8, 21, -39, 48, -29, -38, -21, -42, -35, -6, -47, 29, -17, -33, -10, -32, 27, -27, -21, 10, -34, 3, 14, 30, -4, 20, 22, 35, -15, -4, 26, 14, 7, 25, -7, 14, 16, -11, -25, 27, 18, -3, -44, 43, 33, -7, -40, -5, -33, -12, 28, 34, 9, 5, 0, 29, 17, 27, 31, -21, 21, -47, 34, -33, -28, -23, 4, -31, -45, -27, -8, 44, 0, 6, 19, -21, -36, -2, -22, -44, -39, -32, 34, -29, -40, 22, 32, 38, -22, 25, -2, 20, -43, 8, 15, 44, -4, 27, -23, -40, -2, -19, -5, -3, 15, 42, 2, 9, -4, -29, -26, 10, -38, -18, -38, 15, -42, 13, 34, 3, 16, -28, -34, -14, -21, 42, 29, -34, -16, 11, 8, 29, 37, 8, -5, -36, -23, 31, 5, -7, -11, -41, -30, 31, -17, -18, 13, -26, 2, 43, 14, 38, 11, 19, -50, -48, 9, -30, -47, -12, -21, -38, 32, -21, 1, -25, -2, -55, 30, 8, -12, 39, -22, -12, -11, 18, 13, -10, 40, 15, 32, -39, -5, -33, -30, 6, -34, 25, 27, -46, 22, 25, 25, 37, -14, -1, 37, -44, -13, -3, 37, 8, -1, -11, -11, -36, -36, -30, 40, -23, -44, -11, 11, -32, -27, 11, 25, -30, -10, -37, 41, 33, 18, -7, -28, 42, -32, -25, 21, -15, 10, -15, 21, -18, 13, 32, -37, 1, -44, -22, -3, 3, -16, 9, 37, 12, -36, 36, -1, -7, -25, 0, 24, -27, 4, 11, 45, -31, 2, -39, -18, -47, 32, 37, 5, -42, 35, -12, 38, 14, -42, -24, -6, -28, -25, -4, -4, -43, -5, -33, 34, -29, 8, 7, -32, -7, 37, 3, -11, -4, -13, -12, 7, -13, 40, 9, -35, 19, -13, -22, -28, -34, -9, 14, -29, 15, 32, 1, 21, 0, -29, 12, -50, 46, -27, 40, 24, 0, -21, 9, 11, 17, -31, -47, 5, 7, -36, -15, -8, -37, -16, -21, 43, 22, 17, -33, -24, -35, -16, -6, 22, -2, -34, 38, 39, -28, -43, -43, 24, 38, 18, -12, 39, -24, -45, 12, 22, -37, 3, 9, -39, 31, -25, 11, -28, -35, 5, 24, -35, 23, 32, -1, -37, 30, 4, -33, -37, -21, -6, 9, 24, -1, -4, -37, 29, -13, -30, 7, -25, 39, -7, 9, -12, 14, 19, 18, 32, -21, 34, -43, 20, 21, -25, -37, -21, 16, 45, -26, 11, 13, -23, -16, -31, 34, 5, -21, -39, -7, 27, -18, -38, 34, -43, 27, 34, 17, -7, 10, -15, 33, -25, -1, -36, 5, 1, -23, 11, -20, -29, -26, 5, -14, -5, 47, 28, -26, -43, -44, -16, -19, -21, 31, -43, -28, -40, 37, -1, -36, 3, 35, -35, 38, -2, -29, 11, -45, -46, 14, -32, -15, 36, 43, -7, 33, -9, 14, 31, -50, -4, -37, -45, -13, 25, 21, 40, -19, -37, -13, -46, 37, -40, 38, 28, -5, 3, 20, 32, 4, 30, 20, 32, -8, -21, -38, -19, -26, -43, 40, 38, -26, 34, -32, -10, 35, -23, -24, 32, 8, -20, -6, -17, 5, -45, -42, -38, -26, 33, -42, 21, 32, -15, -43, -22, -37, -6, 4, -11, -3, 17, -11, -10, 45, 8, 17, 20, -26, 8, 15, -34, 31, 16, -43, 39, -17, 28, 26, 23, 8, -14, 29, -24, 22, -44, -17, 28, 23, 7, -45, -10, 38, 44, -15, 32, -39, 43, 30, -37, -25, 12, 19, -17, 43, -42, -40, -45, 16, -36, 8, -21, 50, 41, 37, -15, -14, 10, -35, -14, -14, 22, -27, 21, -27, -6, -34, -47, 25, 18, 21, 14, -21, 0, 14, 8, 3, 18, -30, -41, -42, 5, -2, -41, -27, 31, -48, -34, 36, 11, -23, 6, 4, -28, 40, 24, 41, -27, -45, 29, 19, 46, 32, 9, -8, 43, 26, 8, -41, 1, -45, 33, 17, -30, -6, -4, -30, 2, -2, 28, 9, -21, -6, 18, -21, -2, -35, 11, -20, 27, 36, -44, -34, -29, -25, 21, 30, 23, -7, 31, 4, 20, -48, -48, -17, -24, 1, -7, 55, 24, 23, 19, 19, 45, 16, -26, 17, 30, -21, 20, -11, 2, 28, -12, -9, 39, 33, -41, -32, 29, -16, -41, -6, 17, 48, 30, 42, -44, -33, 11, 19, 32, -23, 46, -47, 36, -42, 18, 16, -36, -8, 38, 32, 48, -31, -38, -10, 39, -16, 18, 11, -25, -22, 10, 29, -45, 27, -45, 29, -12, 26, -12, -11, -22, 4, 32, 8, 24, -10, -31, 15, -23, -20, 7, 18, -31, 15, 24, 28, 25, 40, 28, 7, -33, -2, -25, -23, -48, 20, 21, 13, -46, 6, 45, 0, 23, -25, 27, 34, -5, -39, -16, -43, 8, 14, -13, 27, -42, -9, 25, 18, -21, -18, -6, -17, -13, -20, 16, 22, 49, 44, 41, 51, -26, 1, 5, -41, 22, -26, -1, -20, 27, -40, -30, 11, -37, 8, -13, 26, -9, -35, 40, -1, -19, -21, 12, 26, -28, 28, 23, -34, 14, 18, 25, -17, 5, -17, 16, -14, -35, -39, -30, -10, -38, -5, -20, -36, 13, 24, -21, -43, -36, 18, 36, 57, 33, 3, -48, 5, -49, -32, 6, -33, 5, 29, -22, -5, 30, -4, 35, -18, 6, -13, 18, 14, -44, 9, 47, 35, 1, -32, 19, -47, 32, -23, 15, -38, -13, 0, 32, 15, 38, -38, 37, -19, -28, 13, -46, -36, -4, -21, 21, -34, 8, -22, 21, 16, 13, -12, 5, -31, -12, -49, -48, -28, -33, -16, 44, -16, 29, 4, -11, -10, 9, -14, 11, -10, 25, -19, 30, -33, 22, -24, 30, 30, 30, 10, -39, 21, 6, 23, 0, -5, 21, 32, -7, 21, -17, -1, -35, -34, -34, 34, -11, 37, 43, -11, 15, 7, 19, 17, -14, 8, 22, 32, -2, 10, 25, 36, -42, 31, 45, 41, -28, 45, 22, 36, -2, 27, 41, 37, 6, 17, 6, 7, 11, -35, -41, -33, -8, 21, -26, -44, -30, 5, 21, 36, 6, 10, -21, -18, -2, -28, 7, -3, 13, -13, -23, -32, 12, -53, -43, 21, -21, -15, -20, 36, -22, -38, 39, 42, -12, 24, 31, 25, -15, 19, 25, 15, -29, -21, -3, -37, 35, 10, -18, -35, -3, -22, -2, -1, -45, 14, 6, -33, 23, 13, -28, -24, 21, -35, 33, 2, -14, 5, -13, -21, -14, 2, 22, 65, 8, 27, 42, -46, -49, -34, -45, 44, 24, 5, -17, -19, 22, -42, -14, -25, 20, -6, 56, 13, 34, 18, -24, -29, 12, 2, -16, 34, -31, -17, -42, -36, 26, -31, 30, 34, 20, -38, -4, -44, 3, 38, 0, 2, 35, -9, 39, 44, 1, 6, -19, -13, 13, 41, -13, -50, 12, -39, -29, -13, -55, 31, 21, 24, 52, 31, 32, 36, 4, -45, -58, 2, 20, 10, -31, -1, 14, -5, -35, 16, -10, 36, 31, 40, 25, 41, 8, -25, -4, 12, 50, -7, -23, 13, 9, -5, -27, -7, -25, 45, -53, -6, 1, -3, -30, 44, -2, -18, 8, 8, 24, 16, -11, -9, -28, 6, -4, 3, -19, 20, -47, -18, -27, -15, 35, -10, 0, 31, 10, -2, -33, 12, -2, -7, -10, 22, 42, -14, 14, -3, 38, -7, 14, -12, -18, 37, 20, -33, -40, -27, 8, 53, 4, 6, 33, 17, -46, 9, 20, -51, -48, -10, -8, -47, -41, -10, 26, 25, 4, 44, -27, 50, -49, 4, 28, -26, -10, -9, -38, 35, -30, -35, -26, 46, 8, 6, 33, -33, -37, 14, -19, -42, 8, -44, -14, 18, 10, 18, 30, 14, -14, -22, -30, -5, 18, 21, 18, 28, -33, 33, -17, -4, -43, -9, -44, -5, 26, -29, -34, 11, -24, -5, -44, -37, 3, -13, -18, -32, 34, -4, -35, -13, -22, 23, 28, -7, 25, 5, 11, -34, 17, -8, -22, 20, -5, 25, 0, -20, -34, 19, -35, -1, -47, -35, -51, 33, 4, 34, -10, -26, 33, -14, -33, -29, -38, -44, 24, -28, -49, 12, 28, 10, -15, 12, 25, -12, -20, 11, 13, 22, -15, 30, 18, 20, -32, -8, -30, 13, -7, 13, 12, -33, -2, 13, 37, -41, 5, -35, 6, -25, 37, 44, -6, -22, 6, -13, 3, -17, 27, -41, -39, -25, 35, 14, 10, -1, 18, -12, 5, -28, -20, 8, -13, 2, 47, 4, 9, -30, -28, -24, 18, -22, -23, 31, 17, -4, 17, -41, 1, -12, -19, 12, -30, 26, -44, -14, -11, -14, -5, 2, 13, -24, 42, 19, -52, -1, -43, 37, 0, -3, -1, -14, -37, -19, 29, 2, 15, 31, -23, 12, -13, -11, -24, -11, 21, -39, -22, -15, 17, 1, -5, -6, -22, 49, -45, 18, -8, 33, -13, 18, -41, 41, 16, 18, 43, -40, -9, 0, -19, 5, -26, 11, 37, -5, 24, -37, -39, -33, -21, 5, 45, -9, -28, -31, -30, 17, -16, -38, -37, -62, 29, 31, -16, -19, 25, -4, -23, -23, -32, 3, 11, -30, 22, 5, 14, -6, 0, 10, 28, 26, 31, 31, -43, -18, -1, 44, 33, 31, -7, -4, -28, 10, -15, -39, 23, 7, -31, 50, 12, -8, -7, 45, -4, 8, 18, 14, 20, -14, 40, 15, -37, 33, -43, -28, -21, 22, -4, -32, -26, -50, 25, 41, 34, 36, -14, -32, 7, -16, -22, 46, -20, -12, 27, 35, 56, -11, -19, 37, 6, -20, -8, -35, -21, -14, -38, 19, -41, -51, -6, -2, -11, -27, -6, 6, -29, 22, 9, 21, -4, 49, 21, -22, -22, 37, -29, 16, -38, 1, 31, 37, 19, 7, -32, -22, -6, -6, 0, -1, -37, 4, -52, -41, 51, 37, 44, -9, -8, 31, -22, 15, -2, -3, 7, 13, 12, -7, -31, 31, -16, -38, -47, -11, -45, -28, 31, 25, -19, -11, 13, 8, 50, -45, -21, -5, -17, -33, 13, 33, 4, 15, 37, 12, -41, -4, 12, -7, -8, 10, 48, -12, -10, 3, -12, 20, 2, -23, 5, -3, 0, -39, 34, 44, -12, 17, -26, -35, -27, -3, -47, 20, -16, -35, 2, 14, 24, 24, -1, 8, -10, -11, 32, 4, -8, -20, -23, -45, 36, -42, 29, -12, -20, 26, -7, 1, -9, -14, 25, -3, -12, 40, 7, 28, -48, -4, -19, -49, -56, -15, 0, -47, 53, 37, 18, -14, 14, 32, 13, -12, 32, 38, -7, 24, -23, 1, -8, -27, 6, 8, 24, 2, 17, -44, -27, 0, -50, 22, 45, -1, 46, -5, -12, 32, 3, 6, -14, 38, -26, 14, -54, -35, 28, -7, 39, -9, -20, -26, -26, -5, -36, -14, -2, -49, -14, 28, -11, -16, 24, 54, -2, 42, -10, 71, 15, 21, 22, 2, 18, 7, 41, 6, 2, 52, -1, -1, -30, 19, -32, 23, 21, 18, 53, -7, 9, 5, -21, -22, 9, 36, -33, -22, -43, -28, -51, 12, 12, -7, -18, 18, -25, 0, -24, -35, -10, -6, -3, -8, -26, -9, 39, -24, 41, 0, -4, -7, -7, 9, -4, -40, -8, 2, 24, -24, 29, 43, -10, -5, 23, -24, 7, 44, 31, -24, -32, -10, 11, -12, 19, -22, -31, 13, -12, 23, -1, 20, 39, -3, 0, 31, 48, 27, -26, -17, 34, 21, 10, -19, -39, -31, 15, -6, -14, -4, -4, -18, -45, -40, -56, 11, 21, -10, -8, 27, 35, -19, -4, 39, 29, 20, -1, 43, 19, -71, -63, -19, 1, -8, 6, -12, 14, 13, -64, 2, -48, -22, -41, -51, -2, 7, -58, 40, -24, 7, 25, -13, 2, 24, -10, 50, 25, 12, 1, 39, 11, 23, -56, -22, -31, 32, -31, 16, 48, 22, 6, 22, 16, -54, -11, -48, -2, -5, 8, -23, 4, 20, 15, -76, -26, -58, 6, -9, -22, 1, 30, 15, -19, 7, -33, -5, -23, -34, 48, 0, 14, 41, -5, 35, -27, -25, 14, -9, 15, 52, 36, -6, 4, 13, 35, -22, 53, 49, 21, -33, -21, 15, 19, 12, 10, -15, -4, -27, 21, 2, 15, -36, 29, 45, -5, 58, 59, -40, -15, -8, -38, 22, 17, -6, -9, -22, -11, 29, -17, -28, 20, 0, -7, 10, 4, -44, -20, -25, 8, -3, -38, -29, -38, 3, 13, 40, -35, -22, -8, -1, -26, -1, -38, 23, -43, 34, 3, 35, -39, -27, 6, 14, 7, 18, -9, 11, -19, 16, 32, 40, 36, -14, -14, 39, -2, -7, -25, -40, -15, -18, -31, 0, -31, -37, -48, 16, 25, 36, -15, 24, 16, 3, 28, 28, 40, 31, -26, -4, 33, 28, -17, 4, -19, -13, -16, 36, 4, -11, 10, -38, 29, -9, 20, 29, 48, -39, -8, 4, -4, -43, -8, -16, 34, 47, 4, 28, 22, 36, -9, -4, -22, -3, -13, -10, 20, 45, 0, 0, 14, 23, 27, 1, -28, 33, -25, -39, 7, -47, -5, -32, 17, -4, 33, 60, -20, 40, 21, -10, 0, 9, -29, -6, -15, -21, -18, 23, -22, -42, 3, 17, 3, -18, -40, 16, -31, -8, 29, -1, 0, 13, 2, -57, -11, -49, -53, 56, 47, -48, 0, 11, 18, -43, 40, -19, 36, 13, 1, -28, 11, 45, -5, 36, -40, -7, 6, -21, 32, -41, 5, -17, 22, -10, -23, 3, 17, 50, -21, -2, 14, 33, -18, -17, 32, 6, -41, 13, 10, -26, -43, 31, -35, -1, -13, -3, 22, 9, -55, -36, -40, -34, 28, -35, -24, 20, 23, -56, -28, 32, 11, -22, 29, -19, -35, -46, -7, 35, -9, 8, 8, 0, -24, 22, 19, 8, -9, 6, 3, -37, -26, 38, 10, 43, -5, -8, 28, 18, 10, -31, 30, 34, 36, -38, 30, -23, -20, -13, 7, -43, -6, -22, 5, -15, -51, -26, 5, -27, 18, -8, -24, 32, 2, 44, 19, -20, 21, 21, -7, -25, -34, 28, -9, 24, -19, -60, -39, -31, -57, -9, -34, 12, -11, 17, -14, 44, -26, 3, 38, -14, -11, 39, -7, 5, -17, -9, -35, 29, -43, 23, 10, -42, 23, -5, 41, -43, 29, 24, -23, 39, 32, 10, 37, -20, -13, -19, -18, -18, -4, -13, -35, -2, -3, 9, 3, 19, -30, -9, -29, -21, 24, 3, 12, 25, -34, -41, 21, -72, -28, -33, 32, -17, -49, 47, -26, -26, 17, -7, -18, 17, 5, 0, -47, -27, 22, 52, 8, -44, 41, 8, 20, 22, 18, 25, 39, 36, -60, -23, -34, 46, 11, -17, -1, -2, 13, -35, 25, -43, -3, 34, 15, 43, 29, 18, -45, -10, 19, -11, 1, 19, -35, -44, 5, -17, -37, 27, -26, 11, 39, -45, 35, 38, 38, 41, -24, -19, -10, 3, -14, -6, -32, -9, -17, -37, 13, 34, -17, 55, -12, -3, 18, 44, 16, -18, -19, 0, -30, 14, -31, -59, 36, -22, 70, 6, 32, 8, 0, -8, 37, -6, 28, 5, 48, -10, 22, -39, -4, 4, 8, 12, -33, -24, -11, -20, 1, -1, 17, -57, 7, 67, 2, 14, -22, -33, -25, -35, -41, 8, 5, -5, 12, -2, -27, 33, -12, 37, 18, -18, 1, -48, 35, -13, 16, -30, 35, 37, -17, 3, -19, -35, 5, 29, -46, 46, -29, 23, 0, 7, 43, -22, 8, -12, -2, 5, 5, 5, -1, -34, 51, -4, 36, -9, 33, -25, -33, 58, -29, -4, 13, -39, -6, 23, 46, 15, -47, 2, -15, -20, 17, -10, -27, 0, -9, -2, 9, -2, -46, -24, -10, 19, -12, 43, 26, -16, 7, -42, -45, -20, -34, 20, -28, 16, 43, 53, -15, 24, -45, -42, -12, -16, 6, -14, -41, 43, -32, -48, -40, -4, -44, -28, 12, -36, -5, 52, -20, -42, -33, 34, 32, 1, -11, 17, 6, -31, 6, 7, -18, -51, -43, -32, 8, -48, -32, -26, 43, 13, 14, -3, 2, -53, -27, 40, 31, -1, 20, 15, 27, 28, -26, 18, 20, -48, 45, 32, 5, 31, -26, -27, 6, 29, -9, -7, 3, 33, -34, 13, 3, -46, 6, 12, -41, -38, -12, 45, -36, -11, -55, -9, 19, -46, -35, 1, -35, -12, 11, -40, -11, -8, 30, -29, -36, -5, 2, 36, 29, -26, -9, 12, 29, 18, 22, 26, -50, -26, 24, -8, 13, 43, -25, 34, -21, 30, -67, 21, -15, 14, 11, 43, 2, 16, -50, -29, -53, -4, 31, -57, -4, 14, -43, -59, -50, 20, 37, 20, -10, 26, 35, 24, 12, -42, 20, 4, 19, -24, 23, 25, -3, -30, -55, -38, 13, -37, -39, 29, -30, 34, -3, 23, -17, -3, -8, 51, -20, 59, 30, 30, -27, 32, 42, 20, 47, 14, -1, -19, -1, 44, -2, 29, -39, 41, 33, 11, -2, -31, 19, -2, 47, -17, -1, 24, -4, 0, 24, -42, -11, 14, 22, -27, -2, -30, -1, -49, -15, 8, -29, -6, -36, 19, 19, -38, 22, -20, -47, -17, -15, -16, -45, -2, 10, 42, -31, -3, 17, -12, 40, 17, -33, -33, 36, -47, -14, -42, 0, 56, 0, -21, -6, 15, 38, -17, -26, 4, 12, 15, 13, -32, 28, -38, 8, 1, 27, -12, 43, -47, -12, -28, -9, -49, -1, -3, 5, -28, 33, -31, 31, -12, -32, -29, 15, -42, 19, -16, -23, 32, -7, -29, 6, 3, 22, 17, -27, -57, -35, 11, 35, 8, -4, 12, -31, 23, -45, 19, -23, -41, -10, -2, -18, -18, 60, 40, 9, 17, -41, -33, -25, -49, 9, -38, 33, 38, -54, -3, -43, -58, -35, 19, -31, -53, 24, -2, 39, 28, -8, 23, -3, 28, 18, 26, -28, -34, 23, 47, 5, -28, 48, 53, 11, -11, 30, -25, -42, 17, 42, -29, -45, -29, 31, 19, -13, 14, 1, -13, -34, -12, -26, -8, -24, -47, -36, 4, 2, 21, -8, 4, -31, -41, 7, -28, 20, -16, 32, -9, -22, 19, -39, -21, 19, 3, -28, 32, 25, -35, -10, -25, 23, -17, -12, 33, -4, -13, -37, -53, -17, -3, -16, -23, -42, -1, 10, 20, -22, -23, -30, 27, 10, -53, 8, -17, -35, 25, -7, 33, 7, -4, 38, -37, -3, 5, -11, 34, 33, 54, -26, 32, -32, -6, -34, 18, -44, -19, -31, -23, -45, 21, -29, -52, 27, 30, -13, -16, -42, -21, -33, 9, -2, 13, 1, 5, 29, 4, -40, 41, -10, -21, -40, 25, -32, -22, -1, -1, -27, -39, 5, -50, -38, -19, 30, 2, 7, -24, -30, -12, -25, -17, -49, -1, -4, 12, -30, -38, 14, -26, 5, -26, 6, 43, 25, 29, 51, 17, 36, -47, -55, 13, -5, 5, 15, 36, 17, -31, -15, -30, 19, -36, -30, 40, 34, -38, 19, 38, -10, 28, -24, -18, 12, 3, 30, -56, -39, 14, -8, -3, 29, 10, 24, 27, -52, -37, -5, 56, 17, 8, 21, -3, 29, -43, 18, 17, 25, 39, 29, 4, 33, 32, -16, -35, 35, 17, 10, -20, -5, 33, 10, -32, -35, -14, -4, 52, 5, 11, 17, 24, -8, 6, -5, 34, 29, -53, -12, -33, -64, -10, -7, -12, -22, 6, 47, -18, -36, -22, -7, 27, -5, 48, 43, -33, 19, 25, -35, -61, 5, -5, 14, -40, -2, 1, -16, 2, 26, 13, -37, 21, -19, -46, 18, 26, -30, 44, -26, -7, -28, 12, 9, 43, 28, -30, -41, -40, -38, -28, -48, -22, 36, -1, -25, -70, -32, -41, -45, 0, -16, 47, 19, 0, 25, -11, -31, 3, -19, -24, -75, -22, -15, -14, 22, -8, 39, -30, 17, 63, 35, -26, 36, -16, -21, 28, -26, 37, -32, 0, 11, 34, -1, -8, -18, 38, 1, 27, -4, 44, 13, -5, -17, -1, 43, -11, -6, 17, -2, 11, -14, -31, -20, 8, 51, 33, 20, 11, 28, 26, 18, 34, -23, -18, 14, 30, -27, 44, 1, 19, -33, -10, 27, 41, 48, -18, -20, 24, -36, -19, -27, -1, 25, -3, 17, 34, -33, -20, -17, 5, -2, 44, 10, 3, -39, 33, 7, 19, 5, -18, 43, 8, -37, -47, 36, 8, -45, -32, -14, 0, -53, -10, -3, -19, 27, 14, 35, -35, 10, 30, -18, -30, -9, -40, 29, 16, 30, -10, -24, -36, -47, -31, -20, -40, -8, -1, 42, -29, -28, 30, 18, -36, 2, 22, 22, -30, 8, -24, 25, -28, -11, -9, 14, -23, -53, -17, 8, 11, -38, -21, -8, 46, 11, -42, 36, 6, -64, -65, -45, 7, -46, -33, -4, 25, -14, -11, 19, 12, -29, 45, 35, 20, 36, -2, 12, 11, 26, 21, -32, 22, -5, 30, -17, 44, 34, 13, -26, 47, -37, -40, 14, 42, -17, -19, -44, 31, -12, 23, 19, -19, 39, -27, -5, 10, -31, 30, 25, -13, 43, -18, -16, -36, -14, -30, 16, 60, -6, 25, 3, -25, 11, 14, 23, 19, -60, 42, 2, -11, -44, -23, 26, 12, -2, 25, 16, 10, 12, -31, 14, -35, -25, -34, -56, 3, 29, 0, 23, -21, 32, -25, 39, -31, 13, -32, 30, -20, 28, 33, -1, -27, -9, 0, -41, -18, -40, -22, -23, -8, 49, 12, -43, 1, 33, -63, -19, 25, -9, 14, 2, 18, 37, -28, 38, -32, -56, -4, -25, 0, 33, 9, 25, 4, -4, -24, -24, 37, -12, 32, -9, -3, 18, -47, 13, -38, 24, 24, 35, -30, 9, 23, -34, -63, 6, -19, 0, -20, 20, -8, -26, 5, -2, -49, 16, -54, -29, 43, 40, 0, 22, 3, -38, 12, -3, 26, 24, -4, 28, 40, -21, -28, -25, -27, -6, -16, -28, -15, 4, 14, 19, 31, 36, 33, 4, 24, 29, -22, -18, -39, 25, 15, -3, 3, 4, -15, -21, -15, 22, 43, -5, 32, 29, 26, 28, -11, 41, 38, -2, -43, 21, -34, -31, -30, -3, 15, -20, -23, -26, 34, 2, -3, 36, 7, -46, 35, 4, -22, 11, -45, 21, 34, -47, 21, 37, 42, -34, -9, -13, -26, -40, -16, -26, 15, 9, 6, 13, 25, 45, 18, 6, 28, -2, -6, 19, -47, -8, 42, 31, -42, 17, -2, -25, -12, -41, 21, -11, 13, -7, 46, -13, 39, -31, 45, 23, 33, 9, 6, 16, 51, 46, -19, 42, -2, 39, 9, 23, -42, -7, 32, -18, 15, -11, -13, -34, -10, 25, -40, 22, 27, -38, -4, 12, 2, -20, 12, -10, -9, 26, -15, -17, -39, -30, 26, 25, -32, -31, -23, 35, 30, 19, 12, 32, 39, 3, -22, 33, 10, -14, -4, -1, -5, -9, -24, 13, -25, 0, -15, 40, 16, 27, -8, -10, 25, -18, -20, -40, -13, -41, -46, -26, 33, 10, 26, 30, -8, -51, -37, 48, -11, -26, 61, -37, 42, 8, 3, -17, -22, -41, -3, -24, -15, -31, 24, -2, -7, 40, -37, 28, 5, -6, 35, 39, -19, 23, -17, 24, -41, 15, 9, -45, 8, -36, -43, 8, -2, -36, 28, -34, 63, 38, 35, -8, -37, -18, -9, -14, 2, -9, -21, 59, -46, 43, -29, 16, 45, -12, 0, -21, 46, -1, -6, 32, -4, -31, -15, -24, 39, 6, 19, 42, 38, 43, -34, -9, 18, 26, 21, 16, -68, -30, -43, -40, -12, 8, 34, -26, 20, 32, -13, -34, -3, -49, 30, 28, 6, -25, -54, -13, -15, 10, 21, 8, -32, 28, -29, -21, -40, 19, -8, 17, -16, 3, -12, -27, 25, 22, 25, -25, -34, -14, -18, 21, 9, 3, -5, -42, -36, -39, 2, 16, -20, -11, -28, -6, -6, 12, 18, 6, 40, 17, 19, -8, 11, 44, 30, 13, 22, -1, -31, 5, 42, 0, -5, -35, 20, -1, -1, -8, 33, 36, -35, 7, -18, 19, 8, 5, 16, -35, 7, -55, -31, -6, -5, 14, 15, -14, -3, -27, -45, -5, -38, -29, 24, 17, 1, -18, -59, 28, -17, -22, 3, 22, -5, 5, 5, -10, 37, -17, -42, 30, 9, -15, 47, 7, 26, 49, -31, 46, 51, 26, -32, -18, -24, -23, -39, -6, -44, -23, 23, 60, 34, -35, -11, -3, 50, -42, -16, 14, 33, -46, 15, 20, -35, 25, -15, 16, 12, -40, 27, -47, -7, -8, 37, 23, -31, 43, 6, -28, 23, 4, 6, -2, 2, 34, -21, -1, -20, -35, -12, -11, -28, 19, -2, 2, 33, -9, 15, -1, 7, -2, 43, -21, 32, -9, -18, 43, -35, 10, -9, 42, -42, 23, 11, -44, -20, -48, -19, -13, 41, -7, -17, -16, -44, -3, -3, 1, 3, 48, -62, 2, -23, 20, -31, -15, -45, 19, 58, -5, 54, -32, 8, -19, -10, -18, 37, -34, -12, -4, 1, 19, 1, -57, -15, -35, -31, 13, -18, 0, 9, -9, -47, -35, 18, -10, 6, -35, 8, -26, -47, -2, -9, -34, 58, 4, -8, -11, 1, -46, -37, -40, 7, 7, 2, -9, 36, 6, 13, -20, -33, -10, 33, 48, -6, -21, 6, -36, -7, 33, -42, 2, 27, -21, -25, -17, -56, -32, -36, -55, 24, -33, -5, 48, 40, -30, 22, -38, -26, -14, 1, 7, 15, 30, 47, -18, 19, 12, -12, -26, -9, -8, -24, -6, -10, -17, -26, -12, 36, 18, 29, 38, -37, 10, -15, 3, 37, -31, -11, -10, -8, 24, -22, 35, -20, -9, 31, 35, 3, 7, -45, 17, -15, 39, 21, 35, 26, 19, -3, -18, 3, 35, 33, 25, -30, 25, 15, -5, 28, 5, -5, 4, -57, -25, 14, 2, 29, 6, 31, 10, -30, 41, -47, 34, 17, -15, -10, -22, -1, 22, -15, 43, 0, -27, 12, 9, -42, -17, 4, -38, -3, -41, -31, 16, 29, -2, -21, -11, 41, -14, -32, 5, 25, 35, 16, 43, -40, -4, -4, 50, 18, -27, -25, 9, 9, 8, -28, -11, 34, 6, -10, -14, 26, -4, 16, 30, 39, 8, 28, 13, -18, -40, -6, 15, -39, 36, -39, 34, -8, 0, -35, -6, 39, 48, -21, -36, -46, -6, 14, 39, 17, -9, -36, 4, -45, -34, -37, 42, 1, -38, -29, -10, -44, 8, -2, 14, -9, -5, 14, -36, 20, -41, 24, -10, -29, 11, -28, 31, -12, -19, -2, 13, -15, -26, -45, -23, 8, 42, -4, -35, 35, 10, 34, -44, 3, -18, 0, 22, 36, 43, -34, 22, 32, -37, 16, 35, 16, 21, 40, -15, -30, 3, -35, -5, -10, -30, 30, 11, 30, -46, 17, -24, -10, -8, -1, -38, 27, 30, -7, -39, -19, -24, 0, -20, -31, -1, 16, 41, 22, -8, -33, 37, -32, -5, -34, -10, -46, -44, 5, -20, -45, -32, -1, -36, 40, 42, 45, -12, 17, 35, -14, -13, 13, 32, -9, 14, -14, -11, 23, 32, 8, 26, 4, -24, -6, -25, 14, -24, 12, 37, 18, 8, -13, -25, 33, 27, -2, -8, -12, 19, 28, -27, -28, -29, 37, 32, -43, -27, -16, 30, -18, -37, -46, -22, 31, 2, 45, -17, 24, -37, 28, -36, 36, -32, 26, -47, 32, -32, -37, 2, -15, -18, 23, 1, 37, 2, 13, 0, -31, 43, 25, -40, 20, 26, 19, 8, 24, -16, 6, 11, 5, -40, -16, 30, 4, 22, -24, 9, 11, 11, -7, -22, -16, -23, 20, 42, -44, -27, 39, -33, 16, -31, 43, -2, -16, 9, 14, -23, -23, 29, -20, 22, 23, -24, -22, 12, 26, 17, -1, -12, -36, 30, 29, 37, 31, -34, -43, -41, 38, -27, 38, -44, 3, -5, 43, -47, 42, -42, -42, -25, 32, 9, -28, -5, -36, 25, 14, 20, 22, 29, 5, -4, 18, -27, 35, -46, -40, -8, 3, -31, 0, -15, -29, 4, -32, -20, -30, -28, -21, -1, -7, -28, -7, 35, 2, -25, 40, 14, 30, -19, 31, 37, 14, -18, -11, -39, -42, -19, 36, -33, -5, -34, 19, -46, -42, -9, 38, 4, 38, -48, 29, 10, 35, 20, 27, -15, 3, -11, -39, 17, 29, -32, -10, 6, 17, 27, -36, 38, 2, 15, -5, -17, -44, -11, -10, 3, -35, -2, 15, -38, -31, 38, 19, -25, -16, 47, -13, 41, 21, -11, -7, -31, 0, -9, 42, 35, 40, -35, 36, -10, -36, -18, 26, 17, -19, 19, -33, -35, -37, 26, -29, -41, -42, 46, 2, -38, 31, 13, 21, 36, 3, 33, 8, -11, 16, -35, -21, 26, 11, -10, -7, -12, -29, -34, -3, 4, -28, -20, -28, -3, 40, 23, 17, 16, -24, -9, -9, 4, 18, -14, 40, -14, -17, 11, 5, 8, -13, -27, 27, 29, 27, -34, -20, 4, 15, 31, -25, 6, -36, -45, -22, 6, 15, -8, 11, 23, 10, -26, 16, -26, 42, 27, 6, 17, -25, -14, -14, -24, 14, -22, -37, -3, -10, -45, -31, -38, -6, 17, -37, 29, 34, -13, -7, -19, -45, 12, -5, -32, -19, -29, 30, 8, -2, -7, 30, 30, -24, -8, -23, -13, 30, -18, 15, -40, -9, 14, 2, 16, -3, 15, 23, -46, 36, 41, 28, 34, 34, -45, 34, 36, -32, 1, -37, -7, -16, -18, -1, 19, -22, -30, 13, -42, -41, 23, -27, 30, -7, 43, 3, 0, 12, 44, 5, -8, -36, 27, -39, 33, 0, 5, 40, 27, 24, -23, 13, -2, 31, -2, -16, -12, -20, 1, 26, -21, -6, 33, -42, 36, -32, -26, -18, -26, 22, -36, -26, -33, -15, 21, 40, 13, 43, 21, 13, -10, 25, -30, -6, 43, -43, -46, 29, -2, 30, -27, -28, -23, -14, 16, -2, -14, 22, -23, -6, 20, -45, 4, 21, -23, -34, 0, 5, -26, -46, 10, -20, -19, -26, 0, 31, 44, -46, 18, -37, -20, -48, -16, -13, -46, 4, -3, 38, -37, 25, 16, -14, -40, 13, -33, 6, 28, 21, 4, 25, -33, 24, -31, -29, 9, -24, 1, -8, 21, 21, 21, 24, 4, 45, 29, -2, 10, -6, -45, 35, 10, 1, 6, 1, 43, 6, -12, -33, 9, 15, -19, -51, -12, 55, 5, 39, 3, -9, -10, -40, 32, 9, 27, 2, 6, -33, -36, 2, 30, 38, 17, -8, -6, 36, 4, -26, 31, -28, 16, -3, -22, 38, -12, 14, 33, 3, -3, -26, -27, 2, 20, 7, -37, 15, 18, -41, 21, 22, 18, 28, -4, -30, 0, -9, -36, -8, 22, 9, -1, 7, 16, -10, 7, -25, -42, 19, -49, -36, -32, -49, -18, -7, -23, -30, -13, -36, 43, -15, -1, -47, -8, -7, 30, 9, 4, -19, 17, 38, 28, -30, 5, 23, -21, 48, 28, -11, 16, 0, -13, 24, -39, -32, 47, 1, 0, -4, -29, 5, 32, -12, 3, 33, -34, 11, -41, 33, -7, -44, -2, -28, 25, 24, 5, 24, 31, 38, 30, 36, 29, 3, -18, 37, -30, -38, -32, 27, -18, -46, -41, 17, 1, -20, -30, 38, -39, -1, 8, -37, 8, 10, -45, 6, 4, -25, -38, -43, -18, -24, 32, 39, -20, -4, 8, 2, -44, -12, 34, -35, 11, 29, 23, -40, -13, -3, -45, -3, -38, 34, 17, -11, 9, -28, 18, -8, 39, -24, 26, 9, 9, -43, 7, 16, 30, 43, -20, -3, 9, 3, 10, 44, 42, 27, -44, -28, -18, -2, 32, 40, -16, -31, -21, -15, 2, 10, -21, 37, 19, -9, -37, -30, -26, -16, -33, 38, 15, -41, -3, 17, -21, 31, 24, 46, 24, 26, 21, 1, -43, 3, -39, 10, 44, -10, 20, -9, -45, 27, -38, -39, -17, 6, 23, -16, -33, -16, 32, 16, 8, 44, -2, 24, 21, 6, 36, 11, -24, -39, 2, -38, 14, 21, -19, -37, -42, -40, 36, 18, -28, -10, 41, 24, 23, -33, 15, 13, 34, -47, 24, -28, 33, -31, 28, -28, 31, 38, 9, 40, -44, 7, -18, -5, -43, -35, 8, -37, 11, 14, -6, -36, -30, -23, 45, 24, -19, 4, 32, 37, -11, 2, 1, -39, 35, -46, -9, -37, -36, -6, -4, -4, 46, -29, 33, -7, 34, 12, 17, 2, 34, 13, -31, 26, -21, -29, -46, -8, 31, 5, -31, -45, -38, 8, -3, -3, -47, 24, 16, -24, -40, 2, -5, -16, -23, 1, -21, -32, -26, -18, 46, -5, 9, 37, -23, 28, 20, -39, -22, 27, 33, -43, 25, -14, -3, -11, -40, -42, -7, -23, -25, 46, -3, 49, -13, 12, 7, -34, -15, -10, 43, 43, 6, 43, -28, 36, 12, -20, -29, 37, -45, 58, -9, 11, 21, -9, 15, 22, -33, -7, 4, -26, 47, -16, -15, 31, -26, 28, 28, 4, -12, 33, 45, 29, 10, -14, 30, 9, 10, -48, -36, 5, 3, 15, 16, -44, 31, -7, 7, 9, -23, 30, -15, -25, -34, -46, 39, -35, -12, -33, -46, -15, 2, 6, 30, -33, -16, 23, -12, 37, 12, 16, 37, 39, 6, 41, 48, 44, 38, -40, 38, 6, 14, 5, 43, -30, -1, -29, -1, -32, 17, -32, -24, 22, 31, 27, 11, -56, -15, -4, 41, 19, 17, 21, -4, -30, -18, -13, -33, -15, -40, 8, 6, -8, 42, 11, 12, 22, -31, 23, 40, 36, 48, 11, 50, 47, -15, -35, 28, -25, 3, -11, 31, 32, -52, 35, 7, -7, 12, -22, -31, -35, -20, -1, -17, -6, 7, -45, 13, 33, -42, 40, -53, -32, 6, -40, 6, -38, -5, 38, -32, 32, 26, -29, 21, -27, -44, -17, 6, -5, 42, -41, 13, 17, 49, -22, 19, -22, -30, 15, -54, -5, -32, -28, -22, -12, -4, 35, 9, 43, 4, 30, -26, -8, -19, -30, -45, -18, 10, 13, -6, 27, 22, -10, 3, 18, 21, -16, 17, -43, 17, 4, 32, 22, -23, 23, 2, -33, 41, -26, 16, -5, -36, 32, 35, 18, 11, 9, 29, 41, -23, -10, -2, 10, -53, 34, 1, 17, 38, -5, -36, 19, -3, -20, 24, -3, 44, 34, 33, -31, 21, 12, -15, 37, 20, 15, -38, -45, 16, 12, 41, 30, -27, -24, 4, 24, -37, -61, -4, -39, 12, -36, 29, 38, -10, 23, -19, 17, -44, -43, -38, 31, -49, -4, 25, 27, 49, -9, 10, -21, -2, 39, 30, -33, 10, 26, 10, 4, -40, -25, 1, -13, -17, -17, -37, -28, 29, 6, 47, -24, 42, 9, 16, -34, -44, 2, -21, -12, -46, 44, 5, 1, -31, 15, -33, 22, 35, 6, -5, -13, -17, 13, -26, -8, -13, 31, -27, -21, -41, 14, 20, 18, 16, -25, 35, -42, -25, -31, 27, -6, -12, 20, -25, -13, -8, -43, 35, 18, -15, -29, 16, -44, -10, 32, 19, 5, 41, -21, 33, -34, 40, -12, 24, -37, 45, -2, 44, -12, -33, -19, -22, 4, -36, -50, 52, -25, 28, 8, -13, 33, -26, 7, -42, -30, 1, -23, 16, 17, 23, -34, -53, -42, -28, 35, -32, 11, -1, -31, 22, -20, -19, 13, -57, -25, -47, -15, 24, -2, -29, 13, 30, -39, -16, -25, 22, -2, 35, 13, -7, 29, -35, -36, 30, -29, 37, -13, 8, -26, 39, -15, 38, -3, 19, -29, 48, -17, -20, 29, 31, 37, -20, 28, 21, -30, -21, -10, -30, -35, -7, -41, 21, 17, -46, -7, -36, 3, -9, -50, -57, 13, 9, -20, -1, 0, -57, -27, 9, -1, -55, -35, -36, -19, 13, 21, -36, 23, 23, 26, 11, 1, -19, -24, 28, -1, 29, -36, -47, 35, -45, 16, 37, -52, 8, 15, 34, -28, -25, 29, 27, 18, 8, 11, -33, -47, 10, 29, 11, 26, 22, 5, -33, -28, -22, -29, 41, -44, -25, -1, -4, 14, 10, -12, -43, -12, 9, 36, -36, -18, -9, 22, -35, -26, 37, -25, -18, -10, -20, 31, 24, -16, 5, 10, 42, -12, 22, -17, 35, 15, -48, 4, 45, -25, -26, -22, 6, -18, -39, -6, 26, 11, -45, -31, -26, 8, 24, 28, -45, 33, -11, 52, -1, 46, -45, -61, 21, 7, -47, 19, 13, -33, -43, -8, 11, 0, 46, -8, 15, -38, -12, 35, -46, -4, -52, -49, 1, 27, -28, 23, 17, -28, 21, -40, 31, 18, -6, 51, -7, -32, -13, 15, 29, 34, -26, -26, 33, 0, 4, -25, -33, 14, -17, 3, 31, 4, -7, 43, -23, -9, -33, 15, 30, 35, 30, -17, 0, -15, 16, -31, 56, 27, 6, 18, 24, -18, -45, 5, -5, -11, 6, -29, 9, -24, 17, 0, -13, -3, 1, -34, 35, 16, 4, 25, 6, -34, -36, 12, -50, 5, -6, 33, -14, 7, -38, 23, 4, -16, -17, -4, 34, 67, 0, 42, 37, 1, 23, -31, -33, -4, -9, 28, -6, -24, -6, -36, 3, 0, -40, 8, -18, 11, -54, -40, 2, -37, -4, -27, 20, -3, -27, -10, 40, -8, -9, -11, -28, 0, -17, 10, 23, 16, -45, 12, -1, -27, -3, -19, -34, 7, -3, -47, -12, -37, -23, -32, 37, -44, 22, 43, 5, 16, -18, -31, 16, -30, 7, 53, 36, 1, -41, 52, 7, -19, 9, -7, -51, 23, -2, 8, -4, -24, -4, -44, -14, 37, -6, 33, -48, -19, 7, -16, -28, -10, 5, -35, -42, -9, -30, -36, -35, 25, 11, 15, 26, -5, 23, -11, -21, 40, 12, -41, 44, -6, -39, 0, 27, 12, -3, 44, -2, -22, -13, -25, 2, 4, -27, 19, 7, 19, 51, -31, 45, 23, 9, 27, -27, 24, -10, -21, -18, -27, -24, 11, 29, 1, 30, -25, 7, 26, -27, 14, 49, -28, 63, 33, 24, -45, -51, 24, 23, 11, 27, 31, -21, -20, -19, 20, -21, -36, 12, 44, 43, -48, -15, 19, 16, 2, -41, -33, -5, -12, 8, -21, -1, 9, -12, -5, 16, 8, -27, 29, -5, 46, -35, 15, -14, -47, 15, -26, -21, -52, -32, -45, -3, 20, 35, 47, -35, -34, -12, -25, 7, -32, 18, -15, -23, -54, 11, -41, -40, 21, -23, -23, 32, -18, 14, 4, 32, -16, 37, 4, 16, 28, -12, 34, -13, 40, 5, -23, -39, -44, -16, -14, -16, -42, -35, 7, 39, 23, 39, -30, 12, -12, -27, 48, -16, -2, 43, 32, -29, -30, 33, -4, -11, 24, 3, -39, -3, 13, -6, 23, 23, -31, -19, 29, -39, 34, 2, 6, 39, 25, 8, -11, 11, -29, 7, 14, -30, -2, 17, -10, -44, -52, -18, -14, 24, -33, 3, 41, -25, -21, 38, 9, -3, 27, 16, -40, 28, 19, 7, -46, -4, -31, 43, 27, -3, -15, -15, 6, 21, 29, 21, -43, 18, -13, 19, 0, 9, 15, 10, -44, -24, 37, 27, 31, -23, 8, 30, 21, 22, 28, -52, 13, 29, -67, -27, -14, -13, -10, 14, 25, 13, 6, 23, 10, -66, 21, -23, -13, -18, 12, 27, -41, 22, 34, 38, 40, -5, -36, 1, 31, -5, -9, 39, -4, -17, 46, -15, 9, 41, -23, -11, -49, 18, -40, 41, 26, -14, 0, -34, -22, 37, -10, -38, -30, -42, 20, 33, 21, -44, -44, 41, -37, -22, 31, -18, -22, 12, 27, 26, 34, 4, 28, 10, -47, 33, 6, 22, -5, 6, 45, 41, -33, 25, 8, 16, -24, -27, 1, -19, -31, -49, 23, -11, -34, 38, -47, -3, -10, 52, 7, 25, 10, -14, -13, 30, 10, -15, 26, 36, -40, -3, -20, 3, 41, 4, -13, -40, 24, 11, 22, 15, 7, 20, -20, -12, -4, -33, 1, -13, -42, -37, -22, 10, -12, -12, -27, -1, -18, -29, 29, -31, 3, -23, 0, -13, 21, 0, 36, 8, -14, 10, -16, -14, 13, 22, 37, -40, -38, -16, 19, -12, -29, -39, 3, 28, -25, -34, 12, -31, -13, 5, 0, 19, 42, 3, -41, 9, 15, -9, -46, 34, -11, -27, 40, 16, 10, 10, 6, -33, 48, -33, 38, 40, 31, -1, 2, 53, 1, -50, 37, 34, -38, -17, 18, 15, -33, -38, 9, 30, -10, -35, -10, 22, -15, 14, -36, 37, 0, 32, 8, -42, 25, 12, -53, -46, -36, -15, 10, 2, -17, -25, -14, 18, -8, -16, -24, -18, -28, 0, -42, 38, -29, 7, -5, -21, -30, -14, -1, 20, -3, -33, 9, -12, 13, 28, -18, 3, 52, 40, -48, -47, -18, -42, 45, -17, 52, -9, -9, 11, 16, 37, -14, -18, 2, 1, -9, 11, 1, -11, -33, -11, 37, 33, -16, -33, 42, 30, -1, 22, -19, 10, -16, -48, -1, 37, -46, 26, 23, 30, 18, 22, 0, 32, 41, 2, -19, -5, 30, -25, -38, -24, 41, -6, 29, 16, 20, -16, -14, -43, 20, -4, 17, 17, 32, -14, 46, -5, -7, -30, 38, -41, -23, -6, 42, -37, -37, -43, -24, 0, 46, -33, -53, 9, 53, -8, -7, -20, 60, 4, 39, 11, -36, 19, 9, -2, 19, -9, -6, 0, 9, -31, 27, 7, 35, -12, -24, -18, 29, -28, -23, 3, 29, 7, 45, 24, -5, 21, -14, 12, -4, -28, 15, 26, 36, -4, -17, -42, -26, -8, 4, -13, -54, -6, -13, -38, -8, -16, -7, -27, -18, -19, 31, -9, -46, 14, -21, 3, -12, 6, -38, 45, -9, -25, 8, 14, 30, 14, -49, 31, -1, -46, 41, 33, -24, 34, -31, -48, -37, -40, 9, -16, -15, -40, 42, 25, -7, 9, -20, 8, 43, 8, 18, 18, -15, -2, 39, -22, 19, -45, -31, -11, 40, 22, -9, -13, -36, 14, 15, 38, 70, -12, -44, 38, 35, 55, 0, -5, 16, -25, 18, -5, 19, -31, 9, 30, -30, 30, 5, 44, -9, 15, -8, 13, -43, -29, 10, 49, -28, 10, -31, -33, -33, -2, 40, -45, -34, 10, 2, -32, -40, 6, -3, -24, -27, -35, -3, 13, -22, -19, 12, -14, 22, 42, 0, 5, 13, 25, -46, -49, -14, 39, 41, -33, 5, 52, 8, 30, -6, -14, 8, 49, -34, 2, -5, -21, -24, 2, -12, 34, 42, -18, -17, -3, 45, 13, 10, -26, -30, -28, -31, 30, 24, 1, 22, -35, 12, 15, -36, -27, 7, -6, -20, 42, 39, -19, -14, 25, 56, 31, 47, -21, -23, -27, -22, 12, -49, 21, 17, 25, -6, 23, 26, -14, -8, -47, 2, 40, -21, -14, 19, -2, 7, -46, -38, -24, 3, 50, 41, 22, -2, -22, -46, 15, -17, 29, -23, 47, 12, -10, -26, 30, 47, 15, 9, 28, 11, 12, -1, -28, 19, 6, -24, 25, 15, 39, -38, -2, 18, -11, -35, 6, -17, 23, 39, 41, 72, 41, -12, 14, 11, -16, -46, -24, -34, -17, -11, -10, -1, -36, -36, -13, 44, -41, -35, 40, 36, 43, 39, -28, 4, 14, -29, 1, -32, 12, -45, 43, -13, -46, -44, -51, 29, 2, -21, -27, -20, -26, -38, -43, 23, -1, -15, 22, -17, -21, 10, -17, -30, 2, 10, 39, -55, -37, -62, -24, -62, -43, 22, 41, 4, -30, -21, -36, -55, -32, 9, -1, 16, -23, 47, 48, 3, 11, 16, 23, -43, -9, 32, 7, -28, -8, -29, 21, 15, -42, 20, 18, -5, 28, 16, -30, 42, -12, 14, 38, -14, -38, -32, 32, -23, -37, 1, 13, 4, -44, -33, 4, -22, -9, 38, -14, 23, -14, 14, 23, -35, 2, -8, 33, -10, 40, 24, 24, 31, 5, -4, 14, -4, 22, 30, -51, -16, 13, 35, 19, 15, 38, 20, 23, 32, 36, 12, -17, -32, 9, 9, -33, -6, 12, 23, -5, 30, 51, 12, -31, -10, 58, -26, -29, -38, -33, 28, 42, 15, 38, -4, 4, 51, -41, -48, -20, -23, -18, 20, -11, 6, -20, 20, 15, 37, 35, 43, -8, -6, 31, 28, 34, -25, -24, -25, 62, 3, -9, -43, 4, -6, -19, 40, -16, 26, 13, -16, 33, 1, 51, 24, 47, 34, 42, -8, -14, -30, -20, -17, 42, -26, 38, -43, -8, 29, 7, 37, 13, 46, 25, -16, -46, 1, 26, -2, -25, 12, -14, 6, -26, 30, -22, -18, 26, 34, -9, -32, 6, -44, 23, -15, -11, -12, -25, 22, 43, -33, 40, -47, 9, 30, 39, -6, 50, 6, 2, 3, -1, 50, 43, 40, 9, 12, -8, 2, 33, -44, -43, -47, 13, 10, -54, -63, -49, 28, 11, 30, -7, 38, 47, -8, -47, -14, 31, 16, -4, -43, -36, -18, -31, 17, -17, 23, -17, -21, 28, 42, -7, -36, -9, -13, 1, -9, -30, -30, 5, 37, -43, -31, -23, 46, -16, 36, 37, 10, 50, 15, -19, 18, -20, -13, -29, -15, 11, -26, 18, -10, 34, -13, 9, -64, 29, 15, -2, -31, 14, -28, -26, 1, -21, 6, -51, -25, 28, 23, -8, -2, -36, -14, 3, -45, -21, 27, -5, -5, 40, 10, 28, 13, 12, -26, 25, -24, 55, -15, -22, 2, -7, 26, 7, -43, -38, -29, -22, -36, 29, -17, -5, -21, 15, 49, -42, -21, 3, 3, -1, -29, 41, 59, 34, 35, 19, -19, 25, 31, 9, -2, -9, -15, 51, 10, -5, -8, 53, 4, 44, -17, -47, -21, 7, -25, -24, 13, 23, 29, -9, -8, 14, 8, 33, -34, -5, -9, 41, 23, -28, 3, 20, -37, 36, 36, 14, 14, -43, -21, 21, 42, -5, -7, -48, -2, -15, -42, -18, -40, -25, 26, -22, -36, -1, -14, 41, 32, -19, -9, -14, 6, 2, -29, -19, 48, 28, -18, 33, -24, 38, -21, 22, 28, 35, 13, 40, 17, 25, 12, -11, -15, -17, 17, 30, 25, -40, -47, 23, -30, -51, -1, -27, -34, 3, -26, -17, -15, 34, 15, -19, -7, -32, -2, 32, -27, -15, 6, -7, -2, 27, 28, -13, 10, 1, 7, -11, -5, 15, -25, -18, -5, 23, -36, -22, -24, -7, -36, -32, -68, -12, -22, -33, 4, 7, -43, 2, 27, -22, -31, -45, -58, -21, 12, -15, -31, 40, 54, 31, 0, -18, -10, -22, -42, -14, -21, 31, 44, 41, 25, 5, -16, 21, 27, 30, 39, 34, 8, 1, 8, 12, -4, -19, 14, 16, 35, -1, 45, 35, -9, 20, 59, -4, -18, -16, -35, -16, 39, -10, 14, 8, 12, -20, -5, 16, 18, 13, -38, -20, -12, -7, 29, -37, 6, -47, -36, -23, -24, -45, -32, -43, -15, 12, -22, 30, 23, -10, 48, -22, 6, -27, -19, -19, 31, -28, 30, 33, -1, -43, 26, -36, -15, 38, 10, 2, -24, -26, 17, 17, -19, -32, 3, -26, -3, 39, 5, -49, -48, -4, -3, -58, -31, 54, 7, -7, 61, 30, 7, -53, 15, 30, 7, -4, -18, 11, 31, 44, -12, 53, -29, -45, 34, 21, -17, 52, -23, -7, 68, 0, -25, -16, -9, 5, -15, -4, -2, -28, 7, 27, -4, 29, 18, -25, 38, -4, -47, 10, 1, -38, -23, -3, -21, -10, -9, -34, 30, -14, -40, -12, -3, 28, -23, -4, -27, 14, 9, 17, -1, 15, 37, 16, -23, -10, 32, 20, -6, -20, 11, 21, 1, 10, -2, 32, 41, 13, 30, -9, -25, -43, 28, 5, -39, -13, 5, 47, 44, 24, 23, -24, -24, 42, 20, -30, 5, 18, -64, 2, 53, -52, 20, 16, -4, 67, 54, -22, -41, 22, -51, 34, 48, -9, -8, 5, 10, -27, 38, 29, 25, -19, 1, 30, -22, 10, -19, 26, -19, -13, 22, -7, 41, 47, -45, 24, -7, -23, -17, 53, 10, -17, -34, -71, 35, -30, 10, -15, 3, 31, 17, 12, -1, 14, 34, 10, -16, -21, -39, -11, 21, 12, -7, -20, -16, -2, -18, -27, -9, -22, -13, -18, 31, -4, -34, -23, -39, 16, 6, -4, 36, -9, -16, -32, -17, 0, -31, 39, -39, -22, 21, -8, -7, 0, 47, 20, -38, 6, -66, 13, -49, -8, -3, 34, 0, -49, -37, -11, -44, -16, 17, 42, -45, -40, 8, -4, 45, 1, 29, -25, 0, -22, -4, 18, 5, 2, 37, 37, -26, -34, -44, 5, 1, 40, -13, 23, -18, -12, 17, 21, 38, 27, 21, 24, 39, -9, -39, 27, 6, -10, 22, 42, -31, 17, -7, 24, 50, 23, 13, 2, -46, -9, -1, -17, -7, 30, 19, 20, 30, 48, 27, -20, -28, 17, -38, -46, 41, -18, 49, -29, 35, 11, -28, -5, 36, -27, 10, -22, 6, -11, -14, -10, 8, 30, -32, -7, 44, -2, -29, 7, 6, -10, 30, -21, 19, 39, -9, -24, 30, 52, 28, 39, 13, 36, -24, 13, 22, 17, -9, -22, -58, 17, -25, 7, -1, -20, 23, -11, 28, 34, 12, -24, -35, 3, 7, -41, -38, 11, 27, -12, -15, -7, -26, -19, -31, -3, 28, -7, -17, 1, -3, -25, 15, -9, 1, -44, -42, -42, -48, 37, 17, 1, 3, -23, 15, -7, 34, 53, -38, -10, -29, 3, 40, -17, 54, -25, -9, -2, -38, -28, 35, 0, 35, 41, 27, -5, 1, -21, 63, -40, 35, -42, 11, 22, -50, 52, 20, 19, 4, 42, -40, 6, -28, 24, -36, 15, -43, -43, 30, 35, 27, -22, 34, 19, 11, 40, -28, 4, -18, 12, -11, 14, -15, -18, 5, -3, -20, -24, 16, 21, -28, 4, -4, 27, 24, -17, 35, -15, 5, 34, -28, 18, 34, -43, -17, -31, 20, 8, 35, -45, 6, -23, -38, -3, -39, -52, 14, -10, 4, -7, 5, -67, 8, 25, -58, 37, 0, -2, 41, 29, -8, -49, -43, 19, -43, -1, -52, -8, -37, -31, 6, -26, -60, -41, -14, 1, -38, 28, 16, 12, 9, -22, -44, -28, -16, -4, -24, -46, 8, 8, -39, -14, -38, -38, 19, 7, -24, 29, -46, 31, -7, 24, 2, 37, -32, 39, 6, 12, -32, 32, -14, -41, 43, -11, -16, 41, 3, -23, 41, 3, -46, -17, 27, -33, 8, -15, -28, 40, 9, 11, -14, 5, -37, 35, 2, 27, -4, -44, -44, 30, -21, -10, 18, -54, -8, 25, -28, -13, 12, -23, 10, 20, -44, -41, -42, 24, -45, -7, -16, 13, 17, 14, 9, -9, 40, 4, -6, 20, -34, 9, -38, 10, -44, 30, -43, 39, -1, 12, -25, 42, 10, -31, -28, 30, -15, -37, -21, -30, -27, -17, -2, 34, -28, 17, -47, -47, -41, -42, 3, 19, -23, -48, 36, -36, 37, 3, -20, -23, -43, 37, 33, -2, 31, -14, -57, -13, -22, -22, 13, -18, -32, 37, 3, 5, 0, 11, 12, -36, -21, 32, 24, -20, -10, -17, 47, 21, -40, -11, 10, 6, -19, -36, -20, 9, -8, -36, -48, -28, -6, -26, -13, 31, -33, 13, -14, -29, -16, 0, 52, -35, -24, -6, -19, 39, 27, 10, -15, 34, 3, 27, -26, 47, 13, 7, -15, -47, 32, 21, 33, -33, -13, 36, -33, 21, -44, -21, -24, 17, 19, 5, 17, 39, 8, -31, -30, 49, 29, 33, 19, 42, 24, 0, -28, 6, -33, -8, 20, 46, -45, 38, 15, -1, 28, -4, -10, 39, -9, -13, -1, -13, -51, -50, 6, -47, 9, 28, 57, -10, 6, 47, 1, 1, -13, 33, 6, 27, -33, 32, 7, -9, -9, 17, 41, 2, 7, -63, -7, 29, -28, -52, 44, 23, 0, 12, -46, -41, -32, 14, 42, -21, 54, 19, -35, -42, 15, -21, -2, 3, 1, -27, 19, -35, -54, -18, 23, 13, -28, -24, -57, -5, 30, 38, -30, -36, -17, 17, 31, 13, 11, 51, 27, 15, 4, 48, 16, -29, 13, 17, 44, -28, 8, 20, 2, -61, 7, -26, 20, -1, 19, 2, -4, -29, -20, -56, 23, -3, -4, 47, 8, 28, 21, -8, 15, 35, 31, -13, -4, -31, 51, -30, -26, -28, 7, -17, -13, -19, -17, -19, 12, 2, 37, -22, 7, 40, 16, 12, -38, -34, 42, 36, -33, 44, -11, 31, -44, -25, 5, -3, 15, -8, 8, -9, 20, 41, 4, 1, 17, -20, -3, -7, 26, 34, -3, -7, -9, -26, -15, 16, 29, -12, -9, -25, 29, 6, -1, 16, -10, -4, 41, 2, -1, -21, -19, 6, 24, -7, 5, 15, -5, -5, 9, 29, 11, -18, 25, 8, -17, -11, 12, -37, -27, 4, -16, -19, 38, 10, 3, 13, -33, 24, 31, -7, 33, 2, 9, 20, -41, -36, 24, -21, 4, -21, -28, -7, 28, -11, -22, 7, -10, 7, 32, -19, -6, 20, -16, 34, 40, 39, 22, -29, 0, 29, 13, 0, 10, 23, 1, -23, -25, -43, -20, 35, 33, 46, -21, -18, 22, 33, 26, 68, -20, -30, 12, -1, 4, -43, -38, 3, 2, 11, -17, 41, -16, 6, 19, 47, -35, 29, 12, -21, 25, -28, 18, -14, 14, -65, -12, -47, 4, -28, -32, -25, -30, -59, 29, -79, 3, 31, -48, 48, 40, 31, -14, -31, -21, 33, 5, -33, -23, -62, -23, -19, -14, 13, -15, 14, 14, 32, -33, 24, -13, -25, 12, 32, -3, 4, -12, 36, 56, 35, 9, 23, -12, 8, 29, -25, 31, 39, -9, 7, 6, 14, 21, -3, -15, 30, 33, 9, 37, -42, 36, 25, 24, 23, 29, -21, 0, 11, -17, -33, -3, 44, -11, -6, 38, -37, 17, -15, -7, -4, 6, -46, 37, -12, -44, 16, 9, 3, 42, 21, 6, -33, -27, -32, -21, 38, -26, -6, 49, -48, -2, -21, -30, -1, 26, -43, -26, 0, 1, -43, -32, 8, 34, -8, 7, 21, -31, 15, 6, 2, -7, 14, -30, -13, 31, -45, -16, 2, -34, -29, 19, 9, 19, 2, 28, 13, 30, 13, 6, -26, -21, -19, -29, -39, 41, -3, -29, 15, -23, 29, 55, -4, 49, 13, -18, 10, -42, 22, 8, 2, 6, -27, -23, 1, 29, -23, 25, -24, 22, 14, 20, 25, 29, -31, 29, -11, 11, -34, -33, -23, 38, 4, 29, -46, -47, -37, 11, 3, -15, 51, 9, -1, 18, -13, -9, 33, 30, -26, 33, -7, 35, -26, -23, -3, 35, -32, -17, 14, 19, -24, -1, 22, -5, -34, 48, -46, -49, 19, 14, -23, 14, -25, -17, 33, -13, -23, 5, -4, -14, 32, -8, 32, 38, 38, -33, 4, -33, -27, -14, 27, -40, 2, 17, 15, -41, -41, -55, -8, -7, -17, 21, 25, -17, -17, 13, -14, -46, -1, -30, -7, 17, 20, -18, -15, 2, 8, 10, 27, -26, -27, -5, 8, -21, -46, 15, 47, 10, 17, 18, 34, 27, -41, 14, 31, 23, -16, -10, -48, 3, 8, -8, -23, 33, -12, 10, 42, -13, -25, -17, 5, 10, -25, -66, -28, 10, -27, 22, 1, -64, 23, 51, 17, -1, -14, -20, 15, -29, -15, -42, -22, -6, 34, 36, 24, 17, 14, 2, 33, 32, 40, -1, 8, -14, 28, 20, 29, -32, -39, -46, -20, -8, 22, 38, -13, -17, -10, 6, -10, -7, 7, 10, -31, -20, 34, -20, 34, 20, 16, -43, -17, 37, -17, 36, -40, -37, 6, -29, -20, 17, 37, -16, -2, -11, 24, -16, -23, -16, -3, -4, 28, -38, 7, -4, 19, -25, 49, -27, 43, -24, -27, 28, 32, 36, -8, -20, -33, 40, -42, 26, -4, -17, -8, -27, -27, 38, 9, -25, 12, -22, 12, -28, 20, 7, -17, 23, 29, 16, 7, 39, 19, 16, -37, 21, 40, -5, -34, 33, -13, 27, -19, 48, 19, -7, -9, 32, 11, 33, 6, -40, 28, -31, 25, 5, 13, -35, -33, -38, 28, 9, 11, -5, 21, 17, 3, -39, 5, 61, 16, 6, 6, -36, -28, -29, 24, -44, -6, 35, -19, -33, -11, 16, 41, -19, -10, 42, 21, -15, -9, -12, -8, 39, -5, -11, -16, 0, 41, -5, 22, 8, -4, -39, -36, -11, 7, 28, -44, -23, 15, -5, -2, -11, 47, -7, -1, -8, -1, 3, -41, -26, -14, 1, 4, -20, 39, 41, 26, 3, -19, -20, 14, -31, -2, -9, -51, -9, 37, -11, -16, -6, 0, 29, 24, 21, 19, 17, -6, -21, 4, -24, 30, -16, -19, 6, 27, -33, -1, -14, 1, 2, -13, -27, -34, 7, -1, -44, -22, -44, -25, 12, 36, -30, 36, 34, -9, 32, -17, -15, -25, 42, -19, 21, -39, -53, -36, 34, 30, 5, -7, 14, -2, 24, 20, -32, -4, -39, 36, 46, -26, -13, 8, -6, -2, 32, -8, 19, 6, 12, 11, 9, 6, -6, -33, 14, -48, 8, -18, -43, 30, 34, 40, -40, -25, -30, -28, 24, -24, 21, -40, 23, 33, -19, -6, 28, -18, 4, 24, -14, 34, 52, 13, -33, -9, 41, -15, 10, 25, -19, 29, -2, -30, -27, 14, 14, 43, 36, -27, -25, 22, -29, -23, -16, 21, -31, 44, -17, 31, 39, 3, -43, 42, -20, 28, 36, 26, -28, -27, -31, -3, -5, 49, -41, 15, -5, 5, -30, -27, -37, -11, -7, -40, -30, -40, 21, 26, -39, 24, -15, -36, -30, 6, -59, -1, -2, 55, -57, 16, 8, 17, -48, -10, -41, -27, 2, 11, -47, -18, -40, 36, 24, 19, -24, 10, 10, 8, 18, 19, -23, -24, 8, -38, -15, 6, -21, -8, 23, -8, 3, -11, 4, 14, -22, -26, 2, -29, -14, -24, -17, -17, 33, -22, -3, -11, -35, -34, 35, -3, 2, 15, 38, 30, 34, -8, 13, 15, 29, -10, 0, 27, 26, -31, 16, 15, 38, 45, 5, -11, -14, -5, 2, -42, -15, 11, 28, 19, -7, 41, -29, 27, -17, -33, -5, -6, -5, 7, 19, 18, 12, -47, 29, -6, 18, 36, 23, -19, 19, 39, 41, 32, -23, -45, -45, 33, -40, -40, -6, -53, -17, -55, 18, -16, -16, 4, 25, -10, 4, -9, -23, 26, -24, -30, -10, 0, 38, 16, 8, -5, -7, 6, 50, 18, -38, 11, -15, 32, 20, 26, -17, -46, 4, 22, -37, 21, -32, -28, 14, 7, -4, 4, 0, 23, -4, -23, -13, -14, 5, -11, -2, -50, -51, 25, -14, 9, -29, 29, 24, -36, -10, 31, 37, -25, -52, -15, -27, -14, 36, -15, -22, 4, -17, -50, 1, 25, -3, 25, 51, 9, -46, -31, -30, -21, -23, 26, 28, -34, -11, 32, -15, 1, -19, 37, 26, 7, -10, 25, -21, 28, -29, -31, -5, 16, 19, -17, 30, 30, -30, -28, 42, -9, -17, 20, -15, 11, -37, -1, 19, 25, 3, 10, -43, -31, 1, 28, 43, -29, 44, -11, -10, -26, -10, 24, -10, -47, 54, 13, 5, 24, -9, 1, 22, -22, 19, -1, 29, 36, -23, -54, 7, -9, -16, -2, -7, 4, -44, 41, -26, 32, 7, -25, 17, -34, 0, 12, -25, -9, -19, 12, 26, 16, -24, 32, 49, -31, -11, -22, -6, 1, 26, -5, -21, 19, 33, -41, -35, 4, -41, -12, -43, 8, 37, 35, -42, 16, 34, 24, 3, -39, -20, 50, 44, -2, -9, 60, -10, 14, 43, 19, -19, -25, 39, -37, 1, 47, 40, -16, 58, -34, 28, 25, 20, -12, 43, 18, -13, 28, 21, 21, -9, 19, -34, 52, -1, 18, 42, 33, 25, -27, 32, -6, -2, -31, -46, 24, 21, -20, -8, -20, 23, 26, -17, 33, -9, 22, -44, -35, -38, -25, 25, 48, -33, 3, -12, 23, -37, 29, -14, -30, -27, 9, 10, 17, 21, 13, 23, 38, 8, -46, 22, -21, -18, 41, -34, 28, -23, -20, 49, -40, 15, -23, -28, 18, 31, 15, -3, -15, 8, -30, 23, 31, -23, 0, 2, -7, 10, 5, -5, 41, 14, 12, -20, -14, 21, 14, -8, -5, -64, -8, -46, -16, 30, -9, 46, -19, -7, -13, 20, -11, -3, -5, 24, -8, 25, 19, 6, 15, 7, -21, 10, 56, -3, 15, -10, 36, -38, 41, -30, -46, 1, -28, -26, -15, 8, 49, -29, -14, 22, -1, -3, -28, -22, -30, 12, -18, -17, 29, -18, -19, 39, -8, 49, 5, -1, 24, 13, 39, 16, 2, 28, -37, 2, 30, -32, -37, -35, -10, -19, -31, 34, -14, 19, 5, 8, -19, 34, -18, 23, -35, -6, -17, -24, 28, 20, 35, 32, -46, -36, -8, 27, -32, 19, 72, 13, 10, 50, -40, 32, -9, 53, -1, -20, -35, -31, -19, 3, 2, 27, -33, 3, -9, 0, 2, -26, 19, -15, -22, -15, -4, -48, -26, -5, 0, 10, -15, -19, -16, 11, -14, 38, 10, -13, 22, -34, -33, 26, 38, 3, 18, -24, -50, -30, 44, 50, -10, 18, 26, 2, -42, -20, -4, -33, -36, -40, -1, -26, 20, 10, -19, 19, 28, -20, 37, -4, -9, -31, 0, 32, -5, 10, 18, 24, 38, -32, -23, -6, -8, -30, 0, 18, -31, 31, 14, -14, 30, -6, 10, -3, 23, -38, 12, 19, 40, -4, 45, -2, -27, -17, 16, -32, 32, 7, 35, 9, 5, -17, 56, -36, -49, -17, 0, 8, 42, -25, -45, -52, -20, -35, -3, -3, -50, -36, 32, 23, 38, -36, -29, -33, 33, 39, -27, -23, -7, -13, -6, 12, -33, 29, -5, 44, 44, -1, 60, 48, -25, 25, 7, 11, -28, 27, 50, -55, -5, -3, -1, 24, 22, 31, 40, -10, 13, 15, -15, -48, 17, 0, 17, 30, 35, -10, -29, 44, -7, -15, 22, 37, 43, 1, 24, -1, -26, -20, -27, -6, 5, -32, -18, -1, -25, -26, 11, -34, -47, 6, 30, 10, 11, -44, -28, -24, 0, 34, 10, -22, -22, -14, 51, -17, 10, 31, 19, -7, 26, 21, -20, -41, 1, 9, 16, 18, 35, 11, -17, 21, -44, 3, 12, 21, -37, 47, 22, -35, 28, -32, 17, 69, 15, -17, 64, -35, 15, 57, 25, -32, 37, 5, 10, 40, -4, 37, 36, -9, -27, 7, 2, -19, 37, -3, -31, 9, -31, 6, -15, 8, 21, -54, 38, 29, -39, -38, 41, 1, -8, 43, -4, 3, 3, 35, -3, 5, 2, -40, 41, 17, -45, 14, 38, -34, 40, -17, 29, 17, 17, -16, -27, -25, -24, 27, -14, 28, 23, 36, 27, -29, 31, -22, 14, -47, -25, -16, -38, -27, -36, 3, 6, -30, -11, -31, 17, 13, -17, 29, 2, -29, -12, 0, 8, 16, 43, 2, 17, -26, 10, -27, -39, -29, -9, -19, 6, 7, -32, 24, -4, 35, -7, -7, -8, 18, 4, 44, -11, 41, -13, -8, -27, -62, 18, 32, 22, -12, -9, 30, 42, -15, 50, -34, 22, -7, 42, 28, -23, 0, -10, -33, -36, 1, 4, -42, -40, -19, 25, -12, 0, -2, -3, 21, -22, 46, 20, 25, 2, -31, 5, -28, 22, -23, -48, -25, 16, -7, 1, -19, -14, 1, -25, -2, 26, -18, -14, -45, 11, -38, -16, -4, 19, 5, -27, -44, -15, 3, 40, -43, 25, 31, -27, -10, -5, -1, 38, -14, 17, -7, 44, 22, 3, 34, -39, -23, -17, -64, 6, 4, -13, -32, 5, -19, 39, -19, 12, -30, 32, 18, -53, -63, -47, 15, 12, 3, -40, -40, -24, -3, -22, -58, -10, -32, -41, 9, 6, 17, 40, -9, -23, -26, 13, 29, -30, 10, -31, -10, 26, 68, 39, -7, 33, 32, -4, -7, -6, 29, -15, -13, -25, -20, 6, 37, -1, 39, -30, 12, -22, 26, -40, -46, 15, -13, 29, -41, -44, 11, 10, 14, -10, -14, 52, -43, 3, 19, -17, 10, 80, 34, -23, -27, -23, -3, -37, -7, 27, -27, -41, 2, 42, -20, -51, 69, -21, 8, -6, 21, -31, -10, 40, -35, -25, 22, -42, 2, -32, -13, 0, 47, 53, 10, 26, 20, -21, 13, 55, -12, 11, 8, 19, -18, -2, -52, -40, 48, -35, 32, 10, -30, -28, 36, -5, -35, -11, 29, -38, 38, -32, 21, 3, 34, -36, 25, -36, 42, -30, 41, 7, -29, 22, -20, -38, 11, 3, -13, -9, -17, -26, 33, 35, -17, -26, 38, 21, -37, 42, -45, 4, 41, -26, -3, -40, -34, 53, 14, -13, -43, 25, 2, 50, -30, -28, 0, 8, 23, -15, -2, -4, -9, -19, 7, -30, 8, -34, -2, 7, -25, 48, 6, -9, -20, 0, -47, -1, -36, 5, 6, -9, -19, 12, 11, 24, 13, 27, -18, 36, -28, 30, -7, 3, 41, 16, 41, -12, 15, -10, 15, 19, 38, 1, 27, -21, 23, -1, 30, 21, -27, 10, 34, 33, -11, 35, 1, -16, -12, 15, 0, -21, -50, -13, -26, 21, 8, -22, 43, 1, -26, -22, 1, 12, -8, 25, -2, 8, 31, -18, -40, 21, -36, -38, -3, -52, -21, -25, -16, 17, 20, -18, -43, 21, 4, -28, -30, 34, -18, 40, -4, -37, 15, -42, -61, -28, 9, -22, 2, -53, 15, 18, 8, -37, -31, -2, 18, 6, -30, 9, 27, 35, -43, -2, -11, -25, -40, 12, 17, -49, 27, 18, 49, -28, 53, 1, 28, 43, -29, -1, 6, 32, 31, 23, -59, -5, 43, 25, 31, 64, -4, -9, 34, 8, 9, 10, -13, -28, 8, 25, -42, -39, -48, -5, -41, -40, 26, -22, -14, 57, -2, -11, 11, -5, 8, -17, -4, -40, -6, 32, 13, 33, 50, 30, 23, 3, -24, -23, 20, -43, -26, -11, 14, 6, 39, -7, -25, 14, -15, 22, -47, -29, 9, 10, -13, -5, 17, 34, -8, -36, -2, -32, 48, 3, 16, 40, -17, 28, 34, -57, 29, -10, 16, 42, -22, -45, 37, 39, -13, -9, -14, -33, -19, 5, -41, 21, 10, 18, -3, -40, 6, 7, -4, -7, -24, -38, -1, 42, -7, 1, -7, -18, 49, -8, -14, 30, 7, 11, -25, -42, -5, -20, -13, -24, -50, 26, -38, 10, 0, -23, 34, -3, -16, -35, -3, -29, -3, 25, 64, 5, -50, -27, -18, -2, -38, -32, 6, -6, 30, -22, -36, -11, -20, -31, -36, 22, -23, 21, -43, 36, 39, -13, 20, 28, 11, -21, -16, 48, -31, -44, 6, 36, 35, 11, 31, -11, 32, -21, 29, 3, 8, 54, -14, -25, 8, -43, -25, 50, 4, 21, -6, 6, -5, 29, 31, 26, 12, -15, 24, -17, 28, -15, -7, 20, -31, -53, 26, 53, 30, -4, -58, -7, -22, 13, -42, -19, 28, -9, -26, 20, 35, 33, -17, -41, 43, -3, -23, -16, -33, -20, -28, -19, 0, 52, 20, 5, 7, -20, 13, -5, 13, -4, -53, -23, -35, 7, -9, 33, 14, -21, -10, 30, -9, 14, -23, -14, 29, -5, -33, 11, -12, 18, 8, -30, -7, -30, 43, 4, -31, -7, -16, 35, -9, -29, 2, 16, 20, 21, 4, 9, -22, 77, -3, -8, -4, -9, 11, -42, 2, -43, 21, -1, -26, -25, -14, 8, 1, -22, 48, -31, 55, 52, -21, 3, -50, 44, 29, 28, 16, 1, 0, 47, -12, -25, -8, -10, -87, -10, -48, -72, -25, 18, -23, -31, 11, -24, -29, -11, -20, -28, -12, -49, 46, 38, 6, 44, -14, 26, 44, 7, -6, -24, -44, -30, -33, 8, 26, -25, -6, 45, 45, -24, -9, 37, -23, -13, 27, 6, -9, 13, 45, -17, 22, 42, -7, -9, -18, 18, -14, 32, 29, 16, -21, 34, -13, -21, -27, -21, -12, 49, 20, 31, -26, 45, 10, 4, 43, -45, -50, 7, -33, 38, 16, 46, 3, 2, 43, 49, -3, 34, -32, -39, -27, -8, -11, -1, -37, 19, -55, 7, 35, 3, 47, 21, -8, 43, 38, -42, -45, 12, 15, 8, -3, 2, -11, -7, -33, -14, -20, 25, -32, 24, -39, -39, 7, -2, 38, 23, 16, -20, 18, 40, 27, -39, -30, -39, -8, 39, -34, 39, 12, 23, 0, -24, -24, 4, -26, -25, 42, -1, -8, 28, -3, 27, -45, -8, -19, 16, -31, 53, 14, -4, -30, -1, 34, -34, 5, 7, 46, 42, -43, -29, 38, 32, 24, -36, 21, 35, -12, -17, -47, -28, 12, -29, -26, -14, 21, 17, -18, 9, -42, -44, 42, 8, -39, 45, -33, 16, 1, 16, 31, 0, 41, -21, -39, 20, 6, 24, -5, -11, 22, 3, -13, -48, 20, -12, -17, 15, 25, 16, 28, 17, 39, 19, 14, 40, -27, 29, -36, 7, -7, -39, -20, 14, 21, -46, 3, -36, 17, -15, 21, -25, -11, -41, 47, 8, 20, 2, -16, -5, -21, 26, 14, 45, 53, -9, 30, 11, 26, 24, -17, 16, 37, -46, -43, -32, 5, -41, 45, -24, -8, -11, -15, 32, -33, 2, 12, 20, 27, -38, 37, 26, -32, 50, 20, 25, 5, -31, 53, -1, -35, -5, -45, -8, -42, -10, -16, 8, 22, 40, 30, 28, -7, 10, -36, 32, 29, -17, -1, -11, -35, -37, -5, 11, -37, -19, -34, -7, -33, 0, -5, -26, -15, -1, -29, -8, 8, -44, -29, 12, 41, 4, 32, 35, 10, -6, 4, 19, -33, 30, -43, 2, -18, 14, 3, 42, 5, 7, -5, 19, 21, -15, -14, -25, 22, 15, 17, 24, -9, 26, -28, 12, 40, -45, 42, 49, -12, 1, 16, 42, 1, 34, -50, 0, 14, -20, 14, 11, -13, 29, 45, -28, 16, 4, 13, -11, -8, -45, -27, -24, 27, 19, -30, 16, -27, 14, -27, 35, 29, -17, 21, -12, 30, -35, 41, 41, 36, 11, -34, 6, 16, 2, 44, 13, -16, 4, -32, -27, -9, -45, 42, -20, 39, 15, 6, -35, 30, 37, -10, -6, -15, -12, 21, 14, -14, -19, 11, 13, -35, -47, 30, -38, 5, -24, -7, -48, -45, 25, -39, 29, 5, -13, -11, 39, -13, 44, -35, -15, -4, -6, -58, -37, -45, 3, -19, -25, -36, -35, -16, 29, 18, 39, -43, -6, 0, -41, -43, -9, 15, -27, -15, -42, -45, -10, -28, -36, 24, 14, -11, 21, -40, 41, 15, 44, 35, -28, -26, -5, -2, 25, -11, 28, 17, 19, 28, -33, -16, -34, -40, 39, -13, 21, 28, -26, 20, -34, -40, -36, 10, 14, -31, 25, -36, -21, -45, -16, 9, 27, -33, -33, -23, -15, 26, -35, 42, -36, 11, -22, 41, 40, 17, -29, -42, 22, -39, -4, -25, -4, 18, -3, 22, -28, 18, 18, -35, 37, -3, 11, 25, -10, 8, -25, -35, 39, -40, -27, 4, -27, -15, -8, -40, 1, -11, -32, -4, 17, 14, 38, -5, 4, 12, -30, -15, 29, 26, 7, 19, -23, -20, 9, 1, 23, -48, 15, 23, 2, 21, 14, 11, -30, 8, -18, -31, -43, -1, -5, -7, -28, -37, -21, -8, 40, 18, 45, -48, -6, 25, -18, -17, 10, -15, 21, -60, 41, 60, -17, -33, -21, -50, 1, 37, -1, -19, -46, -40, -36, -35, -27, 31, 32, 10, 1, 11, 21, -37, -45, 17, 20, 16, -46, 24, -11, 26, -29, 16, 45, 30, 42, -8, -13, -44, 21, 33, -44, 34, 34, -20, -30, 12, 32, -37, -41, -45, 24, 11, 6, 11, 36, 2, 9, 47, 10, -35, -8, -35, 12, -28, 43, 28, 2, -14, -13, -12, 20, -30, 18, -19, -3, 7, 27, 19, 24, -21, -15, 44, -22, -27, -28, -37, -29, 2, 16, -40, -34, 66, 29, -37, -3, 22, -41, 11, -25, 18, 1, -37, -4, -51, -43, -18, -15, -32, -42, 5, 23, 14, -39, 19, 19, 44, 57, -11, 39, 36, 12, 14, -13, 30, -27, 16, 18, -42, 17, 17, -18, -2, 4, -10, 35, -14, -52, -10, -31, -14, 20, 32, -21, -13, 43, -23, 24, 14, 30, 17, 2, -29, -15, 3, -23, 9, -49, -20, -24, -28, -3, 10, 17, -41, 4, -37, -5, -8, 1, 8, 13, 31, -11, -15, 50, 19, 40, 24, -27, -8, 43, 40, -50, -36, -26, -54, 39, -7, -9, 34, -3, 5, -35, -6, 41, -44, -8, -37, 15, -29, -12, 18, 19, -2, -17, -33, 18, 10, 14, -3, -42, -5, -31, -12, 20, 24, 29, -13, -14, -32, -6, 3, 32, -36, -45, 26, 29, 14, 25, 35, 27, 9, -25, -28, 7, 35, 21, -6, -4, -19, 27, -12, -45, 25, -9, 12, -6, -16, -34, -17, 45, 30, -36, 32, 37, 38, 12, 17, -1, -13, 41, -25, 5, -37, -26, 7, -9, -42, -16, -12, 13, -35, -34, -19, -13, -47, 33, 10, 13, -29, 24, -5, -24, -4, -13, 21, -16, -23, 31, 3, 34, 29, -23, -4, -8, 46, -29, -24, 15, 24, -9, 2, 1, 39, -30, -20, -41, -21, 29, -19, 18, -48, -23, -1, -5, 24, 11, 4, -23, 24, -33, -10, 29, -42, 4, -34, 29, 9, -34, -11, -14, -36, 37, 11, 1, 5, -12, 40, 12, 4, -44, -13, 24, -17, 47, -16, -45, 34, -14, 6, -17, 1, -34, 34, 24, -13, -9, 34, -2, -24, -37, 25, -38, -13, -13, 36, -48, -30, 7, -33, 12, -26, -23, -12, -40, -3, -45, 37, 15, -30, 48, -1, 22, -44, 28, -4, -44, -13, 19, -33, 0, 43, -21, -6, 27, 23, -7, -14, 25, 31, -8, 29, -24, 26, -47, -2, 12, 26, -33, 29, -14, -16, -59, -39, 32, 8, -34, -21, 27, 15, 36, -39, 9, -35, 7, 37, -46, 25, 46, 3, -17, 11, -30, 8, 31, -29, -46, 14, 17, -11, 19, -1, -8, 6, 5, -36, -12, -2, 34, 44, -7, -3, -40, 1, 32, -22, -24, -17, 25, -32, -39, 14, 28, 22, -27, -5, 2, 31, -39, 21, 22, -19, -30, 14, -3, 7, 40, 15, 8, -24, 28, 34, 24, -19, -27, -37, 6, 8, -47, -38, 4, -11, -38, 30, 47, 29, 31, 1, 7, -46, -2, -39, 37, -18, -42, 15, -18, 31, 17, -37, -20, -40, 4, 22, -43, -21, 7, 39, -8, -23, -29, -2, 25, -34, 8, 43, 37, -12, -32, 20, 39, -26, -21, 30, -4, 31, 34, -39, 33, -15, 4, -16, -45, -31, -2, -19, 36, 30, -14, -15, 12, 17, -10, 44, -13, 15, -17, -49, 26, 27, -39, 42, -36, -19, 36, -8, -19, -18, -41, -42, -17, 5, 11, -41, -6, 23, 45, 40, -14, 34, 26, -17, -20, 31, 32, 23, 27, -52, 8, 35, 25, 1, -23, 5, -15, -22, 30, -4, 12, -54, 12, -11, -27, 8, 35, -32, 22, 11, -13, -17, -33, -1, -41, -23, -29, -1, 33, -39, 24, -45, -2, 7, 15, 1, -13, -45, -5, 37, -4, 0, 15, 13, 23, 4, 27, -4, 9, 15, -40, -10, -19, -30, 10, -4, -23, 23, -16, -10, 13, 10, -10, -14, 11, -33, -6, -5, 13, 26, 7, -11, -37, 39, 13, -18, -10, 27, 5, -56, 23, 30, 32, -55, 16, -17, 4, 45, 8, -37, 26, 8, -30, 25, 30, 34, -30, -20, 26, 20, -75, -9, -46, 6, 30, 8, 39, 4, -34, -10, -21, 30, -23, -34, -20, -9, -37, 75, -5, -10, -14, 10, 4, -38, 6, -61, 18, 42, -19, 21, -18, -3, 43, -26, -21, 33, 13, -28, -34, -39, 28, 11, -39, -39, -28, 18, -26, 28, 26, -38, 33, 66, -37, -45, 27, -8, -19, 3, 43, 20, -22, 28, 0, 52, 34, -75, -35, -59, 0, -31, 52, -11, 25, 60, 23, -41, -27, 4, 0, -32, 9, -23, 2, -6, -26, -41, 74, -1, -24, -35, -47, 29, -25, -18, -24, 38, -12, -15, -30, 13, 31, -23, -22, 29, 20, 48, 36, -47, 30, -38, -36, 3, -1, -12, 8, 25, 11, 2, 13, 24, -2, -15, -25, 16, -45, 30, -12, -42, 13, -67, -46, 6, 5, 25, -37, -23, 7, -26, -48, 36, -38, -4, 0, 42, -14, 34, 25, -19, 2, -48, -50, 37, 35, 8, 19, 43, 23, -35, -24, -46, 4, 42, 18, 35, 40, 6, -15, 19, -25, 32, 32, -24, 8, 33, -13, 43, -30, -57, -24, 36, -24, 38, -30, -45, 4, 45, -20, -36, 62, 13, 55, 18, 1, 7, 41, 34, 29, 40, -19, -39, 28, 0, -11, -5, 41, 37, -5, -12, -43, -9, 28, -19, 24, -29, 8, -26, -26, -8, -8, -22, 22, -25, 0, 21, -30, 35, -28, -28, -21, 9, 0, 1, -30, 5, 11, 10, -5, -13, -19, 44, 29, -17, 22, -19, -73, 9, -41, -69, 38, -43, 5, -41, 48, -34, -14, 11, -8, -16, 44, -1, -10, 13, -17, -22, -22, 17, -6, -18, -1, -9, -33, 14, 7, 15, -31, 10, -12, 6, 14, 27, -34, -41, 47, -45, -18, -18, 20, 0, 17, 33, 5, 38, 32, 0, -12, -17, -2, -3, 12, -30, -22, -6, 38, -5, 27, 3, 55, 3, -1, 35, -60, -17, -31, -8, 18, -5, -10, 6, 28, -14, -42, 11, 29, -37, -39, 32, 11, -7, -10, 32, 31, -32, -13, -26, -45, 38, 18, 28, -1, 23, 21, -34, -9, 13, -1, 29, -19, 21, -24, 10, -15, -2, 35, -5, -6, 12, -43, 35, 4, -21, 39, -25, 7, -2, 27, 26, 16, 8, 51, 21, 15, 2, 10, -6, -5, 11, -17, -22, -22, 46, -3, -50, -50, -19, -20, 36, 9, 43, -30, 36, -17, -10, 8, -23, 35, -13, -43, -27, -25, 40, -35, 20, 10, -3, -6, 6, -29, -23, -16, -33, -29, -35, -11, 39, -7, -31, -17, -10, -29, -3, 19, -28, -40, -15, -50, -11, -37, -38, -11, 23, -11, -28, -51, -10, -13, -25, -46, -37, 5, -15, 6, -31, -2, -20, -5, -16, 20, -43, 31, 38, -30, 52, 18, 37, 42, -4, 56, -6, 18, 17, -55, 26, -45, -29, 37, -44, -33, -23, 12, -53, -57, 8, 0, 38, 26, 12, 1, 26, -25, 4, -39, 15, 30, -32, -24, -34, -32, -32, -11, -28, -4, 42, -39, 24, -45, 33, -21, -32, -35, 18, -25, 5, -22, -29, -22, -7, 27, -8, -1, 24, -3, 32, -21, 0, -50, 23, 30, -12, -29, 34, -46, 37, -16, 4, 11, -11, 41, 40, -3, 22, 34, 4, 9, -25, -16, -10, 34, -8, 7, -39, 30, -20, 2, -37, -66, 7, -28, -30, -14, 6, -19, -39, -21, 4, 5, 6, 22, 1, 8, 7, -12, -73, -28, -3, 9, -24, 52, -41, -51, 29, -49, 3, 18, 32, 39, 13, -35, -15, 9, -35, 43, -29, 42, 17, -22, -12, 3, -40, -15, -26, 16, 25, 3, 2, 30, -10, -43, -21, -17, -49, 12, 7, 47, 39, -13, -32, 28, 28, -60, -45, 8, -35, -21, -4, -30, 24, 40, 9, 36, -11, 43, 23, -43, -12, -8, -21, 37, 5, 27, -26, -13, -4, 18, 26, -24, 31, 28, 0, 40, 35, 16, 17, -27, -6, 20, -23, 14, -1, -4, 7, 48, -35, 60, 37, -35, 9, 17, -33, 4, 35, 0, 28, 5, -62, -59, -15, -34, -22, 6, -18, -25, 26, -24, 12, 0, -4, -36, 0, -23, 21, 22, 2, 23, 4, 22, -16, 9, 39, -39, 37, 10, -33, 38, -32, 5, 21, -70, 14, -29, 2, -28, 19, 26, -19, -18, -11, 24, 37, 33, 43, 43, 33, -36, -10, 19, -12, 50, 51, 20, 20, 2, 10, 1, -43, 1, -10, 16, -45, -36, -4, -21, -9, 35, 6, -60, -31, -18, -42, 20, 44, -25, -15, -22, -45, 12, 35, 3, 39, 14, -6, 19, -36, 2, 71, -9, 14, 38, -53, 27, 9, -6, -57, -53, -3, 43, 13, -18, -12, 44, 21, 15, 30, -1, -7, -32, 13, 38, -33, 4, 33, -53, 5, 58, 22, -7, -5, 15, -19, 10, -10, 52, -34, 60, -14, 3, 5, 4, 6, 12, -28, 53, -15, -31, -8, 29, 1, -6, -34, -24, -29, -8, 14, -50, -7, 9, -55, -27, 52, 7, 27, -9, 17, 18, -2, -8, -9, -23, 13, 13, 30, -48, 28, 0, -30, -11, 29, 13, -11, -2, -38, -38, -21, -36, -66, 10, -22, -10, 0, -21, 34, -39, 4, 33, -49, 55, -7, 5, -10, -51, -39, -4, -15, -10, -9, 3, -32, 3, -12, 18, 6, -43, 17, 42, -3, 8, -41, 7, 36, 24, 20, 25, 26, -10, 29, -42, 0, 35, -17, 13, 33, -13, 24, -35, 19, 16, 3, 22, -8, 33, -30, -32, 23, 29, -28, 7, -3, -24, 8, -40, -32, -45, 24, -15, 42, 22, -46, 12, 15, -39, 12, -27, -39, -3, -27, -33, 33, -6, 32, -21, -43, 26, -35, -28, 42, 46, 12, 2, 19, -35, -4, -32, 32, -27, 32, -30, -28, -16, 18, 38, 46, 23, -26, -36, -39, -8, 23, 31, -12, -13, -4, -39, 14, 10, -36, 29, -11, 11, -23, 17, 45, 40, 40, -44, 27, 21, -20, -31, -15, -16, 20, 9, -19, -34, 18, -5, -46, 14, 23, 12, 20, -3, -27, -68, -1, -10, -26, -17, -29, -45, -8, -29, -17, 25, 18, -15, -25, -19, 5, -32, 14, 8, 42, 33, 4, -53, -45, -40, 3, -15, 31, 32, 26, -35, 12, -21, 41, -30, -32, 13, 36, 21, -52, 39, -26, 11, -1, -50, -54, 11, -45, -32, 8, 42, -25, 22, -37, -1, 31, 47, -40, 10, -11, -3, 3, -44, 42, -29, -33, 9, -25, -44, -43, -9, -30, -49, -43, 38, -22, 9, -31, -10, -18, -36, -30, -35, 22, 1, -26, 31, -27, 8, 12, 6, 36, 28, 14, 31, -40, -37, 4, -13, -55, -7, -54, 26, 12, -41, -28, -24, 18, -38, -59, -25, 43, -18, 47, 4, 12, 34, 61, -14, -36, -10, 5, -2, 24, 43, 23, 22, -4, -26, -18, -55, 55, -43, 18, 7, 29, 29, 22, 17, 16, -3, 32, -23, -2, 6, -54, 27, -22, 28, 10, -3, -9, 2, -40, -55, -16, -8, 40, 4, 24, -5, 22, 33, -15, 5, -44, -6, -42, -42, 37, 7, -18, -43, 23, -9, -22, -38, 1, -4, -29, 13, 26, 30, 11, -4, -43, 14, -19, -6, -26, -41, 8, -23, 35, 41, -10, 6, 1, 24, -2, 11, 31, 19, -27, -12, -22, 25, 32, 14, -39, -25, 29, -16, 43, -15, 27, 37, 3, 29, 13, -32, -11, 8, 22, -1, 1, 22, 25, 52, 25, -18, -8, 6, 30, -13, 3, -38, -20, -5, -18, 25, 6, 28, 8, -21, 1, 11, 18, 6, 23, 15, 25, 23, -34, -31, 26, 29, 51, -17, 8, 17, -12, -51, 31, 26, 5, -7, 44, -6, -11, -20, 30, 8, 18, 14, -9, -34, 10, 11, -41, -9, 7, 5, 36, -10, 62, 4, -33, 31, -39, -12, -1, -23, -49, -6, -40, -13, 5, -36, -26, 2, 63, 40, -47, 35, -30, -41, -58, 10, -29, -27, 10, -51, -48, 0, 24, -2, 0, -27, -29, 27, -25, -34, 20, 27, -6, -37, 44, 13, 22, 24, 23, -29, 10, -17, -39, 41, -14, -30, -32, -30, -4, 8, 6, -5, 50, 16, -16, 27, 38, 4, -6, -9, -30, 11, 19, -6, -43, -29, 3, 19, 27, 17, 6, 43, 27, -35, 41, 24, -14, 11, 9, 35, 36, 29, -39, 23, -7, -3, 45, 29, 18, 1, 44, -8, 5, -1, 1, 7, 0, -19, -12, -17, -16, -30, 27, 32, 20, -29, 5, 16, -16, 29, 15, 32, -25, 20, 12, -22, -26, -45, -4, -10, 16, 14, -21, 11, -28, 33, -4, -26, 7, -18, -24, -13, -19, 1, -14, 15, -3, -6, -34, 32, -27, -26, -9, 7, 15, 15, -11, -12, -3, -42, -24, 4, -25, 30, -28, 39, -4, -45, 24, 39, 16, 2, 39, 50, -33, -1, -17, 16, -17, -59, 6, -36, -16, 40, 9, -17, 37, -24, 28, 6, 2, -41, 34, -24, 42, 16, -40, 4, 4, -3, 30, 16, -1, 18, -30, 36, -18, 23, -40, -14, 33, 9, -40, 19, -35, 9, 9, -16, -37, 28, 0, 0, -8, 9, 30, -46, -29, -31, -3, 20, 33, 5, -40, 27, -19, -2, 48, -38, 6, -25, 15, -36, -44, 1, 25, -37, 48, -26, 12, -16, -30, 35, 5, 16, 16, -39, 12, -33, 34, 40, -6, -2, -43, 22, 2, -21, 8, 38, 28, -20, -41, 5, -24, 21, -34, -40, 1, -10, 9, -24, -1, -36, -34, 0, -24, 6, -5, -27, 9, -24, -28, -45, -5, -41, 23, 13, -28, -49, -54, -71, -18, -54, -5, -20, 43, -36, -16, -28, -21, -21, -27, -52, -34, -45, 20, 16, -28, 56, 6, 18, 18, 22, -21, 40, 28, -15, -14, 16, 13, -15, 17, 8, 1, -57, -4, 6, 24, -10, 13, -36, 19, -48, -27, 27, -19, -4, -25, -27, 12, 18, 6, -5, 15, 12, 39, 31, -46, 29, 31, -18, -14, -1, -8, 8, 3, 7, 12, 17, 27, 8, 45, -27, 43, 11, -13, 44, -4, -19, -24, -38, 32, 0, 0, -5, 7, -16, 33, -4, 3, 33, 28, -31, -59, -46, 35, -7, -29, -33, -16, 2, 23, -36, -39, -37, 33, 4, -15, -33, -46, -34, -32, -48, -38, -8, 20, 14, -10, -25, 9, 27, 19, 36, 19, -25, 29, 14, 40, 30, 5, 0, -15, -35, 8, 37, 11, -23, -6, 18, -56, 24, -13, -20, -21, -30, 27, 8, -18, -6, 13, 26, -23, 41, -40, 28, 37, -56, -36, 45, -6, 4, 29, -41, 27, -22, 13, -35, 48, -34, 44, 11, -30, -21, 24, 34, 15, -41, -1, 19, -24, -42, 43, -33, 3, -27, -30, -24, -10, -20, 1, -44, -26, 39, 35, 0, -3, -22, 44, -30, 31, 4, -8, 14, -20, 13, -37, 38, 39, -7, 50, 7, -3, 8, -35, -23, 20, -15, -39, 10, 0, 42, 15, 10, 1, 8, -26, 29, -21, 12, -47, -25, 10, -41, -26, 10, -39, 39, -3, 43, 8, 5, -17, -13, -5, 9, 38, -35, -23, -37, 8, -31, -2, 15, 17, 17, -36, 33, 11, -20, 27, -38, 19, 44, -6, -32, 48, 8, 17, 6, -49, 3, 20, 39, 25, -24, 41, 4, 40, 0, 32, -32, 39, -23, 13, -12, 50, 25, -16, 11, 22, 42, -33, -48, -7, 4, 9, 35, 9, 34, 8, -39, -24, -15, -15, -20, 29, 33, 31, 32, -13, -45, 6, -9, -15, -36, -62, -36, -43, -41, -48, 5, -29, -21, 3, -12, -4, 25, 41, 41, 6, -39, 26, -28, -38, -22, -38, 24, -6, 31, -46, 29, 18, -25, -40, 36, -23, -26, -47, 40, 21, 37, -6, 31, -43, -45, 23, -29, 14, 28, 20, -25, -1, -37, 7, -12, -19, 24, -37, -38, -1, -46, 21, -42, 24, -38, 11, 19, 6, 13, 19, -13, -37, -35, 20, 2, 32, -16, 26, 15, 19, -20, -18, -29, 6, -3, -29, -37, 26, 25, -29, 9, 10, -44, -19, -26, 10, -38, 35, -10, -16, 25, -30, 40, -21, 18, -41, 2, -17, 1, -14, 6, -23, 0, -23, 37, 47, -43, -7, 31, 1, -8, 33, 17, -1, 19, -41, -4, -28, -52, -45, -51, -23, -57, -16, 43, -42, -39, -18, 30, 21, -45, -9, -39, -41, 10, -41, -43, 17, -37, 16, -12, -18, 33, -47, 13, 63, 17, 8, 65, -25, 30, -52, -3, -30, 39, 33, 38, 21, -12, 15, 27, -18, -24, -22, 31, 38, -1, -34, -27, 14, 7, -42, -22, 13, 30, -9, 19, -41, 6, -44, -24, -20, 16, -42, -20, 32, -16, 15, -10, -42, 7, -8, -34, -3, 45, -10, -6, 33, 38, 6, 31, -1, -45, 34, -4, 27, -20, 2, 32, 34, -27, 30, 4, -1, 29, -16, 17, -51, 18, 0, 22, -3, -33, -47, 41, 24, -7, 30, -20, 18, 49, -24, 17, 15, 10, -12, 26, 26, 17, 15, 4, 34, 15, -16, 38, -5, 17, -15, 13, -14, 6, 25, 26, -24, -26, -10, 22, 22, -29, -31, -9, -10, -6, -36, 20, 27, -10, -33, 2, -18, 12, 0, -30, 1, -32, -20, -15, -17, 9, 21, 17, 14, -35, 14, -3, -10, 6, -13, 5, -36, -41, 37, -11, 1, 30, -21, -29, -34, -50, 35, -25, 31, 1, -42, -8, 19, 2, -2, -21, -39, -15, -37, -35, 0, -4, 15, -9, 3, 0, -46, -36, -7, 15, 17, -17, 4, -6, -4, -39, -33, -23, -8, 29, 30, -18, 36, 32, 8, -9, -28, -41, 2, -8, 47, 26, 24, -19, -37, 18, -28, -60, -19, -44, 12, 18, 37, -41, 13, -34, -33, 19, -12, 38, 17, -3, -36, 28, 51, 23, 38, 33, 43, -13, -10, 7, -2, 45, -35, 34, -28, -11, -34, 68, 11, 53, -32, -41, -17, -33, 15, -16, 19, -23, -18, 14, -46, -40, 42, -15, -23, -31, 25, -2, 27, -42, 36, 6, -46, -16, -14, 17, 11, 56, -15, -6, -25, -44, -4, 43, 10, -5, 15, -27, -5, 17, 18, -43, 15, 7, 39, -18, -2, -34, -47, 2, -47, -43, -33, -40, -4, -17, -12, 7, 2, -13, 27, -40, -25, -5, 13, 34, -12, 9, 19, -31, 16, 27, -47, -48, -7, 18, -15, 23, -4, -27, 1, 19, 54, 11, 10, 40, 37, -32, -11, -7, 18, 16, -17, 21, 14, -20, -25, 35, -29, 12, -16, 17, -11, -52, 7, -28, 14, 30, -46, -22, 7, -35, 36, 23, 30, 18, 22, 5, 8, 10, -17, -12, -38, 31, -13, -9, -73, -31, 18, -1, 6, 16, -42, -38, 33, -35, -14, -19, -4, 28, -39, 21, -6, -43, -43, -31, -44, 25, 36, 18, -6, 11, -24, -12, -20, 27, -33, 9, 17, -29, -34, -46, 26, -42, -16, -55, -57, 22, 32, -53, -43, -24, 18, -1, -35, 9, 21, -30, 19, 23, 8, 5, -35, 25, -16, -32, 44, 31, 12, -25, -38, 3, -40, -19, -33, 10, -43, 18, 31, 7, -20, -42, 8, 14, -5, 24, 30, 39, 21, -16, 39, 29, -1, -23, -37, -9, -9, -27, -26, -19, -29, -18, -41, -2, 36, -23, 12, -41, 41, 34, 30, 43, -31, -13, 39, -14, -23, 32, -44, 3, 47, 28, -7, -18, -28, 27, 11, 23, -38, -9, 14, -2, 14, -40, -3, -6, -40, 25, -19, -27, -31, -8, -20, -20, 5, 13, 33, -10, -8, -20, 25, -33, -1, 36, -31, -11, 24, -1, -4, -11, 10, 1, -38, -13, 36, -34, 22, 2, 25, 1, 45, 30, -14, -9, 6, 26, -4, 16, -11, 12, 34, -34, -42, 7, -28, 21, -20, 2, -24, -21, 26, -4, 32, -24, -26, 11, -8, -24, -24, -2, 34, -50, 21, -15, -13, -26, 11, -16, 7, 0, -19, 29, -15, -53, -16, -24, -21, -39, -15, 26, -27, -38, -4, -42, 2, -36, 19, -30, 41, -17, 6, -3, -8, 30, -38, 45, 9, -6, 32, -23, 1, -19, -31, 0, 18, 9, 16, -22, 1, 1, 28, 1, 8, 39, -5, -21, 23, -9, -30, -22, -27, -14, -10, -29, -8, -33, -12, 71, -28, 13, -18, -30, -9, 23, -6, 19, -15, 56, -39, -15, -46, 29, 28, -42, -4, 13, -20, -41, -33, -32, 20, 21, 19, -11, -5, -37, 34, -2, 41, 1, -27, 33, 22, 36, -12, 42, -10, 13, 12, 23, -18, 14, -17, -3, -26, -38, 21, 32, -40, 19, 20, -41, -5, -39, -52, 18, 23, 10, 32, 3, -48, -10, -10, -9, -49, -20, 10, -28, -50, 25, 3, 17, 44, 14, 33, -8, 11, 18, 14, 35, -12, -11, 4, -44, 9, 17, 5, -45, 11, -10, 17, -23, 33, 21, -16, -30, -28, 12, -51, 27, -20, -16, -29, -9, -8, -35, -4, -46, 11, 33, 17, 36, 44, 37, -9, 26, 25, 22, -31, 22, 2, -25, 34, -7, 26, 10, -35, -19, -41, -49, 11, -21, -14, 42, -9, 43, 2, -23, -44, -42, -26, -30, 34, -12, -17, 23, 26, -29, -48, -20, -17, 26, 6, 4, -10, -23, -26, -10, -18, -6, 8, 27, 10, 20, 17, 29, 37, -8, 26, -17, 18, -13, 35, -28, 55, 20, -29, 15, 34, -8, 34, -4, -43, 47, -12, -30, 16, 28, 41, 55, 23, -53, -29, 7, 19, 30, -24, 10, 13, 20, 26, -34, -4, 6, 32, -27, -44, 9, 22, -43, -31, -30, -40, -6, 15, -38, 9, 29, -43, -46, -18, -24, -2, 3, 27, 43, 20, -8, 11, -22, 22, -10, -21, 21, -51, 12, 0, 6, 31, -24, -49, 44, -29, -1, 19, 19, -25, 29, -9, -13, -34, -3, 41, -4, -26, -1, 45, -31, 24, -19, -24, 23, -8, -8, -6, 19, -9, 56, -12, 14, 34, -47, 24, -30, -2, -34, -21, 20, 2, 17, 1, 25, -36, 9, 39, 48, -43, 35, -28, -30, -22, 20, 10, 33, 32, -32, 30, -32, 8, 26, -28, -41, -9, -23, 23, -52, 38, -4, -12, -16, 20, 17, 25, -24, 34, 45, 32, 6, -36, -23, 17, -12, 29, -10, -42, -10, -13, 20, 12, -14, -33, -30, 35, -35, 37, -46, 12, 44, 4, -20, 25, -12, -45, 16, -26, -4, 2, 14, -2, -1, -36, -21, 21, 48, 30, 24, 2, -38, 29, 34, 18, -9, 6, 7, -45, 38, 11, 35, 26, 16, 6, -22, -35, -31, -6, -38, -33, 4, -25, -40, 18, 24, 42, 1, -38, 24, 15, 6, 21, -45, 6, -34, 2, -19, -26, -55, -17, 10, 21, -33, 2, -52, 12, -13, 34, -50, -46, 37, 14, -13, -38, -6, 31, 24, -57, -41, 14, 39, 0, 7, -38, -17, 15, -39, -40, 29, 8, 4, 9, 16, 15, -5, -30, -4, 9, -41, 41, -33, 49, -27, 1, 15, 18, -6, -11, -39, -31, 24, 3, -30, 44, 1, -6, 3, 18, 3, -40, -23, -3, 5, -5, 37, -2, -41, 8, 40, -4, -30, 15, 6, 29, -44, -46, -40, 45, -4, -13, -11, -20, -8, 43, 14, 12, 5, -41, 20, 18, 8, 25, -34, -37, 28, 30, -52, -18, 26, -4, 22, -21, 52, -8, -25, 15, -25, 4, -6, 35, 18, 5, -11, -20, -49, -13, -12, 24, 29, 7, -24, -14, -29, 3, 4, 22, -25, 41, -27, -58, -19, 46, -29, 15, -48, 20, -18, 25, -28, 40, -13, -15, 3, 0, 26, -11, -36, -14, -33, 29, 23, -35, 42, -31, -2, -32, 14, -30, -27, -22, 21, -35, 37, 2, 10, -16, -30, 14, 23, -24, 8, 12, -26, -45, -20, -35, -9, 41, -20, -7, -27, -26, 41, -1, 21, 29, 22, -6, -44, 7, 40, 15, -15, 6, -28, -39, 49, 11, -20, 23, -37, -31, 6, 10, 60, -22, 3, -9, 15, -11, 29, -33, -47, 44, 49, 24, 10, 2, 13, -44, 28, -4, 9, -8, -18, 27, -22, 26, 11, 15, -38, 4, -25, 30, -33, -10, -4, -13, 15, 24, -10, 25, 5, -34, 34, 1, -31, -17, -8, 29, 22, -43, -18, 13, -42, -39, 3, -6, -47, 23, -7, 43, -1, -14, -47, -18, 2, -19, -43, 17, 36, 37, 2, -47, -25, 27, -44, -3, -20, 40, -43, -17, 18, 46, -31, -16, 42, -43, -25, 28, -44, -7, -4, -17, -11, 10, -6, -38, -34, 26, -11, 28, -18, -37, 9, 31, 38, -20, 19, 36, -20, -43, -14, 40, -46, 0, -29, -25, 1, -11, -20, 47, 27, -19, -31, 31, 39, -43, 3, 16, -12, 1, -34, -36, 35, 39, -28, -8, 14, -21, 32, 17, -13, 1, 13, 36, 21, 52, -3, 37, 18, -44, 3, 13, -45, 9, 17, -36, 35, 47, 14, 39, 59, -22, 1, 8, -39, 31, 21, 3, -4, -23, 32, -16, 13, -40, 18, -8, -22, -20, -19, -7, -21, -66, -15, -14, 4, 31, 29, -28, -5, 33, -22, -16, -2, 45, 30, 22, 30, -17, -28, 2, 40, -12, 26, -27, 13, 27, 17, 52, 5, 28, 38, -17, -15, -29, 52, -6, -10, -16, 9, 20, 6, -20, 32, 26, -46, -26, -42, 1, 8, -3, 27, 32, 40, 26, 16, -26, -11, 5, -7, 35, 3, 33, 19, -7, 33, -30, -24, -12, 32, 52, -15, 40, 10, 25, -7, 33, -21, 31, 7, 21, -39, 6, -40, -52, -37, 0, 6, -44, -34, 12, 15, -20, 19, -13, 31, -21, -9, 38, 11, -38, -29, -42, 25, 0, 4, -11, 27, 18, 5, 10, -41, -14, -13, -24, -43, -28, -14, 31, -19, 29, -34, 13, 26, -19, 27, -14, -22, -7, 13, 11, 28, -27, 24, 20, 50, 14, 32, 55, -13, 9, -13, -12, 19, -26, -32, -6, -15, -23, 17, -73, -11, 26, 13, 12, 3, 0, -26, -22, 13, 33, -31, -4, 38, 33, 16, 18, 20, -40, -3, -19, 44, 40, -25, -38, 22, -8, 35, 32, -12, -36, 31, 40, -9, -36, -11, 18, -24, 12, -16, -30, 39, 15, 37, 13, -33, 2, 13, 0, 38, 18, -23, -24, -46, -30, 41, -13, -41, -1, -11, -7, 4, -18, -24, -2, -17, -1, 7, -35, -26, 36, 9, -6, -18, -24, 12, 0, -10, -29, 16, -41, 47, 7, -17, 38, -16, 20, -46, 28, -33, 3, -6, 19, -12, -12, -46, -40, 25, -13, 20, 23, 59, -13, -48, 62, 28, -5, 22, 15, -13, -50, 3, -18, 30, -45, 5, 25, 7, -32, 11, 35, 28, 28, -32, 41, 9, -30, -51, -4, 22, -4, 1, -9, 12, 32, 13, 18, -35, 15, 5, -4, -25, 15, -52, -60, -10, -29, 3, -33, 0, -68, -4, 43, 14, -2, -49, -16, 12, -3, -29, -12, -20, 55, 46, 31, 10, 14, -3, 15, -1, -16, -13, -4, -25, -3, 27, -34, -6, -32, 5, 18, 34, -43, -56, 41, 20, 34, -11, 5, 0, -5, 31, -13, -7, 3, 23, -43, -34, -29, -2, -33, 17, 29, -35, 13, 60, -26, -5, -17, 26, 45, 9, -27, -17, 27, -1, -4, -42, 6, 28, 29, -29, -49, 1, 18, -32, 31, 7, -12, -4, -32, -7, -47, 10, 32, 10, -23, 18, 21, 22, 56, 33, -27, 34, 1, -49, -9, -5, 21, -16, 27, -29, -33, 30, 22, 37, 36, 31, 28, -2, -28, 0, -37, -9, -15, -34, -4, 60, -32, -23, -14, -10, 28, -22, -9, -3, 6, -1, -30, -15, 18, 34, -6, 13, -1, -13, 35, 38, 3, 13, 17, -27, 3, 53, 25, 23, -32, 19, 32, -43, -40, -24, -18, -24, 26, 54, -23, -2, -23, 27, -14, 14, -25, -42, 36, 40, 10, -20, 23, -1, 21, 33, 12, 50, -39, -37, 11, -41, 17, 40, 37, 16, -41, 19, -11, 7, -34, -8, 26, -6, -11, -9, 8, 10, -4, 5, 36, 8, 30, -8, 15, 43, -18, -26, 17, 44, -26, 19, 37, -28, 18, 36, 32, 11, -6, -21, 5, -3, -8, -24, 49, -19, -3, -29, 2, 36, -28, -17, 19, 40, 16, -14, -32, 27, 18, 11, 44, -13, 11, 3, -11, -28, -4, 2, -22, 12, -8, 25, -15, -37, -7, 45, -22, 53, 33, -13, -11, -1, -34, -5, -22, 10, -36, 62, -13, 16, 0, -18, -40, 43, -37, 13, -25, 28, -2, -26, 26, 5, 20, 28, 0, -17, -20, 17, 21, 30, -14, -24, -22, -21, -38, -14, 41, 32, 35, -37, 17, -20, 8, 3, -8, 30, -42, 13, -13, 33, -39, 31, -44, -40, 21, -20, -8, 37, 8, -23, 44, -34, -44, -34, 51, 33, -9, -17, 8, -23, -22, 6, -23, -20, 15, -34, -45, -18, 29, -39, -26, -33, -15, 47, 32, 0, 37, -7, 21, 9, 22, 2, -2, -35, 11, 5, 40, -14, 15, 13, -19, 29, -32, -43, -29, 3, -22, -24, 22, 27, -20, -18, 45, 46, 11, -35, 37, -9, -25, -20, -22, 11, -4, 28, 46, -5, 5, 21, 17, 33, -20, 29, 8, 26, -40, -42, -24, -14, -25, -17, -4, -18, 21, -15, -9, 53, 5, 56, -23, 16, 11, 31, 29, -4, 3, -13, 21, -38, -40, 17, -36, -18, -20, 50, -6, -21, -27, -7, 2, -37, 23, 34, -44, 30, -8, 11, 7, -50, -23, 34, 24, 23, 33, -32, 16, -8, -27, 18, -41, 12, 4, -45, 27, 39, 16, 25, -42, 5, 34, 29, 6, 1, -30, -24, 10, 23, -9, -25, 37, -19, -11, -47, 18, -10, -49, 3, -1, 14, 22, 33, 25, 5, -25, 4, -42, -8, 8, 39, -48, 37, -13, -19, -30, 34, -57, -24, -7, -20, 16, 36, -10, 13, -12, -12, -22, 37, 24, -18, 12, 47, 40, -14, -29, 9, -24, 22, -18, -2, 9, 10, -29, -46, 16, -27, 4, 7, -10, -27, -13, 28, -33, -8, -22, 14, -1, 8, -46, -14, -24, -21, -34, -53, 21, -7, -50, -36, 38, 22, -10, -12, 5, -31, 7, -11, 32, 20, 44, 6, -12, -14, -17, -17, -39, -8, -27, 44, 15, 42, 32, -47, -50, -28, -2, 25, 37, -14, 4, -1, 33, -34, 37, 18, -14, 18, -28, -2, 8, -39, 49, -34, 30, -10, -4, -23, -16, -15, 19, 2, -2, -23, -42, 31, 10, 39, -8, -9, -7, -14, -1, -11, -18, 31, -31, 19, -21, 15, 29, -15, 34, 31, 15, -20, 17, 41, 27, 0, -22, 25, -5, 37, 37, -46, -25, 35, -5, -18, -34, 28, 26, 41, -31, 33, 40, 13, -34, 8, 34, -23, -15, 1, -30, 0, 4, 19, -9, 6, -34, 16, 15, 17, 28, -38, -6, -35, 22, -27, -8, -26, -3, -37, -23, 41, -25, -33, 3, -39, 0, 22, -5, 18, 7, 33, -15, -32, -3, -27, 18, 24, -15, -39, -8, -34, 16, 19, 23, 19, 48, 34, 23, 18, 12, 49, -8, -4, 3, 11, 64, 21, -41, -52, -36, -56, -61, -54, 17, -29, -7, -9, 19, -15, 8, 14, 19, -28, -17, -1, -8, -33, 10, 1, 4, -13, 15, 19, 5, -16, 6, -48, -2, -32, -50, 33, -22, 16, -15, 4, 13, -19, 17, 23, 15, 65, 23, -40, 2, 31, -15, 38, 2, -4, -17, 22, -35, 10, -35, -5, -33, -18, 9, -3, -1, 2, -39, -17, 10, 22, -40, 47, 21, 28, -52, 26, -8, 23, -31, 38, -24, 36, 12, -29, -15, 20, 36, 13, 7, 23, -13, -22, -34, -19, -24, -4, 1, -28, -10, 38, 24, -5, 34, -20, 13, -39, -39, 3, 1, -46, -46, 5, -40, 11, -15, 14, -2, -60, 10, 15, 11, 39, 19, -20, -17, 8, 34, 27, -18, -64, -4, 7, -6, -34, 6, -54, -29, -12, -28, -35, 9, -39, -38, -23, -27, 4, 13, 21, -36, 31, 5, -24, -34, 31, 7, 5, 29, 53, 33, 22, -62, -32, -85, -19, 45, 38, -27, -18, 0, 36, -37, -25, -1, -13, 27, -29, -33, 27, -17, -38, -22, 1, 40, 30, -41, 21, -10, 15, 33, 15, -13, -5, 33, 40, 19, 10, -53, 36, 14, -37, 49, -8, -2, -45, -11, -36, 6, 22, -6, 12, -54, 16, -28, -2, 50, 40, -29, -8, -21, -14, -10, 52, -16, -11, 21, -6, -14, 41, -7, -17, 6, 19, -7, 36, 23, -9, 48, 61, 15, 0, 52, -15, 13, -53, -23, 12, 90, 40, -58, 23, -10, -1, -1, 38, -42, -48, -4, 20, -40, -13, -30, -10, 33, -32, 26, -51, 22, 20, -68, 25, -9, -3, -39, -44, -14, -44, 2, -72, 24, 0, 15, -2, 21, 53, 16, 14, 33, -23, -26, -44, -45, -64, -95, 10, -37, -76, -37, -65, -2, -10, 12, 57, -12, -31, 27, -46, -17, -69, 6, -42, 8, 23, 20, 31, -5, 19, 69, -29, 8, 7, 24, -29, -27, -1, -25, -27, -7, -4, 5, 3, 3, -38, -41, -21, 0, 12, 45, 15, 22, -18, -4, -45, -30, 26, -15, -30, -10, 2, 41, 15, 55, 30, -1, 28, 13, -15, 8, -32, 40, -10, 20, 38, -2, 48, -3, -59, -45, -27, -34, -9, -10, 0, -20, 21, 17, -38, -36, 1, -14, 1, -26, -2, 4, -25, 25, -12, 13, 18, 31, 32, -1, 5, -6, 32, 4, -16, -30, 24, -41, 59, -12, -46, 44, 7, 4, 27, -23, 32, 2, -8, -25, -41, 30, -10, 2, -18, 13, 34, 2, -25, 7, 32, -37, 10, 30, -41, 38, 48, -8, -14, -51, -16, -35, 28, -25, -39, 51, -17, -64, -1, 20, -11, -24, -14, 43, -8, -20, 60, 11, -26, 52, 32, 39, -18, -37, -34, -61, -68, 52, 23, 13, -8, -18, 32, 4, 22, 6, -37, 24, 10, 12, 7, 19, 3, 12, -43, -33, -41, 40, 42, 34, 2, -5, -49, -28, 23, 11, 7, 0, 27, 6, 36, 8, -30, 19, 36, -22, -15, -1, -45, 50, 20, 36, 11, -58, -19, -28, 34, -44, -53, 0, -51, -68, -30, -4, 12, 42, -12, -9, -9, -9, -35, -12, -12, -23, 8, -10, 52, -19, 6, -23, 22, -22, -40, -44, -6, -1, 45, -26, -34, 14, -35, -39, -20, 17, 21, -21, 41, -18, -2, 7, -2, -28, 46, -1, 3, 19, -34, 19, -20, -30, -57, -32, 7, -28, 55, 47, -17, 16, -45, -23, 16, -8, 27, -56, -52, -60, -47, -60, -38, -22, -14, -39, -18, -59, 30, 4, 11, 1, -6, -34, 23, 1, 1, 15, 14, 11, -30, 13, 4, -8, 36, -25, 51, 29, -23, 27, -45, -11, -29, 1, -2, -18, 21, -29, 59, 67, -22, -2, -10, 32, -71, -74, 7, 13, -16, 19, -14, -42, -52, -81, -56, -28, -40, -42, 39, -15, 66, 0, -43, 16, -25, 38, 24, 14, 3, 10, 11, 24, 17, -35, 20, -4, 1, -14, -9, 17, 1, 19, -23, -9, -43, 19, 16, -21, -2, -58, -23, 23, 26, 30, 27, -12, -37, -26, -55, -64, 3, 42, 0, 32, -33, -6, 38, 32, -17, -16, 92, 4, -1, -17, -51, -51, -66, -79, -19, -15, 26, 7, 2, 28, 2, -36, 43, 27, -25, 2, -37, -7, 20, 6, -24, 16, 30, 19, -21, -1, -29, 43, 4, -42, 25, -19, 11, -14, 0, 54, 2, 38, 12, 15, -10, -19, -41, -16, -12, 9, 2, -43, -46, 6, -22, -31, -21, -14, -7, 5, 36, 23, 46, 36, 8, 12, 30, 27, 14, 38, -11, 38, -31, 26, 19, -20, 38, 2, -16, 55, -3, 2, 4, 26, -51, 38, 28, -7, -35, 49, 62, 52, 27, 17, 44, -7, -36, 11, -25, 41, -16, -16, -17, 13, -14, 16, -30, -10, -32, 16, 4, -34, 43, 16, 22, 0, -4, 72, 41, 50, 27, -4, -39, -32, -37, 16, 40, -18, 37, 5, -11, 37, 32, -21, -48, -51, -36, -31, 14, -51, -14, -7, 17, -9, 6, -40, -34, -26, -7, -41, 14, -35, 34, -17, 11, -22, -2, -24, -23, 23, 18, -50, -55, -15, -83, -24, -20, -54, 11, 16, -12, 9, -34, 1, -20, -17, -30, 2, 18, 25, 51, 18, 16, -24, 21, 35, -8, 11, 5, 10, 68, 4, -25, 54, -14, 19, 22, -21, 27, -30, 35, -44, -39, -13, 46, 1, 48, -27, -36, 32, -10, 60, -24, -13, -19, -34, -23, -46, 7, 7, -4, -7, 44, -20, 4, 9, 45, -33, 37, 36, -20, -13, -33, 39, 35, -37, 45, 21, 14, 42, -64, -29, -37, -39, -25, -72, -16, 19, -2, -13, 10, -36, 21, -15, 40, -17, -1, 7, -24, -19, -30, -30, 5, -46, 13, 1, 0, -37, -49, -47, 44, 6, -3, 23, -21, 20, -7, -42, -31, -76, -25, 27, -52, -23, -32, -36, -17, 7, 1, 3, 11, 33, -13, 18, 62, -41, 11, 60, -33, 38, 10, 1, 29, 5, 25, 33, 34, 19, 34, -76, 7, 21, 1, 12, -10, 37, -33, -32, -29, -57, -3, -9, -14, 21, 44, -3, -49, 26, -24, -45, 30, -15, 33, -21, -8, -27, -38, -24, -4, -37, 19, -43, -35, -4, -41, 20, -5, -40, 12, -26, 1, -5, 13, -54, -50, -68, -70, -3, -64, -4, -22, 77, -10, -31, 16, 0, -48, -36, 6, -5, 23, -4, -15, -7, -33, 9, -2, -2, -33, 7, -28, 11, -3, -3, 11, 46, -35, 13, -4, -9, 1, -8, -36, 9, -14, -17, 47, 21, 21, 8, 13, -43, 14, 33, -15, -7, 28, -19, -8, 23, -29, -13, -11, 22, -18, -3, 15, -43, 6, 39, 8, -9, -31, 2, -12, 16, 8, -22, 30, -35, -56, -19, 11, -5, -2, 18, 41, 38, 51, 58, 35, 6, 16, 34, 3, -26, -1, 12, -46, 5, -19, -3, 26, 26, 5, -5, -9, 18, -19, -17, 34, 1, -3, 27, -49, -67, -30, -4, -15, -35, 13, 10, -8, 36, -17, 10, 84, 79, -13, 12, -24, 52, 36, -2, 53, 23, -25, -39, -11, 21, 37, 30, -33, 57, 1, -8, -33, 1, -30, -21, -17, 13, -14, 25, 37, 26, 5, -18, -1, 0, 5, -21, 36, -13, 44, 38, -31, -2, 38, -54, -33, -35, 5, -8, 3, 39, 27, 8, -13, 3, -38, 6, -55, -17, -22, 25, 17, 52, 14, 1, 64, 6, -12, 36, -30, 52, -35, -15, -22, -35, -4, -47, -37, 24, 32, 23, 23, 2, 57, 15, 37, -26, -10, -24, -57, -40, 41, -8, 40, 40, 21, -21, -6, -53, 6, 10, -11, -31, -25, -29, -33, 19, 17, 24, -10, 10, 39, 22, -29, 31, 9, 28, 1, 29, 79, -10, -32, 16, 46, 43, -58, 5, 12, -12, -3, 16, -9, 32, -17, -3, 21, -6, -50, -25, -40, -29, -51, -44, 32, -2, -2, -46, 43, -32, 25, 20, 16, 11, -35, -16, -5, -15, 0, -14, -37, -26, -38, -42, 14, -12, 10, 10, 0, 34, -28, 18, -36, 31, 13, 28, 35, 4, 16, -20, -30, 17, 11, 3, -2, -5, 21, -42, 2, 0, -19, 50, -31, -10, -15, 47, -21, -28, -4, 0, 14, 19, -8, 2, -29, -14, 24, -13, 2, 17, 30, -2, -17, -17, -1, -1, 31, 40, 15, -35, -26, -18, -22, 0, -13, 30, -15, 11, -25, -44, -15, -15, 9, 18, 3, -11, -8, -27, -16, -34, 11, 38, -26, 17, 38, 30, 2, -38, 10, -17, -32, 18, -8, 2, 2, -10, 30, -29, -34, 34, -41, 37, 1, 12, -17, 7, 32, -27, 5, 12, 13, -7, -5, 41, -11, 46, -50, -27, 16, -24, -22, -21, 22, -20, 15, -35, -18, 10, -25, -29, 8, 13, -31, 4, 14, -57, -24, 25, 25, 33, 10, -7, 6, 24, 0, 25, -13, -18, 38, 7, 5, -20, -1, 37, 22, -29, 19, -7, -29, 21, -27, -3, -9, -43, 1, -17, -15, 51, -10, 21, -13, -34, 0, 18, -24, -27, 18, 1, -59, -31, -4, -32, 21, 2, -13, 15, 40, 1, 32, -1, -27, -12, 3, -21, 31, -5, 37, -34, 21, -41, -30, -6, 37, 25, 4, 19, -19, -26, -20, -28, 32, 4, -29, -21, 46, -2, -44, 34, -41, 32, 39, 43, -45, 5, -29, 29, 14, -19, 5, 38, 27, 10, -13, -33, 41, 37, 36, -23, -17, 44, 10, -42, 24, 30, -27, 12, 13, 29, 41, -42, -37, -15, 6, 36, -41, -28, -1, 57, -9, 46, -7, 4, -36, 2, -26, 19, -20, -24, 1, 30, 39, 3, -23, 12, 13, 15, 25, -13, 41, 14, -20, 46, -23, -17, -46, 12, 10, 25, 16, 29, 51, 20, 19, -3, -21, 17, 6, -2, -55, 15, -39, -38, -9, 9, -25, -5, 37, -15, -3, -45, 23, 25, 28, 8, 44, -36, -15, 46, 32, 25, -3, 37, 6, 1, -23, 42, -10, -9, 21, -28, 25, -22, 40, -22, 17, -39, 34, -3, 28, 25, -37, 11, 26, -36, -4, 41, -21, -32, 36, 1, -45, 27, -44, 36, -32, -22, 33, 25, -1, -37, -13, -27, -2, 28, 4, 17, -24, -23, 5, -25, 1, -32, 27, 17, -35, 32, -15, -1, 39, -6, -12, 0, 19, 16, 12, -10, 40, -42, 27, 31, -13, -24, -24, 12, 13, -42, -49, 26, -5, 46, 41, 5, 32, -15, 47, -6, -4, 33, 7, -24, 11, -37, -6, -3, 25, 30, 53, -10, -10, 1, 5, -1, -7, -15, -18, -52, 30, 23, -9, -13, -9, 1, 21, 41, 49, 36, -21, 39, 16, 28, -39, 5, -37, -24, 6, 49, 10, 23, -12, 23, 12, -10, -10, 26, 14, 5, 41, 27, 39, -5, -23, 12, 8, -2, 0, 48, -9, 15, 10, 7, -7, 27, 17, -2, -44, -32, 24, -37, 19, 22, 7, -36, -4, 32, 20, -8, -5, -37, -1, -1, -2, 35, -26, 44, 33, 28, 42, 26, -40, -23, 14, 8, -17, -44, -28, -37, 25, -31, -44, -1, 27, 4, 3, 23, -31, 34, -9, -34, 11, -17, 4, -32, 28, -59, 14, 11, 43, -23, -19, 33, -37, -22, 27, -21, -29, 13, 28, 2, 47, 52, 0, -23, 16, -38, 0, 27, 32, 28, -39, 1, 5, -5, 4, -40, -10, -21, -15, -11, 21, -27, -9, -1, 1, 12, -19, -21, -13, 25, -6, -43, 50, 40, 26, 15, 31, -38, -6, -30, 0, -45, -39, -18, -8, -17, 30, -10, 12, 2, -2, -26, -26, 17, 54, 27, -4, -22, 3, 31, 46, -23, 25, 33, -24, 29, 29, 21, -10, 13, -35, 12, 10, 17, -4, 38, 3, 18, 11, 40, -47, 22, -8, 19, -6, 3, -18, 31, 22, 19, -18, 5, 39, 19, -29, 8, 45, 6, -43, -19, 30, -19, -7, -9, 10, -2, 11, 1, -23, -43, -6, -18, -2, 47, 10, 5, -29, 18, 11, 21, -56, -5, -42, -26, 27, -12, -31, 10, -9, -31, 20, -40, 6, 17, 23, -20, 8, -24, 32, 39, -2, 25, -25, -26, -8, -7, -2, -18, 28, 19, -5, 22, 44, 13, 34, 28, 23, 33, 9, 32, -15, 20, 9, -7, 27, 25, -14, -16, 24, -4, 1, 12, -38, 22, -26, -35, -11, -16, 19, 33, -2, -20, -36, 18, 22, 30, -41, -3, 28, -22, 14, -27, 1, -1, 5, 38, -40, 8, -15, 5, 27, -12, -8, -36, -4, 36, -34, 16, 19, 36, 31, -16, 29, 37, 19, -28, 16, -23, -11, -38, -30, 4, 19, -22, -37, -4, 17, 11, 15, 22, -17, 1, 43, -16, 19, 19, -33, -19, 4, -1, 50, 31, -6, 18, -57, -46, -22, 14, -8, 50, -3, -39, -25, 1, 36, -35, 0, -15, -25, -7, -34, 8, -9, -41, -29, -57, -26, 8, 0, -40, -9, 25, 7, 40, -22, -29, -57, -28, 8, 8, 4, 3, 18, 16, -10, 1, 7, -5, -16, -48, 1, 12, 32, -23, -40, 40, -13, -31, 1, -38, -30, -36, -18, -30, -38, -15, -47, 8, 23, -3, -17, 5, 15, 19, 23, -15, 8, -6, -16, 4, 16, 29, -14, 15, -9, 46, -16, 24, 19, -6, -30, 26, -40, -9, -32, 4, 19, -13, 28, -32, -25, -40, 16, -49, -11, -9, -37, 9, 19, -42, 32, -8, 19, 22, -22, 3, 42, -33, -38, -29, 35, -45, 30, -9, -26, -5, 27, -6, 2, 43, -22, 10, -7, -7, -40, 35, 25, -6, 32, -25, 12, 34, 31, -2, -56, 3, 25, 12, -38, -48, -7, -17, 3, -32, 39, -33, 24, 5, 21, -15, 25, 0, -38, 6, 28, 8, 7, 28, 9, 19, 20, -35, -12, -24, 39, -19, 5, 0, 33, 28, 52, -4, -12, 24, 21, -26, 39, 13, 35, 1, -18, 17, -9, 30, -47, -25, -37, -13, -1, 55, -28, 30, 0, -52, 1, 10, 2, 18, -6, 1, 12, -10, -33, -40, 3, 14, -31, 48, 31, 21, 5, -9, 8, 21, -33, 1, 19, 13, 33, 11, 8, -7, -4, 26, -18, -19, 13, -5, -44, -36, -42, 36, 21, 19, -36, -14, 23, 7, -27, 25, -40, -28, 10, -27, -26, -36, -9, -19, -43, 16, -2, 28, 2, -15, 36, 33, -18, 18, 47, -23, -40, 38, -9, 31, -26, -38, 11, 26, 20, 13, 5, -29, -4, 2, -14, 24, 6, 12, 35, -8, 38, -14, 28, -3, -8, -18, 22, 41, 37, 8, -8, -14, -16, 1, 10, 17, 35, 30, -12, 14, 25, -11, 27, -10, 38, 31, -36, 18, 17, 14, 3, -46, -51, -3, -4, 13, -15, 18, -38, 8, -2, 33, -8, 7, -15, -31, -14, -4, 36, 31, -17, 43, 39, 25, -33, 17, -27, -6, 0, -24, -14, 3, -37, -28, 19, -16, -6, -36, 37, -2, -17, -39, -12, 29, 2, -4, -48, 13, 51, 19, 13, -26, -13, -45, 0, -35, -5, -41, -1, -63, -44, -28, 18, -38, -34, -8, 7, 22, -20, 65, -28, -38, 19, -33, 4, -30, -39, 27, -21, -45, -8, 10, -23, 1, 29, 21, -16, -17, 39, 42, 13, -8, 42, 41, 15, 64, -25, -2, -40, 6, -15, 13, 46, 27, -10, 6, -21, 8, 4, -6, 0, 12, 11, 10, -3, -25, -15, 39, 3, 7, -17, 4, -28, -39, 29, 18, -7, -10, 25, -37, -14, -13, -39, 4, -23, 0, -34, -24, 5, -13, -46, 2, 20, -12, 12, -9, -39, 26, -38, 14, -32, -2, -18, 4, -35, -41, -17, -35, 27, 9, 6, -6, 36, 24, 34, 12, -6, 46, -10, 9, 57, -7, -5, -11, 6, 61, -9, 44, 50, 34, 40, 31, 18, 12, -3, 36, 49, -27, 18, -20, 11, 16, 4, 51, 18, 36, 53, -9, 4, 8, -26, -17, 36, -22, 29, -7, 39, -20, 14, -30, -25, 37, -20, 45, 7, -1, -19, -14, -5, -7, -8, -3, 20, -8, -9, 11, -18, 30, -38, -3, 31, -15, -60, 4, -29, -1, -4, -19, 7, 3, 29, -37, -18, 13, -29, -18, 9, -20, -39, 42, -9, -34, 38, 12, -2, 21, -55, -48, -20, -14, 19, 10, -10, -17, -31, -46, 16, 41, -3, 35, 1, -6, 9, -44, -19, -17, -2, 4, 16, -35, -24, -13, 13, 13, -11, -7, -8, 20, -39, -4, -11, 18, -42, -32, 45, 6, -8, 8, 7, -25, 38, -46, -21, 35, -21, -22, 43, -44, 26, 14, 26, -1, 23, 24, -10, -6, -39, 27, 10, 12, 12, -13, -36, 22, 29, -48, -1, -20, -33, -36, -7, 14, -9, -42, -32, 25, -1, -54, -25, -48, -4, -6, -34, -46, 39, 23, 28, 18, 30, -28, -13, 59, 32, 21, -10, -10, -45, 37, 8, -23, -8, 5, 21, -16, 4, -1, 49, -12, -16, 12, -41, -15, 12, 8, 20, -42, -15, -20, 28, -29, -8, -15, 14, -21, 36, -40, 28, -39, 4, 14, -9, 1, 25, 40, 24, 12, -24, -13, 26, -5, 9, 10, 1, -63, 9, 26, 19, -42, -19, 8, -3, 13, 0, 0, -5, -29, 24, -11, 5, -8, 48, -16, 48, -37, -19, -35, -20, -47, 26, -19, 33, -34, -30, -35, 7, -17, -9, -27, 4, -4, -1, -32, 28, 0, -32, 12, -7, 39, 5, -6, 14, 50, -22, -33, 50, 12, 15, -49, -23, -31, 35, 44, 28, -34, -7, -7, 0, 23, 19, 31, 1, 18, -2, 18, -10, 11, 9, -52, -5, 8, -34, 14, -20, 5, 19, 34, 20, 67, -30, -74, 21, -5, 34, 22, 22, 1, -4, 28, 48, 8, -32, -16, -10, -33, -58, -39, -15, -8, 1, 8, -24, -22, -8, 30, -2, -22, 27, 29, 21, -31, 4, -1, 21, 20, -38, -10, 42, 41, -18, -27, 17, -44, 33, -17, -31, 9, 0, 33, 8, -45, 44, 41, 9, 23, 33, 38, 31, 21, -11, 0, 39, -1, -27, 19, -30, -19, 35, -18, -31, -26, 31, -35, 21, -9, -24, 36, 41, -15, 39, -12, 4, 29, -60, -11, -8, -18, -29, -6, -41, -14, 6, 56, -16, 41, -2, -9, -28, -33, -18, -35, 35, 28, -17, -32, 23, 19, -25, -44, 6, 9, -14, 15, 21, 3, 16, 43, 10, 24, 3, -22, 11, -39, 0, -11, 19, -31, -13, -52, -6, 12, -11, -41, 22, 10, 24, 12, 21, -19, 34, 29, 4, -38, 15, -8, 23, -38, -22, -40, -37, -2, -12, 17, 26, 23, 2, 51, 36, -19, -34, 18, 36, 12, -14, 1, -49, 28, 5, -1, 44, 47, 0, 10, 21, -21, 1, -12, 16, 39, 27, 10, -7, -21, 17, -11, 32, -17, 11, -21, 35, -27, -29, 5, 45, -25, 16, -38, -17, 37, -31, 39, -17, 5, 12, -27, -39, -29, -48, 14, 22, -34, 28, -18, 38, -17, -15, 27, -4, -1, 23, 6, 11, 30, -15, 52, 26, -37, 37, -6, -29, -11, -22, 1, -37, -6, 9, -13, 30, 51, 36, 26, -3, 10, -1, 37, 30, -18, -9, 32, 21, 19, 26, -11, 33, -41, 11, -20, 15, 30, 11, 17, -16, 28, -1, -18, 32, -42, -29, 30, 6, -41, 32, -32, 42, -18, 15, -44, -38, 15, -29, 31, -14, 34, -12, 24, -27, 1, 3, -40, -18, -22, 18, -18, 32, 38, -20, 42, -5, 30, 3, -39, -18, 33, 52, -1, -30, 12, -12, 16, 40, -6, 12, -8, 23, -42, -2, -2, -4, 43, -53, -28, 35, -41, -21, -44, 48, -3, 17, 42, 4, -11, -24, -5, -21, 33, -4, 26, 6, 52, 20, 11, -33, -13, 17, 37, 10, 10, -23, -2, -5, 22, -33, 39, 7, 28, 1, -30, -6, 11, 15, -5, 8, -6, 45, -10, -23, -19, -24, 52, 4, 2, -22, -40, 47, -6, -49, -45, 41, 29, -31, -33, 4, -32, -24, 0, -46, -36, 50, -20, -3, -38, 49, -17, 22, -41, 5, 39, -8, -54, 13, -29, 36, -22, 8, 26, 36, 14, -1, -68, 13, -15, 48, 1, -56, -40, -13, 22, 11, -11, -17, 4, -11, -30, 1, -16, 29, -21, -29, 46, -8, 62, 53, -5, 46, -19, 33, 21, -7, -32, 30, 5, 68, -28, 36, -49, -15, -43, 10, 29, 24, -64, -24, -37, -51, -38, -43, -16, -27, -47, 41, -23, 19, 29, -18, 21, -6, 10, -25, -14, 10, 19, -27, -16, -10, -24, -13, -24, 24, 5, -52, 15, 13, -47, -40, -37, -34, -8, -42, 32, 19, 58, 42, 11, 51, 31, -5, -51, 18, 20, -1, -24, 23, 26, -3, -14, -49, 4, 21, 57, 27, -48, 19, -34, -33, -13, 5, -29, -29, 18, 17, -13, 11, -5, -6, 17, -24, -2, 35, 6, -21, -29, -9, -7, 4, -32, -17, -49, -30, -33, -37, 17, -29, -28, -15, 13, -35, 0, 41, 54, 5, -11, -24, -18, -9, -16, -38, 23, 19, 38, -45, -3, -53, -52, -15, -48, -19, -25, -8, 11, 26, -35, -16, -6, 32, -20, 13, -22, 29, 44, -15, 23, 61, -54, 51, -34, -40, 23, 33, 3, -34, -54, -23, 7, -5, 18, 17, -39, 21, 9, 2, -15, -34, 27, -27, 38, 17, 52, -2, -8, 33, -20, 8, -29, 18, -31, 68, 32, -8, 8, 39, -11, 47, 15, -7, -23, 0, -7, 0, 30, 35, -39, 34, -6, 30, -3, 47, 36, -28, -35, -21, 3, -11, 38, -36, -25, -2, 14, 6, 31, 45, 27, -7, 5, -5, 19, -6, -34, 38, -21, 36, -34, 13, 22, -47, -30, -26, -8, 32, 16, -41, 46, 7, -40, 44, 44, -27, -19, 40, -7, 2, 12, 44, -16, 27, -27, 11, -45, -24, 18, -45, 26, -34, 17, -32, -49, -11, 31, 4, 6, -4, -21, 28, 21, -1, 32, -15, 17, -5, -31, -33, 6, 9, 43, -30, -3, -31, 20, 18, 0, -29, 15, -10, 45, -20, -33, -10, 6, -11, -33, -36, 25, 27, -31, -29, -44, -6, 3, -24, -38, -46, 10, -34, 42, -13, 15, 38, -38, 18, -24, -44, 44, -19, -27, -24, 13, 18, 32, 0, -8, 28, -24, -46, -52, -8, 12, 2, 10, 22, -17, -36, 19, 17, -5, 39, -9, -12, -5, 12, 33, -48, -7, -1, 3, 22, 39, -25, 17, 6, 3, 18, 4, -46, -14, -27, 33, -47, -4, -19, 35, 8, 13, -36, 16, -35, -16, 26, 26, 25, 4, -29, -11, 21, -20, -46, 18, -38, -10, 36, -12, 12, -40, -28, -45, -10, 10, -20, -31, 31, 14, -8, 1, -33, -14, 26, 9, -39, -31, -12, -49, -39, 9, -24, -2, 21, -31, 13, -29, 20, -33, 34, -14, 20, -8, -35, 41, 23, -4, -33, -26, 19, -48, 34, -50, 21, 36, 39, -17, 2, -36, 17, -23, -16, 38, -22, -37, 35, -2, 19, 46, 30, 9, -17, 13, 29, -17, -39, 16, -29, -8, 22, -37, 37, -29, -20, -9, 23, 28, -5, 26, 7, -4, -26, -24, 42, -23, -15, -16, 9, -7, -35, -16, 8, -32, -26, 45, -28, -30, -18, -43, -5, -22, 33, 40, -34, -9, 38, 15, 20, -25, 43, 40, -42, 4, 4, -40, -26, -29, -17, -24, -15, 32, -24, 40, 13, -42, 19, 11, 16, -9, 18, 9, -8, 3, 29, -10, -9, -9, 24, -13, -13, -23, 27, -33, 10, 34, 5, 5, -6, 32, -20, 12, 14, -44, -42, -6, 29, 35, -22, -35, -23, -36, -33, -4, 10, -40, 35, -32, 19, -25, 35, 6, -31, -25, -17, 2, -25, 17, 4, -7, -21, -13, 15, -24, 14, -23, 26, -13, -2, -3, -18, 41, 3, -13, 16, 9, -31, -30, 12, -9, -36, 27, 10, 16, -4, 44, -37, -25, 28, 30, -30, 25, 35, -42, -42, 42, -49, -18, 41, 18, -29, 29, -39, 23, -25, -45, -5, 12, 20, -42, 27, 8, 30, -38, 27, -10, -2, 45, -14, 45, 35, -12, 15, 22, 31, 22, -1, 4, 38, -2, -29, -22, 46, 18, 30, -46, 37, -14, -30, -6, -32, -22, -20, 1, 22, -2, -16, 35, 3, 21, 31, 45, 11, 4, -39, 14, -44, 4, -16, 0, 45, -21, 41, -22, -22, 0, 19, 0, 5, -7, 17, 42, -22, -17, -40, 37, -45, 44, 30, -28, -29, -17, -33, 14, 19, 31, 0, 29, 17, 11, 27, 14, -19, 14, -46, -10, -3, -24, -14, 31, -15, 10, 38, -10, -16, 0, 34, 9, -24, 23, 0, 11, -11, 22, 37, 17, -6, -42, -1, 21, -23, -35, -46, -9, -27, 19, -33, -27, 38, 1, 10, -24, 8, 17, 35, -17, -47, 24, -24, -39, 39, -34, 10, -18, -18, 24, 9, 17, -35, 20, -15, -5, 33, 20, 25, -29, -5, -24, -10, -18, 43, -5, 2, -28, -21, -32, 3, 6, 42, -26, -35, 37, 33, -3, -43, 42, 38, 13, -16, 31, -4, -31, -11, -3, -2, 12, -18, -43, -22, -10, 38, 28, 37, -22, 25, 32, -25, -32, 10, -24, -24, 40, -18, 38, 34, 20, 32, -40, 3, -5, -47, -12, -26, -23, -44, 24, 37, 21, -8, -22, -14, 32, -49, 17, -2, 4, -19, -43, -5, -34, 34, 28, -11, 3, -6, -41, -11, 21, -4, 27, -27, -33, 7, -25, 48, 43, -38, 39, 34, -34, 37, 43, 6, 25, -24, -11, 17, 27, -38, -33, -9, 38, 34, 25, 1, 9, -11, 36, -21, -4, 16, -31, 20, 30, -34, 2, 15, -23, -40, 22, 12, -42, -43, -9, -32, -45, 0, -43, 27, -44, 33, 8, -43, 22, -33, -47, -40, 13, -39, -50, 15, 19, 6, 26, -14, 7, 14, -42, 19, -10, 26, 10, -17, 9, -14, 29, -34, -22, 24, -46, -8, 26, 23, 5, -35, -4, 11, 42, -16, -25, -20, -7, -16, -13, -22, -14, -27, 37, -21, -17, 24, -9, -45, -27, -20, 40, 35, -4, -36, 11, -33, 12, -46, -2, 26, -39, 6, -20, 41, -46, -29, -2, -4, 0, -28, 24, 17, 25, 40, -46, 30, 37, -8, 42, 32, -20, -33, -36, 21, -46, -12, 38, -17, -41, -28, -45, 24, 7, 14, -46, -14, 8, -37, 41, -19, 23, -17, 5, -26, -2, 26, 3, 43, -7, -19, -27, -34, 2, -19, -19, 10, -20, 40, 40, -13, 26, 45, 33, 34, -16, -19, -14, 19, -38, -14, 39, 41, -13, 41, -6, 3, -2, 8, -29, -6, -38, -32, 31, -31, -1, 13, -30, 32, -40, -40, -46, -34, 30, -10, -44, 21, -1, -7, 18, -36, -11, -20, -26, 23, -21, -20, 9, 42, 7, 8, 10, -8, 27, -2, 37, -25, -32, -20, 20, 39, -32, -39, -40, 15, 28, 31, -2, -5, -21, 25, 0, 6, 35, 5, -31, -14, -2, 11, -13, -32, 25, 26, 3, -18, -43, 6, -3, -21, 7, 30, 33, 30, 0, 25, -12, -1, 40, 18, 35, -19, 5, 37, -25, -2, -11, -25, 6, 30, -35, -14, -14, 2, 15, -37, 13, -16, 9, 14, -15, -3, -30, 16, 21, -12, -5, -28, 9, 25, -13, -30, -47, 28, 14, 30, 21, -45, 25, 33, 12, 31, -39, 13, -45, -41, -15, -26, 26, -23, 32, 31, 9, 4, -5, -30, 23, -34, -4, 3, 40, 29, -14, 34, 11, 4, 31, -11, -21, 11, 9, -8, -31, -7, 12, 22, 19, -21, 36, 20, -32, 10, 34, -21, -39, -2, 41, 36, -31, -31, 15, -39, 27, -35, 33, 5, 33, 17, 15, -30, 37, -34, 38, -23, -41, -27, 43, 2, -8, 9, 27, 34, 6, 24, 5, -40, 8, 18, 35, -29, 12, 25, 39, 26, -3, -48, 26, -13, -24, -40, -5, 32, 21, -3, -16, 10, -27, -47, 25, 42, -18, 42, -24, -50, -37, 27, 5, 5, 15, -10, 36, 11, -17, 14, -40, 13, -3, -37, -3, -27, 24, -14, -46, -43, -31, 17, 39, -33, -10, 30, 7, -44, -10, 24, 14, 8, -26, -26, -38, 42, -22, -36, -1, 10, 33, 40, 12, 38, -44, -26, -34, 34, 28, 34, 27, 36, -24, -33, -1, -40, 19, 29, -2, -17, 38, -9, -27, 15, 9, 24, 20, -42, -45, 34, 13, -41, -48, 16, 8, -19, 6, -35, 2, 14, 37, 21, -20, 19, -17, -19, 32, -4, 21, 10, 28, -25, 38, -5, 17, -17, -46, 17, 2, 18, 37, 27, -22, 18, 41, -21, 41, -31, 34, -19, 25, 21, -9, -21, 18, -22, -21, -36, 3, -11, -3, 27, -11, 46, 0, 36, 36, 16, 5, 12, -11, -4, -40, 19, -24, -29, -15, 0, -43, -42, -14, -28, 14, -42, 10, 4, 31, 15, 32, 40, -21, 31, -19, -3, -35, -45, 21, 27, -13, -42, 34, -13, 18, -39, 7, -34, 8, -26, 44, 0, -44, 38, -15, 10, 8, -36, 38, -21, -18, 41, 22, -20, -26, 6, 1, -9, -16, 20, 27, 21, 41, 14, -40, -11, -31, 10, 21, 26, 23, -14, 36, 12, 35, 19, -2, -34, -26, -9, 27, 35, 25, 2, -44, 7, -2, 37, -39, -1, 8, -37, -36, 17, -29, 28, 35, 24, 39, 27, -6, -42, -28, 39, 1, -25, -6, -44, -20, -32, 23, -46, -22, 18, -26, -26, 25, 36, 33, 27, 43, -4, -32, 9, 7, 16, -28, -45, -29, -30, 12, -18, 38, -8, 7, -5, 46, 3, 36, -7, -39, 3, -22, -14, -31, -27, -43, -21, -26, -4, -23, 20, 28, -36, 33, 12, -6, 48, 42, 0, 27, 24, -11, -29, 21, -39, 8, -48, -23, -42, -8, -7, 19, -32, 8, 23, 39, 19, -10, 4, 33, -17, -40, -39, -37, -16, 27, -47, -46, 24, 14, 2, -23, -15, -40, 37, -30, 11, -18, -22, -29, 6, -12, 25, -32, -8, 18, 44, 41, -38, 25, 28, 30, -44, -8, 12, -16, 32, 22, 26, 24, 15, 35, 4, 0, -37, -36, 32, -4, -13, -17, -34, -12, -19, 32, 39, 17, -3, -15, -26, 23, 6, -41, 32, 34, -16, -25, -30, 17, 42, -37, 21, 21, -15, -1, 11, 38, 39, -20, -8, -31, -11, -22, 41, -13, 10, 12, -29, -32, 27, 29, -45, -17, -8, -32, 40, -35, 9, 25, 40, -22, -19, -44, 47, 33, 37, -20, 24, -26, -15, 34, 28, -38, 8, -26, -40, 29, -21, 3, -29, -25, -42, -11, 8, -11, -42, -14, -7, -16, 11, 1, -31, 38, -38, -18, -19, -9, 12, -36, -35, 12, -42, -41, -44, -21, -24, -43, -20, -51, 19, -31, -24, -42, 26, 3, -45, -13, 23, 41, 19, 39, -34, -7, 18, -21, -31, -11, 41, -29, -24, -8, -43, -15, -29, -19, -32, -40, 39, 30, 37, -19, 4, -39, -41, 39, 9, 28, -30, 5, -33, 31, -1, 18, 33, -39, -47, 3, -5, 30, 39, -16, -10, 21, 42, 30, -26, 24, -16, 29, -13, 41, 37, -3, 40, -27, 29, -40, -11, 12, -21, -31, 19, 9, -24, 19, 35, -32, -41, -22, 4, -44, -10, -9, 9, 40, -20, -12, -26, 24, 9, 24, 3, -40, -2, 8, 1, -19, 35, 23, 20, -26, -27, -16, 44, 37, 14, 25, 20, -16, -39, -5, -11, 2, 16, -32, 10, -36, 3, 32, -20, -21, 11, -18, 26, 10, 18, -24, 29, 6, 1, -16, 40, -32, 21, -48, -50, 10, 9, 22, 32, 32, 14, -23, -33, -45, 13, 13, -45, 3, 15, 33, -30, -17, -47, 8, -26, 33, -19, 28, -44, 3, 21, -28, 23, 36, -1, 7, 24, 25, 41, -27, 31, -11, -6, -43, -33, -1, 28, -34, 41, 2, 30, -42, -7, 26, 30, 10, 23, 9, -6, 2, -20, 27, 29, 0, -19, 21, -41, -5, -6, 26, -10, -16, 41, 15, -19, 2, 23, -45, -43, -44, -22, -28, 3, -8, -16, 20, -18, 28, -33, 32, 18, -33, 24, -27, -22, -3, -27, -1, 10, 16, -14, 29, -7, 35, -33, -12, -30, -11, 10, -11, -32, 17, -11, -27, 24, 8, -15, -18, 12, -3, -28, 10, 42, 13, -23, -16, -29, -30, 0, 1, 0, -26, -13, -30, -20, -33, 24, 16, -38, 39, -46, -36, -39, -8, 31, 44, -10, -42, -20, 37, 3, 25, -29, 15, -13, -22, 36, -28, 43, 10, 3, 1, -28, -26, 0, 3, 44, 22, -4, 18, -1, -18, -20, -18, 24, 9, -1, -31, -34, -18, 29, -33, 5, -12, 33, 8, 7, -27, -28, 45, 6, 4, -5, 32, -14, 22, -31, 28, -46, 11, 2, -17, 24, 28, -45, -23, 7, 23, -26, -12, -9, -28, 45, -1, 27, 2, -38, 41, -27, 13, 18, 30, -40, -30, 28, -16, -34, 11, -39, -44, 9, -10, -12, -5, 33, -16, -18, -18, -30, 32, -28, -45, -27, 10, -31, 43, -1, 30, 3, 31, -47, -19, 1, 2, 43, 28, -9, -28, 13, -27, -33, 23, 4, 33, 24, -16, 22, -8, -26, 23, -50, 7, 3, -42, -38, 0, 7, 35, -9, 1, 12, 42, 4, 39, 13, -44, 12, -33, 45, 28, -42, 26, -9, -32, 2, 34, 7, -12, -32, -11, 33, -10, 31, 2, -34, -17, 1, -25, 19, 9, -3, 34, 3, 18, -20, -44, 10, -23, 29, -4, 8, 22, -45, -26, 5, -7, 20, -4, -22, 22, -25, 39, -6, 5, 25, 20, -27, 8, -31, -42, 13, 12, 42, 44, -44, -10, -23, -46, -11, -42, 38, -13, -28, 31, 5, 6, 25, 37, -9, -40, 18, -24, 22, 40, -11, -2, -45, -30, 15, -37, -5, 34, -1, -23, -22, -27, -36, -20, 5, 32, 38, -4, 27, -7, -39, 26, 8, -3, -32, -1, 11, -44, -31, -2, -29, -22, 44, 32, 38, 8, -37, 19, 34, -15, -34, 4, -34, 28, -2, 6, -6, 2, 39, 44, -29, -12, -44, 11, 39, -20, 21, -30, 17, -28, -18, -7, -18, 44, 22, 28, -12, -33, 13, -4, -23, 29, 24, -11, 2, -43, -23, -46, 8, -12, -3, -3, 33, -8, 42, 36, 30, -30, -13, 28, -20, -4, 19, -5, -20, 2, -32, -12, -42, 40, 28, -10, 13, 9, 20, -29, 31, -3, -6, -23, 32, -33, -32, -30, 20, -29, 37, 45, -10, -14, 14, 41, -28, -13, -24, -31, -7, 39, 22, 10, 23, -22, 33, -9, 6, 45, 40, -18, 37, -7, -1, 9, -19, -43, -45, 14, -16, -36, -24, 36, 0, -17, 15, -47, -40, 27, 14, 17, -7, 30, 34, 1, 37, -44, -32, 21, 39, 13, -16, 7, -30, 30, -39, -43, 29, 7, 44, -30, 0, 44, 0, 23, -42, -46, 37, 19, -23, -31, -29, -6, 13, 10, 0, 33, -24, 41, -18, -28, -16, -47, 6, -40, 40, -19, -2, -42, -32, -30, -41, 24, 5, 14, 14, 15, -11, 9, -36, -44, 19, 1, 14, -33, -7, 8, 25, -42, 1, -30, -18, 15, 16, -39, -12, 41, 40, 29, -10, 30, 36, -1, -20, -42, 1, 1, 36, -25, -14, -47, -22, 13, -9, -10, -16, 37, -25, 40, -44, -15, -21, -8, -47, -21, -42, -40, -9, 6, -32, 41, 32, 41, 12, -11, 26, 38, 33, -19, 40, -33, 33, -29, 17, -43, -25, -29, 13, 38, 39, -44, 13, -37, 33, -23, 20, 4, -20, -19, 44, -45, 10, -4, 2, -44, -42, -19, -42, -16, -40, 42, 11, -38, -16, 29, 30, -22, 41, 10, -22, -25, -22, 42, -45, -9, -11, 20, 15, 23, -25, -20, 14, -46, 35, 42, -42, -10, -43, -11, 7, -8, 24, -40, 16, -36, 8, 31, -57, -23, 35, -65, 47, -12, -20, 35, 35, -34, 28, -26, -35, 28, 63, -46, 37, 1, 6, 50, 28, -42, -1, -5, 24, 26, -22, -40, -43, 6, 41, 23, 41, -43, 29, 29, 12, -25, -34, 22, 11, 28, 25, 15, -23, 35, 22, 29, -6, 7, 41, -32, 11, -18, 11, -10, -7, 5, -41, -8, 13, 11, 9, -2, -42, -13, -19, -40, -3, 8, -3, -29, -29, -25, 21, 4, 32, 21, 5, -14, -6, 19, 18, -10, -8, -6, 28, 37, 43, -8, -39, 18, -14, 20, -32, -32, -46, -51, -40, -31, -25, -34, -37, -21, 46, -10, 15, 37, -4, -37, -9, -53, 51, 13, 14, 58, -5, 1, 7, 53, 12, 30, 21, -17, -13, 27, 28, -8, -27, 41, 22, -30, 38, 19, -39, 3, -31, 17, 30, -6, 35, 18, 14, 9, -47, -20, -19, -35, 11, -27, 52, 10, -2, 39, 3, 53, 27, -48, -19, 34, 37, 14, 6, -15, 46, 16, -5, 42, -7, 20, 33, -42, -14, 22, -29, -36, -28, -45, 18, 15, 37, -8, 5, 34, 21, -11, -19, 20, -4, 35, -31, -31, 4, 28, -22, 4, -27, -13, 15, -50, -23, 24, -4, 39, -9, -1, -36, -9, -28, 7, -14, -21, 0, 8, -29, 37, 38, 25, -4, -30, -32, 29, 14, 12, 19, -15, -15, -18, 16, -40, 3, -18, -30, 14, 16, 20, 33, -22, 12, -24, 10, -14, -1, 67, -25, 16, -34, -8, 23, 14, -34, 44, -9, -45, -18, -12, -5, 19, -20, -20, 26, -31, 20, 30, 21, 35, 24, -12, -38, 13, -31, -33, 9, 3, 42, 9, -28, -22, 42, -35, 32, -29, -40, -35, 27, -23, 4, -17, 4, -16, -51, 15, -12, 43, -42, 16, 8, 36, 37, -21, 33, 21, -16, -27, 22, -2, 29, -30, -25, -40, 22, 55, 2, 12, 10, -29, -45, -13, -8, 12, 44, -33, -1, -20, 43, -31, -23, 40, -26, -33, -19, -43, 27, 18, -22, 39, 18, -4, 34, 11, 17, 41, -5, -9, -16, -41, -1, 6, 42, -41, -1, 25, 38, -41, 10, 42, -3, -40, -3, -30, 0, -18, 1, 34, -37, 3, -29, -11, 13, -31, -45, -22, 3, 25, 48, -37, -20, 0, -43, -20, -17, 4, 23, -7, 32, 11, 2, -11, -14, -23, -22, 27, -27, 8, -4, -10, 16, 13, -6, 24, -34, -30, 21, -9, 15, 26, -45, 30, 28, 0, -17, 29, 15, 31, 22, -20, -27, -12, -20, -37, -16, -20, -36, 24, -44, 6, 19, -43, -11, 13, 30, -37, 34, 39, -34, -35, -36, 38, -7, 23, 15, -51, -27, 19, -5, 2, -18, -22, -26, 22, -24, 7, 12, 34, -44, -47, -42, -42, -8, 1, -20, -19, 14, -18, -17, 3, -21, 26, 5, -27, 43, 38, 30, 0, -5, 13, -24, -43, -54, -1, -2, 20, -26, -9, 4, -16, 9, -14, 45, 13, -20, -31, 14, 22, 34, 28, 12, 3, 43, 36, -2, -42, 30, 11, -45, 13, -31, -20, 39, -36, 36, -29, 15, 44, 18, -4, -23, -7, -7, 45, 11, 31, 17, -44, 4, 6, 23, 18, 13, 16, 32, 45, 22, 10, 37, -12, 39, 13, 7, -38, -46, -11, 9, -6, -44, 5, -13, -4, -26, 3, -4, 38, -50, -33, 14, 13, -17, 38, 3, -37, -13, -48, -22, 12, -1, -39, -20, 4, 18, 35, -16, -23, -20, -1, 9, -14, 24, -21, 4, 7, 27, -48, 5, 2, -4, -34, -47, 7, -23, -31, -4, 24, 23, -35, 16, 24, -6, 22, 14, -39, -26, 34, -20, 16, -35, -43, 4, 33, 21, -7, -42, -20, 33, -5, -3, 18, 27, 1, -24, 2, 4, -9, -13, 12, -25, -45, -7, -43, -20, 3, 49, -9, 42, 19, -1, 18, 29, 7, 14, 11, -27, 2, 19, -2, 12, 17, 30, -21, -16, 8, 22, 20, 38, -2, -41, 29, 41, 42, -48, 11, -30, -30, 5, -19, -36, 6, -38, 13, -31, 0, -31, 12, 39, 29, 29, -31, -39, 33, -40, 31, -37, -10, -23, -35, -34, 11, -15, -1, -20, 37, -3, -51, -37, -10, 2, 7, -39, -28, -41, 9, 13, 9, -21, -37, 46, 25, -32, -12, 16, -1, 31, 41, 40, -1, 2, 33, -46, 36, 0, 16, -29, -18, 4, 46, 20, 0, -20, -13, -16, -35, -4, 4, -31, -40, -52, -37, -5, -14, 13, 13, 26, 15, -27, 16, 32, 23, 34, 0, -20, -12, 27, 30, 15, 0, -12, 45, -24, -46, 25, 20, -27, 17, 23, -39, 16, -16, 1, -25, 29, -7, -32, -6, -43, 22, -26, -40, -15, -27, -35, 43, 33, 1, -31, 20, 27, -6, -15, -53, -20, -4, 7, -13, 20, 5, 30, -26, -4, 20, 26, -24, 23, -34, 15, 18, 17, -32, 46, 6, 4, -6, -29, -53, 0, -22, 12, 41, 19, 12, 47, -42, 31, 15, 8, 7, 37, 47, 15, -16, 53, -58, 44, 4, -16, 17, 56, 46, -14, 37, 3, -38, -14, -36, 45, 34, -30, -30, 39, 30, 13, 12, -32, -7, 28, -37, 13, 45, -26, 15, 16, 15, 31, -28, 33, -9, -41, -43, 10, -30, -26, -24, 20, -9, -11, -18, -26, -21, -22, 51, 9, -12, -35, -20, -11, 8, -54, -36, 6, 23, 8, 42, 10, 25, -10, 33, -7, -31, 0, 35, 12, 26, -6, -24, 42, 1, 17, 33, -41, 17, -11, 4, -56, 20, -52, -24, 16, 34, -7, 6, 15, 24, 29, -21, 33, -31, 46, 47, 2, 14, -2, -41, -1, 47, -43, -35, 34, 34, -16, 13, 43, -11, 4, -29, -6, 40, -7, -35, 3, 10, -12, 11, 25, 6, 20, 25, -28, -16, -4, 27, 13, 5, -12, 42, 31, -37, -10, -6, -35, 32, 15, -26, -4, -13, 48, -36, -15, 15, -38, -1, -16, -2, -2, -32, -10, 26, 33, -23, 31, 20, 14, -30, 32, 8, 29, -14, -44, 32, -21, 24, 0, 39, 39, 35, 27, 24, -15, 7, -48, 18, -8, 14, 15, 11, -26, 42, -2, -28, 35, -18, 37, 16, -1, 7, 14, 6, 32, -19, -1, 13, -2, -3, -41, -49, -19, -41, 14, 39, 30, -18, -21, -5, -4, 26, 56, 34, 24, 47, 4, 17, 21, -42, -13, 42, 27, 24, -3, 28, -39, 1, 3, 1, 22, 32, -23, -16, -41, 32, 32, -3, -48, 15, -42, -36, 16, -20, -31, -8, -48, 3, -21, 0, -23, -26, 32, -25, 19, 10, -48, 27, -24, 3, -5, 4, 11, 41, -27, 23, -14, -1, -28, -17, 27, 32, 26, 22, 12, -54, 45, 5, -27, -24, -34, -19, -45, -42, -33, -38, -20, -46, -26, 40, 35, 11, 2, 28, 42, 53, 2, -32, 6, -34, 33, 46, -43, -3, 11, -25, 34, 0, 37, -1, 6, -21, 48, 14, -18, -7, -44, -3, -15, 36, -23, -33, 6, -29, -39, -47, 24, 8, -17, 27, 43, -10, 0, 6, 7, -8, -26, 32, 25, 38, -53, 20, 7, 28, -39, 16, 32, -14, 29, -32, 39, 21, 22, -45, -19, 39, -12, -15, -31, 2, 6, -29, -3, 20, 34, -37, -38, -47, -24, -42, -34, -35, -7, -25, -12, -34, -32, 13, 20, 26, 8, 43, 18, -34, -18, -38, -38, -37, -25, 27, 4, 3, -4, -22, 15, 30, 43, 44, -16, -31, -17, -8, -16, 37, -8, 49, 23, 23, -18, 41, 2, -1, -5, 34, -26, 26, 31, -29, -12, -30, 25, 32, 8, 39, 20, -7, 7, -30, -23, -30, -32, -29, -32, -26, -20, 41, 24, -29, -2, 26, 19, -10, -12, -8, 13, -20, 23, 3, -34, -29, -11, -36, -11, -35, -23, 31, -23, -31, -3, -38, 7, 39, -3, -4, 12, -23, 41, -34, 35, -38, -49, -10, 16, -38, 19, -23, -47, -49, 6, 22, 25, -3, 36, -51, 14, 4, -39, 3, 24, -34, 26, 10, -22, -47, -15, -37, -18, 14, 2, -40, 31, -34, -36, -12, 18, -15, 9, 28, -34, -36, -21, 19, 19, 25, -7, 17, 36, -4, -1, 15, 29, 30, -47, 36, 36, 13, 16, -7, -4, 41, -33, -44, 50, 18, -21, -8, 36, 46, 24, -26, 32, -11, 37, -4, 18, 34, 11, 45, -11, 5, -38, 8, -5, 15, 45, -11, 7, -8, 1, 38, -7, 35, 29, 32, 42, 30, 24, 36, 1, -22, 15, 44, 37, 25, 10, -33, 12, -21, 9, -9, 30, 23, -37, 5, 25, 25, 28, 7, 10, -19, -18, 45, -31, 24, 5, -25, 3, 7, -40, -23, -6, 31, -28, 28, 41, -34, -5, 37, -4, -28, -9, -36, -10, -42, -17, 7, 17, 28, -32, 14, 4, 23, -32, -34, -6, 37, 29, -36, 16, -38, -39, -1, 41, -24, 23, -15, -36, -20, 33, -4, 35, 24, 16, -45, -22, 35, 26, 18, 9, -41, -36, 3, -26, 27, 45, -18, -26, 16, -25, 16, -32, -37, -19, 3, -14, -44, -48, -32, 31, -12, -11, 5, 46, -44, -29, -27, 8, 19, 2, 11, 28, -34, -33, -42, -46, -47, -19, -5, -2, 28, -34, 6, 21, 1, 34, 0, 28, 13, 29, 0, 29, -32, 34, -9, 4, -22, -6, -40, 2, 5, 1, 28, -12, -40, 9, 42, -41, 2, -14, -11, -13, -4, 19, -32, 38, 19, -42, 19, 34, 26, -6, -43, 32, 12, 17, -21, 34, -13, 5, 27, 3, 16, -5, 12, 39, 37, -42, -18, 4, -15, 39, -43, -37, 28, -23, 3, 28, -20, 39, -32, -27, -35, -23, -3, -44, 11, -43, -29, 18, -35, 29, 37, 9, -26, 10, 10, -51, 18, -11, -20, 22, -3, -44, -20, 41, -22, -44, -25, -8, 24, -15, -45, -46, -5, -14, -17, -6, -26, 12, -47, -19, 20, -20, 26, 42, 25, 27, 3, -4, 8, 0, 5, 34, 24, 7, -43, 29, 28, -43, -26, -36, -42, 30, 22, 27, -30, -27, 38, 30, 35, -6, 37, 4, -46, 42, -6, -14, -30, -20, -16, -39, -22, 32, 41, 36, -24, 48, 41, -29, -8, -14, -7, -39, -2, -1, -4, 14, -31, 6, 27, 7, 43, -41, -24, -10, -1, 16, 18, 29, 41, 10, 10, -39, 14, -10, 17, -15, -22, 24, -18, -13, -38, 12, -15, -19, -2, 13, -16, -24, 26, 37, 42, 9, 16, -11, 49, 11, -14, 32, 31, 38, 12, -23, 27, -4, 40, 39, -27, -27, -41, -18, -25, 18, -3, -7, 19, -27, 28, 38, -36, -37, -6, -18, -35, 32, 13, 9, 3, 8, 19, -32, -24, 24, 35, -26, 25, 27, 33, 21, 0, 2, 9, 30, -49, -26, -14, 10, -16, 29, -44, 26, 38, -9, 34, 47, 38, -8, -26, -39, -47, -15, -14, 43, -43, 16, -41, -20, 24, 1, -11, 22, 6, 20, -4, -17, 6, 39, 44, 9, -24, 24, -6, 5, 39, -15, -24, -9, -24, 34, -46, -28, -30, -2, 31, -2, 26, -33, 21, -16, 45, 29, 18, -33, 11, -32, -37, -41, 21, -44, -16, -37, 22, -25, 22, -30, 15, -43, 37, -13, -2, 11, 35, 39, 46, -42, -10, 10, 25, 34, -32, -18, -48, 15, -18, -17, -17, 1, -12, 39, 41, 6, 40, -20, 23, 16, 34, -41, 14, -3, -27, 23, 31, -18, 43, 36, 3, -16, 43, 2, -14, -12, -7, -7, -27, -33, -23, -36, 6, 25, -7, 28, 9, 29, 22, 34, 36, 20, 13, 16, 19, 21, 31, -24, -3, -41, 35, -23, 40, 15, -7, 11, 22, -39, -11, -29, -8, -27, 39, 5, 1, -30, -44, 35, -47, -4, 8, 39, 13, -16, 30, 27, -48, 12, -21, -12, 3, 35, 31, -30, 9, -22, -7, -20, -28, 26, 23, -29, -25, 17, 38, -24, 15, -3, -43, -11, 41, -39, -19, 25, -21, 20, 45, -35, -9, -48, -37, 28, 35, 17, -2, 28, 14, -43, 14, -45, 44, 42, -9, -35, -18, 4, -5, 45, 12, -32, -23, 27, -30, -9, 16, -7, 36, -3, 6, 39, 27, 17, 25, 6, 37, -2, -26, 11, -47, -27, 2, -34, -16, -15, 14, -29, 9, 13, -20, -46, -41, -17, 11, -34, 8, -39, -5, -22, -6, 28, 36, -2, 4, 9, -39, -31, -11, 44, -3, -43, 21, 0, 12, -35, 37, -29, -43, 23, -3, -27, -19, 36, 10, 49, 22, 39, 12, -44, 14, 33, -38, 27, 12, 14, -26, 36, 39, -11, 9, -33, -6, -39, 2, 44, 12, 43, -41, -22, -30, 21, -37, -2, -6, 39, 3, -23, 14, 38, -7, 37, -41, -36, -28, 24, -10, -19, -20, -13, 31, -28, -36, 17, -40, 13, -23, 17, -35, 35, -4, 46, 12, 25, 5, 20, -31, -23, 19, 6, 28, -44, 40, -5, -36, -44, 13, -11, -31, 26, -2, -4, 45, -33, -4, -41, 35, 24, -50, 23, -21, 36, 27, -34, -20, 10, 15, 1, -30, 23, 20, -22, -45, -24, -33, 34, 0, 38, 37, 39, 18, -19, 35, 30, -38, 42, -7, 27, -43, -20, 20, -29, -3, -21, -38, -6, 18, 25, 15, -48, -14, -32, 43, 26, -27, 38, -35, -31, 13, 16, 36, -13, -9, -41, -21, -47, -41, -29, -32, 28, 21, -20, -25, -13, 18, -37, -8, -43, 29, 43, -12, 42, 26, 10, -7, -45, -27, 1, -12, 0, -31, -12, -11, 6, -15, 25, -24, -12, -23, -31, -34, 41, -50, -12, 15, 21, -25, 6, -3, 14, 30, -31, 33, -45, 46, 25, -28, 5, 27, 17, -3, 2, 26, -15, -10, -24, -7, 39, 40, 27, -5, -18, 32, 15, -5, -33, -28, -18, -43, 20, -44, -28, -22, 22, 19, -7, -23, -14, -32, -25, 2, 44, -24, 28, 14, 0, -35, 7, 9, 28, -36, 28, 36, 24, 28, 9, 50, 34, 33, -28, -6, -33, 7, -11, 43, 32, 12, 13, 1, 2, 36, 39, 16, 33, -34, -31, -29, -27, 4, -16, -51, -17, -36, 7, -29, -38, -12, 46, 4, -41, 22, -5, 36, 13, -46, 33, 32, 21, -31, -13, -4, -50, -10, -17, -26, 39, -12, 1, -6, -44, 23, -43, 9, 31, 22, -28, -42, 22, -17, 30, 35, -3, -11, -42, 38, 0, -2, -25, 24, -1, 28, -6, -8, 43, -4, -13, 28, 10, 15, -45, -49, 0, 23, -36, 36, -38, 5, 1, 22, -23, -36, 8, -45, -11, -42, 1, 33, -13, -1, 19, 9, -35, 3, -13, 25, 30, 40, 14, 32, -43, 17, -15, -10, 38, 14, -17, 35, 38, -19, -25, 43, 44, 33, -14, -37, 17, -44, 27, 27, 34, 47, 31, -31, 21, -24, 24, -16, 22, 35, -12, 13, 11, -53, -32, 4, -37, -19, 34, -21, 34, 21, -24, 18, -11, 10, 11, -3, -38, 32, 52, -19, 16, -31, -20, 38, 38, 32, -40, -10, -42, -35, 28, -14, 14, 31, -25, 28, 47, 40, 19, -34, -11, -7, 43, -32, -22, 41, 30, -33, 5, 19, -44, -11, -27, 21, -30, -5, -25, 28, 31, 38, 22, -36, -31, 39, -4, -2, -1, 36, 30, -22, -16, -18, -14, -20, 16, 4, 19, 12, 15, -19, 5, 39, -10, 42, -39, -27, -5, -35, 7, 13, -26, -14, 5, -30, -21, 14, -15, 15, 7, -3, 6, 42, -32, 18, -14, 11, 40, 12, -45, 36, -25, 39, -19, 18, 0, 22, -43, 5, -28, 37, 36, -2, 30, 39, -35, -38, -16, 35, 19, 32, -15, 1, 49, -43, 2, -31, -16, 25, 22, 19, -35, -9, -19, 16, 17, 42, 46, -33, -10, -37, -8, 25, -29, 46, 45, 41, -40, 10, 22, 48, 29, -24, -20, -21, -9, -38, -25, 9, -21, -4, 12, -18, -2, -32, 36, 44, -39, -12, -24, 2, 29, -8, -34, -33, 16, -50, 39, -2, -9, 13, -8, 35, -6, 44, -25, 42, 13, -29, -1, -19, -45, -45, -47, -31, -36, -32, 21, -11, -23, 28, 44, -23, 25, 5, 1, 18, -37, -44, -46, -20, -22, -5, -12, -16, -38, -27, 21, -26, 43, -21, 37, -44, -18, -10, -25, -23, -33, -41, -42, -39, -43, 15, 10, 19, 28, -4, -11, -20, 33, -13, -18, -11, 43, -15, -24, 34, -16, 18, 24, -12, -40, -44, 16, 5, 34, -2, 17, -44, 34, 21, 19, -7, 12, -17, 29, -4, 33, -28, -38, 43, 12, 14, -46, 12, -12, 20, -30, -31, 44, 18, -37, -41, -15, 28, -33, 38, -36, 46, -40, -14, -45, 15, -33, -12, -35, -39, 13, -41, 8, -26, -11, -37, -3, 10, 9, 4, 7, -36, -40, -16, -51, 12, -21, -55, 24, 11, 21, -1, -13, -3, -7, -13, 35, -26, 12, -24, 25, -39, 9, -23, 16, -39, -28, -33, -7, -4, -15, -30, 6, -50, -46, -10, 27, -6, -17, 27, 6, 0, 14, -38, 2, 20, 26, 5, -3, -33, -23, -9, 33, 5, 34, 19, 42, 26, -6, 40, 40, -32, -17, -10, 42, -29, -21, 45, -18, -2, -23, 17, -26, -12, -23, -39, -17, -31, -22, -29, 13, -7, 17, -21, 45, -25, -45, -31, -23, -5, -12, -13, -42, -53, 31, 22, -10, -11, 28, 11, -1, 13, -45, 16, -26, 24, -41, 18, 12, 4, -31, -27, -30, 24, -38, -21, 15, -26, -10, 3, 34, 32, -2, -8, -2, -28, 0, -41, 8, 20, -12, -17, 39, 20, -39, -6, -8, -19, -17, 5, 7, 23, 17, 17, 36, 20, -15, -13, 41, 15, -28, -41, 37, -37, -1, 17, -36, -19, -30, 6, 16, 20, -29, -14, 13, 3, -49, 32, -37, 18, 13, 35, 11, 8, 18, -41, 19, -21, -4, 0, 15, -36, 16, 41, -11, 11, -2, -15, 13, 34, 10, 2, 10, 48, 41, 52, -32, -36, -37, 38, 10, -15, 23, -30, -40, 15, -6, 36, -36, -5, -40, 15, 19, -7, -8, -40, -5, -44, 37, 27, 16, -19, 0, -19, -7, -21, 38, -2, 32, -50, 45, -39, -48, 33, -10, -23, 33, 23, -36, 17, 15, -21, 29, -45, -46, 24, -35, 22, 27, -41, -30, -42, 40, 16, -2, -16, 23, 0, 25, -24, 35, 30, -33, 22, 9, 30, 32, 34, 45, 39, -29, 31, 32, -18, -3, 1, -21, 30, 2, -3, -47, 31, -16, -19, 27, 36, -53, 28, -33, 33, 37, -44, -16, -40, 0, 5, 32, -47, 0, 11, 27, -5, -27, -32, 24, -38, 33, 0, -41, -30, -33, -40, 29, 31, -36, -24, -18, 28, -51, 6, -37, 22, -18, -27, -14, 0, 21, 2, 31, 62, -49, -17, -36, -17, -38, 33, -27, -39, 5, 18, 2, -2, 26, 7, -26, -6, -41, 12, -19, 6, 20, 14, 30, 20, -20, 4, -33, 19, 11, 12, -24, 33, 27, -18, -32, 13, -32, -41, -18, 13, -2, 43, 17, -6, -19, 15, 37, 23, 40, 14, 29, -11, 20, -30, 29, -28, 3, -30, -45, -29, -32, -16, -12, 10, 38, -18, 27, -3, 6, -29, 18, -46, -38, 42, -9, -40, 22, 20, 28, 14, -44, 38, -35, 28, 41, -22, -46, -8, -14, 36, 22, 32, -16, -34, -30, 23, -6, -12, 10, -39, -7, -16, -17, 21, -24, -1, 0, 15, 5, 18, -10, -17, -39, 25, -32, -52, -23, -15, -51, -11, -18, -17, 26, 27, -27, 22, -52, 35, -30, 9, 2, -5, -32, -24, 7, -5, -20, 41, -6, 10, -41, 4, 43, -25, -25, 11, -4, -30, 36, 34, -8, -48, 39, -27, 37, -37, -26, 16, -10, -34, 15, -39, 7, 40, -47, -15, -40, 25, -9, -43, -32, 36, -43, -29, 4, -9, 29, 15, -26, -27, 17, 35, -22, 14, 16, -34, 22, 38, 42, -22, 23, -21, 34, 29, -17, -13, 33, 31, -31, 25, 9, 24, 14, -2, 5, 27, 28, -38, 29, -42, -7, 22, -25, -21, -29, 31, 8, 12, 15, -25, 5, -1, 24, -39, -26, -51, 25, 18, 1, 26, 18, 0, 27, 38, -31, 22, 17, 4, -13, 0, 29, -34, -7, -9, -2, 36, 19, -2, -16, -46, -28, 3, -25, 3, -9, 13, -29, 37, 12, -42, -7, -31, 10, 36, 29, -15, 4, -10, 1, 7, -10, 3, 46, 28, -25, 37, -13, 30, -29, 33, -27, 20, -41, -23, 15, -41, -19, -23, -17, -27, -24, -40, -31, -11, 23, 18, 27, -7, -35, -16, 35, -8, 15, -16, -9, -24, 0, 13, 43, -15, -2, -29, 18, -20, -4, 31, 3, 0, 18, -47, -7, -33, -13, 43, 9, -15, 3, 22, 45, 27, 26, -39, -20, 30, -1, -22, -3, -24, -25, -16, 2, 11, -46, 4, 37, -39, -28, -25, 26, -4, 42, -29, -4, -42, -6, -17, 38, 22, 13, 7, 3, 32, -6, 19, -12, 16, -49, 22, 7, -15, -23, -19, -52, -62, 9, 5, -59, 6, -33, -31, -10, -11, -3, 25, -11, 29, -6, -13, -31, -3, -1, -40, -21, -37, 17, 37, 30, 9, 18, 1, 43, 23, 50, 14, 14, 41, 39, 0, 20, -41, -27, -7, 60, 9, 2, 30, 3, -35, -29, -37, -38, -31, 0, -40, -12, -10, -8, 37, -28, -40, 38, 16, 27, 0, -39, -37, 11, 7, -9, -31, -7, -52, 10, 12, -22, -20, -35, -48, 10, -41, -34, 22, -23, 1, -39, 20, 8, -11, 5, -16, 5, -23, -7, -5, -43, -3, 38, -1, 10, -20, 23, -5, -13, 18, 33, -34, -17, -22, -1, 30, 23, -9, -11, 0, 0, -27, 32, 42, -39, 16, -14, 22, 11, -22, 18, 56, -9, 18, -28, 14, -26, 43, 28, 4, -17, -16, -39, 0, -15, 8, -10, -46, -43, 11, -38, -45, -14, -4, 28, 0, -13, -7, 16, 52, -30, -62, -84, -16, 40, -24, -16, 11, -6, -19, 42, 2, -43, -35, 18, -9, -49, 8, 5, -12, -9, -8, 4, -40, -2, 27, -21, -42, -34, -6, -23, -17, -42, -25, -29, -26, 0, 20, -10, -10, 27, 52, -51, -1, -2, -35, -41, -41, -12, -50, -41, 7, -31, -43, 38, 39, -34, -33, 10, -33, -26, -3, -36, 23, -10, -46, 4, 23, -14, 47, 21, 20, 39, -21, -29, 6, -17, 10, -2, 34, 3, -26, -20, 1, -9, -28, 18, 13, 30, -24, 36, 7, 23, -26, -12, 22, 27, 27, 13, -27, -25, 39, -12, 28, -21, -9, 11, -24, -16, 18, -12, -20, 17, -50, -19, -32, -37, -22, 18, 4, 21, 5, 9, -21, 23, -34, -25, -1, -27, 42, -4, 41, 25, 25, -11, -39, 22, -48, 13, -19, 3, -27, 37, 28, -14, -14, -19, 2, -4, 24, 0, 29, -22, 33, 23, -14, 60, 9, 60, 1, 49, 47, 1, 0, 51, -12, 24, -22, -16, 23, 37, 4, 36, -38, 10, 46, -27, 1, 36, 32, -7, 2, -22, -18, -10, -34, 60, -25, 25, 46, -22, 44, -6, -17, -21, -45, 33, 5, -26, -7, -24, 4, -48, 27, 30, 25, 10, 6, -19, -29, -18, -20, -29, -29, 5, -20, 15, -17, -48, -32, 36, 24, 3, -21, 3, 10, -11, 34, -29, 19, 13, -54, -15, 30, 21, -17, 10, -28, -14, -18, 0, 23, 21, 17, -7, 42, -48, -47, -8, -64, -22, 22, 22, 18, -25, -18, -39, 42, 7, -38, -2, -35, -2, 24, 20, -18, -39, 4, -23, -8, 3, 2, -43, -29, -4, 11, -14, -39, 40, -32, -15, 7, 41, 10, 40, -27, 11, -25, 19, 37, 0, 19, -25, 17, -1, -22, 16, 43, -43, 17, 50, -27, -57, -20, -60, -51, -33, -7, 49, -20, 26, 30, -21, 6, -28, -54, -31, 22, -18, -31, 13, 3, -22, 24, -4, 35, 56, 12, 45, 73, 27, 32, 44, -16, 3, -14, 6, -30, -1, -15, 33, -30, -17, 13, -24, -20, -11, 27, -14, -43, -10, 22, -20, 24, 8, -39, 0, -42, 11, 11, -21, 43, -43, -37, 37, -12, -27, -36, -24, -15, -48, -21, 29, -62, 11, 2, 1, 4, 14, -15, -24, 0, 39, 27, 15, -24, -27, -30, 27, -29, 4, 26, 19, 17, 20, 29, -52, -56, -11, 11, -55, -15, -76, -73, 11, 11, 4, -16, 36, -26, 5, 31, 30, 3, -15, -18, 6, 12, 33, 29, -62, 24, 39, -43, -24, 49, -48, 8, 27, -34, -5, 7, 17, -38, 26, 1, 5, -46, -41, -4, -20, 38, 28, -13, -36, 43, 36, -39, 13, 26, -43, -33, -32, 34, 38, 2, -37, -9, -16, -34, 17, 2, 10, -15, 24, 2, 30, -15, 11, 7, -1, 9, 16, -39, -31, -17, 4, 31, -26, 3, 39, 2, 39, -30, 20, 22, -15, 15, 5, -2, 19, -8, 21, 46, -31, -42, -33, -21, -38, -24, -33, -29, -6, 9, 38, -18, -39, 41, 16, -35, 22, -35, -35, -15, -8, 25, -47, -9, 0, -47, 33, -1, 47, -1, -24, 56, 23, 4, 65, -7, 14, -9, 15, 25, 7, 47, 21, 20, 44, -7, -13, 5, 14, 2, -22, 13, -46, -17, -27, -23, 7, -17, -20, -35, -64, -69, 33, 29, 24, -31, -29, -10, 9, -33, 21, -2, 10, 34, 3, -21, -2, -9, -7, -3, -49, -40, -42, 15, -54, 13, 29, -12, -9, -56, 8, 27, -28, 40, 33, -23, -9, 21, 19, 33, 13, 21, -11, 1, -10, 32, -3, 12, -13, -13, 14, -42, -40, 23, -47, 16, 30, -2, -1, 32, -14, -13, -14, 31, -59, 8, 67, 22, -14, 5, 6, -32, 20, 24, 2, -17, 16, 32, 1, -4, 0, 25, 44, 36, 52, -14, -12, 30, -23, 14, 12, -1, 4, 5, 28, -46, 10, 0, 11, -63, -40, -25, 2, 1, 22, 8, 35, 8, 33, -48, 8, -2, -7, 19, 14, 31, -18, -54, -24, -59, -11, -34, 19, 5, 11, 35, -48, 15, 8, -40, -8, 1, 15, -9, -24, 15, -1, 34, -18, -17, -22, -37, 1, -17, -27, 44, 12, 21, -5, -16, 29, 18, 62, 41, -27, 17, -66, -5, 5, 7, -5, -12, 8, -49, -2, 6, -15, -56, -30, -23, 32, 14, 16, -35, -23, -9, 17, -38, -7, -23, 9, -3, -26, -20, -47, -56, -66, -5, -16, 16, 22, 41, 27, -26, -60, 2, 23, -40, -33, -3, -1, 33, 12, 40, -7, 15, 39, -5, 22, -9, -15, 23, 45, 21, 46, 4, -9, 14, -15, 44, 49, 12, -8, -20, 10, 2, 7, -20, 10, 1, 23, -47, 5, 12, -21, 8, -5, -34, -40, 15, 16, -16, 36, -15, 17, 46, 29, -10, -44, 5, -40, 5, 25, -26, 33, 9, 40, 21, -5, 21, -25, -47, -10, 18, -11, 7, -18, 11, 47, -7, -15, 31, -32, 5, -8, 5, -15, 27, 12, 36, 14, -12, 45, 8, 27, 31, 5, 5, 29, -14, 20, -3, 20, 13, 3, -43, -9, 4, -19, -22, 52, 52, 43, -50, 10, -6, 27, 75, -23, 10, 30, -20, 4, 28, 1, 4, 41, -16, -47, 10, 60, 36, 43, 40, -3, 30, -9, -30, -9, 37, -3, 56, -15, -62, 2, -9, -27, 16, 5, -46, 53, 40, 24, -7, -35, 21, 8, 1, 28, -12, -44, 40, 2, -43, -29, -17, 18, 0, -31, 17, 29, -43, -8, 28, -17, 31, -7, 15, -4, 12, 12, -13, 16, -19, 15, -15, -1, -22, 4, 8, -43, 17, 16, -4, -28, -24, 13, -28, -18, 41, -7, 39, -18, -60, -16, 0, -9, -2, -42, 30, -29, 3, -35, -20, -5, 16, -17, -41, 10, 23, -21, 31, 25, -17, 17, 15, 4, -66, -29, 29, 28, 45, 44, 16, -11, 14, -29, -38, 1, -2, 2, -18, -22, 7, -62, -8, -11, 30, 2, -40, -17, 14, 18, -15, 10, -39, -26, -34, 11, 28, -31, 41, -24, -37, -22, -37, -10, -35, 7, 43, -30, -41, 25, 21, -18, -5, -3, 32, -33, -19, -15, 43, -3, 20, -36, 14, 16, -8, 6, -39, 25, 39, -44, 29, -21, -23, 6, 8, 17, 29, -40, 14, -32, -12, -16, -12, 15, 3, -22, 25, 25, 9, -39, 6, -5, 8, -9, 41, -8, 8, 17, 38, 16, -13, 20, 41, 4, -29, 39, 26, -22, -2, -34, -36, -28, 6, 15, 35, -22, 37, -16, 6, 33, 41, 7, 11, 12, -23, -27, 21, 31, -45, 43, -26, -27, 29, 21, -18, 39, -24, -19, 34, -29, 11, 32, -17, -29, 39, 0, 24, -22, -33, 8, 36, -15, -25, 0, 27, 36, 4, -45, 41, 22, -38, 9, 47, -7, -38, 19, 45, -12, -27, 38, 21, -10, 31, -3, -7, -8, 25, 15, 16, -7, -25, -26, -5, -32, 27, -35, 9, -16, 5, -30, 1, -7, -5, 11, -34, 4, 15, 36, 37, -1, 31, 26, 11, -26, -17, -4, -9, 6, -40, -3, 18, 35, -17, 33, 37, -29, 3, -38, 41, -2, -37, -32, 5, 26, 28, 44, -39, 30, 5, -17, -30, -16, -13, -18, 0, -21, 29, -47, -7, 23, 5, -33, -10, 36, -23, -9, 33, -10, -10, 13, 31, -25, -25, 5, 42, 4, -30, 39, -11, 43, -9, -18, -3, 16, -16, 24, 34, -1, -44, 40, 14, 3, 7, 2, -12, 26, 11, 11, -15, 11, -45, 28, -28, 5, 37, -5, 3, 34, -26, -18, -36, 35, -36, 28, -1, 37, 35, -27, -40, -44, 18, 17, -41, 6, 45, -1, -31, -31, -2, -20, 20, 22, -8, -32, -31, 13, 14, 20, 28, 13, 46, 45, 9, 29, -26, 24, 34, -41, -21, 27, -50, 7, 20, 35, 18, -31, 44, 37, 0, 19, -10, -34, -31, -23, 32, 6, 31, -8, 14, -4, 26, 43, 41, -23, -37, 21, -8, 33, 17, -36, -35, 24, -43, 17, 29, -9, 23, -1, 49, -26, 46, -43, 20, -47, -45, -25, -5, -13, 33, -3, -16, 34, -3, -15, -19, 18, 39, 20, 25, -17, 39, 2, -18, -21, -40, -29, 3, 20, -9, -41, 28, 22, 34, 7, -9, 4, -45, 29, -46, 14, 36, -14, 22, 7, 7, -28, 19, -19, -41, 35, -42, 29, -42, -20, -42, -27, 2, 2, 38, 33, 40, -40, 14, -3, -15, 21, 22, 20, 33, 25, -29, 12, -42, -36, -13, -4, 13, -31, -7, -42, -37, 36, 21, -10, -23, 3, 14, 22, 21, 22, 33, 38, -41, -10, -2, 14, -1, -7, 23, 17, 41, -28, -3, -13, -15, -29, -28, 6, 35, 27, 37, -29, 23, 29, 37, -20, -16, -40, -5, -37, 34, 24, 30, -11, 27, -15, 36, -14, -8, -39, -15, -4, -15, -43, 4, 36, -14, -13, 8, 14, 39, -27, 13, -6, -30, -16, 19, -21, 7, 36, 22, -24, -25, -29, 19, -19, -29, -6, -23, 14, 38, -40, 6, -20, 15, -13, -21, -16, 6, -15, -40, 1, 23, 44, -34, -7, -19, -30, 43, -44, -43, 1, -47, -24, -21, 14, -36, 24, 42, -23, 0, 10, -4, 1, -20, -29, -3, -22, -31, 8, 23, 13, -22, -28, 17, -15, -38, 38, 9, 15, 30, -16, -40, -42, 25, -19, -31, -3, -15, 35, 37, -29, -16, 17, -4, 37, 39, 39, -8, -26, -3, -37, 20, -15, -36, 38, 5, -31, -23, -34, 31, -10, -9, -2, 31, -12, 4, -39, 23, -1, -25, -40, 14, 33, 19, -35, -28, 38, 25, 42, -38, 17, 23, 28, -16, -38, 43, -9, 44, -44, 3, -27, -13, 5, -27, -29, 34, 0, 12, 37, -33, 7, 2, 31, 33, 6, -9, 32, 6, -9, 33, 36, 38, -43, -34, 14, -23, -33, 19, -3, 15, 38, -42, 40, -20, -9, -5, -32, 18, 26, -14, 21, -33, 26, 32, -10, 10, -39, 21, -30, -37, -4, 37, -42, -26, -19, 22, 9, -2, -44, -27, -25, 40, -11, 19, -25, 2, 26, -8, -1, -33, -28, 46, 11, 11, -1, -30, 32, 21, 42, -33, -30, 27, 19, -17, -11, -46, -17, -41, 39, -23, -3, 2, 22, -45, -16, 7, 11, -31, 17, -18, -46, 38, 17, -1, -24, 43, -32, -1, 17, 27, -32, -32, 10, 20, 5, 2, 31, -12, 44, 15, -27, -30, -30, -36, -43, -30, 18, 0, -13, -4, -37, -11, -7, 9, -5, 20, 3, 13, -32, 30, 9, 37, -36, -35, -41, 46, -41, 6, -36, 33, 18, -42, -30, -42, -21, -29, 15, -21, -54, -10, -40, -33, -33, -19, -35, 2, -22, -39, 15, -14, 38, -25, 3, -7, -32, -4, -12, -22, 10, -39, -22, 27, -18, -4, -32, -41, 12, 20, -13, -2, 38, -9, 22, 22, -31, -44, 31, -35, 3, -33, 37, 36, 28, 8, -31, -3, -34, -13, 18, -40, -24, -40, 6, 5, -14, -5, -16, 26, 11, 30, -13, -13, -23, -10, 0, -5, 23, 38, 14, -19, -12, -38, 0, -12, -13, 26, -17, -5, 28, 22, -24, -11, 8, -29, 9, -7, 38, -32, 11, -30, -21, 33, -25, -18, -18, -12, 11, -12, -39, -3, 14, 29, 31, 37, 21, 31, -25, -11, -45, -35, -46, -36, 1, 43, 32, 22, 15, 34, -23, -42, -45, -31, 4, 11, -1, -6, -4, 43, -38, -38, 37, 19, -18, 1, 1, 23, -5, 28, -14, 9, -19, -27, 35, 16, -28, -16, -43, 11, 29, 8, -16, 28, -28, 36, 2, -6, 34, -42, -2, -27, -40, 9, 34, 42, 29, 32, 15, -39, -13, 20, -23, -39, 47, -45, -33, 39, -31, -34, 4, -8, 9, 15, -9, -30, -34, 41, -38, -33, 17, 4, -32, -26, 5, 10, 1, -9, -8, -31, 14, -41, 2, -19, 31, -1, 9, -29, 12, 7, 24, -21, 38, -2, -39, -33, 32, 37, 8, 36, -39, -30, 19, 10, -33, -28, 1, 1, -36, -30, -41, -22, 46, 14, -27, 26, 32, -46, 35, 13, -27, -16, 35, 39, -36, -42, -32, -35, 30, 17, -2, -11, 10, -11, -19, 5, 38, 4, -3, -13, -6, 41, 11, -23, -45, 38, -43, 40, 29, 43, 3, -24, 29, -21, -8, -46, -27, -42, -22, 24, -14, -20, -27, -42, -7, -42, -10, 24, -17, 30, 18, 5, 30, -7, -12, -7, -12, -3, 32, -35, 20, 0, -19, -32, 40, 29, -26, 31, -3, -21, 22, -47, 29, 0, -17, 4, 9, 32, 10, -30, -37, -23, 6, -37, -8, 27, 22, -3, -30, -4, -24, -26, 16, 23, -26, -36, -43, -6, 35, 16, -30, 43, 3, 22, 8, 6, 33, -5, 31, -25, 42, -14, 26, 31, 6, 19, 44, -22, 44, 35, -21, 29, 1, -17, -26, -5, -38, -32, 21, -33, -23, -31, 2, -16, 8, 21, 3, 34, -31, -14, 1, 15, -3, -40, -33, 26, -43, 39, 32, -25, 1, 5, 4, 33, -15, -32, 44, 2, -40, 10, 32, 4, -23, -25, 13, -33, -10, -35, -26, 28, 14, -15, 25, 16, -13, -9, 32, -26, -29, -10, 28, 28, -11, -45, 103, -12, 30, -43, -58, -39, 35, -4, -25, 11, 21, 27, 1, -49, -44, 11, -29, -24, 33, -41, 8, 14, -72, -23, 43, 21, 13, 13, 12, 48, -26, -35, -19, -41, 22, 39, -1, -38, 28, 30, -66, 27, 11, 40, -19, -1, 30, 23, -12, -18, 31, -27, -3, -19, -20, 19, 8, 43, -25, -30, 20, -59, -41, 32, -1, -33, 5, -33, -26, -44, 12, -47, 23, -43, -79, -47, -1, -3, 44, -15, 31, 15, 20, -42, -8, -4, 8, 31, -7, -50, -3, 17, -27, -6, 29, -32, -32, -37, -56, 25, -45, -10, 8, 16, -2, 5, -21, 17, -9, -4, 9, -33, -8, -26, -7, -69, -17, 88, -8, 47, 44, 29, -10, 30, 10, -3, 17, -12, 0, -8, -9, 17, -23, 20, 39, 15, -9, 7, 27, 45, -29, 19, -53, 15, -20, 11, 25, -9, -38, -23, -63, -11, 1, 21, -25, -2, -4, -10, 29, -15, -7, -28, 20, -28, -27, 19, 38, 1, 35, 43, -25, -5, 2, -6, 51, 11, -26, 20, -42, 1, -2, 15, 33, 11, 37, -26, -48, 18, -11, -28, 9, 42, 62, -25, 10, -49, 19, -47, -11, -48, 4, 28, -54, 11, -15, -38, -7, -9, 44, -14, -9, 42, -23, 16, 16, 18, 30, 14, -12, 52, -17, 31, 24, 16, -45, -29, -11, -29, -37, 3, -24, 7, 37, -7, -24, -8, 34, -8, 35, 22, -28, 29, -24, 15, -17, -11, -18, -31, 16, 19, -11, 4, -16, 14, 26, 6, -10, -47, -47, -35, -44, 34, -26, 25, 10, 14, -38, -6, 44, -50, -14, 53, -45, 8, -12, -11, 12, 32, -20, -15, -50, 33, -35, 6, -56, 27, -8, 16, 29, 37, -21, 36, -28, 42, -26, -1, 4, 19, 7, -12, 30, 14, 4, -4, -32, 4, 20, 19, -33, -10, 16, 3, -9, -28, 16, 10, -10, -1, -62, 7, 90, 35, 10, 6, 41, 17, -20, -13, -17, 28, 49, -31, -5, 23, 15, -12, -36, -6, 3, -16, -9, 10, 39, -20, -36, -24, 16, 26, -45, 9, -78, -26, 25, 22, -47, 50, 10, -38, -7, -20, 19, 28, 51, 12, 48, -11, -7, -25, 35, 5, -19, 38, 4, 56, 26, -41, 53, 18, -40, 15, 31, 6, -34, 51, -29, -30, -15, 6, -43, 38, 43, -18, 33, -64, 3, -57, -64, -14, -20, 50, 3, 8, -30, 35, -9, 45, 63, 56, 8, 74, 64, 2, -61, -6, -7, -46, 41, 26, 20, -16, -7, 26, -7, 23, 40, -43, -3, -43, 36, -25, -38, 8, 11, 9, 77, -41, -40, 25, -45, 35, 34, 7, -20, 0, -31, -32, -60, 36, 38, -45, 23, 4, -43, -25, -3, 7, -7, 40, 19, 19, 38, 39, -4, -12, -27, 2, -25, 8, -46, -8, 22, 4, -20, -9, -30, -8, 5, -32, 23, 18, 14, -29, -26, 21, -12, -9, -58, -15, -52, 2, 7, 8, -43, 0, -7, 45, 34, 46, 45, 29, 2, -9, -15, -18, 19, 1, 21, -35, -38, -54, -16, -17, 17, 16, 21, 35, -27, 12, -41, 39, 26, -28, 27, 33, 14, -35, -35, 9, 12, 21, -30, -14, -15, 35, 8, -17, 42, -37, 0, -16, 28, 49, -5, 43, 37, 13, 19, -19, -17, -22, 23, 1, 7, 43, 3, 46, -50, -36, -4, -9, 36, 27, -21, 34, -21, -5, 8, 4, 28, 36, -9, -33, -28, -55, -12, 4, 22, -51, 18, -22, -31, -26, -27, -4, -24, -13, 2, -23, -27, 3, 6, -3, 49, 4, -7, 50, -1, 6, 11, 11, 16, -35, -36, 3, 19, -20, -39, -20, -16, 24, 26, -36, 5, 23, 6, -19, -42, -26, -15, 16, 44, 37, 12, 47, 2, -33, -25, -40, -43, 25, 34, -20, -23, -43, -19, 43, 22, -37, -51, -24, -36, -26, -6, 46, -10, 10, -15, 62, -8, -35, 19, -20, -33, 27, -11, 2, 9, -15, -47, -10, -22, -36, 0, 55, -2, 52, 58, 44, -10, -51, -40, -42, 4, -11, 4, 36, 32, -18, -34, 3, -33, -21, -9, 14, -24, -20, -21, 0, 25, -11, 6, -24, -14, 4, 16, 30, 6, 9, 9, 22, -14, -12, 32, 28, -1, -24, 26, -26, 2, -6, -52, -6, 2, -19, -6, -21, 21, -6, -42, 34, -26, 37, -34, -33, 34, -25, 11, -22, 32, -9, -24, 62, 19, 21, -3, -31, -22, -51, 15, -28, -19, 17, 19, 26, -23, -22, 2, 0, -11, -27, 19, 12, -11, -40, -21, 6, 8, 12, 22, 47, 9, 21, -8, -49, -37, 50, -8, 60, 14, -2, 33, -43, -64, -66, 7, -13, -48, 24, 18, -12, -4, -21, 15, 6, -54, -3, -23, -19, -40, -26, -34, -49, 60, 31, 2, 57, 2, -47, -8, -34, 41, 12, 15, -41, -57, -46, 12, 50, 29, 24, 17, 28, 14, 24, 32, -40, 65, 78, -10, -25, 25, 1, 41, 10, 17, 4, -35, 29, -24, 6, 3, -42, -28, 43, -57, 6, -37, -81, -30, -18, -44, -33, 11, -27, -1, -7, -28, -61, -14, -25, 29, 52, -62, -14, -17, -22, -57, 17, 41, -13, -12, -37, -38, 37, 7, 6, 54, 7, 11, -3, -5, -7, -11, 7, 45, -49, 32, 21, 1, -25, 28, 13, -43, 35, 40, 34, 17, -19, 16, -33, 18, -11, 45, 12, -21, 44, 22, -3, 41, 20, -14, -39, 29, -49, 24, -25, 5, 37, 13, 40, 28, -43, -9, -12, -23, -14, -26, -19, -33, -15, 9, 18, -1, 23, -11, 28, 21, -31, 18, 31, 20, 20, -21, -18, 15, 7, -2, -60, 7, -6, -57, -33, 11, -43, -30, -28, 15, -52, 30, 12, -52, 20, -3, -24, 59, 40, -18, -32, -41, -37, -53, 24, 10, -23, -58, 25, -52, -36, 15, -11, -37, -5, 42, -61, -12, 16, -46, -40, 12, -37, -43, 40, -42, 26, -3, -15, 35, 19, -44, -43, -23, -71, 11, 22, -10, 39, -44, -29, 16, -31, -11, -28, 3, 39, -27, -55, 1, 14, -26, 0, 64, -21, -20, 32, -11, 5, -23, -35, 27, 20, -11, -41, -2, 24, 37, 12, -18, 52, 16, -31, -30, -1, 25, -2, -45, 15, -45, 35, -30, 7, 54, 26, 23, 59, -58, 36, -20, -20, -37, 25, 1, -8, 46, -7, 62, 15, -2, 10, 25, -38, -60, -15, -35, -64, 11, -3, -5, -18, 24, 38, 33, 0, 51, 19, 41, 44, 25, 34, -13, -32, -29, -4, 36, 2, -35, -37, 22, 28, -22, -43, -41, 41, -12, -15, -6, 41, -29, -49, 28, 38, -51, 1, -13, -41, -11, 5, 33, -32, 68, 23, -49, -35, -11, -11, -3, -24, 4, -41, 26, -73, -4, 6, 50, -54, 25, 12, -20, 49, -3, 33, -2, -22, 19, 31, -27, 33, 40, 8, 15, 34, -7, 26, -47, 34, -10, 24, 39, 0, -35, 10, -11, -16, 14, -24, 16, 20, -29, -2, -8, -22, -1, 26, 19, -24, -7, 9, -35, -16, 13, 21, 23, -36, -31, 26, -21, -16, -37, 35, -6, 33, -6, 23, 73, 38, -4, -39, 22, 33, 27, 13, 3, 13, -14, -11, -6, -34, 32, -9, -40, 23, -44, -44, -31, 8, 34, 30, -30, -13, 12, -9, 33, -53, -54, -22, 11, 17, 14, -37, 40, 28, -53, -5, 7, 42, -5, -11, -22, 10, -23, -14, 19, -34, 5, 25, -1, -3, -2, 31, -21, -19, -7, -23, -3, -17, -15, -18, 6, -5, 43, 41, 21, 18, 34, 25, 20, 8, 31, -3, 25, 32, -16, 51, 0, -27, 9, -2, 1, 1, -50, -14, -23, -55, -22, -7, 14, 39, 18, 32, 15, 30, 14, -43, 52, -29, 43, -20, -48, 8, -42, -30, -41, 44, 44, -8, -43, 26, -39, -21, -30, 3, 55, 20, 41, -25, -18, -26, -1, -3, 35, 35, -7, -44, -8, -20, -52, -39, -26, -35, -67, -9, -31, -32, 23, 43, 13, 19, -26, -15, 27, 26, -31, -26, -42, -26, -41, -28, -12, -17, -1, -14, 42, 4, 26, -5, -43, -12, 12, -10, -4, -41, 17, 58, -39, -26, -35, -11, 21, 33, 37, -28, 9, -36, -45, -1, -37, -6, -20, -29, 39, 17, 6, -28, 23, -14, -43, 35, -6, 30, 34, -27, -40, -5, 26, -5, -30, 32, 32, 4, -32, -24, -15, 12, -3, 5, 49, 51, 18, -17, 16, 30, -28, 4, -43, -13, 0, -27, -1, -55, 36, -18, -6, 63, -7, -53, 69, 37, -29, 1, 24, -3, -33, 4, 6, 33, 4, 6, -16, 19, 21, 67, -21, 15, 0, 18, -29, -3, 2, 9, -2, 33, -31, -43, 19, 29, 25, 26, 6, -16, 40, -24, -24, -3, 5, 22, 13, -24, 43, -38, 39, 40, 33, 8, 38, 41, 5, 28, -6, -1, -44, -33, 23, 40, 26, -21, -11, 6, 54, 20, 1, 35, -7, -25, -40, -49, -17, -33, -45, 21, -7, 13, 4, -9, 23, 55, -17, -1, 23, 26, 13, -48, -22, -1, 44, -34, 30, -19, 15, 15, 21, -23, 33, 19, 31, 32, 11, -33, 8, 7, -31, -28, -5, 47, -3, -32, -2, 29, -30, 70, -12, 6, 34, -8, -19, 2, 57, -16, 40, -5, 10, -53, 27, 41, 16, 22, -43, 5, 33, 0, 2, -7, -35, -11, 15, 15, 19, 2, 23, -47, 25, -26, -3, -22, -34, -20, 13, -22, 16, -17, -18, -18, -18, 57, -7, -50, -14, -14, -28, -36, 27, -28, 24, 8, 1, 23, -27, -55, 21, -16, 45, -64, 9, 43, 20, 41, -13, 21, 29, 4, 51, -25, -36, -27, -15, 40, 0, -38, -14, -22, 19, 14, -11, -17, -19, 5, -32, 12, 19, 21, 25, -8, 33, 9, 17, 30, -4, 24, 19, -24, -20, 10, -18, -10, -31, 27, 28, 2, -12, -48, -52, -48, -24, -12, -22, 21, -21, 14, 8, 32, -10, 32, 7, -12, 37, -37, 1, 40, -37, -59, 50, -44, -75, 5, -3, 42, -7, -34, -13, -12, 22, 7, 53, 39, 7, -4, -38, 36, 4, 2, 2, 2, -20, 55, 20, -15, 36, 5, 63, 16, -3, 32, 22, 33, 16, 21, 22, 14, -14, -13, -11, -41, -1, -23, -4, -8, 17, 25, -1, 34, -39, 25, -15, -28, 42, 40, 1, -37, 24, -48, -20, 31, -52, -20, -15, -44, -30, 21, 52, 13, 11, 46, -45, -18, 32, 31, 10, 28, -60, -15, -36, 8, 47, -12, -29, -31, -17, -29, 8, -24, 6, -29, 20, -18, -44, -43, -15, -11, -33, -42, -34, -50, 12, -33, 22, 30, -47, -15, 42, -1, -17, 19, -45, -41, 22, -41, -21, -26, -57, -12, -43, -37, 40, 12, -18, -44, -13, 8, 40, -35, 35, 33, 48, -31, 6, 23, -7, 28, -50, 6, 39, 25, 37, 14, -27, 49, 16, 16, 22, -12, 39, 15, -12, -16, -41, 21, 15, -24, 29, -30, 5, -15, -2, 12, -1, -25, 16, 22, 46, -41, -4, -20, 1, 19, 8, -6, 50, -3, 15, 35, -1, 9, 12, -34, 30, -18, 9, -5, -60, -27, 10, -5, 9, -46, 42, 42, 11, -16, -23, 25, 50, 33, -34, -44, -16, 28, -23, 4, 84, 35, 2, -12, 32, 13, 16, -24, 2, 5, -10, 41, 28, -4, 22, -14, -9, 1, 0, 68, 18, -39, -15, -30, -17, -29, 7, -8, 25, -28, -12, 15, 40, -54, -18, -18, -28, -14, 32, -29, 14, 2, -10, -22, -16, 36, 44, -1, -27, 16, -21, -12, 19, 5, -18, -4, -43, 5, 36, -4, 8, 25, 3, 13, 15, 1, -2, -14, -26, -13, -13, 20, -27, 9, -29, 3, -33, 8, -53, 11, 23, 10, -36, -13, 44, -12, 12, 15, 31, -37, -15, -41, 14, 4, 2, 2, 18, 1, 48, -3, -26, 8, 3, 27, 27, -3, -3, -4, 15, -9, -14, 27, 36, -2, 25, 15, -33, -24, -42, -27, -22, 16, -11, -16, -3, 37, 32, 27, -11, 61, 30, 9, -34, -46, -17, 37, -36, -19, -34, -26, 1, 26, 6, -49, -4, -13, -18, 27, -17, 2, -22, -12, 49, 12, -34, 15, 18, 10, -3, -58, -20, 15, 17, -56, 15, 41, -1, 24, 28, 1, 18, 14, -16, -31, -28, -40, 32, 14, 19, -28, 2, 14, 30, 10, 5, 9, 31, -49, -34, -10, 14, 19, -11, 1, 11, -20, 22, 33, 27, -20, -30, 9, -41, 17, -34, 30, 20, 43, -14, 15, -53, 20, 8, -16, 0, -43, 17, -8, -5, 37, 33, -29, -16, 42, -44, -8, -28, 17, -17, 30, 35, -20, 40, 31, -12, -22, -27, -40, 9, -40, 48, 27, -4, -26, 17, 26, -16, 49, 15, -48, -40, 38, -35, 31, 14, -25, -6, -29, 44, 0, 29, 25, -1, 20, -9, -12, -58, -18, -2, -8, -14, -2, 61, -47, -24, -3, 32, -24, -5, -9, -76, -14, 19, -9, 21, -9, -47, -27, 6, -12, 8, -22, -7, -62, 40, 27, -3, 29, 14, -21, -37, -21, -30, 39, -6, 30, -26, 37, 10, 0, -34, 31, 40, -49, -18, 17, 23, -28, -23, 24, 6, -56, 20, -48, 26, -42, -22, 12, -4, -6, 18, 11, 10, -23, -23, -47, -2, 17, 5, 26, -50, -47, -14, -1, -47, -38, -26, 25, -36, 22, 32, 9, 28, 4, -9, -29, 14, -36, -27, 14, 37, 24, -25, -19, -36, 29, 19, 32, 34, 5, 37, -4, -6, 49, -49, 40, -23, -12, -2, -22, 24, 7, 3, 9, -20, 7, -15, -13, -22, -17, -10, 18, 10, -15, 14, 34, 14, 32, 17, -38, -54, -34, -68, -37, 25, -25, 5, -26, -20, 13, -22, 28, 47, -3, 4, -32, -3, -44, 5, 44, -23, 9, -28, 37, -21, 24, 32, -1, 31, 45, 17, -19, 42, 57, 12, -60, 16, -26, -37, -16, -37, 41, -10, -9, -24, 21, 33, -34, 19, -31, -7, 36, -22, 5, 26, -21, 10, 40, 3, 15, 17, -2, -7, -14, -60, -20, -17, -37, -6, -39, -21, 21, -6, -1, 31, -20, 9, -13, 52, 78, -24, 7, -36, -47, 9, 7, -46, 22, 37, -21, -4, -35, -52, 22, -5, 75, 59, 56, 34, 15, -57, 56, 46, 2, 63, 65, -11, -12, 34, 34, 26, 42, -9, 9, 47, 3, -30, -23, 2, -10, 16, 32, 7, 3, 16, 19, -5, 2, 11, 2, -28, 12, -42, -28, 22, -4, 21, -16, -20, -43, 11, 17, -25, -11, -15, 0, 10, -34, 12, -42, 14, -34, -27, -9, -30, 11, 11, -39, 53, 70, 42, -6, -14, -3, -46, 1, -12, 16, 28, 16, -5, -39, 26, 33, 17, 29, 0, 1, -14, -40, 13, 25, 5, -41, -50, -41, -58, 26, 8, -34, 15, 17, -3, 59, 29, 74, 35, -22, -4, -51, -18, 13, 1, 39, 10, -52, 16, -46, 24, 6, -18, 30, -21, 20, 32, 14, 24, -5, 41, 33, -32, -38, -12, 26, 1, 42, 0, 10, -30, -16, -21, -37, -16, -42, 22, 30, -40, -16, 40, 5, -44, 48, 36, 10, 40, 11, -29, -11, -24, -17, -16, 37, 5, -13, 47, 37, 29, 26, 10, 17, 19, -29, 27, -43, 24, -29, 10, -31, -18, 3, -36, -36, -22, -48, -1, -11, 15, 13, -21, 57, 9, -30, -43, 35, 13, -39, 6, 4, 21, 8, 35, -14, -35, 20, 42, -25, -27, 4, 44, -50, 1, -12, 1, -5, 2, 9, 13, 51, -9, -29, -16, -15, -30, 29, -2, -33, -40, 43, 13, 46, 38, 0, 63, 33, 49, 45, 14, 13, 36, -32, 35, 42, 19, -15, 12, 23, 5, -8, -45, -3, 1, -9, 26, 17, 5, -33, -22, -20, 48, 1, -11, 38, 13, -9, 26, -66, -28, -28, -7, 20, -40, 13, -25, -18, -34, -29, -51, 20, 3, -27, -4, 37, -7, 2, -2, -14, 0, 18, -47, -6, -1, -9, -30, 19, -16, 14, -35, -41, 13, -40, -8, 29, 21, 64, 58, -16, 46, -15, -40, 47, 16, -24, -28, -8, -40, -27, 37, 9, 52, 11, 25, -22, -10, -10, 21, -35, -8, 27, -19, -48, 17, 15, 10, -14, 6, 46, -27, -32, -35, -39, 32, 15, 14, -9, 58, 58, 43, 16, -18, 43, 48, 8, 11, -19, 24, -33, -6, -54, -51, -32, -20, -11, -56, -39, -5, -20, 20, -14, -33, 10, -36, -46, -4, 11, -66, -14, -11, -27, -16, -44, -56, 11, 1, 9, 84, -15, 16, 54, -19, 8, 13, 43, 79, 36, 11, 22, 17, -13, -7, -9, 20, -5, 8, 7, -12, -40, -2, 44, -11, 7, 44, 40, -32, 2, 38, 43, 16, -22, 4, -42, -4, 26, -12, -41, 22, 21, -2, -1, -10, -9, 12, -2, -10, 17, -14, -4, -8, 15, 13, -1, -35, 6, -17, -26, 45, 38, -6, 17, -31, 37, -17, -22, 22, -45, 11, 42, 37, -6, -15, -5, -39, -78, -30, -8, -31, -19, 10, 14, -23, 39, 27, 8, 38, 21, 33, -15, 17, 19, -12, -9, 20, -15, -10, 19, -6, -11, 0, 12, -28, 15, -4, -39, 31, -21, -6, 18, 13, 2, 5, -22, -14, -9, -31, -40, 41, -18, 10, -23, 41, -32, -15, 43, 9, -34, 27, -31, 8, 26, -41, -23, -40, -18, -50, -12, -66, -32, 7, 16, -16, 54, 6, 30, 27, 5, -24, 0, 51, -8, 16, -6, -33, 16, 42, -10, 35, -32, 16, -38, 15, -12, -2, 54, 24, -11, 67, 49, 8, -13, -44, 27, 47, -11, 37, 8, 5, 23, -26, -25, 6, 0, 32, 17, -33, 9, -38, 40, -12, 44, 37, -27, -33, -39, -27, -10, -7, -54, -2, 12, 8, 14, 26, 33, -3, 26, 20, 31, -5, -32, -2, -36, 25, 49, 4, -26, 33, -25, 35, -21, -15, -27, 14, 50, -26, -2, 45, -60, -28, 31, 56, -41, 29, -37, 22, -32, -10, 19, 46, -38, 1, -27, -4, -11, -12, -30, -7, 15, -32, 24, 21, -29, 4, 27, 11, -6, 27, 10, 1, -4, 43, 19, -42, -34, 31, -11, -27, 31, 22, -4, -56, 29, 29, 14, 34, 27, 47, -43, -4, 45, 41, 31, 16, 5, 17, -5, 6, -51, 8, -18, -5, -24, -17, 10, -40, -39, -42, 39, -15, -17, 17, -10, 8, -21, -19, -51, -31, 34, 15, 10, 36, 31, 9, 21, 8, -28, -29, 30, 24, 1, -23, 32, -9, 38, -49, -24, -23, 14, 1, -5, -28, -34, -31, 29, -15, -17, -37, 49, 21, -48, 7, -41, -7, -3, 29, 19, -58, -59, -29, 4, 56, 38, 0, -13, 19, 32, -21, -29, -25, -46, 45, -17, -35, 10, 24, -6, -28, -21, -21, 21, -43, -27, -20, 32, 19, -42, -5, 4, 11, 25, -4, 7, -5, -48, -55, -25, 13, 18, 25, 5, -12, 8, 0, 7, -9, -5, 18, -46, 25, 5, -10, 19, -2, 8, 12, -3, -38, 25, -29, 31, 31, -50, -24, 16, 8, -17, 10, 4, 16, -3, 2, -52, 27, -1, -57, -32, -10, 53, 66, 15, 10, 31, 9, 16, 13, 27, -6, 22, 27, 31, 35, 23, 4, -8, 28, -26, -14, 27, 13, 50, 42, -7, -8, -24, 23, -43, 17, -8, -38, -10, 18, -21, -34, 24, 19, -5, 1, 47, -16, 43, 19, -15, -16, -42, -13, 6, 2, 23, -38, -24, -60, -24, 21, 35, 6, -45, -14, -9, -11, -38, -17, -53, 14, 17, 16, -9, -4, -14, 18, 15, 31, 4, 8, -11, -10, 49, 45, 2, -31, -1, 13, 33, -25, 2, 24, -23, -15, -33, -32, -24, 20, 41, 21, -32, 49, 13, -34, 3, 43, 10, 2, 12, -4, -22, -24, 6, -31, 2, -15, 3, -6, 2, 52, -28, -16, -4, 42, 34, 28, 14, 22, 10, -32, 9, -56, -31, 28, -46, 6, 5, -36, -36, -30, -21, -8, 13, 2, -25, -7, -47, 26, -24, 30, 13, 9, -13, 31, 1, -37, -27, -9, -9, 0, -50, -52, -9, -74, -12, -8, 13, 63, 34, 18, 16, -6, -31, -58, 14, -29, -50, -13, -16, 3, 6, -13, -34, 3, -38, -21, -30, -37, 0, 7, -3, -14, 20, 62, -8, 0, -21, 30, 14, 14, -18, 32, -27, 12, -18, 0, 39, 7, -46, 44, 44, 0, 8, -5, -29, 11, -48, 27, -38, 23, -71, -26, -5, 12, -30, -39, -16, -38, 8, 7, 5, 47, 10, -57, -27, -35, 22, -43, -29, -35, 3, -42, 37, -22, -1, 35, -40, -20, 26, -1, -5, 32, 38, -11, 11, -19, 15, 26, -9, -16, -26, 7, 40, 16, -32, 24, -33, -19, 6, 30, 43, -4, 30, 30, -29, -41, -46, 17, -49, 34, 0, -6, 14, -19, 0, 0, -36, -9, 31, 1, -39, -3, -39, 24, -45, -31, 8, -9, -17, -32, 43, -39, -14, -17, -8, -14, -14, -45, 22, 6, -15, -37, 5, -39, -29, 2, 29, -8, -24, 3, 12, 16, -17, -35, 11, -8, 9, 32, 9, 29, -1, 43, 17, -10, -37, -2, -1, -35, 0, -1, -3, -21, -31, 34, -34, -20, 4, -6, -27, -35, -42, 24, 3, -45, 35, -5, 28, -3, -9, 16, 20, -17, -17, 30, -28, 21, -3, -9, 42, 38, 8, -34, -13, 41, -38, 21, -44, -25, -15, -2, -27, 7, -45, -38, 44, -27, 3, -30, 36, -39, 24, 34, -46, -11, -2, -34, 28, -15, 42, -4, -40, 15, -31, 12, 29, -2, -39, 36, 22, -36, 14, 27, 3, 31, 30, -7, 27, -36, 21, -44, 27, -27, 18, 45, 8, -10, 38, 13, 0, -3, -30, -27, -41, 17, 17, -15, -25, -40, -32, -37, 4, 42, 35, 5, -16, 23, -33, 14, -48, 4, 25, -15, -17, 31, 20, -11, -4, -12, 26, 9, -18, 15, 34, 12, -4, 8, 31, -42, -33, 9, 38, -29, 10, -10, -42, 36, -37, 33, 39, 27, -42, 36, 16, 31, -21, -20, 10, 33, 11, -23, -12, -3, 33, 4, -39, 27, -20, -16, -15, -40, -28, -12, -39, -36, -37, -27, 0, -38, -37, -22, -18, 21, -20, -23, 36, -1, -36, 36, -8, -27, -6, 28, 20, 1, 12, 23, 43, -17, 10, -44, 11, -21, -10, 30, -8, 9, -29, 6, 30, -43, -39, -16, -18, 43, 36, 31, 14, -25, -39, -20, 15, -37, 7, -17, -5, 9, 39, 16, -10, -33, -2, 1, -32, -3, 29, 22, 39, 38, 2, -9, -16, -32, 24, -9, 12, -13, 16, -7, -1, 3, -1, -44, -22, -21, -30, 9, -41, 43, 4, -20, 18, -24, 19, 10, -36, 18, 29, 40, 36, -39, -29, 23, 27, 14, -37, 43, -9, -9, -26, 21, -14, 47, -13, 21, 42, 14, 32, 18, 32, 5, -11, -7, 15, 27, -28, -11, -37, 12, -38, -11, -29, -20, 5, 20, 40, -23, -43, 41, -45, 18, -21, -23, 22, -22, -2, -28, -2, 37, 14, 18, -23, 8, 25, -41, -22, 25, -20, -37, -36, -33, -15, 15, 16, 13, -44, 8, 15, 7, -10, 44, 43, -30, -5, -40, 35, -5, 13, -14, -44, -29, 20, 4, 20, 32, 1, 16, 38, -34, -45, -31, -35, -37, 1, -12, 5, -48, -41, 7, -17, 12, -19, 28, 34, -36, -19, -2, 34, -47, -1, -26, 21, 28, -24, 31, -34, 14, -19, -17, -37, -19, -31, -15, -42, -49, -18, -39, 19, -27, 6, 37, 40, 31, -18, -20, -21, -46, 14, -15, 9, -6, -8, 38, 13, 39, -11, -16, 23, 34, 36, -25, -10, -13, 16, 34, -16, -11, 21, 10, -26, -37, -44, 18, -11, -13, -31, -17, 44, 20, 40, 3, 13, 40, -14, -23, 45, 1, 26, -3, 5, -23, 0, 34, 38, 25, -2, 36, -5, 27, 1, -37, -3, 31, 0, 15, 37, -30, 10, 10, 4, 39, -27, 10, 31, 4, -26, 1, -44, -31, -41, 38, -13, 24, 4, 28, 2, -17, 25, 37, 25, 34, 35, -30, 27, -14, -38, -27, 17, -7, 8, -16, -36, -8, -35, -19, 2, 24, -39, 42, 6, -34, -40, 21, 32, -32, 14, 42, -34, -11, -36, 41, 15, 20, 12, 1, -37, -29, -7, -34, 27, 28, -36, 13, -36, 6, -49, -25, -41, 8, -43, 5, -19, 0, -12, 6, -5, 27, -29, -22, -36, 21, -29, -14, -23, -28, -30, -32, 14, 25, 20, 32, -38, -37, 23, 13, 37, -20, -14, 18, -23, 24, -26, 38, 0, -45, -37, 40, 26, 12, -39, -35, -44, -49, 37, 38, -7, -19, 1, 31, 24, -10, 25, 32, -35, 39, -17, -22, 30, 8, 4, -20, 30, -3, -21, -32, 19, 36, 13, 34, -22, -37, 32, 33, -30, -9, 14, -16, -7, 6, 19, -46, -18, -30, -41, 6, 33, 41, 13, -6, -26, 45, -43, -3, 30, -4, -22, 31, 13, -20, -36, 3, 32, 20, -27, 27, -13, 35, 13, -45, 6, 42, 6, 4, -16, -47, -21, 23, 31, 32, -39, 20, 17, -43, 36, 35, -9, 8, -19, 32, -3, 8, 27, 39, -14, 3, 25, -50, -5, -33, 8, 0, -21, 46, -40, 20, -46, -31, 20, 27, 9, 30, 20, 15, -9, 15, -38, 9, -15, -31, 11, 22, 19, 16, 42, 12, 27, -12, -32, -18, 0, -42, 26, 27, 45, 3, -10, 19, 7, -46, 40, 4, -1, -8, 3, 5, -37, 0, 41, 19, -9, 18, -35, 22, -33, -20, 14, -34, 21, 31, 4, -30, 13, 38, -28, 18, 7, 9, 9, -24, 29, 22, -19, -37, 31, -25, -25, -36, -36, -6, -5, -44, 32, 2, -15, 39, 38, 13, -27, 40, 43, 36, 23, 20, 10, 16, 24, -33, 43, -6, 3, 28, 36, -34, 25, -48, 17, 33, -31, 10, -23, -38, -40, 33, -44, -31, -24, 34, -18, -35, 9, -27, -40, -15, 22, 4, 34, -6, -35, -27, 12, 11, -17, -34, -41, 26, -39, -38, 7, 2, -22, -11, 20, -4, -26, -5, -2, -30, 9, -8, -30, -11, -8, -15, -39, -38, 41, -21, -12, 11, 25, -1, 12, -40, -26, 15, 26, 40, 22, -16, -43, 32, 24, 40, 42, -33, 21, 3, -28, 11, -12, 28, 28, -34, -18, 32, 42, -33, -18, 39, -34, -5, 26, -27, -32, -11, 27, -19, -26, -9, 5, -16, -31, -42, 39, 16, 40, -24, -3, 12, 21, -30, -4, 32, 23, 22, -38, 44, 24, 3, -37, -16, 13, -10, -30, -8, -14, -26, 24, -38, 24, 28, 44, -38, -28, 6, -28, -10, -6, 22, -24, 37, 12, -4, 7, 3, -20, -30, 17, -15, 19, -36, -23, -28, 2, -25, 0, 27, -34, -37, -24, -10, -45, 8, 31, 16, 38, 9, 33, -33, -2, -34, -27, -14, -31, -31, -19, 35, 26, -39, -34, -18, 15, -44, -14, -18, -11, 10, -2, -45, 26, -26, -4, -2, 4, 16, 16, 19, 8, -33, -19, 11, -1, -17, -29, -8, 6, -30, -7, -42, -2, -27, 12, 41, 42, 25, -36, 39, 14, -38, 27, 19, 31, 44, -19, -40, 33, 42, -21, 25, -7, -24, -10, -29, -33, -42, -42, 5, 20, -36, 33, 9, 27, 0, 28, 29, -39, 18, 25, 2, -3, 14, 10, -17, -20, 28, -23, -33, -25, -44, 46, 7, -18, -11, 3, -34, -4, -42, 39, 36, 12, -43, 35, -20, 33, 38, 40, -43, 29, 39, -39, 1, -45, 34, 14, -8, 32, -41, 17, -26, -41, 23, -43, 30, 22, 16, -20, 41, -30, -46, 11, 6, -24, 22, -4, -47, -35, 20, -19, 32, -10, 11, 32, -31, 29, 2, -32, -4, -23, 6, 0, -11, 44, -38, -43, -40, -38, -22, -2, -32, -20, -5, 10, 8, 29, -30, 39, 26, 22, 21, 4, 18, -13, -11, 35, -13, 10, 18, -3, 34, 14, -3, -41, 30, 8, -38, 4, 40, 36, -3, -6, -29, -18, -33, 15, -16, -35, -14, 34, 27, -11, -31, -47, -48, 23, -2, -33, 40, 28, -35, 21, -35, 39, -3, 23, 22, 11, -29, 19, -24, -18, -43, 31, 5, -1, 21, 0, 10, -23, 37, -17, 19, -13, -37, -37, 31, 36, -12, 37, -13, -40, 35, 6, 45, -21, 21, 14, -34, -18, -20, 42, -14, -26, 38, 12, 41, 32, -27, -18, -33, 1, -28, 22, -38, -29, 18, 24, 29, -48, -46, 4, -18, 23, 22, 13, -31, 32, 11, 46, 19, 16, 8, 21, -33, -15, -23, -12, -18, 32, 16, -11, 27, -6, 23, 11, 23, -10, 27, -30, -28, -14, 2, -29, -36, -2, -23, -8, 19, -37, 8, 24, -37, -45, 15, -18, -35, 31, 20, 22, -1, -13, 24, -47, -19, 31, -39, 18, 22, 26, 37, 31, -3, 2, -17, -13, -2, -38, -32, -23, 37, 34, -22, -27, -31, 30, 31, 38, -39, 18, -27, 12, -3, -31, 10, -35, -10, 0, 21, 2, 31, 29, -28, -14, 7, 9, 12, -14, -45, 35, -6, 1, -38, 28, 32, 26, -19, 27, 37, 17, -42, -11, -1, -28, -18, -28, -41, 38, 3, 11, -4, -1, 18, -28, 5, 38, -9, -9, -14, -6, 47, 3, -34, -6, 7, -6, 23, -1, 30, -11, -4, 28, -32, 36, 11, 23, 28, 30, 14, 6, -45, -5, 38, -31, 4, 14, 33, -31, 12, -4, -30, 31, -51, -31, 42, -25, -24, -27, 42, 25, -32, -17, 28, -7, 12, -2, 28, -26, -22, 22, -45, -8, -40, 32, -9, 13, 5, -18, -32, -3, -33, -4, 33, -40, 30, 44, -43, -32, 18, 36, -23, -12, -10, 34, 38, 30, 1, -24, -43, 17, 18, -43, 15, -40, 38, -10, -31, 21, 0, -25, -7, -7, -27, -3, -38, 16, 35, 21, -12, 5, 11, 1, 14, -32, 2, -19, -1, -9, 0, 16, -9, 35, -44, -19, 1, 12, -40, -23, -49, 11, -4, -45, 2, 41, -10, 5, -28, -30, -15, 8, -28, 16, -39, 3, -15, 31, -25, 22, 22, 18, -37, -1, 39, -2, 37, 15, 43, 39, 44, 36, 0, 19, -9, 42, -18, 30, 15, 15, 8, -48, 17, -48, -12, 29, 1, 15, -32, 13, -14, -10, -26, -15, 31, 6, 22, -30, 4, 11, -18, 29, -35, 23, 32, -33, 6, 37, 37, -23, -24, -36, 22, -47, -17, -24, 3, 32, -45, 31, 3, -13, -35, 14, 20, -42, 2, -40, -7, 3, -14, 41, 26, -17, -47, 40, 39, -31, -38, -3, 2, 47, 25, 37, 17, -24, 0, -20, -32, -25, -25, 31, -14, 30, -13, -25, -37, 23, 44, 2, -29, -40, -44, -35, 0, 30, 35, -4, 27, 14, 12, 40, 4, -13, -45, -49, -13, 16, 29, -46, 18, 34, -11, -33, -9, 16, -35, 32, 22, 10, -36, -6, -33, -28, 30, -7, -39, 22, -46, -6, -44, 1, 1, -34, -1, 28, -22, 39, -6, 5, 21, -28, 10, 4, -22, 28, 25, 31, 18, -13, 4, 2, -35, -32, 48, 34, -32, 6, -34, -9, -20, 34, -8, -31, -16, 16, 3, 14, 9, 25, 44, 10, -37, 24, 28, 42, -26, 31, 44, 29, -30, 24, -11, -9, 28, -42, -23, 3, -45, -32, -47, 10, 18, -13, -47, 6, 4, 35, -3, -24, 30, 20, -41, 15, -37, 20, 27, 28, 13, -20, 47, -40, 43, -43, 43, -21, 37, 26, -40, 14, -47, -21, 39, 36, 41, -23, 9, -40, 43, 26, 28, -34, -34, 35, -13, -25, 34, -32, 46, 19, 40, 45, 6, -14, 27, 42, -27, -7, -8, -10, -8, 34, -29, -38, -45, 3, -23, 36, 33, 28, 20, -3, 14, -34, -7, -37, -35, -37, -34, 31, 31, 5, -2, 22, 12, 6, 33, -22, -9, 5, 10, 6, -28, 28, 0, 13, -3, -47, 27, 33, 14, 10, -35, -4, -9, 3, -37, 22, 19, 27, -1, -26, 18, 24, -29, -49, -3, -13, -15, 22, -25, -32, -20, -37, -48, -34, 12, 5, -15, -23, -33, 42, -14, -40, -21, -22, 15, -51, -2, -12, 10, 18, -48, 27, 31, -39, 21, -4, 13, -13, 10, -32, 30, -41, -29, -8, 40, 9, -10, -15, 11, 21, -12, 5, 29, 6, 9, -5, 23, 34, -43, 37, -30, 32, -5, 29, -43, -30, 24, -9, -35, -26, 24, -49, -48, 27, -14, 4, -14, -23, 12, -38, -21, -57, 16, -6, -1, 26, 27, -9, -13, -7, 17, -1, 32, 32, 32, 27, 0, 9, 38, 31, 8, 27, 35, -36, 36, 11, -12, 39, -21, 1, 5, -6, -11, -10, 17, -31, 12, 42, 8, -16, -4, -46, 28, -26, 18, -20, -10, -31, 12, 11, -32, -23, -39, -43, 5, 41, -29, -5, 36, -43, -26, 11, -47, 24, -48, 39, 30, -36, 40, 7, -44, -15, -18, -14, 25, 3, 18, -27, 45, -29, -14, -28, 18, -3, 17, -24, 10, -33, -13, 5, -31, -37, 23, 34, 20, 39, -42, 0, 34, -41, 10, -24, 41, -28, 27, 8, 43, -10, 5, 15, 12, -5, -22, 39, 3, 7, -11, 27, 1, -22, -48, 23, -7, 11, 38, -8, -24, -10, -35, -13, -11, -5, 7, 21, -42, 33, 28, 11, 17, 40, -5, 32, 41, 23, 0, -37, -9, -14, -5, 45, -42, 46, 2, -32, -7, -44, -45, -25, 44, 22, -23, 0, -1, 22, 7, -6, -10, -34, -20, 7, -45, 17, -24, -5, -21, 0, -29, 45, -27, -36, -27, -38, 44, 29, 17, 36, -20, 30, -24, -1, -14, -30, -41, 13, -29, 9, 31, -18, 42, 31, -35, -4, -31, 23, 9, -2, -12, 10, -16, -14, -43, -5, 22, 7, -14, -46, -50, 50, -2, 34, -31, -20, -25, -10, -45, 4, 12, -34, 7, 18, -12, -23, -16, -21, 29, -17, -11, -17, -20, -40, -47, 19, -39, -31, -29, -1, 29, -20, -2, 25, -14, -43, 24, -5, -3, 7, 29, -26, -17, 21, -15, 21, 21, 22, -49, -39, -15, 1, 4, 15, -44, -29, -15, 28, 30, -18, 37, 23, -13, 38, 42, -41, 44, 36, 28, -10, -5, 24, -34, -14, 22, -34, -25, -38, -1, 8, -3, 16, -21, -25, -39, -38, -2, 13, 4, 36, 13, 41, -38, 9, -21, -9, 39, -12, 53, 15, -41, -42, -17, 39, 5, 10, 16, -6, 25, 40, 24, 29, -37, 41, -2, -25, -39, -15, 14, -18, -9, -42, 28, -7, -8, 9, 22, -35, 30, -22, 34, 6, 33, -5, -10, 37, 49, -39, -3, -4, 28, 4, 8, 22, 11, 32, 14, -14, -12, 6, -7, -28, -19, -9, -26, -17, 25, 4, -11, 11, 32, -46, 15, 2, 2, 0, -9, 27, 49, 28, 22, -6, 17, -8, -28, 8, -21, 8, 20, 23, 6, 7, -11, 1, 40, 13, -10, 32, 4, -39, -37, 4, -38, -2, 26, 33, 51, -15, 2, 38, -3, 13, -28, 3, -15, 4, 10, 22, 13, 14, -12, -20, -8, 37, -44, 16, -24, -9, 37, 11, 3, 21, -35, -24, -25, 28, 6, -25, -12, -43, 23, -10, -15, -21, 24, 14, -31, -10, -58, -20, 17, 24, -8, -48, 12, 5, 5, 28, -44, -33, 6, 14, -30, 19, 8, -1, 21, -3, -36, 19, -9, 5, -25, -37, -6, -13, 37, -38, 15, 13, 5, -35, -5, 14, 5, 44, -16, -20, -1, 3, -8, -15, 9, 41, 22, -14, 54, 21, -23, -25, -5, -53, -15, -18, -7, -43, -1, -44, -10, -27, 0, -60, -13, -31, 1, -19, 9, 28, -19, -23, -2, 23, 14, -25, -34, 38, 25, 2, -40, -37, -3, 27, 48, 39, 11, 40, -20, -25, 14, -37, -34, -3, -1, -48, -2, 28, -1, 10, -37, -6, -45, 29, -7, 34, 32, -30, 37, 18, -2, -25, -29, -5, 36, 14, -32, -39, -30, 32, -34, 50, -39, -18, 24, -17, -18, -24, -13, -16, 20, -13, -4, -13, 63, -5, -4, -26, -31, -41, 6, -33, -11, -4, -34, -37, 8, 47, -11, -27, -3, -3, 32, 25, 39, -16, 2, -40, 15, -36, 20, -7, 28, -40, -41, 16, 31, 11, 39, 17, 1, -17, -45, -33, -3, -23, -10, 55, 25, 81, 22, -14, 5, -30, -18, -13, -17, -20, -10, 4, -8, 56, 12, 3, 16, 35, 7, 26, -18, 50, -31, 20, 20, -34, 8, 28, -36, 8, 34, 26, -6, 31, -24, 29, 29, -11, 13, -20, -11, -15, -17, 16, -1, -23, 31, -23, 12, 11, 10, 32, -16, -14, -15, 49, -10, -35, 32, 0, -18, 21, 7, 20, 2, 5, -18, 20, 11, 31, -65, -13, 4, -41, 7, -11, 26, 1, -15, -12, -13, 48, 14, -10, -25, -26, 20, 13, 5, 17, -38, 21, 14, -15, 36, 19, -38, 40, 27, -47, -28, 6, 25, 22, 5, -12, -29, -21, 2, 34, 28, -37, 6, 28, 38, -1, -15, 42, 9, 33, 13, -5, -7, 23, -54, -26, 25, 35, 38, -9, -2, -32, -6, 0, -2, -8, -37, 6, -52, 14, 28, -33, -51, -50, 24, -51, -30, 27, 39, -5, -34, 12, 12, -37, -4, -32, 34, -35, -25, 26, 14, -25, -15, -14, 20, -8, 7, 2, 20, 13, -14, 46, 4, -4, 20, 42, -27, -32, 20, 15, -21, -24, -30, -45, -38, 30, -15, 14, -13, 19, -3, -12, -10, -16, 5, 19, -22, 30, 27, 20, -3, -12, -9, 11, -1, 10, 20, 27, 24, -18, -37, 41, 13, 32, -28, 27, 9, 32, -38, -27, -30, 41, -43, 20, -8, 3, -4, 26, -31, -35, 33, 32, -21, -3, 0, 36, 34, -30, 29, 5, 21, -1, -46, -41, -51, -8, 15, 21, -46, -12, 5, -24, 18, 19, -22, -42, 14, 19, 25, -31, -26, -35, 9, 20, -23, -23, -22, 44, -23, -16, -5, 1, -1, 38, 8, -9, -40, -25, -41, -13, 16, 7, -11, -55, 10, -19, 49, -29, -17, 15, -19, -40, 17, -5, 29, -26, 56, -32, -15, 36, 34, 25, -15, -19, -36, -13, -25, 27, -8, 8, -27, 10, 3, -11, 29, -38, 15, 34, -40, -46, -15, -3, -45, -22, 33, 31, 10, 26, 15, -21, 19, -3, -18, -17, -16, -21, 5, 43, -23, -40, 29, -48, 14, -17, -41, -29, 30, 32, -13, -17, 40, -1, -37, 14, -23, 9, -34, 32, 5, 20, -55, -32, -31, -41, 20, 24, 9, 47, -10, 35, 5, 6, -5, 9, 3, 13, -50, -57, -39, -26, 2, 12, -30, 5, 4, 4, -8, 28, 10, -26, -5, 30, 10, -30, 40, -23, -17, -19, 64, -22, -32, -68, 10, -34, -42, 17, 13, -49, 12, 3, -1, -40, 33, 6, -46, -44, -20, 19, 9, 42, -39, 29, -46, -28, -28, -15, 45, 21, 32, 25, -14, -17, -10, 17, 35, -14, -7, 9, -46, 0, -8, -10, -45, -66, -11, 36, -4, -3, 26, -30, -11, 2, 21, -42, -33, -32, 46, -41, -19, 42, -1, 35, 11, 69, -19, -38, 24, -27, 7, -41, -17, 3, 22, -33, 3, -25, 52, -7, 35, -9, -28, 9, 37, -27, 40, -25, -29, -24, 3, -23, 16, -22, -24, -59, -3, -14, -18, -32, -19, -13, 16, -19, 7, 35, 34, -10, -2, 51, 27, 14, 20, 36, 7, -33, 1, 28, -19, 19, -7, -12, 7, 35, 21, 1, -36, 9, -49, 44, 34, -33, 13, -10, -37, -22, 2, -15, -20, -2, 25, -2, -10, -24, -11, -21, 29, 19, 29, -40, 37, -29, -30, 28, -30, -25, 16, -46, -20, -17, 14, -33, -31, 28, 21, 10, 47, -11, -34, 3, 11, -42, 10, 16, 26, -5, -26, 42, 28, -40, 14, -38, 15, 51, -25, -2, -4, -48, -13, 36, 17, -22, -15, -21, 47, -29, 7, -14, 16, 2, -23, 21, -24, -14, 48, 42, -37, 0, -24, 29, 8, 6, -17, 42, -8, 37, -14, 33, -2, 28, 6, 24, -18, -19, -30, -39, 16, -1, 35, 0, 44, -33, 26, -3, -8, 20, 46, -35, 49, -28, 12, 35, -6, -27, 18, 25, 34, -26, -10, -37, -1, -33, 1, 20, -22, -34, 27, 21, -10, -47, -27, -1, 6, -11, -31, 36, -11, 22, 20, 32, 31, 2, 0, 17, -9, 14, -43, 35, -33, 19, 6, -2, 17, -37, 14, -26, 36, 21, -2, -21, -1, 1, -26, 32, -29, -17, 13, 5, 16, -28, -10, 6, -7, -2, -22, 33, -17, 9, 24, -7, -1, 4, 28, -24, -24, -34, -28, -34, -55, 28, -49, -46, -6, -34, -25, -19, 42, -3, 0, -27, 8, 6, 33, -28, -23, -4, -29, -14, 3, -33, 43, 29, -36, -29, 19, 0, 12, 53, -8, -10, -15, 20, -17, -42, 22, 44, 26, 42, -10, 10, -15, -38, -19, 5, 0, 24, 40, -30, 32, -37, 8, -12, 42, 2, -26, 18, 19, 43, -23, 23, -27, -16, 12, -42, 7, -4, -2, -4, -18, 21, -11, -33, 42, 22, -25, 31, 26, -20, -8, 34, 40, -38, 34, -27, 20, -20, -21, -21, 15, 26, -19, -41, 9, -55, 29, 10, 20, -25, -57, 44, 4, -4, 15, -35, -6, -4, 25, 8, 7, -47, -19, -13, 2, 57, 25, 28, 8, 7, 44, -14, -24, -27, -6, -19, 40, 17, -17, -38, -9, 41, -33, -27, 13, 37, -44, 43, 32, 28, -34, -18, -43, -26, 37, -9, 42, -31, -16, -22, -50, 30, 13, 28, -30, 26, -44, -21, -41, 2, -15, -36, 32, -31, -37, -18, 15, 28, 28, -14, 26, 36, -28, 34, 40, -21, -19, -6, -6, -13, 5, 40, -2, 12, -37, 20, -23, -30, -47, 10, -41, 0, -28, -34, 2, -50, -39, 22, -5, -17, 17, 36, -27, -13, 34, -36, 31, 34, -37, 22, 14, -39, -22, -42, 1, 4, -26, -2, 28, 23, 12, -37, 0, -18, -15, -8, -33, 26, 13, 4, -7, 23, 10, 12, 25, -36, 17, 1, -36, -43, -29, 40, -48, -19, -46, -43, -33, -27, 42, 3, -1, -5, 4, -27, -50, -20, -37, -25, -38, -20, -33, 16, 9, -18, -3, 13, 2, 17, 20, 0, -7, 27, -24, -2, 39, 35, 11, -36, -27, 28, -47, -17, 1, 33, -38, 0, 5, 13, -8, 1, -37, 39, 18, -34, 0, 44, 8, -24, 30, 32, -21, -26, -30, -7, 2, -5, 16, -14, 36, -54, 3, 16, 32, -14, -30, 26, -37, 30, 28, 38, -52, -11, 35, -23, 4, 10, -31, 4, 2, 3, 34, 14, -22, 3, -8, -26, -23, 46, -41, 12, -4, -29, 33, 9, 24, -25, 3, 27, -27, 17, 4, 36, -23, 32, 6, -38, 20, -33, 9, -16, -44, -28, 5, 13, 1, 43, -18, 15, -13, -29, -44, -33, 46, -7, 16, 12, 25, 38, 33, 22, -8, -30, -18, 8, 40, -6, 0, -29, -33, -15, -47, -35, -46, -26, 15, -10, -45, -28, 32, -38, 7, -14, -41, -43, -11, -34, -8, -40, -5, 32, -6, -25, -26, 27, 6, -32, -9, -10, 10, 36, -18, -28, -29, 15, 36, -13, 10, 22, 43, -29, -5, 48, 27, -10, -5, -25, -20, -27, 7, -38, 20, -40, 7, 4, -11, -7, -3, -43, 37, 7, -15, 35, 0, -4, 23, 9, -12, 27, 27, 15, -42, 11, -26, -39, -16, -8, -29, -24, 15, -48, 24, 36, -3, -23, -20, -23, 44, -30, -4, 41, -30, 13, 20, -3, 10, -33, 22, -30, -34, -28, 6, 14, 36, 2, -4, -7, 19, -4, -1, 40, 17, -46, -17, 20, -5, 13, -25, 34, 27, -32, -29, 45, 37, -40, 4, -11, -41, 17, 32, -27, -36, 46, 27, -33, -30, 22, 22, -41, 23, 45, -6, 21, -30, 23, -38, -13, -11, -7, 43, 11, -6, 7, 12, 41, 35, 4, 20, 38, -30, 42, -10, 21, -22, -42, -12, -48, -27, -2, 29, -26, 13, 1, -41, 18, -22, 22, 7, -16, 39, 4, 13, 3, -13, 17, -12, -37, -7, 43, -17, -8, -19, -2, 29, -29, -4, 33, 52, 20, -27, 20, -22, -30, -14, 11, -1, 45, -31, -3, -15, 39, 0, -21, 37, -14, -37, 28, -11, -14, -51, 20, 4, 23, -41, 10, 18, -7, 19, 0, 36, -43, -44, -23, 30, -4, -19, 30, -44, 23, 31, -40, 34, -31, 27, 23, -7, -27, -29, -47, -16, -30, 24, -39, 32, -47, 2, 13, -30, -31, -31, -36, -13, 32, 18, -16, 1, -23, 20, 14, 11, 8, 13, 42, -12, 27, -22, -36, -21, -16, -14, 5, -45, 32, -7, 38, 34, 36, 0, 43, 53, -16, -36, -41, -7, -29, 40, 7, 21, 13, 5, 31, -27, 5, 26, -4, -15, -29, 29, -30, 34, -47, 26, 47, 23, -1, -2, -46, -4, 10, 32, 39, -12, 5, -44, 14, -34, -17, -12, -2, 36, -14, 0, -11, 22, -10, -32, -26, 37, 34, -33, 36, -18, 7, 32, -20, -17, -15, 7, -38, 6, -31, 29, 10, -42, -15, -1, 43, -21, 11, -8, 42, -33, -20, 36, -6, 19, 9, -5, 28, 35, -41, -11, 3, -5, 15, 6, -17, -25, -41, 20, 8, 16, -39, 40, -4, 3, 20, 33, -44, -4, 8, -43, 12, -35, 21, -45, -33, 2, -37, 11, 34, 8, -30, 28, -13, -29, -33, -46, -34, 11, 37, 44, 42, -2, 18, -41, -11, 21, 22, 19, 38, -3, -40, -24, 21, 24, -7, -21, -34, -29, -16, 32, -32, 5, -34, -34, -8, 8, 47, 6, -18, 16, -4, 21, 24, -45, -46, 28, -35, -37, -8, 34, 42, -15, 0, 28, 22, 7, -7, 38, -18, 25, -11, 17, 8, 25, 38, 21, -10, 21, 39, -49, -36, 30, -30, 39, 41, -44, -31, -42, 40, -31, -35, -9, -27, -45, 25, 0, -45, 0, -19, -20, 12, 38, -7, -35, -3, -28, -23, -1, 11, -24, -21, 35, 33, 38, 43, 21, 43, -15, -41, 13, 13, -20, 8, -36, -10, -10, 17, 19, 12, -2, 38, -21, 23, 1, -17, 14, 33, 6, -9, -40, 9, 30, -30, 24, -35, -20, -5, -41, -43, 8, -20, 24, -29, -12, 31, 24, -12, -18, -16, -14, -49, 4, -7, -37, 16, 4, 35, 23, -47, -22, -30, 44, 25, -21, 12, 22, -21, -39, -7, 29, 42, -40, 39, -28, 36, 8, 7, 6, -38, -31, -4, 41, -40, -8, -35, 6, 16, -14, 36, -4, -21, 38, -2, 1, -22, -24, 33, -37, -5, 26, -43, 37, 28, -9, -38, 34, -42, 14, -27, -24, 29, 37, 11, 5, 23, -46, 24, -26, 35, -1, -3, 31, 13, -39, 2, 46, -29, -27, 42, -15, -13, 19, -38, -34, -37, -34, 39, 21, -29, -20, 5, -40, -28, -26, -15, 45, 53, -33, 37, -24, -2, -38, -39, 17, -2, 34, 12, -7, -22, -17, -14, -14, 4, -18, 25, 8, 16, -45, -15, 7, -41, -18, 41, 41, 14, -34, -9, -24, -14, -18, -9, -30, -33, -14, 11, 39, -46, 18, -38, -44, 5, 23, -31, -7, -31, 42, 8, -13, -39, -19, 30, -42, -42, 31, 28, -27, 31, 14, -17, -29, 14, -41, 41, -19, -43, -11, 0, 9, -22, -19, 13, 5, -7, 30, -35, 15, -6, -21, -28, 15, -34, 27, 6, 46, 28, 44, 41, 4, -4, 2, -27, 18, 9, 17, 26, -21, 33, -31, -33, 12, 25, 26, -13, 8, 27, -22, 10, 18, 17, 36, 35, 17, -15, -4, -35, 23, 19, -18, 13, 47, 20, -26, 30, -43, 36, -10, 8, 18, -42, 13, 40, 41, 21, -38, -31, 29, 7, -31, 21, 14, -6, -10, 23, -33, 8, 40, -32, -30, -2, 17, -21, 17, 24, -23, -2, -2, 36, 18, 32, -35, 23, 1, 23, -18, 30, 44, 31, 35, -34, -20, -10, -25, -13, 27, -3, -36, -29, 7, 0, -19, 2, -19, 24, 31, 46, 13, -20, -37, -2, -54, -17, -29, 2, 24, -31, -15, -3, -11, 35, -7, -20, -9, -15, 19, 39, 13, -3, 33, -18, 32, -30, 40, 17, 26, 27, 23, 36, -23, -35, -8, -37, -31, 11, -13, -37, -2, 16, 42, -25, -1, -3, 23, 30, 17, -28, 35, -27, 7, -13, 33, 1, -21, 42, -9, -39, 40, 7, 17, -17, -18, -40, 0, -2, 42, -4, 36, 36, 19, 20, -11, -50, 8, -2, -30, -12, 1, 6, -30, 45, -39, -4, -1, 28, -31, -18, 3, 8, 4, -16, -41, -45, -14, 33, -11, -26, -29, -40, 44, 31, -41, -9, -45, -26, -44, 17, 39, -35, -38, 41, 39, -42, 31, 12, -30, 42, 40, -16, -7, 42, -30, 41, -14, -23, -22, -36, -19, -11, 4, -20, 45, -24, 33, 18, -13, 43, 6, -47, -13, 35, -2, -16, -21, -22, 31, 44, -17, -38, 1, -2, -47, 21, 23, 24, -25, 0, -3, -32, 4, 6, -4, -28, -37, -27, -11, 1, 32, -31, -33, -28, -27, 0, -24, -4, 29, -3, 34, 7, 40, 41, -16, 1, 0, 15, -49, -43, 36, 12, 1, -33, 20, 16, -34, 46, 10, -12, 19, -8, -6, 46, 6, -28, -43, -18, 6, 13, -34, -13, 19, -11, 32, 27, 11, 28, -33, -4, 4, -27, 19, -31, -17, 1, -38, 30, -5, 36, -3, 13, -24, -13, 33, -12, -32, 4, 10, -4, 34, -18, -50, -48, -14, -47, 9, -23, 32, -8, 33, 36, 10, 8, 43, -37, -34, -24, 21, -42, -40, 17, 18, 2, 22, 28, 8, -31, -32, 27, 10, -9, -35, -36, 22, 6, 21, 12, -5, 45, -12, -38, 0, -16, -6, -22, 42, 16, -16, 26, 16, -28, 10, 19, 32, 12, -17, 39, 3, -43, -16, -36, 31, 32, 40, -12, -38, -33, 4, 39, 26, -46, 26, 10, -30, 23, -33, 5, -26, -5, -42, -43, -45, -37, -22, 24, 22, -11, -41, 36, -20, -25, -26, 34, -26, 21, 5, 1, 24, -28, 1, -2, 22, -43, -25, 3, -45, -35, -41, 1, 30, 42, 44, -23, -5, 0, 39, -8, -7, 27, -24, -43, -11, -18, -43, 1, 11, -43, -8, 30, 35, -8, -46, -24, 43, 18, -23, 5, -34, 36, -46, -7, -18, -25, -31, -48, 21, 35, 12, -16, -12, -7, -3, 25, -18, -3, 5, -5, -20, 18, -5, 39, 10, -45, 6, -33, 20, 30, -11, -42, 31, -39, 20, -21, -28, 20, 47, 13, 1, 17, 29, 8, -33, 40, 43, 23, -3, -13, 15, 18, 5, 0, -2, 0, 10, 5, -1, -33, -40, -44, 41, -4, -14, 30, -42, 7, -30, -43, -21, -29, -23, -36, -2, 23, 13, 40, 28, 14, -6, -19, 18, -23, -27, 39, 6, -20, -3, 39, 4, -3, 12, -9, -27, 31, 27, -34, -23, 15, 26, 17, -33, 33, 10, 13, 9, -34, -6, 13, -37, 44, -28, 5, 42, -41, -30, 15, -32, -5, 39, -7, -46, -20, 36, -8, 5, -2, 14, -20, 20, -47, -45, -27, 7, -33, 14, -13, 28, 2, -2, 1, 30, -46, 26, -46, -49, 23, 21, -11, -8, 45, 6, -41, 15, 40, 18, 37, -44, 26, 6, -42, 14, -41, 10, 1, -9, 15, 7, -19, 17, -38, -8, -47, 16, 3, -22, 4, 41, 6, 17, -35, -46, -14, -22, -42, 13, -28, 31, -19, 24, -23, -34, 9, -8, 3, -1, 32, -45, 39, 29, 32, -21, 20, 18, 4, 37, -8, 34, -42, -31, 7, -23, 8, -13, 24, -8, -32, 38, -18, -41, 5, -7, -11, 0, 15, 42, -13, -6, -27, 2, 22, 22, 6, -32, 26, -1, 8, 0, 31, 24, -22, -25, 25, -9, 19, -8, 17, -2, 46, 17, 2, 11, 12, -47, -36, 26, -39, 19, -4, -43, 37, 12, -14, -42, 46, -21, 28, 5, 1, -19, -5, 18, -28, -21, 37, -5, -32, 21, -18, 44, -34, 2, -3, 29, 37, -35, -26, -29, -40, -33, -31, -11, -4, 2, -21, 29, -46, -19, 7, -20, -41, 38, 13, 44, -10, -39, 36, 25, -2, -19, -9, -10, 26, -15, -18, -35, -41, -13, -24, -8, 20, 9, 16, 18, -32, 1, -11, -6, 11, -21, -12, 32, 33, 32, 29, 22, 21, -15, -3, -6, 28, 4, 30, 5, -24, 22, 18, 28, 17, 34, -38, 14, -7, -18, -12, 46, 48, 21, 22, -24, -45, -10, -32, -32, 36, 23, 36, 18, -35, -26, -39, -19, 10, -11, 25, 29, 31, 26, 37, -4, 32, -28, -20, -49, -29, 6, 16, -26, 41, 40, 32, 17, 6, 24, 9, -35, 13, 9, 1, 40, -13, -23, -28, -41, 34, -25, -17, 1, -32, 45, 25, -39, 15, 13, 27, -44, -31, 32, 1, 51, -22, 25, -11, -41, -16, -43, 11, -19, 27, 19, -39, -35, 42, -39, -2, 27, -2, 43, -44, 10, -29, -32, 26, -34, 0, -14, 19, 11, -45, -53, 2, -20, 7, 6, 11, -24, 34, -31, -28, 31, 14, 6, 15, -49, 30, -15, -5, 14, 25, -8, 15, -35, -31, 19, 32, -29, -41, -25, 44, 34, -36, 30, -52, -45, -49, -26, -7, -28, -31, -21, 25, -41, -46, 8, -16, 12, -46, -44, 24, -38, 34, -44, -36, -18, 22, 42, -36, 28, 10, -39, -29, 45, 43, 48, -16, -40, -17, -11, 33, 48, 17, -5, -23, 38, -37, -29, 28, -48, 16, -4, -5, 12, 36, 31, -6, -28, 5, -36, -45, -42, 23, -22, -22, 5, 39, -44, -13, -26, 30, -41, -33, 6, 21, -49, -6, 9, -51, -31, 35, -14, -37, -36, 41, -19, -12, 30, -6, 19, -6, -43, -11, -44, -2, -41, -52, -39, -39, -19, 26, -5, -27, 10, 34, -47, 18, -19, 21, -34, -21, 17, 7, 13, 10, -34, 12, 6, 37, -29, -14, 14, -20, 43, 32, -24, 17, 24, -16, -34, -4, -37, 23, 19, 24, -21, -24, 45, -41, -25, 37, 25, 2, -34, 21, -33, -35, -32, 39, 35, -40, -8, 14, -14, 40, 11, -21, 1, 17, -47, 16, -45, -17, 41, 6, 35, 35, 44, 39, 26, -10, 10, -19, -3, -4, 10, 14, -23, -6, -21, 5, 3, 23, 28, 11, -31, 33, -34, 38, 22, 16, 31, 19, -8, -38, -46, 24, -9, -25, -1, -31, -20, -3, -27, -10, -8, 39, -20, -7, -1, 23, 19, 34, -18, -38, -15, 13, -14, 8, -9, 17, -7, 13, -33, -45, 2, 4, 29, 15, 20, 9, 30, -1, 20, 35, 9, 32, 13, -33, -34, 13, 18, 37, -32, 24, -2, 44, -48, -41, -14, 3, -2, 41, -13, -22, 32, 28, 8, -50, 39, 23, 9, -26, -37, 21, -26, -34, 36, 26, 36, -7, -26, 5, 20, -28, 32, -18, -21, -40, 16, 10, -23, 23, 20, -44, -31, -49, 21, 6, 19, -29, -46, 17, -28, -46, 37, -48, 17, -3, 11, 7, 13, 19, 4, -43, 7, -11, -41, -3, 32, 4, -41, -35, 23, 23, 18, -5, -11, -27, -27, -40, -36, 28, -10, -23, -16, -22, -31, -45, -16, -17, -3, 30, -34, 24, 30, -19, 19, 22, -12, 24, 22, -28, 30, -38, 10, -38, -44, -38, 28, -30, 29, -15, -18, 33, -8, -28, -11, 22, -2, 25, -5, 18, -56, -16, 42, -23, 34, -22, -4, -44, -39, 14, -11, 5, 34, -21, -29, -24, -17, -43, -19, -20, -3, -20, -15, -1, 37, -4, 5, 36, 23, -16, 9, 36, 40, 30, 22, -37, 20, -63, 36, -10, -14, 22, 34, 4, 41, -42, -47, 42, 41, 1, -12, -11, 16, -10, 24, -3, -38, -33, 19, -9, 33, 9, -31, -15, 0, 25, -40, 11, -24, 29, 61, 7, -6, 29, -34, 21, -36, -28, -24, -8, -42, -6, -4, 24, 18, -30, 53, 40, 74, -7, 10, -22, -26, -42, -29, -18, -32, -25, -28, 30, -4, 34, 5, -17, 36, -19, -37, 36, -30, -82, -43, 10, -31, 4, 32, -34, 27, -35, 9, 41, -31, -7, -45, 25, 34, 6, 37, 34, -30, -34, -37, 3, -44, 1, 19, -7, 2, -24, -1, 13, 12, 57, -1, -12, -38, -35, -8, 8, 16, 28, 2, 28, 54, 36, 11, -20, -13, 19, 2, 43, -37, 13, -22, -63, -54, 24, -35, -5, 56, -22, -4, 7, 15, -10, 2, -34, -1, 6, -5, 38, -13, 28, 27, 14, -28, 38, -19, -18, 8, -38, 19, -35, 36, -25, -12, 35, 27, 20, 38, -22, 1, 64, 13, 52, 52, 37, 28, -45, -58, 20, 24, 11, 34, 31, -38, -40, 43, 28, 1, -24, -15, -29, -31, 2, 40, -27, 10, 21, 29, 31, 31, -24, -16, -30, -15, 8, -4, -8, -22, 54, -31, -16, 7, 43, -35, 5, -60, -39, 32, -44, -34, -16, 20, -7, -47, 24, 36, -15, -18, 18, 11, 26, 41, -30, -34, 37, 30, -31, -20, 19, 28, 3, -23, 26, -28, -9, -24, -12, 15, -20, 29, -28, 24, -9, -7, 17, 20, 16, -12, 27, -26, 18, -31, -6, -21, 24, 5, -24, 12, -47, 17, 20, 11, 20, -19, 46, -33, -47, -11, 31, -7, 44, -50, -49, 64, -23, 3, 1, 2, 27, 14, -29, 12, -14, -29, -1, 39, -39, 49, -7, 5, 24, 12, 38, 9, 30, 14, -1, -31, 6, 33, 0, 26, -6, 24, -37, -9, 29, -59, 17, 40, 44, 36, -14, -38, -10, 8, -39, 19, 11, -40, 32, -23, -25, 19, -6, 12, 29, 1, -25, -11, 25, 9, 32, 28, -14, -36, -15, 33, 4, -5, -11, -60, -58, -20, 22, 0, 20, -33, 6, 9, -26, -20, 24, 27, -8, 9, -51, -48, -13, -25, 16, -11, 28, -41, 39, -5, 62, -42, -3, -23, 18, -26, -21, -5, 35, -33, -21, 2, -24, 9, 28, -20, 17, 10, 0, 8, 2, -3, -7, 8, -5, -20, -41, -27, -53, 16, 17, 1, 7, -28, 16, -36, -11, 34, -19, -17, -14, -52, 48, 19, 2, -23, -5, -36, -33, 3, 22, 39, 22, 13, -40, -31, -20, 27, -51, -3, 45, -10, -26, -39, 37, 8, -33, 37, 14, -47, -1, -11, 25, 37, 35, 7, 17, -7, 21, 56, 26, -31, -4, 27, -9, 59, -21, 21, 36, -36, -33, -28, 12, -24, 28, -38, 5, -10, 6, 6, -2, 38, -28, 44, 15, 13, -19, -36, 7, -39, -34, 26, 28, 20, 18, 8, -17, 42, -34, -3, 17, -2, -23, 37, 18, 14, -11, -51, 21, -30, 6, 9, 3, -34, 20, -17, -7, -41, 27, -7, 35, -13, -63, -3, 47, -36, -15, 37, 59, -49, -19, -12, 31, 70, -24, 31, -16, 39, 28, 25, -40, 34, 20, -44, -41, 30, -42, -22, 39, 25, -9, -8, -42, 25, -35, 7, 14, 1, -34, 34, -14, -26, 43, -4, -46, 16, 17, 25, 32, -10, 32, 43, -8, -5, 32, -54, 22, 36, -41, -11, -25, 19, -15, -3, -4, 6, -8, 31, -13, 6, 31, 30, -28, -22, 32, -31, -31, -30, -15, -26, 14, 28, 15, 27, -25, 31, -24, 15, -23, 25, 1, 8, -17, 46, 54, 28, -34, -36, -12, -42, -21, 0, -32, -10, 42, 56, 43, -31, -28, -1, -25, 25, 4, 19, -42, 28, -12, -2, 14, 3, -3, 17, 12, -1, -37, -64, -63, -26, 44, 17, -25, 34, 16, 15, -36, 37, -4, 27, 9, 27, -27, -6, -14, -3, 31, -15, -9, 37, 3, -18, 19, -18, -15, 57, -26, 20, -39, 19, 12, -12, 37, 41, -32, 0, 6, -35, 16, -19, 3, -37, 0, -31, 24, 39, 22, 30, -20, 41, -30, -20, -28, 15, -2, -13, 11, 20, 62, 31, -27, 51, 16, -47, -15, -9, -32, -20, 28, 1, 16, -15, 43, 23, 2, -11, -20, 4, 27, 11, -6, -15, -15, -49, 20, 8, -3, 23, -39, 26, -30, -30, 25, -1, -32, -24, -37, -44, -4, 47, 9, 37, 18, -30, 53, 26, 31, 46, -24, -10, -30, -46, -7, -24, -12, -6, -22, 9, 49, 44, -69, -33, 45, 37, -33, -29, 6, -6, -32, -7, -29, -17, 8, 0, -7, 0, 22, 16, 50, -23, -20, -6, 43, 21, -39, -38, -15, -16, 46, -21, -50, 32, -53, -4, -1, 23, 37, -17, -29, -13, -36, 6, 21, -18, -13, -27, -57, 23, -48, -51, -1, 15, -47, 34, -20, -15, 28, 8, -29, -17, 22, -37, 5, -6, -2, -28, 35, -14, -7, 30, 43, -35, 38, 45, -29, -43, -2, 12, 13, 3, 45, -43, 27, -32, -3, 5, 38, -29, -26, 11, 3, -30, 25, -7, 50, 33, 3, 21, 41, -13, 28, -4, -52, 37, 25, -13, -25, -9, -9, -11, -59, -8, 5, -22, -20, 42, 4, 15, -5, 12, -7, -1, 12, -1, -25, -1, -34, -42, -27, -18, -38, -25, -3, -5, 42, -10, 14, -45, 34, 44, 16, -25, -21, 4, 9, -37, 2, 16, -7, 32, -43, -43, 19, -19, 35, -23, -9, -60, -1, 49, 15, 6, 28, 4, -25, 50, 14, 37, 13, 19, 27, -22, -35, 15, 31, 16, 19, 17, -53, 26, 26, -11, -43, -25, 11, 38, -30, 14, 20, -49, 20, 33, -5, -2, -1, -36, 38, 15, 47, 15, 2, -29, -48, -18, 19, -29, 5, 59, 7, -27, 54, 49, -15, 8, 27, 1, -15, 2, 61, 35, -8, -16, 20, -19, -33, -36, -2, 26, -43, -56, 43, 59, 11, 19, 40, 41, -3, -19, -36, 9, -18, 5, 0, -49, -11, 38, -62, -41, 5, 35, 49, 32, -40, -24, -43, 6, -22, -19, -2, 20, 4, -7, 11, 6, 9, 31, 26, 42, 32, 14, 5, 12, 36, -32, 43, -7, -26, -22, -19, -8, -18, -39, 70, 8, -39, 34, 30, 10, 34, -15, 19, -12, 26, 9, -3, 5, 8, 23, 27, 16, -36, -7, -1, -52, -45, 33, 22, 26, -27, -32, -47, 18, -9, -11, 2, 26, 18, 53, -27, -10, 45, -22, -31, 39, 42, 5, 21, 20, -19, 35, -35, 5, -31, -11, 42, -28, -1, -39, -25, 8, -45, -10, -31, 13, 11, -36, -37, -41, -37, -27, 22, -33, 5, -29, 2, -7, 13, -3, 17, -23, -29, -36, -3, 34, 3, 41, 5, 0, -19, 40, 11, 10, 24, 23, -32, -48, 23, -18, -45, -1, 5, 22, -33, 51, -43, 16, 37, -18, -8, -40, -21, 42, 5, -26, -19, -17, 22, 7, 4, -33, 31, 34, 13, -34, 36, 16, -3, -28, -29, -48, 24, -18, -35, 44, 21, -41, 38, 3, 21, 32, -22, 46, -15, -43, 40, 30, 38, 6, 13, 39, 15, 42, -8, 3, 23, 31, -13, 1, -33, -14, -21, 25, -45, 41, -15, -19, 17, -2, -8, 37, -28, 43, 8, -36, 27, -17, -33, 42, 41, 5, 36, -8, -6, -18, -36, -11, -4, -29, 6, 19, 21, 14, -26, -1, 10, -8, 27, 22, 3, -23, -35, 45, -22, 37, 11, 37, -2, -13, 41, -32, -13, 4, -44, -36, -46, -25, -17, 31, -39, 16, 8, -11, -34, 0, 18, 23, -6, 10, -26, -25, -40, -21, 17, -57, -27, 9, -27, 2, -34, 23, -17, -21, 43, -27, 43, -41, -21, -8, 21, 42, -1, -9, -20, -36, -32, 1, 29, -45, -6, -9, -9, 1, 36, 41, 26, -13, 31, 30, 35, 25, -23, -36, 12, -21, 27, -41, 35, 8, -20, 8, -36, 24, 22, -3, 23, 23, 0, -11, -7, 27, -25, -22, -30, 6, -13, 30, -39, 7, -28, -22, -34, -43, 23, 45, 16, 11, -44, 0, 37, -3, -21, -44, 43, 31, -3, 5, 14, -41, 27, 42, -46, -21, 34, 36, 24, 14, 21, 23, -39, -13, 25, -4, 32, -35, -42, 34, 25, 21, -17, 9, 10, -8, -26, -2, -9, 37, -38, -37, 26, -24, 29, 17, -42, 11, 20, -46, 45, 16, 44, -35, -35, -37, 27, -31, 31, 21, -12, 13, -41, 24, -39, 37, -13, 35, -33, -37, 29, -37, -9, 33, 7, 34, 5, -42, -19, 12, -23, -48, -33, 5, -31, -29, 16, 19, -32, 19, -14, 36, 38, -12, 11, 32, -43, 41, 25, 38, -11, 14, -4, -16, 46, 35, 20, 20, -30, -35, -26, 7, 31, -26, -37, -8, -29, -2, -45, 34, -24, 37, -8, -32, 34, -36, -11, 5, -38, -9, 36, -31, 19, -31, 22, -45, 25, -41, 11, -45, -2, 7, 15, 40, -3, -4, -23, 26, 24, 28, 41, -16, -10, -44, -5, -23, -24, -21, 18, 13, 21, -11, -31, -26, 41, -16, 6, -25, -41, -29, -10, -42, -4, 3, 7, -8, 45, -30, 0, -15, -34, 8, -2, -3, -46, 23, -5, 17, 18, -21, -31, 28, 3, 3, -28, 15, 18, 11, -35, -6, -19, -14, 23, 5, 25, 8, 28, -26, 0, 3, 13, 4, 29, 16, -23, -4, -51, 8, -45, -44, 26, 38, -24, -44, 34, -33, 5, -45, -15, 16, -27, 14, -24, -7, 21, -25, -26, 29, -39, -7, 13, 4, 37, 29, -45, -9, 15, 14, -35, 33, 6, -32, 32, -25, 33, -4, 35, -5, 12, 0, 10, 24, -1, -15, 27, -6, 10, -39, -44, 8, 38, -42, -21, 37, 39, 38, 3, -5, 30, 44, 20, -23, 40, 31, -41, 25, 25, 7, -7, -26, -25, -6, 17, 0, -6, 34, 37, 36, -2, -40, 28, 28, 39, 29, 36, 6, -16, -22, 5, 23, -21, 16, 16, 45, 35, -42, -23, -39, -11, 27, 43, -43, -1, -45, 14, -25, -31, 13, 38, -3, -42, -38, -18, -47, -21, -39, -18, 15, 6, -4, -43, -23, -15, 4, 36, -41, 38, -43, 20, -24, -51, -21, 29, -31, -45, 16, -42, 31, -19, -14, -38, -1, 23, -27, -31, -40, 1, 20, -37, 7, -36, 14, 1, 23, 23, 42, -10, 42, -7, 35, -32, 27, 9, 20, -36, -34, 34, 2, -12, 27, -45, 23, -44, -29, 10, -40, -12, 16, 2, 12, -27, -36, 14, -31, 0, 0, -23, -35, 28, -39, -22, -44, 4, -11, -15, 24, 15, -3, -8, 40, -7, -22, 23, 4, 9, 17, 37, 44, 28, -35, -6, -36, 29, -14, -46, -12, -9, -13, 40, 45, 0, 31, 30, -26, 1, 6, -39, -29, -18, -25, 41, -37, 26, -9, 21, -44, -38, 36, 27, 9, 4, 9, 23, -12, 23, 7, 43, -34, 11, -7, -11, -23, -9, 44, 40, -21, 40, 20, 23, 10, -24, 35, 20, -44, -20, -11, -8, -2, -39, 12, -35, -24, 24, 5, 30, 5, -40, -38, 41, -20, -7, 3, 34, -1, 2, 5, -32, 16, 7, 28, -14, -2, -27, 19, -21, -39, -22, -23, 37, 22, 44, 40, -11, 35, -18, -40, 35, -39, 35, -19, 24, 14, -31, 5, -26, 25, -17, 20, 33, -10, -23, 35, 8, 19, -21, -14, -14, 10, 31, -41, -50, 15, -22, -31, 2, 39, 33, 16, -8, -37, 5, 0, -23, 1, -42, -3, 5, -52, -32, -1, -22, -39, -29, -31, 7, -19, 1, 23, -40, -34, -1, 43, -4, -44, 38, -12, -43, -31, 10, 18, 35, 38, 41, -21, 19, -15, 13, 11, 5, 25, 39, -36, 27, -36, -36, -29, -39, 2, 28, 36, 7, 32, 39, 8, -4, -35, -41, -42, 30, -41, 31, -14, 41, 40, -20, 27, -21, 41, 33, -32, -20, -7, -30, 18, -8, 35, -45, 14, -28, -28, -6, -11, -36, 47, 31, -20, -35, -36, -16, -1, -40, 32, -32, 39, -46, 15, 30, -5, 40, 26, 37, -10, -1, -46, 8, 18, 35, -2, 19, 23, -36, -11, -44, 43, 25, 23, 6, 26, 34, 23, -7, 11, -31, 36, 12, 15, 12, 7, 27, 21, 29, 7, 1, -5, 20, 24, 40, 16, -19, 37, 24, -36, -16, 7, 27, -14, -14, -24, -3, -9, -15, -18, -13, 25, 36, 35, 38, -26, -34, -9, -18, 35, -3, 8, -47, 36, 17, 9, 25, -13, -24, 41, -23, 17, -10, 33, 37, 34, -35, -31, 14, 28, -19, -6, -41, 41, 15, -24, 45, -39, -16, 23, -20, -38, -32, -5, -11, 1, -32, -38, 18, -30, -12, -19, -11, -4, -5, -36, 11, 13, -2, 20, -15, -20, 32, 33, -9, 17, 34, -8, 39, -26, 24, -18, 33, -24, 19, -32, 36, 15, -46, 9, 1, 25, 37, 11, 31, 27, -34, 26, -3, 43, -14, -20, 7, -19, 3, 3, -39, -33, -18, 30, -6, -6, 0, 3, 23, 38, 1, 45, 13, 41, 39, -30, 4, 16, -26, 26, 0, -28, 4, 23, -17, 38, -5, 15, -43, 35, 38, -43, 30, -43, 21, 27, -35, 37, -21, 18, 14, -7, -20, 10, 16, -17, -34, -19, 14, -47, 22, -24, -36, -4, 31, 24, 11, -6, -8, -25, 32, 10, -10, -15, -10, -5, 26, 2, 36, -3, -36, -45, -38, 31, -7, -40, -34, 6, -15, 8, 6, 23, -32, 36, -31, 12, 5, -4, -28, 3, 37, 42, -5, -1, 11, -36, -8, -16, 12, 1, -30, 4, 1, 42, -31, 2, -19, 3, -13, -7, -31, 16, 2, -28, -11, 29, -47, 48, -8, -20, 28, -10, 31, 1, -34, 0, -25, -18, 23, -38, 42, 1, 64, 36, -20, -18, -27, 20, -27, 19, -25, -47, 7, 42, -4, 14, 24, -21, 9, -39, -11, -5, 33, 26, -9, 7, 66, -5, -54, -23, 43, -43, -40, -9, 27, 38, -30, -22, -34, -19, 41, 4, 7, 23, -20, 27, 25, 18, 12, -35, -14, -4, -4, -6, -39, -14, -29, -13, 32, -20, 38, 18, -17, -27, -36, 40, -2, -37, 30, -25, -30, 2, -19, 11, -23, -17, 34, -9, -13, 25, 26, 31, -10, 35, -9, 5, 57, -41, -14, 7, 6, 9, -12, -28, 14, 0, -21, 8, 0, 25, -75, 0, -50, -47, 16, -18, -57, 4, -57, -21, -74, -46, 20, 14, -6, 24, 44, -34, -1, 35, 18, 8, 23, -15, -35, 13, -33, -33, -42, -11, -55, 16, -1, 37, -30, 56, -16, -6, 3, -20, 15, 17, 7, 19, 5, -68, 11, -4, -88, -42, 4, 16, 48, -31, -5, -4, -35, -2, -35, 15, -35, -56, -28, 15, -22, -19, 35, 14, 39, -2, 49, -23, 23, -14, -27, -6, -23, 23, 19, 23, -18, -41, -16, -5, -12, -37, 4, 11, 15, -2, 2, -27, 32, -27, 13, -25, -6, 10, 50, -11, 16, -5, -44, -2, 14, -11, -7, -19, 6, -23, -16, -10, -7, -20, 23, 16, 17, 29, -48, -17, -42, 38, -41, -47, 15, 33, 10, -33, 9, 19, -41, 12, -46, -8, 6, 14, 4, 22, 36, -32, 2, -18, -4, 45, 26, 8, -33, 28, 4, -59, 14, 43, -31, 29, -8, 38, -38, -30, -12, -33, -13, -1, -30, -54, -26, 26, -3, -41, 4, 35, 14, 29, 34, 3, -41, 7, -46, -1, 40, -37, -3, -35, 39, -8, -10, -10, 40, 6, 19, -7, -57, -39, 39, 19, 10, 41, -58, -38, 36, 3, -8, -15, -16, 10, 12, 26, 40, 38, -11, 30, 11, 9, 32, -24, -22, 23, -8, 8, -4, -8, 18, 19, -29, -34, 19, -14, 21, -9, -28, -6, 30, -15, -37, 23, -26, 8, -12, 0, -28, -49, 0, -27, 30, -43, 45, 32, -3, -47, 27, -24, 11, -1, 14, 15, -42, -15, -5, -51, -26, -28, -24, 23, -9, -15, 27, -37, 30, 18, 16, -41, 8, -29, -29, 2, -12, 15, -58, -28, 42, -27, -39, -16, -66, -32, -23, 33, 57, 16, -13, 43, -42, -37, -41, -21, 35, -14, -24, -53, -26, -37, -22, 29, 3, 22, -15, -34, -37, 30, -35, -27, -55, 11, 13, -2, -19, 49, 49, -49, -18, -12, 0, 4, 28, -17, -16, -23, 13, -16, -17, -40, -10, -70, -53, -7, -71, 40, 18, 25, 3, 9, -21, 7, -24, 30, 25, -41, -30, -3, -18, -4, -8, 10, -45, -46, 4, -56, -42, 14, -45, 23, -7, 36, -27, -20, 20, 42, 14, 43, 2, -25, 44, 14, -12, 30, 12, 59, -2, -31, -34, -50, 16, -31, 34, -12, 36, 14, 9, 20, 10, 1, -25, 4, 35, -12, -2, 21, 22, 29, -11, -16, 34, 15, 30, 11, -21, -31, -20, 39, -35, -43, 10, -13, 23, -51, -24, 11, 29, -50, 39, 11, -12, -4, -21, -9, 53, -34, 20, 10, 41, 32, 36, -17, -3, 37, -18, 7, 3, 8, 34, 56, -44, 6, 44, 35, -50, 3, 42, -52, 13, 23, 0, 32, 19, 19, -42, -42, -5, -27, -30, -40, -36, -13, -1, -3, -23, -2, 81, -36, -67, -27, -1, -40, 58, 17, 0, 48, 21, 66, 40, 25, 31, 2, 43, -8, -11, -32, 18, -2, -38, 51, -18, -15, -26, -30, 1, 29, 3, 30, -15, -13, -27, -15, 44, -36, -28, 40, 21, -33, -3, -38, -32, -48, 0, -23, -26, 51, -12, -2, -22, 20, 17, -28, -39, -4, 35, 40, 14, 16, 48, -31, -23, -37, -22, -52, 11, -40, -6, -7, 17, -39, 1, -44, 34, 32, -10, 42, 42, -11, -2, -29, -38, -24, -32, -21, 42, 23, 2, -1, 36, -15, -1, 23, -25, -9, -42, -45, 40, -4, -44, -5, -21, -14, 2, -5, -55, 26, 40, 31, -2, -11, 36, 24, -4, -3, -26, 19, -42, -26, 2, -39, -28, -35, -8, 7, -3, -13, -32, -51, 5, -56, -58, 19, 2, -35, 31, 33, 40, -13, -4, -31, -9, 12, -20, 2, -18, -9, -30, 70, -9, 22, 22, -39, 56, -30, -13, 27, -19, 21, -19, -3, -42, 18, -16, -47, -29, -37, -39, -38, -24, -15, -41, -6, 6, -33, -15, 26, -52, -2, 14, -23, 6, -17, -18, 11, -45, 44, 43, -23, -42, 16, 43, 4, 11, 19, 33, -25, -74, -31, -1, -19, -2, -30, 21, 40, 21, -16, 64, -26, -6, 7, -43, -5, 0, -49, 1, 27, -60, 23, -20, -69, -26, -20, -6, 28, 0, 56, 8, -7, 18, 19, 15, 39, -24, -13, 27, -15, -31, -3, 6, 56, -8, -10, -22, -13, 12, -10, 4, -6, 4, -42, -2, -34, 8, -29, 26, 34, 3, 26, -36, 39, 8, -13, 17, 46, -15, 65, 43, 17, -14, 44, 18, 37, -41, 5, -47, 19, 15, 36, -44, -2, 18, 58, -28, -11, 10, -16, -31, 14, -27, -39, 46, -44, 26, 4, -14, 33, -2, 31, -62, -20, 26, -41, -2, 41, 20, -35, -6, -5, -61, -39, 13, 11, 9, 11, -4, -14, 15, -8, -23, 11, -50, 10, 29, -58, 38, -27, 21, -6, -39, 7, -17, 14, -36, -9, 17, -27, 16, 19, -15, -38, 9, -2, -10, -46, -35, -7, -12, -9, -25, 39, 14, 38, 1, -4, 20, 12, 33, 10, -27, 43, -41, -7, 36, 15, 4, 25, -3, -28, -16, 10, -25, 56, 30, -23, -31, -16, -8, 25, 48, 21, 43, 37, 26, -44, 2, 25, 18, -10, 9, 19, -38, -13, 0, 42, -40, -30, -13, 26, -40, 38, -17, -6, 13, -2, -24, -16, 17, 35, -35, -8, -16, -49, -30, -23, -4, 23, 59, 10, -30, -42, -34, -4, 24, 12, 25, 7, 33, -56, 25, 17, 5, -5, -3, -10, -19, 19, 37, -67, -39, -39, -70, 22, 44, 14, 14, -11, 30, 58, 10, 32, 9, -38, 41, 28, -6, -31, 13, 56, 8, 37, 20, -1, 46, -19, 1, 33, -2, -19, 8, 10, 3, -35, -35, 19, 27, -18, 10, -42, 42, 23, 28, -35, 18, -32, -19, 8, -15, 10, 9, -15, -39, 45, -33, 20, 40, -63, -13, -15, 20, 14, -12, 18, 21, -40, 12, -45, 27, -8, 0, -15, 4, 18, 19, -15, -23, 16, 12, -71, 26, -7, -16, 23, 42, -43, 21, 39, -36, 27, 44, -4, 5, -25, -12, 8, -3, 42, 18, -3, 9, -24, 31, -1, 23, -27, 15, -6, -17, -18, -8, -16, -41, 41, 5, 31, 13, 38, -48, -3, 34, 56, -39, 15, 2, 45, -14, 14, 44, -10, -10, -5, -19, 29, -36, -19, -22, 9, -30, 26, 32, -46, -4, 40, 44, 42, -28, -6, 3, -36, -31, 18, -33, -32, -6, 25, 18, 44, -4, -8, -5, -8, 22, 25, -11, 2, -31, -3, 7, -39, -14, -33, -31, 5, -29, -42, 11, -16, -49, 1, -14, 9, -9, 1, 35, 26, 44, -12, -33, -28, -19, -12, -15, -43, 4, -1, -46, -2, -22, 39, 16, 9, -11, 35, -38, 6, -24, 17, -28, -34, -14, 0, -21, -24, 8, 33, 40, 12, -24, 40, 36, -5, -7, -11, -31, 35, 8, -3, -53, -42, -46, 7, 33, -24, 41, 37, 40, 36, -39, -17, -35, -46, -15, 23, -27, 31, -11, -27, -45, -26, 37, 23, 27, -40, 23, -21, 19, -4, -9, -38, 5, -24, 31, 38, -7, 40, 17, 33, 11, -44, 43, 28, -29, -41, 39, -21, -11, 5, 2, -4, 0, 37, -28, 23, 4, -3, 5, 1, -10, -25, -13, 40, 27, -21, 10, 17, 3, -22, 24, 8, -39, -34, -33, -24, -15, 44, 1, -7, -30, 6, 34, 43, -6, 13, -44, 17, -10, 13, -3, 42, -48, -25, 42, 18, 19, -41, 22, 33, 20, -36, 3, -38, -6, -42, -23, -42, -27, -9, -42, -49, -33, 9, 6, 40, -2, -34, -11, 17, 22, -36, 45, -16, -3, -39, -11, -27, 45, 5, 25, 44, 13, 23, -29, 17, -8, -21, 34, -6, 4, -43, -5, 25, -35, 13, 24, 37, 14, 39, -44, -29, -24, -15, -27, 41, 29, 6, -4, -42, 23, -39, -39, 29, 15, 2, -5, 1, -38, -29, -10, -24, -20, -31, -39, -31, 22, 42, -34, 37, -17, -19, -25, -44, -26, -1, -34, 35, -26, -19, 4, 37, 25, -28, -36, 6, -26, -8, 10, -11, -2, -27, -28, 21, 27, -27, 24, 26, -6, 46, 10, -47, -16, -25, 3, 16, 15, 15, -39, -15, 37, -14, -47, -10, 34, 13, -9, -2, 0, 2, -29, -5, 26, -42, 7, 8, 29, 6, 36, -40, 27, 35, 26, 19, 5, 15, 39, -35, -37, 40, -26, -37, 43, -26, -23, -8, -20, 42, 29, 2, 16, 7, 23, -46, -7, -44, -23, -9, -31, 18, -30, 14, 31, -36, 3, -12, -20, -42, 10, 0, 7, 1, 26, 7, 26, 45, 12, -26, -29, 23, 16, 6, -30, -2, 1, -5, 37, -27, 35, 15, -50, -32, -1, -19, -20, 1, -30, -22, -28, 31, 20, 27, -2, -18, 22, -15, 17, -9, -32, -8, 43, -13, 17, 22, 13, -19, 18, -12, -3, -7, 45, -35, -43, -21, 32, 33, -3, 38, -37, -7, -8, -31, 9, 28, -15, 17, -1, -24, -2, 18, -33, -2, -6, -7, -12, 1, 22, 51, -25, -30, -7, -21, -9, -41, -1, -21, 18, 27, -7, 37, 10, 24, 3, -21, -39, 12, -8, 41, -28, -25, -28, -11, 37, -9, 33, 33, -15, 12, -8, -38, 8, -30, 27, 10, 39, 11, -14, -48, -38, 11, -39, -12, -41, 42, -42, 14, 40, 12, 28, -3, 20, -15, 44, 6, 30, -33, 35, 20, 7, -17, 29, 41, 6, -4, -5, -31, 34, 0, 27, 35, 38, 15, 14, -15, 20, 1, 18, 4, -41, 7, 24, 10, -44, 20, -43, -16, -25, -33, -44, -43, -42, -12, -2, 39, 10, 38, 5, -22, -32, 15, 0, 7, 20, 30, -16, -12, -3, -33, 0, -38, -26, 11, -5, 19, -41, 13, 45, 5, -8, 19, -9, -47, -16, -35, -18, 7, 5, 28, 1, -42, -13, -22, 5, -47, 34, -19, 9, 33, 32, -12, 23, 42, 13, 30, -20, 33, 3, 2, 26, 4, 20, 42, 13, -20, -24, 31, -38, -28, 29, -1, -31, 20, -11, -22, -18, -28, -28, -39, 28, -51, 4, -11, -32, 17, 28, -41, -3, 27, 10, -11, 32, 43, 43, -6, 35, -30, 35, -7, 1, -32, 15, 42, -46, -39, 1, -45, -51, 38, -26, -3, -38, -2, -26, 36, -14, 25, 8, -32, -45, 47, -35, -28, -8, -7, 25, 14, 33, -11, -22, 39, 18, 34, -44, 43, -19, 11, 35, 25, -31, -15, -36, 30, 30, 0, -42, 6, 15, -1, -36, -1, -28, -4, -38, 41, 18, -15, 28, 44, 22, -21, 33, 25, 4, 21, 5, -34, -22, 40, 38, 37, -3, 9, 26, -18, -43, 23, -6, -7, -24, -46, 9, -4, -8, 17, 41, -6, -42, 34, 20, 34, -29, -49, 2, -29, -6, -30, -17, -3, 22, -41, 23, -8, 45, 34, 6, 17, -30, 15, -40, 14, -17, 12, 37, -2, 22, -36, -39, 7, 15, -43, -15, 37, -35, 30, -7, 17, -24, -12, 37, 19, 31, 36, 41, -15, -33, -7, 26, 32, -44, -36, -18, -10, 13, 13, -17, -32, 9, -39, 40, 18, 11, 6, 23, -3, 48, -3, 36, 1, -31, 26, 3, 38, 5, -29, 4, 44, -2, -41, 15, 40, -29, 3, -18, 4, -17, -36, -31, -8, -11, 25, 4, 13, -53, 13, -8, -52, 37, -33, 21, 32, -9, -45, -24, 7, -24, -1, 37, 34, 35, 7, 27, -3, 2, 9, -22, 9, 25, -38, 21, 7, 17, 44, 22, 7, 35, 4, 11, 38, -22, -11, 17, -22, 2, -39, 32, 31, 5, 22, -51, 36, 5, -36, 18, 7, -43, 29, 25, 11, -35, -20, -1, -9, -21, -34, 43, 38, -30, -38, -8, -47, 36, 8, -9, -45, -21, 15, 45, 26, 22, -12, 13, -38, -45, 21, 8, -16, -38, 44, -34, -12, 11, 35, 36, -19, -46, 13, 23, -11, 21, -2, 42, 20, 20, -39, 19, -21, 13, -6, -23, 15, -2, -2, -10, 18, 32, 36, 4, -6, -29, -23, 11, 12, -7, -35, 26, -37, -42, 12, -39, -33, 7, -43, 41, 24, -3, -34, -19, -10, 24, -26, 27, 28, -33, 22, -14, -36, -30, -45, 27, 26, 21, -8, -34, -30, 24, 2, 24, 27, 10, -35, 26, -22, -43, 36, -9, 27, -9, -43, -35, 37, -29, -2, -36, 20, -10, -38, -30, -37, -27, 9, 45, -9, 34, -3, -13, -2, 12, -39, 20, 26, 12, -23, 30, 46, 7, -48, 40, -11, -36, -33, 1, 18, -47, -6, 21, 27, 23, 36, 21, -4, -43, 7, 2, -33, -2, 24, 3, -39, -34, 24, -4, 9, 28, -24, -1, 28, -46, 15, -24, 8, -26, -1, -11, 0, -13, 20, -36, 26, -14, 35, -12, 24, -29, -22, -32, 35, -10, -22, 0, -14, 33, -10, 21, 23, 20, 17, -10, 23, -10, -4, 15, 17, 8, 4, 21, 37, 44, -24, 36, -6, -5, -11, -27, 1, -28, 47, -3, -27, 34, 32, -47, 1, -49, 12, -2, 27, 5, -36, -17, 24, 26, 8, -8, -35, 4, 12, 26, -30, 36, -30, -4, -11, 4, -22, -14, -40, -24, -9, -24, 9, -12, 9, 27, -41, -40, -23, 28, -31, -1, -31, -27, -20, -6, 22, 27, 3, -4, 37, -6, 12, -17, -21, 33, 15, -5, 20, 37, 20, -42, 19, -16, -38, 37, 23, 27, -46, 3, -45, -19, -10, 24, -38, 43, 37, 42, -24, 25, 14, 10, -3, -22, -31, 38, -32, -17, 18, 29, -6, -17, 0, 34, -14, -29, -38, 8, -46, -15, -13, 5, 11, 21, 21, 27, -20, -40, -8, 10, -33, 27, 3, 37, -14, -44, 45, -3, 20, -1, 36, -27, -35, 11, -43, -2, -24, -43, 35, 17, -37, -35, -20, 16, -14, -40, -5, 4, 39, 24, 4, -4, 38, -20, -18, 31, -7, -15, 30, 2, -19, -15, 13, 39, -19, 8, -1, 39, 4, -23, 25, -9, -43, 32, -28, -9, -27, -14, 31, 38, 18, 8, 10, 1, 41, 34, -17, 45, -12, -39, 26, -14, -24, -32, 8, 11, -40, 1, -13, -44, 15, 32, -42, -22, 32, 17, -47, 34, -16, -10, 32, -35, 35, 4, 24, 30, -52, 6, -11, 8, -10, -1, 41, 2, -19, -43, -18, -30, -7, -42, -37, 30, -46, 27, 19, -44, 0, 38, 18, 14, 16, -8, 42, 33, 28, 28, 32, -13, 16, 21, -23, -7, 2, 19, -18, -6, -15, -44, 9, -7, -9, 22, -40, 29, 10, -29, -27, 44, 0, -20, -32, -9, -30, -39, 3, -4, -20, -35, -32, -37, 42, 25, -29, 0, 16, 45, -36, 12, 30, -2, -33, -35, 43, -32, -1, 41, -24, 23, -34, 29, 19, -19, 7, -8, 26, 1, -32, -5, -36, 36, -43, -39, -44, -37, 30, -12, 29, 31, 25, 36, 21, 21, -37, -26, -37, -25, 15, 16, 6, 28, 0, -37, 45, 19, -15, 25, -11, 36, -25, 34, 32, 34, -19, -2, 1, 16, -42, -24, 6, 16, 18, -21, -20, 23, -7, -7, -2, 35, 11, 40, -17, -7, 44, 25, -12, 37, 20, -5, -7, 34, -41, 23, 8, 24, 20, 24, 36, -10, 8, -31, 42, -22, 5, -47, -2, 41, -25, 25, 13, -30, 17, -19, -33, -6, -31, -17, -34, 2, 8, 21, -14, -35, -33, -8, -44, -10, 8, 10, -40, -27, -32, -18, -12, -26, -35, -21, -2, -5, -31, -21, 33, -43, -4, -8, 46, -27, -42, -31, -38, -8, -9, -39, 7, -21, 26, 5, -35, -6, 40, -35, -25, -9, -7, 11, -40, -23, -29, 11, -41, -40, 35, 44, 9, -18, -1, 12, -31, 26, 36, -10, 17, -3, -19, -18, -9, 17, -40, 23, -37, 38, -14, 17, -23, -2, -35, 31, 15, 6, 19, -29, -11, 3, 29, 34, 35, 39, -35, -1, -17, 6, 29, -29, -42, -41, -42, 0, -21, -15, 35, -10, 30, -41, -24, -6, 11, -25, 40, 32, -11, 0, -21, 34, -34, 23, 21, -47, -3, -36, -38, -46, -10, -18, 14, -39, 1, 30, 0, 22, 33, 8, -7, 13, 44, 29, 4, -18, -31, -33, -43, -43, 7, -38, 34, 3, -24, 21, 4, 1, 45, -35, -36, 28, -16, 12, -44, -47, -22, 15, -40, 18, 14, 3, 40, -23, -36, -29, -39, -16, 18, 33, -7, -20, 28, 40, 44, 28, -23, 43, -39, 29, -25, -46, 11, -6, -1, -4, -32, 3, -17, 10, -38, 16, 30, 19, 45, -21, -24, 9, 13, -37, -20, 1, -7, -31, 33, -10, -38, -36, -12, -42, -34, 10, -7, 1, -39, 44, -36, 14, 26, -18, -29, 39, 22, 42, 7, -34, 14, -12, -39, 21, 40, -27, -15, -37, -17, 17, 22, -2, -8, -29, -8, -23, 2, 3, -18, -26, -43, 33, -16, -24, -19, 19, -16, -27, -29, 16, -27, 39, 26, 21, -15, 39, 11, 5, -7, 28, -28, 17, -18, -9, 15, 29, 7, -1, 31, -44, 36, -45, -46, -30, -45, -43, 41, 17, 6, 37, -28, 32, 37, -39, -24, -44, 44, 12, 44, -15, -18, -10, -4, -23, 4, 43, 19, -38, 41, 11, -41, -24, 16, -19, 39, 7, -25, -27, 29, 19, 4, -41, -9, 40, -1, 31, 1, -37, -19, -24, 27, -45, -13, -12, -23, 36, 8, -41, 27, -3, -2, 23, -5, -23, 16, 4, 28, -36, 4, -31, 11, -35, -19, -21, -14, 43, -23, 28, -24, 9, -45, -33, 25, 29, -14, 40, -30, 17, 38, 6, 26, 32, -7, -27, 44, -13, 41, -26, -39, -13, -11, -17, 22, -17, -5, 38, 23, -42, -24, 23, 3, 2, 33, -47, -30, 23, -18, 22, -46, -44, -20, 31, -9, 33, 2, -41, 24, -23, 35, -20, 41, -3, 35, -17, -37, -11, -10, -40, -24, 29, -37, -23, 26, -30, 3, 1, -10, 20, 37, 24, 28, 43, 28, -31, -16, -20, -27, 37, -38, 25, -8, -13, 15, -10, 5, -6, -17, -3, 15, 19, -38, 25, 19, -34, 27, 41, -49, 19, 4, -34, -22, -14, -44, 35, 2, -13, -7, -42, -28, 17, -24, -20, -27, 29, -3, 24, 38, 11, 24, -32, -11, 2, -44, -25, 22, 5, 24, -20, -28, 9, 4, 36, 32, -1, -28, -40, -13, -41, 24, -1, -43, -31, 37, -35, -26, -18, 14, 12, -13, -16, 23, 37, -20, -28, -18, -21, -9, -9, 27, -39, 20, -9, 19, 27, 14, -20, 29, -46, 28, -18, -39, -47, -19, -20, -15, -41, -3, -17, 22, -42, -6, -32, -31, -13, -17, -40, 13, -33, 2, -4, 35, 10, -26, 7, 1, 27, 0, -3, -41, 18, 12, -33, -18, -31, 17, 38, -33, 33, -40, 39, -31, -14, -25, 0, 44, 21, -11, 27, 6, 45, -37, 18, -30, -33, 31, 3, -6, -12, 35, 2, -1, 38, 15, -35, -36, 25, -13, 33, -17, -20, -30, -4, 23, 11, 44, 32, -15, 30, 25, -30, -23, 15, 28, -45, 2, -9, 10, -32, 2, 42, 31, 46, 43, 0, 4, -2, 38, 16, -20, 32, -33, -16, 23, -19, -46, -35, -38, -32, 30, -21, -41, 13, 10, 25, 26, 41, -25, -11, 38, -1, -39, -28, -15, 0, 16, -35, -39, 9, -47, -13, -5, 3, 13, -14, 6, 18, -17, 37, -2, -7, 39, -24, 18, 25, 17, -28, -26, -38, -41, 25, -23, 14, -44, 33, 17, 33, 13, 39, 0, -31, -24, -34, -12, -4, 19, 30, -40, -8, 37, -37, 19, -45, 33, -25, -21, 32, 18, 7, 26, -3, -45, -17, 19, -19, 33, -10, -37, 41, 0, 15, 34, 31, 21, 29, -44, 38, -20, 30, -6, -35, 11, 20, -47, 8, 19, -22, 11, -14, 20, 22, -15, 26, -10, -38, -30, -31, 37, -16, -28, 41, -40, -39, -7, -2, 35, -18, -8, -25, -25, 27, 3, -30, 2, 25, 31, -7, -6, 14, -4, 35, 25, -48, 25, 16, -9, 26, 38, 8, -39, -30, -8, 24, -22, 9, 39, 2, -37, 38, -17, 39, -20, 40, -40, -23, -2, -7, -42, -23, 2, -10, 30, 23, -32, 12, -15, 18, 18, -37, -33, -9, 41, 15, 37, 27, -20, -34, -2, 27, 9, -46, -49, 31, 34, -21, -17, 0, 36, 6, -52, 20, -15, -24, 41, -35, 4, -14, -18, 11, 23, -12, -37, 35, -40, 17, -48, -9, -37, -21, -11, -43, -5, 31, 3, -13, 33, -20, -45, -8, 50, -2, -51, 6, 8, -46, -22, -26, 3, 28, -9, 18, -6, 12, -22, 19, -5, 42, 41, 13, 29, -25, -47, 2, 44, -24, 7, -32, -35, -39, -8, 9, -37, 22, -47, -18, -14, 21, 13, -35, 19, -41, 2, -32, 16, 31, -4, 39, -23, 32, 7, -12, 38, -12, -17, -13, -5, -14, 12, -22, -1, -8, -10, -41, 5, -11, 21, -40, 1, 10, -8, -41, -54, 12, 24, 24, -25, -4, 21, -9, 23, -47, -41, 23, -11, 15, -16, -19, 39, 39, -43, 17, -40, 18, -37, 37, 21, -42, 36, 14, -30, -22, -21, -7, -33, 9, -14, -7, 14, -32, 2, -61, -15, -16, 0, 21, -22, -4, 13, 30, -11, 26, 27, -11, 10, 21, 38, -2, -13, -11, -35, -37, 14, 8, 25, 45, 12, -8, 45, 36, -24, 29, 14, 25, -28, -36, 36, 39, 40, 9, -44, -12, 31, -11, 16, -29, 37, 27, -44, 9, 11, -8, 5, 35, 0, -22, -1, -28, -3, 45, 21, -2, -12, 34, -18, 20, -24, -5, 31, -30, -19, 16, 9, -22, 27, 4, -45, -14, 36, 22, -31, 32, 11, -14, -2, -39, -25, 38, -38, 33, -37, 38, 4, 19, 30, -41, -18, -15, 13, 32, 16, 45, -4, -16, 27, 32, 47, -1, 34, 47, -35, 39, 2, -4, 43, 39, 3, -26, 49, -22, 24, 28, -29, 27, -43, 45, 4, 0, -41, -11, -5, -20, -6, 1, 5, -10, -40, -32, -42, 31, 40, 8, -6, 20, 13, 42, 41, -51, -43, -34, 47, 25, -45, -6, 3, -18, -25, -23, 14, -35, -48, -6, 11, -7, -24, -50, -30, -21, -21, -7, 27, -41, 34, 33, 16, -43, 41, 44, -31, -30, 18, -10, 31, -6, -47, -23, 11, 21, -19, 34, -25, -22, -47, -2, 46, 14, 14, -7, 19, -17, 31, 15, -28, -4, 9, -36, -15, 19, -49, -44, 10, 0, 17, 28, -10, 8, -1, -9, 2, -35, -28, 29, 61, -35, 28, 49, 33, -30, -32, 23, -34, 11, 33, 14, -49, -9, 18, -26, 49, -38, -8, -3, 7, 41, -2, -14, -46, 12, 34, -34, -39, 40, 39, -41, -24, 31, 2, 33, 9, 24, -4, 34, 43, 29, -1, 46, 38, -28, -24, -13, -38, -18, 32, 16, 46, -43, 2, -14, -17, -31, -17, 7, 39, 41, -43, -23, -40, -22, -10, -7, 24, 25, 3, 9, 2, 5, -20, -20, 14, -19, -25, 51, -24, 30, 27, 38, 5, 18, 52, 25, -54, -3, -16, 6, -12, -47, 15, 20, -31, 28, 0, 24, -25, -20, 18, 21, 18, -15, 5, -14, 2, 11, -21, -37, 23, 2, 0, 23, 15, -43, 13, 40, -47, -41, -23, -7, -24, -42, -29, 0, -2, -40, 24, 41, -20, -36, 44, 30, -12, 30, -41, -14, 16, -39, 22, 19, -15, -27, -20, 11, 46, -9, -22, 30, -10, 19, 18, 5, 4, -42, -2, -1, -27, -25, -8, 15, 45, 38, -31, -28, -43, -21, 20, 12, 18, -21, -46, -45, -23, -18, -16, -44, 15, 61, -10, -17, -31, 4, -36, -35, -28, -33, -4, 24, -19, -42, -16, 49, -33, -39, 46, 13, 17, -27, -22, 25, 39, 9, -36, 20, 27, 1, 7, -34, 3, -37, -30, 26, -30, 31, 22, -31, -31, 24, 0, 26, 46, 32, -11, -44, 39, -46, 1, -36, 20, 13, -27, -42, 11, -12, 28, -25, 42, 38, 5, -15, 14, -39, 18, 5, 16, 10, -14, 38, 4, 34, -14, 11, -32, -12, -32, 15, 23, -25, 52, -25, 22, -32, 28, -4, 16, -29, -7, -8, -25, 9, -40, -14, 7, 28, -27, -21, 31, 14, -8, -17, 34, 37, -39, 7, 59, 0, -4, -19, -31, -14, -20, 15, -33, -7, 36, 25, -16, -42, 33, 35, -37, 25, -2, -10, -48, 39, -34, 25, 36, -7, 13, 16, 34, -30, -26, -26, 34, 29, -37, 24, 4, 50, -40, -6, 11, -22, -3, -20, 26, -49, -16, -5, -13, 14, 24, -7, 23, -8, 15, 0, 34, -14, -27, -6, 29, 41, -33, -5, 44, -45, -33, -30, 8, -40, 3, -4, -6, 29, -16, -49, 6, -52, 5, 16, -26, -13, -14, -11, -40, 39, -21, 39, -43, -2, -16, 13, 14, 23, 27, -24, -41, -13, -8, 42, 22, 16, 36, -43, -15, -35, 38, -41, -21, 31, 27, 19, 12, 16, -24, 34, -49, -7, 9, 30, -45, -47, -12, -2, -13, -32, -32, 33, -21, 7, 36, 4, 31, -22, -19, 36, -13, -35, 2, -12, 13, -51, -36, -53, -39, -45, 24, 40, -13, -39, 0, -39, 18, -48, 7, -7, 0, 32, 21, 20, 13, -51, 0, 19, -7, -22, -1, 23, 13, 14, -47, 1, -25, -36, 31, -19, 13, -44, 6, -19, -36, -37, -15, -36, 11, 36, -10, -5, 42, -17, 27, 8, 24, 39, -20, 2, 16, -39, 11, -6, -7, -11, -43, 13, 14, 15, -39, -36, 42, -1, -1, -5, -8, -3, -39, -28, 24, 18, -13, -7, 15, 1, 38, 2, 19, -6, -12, -47, -27, 37, 41, -21, 41, -43, 16, -13, -45, 25, -42, -42, -18, 1, -14, 13, 48, -40, -50, 22, 32, -7, -10, 24, -33, -32, 25, 23, -38, 4, -9, -23, 8, 41, -17, 5, 42, -23, 12, -6, -26, 33, -40, 9, -44, -24, 18, 16, 23, -14, 33, -43, -40, -38, -5, -46, -37, 33, -10, -25, -25, 13, 36, -16, 25, 4, -19, -16, 14, 30, -7, 15, 34, 1, -48, 9, -42, 18, -40, 5, -5, 19, 45, -6, -49, 23, -19, -30, -14, -32, 5, 21, 29, 26, 39, 24, 19, 3, -17, 27, 2, -22, 6, 16, -25, -2, 7, 8, -33, 13, 2, -15, 12, 45, -14, 34, 18, -16, -30, 31, 35, -26, -21, -26, 20, 43, 33, -20, -18, 32, -12, -18, 24, 2, 32, 33, 23, 36, -11, -9, -17, -14, -40, 6, 34, -18, -15, 32, 35, -12, -15, -3, 11, 26, 1, -28, 25, -15, -13, -8, -42, -19, 13, -33, 17, -52, 38, -40, -18, -41, 2, 41, -17, 39, -24, -38, 6, 37, -25, 7, 2, -34, -42, -41, 10, -21, -43, -10, -8, 31, 28, 11, 28, 38, -32, 19, -1, -35, -23, -45, 38, -9, -30, 35, -37, -18, 28, 36, 24, 2, 9, -21, -37, -42, -33, 45, -51, 24, -5, -20, 24, 12, -11, -39, 34, -33, 2, -29, -28, 7, -16, -12, 10, 43, 7, 52, 15, 9, -19, 13, -17, 8, -1, 23, 19, 25, -18, -45, 38, 6, -18, -44, 3, -36, -42, -20, -30, -23, 49, 8, 16, 6, 19, 28, -8, 33, -5, 7, 11, 8, -38, 34, 22, -5, 45, -22, 32, 19, -33, -4, -21, -35, 26, 53, 15, 22, -32, -16, -15, -14, 15, -29, -14, 45, -30, -4, -19, -28, -31, 26, 11, -40, 1, -17, -4, 31, 8, -14, -23, 10, -1, -4, -37, 47, -2, -16, 10, -48, -16, 33, 42, 5, 50, -37, -23, -29, 22, 21, -24, -52, 35, -46, 31, 3, -23, -11, 31, 65, 28, 40, 49, 2, 42, 20, 28, -48, 32, -17, 43, -45, -28, -17, 21, -16, -18, -19, -18, 25, -9, 33, -34, 28, -35, 11, -22, -39, 9, -38, -12, -2, -70, -19, 47, -36, 36, -10, 18, -28, -4, 29, -15, 23, 24, -45, 36, -12, -43, -1, -4, -39, -1, -23, 31, 25, 41, 24, 4, -2, -35, 17, 5, -36, -36, 6, 33, -23, 7, 25, -9, -1, -1, 10, -21, -10, 34, 3, 34, -9, -28, -9, -58, -32, 22, 12, -30, -34, 16, -2, -45, 23, 36, -26, 24, -23, 26, -18, -24, -31, -30, -24, -7, -21, 10, -6, -11, 41, -26, 27, -12, -35, -37, 11, -41, -24, 14, 34, 29, -43, -43, -5, -24, 26, -22, -36, -6, -1, 6, -53, -46, 15, -1, 23, 21, -19, -39, -38, 5, 6, 0, -33, 10, 40, 38, -11, 5, 9, 30, 22, -16, -10, -36, 18, 7, -32, -35, 6, -5, -31, -46, -21, 8, -29, 5, -13, 6, -8, -32, 16, 27, 5, 17, 8, -43, -30, -4, 14, 42, 10, 6, -17, -24, 5, 24, -48, 15, 6, 24, -28, 34, 11, 38, 22, -37, 27, 24, -36, 1, 33, -39, -22, 44, 28, 26, -33, 28, 18, -35, 46, -9, -10, 3, 45, 15, -6, 64, 11, 20, -3, -20, -19, -23, -31, 11, 11, 36, 17, 48, 40, -19, 16, 3, -10, 35, -23, 33, 5, -8, 2, 11, 6, 21, 22, 0, -28, 1, -12, 1, 24, 3, 19, -22, 8, -33, -3, -22, 42, -26, -13, 46, 33, 4, -15, 8, 11, -29, -3, 11, 40, -5, 11, -21, 11, -28, -4, -41, -32, 40, -32, -40, 29, 37, 19, -15, 5, 18, 4, 8, 33, 14, 0, 1, 18, 0, 47, -21, 56, 12, 38, -12, 11, -24, -39, 28, -11, -25, -7, -58, -37, -5, 5, 20, 42, -31, 3, -23, -24, -25, 36, -19, 17, 44, 42, -21, 26, 4, -12, -38, 34, -11, 6, 15, -13, 20, -39, 7, 6, 36, 15, -36, 14, 35, -7, 7, 1, -17, 27, -24, -45, -32, 0, -32, -37, -3, -19, 2, -9, 16, -10, -24, 10, 2, -9, -9, 23, 20, 27, -26, 24, -14, -48, 10, 26, -10, 30, -20, -18, 23, 27, -2, 2, 19, -32, 13, -13, 15, -11, 34, -32, 13, -23, 44, -27, 30, -27, 8, 28, -64, -31, 81, -33, -29, 42, 26, -40, -60, 29, -35, 10, 35, -23, 4, 37, -40, 28, -5, -41, -3, -38, 4, 2, 38, -33, -39, 33, 35, 35, -23, 13, 1, 24, -8, 40, 10, -15, -33, 34, 40, -7, -42, 19, -21, 27, -41, 7, -36, -4, -44, -12, 45, 36, 15, -43, 27, 6, 0, 25, 34, -36, 37, -38, -21, 32, -1, -36, -17, 11, -17, -49, -27, -3, 20, -25, -23, 24, -9, 17, -45, 23, 30, -6, -36, -23, -7, -10, 37, 16, 14, 6, 19, 38, 15, -17, 2, 40, 21, -30, 46, 29, 10, 8, -39, 13, -29, -12, 33, 4, 27, -29, 2, -45, 5, 26, 40, 16, -50, 34, -10, -4, 22, -49, 14, 44, 38, 34, 29, -11, 2, -38, 29, -11, -44, -28, 5, 2, -21, -13, -36, -41, 8, -13, -7, 24, -55, -32, 30, 15, -8, 10, -44, -44, -52, -45, -40, 15, -4, -14, 3, 2, -18, -3, -29, 9, 25, 26, -5, 28, -48, 25, 34, 37, -6, 42, 10, -15, 24, 21, -11, -37, 30, 10, -40, -9, 44, 20, -54, 29, -21, 35, -55, -12, 15, -29, 29, -23, 38, 8, 20, 21, -9, -21, -5, 26, 1, -13, 7, -35, 13, 3, -16, -11, 1, 18, 7, -12, 28, -33, -54, -43, -41, -13, 7, -10, -36, -17, -11, -34, 0, -12, -34, -11, 28, 36, -29, -53, 35, 0, -50, -45, 34, -38, 7, 49, 13, -3, -23, 17, -9, -12, 7, 15, 31, -43, 9, -13, -58, -9, -13, -24, 40, -10, -49, -5, 11, -14, 10, -12, 13, -31, 41, 29, -22, 12, 19, -15, -14, 12, 28, 23, 43, 11, 12, 24, 10, 29, -3, -40, 38, 10, 12, -12, -1, -28, 13, -12, 5, 13, -21, 0, -15, -37, -8, -32, 23, -5, -36, 53, 29, -26, -12, -45, 8, 35, 9, -20, 22, -20, 25, 45, 18, -12, 19, -4, -16, -4, -13, 17, 8, 21, 35, -9, 41, -1, 14, -33, -47, -42, 6, -23, 37, -28, 1, 8, 28, 13, -19, -10, 20, -40, 21, -5, -17, -44, -22, 10, 26, -25, -10, -38, 1, 68, -35, -39, 3, 30, -12, -2, 15, -5, 11, -37, 1, 6, 23, -1, -26, -25, 17, -13, 7, 9, -30, -30, 47, -33, -8, 1, 24, 46, -47, -5, -8, -12, -52, -2, 0, -17, -25, 6, -19, 51, 2, -27, -37, 43, -24, -29, 26, 15, 15, -40, -8, 3, -2, 10, -30, 1, 22, 35, 27, 43, -18, -28, 44, -32, -16, -28, -2, -29, -42, 36, 16, 31, -55, 52, -17, -23, -20, -28, -18, 6, -27, -32, 24, -22, 8, 10, -17, -42, 6, 20, 8, -29, -40, -42, 18, -20, -23, -23, 24, 17, 25, -30, 29, 25, 4, -51, 19, -2, 16, 29, 0, -30, 19, -25, 25, -39, 11, 47, 6, -25, 19, 14, -15, 38, -28, -27, 26, -44, 9, 43, -2, 16, -50, -40, 10, -15, 28, -24, 21, 7, -50, -25, 4, -49, -36, -27, -17, -48, -6, 32, 40, -57, 21, 42, -28, -45, -24, 11, -19, 7, -51, 7, 25, 15, -13, 8, 44, 30, -12, 18, -20, -13, -17, -2, -18, -32, 10, -11, -10, -11, -8, -2, -12, 34, 33, -16, -33, -12, -37, -3, 1, -14, -41, -20, 24, 50, 17, 9, 40, 35, 29, 13, -37, 17, 29, 13, -19, -26, -46, 22, -5, -17, -25, 37, 5, -16, -35, 28, -39, -6, 1, -21, -41, 5, 26, 37, -18, 1, -22, -55, 19, 18, -22, 3, 18, -24, 10, -8, 33, 4, -2, -8, -19, -33, -10, -24, 34, -3, 21, -10, 12, -13, -25, 24, -16, 27, -5, -44, -11, -14, -23, -7, -3, -45, -43, -29, -10, 64, 39, -41, 20, 28, -4, 67, 19, 5, 0, 1, -16, -41, 24, -14, 2, -10, -7, 30, 7, -14, 42, -20, 5, 14, 49, -16, -22, -33, 43, 5, -9, -12, -11, 7, -33, 31, 48, -27, -40, 40, 33, 16, 8, -23, -8, -4, -17, 24, -31, 24, 26, -1, 21, 47, -23, -34, 29, 21, -18, 40, 36, 10, -39, -37, -34, 3, -11, 43, 37, 0, 15, 26, 34, -43, 24, 9, 36, 16, 10, 27, -14, -33, -3, 4, -3, -42, -5, -44, 38, 17, 39, -17, -21, -39, -9, 24, -8, -11, 25, 12, 27, 37, -9, -12, 20, 26, -32, -3, 0, -37, -39, 10, 31, -17, -41, -36, -35, -14, -39, 15, -4, 18, 30, -6, 40, 38, -42, -14, -50, 43, 17, -39, -13, -14, -8, 10, -24, 7, -41, 33, -31, -32, -30, -7, -35, 23, -14, 12, 36, -13, 36, 12, 16, 7, -21, 29, 38, -30, -14, -36, 19, 14, -4, -33, -4, -36, 34, -18, 13, 35, 25, -5, 16, -46, 14, -46, -12, 38, -33, -32, -41, -12, 30, 37, 27, -23, 31, -17, -46, -36, 24, 18, 28, 35, -32, -11, 29, -28, -1, -33, -46, 12, -15, -13, 21, 6, 34, -5, 11, -40, 41, 20, 32, 6, 40, -28, 25, 7, -42, -32, 3, 31, -41, -40, 10, 29, 21, 39, 9, -2, -36, -41, 39, -44, -44, 27, -6, -33, -17, -14, -27, -38, -22, -6, 22, 6, 12, 41, -8, -7, 9, -15, -10, -23, -39, -11, -3, -15, -26, 21, 32, -31, 13, -39, 7, -37, -22, -33, 0, 17, -35, -45, 12, 8, -29, -11, -20, -6, 27, -23, 16, 9, 7, -45, -47, 22, 16, 39, -1, 1, -26, 41, -11, -25, 7, 0, 23, -41, 10, 12, 5, 29, 28, -37, 12, -34, 30, -14, 43, -37, 30, 48, 26, -39, -4, 43, -25, 25, -12, -10, -1, 2, -17, 41, -33, -8, 9, 22, 15, -2, 24, 3, 41, -19, 8, -30, 5, 17, 26, -27, 8, 11, 4, 38, -47, -35, -34, 24, 14, -5, -34, -32, -23, -31, 0, -31, -4, 30, -16, -37, 30, 30, -2, -39, 10, 14, 34, 18, -6, -28, 33, 19, -29, -33, 5, 9, -27, 14, 31, 29, 36, -15, 7, -12, -9, -8, -41, -24, -15, 5, 37, 8, 16, 26, -45, 1, 0, 23, -4, 43, 38, -35, 0, 7, 22, -12, 7, 9, 29, 40, 38, -11, -24, 21, -30, -1, 18, -17, 5, -1, -42, 25, -23, -26, 6, 37, -26, 45, 25, 3, 4, -41, 30, 6, -40, 46, -17, -48, -2, -37, -20, 20, -18, 24, -35, 20, -30, -35, 32, 31, 19, -48, -46, -11, 11, -25, -37, -14, -33, 14, 6, -31, -22, 19, 11, -39, 11, -32, -43, 15, 18, 25, -22, 8, 18, 13, 20, -36, 38, -8, -18, 21, -12, -24, -19, 35, 33, -36, 26, 14, -24, 20, -42, 37, -45, -17, -41, -47, -45, -7, -24, 33, -2, -2, -7, -44, -4, -34, 22, 4, 6, -25, 26, 12, 23, 32, 43, 49, 52, 24, -31, 18, 0, -36, -10, 34, 10, -15, -38, 25, -48, -5, 32, -31, -21, -32, 0, 36, 29, 5, -19, -19, -42, 12, -3, -15, 6, 6, -34, -7, 43, 46, -27, 45, 40, -19, -13, -21, 20, 7, -48, -10, 21, 26, 15, -36, 36, 31, -1, -9, -3, 41, -26, -36, -29, 0, 7, 17, -34, -43, 3, -16, 6, -22, -17, -24, 27, -17, 16, 2, 20, -18, 7, -24, -26, -33, -22, 25, 10, -1, -3, -29, -43, 5, -19, -35, 25, 42, 45, 3, 37, 43, 29, 1, 41, 2, 11, -42, 10, -31, 12, 0, -6, -43, -28, 52, 8, -43, -5, -37, -17, 25, 42, 13, 41, -5, -28, 19, 11, 25, 25, -11, 0, -4, 27, 30, 0, 41, 43, 35, -43, -24, 33, -3, -32, -21, -37, 6, 39, 27, -22, 8, 13, 13, 41, -33, 10, -36, 10, 2, 12, -35, -30, 9, 2, -10, -5, 35, 34, 44, 26, -27, 6, 2, 28, -1, -3, 6, 44, -11, 37, -20, 19, -36, -23, 0, -11, -38, -40, -29, -18, -21, 37, 41, 15, -46, -38, 17, 18, 30, 10, 32, -29, 10, 4, -45, -30, 33, -7, 42, -38, -28, -44, -37, -34, -24, 24, 5, 0, 32, -21, -23, -26, -39, 0, -22, 10, -38, 19, -43, 1, 34, 19, 48, -15, -30, -24, -41, 16, -27, -8, 20, -21, -12, -29, 27, -11, -25, 21, 49, -20, 8, 27, 4, -17, 4, -43, -13, -31, 31, 25, -22, -7, -41, -41, -12, -15, -12, 15, 36, 14, -3, -17, -2, -35, 13, 6, -5, -1, 40, -43, 40, 5, -25, -1, 43, 31, 12, -35, -44, 26, -3, 5, 37, -49, -13, 21, -26, -37, 36, 8, -9, -35, 24, -41, 10, 1, 38, -50, -5, -1, 4, 31, 3, 2, -33, 20, 40, -29, -17, -31, -14, 44, -29, -33, -12, -41, -24, -3, 34, 30, 22, -19, -7, -30, 5, 3, 13, 14, -5, -31, 22, -21, -40, 4, -34, -22, 2, -50, -41, -10, 36, 5, 25, -24, -18, 8, -44, 18, -9, -4, -27, 22, -26, 1, -48, 43, 30, -38, 7, 44, 30, -45, 8, -3, 2, 36, 32, -36, -16, 18, -7, -28, -16, -8, -4, -26, -8, 14, 40, 27, -20, -1, -7, 15, -4, 1, -20, 34, 9, 24, -45, -43, 45, 50, -21, 11, 5, 16, 39, -15, 41, -42, -26, 38, -11, -49, 28, -10, 28, 19, -33, -15, 20, -44, 31, -31, -5, 1, -2, 20, 9, 22, 20, -44, 32, 10, -4, 11, -34, -11, -6, -3, -12, 6, -31, -46, 10, -12, -30, -37, 28, -35, -23, -2, -17, 6, 47, 45, 35, -37, -13, -39, 21, -41, 30, 23, -18, -4, -32, -5, 42, -36, -14, 25, -9, 15, 8, -3, -2, 39, -36, -39, -8, -7, 26, -25, -31, -15, 29, 13, -5, 50, -30, -17, 43, -21, 7, -45, -42, -9, 20, 37, -27, -41, 19, 20, 36, -32, 21, -29, -19, -5, -23, -40, 12, 37, -39, 19, 8, -37, 29, -48, -41, 13, -16, -2, 2, 42, -3, -36, -5, 39, 39, -17, -32, 17, -14, 3, 28, -46, -24, 11, 30, -15, 43, 17, -24, -18, -38, 5, 14, 38, -21, -30, -38, 17, 2, 16, -45, 15, -26, -36, 18, -15, 5, 12, 11, 8, -28, 12, 30, 24, -1, 42, 1, 35, -14, 42, -15, 10, 15, -30, 0, 8, -26, 38, 20, 31, -41, -12, 13, -15, -6, 26, -4, 5, 6, 31, 18, -27, -29, -40, -12, 12, -18, -1, -1, -25, -34, -25, 18, 24, -26, 33, 32, -52, -18, -20, -25, -30, 22, -21, -43, -11, -15, -5, -37, 30, 28, -20, 26, 34, -11, -45, -13, -41, 35, -17, 5, 20, 28, -30, -41, -47, 17, -38, -48, 19, 23, -37, 40, 24, -21, 41, -45, 34, -1, 43, -1, -8, 28, 7, -8, -9, -42, 8, 18, -29, -10, -42, 41, -6, 1, -30, -32, 33, 4, -24, -18, -6, 30, 31, 5, -19, 2, -4, 9, 29, 49, 4, 14, 24, 22, -32, -26, 30, -37, 3, 17, 12, -6, -48, -20, 12, -57, 46, -8, 35, -22, -17, -2, -14, -35, -42, -5, -24, -19, -35, -33, -10, 16, -20, -42, 7, 29, -43, 41, 19, 45, 4, 30, -40, -15, 48, -36, -49, 29, -9, -50, -30, -6, -21, 14, -23, -6, -25, -38, 34, -13, -18, 29, 3, 9, -30, -17, -46, -34, -59, -20, -19, 3, 38, 7, 33, 36, -6, -14, 13, 2, 59, -24, 27, -12, -16, 10, -14, 10, 18, -9, 39, 28, -13, -50, -33, -20, -32, -6, 12, -35, -41, 24, -24, -12, -11, 39, 61, 2, -7, 8, 22, -22, 15, 3, 37, 10, 26, 7, 30, -14, -2, -32, 10, -44, 1, 29, -23, 31, -39, 41, -13, -36, 10, 1, -11, 12, -10, 44, 36, 5, -13, 16, 2, 38, -23, 31, -1, -23, 33, -30, 61, 40, -52, 4, -24, 22, 18, 15, -28, -39, 18, 13, 21, -33, -48, -11, 27, 37, -29, 3, 26, -3, 5, 30, -44, 14, 7, 13, -1, 37, 13, -12, -41, 10, 5, 46, 20, 20, 0, 23, 21, 7, -15, -36, -32, -29, 25, -33, -2, -7, 45, -15, -7, 27, -46, -30, 3, -22, 10, 35, -15, -2, 47, -19, 23, -27, -3, 43, 13, -3, 31, -35, -12, 6, 15, -17, -16, -46, 21, 15, -1, 12, -3, -25, -11, -34, 17, -22, -37, -21, 42, -33, 36, 9, -28, -11, -3, -35, -7, -2, 35, 43, -8, 39, 37, -29, 28, -29, -6, -11, -9, 30, 49, -40, 6, 8, 30, 8, 35, 27, 8, -18, 6, 1, 13, 26, 51, 37, -25, -9, -14, -14, -26, 8, -32, 24, -21, 24, -36, -15, -51, 13, -8, 28, 29, -18, -47, -17, -25, -18, 29, -1, -36, -29, -11, 2, -12, -26, 25, -51, 20, -30, -32, -7, -10, -44, -10, -12, -34, 21, -5, 10, -3, 40, -25, 27, 29, -42, 48, 11, 6, 42, -16, 39, 19, -15, 27, 45, -25, -14, -39, -9, -3, -35, -34, 21, 1, 42, 40, -26, 9, 20, -38, 42, 39, -45, 0, -6, -3, -46, -7, 40, 1, 33, -35, 20, -3, -48, -13, -48, -8, 20, 25, -23, -3, -9, -15, 10, 47, -39, 14, 3, -17, -49, -42, 29, 23, 26, 27, 48, -19, -16, 2, -20, 11, -9, -7, 36, 23, 24, -12, 1, -18, -47, 15, 35, 29, -57, -29, -3, -6, -46, -16, 40, 10, 44, -32, -4, 20, -1, 29, -16, -32, 44, -15, 9, -12, -1, 32, -20, 42, -15, -46, 2, 4, -2, 4, 6, 40, 16, 19, -29, -30, -38, -27, -12, -29, 4, 32, -4, 39, 9, 9, -35, 36, 10, -24, -11, -31, -27, 15, 18, 10, -22, -4, -38, 10, -39, -5, -32, -19, -2, 20, -37, 34, -15, 42, -2, 5, -6, 27, -7, -52, -12, -27, -36, 35, -26, -3, 10, 49, 14, 21, -37, 33, 28, 15, 30, -17, -1, 16, 33, 11, 31, -40, -22, -23, -29, -5, 1, 0, 29, -43, 20, -17, 12, -23, -8, 38, 44, 19, 27, 6, -1, 28, -40, 5, 14, -33, 33, -8, 53, 13, 11, 23, -20, -8, -3, 5, 2, 21, 19, -32, -49, 24, 22, 19, 64, -9, 26, -21, 1, -28, -45, -38, 45, 2, 30, -30, -3, -38, 5, 26, 12, -9, 46, -9, 43, -10, 8, -10, -36, -46, -35, -47, -35, 24, 27, -17, -26, 9, -39, -23, -16, -35, 25, -28, -17, -12, 28, -21, -18, 3, 21, -9, -19, -42, 19, -22, 33, 10, -29, -20, 2, 2, 9, -6, -25, 8, 27, 4, 15, -4, -9, -40, 9, 52, 57, 20, 5, -16, -10, 7, 4, -14, -14, -39, -1, 2, 24, -6, -10, -13, 47, 3, 8, 42, 0, 25, 30, -39, 33, 52, -21, 53, 18, -26, 35, -4, 50, 4, 26, 32, 44, 24, -7, 35, -5, -21, -21, -48, -4, -13, -43, -25, -29, 19, -17, 35, 7, -22, -38, 20, -29, -11, -48, -50, 24, -27, 9, 1, 43, 20, -13, -10, 5, 14, 30, 3, 3, 4, -26, 2, 4, 26, 21, 1, -30, -15, -14, 37, -27, 51, -26, -37, 48, 36, 18, -6, 21, 41, 11, 23, -33, 33, -5, 8, 20, -23, 44, 31, 3, -15, 8, -46, -33, 23, -4, -6, 44, 21, 22, -44, -19, -17, -6, 23, -2, 31, 26, 5, 31, -6, 23, -34, 43, 6, 13, -29, 28, -37, 4, -23, -20, 10, -34, 3, -8, -19, -31, 13, -37, 24, 2, -32, -42, -35, -46, -7, 24, -22, -40, 16, 8, -7, 11, -15, 10, 23, 38, 29, -16, -28, -40, 1, -27, 46, 33, -32, -4, 15, -30, -41, 4, 14, 25, -46, -3, 45, 23, 3, -7, 45, 2, 10, 17, 46, 24, -12, 7, -1, -11, 19, -30, -48, 38, 17, 26, -50, -37, 15, 15, -29, -18, -44, -1, 24, -23, -11, -7, -39, 6, 33, -55, 17, -20, 1, 18, -11, -48, 8, -33, 34, -18, -12, 29, 39, -45, 39, 13, 2, 22, 7, 47, -2, 1, 49, 21, 40, 43, -29, -29, 18, -47, -26, -30, -45, -26, 22, -33, 33, -24, 17, -30, 34, -13, 7, 28, 14, -46, 7, -37, 22, -13, 30, -17, 0, -17, 48, -8, 10, -1, -3, -22, 6, -1, 26, -14, 9, 0, 12, -27, -5, -35, -49, 19, -30, 16, 8, 11, 43, 24, -10, 43, 27, -11, 2, -44, 41, 43, 24, 37, 23, -9, 31, 7, -35, 10, 17, -32, -2, 42, -23, 26, 9, 46, -18, -24, 28, -12, 30, -24, -32, -7, 17, 11, 10, 19, 27, -12, -36, 11, 4, -36, 36, 18, -54, -26, 19, 45, -33, 15, 33, 6, 23, -2, 30, -23, -26, 45, 18, 3, 14, -25, 38, 38, -33, 10, 39, -3, 4, -46, 23, -14, 33, -17, -28, 10, -8, -11, 27, -40, -11, 38, 40, 22, 25, -7, 7, -33, -3, 37, 14, 14, -27, 57, -26, 34, 10, 17, 15, 5, 32, -17, 0, -7, -28, 12, -32, 1, 3, -52, 14, -16, 0, -19, -14, 26, -37, -44, 21, -38, 36, -32, -23, 10, 26, 6, 44, 53, 18, -2, 8, -27, -35, -41, -42, 34, 3, 18, -30, 25, 14, -15, 15, -31, -27, -28, 48, 19, -27, -8, -31, -24, -1, 28, -45, -8, 12, -51, 18, 13, 11, -7, -50, 17, 16, -10, -35, -34, 8, -12, 40, 31, -49, -22, 20, 4, -30, -4, -26, -26, 44, 15, -27, -28, -17, -47, -37, -9, 7, 36, 0, 4, -32, -20, -14, 28, 35, -15, -14, -17, 6, 13, -21, -42, 0, 13, 4, -1, -8, 31, 46, -3, 11, -2, -49, 7, -27, -27, 8, 40, -19, -29, 33, -5, 28, -39, 7, 25, -26, -15, 8, 39, 36, -69, -54, -14, -9, -13, 33, -22, -32, 47, -1, -33, -21, 12, 42, 13, -25, 4, -37, 18, 26, 32, -26, 8, -11, -49, -21, 7, -10, 36, -10, 1, 18, -35, 3, -45, 39, 11, -47, 79, 49, -49, 5, 33, -22, 37, -19, 30, 32, -6, -7, 9, 1, -37, 17, -24, 34, -28, -33, -20, 4, -3, -10, -14, 12, 23, 20, 11, 9, -43, -3, 25, 23, 8, -28, -21, -58, -26, 13, -29, 30, -17, -3, 17, -31, 42, 5, 25, 24, -10, 5, 27, -14, 27, -52, 28, -43, -35, 1, -3, -3, 43, -47, 0, 1, -29, 6, -46, 11, -30, 22, 75, -34, -20, 67, -63, 51, 55, -30, -34, -18, -43, -17, -2, -4, -21, -26, 34, 3, -36, -9, -40, 16, 37, 8, -5, 27, -28, 31, 3, -2, 33, 26, 20, -30, -4, 34, 26, 21, 8, -19, 11, 24, -10, -55, -12, 15, -24, -29, -17, 4, -19, 8, 11, -10, 8, 33, 10, 11, 37, -11, 30, 16, -2, 24, 54, -31, -26, -17, -26, -18, -42, 46, -37, 38, 31, 2, 41, -23, -23, 33, -29, 20, -40, 3, -28, -29, 17, -16, 11, -1, 3, 43, -36, 26, 2, -14, 3, -18, -21, 31, -30, -16, -41, -58, -6, -36, -14, -11, 41, -10, 3, -19, 26, -47, 36, 27, 31, -29, -25, 15, 41, 47, 15, -12, 10, 20, -14, 2, 43, 1, -41, 10, -35, 11, -13, -2, -1, 31, 11, -17, 38, 42, 15, -44, -23, 26, 10, 19, -8, -28, -22, 34, -5, -3, 6, -7, 26, -2, 31, 40, -20, -1, -16, 22, 6, 16, 31, 40, -40, 4, 4, -12, 38, -8, 10, 39, 6, -12, -23, -38, -20, 0, -28, 11, -28, -11, -29, 25, 32, 20, 19, 24, 33, 14, 43, 25, -25, -8, 29, 17, -42, 2, 10, 22, 16, -18, -27, -18, -9, -55, -14, -30, 19, 6, 8, -11, 23, -23, 27, 37, 40, 28, 14, 29, 29, 8, -19, -43, -6, -30, -11, -12, 27, -8, 26, -45, 18, -6, -4, -2, 16, -15, 1, 17, 21, -42, -37, 14, -7, -46, -31, 11, -19, 29, 24, -25, -47, 14, -28, -39, 3, 21, -25, -30, 36, 22, 33, -20, 39, -2, 26, -3, 33, -13, 22, 5, 7, 30, 2, 4, -5, -22, 30, 3, -46, 10, -31, 38, 28, -13, 24, 9, 14, 28, -4, -8, -43, -27, 21, 7, -8, -26, -59, -16, 7, -6, 8, -29, -11, 31, 6, 28, -20, 19, -2, -13, -13, 19, -51, 7, -19, -2, -21, -31, -11, -24, -40, -57, -47, -51, -71, -20, -11, 9, -6, 15, 32, 21, 22, -13, -13, 6, -45, 5, -23, -23, 5, 7, -69, -83, -3, 7, -12, 37, -40, 12, 22, -12, -18, -26, -34, 18, -30, -17, -36, -48, -18, 7, -34, -30, 13, -44, 68, -12, -57, 53, 34, 44, 32, 2, -1, -15, 6, 1, 12, -9, 20, 8, -32, -59, 36, 10, -31, -45, 34, -30, 0, 4, 41, -26, -17, 30, 20, -46, -13, 29, 40, -13, -9, 11, -26, 25, 7, -17, -26, -30, 2, -3, -31, 36, 33, -23, 21, 38, -14, 28, -9, -15, 8, 8, 9, 2, -38, -16, 32, 9, 14, -44, -5, -37, 25, 38, -4, -48, -35, 25, 21, 22, 4, -43, -10, 22, -28, -23, 12, 25, 2, 37, 24, -1, -26, 4, 24, 16, -4, -36, -40, -41, 0, -9, -28, 19, -31, -2, -45, 40, -50, -13, 13, -68, -9, -17, -10, 4, 7, -1, -29, 14, -9, 3, -39, -10, -2, -20, 21, -7, 2, 7, -35, -3, -37, 3, -22, -19, 33, 40, -25, 9, 7, -36, -24, -25, -12, -56, -15, -12, -22, -33, -42, -25, 56, -27, -17, 49, -47, 11, -38, 13, 27, 45, -3, 17, -18, -35, 32, -33, 41, 24, -28, -9, 30, -19, 8, 24, -14, 46, -27, 9, -35, -33, -14, 14, 40, -48, -5, 11, 21, -10, 15, -9, -23, 16, -28, 9, 48, -39, 34, -12, -32, 7, -39, 2, 31, -25, -33, -1, 43, 7, 73, 28, -18, -13, -7, 20, 35, 17, -39, -18, -48, 42, 14, -25, 37, -1, 23, -48, -32, -24, 27, 29, 35, -36, -33, 36, 45, -40, -7, 9, -44, 4, -6, 31, 39, -12, -1, -24, -22, -6, 41, -37, 4, 24, 3, -22, 43, -42, -13, -22, -18, -28, -10, 14, -4, 10, -46, -24, 31, 21, -1, -14, -42, 9, 17, 2, 5, 16, 39, 49, 27, -33, 23, -20, 3, 11, -14, 25, 35, -2, -21, -23, -13, 31, -31, -6, -37, 11, -2, -18, 20, -9, -37, -19, 28, 15, 34, -31, 22, -8, -29, 2, 45, 3, -10, -38, -10, -42, -13, 17, 28, -26, -2, -13, -24, -27, 40, 18, -6, -16, 36, -23, 13, 48, -28, 13, -5, 5, -11, -18, 3, 43, 37, 57, 16, -4, -34, -5, -43, 23, -24, -37, -19, -15, -21, -40, 32, 9, 43, 59, 7, 32, -31, 5, -29, 13, 12, 26, -14, 47, 3, -26, 43, 70, -34, -15, 48, -3, 12, 37, 33, -41, 42, 2, -46, -30, 11, 15, 42, -35, -29, -7, -42, -3, -22, -10, 27, -18, 8, 12, -19, 23, 10, 3, -27, 6, -25, 56, -30, 23, 17, -2, -32, -35, 17, -3, -34, -42, 2, -20, 24, 14, -9, -35, 21, 9, -28, 45, 39, -3, 31, 38, -31, -27, -17, -56, -10, 6, 43, 22, 22, 17, -13, -41, 44, 22, 27, -24, 46, 30, 1, 44, -24, -39, 46, -29, 21, -34, -46, 15, -31, 4, 18, -35, -30, 2, 8, 8, -32, -39, 29, 32, -31, 18, 23, 6, -38, -16, 8, 33, 37, -36, -10, -34, 30, -13, -30, -48, -46, 10, 29, -17, -26, 11, -8, -23, -5, -56, -25, -48, 14, -32, 27, -3, 26, -12, -28, -33, 23, 25, -31, -34, -3, -26, -12, 45, -32, 32, -41, -9, 10, -10, 13, -2, 34, 4, 13, 44, -8, -46, -13, -32, 8, -7, 39, -33, -41, 24, -39, -21, 41, -39, -38, -14, 3, 26, -2, 33, -24, -2, -18, -24, -48, -29, 25, 24, -65, -17, -19, 52, -11, -5, 31, -42, -4, 41, -7, -26, -4, -55, 43, -52, -5, 26, -19, 20, 15, -28, 18, -33, 6, 3, 25, -25, -39, 22, -30, 8, -15, -42, 3, -39, 35, 26, 20, -14, -12, 3, -8, 25, 22, 20, 67, 30, -16, 32, 7, -3, 7, -8, 13, -3, -17, -13, -30, -26, 53, -18, -15, -24, -22, 8, -44, 18, -40, -9, -6, -42, -48, 12, -44, -13, 29, 24, 37, 19, 26, 2, -27, 1, 17, -30, 43, 39, 21, -19, -39, -11, -43, -2, 10, 39, -1, 39, -3, -38, 17, 38, -23, 21, 45, -4, -27, 18, 39, 12, 16, -6, 41, -23, -17, 6, -49, -18, -17, -12, 19, -20, 43, 34, 30, -28, 36, -7, -16, 23, 37, -28, 7, -14, -13, 2, 2, 14, 39, 16, -15, 30, -9, 31, -14, -43, -4, 33, -43, -42, -2, 19, -22, 24, -35, 17, 46, 3, -27, 13, -23, 6, 5, 0, 44, 54, -44, -16, 15, -22, 18, -25, -41, 21, -33, 11, -15, -13, -9, 3, -18, 34, 29, 8, 17, 18, 12, -31, 41, -13, -5, 0, 8, -11, -34, -23, 19, 4, 42, -18, 18, -30, 9, 15, 2, -14, 13, -43, -19, -40, -19, -5, 37, -11, -22, -41, 27, 24, -6, 35, 48, 18, 7, 22, 21, 31, 24, -23, 17, 39, -47, 4, 41, -10, 8, -39, 8, -42, 11, 37, 41, -5, 18, -29, 0, 42, -20, 21, -42, -33, -6, 0, -33, 41, 6, 44, 21, 11, -32, -3, -31, -6, 4, 4, -6, -21, -25, -15, -23, -41, -40, -25, 16, 46, 32, -16, 12, -26, 37, -26, -40, -15, 36, 18, 21, 43, -27, -41, 32, 3, 41, 10, -41, -14, 0, 32, -33, -33, -36, 43, -21, -40, 0, -18, 19, 13, 9, 2, 42, 10, -41, 22, -25, 32, 37, -39, -12, 11, 50, 23, 28, 15, 35, 7, 23, 10, 18, 15, 1, 6, -15, -25, -27, 27, 20, 31, -5, 45, -10, -5, 18, -29, 12, 8, -13, -33, 26, 26, 37, -24, -41, 1, -30, 5, 17, -22, 1, -48, 2, 11, 41, -29, 23, -35, -14, -22, 0, -1, 33, -32, 9, -13, 15, 13, 15, -37, -23, 20, 42, 8, -30, -20, -10, 35, 34, -14, 22, 5, -11, 30, 42, 24, 8, 42, -33, -41, 1, 38, -39, -45, -4, 44, -40, -14, -26, -28, -44, -4, -17, -43, 33, -43, -45, -26, 23, -37, -38, 32, -35, 37, -49, -15, -41, 34, -7, 25, 31, 23, -22, 9, -12, 19, 28, -23, 9, 33, -36, -16, 2, 19, -14, 2, 13, 43, 40, 24, 37, -23, -36, -39, 19, -20, -26, 3, 1, 21, 4, 25, -36, 41, -15, 10, 5, 17, -42, -38, -2, -41, -28, 36, 17, 44, -12, 10, -28, -38, -32, -46, -7, 35, -27, 17, -31, -47, -11, 30, 9, -32, -35, 11, -38, 18, -45, -24, 4, 22, -20, 43, 26, -28, -20, 0, -6, 37, -16, 14, -32, 17, 0, -7, 1, -11, 40, -41, -6, -28, 41, 38, -46, 42, 10, -41, -8, 2, 34, -44, -23, -35, -24, -17, -4, 36, -21, 19, -1, 40, -23, 21, -43, -45, -21, -21, 1, -15, -1, 47, 40, 31, -7, -25, 42, -18, 29, -1, -45, -31, -25, 18, -24, 1, -5, 1, -42, 6, -4, -10, -27, 41, -36, 41, 12, -26, -21, 36, -36, 22, -13, -19, -39, -19, -41, 39, -33, -35, -19, -14, -24, -45, -25, 7, -27, 1, 34, -46, -37, -41, -10, -14, 21, -24, -1, 30, -35, 14, -49, -27, 5, -8, 31, -1, -35, 2, 4, -6, 41, 19, -46, 28, 18, -7, 14, -8, -32, -37, -28, 39, 33, -20, 12, 36, -21, -37, 8, -13, -18, -37, 34, -31, -20, 35, 12, -24, 23, 44, -33, -46, -29, -4, -16, -22, 13, -25, 20, 24, 26, 31, 7, 19, -34, 18, 42, 38, -1, 38, -20, -16, -19, 34, -19, 6, -19, 30, 0, -45, -17, 5, -13, -1, -39, -15, 5, 11, 28, -15, 32, -37, -19, -8, -6, -8, -38, -33, 29, -29, 31, -11, -17, -44, -42, 18, -8, -18, 23, -35, 3, 36, -13, -44, -18, -28, -13, -2, -31, -40, 42, -36, -32, 21, 39, -26, -19, -1, -28, -4, 29, 21, 39, -33, -39, 34, 22, -17, -13, -28, 21, -25, -12, 19, -39, 34, 8, 5, 13, -42, 33, 44, -22, -11, -11, 40, 35, 1, 37, -14, -14, -23, -8, -9, -9, -29, 14, 10, 9, 36, 9, 0, -40, -23, -19, -34, 10, 22, -2, -27, 28, 25, 45, 34, 13, 21, -1, 32, -15, -46, -3, 46, 49, 0, 16, -4, 42, -33, 7, 40, 20, 35, -37, 6, -29, 19, -4, -23, 28, 37, 13, 9, -33, 32, -31, -16, -41, 32, 32, 11, 13, -14, 18, -45, -12, -26, -4, 20, 33, 28, -44, -26, 27, 14, -2, -4, 28, -32, 5, 15, -42, -21, -34, -19, -35, -22, -17, 18, -39, -3, 3, 6, 18, -4, -31, 22, -19, -27, -8, 31, 20, -43, 7, 13, 26, -16, -27, -23, 24, -12, -16, -24, 35, -19, -12, 5, 32, -1, -45, -24, -24, -34, -6, 36, 6, 40, -45, 34, 45, -40, -3, -41, -7, -42, 11, -1, -2, -18, -41, -36, 5, -18, -29, -25, -15, 8, 30, -21, 11, 47, 2, -25, 36, -32, -30, -25, -4, -40, -13, -39, 12, -39, -16, 22, 43, 38, 2, 6, -8, -39, -31, 8, 17, 20, -41, -35, -20, 0, -5, 20, -21, -40, -41, 9, 18, 3, -5, -33, -7, 20, 13, -5, 6, -14, -16, -21, -3, -7, -3, -35, -41, 6, -38, 3, 46, 45, 1, -28, 47, -14, 1, 17, 49, -24, 29, 20, -17, 33, -13, 37, 11, -20, -12, -33, 12, -33, -43, 13, -13, -30, -28, 20, -24, -10, -36, 6, -30, 14, 22, -3, -39, -23, 10, -33, -23, 0, -6, 25, -25, 5, -35, -44, 27, -30, -15, 15, -19, 0, -31, 27, -37, -30, -35, -3, -17, 30, -14, 13, -16, -38, -31, 6, 32, 8, 12, 14, -32, -41, 48, -5, 21, -22, -36, -21, 30, -36, 11, 34, 31, -26, -1, -25, -2, -17, -46, 15, -34, 14, 7, 6, -23, -20, 13, -7, 3, 30, -13, 1, 18, 10, -33, 7, -3, -35, -45, -32, -37, 40, -11, -29, -21, 23, -34, -47, -50, -3, 18, 27, -5, -31, 38, -46, 38, -46, 17, -36, 21, 4, -13, -10, 35, 27, 3, -20, -6, -7, 39, -16, -10, 14, -2, -31, -36, 4, -30, 29, -41, -3, 30, -30, 35, 38, -10, -44, 11, -37, 29, -21, -40, -34, -4, 22, -3, -1, -40, 48, 35, 15, -6, -16, 4, 9, 41, 28, 11, 36, 41, -31, -11, 35, 38, 22, 47, -15, -7, -6, -36, 14, 32, -32, -38, -37, -40, -41, -3, -21, 8, -38, -40, -21, -38, 12, -43, -13, -27, 19, -38, -14, 7, -40, 7, -3, 4, 2, 44, -35, -31, 16, -17, 11, -34, -30, -27, 0, 7, -20, 0, -7, 0, -43, -8, -18, 14, -37, -45, -29, 17, 13, 32, -12, -1, 12, -29, 32, 16, 0, 38, -13, 34, -40, 33, -9, 30, -26, -22, 29, -45, -18, 20, 21, 15, 18, 22, 45, 8, 37, -22, -36, 27, -36, 10, -27, -9, 12, 44, -10, 33, 24, 36, 1, -34, 29, 12, 10, 5, -34, -21, 11, -11, -9, 27, 26, -41, -46, -38, -27, -25, 29, -26, -18, 7, -18, 1, 42, 23, 28, -44, -10, 7, -19, -25, 46, -6, -1, -5, -32, 38, 50, 17, -13, 19, 11, 40, 18, 4, 31, 18, 38, 25, -4, -9, 17, 33, -5, 41, -7, -37, 22, -11, -32, 34, -42, -9, -44, -15, 15, -44, -47, 45, -36, -35, 41, -4, 31, 32, -1, 7, 24, -21, 30, -11, 35, -3, 21, -43, 50, -20, 27, 64, 32, -14, -4, 20, 36, -16, -11, -38, -37, 0, -20, -56, -18, 19, -26, -2, 41, -14, 22, 29, -32, -58, -3, -27, 19, -1, -35, 36, -14, -42, -33, 8, 11, -6, -40, 16, -26, -48, 30, -7, -7, -46, -48, 23, 31, 7, -34, 14, -39, 2, 10, 36, 25, 1, -29, -3, -32, 47, 18, -18, -41, -32, -35, -10, -30, -48, 13, 20, 31, 47, 8, -8, 17, -38, 4, -19, 10, 26, 7, -9, 27, 13, -18, 4, -28, -2, 23, -40, -15, -8, -2, -45, -31, -21, -22, -18, -27, -27, -38, 25, -1, -16, 3, -7, 37, 47, -7, -47, 45, 12, -30, -24, 25, 28, 21, -41, 3, 9, 27, 19, 10, 37, -36, 34, 2, 43, -22, 25, -42, 49, 42, 18, -14, -25, 23, 29, -36, 12, -6, -26, 19, 26, 8, -18, -27, 4, -38, -32, -39, 3, 14, 4, -44, -2, -32, -9, 30, -24, 4, 25, -2, -6, 17, -25, -10, -1, -40, 22, 38, 26, -41, 15, 26, -14, -40, 43, 28, -22, -8, 37, 16, -38, -2, 34, 28, 11, -45, 0, -6, -30, -25, -29, 30, 20, 24, -19, 39, 18, -26, -34, 13, -20, -4, -36, -18, 11, 1, 18, -38, 42, -23, -19, -29, -13, -4, -27, 14, -25, 24, 45, 5, -24, 6, -35, -28, -27, -31, -15, -13, 31, -40, -21, 43, -1, 2, 24, 27, -50, -21, 16, -44, 5, 6, 1, -17, 7, -32, -14, 48, -39, -26, 17, -7, 22, 42, -41, 5, 20, 6, -4, 29, 39, 24, -31, -43, -18, 33, -17, -25, -41, -13, -20, -3, -33, -5, 30, -35, 8, 38, 29, -32, 24, 14, -7, 25, 25, -22, 30, -9, 12, 19, -27, 39, -26, -22, -2, -29, -43, -34, 26, 4, -40, 34, -17, 27, 37, 21, -23, 26, 36, -31, -28, -9, 5, -1, 9, -1, 22, -12, -11, -7, -46, -15, 32, 24, -9, -24, -23, -21, 27, -7, -46, 19, -5, 45, 5, 23, 37, 5, -22, -39, 18, -15, -49, -41, 32, -51, 3, -31, -23, -17, -1, 27, 34, -1, -23, -39, 39, -6, -43, -39, -28, 12, 48, -13, -4, 15, 33, -9, 11, -6, -4, -33, 1, 46, -1, 22, 9, 17, -30, 34, 23, -16, 21, 0, 30, -12, -41, -36, -11, 36, -7, -39, -13, 11, 15, -14, 33, 12, -16, -6, -17, 19, 5, -16, 0, -47, -11, -13, -14, -19, -31, -9, 25, -18, -52, -1, 25, 5, -2, -51, 8, -13, -4, -50, 20, 36, -2, -28, 45, -31, 16, 19, 35, 29, 33, 28, 25, -30, 3, -22, -23, -38, 35, -24, -35, -38, 30, 29, -16, 43, -13, -16, -21, 6, -3, 3, 29, 17, 33, 26, 27, 22, 15, 42, -39, -18, -39, 35, -35, -7, -33, 40, 7, -28, -31, 29, -9, -33, 39, 31, -46, 32, 30, 36, -38, -16, -24, 15, 15, -34, 38, 15, 30, 12, -13, -34, 14, 39, -38, -3, 11, 17, -17, -14, 40, 39, -18, 32, -2, -32, -23, -6, 21, 6, 4, -53, 38, 17, 24, 12, 25, -26, -34, 5, -5, -8, 32, 19, -16, -1, 24, 9, -39, -23, 36, 18, 2, -32, -5, 5, 3, -4, -13, -44, -21, -26, 14, -4, 24, -37, 24, -36, 39, 20, 18, -1, 38, -10, 3, -15, -21, -5, 0, -26, -44, -21, 8, 31, -11, -20, 24, -1, -45, 39, -2, 37, 32, -2, 18, 5, 36, 15, 33, -34, 6, -2, 30, 10, -3, 29, -24, 17, -40, 14, -44, 1, -5, -45, 30, -12, 11, -38, 17, 28, -7, 55, -42, -17, 66, -17, 53, 36, 15, -19, 6, -31, 34, 29, -42, 27, 32, -8, -49, -20, 43, -43, 15, -46, -22, -52, 8, -30, 11, -8, -34, 15, 31, 55, 27, -15, -15, -42, 36, -12, -21, 30, -2, -17, 8, -46, -6, -39, -7, 7, 2, -26, 7, 36, -7, 29, -27, -5, 25, -35, 32, -4, 29, -53, -3, 21, 7, 2, 36, -32, 41, -3, -44, -21, -5, 10, -9, 4, -5, -17, -45, 22, 34, 6, -2, -43, 28, -5, -15, 2, 46, -22, -6, 17, -50, 29, -20, -29, -37, 29, -10, -31, -15, 41, 12, -30, 18, -55, 17, -37, -52, 42, 13, 23, 20, 29, 6, 33, 36, -3, -37, -16, 11, 14, 56, 7, 38, -13, -6, 39, -44, 1, -25, 28, 2, 11, -46, -8, 17, -14, -46, -19, 23, -44, 13, 15, 17, -21, 23, 19, 33, -45, 13, -27, -7, -17, 35, -28, -32, -16, -52, -5, 2, -36, -14, -20, 26, -26, 60, 18, -34, -15, 33, -55, -3, -24, 26, -24, 5, 17, 60, -28, 6, -12, 3, -12, -9, 46, 0, 6, 37, -40, -35, -26, 10, -7, -14, 18, 36, 30, -42, 40, -1, 46, 9, 41, 21, 1, 6, -40, -30, 45, -28, 17, -1, 22, -18, -42, 6, -37, -37, -5, -6, -51, -35, 19, -2, 32, -47, 39, 48, -29, 20, -22, 28, 20, -4, 28, 36, -31, -18, 35, -33, 24, 20, 31, 28, 7, 19, -11, 15, -29, -30, -6, -13, 0, -44, -13, -34, -9, -34, -38, 41, 44, -20, -3, -24, -9, 10, -9, -9, 2, -44, -2, 9, -6, -44, 14, 20, 2, 31, 17, 47, 26, 8, -11, 21, 15, 19, -23, 51, 26, -34, -34, 18, -10, -20, 25, -10, 15, 13, 1, -6, 21, 9, -8, 49, -40, -35, 2, 14, 46, -13, -24, 4, -38, -20, -44, -24, -36, 35, -9, -15, -44, 35, 23, -13, 1, 23, 4, -23, 13, -28, 41, 32, 29, -4, -10, 36, 39, 48, 19, 5, -35, -34, -19, 28, -14, 24, 10, 1, 22, -26, 9, 35, -1, 6, -2, 42, -1, -19, 28, 12, -37, -52, -25, -19, 16, -37, -1, -11, 22, 32, -22, -17, 41, 19, 25, -23, 7, 14, -49, -24, 28, 33, -8, 39, 29, -5, -36, 33, -7, -7, -23, -4, -4, 14, -33, -9, 32, -36, 9, -7, 16, -60, 8, 4, -49, -31, 54, -16, -1, 40, -12, 32, -11, -23, -29, -29, 20, -13, -49, 7, -42, -25, -18, 55, -25, 21, 10, -2, -38, 22, 37, -5, -51, -29, 20, -18, -20, -28, -48, 4, 2, -39, -19, -19, 1, -47, 28, 15, 32, 44, 42, 28, -20, -17, 23, -15, 34, -18, 41, 5, -9, -19, 32, -31, -24, -45, -42, -6, 25, -10, 46, 12, 0, -57, -35, 36, 18, 34, -11, -44, 24, -24, -10, -36, -6, -34, 21, -7, 45, 29, -31, -5, -35, 22, -23, 33, 44, -10, 0, 7, -23, -23, -42, -28, 21, -3, -32, -12, 23, 5, 32, -33, 18, 32, 41, -34, 13, -5, -24, -19, -21, -39, -33, -23, 22, 26, -3, -5, -47, 10, 42, -39, 5, -33, -40, 34, -47, 17, -22, 41, 15, 28, 47, 42, 28, -21, -25, 29, 20, 16, 17, -34, -39, 24, -9, -30, 38, 12, 37, -16, -25, 7, -17, 13, -2, -28, 36, -32, -14, -18, 12, 18, -28, -25, 26, -37, 35, 17, 29, -4, -22, 41, -44, -43, -12, 2, -15, 22, 37, 11, -39, 10, 22, 24, 13, -29, 9, -3, -36, -30, -15, 38, -9, -47, 32, 43, 2, -2, 40, -32, -36, 9, -41, 37, -36, -42, -25, -7, 3, 6, 15, 33, -22, -22, -11, 6, 4, -20, 20, 42, 35, -55, -19, 39, -12, -27, -3, 28, -14, -50, -15, 13, -2, -32, -23, 11, 1, -22, 22, 27, -14, -22, 28, 0, 33, 3, -14, -21, 0, -9, -25, -2, -21, 43, 5, -9, -1, -1, -1, -4, 7, -8, -40, 18, -40, 20, -4, -28, -19, 40, 28, 27, 9, -41, 28, 6, -33, -7, -24, 35, 6, 42, -39, -8, 35, 21, -34, 24, 27, 27, -32, 3, -14, -44, -33, 27, -12, 43, 13, 36, 25, -37, 7, 43, -43, 21, 5, 43, 24, -7, 24, -6, 21, -34, 19, -26, -2, -53, -27, -21, -32, 10, 48, 22, -34, -5, 33, -25, -25, 0, -41, 0, -27, 9, 1, -5, -24, -24, -7, -11, 33, 9, 36, -26, -32, -34, -6, -31, 26, -39, -6, -16, -12, -39, 21, -19, 19, 34, 6, 21, -54, 2, -16, -38, -4, 21, -13, -12, 42, 27, 26, -13, -1, -36, 3, -40, -42, 16, -34, 21, -28, -22, -38, -14, -13, 0, 15, 14, 15, -45, -2, -36, -36, -14, -28, 16, -26, 34, 13, 47, 45, 23, -6, 27, 34, -27, 31, 19, 1, -13, -29, 24, 45, 16, -35, -47, -27, -46, 10, 31, -36, -7, 3, 2, -39, -29, 6, -29, 32, -45, 31, -27, -13, -7, -12, 15, -42, -33, -50, 2, 12, 26, -54, -31, 13, 1, -46, 45, 10, -20, 39, 4, 40, 23, 29, 25, 22, 25, 35, 17, 15, 23, -51, 23, 12, 28, 18, 12, 38, 38, 37, 16, -11, 14, -32, 8, 50, 24, -44, 1, 6, -16, -6, -6, 18, -14, 22, 25, 3, 44, 34, -9, 11, -9, -19, -5, -46, -19, 17, 17, 56, 35, -9, 10, 27, 21, 2, 38, -15, -10, -33, 26, -36, -24, -19, -50, 2, -51, -12, -43, 4, 5, -22, 12, 36, -45, -25, -37, 10, -36, 5, 2, 29, 3, 26, -37, 42, 12, 24, 8, 16, -1, -17, 15, 31, 2, -14, 16, -41, 27, 8, -46, 23, 13, -32, -38, 27, -27, -31, 12, -29, -20, -16, -12, 23, -1, -19, 28, 6, -12, 15, 15, -34, -34, -8, -37, -31, 42, -37, 37, -6, 33, -8, -8, 28, 7, -2, -21, -28, 32, -7, 37, 41, 32, 33, -30, 46, -6, 26, -9, -42, -12, 27, 25, 2, 4, -17, 38, 6, -8, 8, -40, -29, 18, 10, -29, -17, -1, 34, -16, -4, -18, 2, 35, -3, -24, 10, 33, 42, 29, -34, 11, 27, 3, -43, -42, -10, 2, 4, 6, -31, -40, -4, -24, -22, -34, -11, 23, 14, 16, -7, -21, 3, 47, -27, 1, 43, -1, 18, -15, -36, 13, -41, -31, -34, 20, 14, -34, -42, 16, -42, 14, -10, 39, 18, -14, -45, 42, 7, -16, 8, -9, 15, 11, 51, 7, -6, 9, -46, 28, 22, -13, -45, -56, -24, 30, 42, 9, -32, 17, 6, 43, 16, -25, -12, -27, 10, 19, 4, -20, 15, 40, 32, -3, 42, 20, 10, -23, -13, 9, 12, 27, 30, 43, 17, 19, -6, 2, -28, 0, -6, -8, -37, -25, 22, -42, -12, -13, -39, -29, 39, 13, -27, 8, 24, -31, 16, 31, 7, -12, -19, -19, 13, 23, 6, -30, -23, 37, 0, -25, -49, 3, 34, -43, -13, -18, -1, 34, 29, -9, 10, -4, -36, 12, 34, 40, 40, -16, 39, 30, -38, 33, 41, 33, 17, -38, -13, -8, -25, -33, -34, -51, 30, 20, -6, 7, 12, 5, -11, -36, -20, -27, -18, 5, -48, 10, -36, 56, 35, 3, 28, -39, -11, 3, -24, 18, 16, 35, 37, 18, 35, -3, -10, -42, -24, -4, 34, 24, -33, 4, -43, -12, 29, -24, 0, 14, -9, -16, -24, 29, -12, 34, -24, -33, -34, -2, -2, 17, -21, -28, 17, 16, -2, 16, -12, 29, -32, 19, -13, 8, 18, 42, -27, -22, 27, -10, 51, 22, -25, -31, -44, 22, -12, 27, 11, 16, -26, -24, 43, -29, 40, 47, -30, -23, 21, -26, -17, -7, -44, -24, 16, 18, -6, 39, 27, -30, -2, -29, -4, 16, -31, -27, -28, 16, 31, 7, 21, 1, -36, -36, -15, 39, -14, 4, -37, -35, 7, 1, -12, -23, -33, 3, 37, 2, 22, 1, 3, 10, -12, 41, 29, -17, 11, 4, -28, -26, 2, -46, -34, 2, 26, -6, -34, -57, -48, -22, 29, -16, -49, 19, 30, -11, -37, -7, 30, -10, 21, -17, 27, -24, 4, -37, 19, 7, -17, 6, 41, -42, 32, -5, -23, -30, 20, -50, -15, 33, 3, -46, 23, 33, -28, 6, -43, 2, 16, -6, 25, -6, 8, -44, 2, 20, -31, 41, -5, -26, 7, -49, -19, -3, -37, -30, -47, -25, -31, -10, 19, 24, -18, -22, 35, 1, -34, -5, -44, -18, -2, -43, 1, -5, -9, 8, 16, 9, 10, -44, 26, 18, -8, -26, 3, -19, -20, -19, 44, -16, 19, -8, -9, -41, -3, -49, 36, 18, -4, 21, 11, 30, -18, 43, -44, -9, 20, 14, 4, 21, -26, -5, -3, 26, 1, 24, 8, -13, -7, 29, 11, 0, -21, -15, 31, 35, 0, 39, 9, 39, -24, 21, -13, 7, -24, -4, 13, -24, 21, -13, -28, -6, 21, 28, 20, 34, -18, -8, -8, 1, 14, 16, -12, -27, -37, -20, 2, -16, 23, -29, -26, 11, 6, 25, 6, 17, 2, -36, 1, -32, 20, 24, 17, -41, -41, -4, -24, 6, -5, -5, -58, 38, 12, -20, 30, 18, -20, 14, -32, 10, 26, -40, -12, 17, 25, 20, -38, -5, -18, 6, -16, 39, 17, -55, -4, -12, -5, 4, -6, 7, 15, -55, 19, -49, 9, 18, 21, -44, -3, 39, 11, 36, 28, 30, 9, 35, -1, 44, 40, -15, 40, 5, 17, -22, 3, -39, -3, 49, -39, 56, 7, 28, -39, 18, -23, 9, -9, -11, -5, 21, 4, 33, 37, -44, -24, 42, 11, 45, -19, 48, -33, -3, 3, 18, -16, 7, -35, -6, -29, 32, 7, -51, -35, 24, 7, 28, -8, -4, 13, -41, 5, 19, 38, -37, -11, 30, -8, 4, 23, -3, -28, -18, 34, 20, -35, -40, -14, -20, -10, -42, -31, 5, -47, 18, 6, 38, 11, -45, 29, -26, 45, -42, -36, -40, -26, 9, -41, 34, -1, 20, -27, -26, 6, 28, -39, -6, -47, -41, -23, 29, -8, 18, 31, 16, 7, 35, 26, -17, -9, 9, -3, -4, 39, -5, -28, -20, 24, 13, 35, 34, 34, -37, 8, 44, -40, -27, -29, -44, 7, -32, 14, 30, 37, -3, -10, -46, -26, -35, 35, -42, -43, 48, -10, 14, -45, -20, -20, -22, 6, 11, 5, -17, 18, 32, 27, -35, 19, -44, 6, -10, 31, 24, 19, 42, 15, -16, -30, 5, -8, -30, 0, 22, 5, -48, 1, 22, 29, -41, -36, 21, -2, 33, 16, -27, 3, -6, 30, 37, 33, -34, -34, 36, -5, 12, 8, -2, -49, 3, -47, 8, -17, -18, -41, -13, 13, -7, -26, -51, -17, -4, 12, 18, -7, 36, -8, 0, 8, -24, -36, -8, -22, -35, 2, 10, 48, -26, 3, -44, -17, 31, -35, -33, -22, -32, -29, -22, 20, -32, -25, -5, -9, 40, 42, 9, 44, 41, -12, 9, 23, -17, 33, -13, -12, -47, 34, 46, 37, -16, 45, 41, 24, -28, 23, -35, 0, -11, 46, 32, -5, -20, -17, 9, -38, 42, 7, -39, 3, 15, 2, 16, 45, 45, -15, -2, 6, 0, 14, 11, -19, 11, -35, 37, -25, 44, 21, -37, 39, -43, -48, -7, -23, -25, 30, -19, 40, 17, 23, -25, 29, 47, -1, 32, -31, -7, 18, -9, 13, -49, -32, 32, 34, 35, -22, 37, 7, -28, -21, 16, 32, 9, 5, -23, 0, -12, 1, -6, 1, 16, 38, 6, 19, 17, 23, -28, 4, 13, -29, 31, 8, 18, 31, 6, -7, 9, 30, -6, 19, 30, 5, -8, -8, -21, -25, 13, -26, 24, -19, 32, 44, 4, 40, 28, 4, 21, 29, 13, 8, 28, -32, -6, 23, 19, -9, 35, 28, -2, 12, -22, 27, -29, 27, -15, 0, 15, -9, 7, 41, 18, 3, 0, 21, 13, 12, -16, -43, -6, 40, -43, -39, -21, -31, -35, -6, -11, 14, 37, -48, -44, 41, -18, -23, 48, 23, -36, 15, 35, -5, 18, 22, -27, -16, 25, -2, -28, 18, 34, -17, -40, 41, 19, -42, -40, 35, -17, -34, -32, -40, 15, -16, 21, 25, -2, -12, 6, -17, 21, -10, 39, -15, 19, 14, 31, -2, -42, -30, -16, 3, -37, -10, 13, 39, 28, 2, 24, -20, 42, 36, -33, -47, -21, -23, 30, 25, 21, -42, 32, 36, -43, 20, -10, -1, -29, 28, 28, 1, 32, -5, -21, 10, -40, 47, -12, 27, -32, 4, -53, -48, 5, -38, -22, 19, -43, -7, -42, 16, -25, -6, 17, 22, -42, 11, 21, -7, -11, 38, 3, -14, 24, -18, 36, -3, -5, 4, -8, 10, 5, 34, -4, -42, -24, 21, 5, -3, -16, -5, -34, -16, 17, -23, -17, -18, 39, 18, 24, 22, 19, -27, 5, 16, -3, -23, 34, 29, 14, 33, -23, 20, 34, 27, -34, 9, -16, -16, -19, 27, -44, -43, 0, -1, -11, -14, 14, 11, -25, 15, 38, 1, 29, 43, -3, 25, -32, 9, 13, -23, -14, -22, 38, -39, -3, -26, -15, 33, 5, -30, 19, 19, 4, 15, -19, -47, 27, 32, -8, 30, 23, -42, -9, -13, 10, -23, -44, 36, -42, -42, 16, -11, 9, 32, -33, -24, 15, 36, 8, 14, 20, 18, 45, -1, -23, -44, 12, 1, -2, 7, 21, 14, 10, -46, 4, -10, -12, 35, -7, -44, 14, 7, -26, -33, 1, -43, -8, 41, 27, -1, -18, -17, 40, -21, -3, -17, -3, 26, 38, -11, -47, -29, -9, -34, -18, 2, -19, -38, -34, 42, -30, -17, 13, -31, 29, 7, -15, 2, 36, -13, 22, 31, -36, 20, -21, 34, -33, 0, -8, 14, 14, 27, 35, 17, 26, -41, 12, 33, 25, 32, -27, 38, -15, 27, -32, 34, -24, 4, 27, 4, 37, 19, 23, -9, 12, 21, 8, 1, -1, -3, 1, 14, -16, 36, -7, 27, -10, -38, 12, 13, 1, 24, -19, -31, 32, -42, 25, -11, -46, 15, -20, 8, 5, -34, -30, 41, 34, 7, -22, 47, 2, -46, -39, 27, 0, 23, 17, 30, 38, 12, -36, 11, 3, 20, -8, -10, 33, -44, -33, -13, 6, 27, 11, 37, -41, 14, -20, 5, -14, -21, -39, -45, -18, -23, 28, -10, -38, -34, -28, 13, 27, 32, 20, -10, 34, -38, 8, -27, 26, -44, 40, -3, -6, -33, -7, -24, 12, 2, -28, 47, -44, -6, -11, -35, -15, 27, -44, 6, 39, 3, 25, -12, 41, 38, -14, 13, 33, -24, -36, -9, 14, 25, 28, -47, 2, -10, -22, -35, -15, -39, -20, -52, -35, 19, 6, 26, 34, -43, 12, 15, -20, -28, 23, -45, 41, -1, 1, -3, -15, 35, -44, 8, -39, -12, -35, 10, 6, -45, 18, -12, 37, -10, 39, 33, 3, -29, 36, -21, -31, -1, -35, 0, -27, -11, -36, 4, -17, -5, -4, -44, -35, -40, -33, -12, 42, 36, 20, 28, 3, -33, -8, 51, 2, -13, -46, 44, -43, 43, -12, 37, -13, -4, -42, -27, -47, 14, 0, -13, -42, 20, 25, -27, -13, 14, -14, 20, -26, 23, 10, -24, 0, 37, -16, -5, -13, -36, 18, -44, 13, 31, 39, 7, -12, -21, -22, -1, -2, 31, -47, -33, -7, -34, 20, -43, 38, -3, 10, 15, 46, -22, 12, 3, -29, -42, -22, 14, 4, -37, -12, -37, -16, 13, -22, -44, -7, 22, -22, 35, -43, 19, -37, -7, -20, -4, -11, -15, -19, 28, -39, -9, 32, -7, 42, -35, 40, -10, -10, -10, 23, -38, -6, -42, 6, 25, -8, 10, 13, 30, 28, 13, 26, 32, -14, -22, 11, 23, 21, -24, 31, 41, -38, -43, 12, -8, -42, 33, -7, 47, 27, 1, 38, -10, 22, -46, 29, 4, -19, -32, 31, -27, 35, 40, -8, 17, -27, 35, -27, -34, -35, 0, 3, -23, 13, 6, -37, 19, -37, 17, 17, 6, -37, 37, -29, 44, 15, -9, 5, -24, 3, -13, 19, -30, 30, -26, -26, -45, 28, -7, 43, 8, 39, -12, 19, -8, 32, 15, 28, -39, -39, -27, 26, 13, -6, -48, 28, -37, -41, -32, -24, -22, -19, 8, -34, -21, 6, -39, -32, 38, -1, 17, -38, -25, -22, 12, -38, -13, 11, -6, 13, -28, -47, 10, -3, 0, 25, 23, 7, -3, -4, 39, 30, 9, -37, 45, 17, -14, -37, -14, 22, -1, 3, 30, 12, 17, 34, 11, 22, -13, 32, 7, -29, -13, 5, 37, -39, 34, 21, 40, -24, -28, -28, 10, -37, 42, 8, 32, -39, -9, 2, -9, -31, -26, -15, -10, 31, 4, -11, 37, -7, -38, 1, 27, 14, -21, 8, -43, 31, -32, -9, 25, -7, -46, -11, 5, 3, -12, 22, -39, 1, -30, 32, 2, -42, 22, -10, -17, -66, -30, -33, 22, 4, -30, 10, 40, -24, -5, 19, 14, 34, -17, -10, 47, 18, 24, 7, 11, -45, 26, -47, -34, -19, 20, 26, -23, 11, 22, 19, -39, 3, -33, 2, 12, -38, -16, 8, 8, 10, -26, -29, -4, -37, -7, 22, 30, -47, 12, -20, -7, 41, -6, 10, 31, 1, 38, 1, -27, 18, 20, -3, 18, -8, 25, 34, 23, -4, 44, 16, 13, -29, -35, 32, -52, 5, 43, 24, 33, -29, 31, 9, 41, -24, 19, 58, 16, -45, -59, -53, -22, -30, 23, -41, -17, 7, -62, -1, -8, -1, 19, -3, 19, 28, 36, -19, 7, -9, -29, -15, 11, 4, -31, -20, -38, -44, -14, 19, -15, -23, 18, -29, -40, -15, -6, 8, 48, 43, -67, -21, 1, -23, -15, 12, -43, -41, 1, -59, -27, -17, -22, -44, -15, -14, 50, -3, -41, -50, -18, 30, 11, -26, -23, 32, -32, 14, -10, 24, -40, -6, -20, 6, -44, -5, -1, -16, -9, -23, 26, 3, 14, -22, -44, -49, 32, 28, 0, 13, -2, 19, -35, 31, -26, -36, 42, -29, -31, 3, 56, 33, -37, 2, 24, 26, -22, 40, 38, -2, 4, 41, 0, -24, 17, 17, 36, -13, 40, 31, 6, 29, -2, 18, -43, 8, 28, 3, -43, 1, 21, -52, 11, 19, 5, 27, -22, -39, 26, -38, 39, 18, -10, 21, -21, 41, 25, 6, -12, 13, 36, 33, 27, -35, -6, 0, 18, 24, 2, 41, -29, 10, 20, -6, 32, 52, -17, -27, 16, -31, -46, -2, -32, 35, -1, -32, 26, 28, -31, 10, 30, -26, 25, 25, -24, -41, -40, -48, 26, -22, 17, -45, -23, 13, -25, -5, -6, -31, 24, -53, -26, 10, 2, -44, 14, 14, 14, -14, -13, -36, -5, -20, 19, -44, -9, 32, -29, 32, -2, 33, 29, -15, -41, -29, -20, -36, -44, -17, -22, -20, -38, -38, -11, 36, 14, -38, 39, 22, 0, -8, -21, 0, 41, -4, 44, -14, -32, -40, -45, 34, -19, 38, -9, 35, -20, 18, 39, -8, 46, -8, 46, 5, 42, -32, 17, 14, 19, 36, 40, -44, 4, -34, 23, -16, 6, -43, -24, -3, 38, 38, 27, 36, 12, 11, -47, 25, -10, 6, 2, 1, 34, 22, 3, -5, -11, 17, 1, -50, 48, 2, -48, 52, 16, 29, -34, -11, -9, 48, -43, -11, 11, -45, -30, -5, -47, -50, 0, 33, -32, 7, -17, 5, -16, -33, -24, -21, 8, 33, 26, -38, 37, -9, -55, 33, -15, -11, 21, 19, 17, -35, 58, -34, -26, -39, -3, 0, 11, 6, -4, -1, 0, 20, 10, 9, 9, 12, -29, 7, 49, -9, 35, -30, 33, 48, -18, -27, 4, -1, -15, -9, -28, 9, -5, 15, -32, 7, 8, 34, -41, 36, -13, -69, -15, 30, -4, -9, 34, -29, -31, -20, -9, -9, -12, -10, -31, 41, -26, -2, 30, 39, -35, -19, 30, 16, -35, 3, -10, -5, 10, 29, -13, -31, -35, -14, 24, -18, 42, 2, -3, -6, 10, -38, -11, -20, -30, 34, 12, 4, 32, -1, 6, -14, -21, -25, -28, 22, -29, -31, -42, 4, -46, -44, 24, -14, -50, 6, 28, -23, -23, 13, 18, -9, 10, 2, 33, -10, 27, 21, -18, -30, 41, -35, 34, -38, -49, -14, -7, -16, -10, 17, 9, 8, -3, 21, 11, 24, -42, -20, 28, 16, -36, 19, -22, -20, 20, 42, 44, -28, -10, -4, 25, -29, -24, 45, -39, 36, -11, 32, -41, -2, -24, 41, 38, 12, 16, 10, 8, 2, 43, 20, -3, -41, -16, -26, -20, -17, 14, -43, 21, 25, -31, -20, -32, 18, 60, 35, 37, 33, 43, -6, 21, -8, 14, -26, -40, -25, 36, -25, 13, 41, 28, 28, -25, -8, 13, 9, 5, -12, -20, -25, 13, 9, 34, -1, 25, 16, -26, 16, -30, 19, -5, 13, 20, 40, 20, -8, -42, -37, -9, -12, 11, 1, -8, -22, 24, -54, 15, 20, 12, -34, -39, 22, 45, -37, -24, 15, -33, 1, -3, 18, -43, 18, -18, -9, 10, 36, -6, -6, -11, -18, 32, 16, -31, 20, 35, -19, -37, -11, -11, -24, 18, 16, 1, -29, -31, -2, 22, -4, -27, -26, -7, 42, -35, -10, 37, 8, -24, 38, -19, 41, 14, -12, 5, -27, 14, 37, -29, -11, -9, 36, -36, -22, 8, -34, -27, 45, -23, -22, -35, 4, -15, 29, 40, -27, 2, 10, -45, -29, 31, 16, 0, 37, -3, -27, 5, 21, -44, 44, 24, -35, -16, -25, -36, -39, -40, 23, -33, -24, 17, 17, 28, -15, 0, 10, -66, -14, 4, 10, 12, 21, -27, -38, 25, -1, 45, -40, -71, 48, 18, 7, 16, 4, -20, -33, -16, -19, -22, 38, -39, -37, 29, 9, -35, -23, -47, -23, -30, -43, 47, -63, -10, 1, -60, 28, -18, 28, -6, -10, 37, 37, 18, -31, 23, 31, -26, 36, -6, 28, 22, -16, -12, -36, -23, 54, 48, -12, 36, -26, 31, -17, 13, -48, -21, 27, -13, -11, -15, 9, -38, -41, -3, -53, -35, 16, -9, -46, -13, -16, -36, 16, 13, 36, 12, -4, -33, 23, 20, 26, -35, 1, -28, 5, 25, 11, 43, 29, -57, -8, 24, -22, -7, 25, 48, -7, 7, 38, -34, -33, 38, 19, 5, -14, 38, -17, 39, -17, -25, 53, 37, -15, 12, 11, 30, -2, 14, 32, 16, 19, 23, 6, 12, 16, 31, 39, -39, -15, -22, -24, 0, 16, -26, 8, 28, -7, -31, -13, -22, -6, 15, 7, -32, 34, 21, 40, -41, 35, -3, 3, -35, 33, 8, 2, 28, 0, 11, 9, -33, -1, -37, 6, -4, -5, -11, 19, -42, -10, -3, -30, -41, 4, -12, -55, 8, -3, -27, -44, 19, -3, -10, 38, 33, -23, 36, 42, -30, 1, 12, 32, -1, 27, 46, 49, -2, 51, 31, 23, -4, -36, -49, -19, -5, 14, -34, 2, 16, 13, -15, -33, -49, -7, -52, -32, -51, 35, -40, -23, -5, -30, 35, 27, 14, 51, -24, 7, 50, 33, -17, -29, 18, 22, 36, -13, -14, 46, -24, 28, -46, 36, 23, 11, 30, 28, -2, 28, -12, -37, -40, 30, 11, 17, 5, -52, -34, -12, 4, -34, 20, 14, 10, 4, 3, -22, -54, -65, 5, 24, -19, 3, -13, -20, 24, -42, -11, -37, 0, 18, -11, -34, 19, -10, 48, 37, -44, -34, -20, 30, 36, -31, -10, -3, 12, -6, 47, -42, 49, 10, -37, 19, 7, -3, -20, 23, 29, -14, -15, -22, -8, -27, -23, -36, 13, 14, 40, 3, -19, 0, 29, 26, -38, 11, 43, -16, 20, 36, 46, 42, -17, 29, 36, 25, 14, -34, -27, 28, 3, -40, 36, 37, -18, 42, -31, -23, -35, 17, 22, 26, -40, -5, 46, -5, -33, -2, 11, 5, 8, -7, -35, 16, 0, -16, 2, -21, -3, 14, 29, -26, -22, -32, -15, 41, 43, 32, 7, -30, -28, -26, 45, -33, 27, -38, 21, -28, 5, 33, 6, -35, -28, 2, 20, -3, -51, -15, 10, 30, -60, -13, 8, 27, 8, 25, -8, -14, 52, 9, -14, 26, -29, 33, -31, 12, 26, -43, -45, 13, -27, -29, 44, -30, 49, -31, 37, 37, 34, -2, -6, -42, -24, 11, -42, -25, 60, 28, 18, 13, 6, 24, 29, 44, -12, -25, 9, -16, 3, -37, 47, 6, -13, 8, -4, 10, 35, -21, -35, -41, -4, -36, 18, 12, -9, 3, 33, 0, 1, -60, -9, -38, 1, -28, -18, -25, -18, -2, -8, 18, 27, 18, -36, -38, -29, 36, 26, -30, 18, 17, 41, 9, -35, 29, -23, -5, 13, -47, 60, 14, -12, -21, 5, -7, -20, -63, -36, 20, -4, 10, -43, -39, 34, -47, -40, 29, 14, -25, 11, -8, 3, -11, -28, -43, -7, -51, 12, -17, 26, 21, -20, 3, 3, -44, 10, 17, -43, 24, 20, -35, 30, 14, -18, -44, -3, 33, -3, 17, -10, 23, -11, 12, 27, -24, -21, -25, 25, -42, 6, 21, -39, 39, 33, 21, -23, -45, -40, -30, 31, -36, -38, 45, 24, -44, -23, 5, 30, -22, 40, 20, -35, 3, 25, 31, 10, -2, -34, 10, -2, 41, -36, 16, 12, -13, -29, 45, 13, -8, 17, 10, 18, 19, 18, 41, 2, -39, 43, -21, 1, 12, -45, 15, 8, -28, 26, 9, 11, -40, 29, -18, -15, 52, 42, -7, 22, -38, 27, -29, 27, -42, -15, 13, -38, -49, -15, -15, 6, -7, -31, 15, -13, 11, -39, -33, 34, 35, -2, 18, -28, -30, -31, -44, -43, -8, 9, -20, 44, -3, 33, -32, -5, 4, 10, 15, -26, 0, -9, -56, -44, 5, -17, 14, -32, 42, -8, -39, 50, 37, 8, -31, -41, -36, 4, -34, -5, -18, -29, -20, 22, -18, 10, 36, -13, 28, -39, -23, -22, -5, 7, 14, -39, 24, 15, -30, -2, -4, -34, 10, -34, -34, 3, 28, -32, -24, -39, -16, 46, -13, -11, 25, 9, -17, -5, -6, -29, -17, -6, 34, 22, 14, -22, 30, 45, 14, -46, -34, -14, -10, -8, 51, 33, 63, -6, -9, 21, 14, -7, -32, -18, -5, -39, 26, -26, -14, -22, 28, -32, 4, 10, 8, 25, -7, 23, -19, -10, -41, -40, 34, -37, 15, 8, 22, 4, 24, -19, 4, 23, 27, -9, -8, 29, 4, -4, -44, 27, -28, 16, 8, 2, 32, -32, 12, -28, 30, 22, -46, 5, 20, 47, -9, 7, 50, 8, 0, 60, -38, -22, 14, -20, 9, 14, -24, -23, -14, -16, 39, -4, -32, 29, -23, -21, 14, 12, 27, 6, -34, -20, -49, 38, -31, -58, 51, 46, -47, 25, -37, -48, -27, 14, 25, -66, 9, -25, 24, -31, -8, -14, 25, 17, 31, 25, 3, 27, 46, 21, 23, 5, 33, -38, 29, -29, 41, 15, -13, 25, -14, 19, 25, 4, -32, 11, -20, 45, -20, 32, -44, -14, 27, -21, 24, -19, 18, 39, 7, 32, -7, 3, 40, 2, -10, 32, 30, -34, 10, 2, -28, 29, -41, -43, -48, 22, -35, -7, 52, -40, -22, -20, -19, -39, -2, 17, -15, 13, 3, 14, -2, -12, 9, -10, 40, 31, -13, 22, 36, -22, 3, -31, -7, -20, -35, -29, 40, 25, -13, -33, -22, -48, -44, -23, -12, 47, 8, -21, -28, 0, -7, -42, -39, -46, 9, -39, -25, 29, -41, -1, -29, 39, 12, -3, -24, -40, -7, -45, -10, -21, 27, -40, -2, -15, -2, -26, -20, -36, -23, 33, 0, 5, -26, -13, 31, -4, 33, -37, 36, -22, -51, 1, -35, -14, -12, 16, 27, 11, 31, -23, -40, -26, -56, -41, -32, -31, -27, 33, -20, 38, -17, -28, 38, -18, 18, 35, -42, 32, -5, -26, -10, -12, -44, -6, -11, -4, -6, 35, -30, -36, 12, 7, -14, -48, 44, -25, 0, 4, 25, 21, -14, -39, -42, 6, -25, 30, 46, 0, -8, 9, 32, -6, 0, -14, 27, 20, 39, -33, -40, 1, -2, 10, -27, -1, 29, 3, -2, -11, 25, -34, -16, -19, -40, -35, 38, 9, 45, 25, -36, -23, 0, 11, -9, -11, -37, -28, -23, 32, -12, -8, -46, 22, 45, 14, -19, 57, -1, 43, 51, 39, 44, -46, 22, 14, 2, -5, 34, -28, 20, 31, 11, -9, 4, -1, -11, -35, 19, -8, -20, -43, -4, -42, 3, -21, 55, -5, -33, 21, -28, 5, -27, -32, -12, -18, -10, 1, -46, -37, 28, -3, 27, 1, 12, 18, 19, -15, -43, -14, 12, -19, -30, -48, 34, -22, -30, 4, 15, -1, -15, -8, -49, 25, 23, 37, -16, 25, -18, -43, 46, -14, 48, -27, 3, 6, -13, 2, 23, -28, -15, 41, -15, -5, 14, 47, -29, 5, -7, -26, -23, 19, -3, -28, -2, -35, -11, -21, -2, 17, 11, -33, 22, -11, -43, 0, 21, 24, -59, -21, -7, 6, -36, 23, 31, 7, 19, 38, 36, 12, -32, 35, -3, 27, -34, 45, -9, -42, 18, 3, 31, 21, 24, 25, -17, 12, 15, -25, 8, 27, -29, -22, -8, -6, -34, -42, -8, 17, -18, -34, 26, 1, -37, -32, 17, -37, 22, -16, -26, -12, 42, 10, 19, 33, -6, -8, 6, 54, 12, 13, 19, -36, -41, 44, -33, -30, 31, -4, 31, 2, 13, -51, 17, -43, 40, -28, 9, -39, -33, -9, 24, -5, -40, 11, -1, -16, 14, -34, -4, -34, -6, 1, 29, -45, 3, -11, 21, 5, 40, -7, 12, -39, -13, -12, 36, 5, 20, -2, -8, 4, -7, -31, -43, 13, -8, 3, 35, 23, -27, 35, -19, 12, 8, 36, -8, 23, 20, -47, 3, -34, 11, -19, 33, -15, 23, -44, -50, 6, -3, 23, -11, -6, -23, 48, -1, 53, -15, 0, -29, -43, -47, -29, 22, 26, 41, -13, 9, -2, 9, -58, -11, 13, 22, 17, -21, 23, 1, -11, 11, 11, -28, 18, -23, -22, 26, -40, -26, 6, 1, 10, 36, -24, 20, -46, 14, -24, -23, -10, -38, -12, 18, 21, 14, 26, -48, -38, -35, -27, -6, 0, 11, -51, -46, -27, 41, -45, 4, -36, -9, 17, -29, -6, 23, -21, -30, -17, -51, 23, 16, -10, -1, 41, -14, -42, -20, 5, -48, -48, -8, 3, 10, -48, -18, 13, 31, -20, 23, -11, 39, -59, -35, 14, -20, -30, 40, 5, 9, 8, 33, 2, 18, 1, -8, 8, 10, -4, -12, -12, -3, 17, -49, -40, -44, -43, -8, -34, 37, 11, 8, -11, -32, 6, 3, -11, -23, -31, -18, -30, 16, -4, 15, -6, -12, -14, 32, -6, -2, 32, 12, -29, -20, 41, 6, 12, 50, 47, 9, 24, -16, -39, -45, -20, -2, 15, -34, -33, 35, -42, 37, 25, -9, 4, -21, 4, -24, -9, 1, -30, -21, -27, 15, -11, -4, -24, 19, 47, -21, 23, -18, 14, 4, 41, -27, 58, -26, 1, -13, -21, 43, 26, -29, 18, -23, 34, -52, 42, -28, 16, 7, 41, -21, -10, -35, 22, -27, 9, 35, 12, 35, -18, -42, -47, 13, 35, 45, 49, -20, -13, -25, 3, -19, -3, -44, -27, -46, 1, -44, 34, -19, 27, -31, -6, -13, 36, 4, -21, -46, 19, 29, 34, -11, -32, -9, 16, -38, 41, 12, 32, -27, -13, 2, 4, 37, -20, -30, -37, 20, -17, -35, -51, -28, 10, -47, -8, 6, 1, 34, -41, -44, -19, 18, 11, -36, 11, 4, 34, -35, 32, -32, 7, -21, -1, -32, -8, 14, -27, -13, -17, -20, -34, 11, -11, 41, 44, 42, -16, -16, 12, -31, -41, -17, 11, -4, -14, -36, -47, 19, 6, -29, -19, -41, 6, -14, 16, 7, 27, 37, 26, 43, 32, 21, 18, 24, 39, -13, 28, 25, -28, -13, -21, -36, 44, 36, 39, -43, 20, -35, -13, 42, -47, -29, -38, -11, -21, 46, -40, -46, -16, -38, 2, 26, -27, 11, -32, -46, -35, 29, -9, 19, 43, 23, 27, 23, -5, 19, 3, -41, 6, 8, 9, -18, -46, 40, -8, 25, 36, -15, 32, -10, 19, -20, -24, 2, 17, 6, 27, 27, -50, -30, 18, 14, 26, 42, -15, 39, 32, 23, -17, -22, -20, 41, -17, 44, -39, 16, 25, 6, -5, 0, 7, -9, -18, 23, 0, -29, -11, 29, -6, 6, 31, 4, -7, -10, 13, -18, -40, -24, -28, 12, -8, 30, -30, -38, 30, -42, -14, -37, -38, 34, 22, 20, -4, -9, 1, -3, 23, 18, -19, 7, -7, -20, 0, -1, 2, -7, -20, -39, 26, -18, 1, -38, -41, -10, 9, 15, -30, -52, -61, -4, -30, -45, -14, -22, 27, -27, -9, 23, 38, -46, -2, -21, 20, -28, -14, -9, 15, -18, -15, -17, 30, 38, -53, -30, 4, -30, -30, -8, -7, 3, 26, 23, 17, 40, -37, -26, -1, -14, 31, -23, 43, 2, -31, 19, -13, 27, 43, -8, 21, 18, -11, 25, -12, 36, -39, 13, 22, -35, -16, -4, -26, -11, -34, 11, 29, 41, -11, -34, 4, 35, -3, 38, -11, -23, 18, 0, 24, -10, 36, -22, -7, 15, 7, 16, 6, -44, 34, -6, 22, -13, 16, -6, -9, -15, -27, -32, -32, -4, 2, -18, 19, 45, -23, 0, -26, -34, -8, -17, 25, -14, 10, -31, 40, -35, 6, -36, -3, 45, 44, -22, 14, -19, -19, 18, 18, -14, -44, 14, 27, 5, 23, 16, 43, -41, -17, 8, -27, -16, -18, 35, -42, 4, -14, 29, -36, -19, 31, -12, 30, 21, 16, -19, -16, 31, 51, 45, 27, 49, 62, 27, -49, 42, 3, -37, 45, -15, -8, 4, -18, -37, 20, 16, -35, -41, -34, 6, -36, 15, 8, -14, 45, -29, 22, 21, -20, 13, -23, 27, -42, -10, 44, 2, -43, -39, 40, 45, -41, 5, -27, -13, -32, -10, -13, 43, 17, 34, -9, 12, -16, 28, -11, 36, 9, -35, -29, 24, -30, -36, -3, -2, -9, -19, -31, -27, 20, 41, -29, -31, 35, 5, -2, 10, 31, 2, 41, -46, -13, -33, -13, -3, -30, -26, -4, 20, -29, -31, 37, -6, -35, 26, -3, 39, -14, 19, 23, 12, -2, 15, 16, 7, 13, -38, -41, 0, 15, 27, 32, 7, 9, -10, 11, 35, 14, -12, 6, 25, -33, 37, -44, 13, 24, -26, 11, -28, 13, -31, -30, 33, -27, -1, -43, -15, -9, -14, -15, 15, -12, 37, -7, -17, -41, -49, 0, 15, 28, 5, -11, 42, 32, -21, 42, 45, 0, -32, -16, 4, 32, -18, 9, -39, -40, -1, -6, 33, 1, -28, -40, -33, -34, -23, 4, -4, -11, -35, 24, 13, -36, 30, -7, 18, 22, -2, -33, 12, 10, -39, -20, -7, 34, -20, -34, 19, 43, 12, -33, -19, 21, 1, -23, 0, 28, 46, -21, -51, -1, -39, -21, -31, -37, -7, -38, 16, -40, 32, 26, 26, -9, 15, -28, -19, 21, -28, -35, 23, -38, 40, -16, -40, -33, 61, -41, -8, 21, 2, -8, -18, -27, -25, -23, -9, 9, 46, -37, 36, -33, 22, 13, 5, -37, -16, 18, -29, -8, -24, -59, 15, -29, -3, 38, 8, -39, 40, 10, -28, -22, -30, -6, -45, -29, 17, 25, 28, -22, -7, -39, 39, -37, 2, -23, -35, 22, -15, 12, 2, 43, -27, 7, 32, 0, 24, -1, 14, 28, 16, -5, 40, -3, -58, 15, -47, 0, -16, -40, 35, -4, -27, -21, 22, -37, -30, -26, 15, -38, 10, -33, 13, 58, -9, 20, 4, 0, -31, -38, -4, -6, -21, 31, 1, 34, 33, -5, -19, -26, -37, -17, 19, -42, 18, -24, -1, -27, -47, -46, -47, -27, -47, -51, -39, 31, 18, 14, 27, -16, 33, -16, 17, 31, -30, -18, -39, -9, 28, 32, -20, -23, -46, -16, -14, -13, 4, -8, -23, -37, 44, 29, -28, -22, -26, -9, 31, 5, -34, 21, 26, 4, -35, 19, 26, 11, -25, -34, 2, 24, -46, -31, -43, 13, 47, -38, 25, 28, -5, -29, 36, 28, 40, -28, -17, 14, -2, -32, -38, -17, 33, -19, 26, 54, -34, 25, 27, 25, -16, 10, -9, -22, -20, 56, 37, 35, 21, 49, 32, -16, 14, 12, -21, 34, 10, 52, -45, 10, -39, -4, 38, -31, 43, -29, -13, -39, -24, 22, 14, -32, -32, 3, 22, -29, -1, -20, -17, 19, 33, 36, -14, -19, -27, 13, -11, 4, 37, -29, 1, 15, -13, 29, -66, 7, -22, 12, 38, -29, -30, 34, -26, -9, -21, -38, -13, -43, -40, -4, -10, -20, 22, 8, 22, -1, -28, -9, -34, 16, -3, 14, -53, 8, 10, -39, 18, 20, 22, 15, 15, -42, -3, -60, -9, -11, 8, -13, -19, -37, -10, 26, -44, 3, -25, 52, -5, -29, 33, -1, -28, -34, -40, -38, -6, -52, 23, -10, 16, -4, -48, -14, -15, 32, -4, 8, 18, 2, -39, 15, -4, 19, -45, -37, -45, -46, 13, 12, -11, 10, -23, -14, 6, 43, 15, 24, 24, 38, 38, -20, 20, -40, 14, 22, -18, 21, -1, 15, -31, -42, 43, -7, 7, -34, -18, -10, 21, 2, 57, 24, 9, 32, -10, -40, 3, -41, -26, 40, 32, 19, -4, 14, 14, 1, 14, 30, -16, -13, 10, -28, -16, 5, 24, -4, -17, -19, -19, -23, 50, -51, 39, 38, 0, -16, 12, -5, -10, 39, -46, -10, 31, 14, 2, -27, 29, 29, 20, -49, 5, 8, 39, 40, -44, 26, -43, 31, 4, -44, 5, 16, 9, -28, 28, -9, -30, -1, -6, 27, -23, -46, -50, -46, -39, 6, -31, 22, -13, -12, -12, 29, -36, -2, 34, 25, 18, 17, -18, -13, 17, -30, -2, -7, 6, -41, -9, 43, 35, -44, -46, -10, 10, -22, 26, -25, -18, 34, -30, -29, -28, 34, -18, 42, -9, -35, 39, -41, -16, -56, 22, -40, 39, -58, 11, 11, 11, 14, -38, 48, -32, -16, 18, 45, 62, -9, 52, 18, 20, -2, 3, 22, 41, -51, -19, -17, 52, 20, -1, -2, 37, 40, 3, -11, 35, -7, -7, -44, 11, 2, -50, 9, 31, 33, 16, 53, -18, -7, 7, 9, 42, -29, 31, -3, -6, -25, -33, 25, -11, -46, -23, -5, 21, 1, 29, 35, 20, -14, 35, 7, -9, 1, -18, 12, 13, -21, 73, 30, 10, 31, 40, 2, -3, 24, 7, -19, -37, 33, 15, 29, -14, 36, 22, 3, -28, -23, 21, 16, 13, -14, 14, 10, 12, -48, 9, 21, 43, -23, 4, -60, -47, -9, 26, 18, 21, 25, 31, 27, 35, -34, 9, 39, 5, -13, 39, -44, 48, -11, -10, 47, -35, 44, 9, 44, -22, 9, 32, -6, -17, -22, -67, 15, 14, -19, 35, -15, -35, 26, -40, 43, 37, -42, -27, -30, -2, -49, 23, 0, -7, -24, -53, -48, 9, -43, 1, 11, 56, -1, -37, 43, 14, -22, -35, -47, -37, -1, 27, -27, -28, 20, -5, 26, 33, -42, -18, -33, -28, -41, -20, -35, 45, 41, -21, -18, -42, 0, -8, 10, -22, -49, -34, -11, -10, 23, -23, -38, -32, -13, -25, -26, 36, -51, 35, -1, -1, 43, 26, -42, -46, -37, 13, 25, 22, -49, -26, -23, -16, 34, -43, 35, 31, -12, 37, -9, 32, -14, 34, 35, 41, 48, 4, -5, 8, -4, -3, -25, 15, 26, -45, -65, -47, -11, 14, 37, 10, -46, -1, -15, 18, -18, -11, -13, -47, -29, -25, -40, -29, -38, 24, -25, -1, -4, -5, 7, 54, -24, 24, 0, -19, -6, -9, 34, 12, -15, 24, 6, -45, -9, -2, 7, 44, 16, -39, 42, 34, -37, 29, 18, -35, -5, -14, 23, -8, -32, -46, 13, -3, -23, 25, 19, 9, 30, -20, 3, 3, 11, -4, 32, -6, 0, -13, -40, 19, 38, 6, 3, -26, 49, -35, 19, -12, 10, -10, -41, -60, 0, -15, 14, -40, -11, -48, 5, -8, 33, -42, 23, -18, -28, 10, -6, -34, 26, 29, -37, -1, -58, 33, 9, 3, -9, 37, -18, -46, -16, -24, 50, -41, -18, 14, 14, -28, 0, 1, 40, -14, -27, -12, 9, 5, 7, -46, -27, 36, -9, 8, 39, -33, 8, -25, -48, 2, 9, 10, 31, -40, 0, -25, 34, 21, -14, -4, -8, 16, -23, 26, -19, 46, 17, 20, -2, -7, 20, 13, 26, -23, 1, 31, -3, -42, -51, 32, -21, 21, -7, -14, -40, -4, -20, -20, -10, 0, 3, -36, -17, 10, -32, -37, -1, -21, -61, -21, 25, 7, 18, 14, 4, 64, -51, -29, -8, 6, 33, 25, 12, 11, 19, 3, -54, 15, -6, 36, -21, -27, -4, -9, -35, -1, 8, 19, -38, -41, 9, 29, -36, 17, 16, 21, 46, -31, -17, -35, -41, -42, -42, 15, -7, 5, 8, 9, -35, -12, 17, 22, 2, 3, 34, 25, -16, -5, 26, 0, -17, 24, -32, 13, -27, 25, -36, -26, 27, -53, -49, -2, -53, -28, 12, -84, 35, 12, -31, 18, 28, 9, -56, -49, -17, 28, -48, 41, 55, 20, 6, 16, -25, -20, 41, 17, 2, 22, -16, -5, 7, 24, -33, 5, 6, -40, -40, 22, 8, 18, -2, -50, 16, -20, 8, -15, 7, 47, -52, -29, 3, 4, 21, 17, -15, 15, -2, -25, -37, -24, -1, -33, -27, 16, -21, 29, -41, -22, 5, -48, -8, 35, 7, 8, -32, -6, -10, -10, 29, -13, -13, -24, 30, 21, -28, -37, 6, 18, 6, 33, 46, -33, -33, 23, 32, -14, 3, -20, 32, -21, -26, 28, -2, -15, -16, -4, 43, -8, -27, 0, 34, 8, -31, -39, 16, -42, -24, -13, 12, 44, -2, -10, 1, 10, 21, 28, 32, -19, -8, -35, 12, 23, -44, 38, -3, -4, 18, -13, -14, 39, 36, -15, 31, -27, 19, 39, 30, 24, 27, 34, -2, 32, 7, 37, -40, 26, 1, -47, 19, -27, 17, 46, -42, -22, -17, 6, -12, -62, -65, 18, -28, 41, -7, -25, -34, 44, -13, -32, 12, 3, -38, 18, -26, -20, -14, 51, -4, -9, -49, 14, 16, 6, -20, 44, 40, -29, -40, -36, -36, 39, 10, -26, -6, 45, -29, 34, -5, 4, -76, 32, 57, -5, 1, 9, -24, 42, -33, -8, -39, -15, 8, 21, 15, 13, -5, -26, -42, -17, -42, -18, 35, -1, 44, 16, 27, -1, -16, -8, -46, 14, 15, 6, -29, -14, -23, 45, 9, 2, -37, 32, -13, -20, -6, -14, -44, -59, -7, -30, 30, 11, 48, -17, -37, 35, -40, -34, 13, 2, -5, 15, 11, -10, 30, 9, -14, -17, 37, -25, 41, 5, 2, 0, 23, 9, 16, 29, -6, -26, -28, -27, 24, -28, -50, 10, 43, 16, 12, 36, -2, 35, -19, 7, 16, 15, 30, -10, -34, -6, -29, -5, 16, 42, 22, 14, -15, -2, 45, -17, 25, 32, -48, -50, -60, 43, 13, 13, 28, -6, 48, 7, -25, -25, 6, -3, 54, 35, 3, 24, -19, -57, 30, 1, -4, -39, -37, -27, -13, -50, -23, -2, 27, 26, -27, 1, -23, 0, -14, 10, 24, 42, -40, -33, 5, 17, -17, 58, 47, -14, -16, 40, 8, 26, 16, 12, 42, 39, 11, -43, -32, 25, 2, 27, -16, 4, 37, 12, 28, 7, -8, -32, 1, 14, 6, -23, 34, 8, 38, 5, 38, 31, -30, 40, 32, 18, 11, 0, 16, 7, 29, 11, -21, -63, -20, 5, 20, -26, 38, 10, 11, -15, -8, -16, 35, -14, -18, 34, -29, -48, -8, -11, 10, 1, 38, -10, -44, 26, -10, -5, 13, 11, 28, 12, -30, -35, -19, 15, 5, 23, 65, 14, 19, 43, -27, -11, -21, 20, 11, 17, -32, -42, -4, -11, -2, 25, -4, -40, -9, -14, -36, -61, -35, 42, -33, 41, 17, -1, -5, -53, -6, 24, -28, -27, 20, -10, 7, -39, -8, 6, 25, -36, -41, -18, -33, -59, -7, -25, 44, -9, 24, -27, -4, 14, -49, 1, -2, 43, 40, 9, 40, 19, 32, 3, 34, -12, 23, -39, -22, -19, -12, 34, 22, -19, -31, 20, -5, 38, 0, 3, -34, 8, -36, -12, 27, -1, -14, 17, -32, -10, -38, 17, 13, -3, -23, 5, -13, 12, 23, 35, 18, -56, -49, 7, -3, 15, -17, -43, 22, 5, -6, 19, 31, 5, 45, 8, 20, 24, 5, 2, 7, 1, 47, 28, 38, 13, -13, 26, 0, -23, -8, 39, -15, 33, -3, -22, 33, -12, -42, -1, -28, -11, -30, 39, 15, 9, 11, 18, 1, -11, -36, 8, -7, 25, 24, -31, -25, 29, 83, -27, 7, -27, -9, 27, -17, 26, -31, 21, 9, -5, -37, 21, 1, -35, 28, 7, -21, -39, 35, -22, -16, 29, 29, -33, 9, 14, -5, -23, 36, -33, -44, -23, -52, -66, 29, 16, -63, 24, 29, -25, -22, -64, 12, 36, -7, -19, 39, -28, 14, 10, 20, -20, 17, 9, -1, -10, 27, -21, 21, -22, -11, -44, -12, -11, -10, -28, -15, -8, -17, 28, -21, -22, 12, 64, 38, -15, -25, 28, -13, 15, 30, 47, 45, -69, 7, 26, 36, -18, -3, 6, 42, -42, -47, -6, -10, 19, 37, -1, 33, 19, -48, -23, -31, -2, -4, -31, -18, 16, -25, -57, 5, 9, -17, 15, 23, 20, 24, 9, -5, 42, 22, -22, -18, -32, -38, 21, -8, -4, -15, 19, 8, -13, -23, 16, -27, -49, -15, -25, 15, -12, 63, 15, 38, 40, 27, 31, 42, -2, 17, -40, 35, 38, 15, -22, 14, -39, -38, -10, -30, -16, 10, -15, -19, -39, -4, 14, 26, 23, -2, -28, -14, 1, 37, 30, 17, 21, -44, 29, -25, 43, 26, 30, 29, 30, -47, 39, 1, 18, -40, -10, 11, 43, -41, 11, -33, -23, 11, -27, -9, 10, -16, 10, 24, 18, -1, 23, -28, 41, -6, 8, 19, -26, -26, 29, 33, -12, -42, -13, -5, -16, 17, -14, 4, 2, -30, -28, -20, -40, -30, -17, 0, 7, -30, 13, -59, 9, 16, -41, -14, 25, -39, -69, 11, 20, 8, -16, -43, -37, 23, 7, 10, -30, -1, 22, 25, 28, 10, -35, -52, -9, 32, -4, 15, -15, 26, 40, -22, -7, 36, 36, 4, -40, 42, -21, -23, -20, 20, 12, 43, 13, -30, 29, 28, -32, -39, 2, 33, -35, 16, 53, 11, -55, -3, -24, -19, -28, 30, 32, 14, -6, 28, -34, -39, 70, -7, 33, -57, -2, -20, 7, 12, 41, 5, 25, 24, -42, -48, -25, 6, 28, 50, -29, 3, 3, -15, -8, -1, -37, 43, -40, -15, 15, -37, 3, -40, 28, 9, 8, 63, 36, -46, 52, -22, -17, 1, 40, -34, -42, -6, 40, -38, -32, 8, -1, -16, -21, -36, -15, -68, -47, 55, 11, 3, -36, 16, 24, 42, 26, 59, -15, 14, 44, -6, 40, 0, -2, 30, 0, -36, -9, -56, 38, 20, -16, 0, -41, 10, -2, -19, -55, 18, -4, 15, -2, -10, 11, -16, -7, -24, -16, 28, 17, -3, -14, -55, 45, 0, 45, 22, -28, 35, 35, 11, 15, 13, -12, 9, 25, 39, 39, 21, -29, -42, 13, -4, -5, 0, -2, 34, -18, -4, 16, -57, -44, -58, 14, -16, 35, 5, 29, 5, 12, 31, 17, 16, 41, 7, -12, 53, 34, -30, 22, -13, -31, -26, -3, -26, -30, 48, -5, 34, 50, 17, -12, -2, 6, -47, 13, 7, -36, -14, -20, 29, 35, 20, -21, 53, 30, -78, -69, 13, 36, 9, 5, -12, -56, -1, -46, 0, -8, -25, 6, -33, 28, 47, -19, 21, 15, 4, -15, -5, 27, -45, 14, -38, -30, 6, 22, -10, 38, -15, -39, 31, 1, 22, 4, -32, -23, -27, -28, -34, 39, 0, 24, 12, -17, -4, -36, 8, 31, 38, 19, -15, 7, 5, 38, 53, -10, 41, 0, -24, 41, -9, -49, -25, -34, -34, -13, -54, -37, -11, -38, 21, -29, -19, 17, 9, -17, 40, 4, -24, 1, 34, -3, -33, -37, -39, 29, -19, -19, -33, 32, 27, -24, 18, 32, -28, -1, 24, 44, -46, -16, -23, 20, 5, -16, -27, 54, 8, 21, 25, -6, -9, 31, 18, -12, -33, 18, -30, -22, -50, 23, 37, -28, 30, 22, -11, -38, 27, 17, 24, -6, 0, 31, 0, 10, 45, -9, 61, -29, -27, -23, -15, 31, 5, 36, 44, 37, 42, 26, -15, -25, -14, -11, 32, 11, 42, 19, 14, -43, -13, 17, 4, 30, -34, 11, -39, -27, -35, 47, -12, -1, 39, 22, -43, -10, -35, 30, -19, -25, 4, -48, -61, -46, -47, -25, -37, -27, -63, -24, 14, -43, 45, -19, -32, 8, 13, -5, -11, -10, 17, -30, -4, 37, 48, -54, 9, -15, -28, 13, -43, -57, -51, 51, -40, 9, 9, 29, -17, 28, 34, 48, 42, -35, -19, -29, -25, -40, -51, -16, 0, -14, 13, -32, -7, -11, -3, 35, 22, -23, 46, -37, -19, 28, -62, -59, -30, -5, 37, -16, -36, -40, 12, -33, -15, -30, -22, 32, -4, -46, -35, 7, 2, 36, -36, -33, 17, 44, 42, 16, 25, 18, 19, -21, 20, 48, 36, -18, -17, -16, -20, 25, 37, -21, 42, 0, -28, -49, -51, -26, 4, -4, 52, 36, -30, -15, -44, -32, 13, -5, 6, -32, 30, -26, -32, 5, -18, 24, -4, 12, 68, 18, -6, -53, 16, -5, -42, -22, -43, 8, -21, -29, 16, 15, -24, -8, 0, 24, -56, -14, -14, 11, 24, -19, -10, -24, 37, -4, 13, 24, 12, -4, -14, 1, -11, 25, -6, -28, -24, -31, -4, -10, 56, -18, -25, -12, -4, 19, 53, -29, -1, -45, -40, -2, -52, 12, 14, -38, -27, 40, -27, -22, 6, 13, -26, 1, -8, 6, -33, 66, 12, 31, 28, -19, -1, -11, -11, -13, 36, -3, 21, 28, 11, -50, -2, 17, 28, -30, -5, 12, -36, 17, -12, -40, 19, -24, 10, 30, 21, 2, -7, 24, -11, 64, 19, -7, 0, -4, 26, -13, -59, -41, -23, 48, -23, -32, 39, 56, -26, -28, -32, -14, -1, 29, -40, 52, 64, -15, 9, -14, 1, -26, -3, -12, -33, 47, 24, 2, -27, 38, -4, 1, 12, 21, -28, -6, 4, -9, -5, -17, 12, 21, -16, 6, -13, -12, 21, -48, -1, -16, 24, 16, 19, 20, -24, 18, 14, -13, 25, 22, 0, 37, -31, -22, 30, 8, 28, -10, -14, -34, -30, 28, -29, 35, -29, 18, 16, 38, -19, 37, -9, 42, 46, 10, -22, -20, -48, -58, -62, -16, -38, 15, 39, -41, 2, -17, -25, 5, -9, 35, 5, 37, -42, 26, 31, 2, -38, 4, 36, 13, -18, -45, 2, -14, -65, 48, -35, 3, 13, -11, 46, -30, -7, 35, 4, 34, 27, 9, 16, -16, -8, -7, -12, -6, 45, -55, 19, 29, 12, 53, -14, 12, 7, -43, -5, -1, -24, -13, -27, 13, 26, -53, -4, -34, 16, -27, -9, 37, -19, -33, -40, -14, -18, 6, -36, -37, 8, -24, -4, -24, -40, -27, -3, 42, 30, -12, 35, 50, -21, -13, 25, 27, 0, 13, -26, -57, 28, -22, -27, 36, 14, -8, -21, 3, -18, 34, -31, 35, 7, -45, -59, -37, 3, -3, 28, 10, -9, 16, -38, 46, -12, -20, 13, -33, -42, 6, 7, 18, 16, -3, -36, -15, -20, 31, 28, -52, -41, 5, -2, -31, 24, 39, -35, 48, 24, -29, 33, 19, 4, 24, 20, 51, -22, -19, 16, 26, 1, 8, -15, 32, -30, 7, -32, -11, -39, -8, 1, 13, -11, -2, -23, -36, -30, 12, -28, -21, 11, 26, 2, -27, -44, -49, 22, -14, 8, -33, -7, -21, -42, -35, -44, 27, -41, 2, 12, -4, -44, 15, -7, -27, 25, -38, -45, -39, 27, -9, 38, -15, 5, 16, 4, -39, -4, -31, -9, 10, -31, -39, 35, -30, 8, -23, 28, -2, -23, -22, -24, -40, 35, -8, 5, -19, 23, -1, 22, -19, 20, -13, -13, 19, -2, -17, -31, -30, -5, 8, -26, 25, -3, 26, -33, -34, -28, 35, -26, -36, -13, 32, -9, -33, 0, 36, -31, -2, 11, 7, -15, 12, -35, 2, 26, 26, -33, 18, -24, -8, 24, -47, -42, 15, 39, 44, 1, 38, -39, -27, -35, 14, -29, 42, -31, 41, 35, -28, -19, -16, -5, -30, 32, 10, 2, 0, 8, -43, -50, -33, -46, -26, 23, -38, 0, -1, -18, -49, -15, 21, 2, 25, -21, 40, -25, -14, -16, 22, 19, -42, -33, -46, -28, 47, 21, 9, -15, -24, -7, -26, -40, 32, -37, -10, -2, 28, -19, -17, -12, 42, -11, 19, -15, 22, -29, 34, 3, 44, -45, 11, 27, 11, -24, -49, -49, 24, -18, -5, 33, -34, 27, -28, 7, 39, 17, 25, -37, 41, -44, 24, 28, 34, 10, 42, -10, -24, 2, -42, 5, -38, -5, -26, 37, 43, 39, -28, -23, -15, 17, -42, -30, -42, -34, 7, -43, 33, -36, 30, 19, 30, 19, -19, 3, -15, -18, -31, -44, 34, 15, 21, 8, -9, -32, -31, -22, 23, 30, -33, -28, 11, -36, 20, -27, 34, 23, 42, -34, -22, -19, 41, -1, 36, -5, 38, 17, 29, 40, -40, 14, 9, -26, 41, -7, -48, 0, -19, -47, 34, -23, 8, 10, -2, 41, -11, -5, -6, 17, -1, 5, 36, -13, 7, 29, 29, -26, 36, 34, -13, 3, -24, 23, -10, -6, -35, 11, -27, 19, 22, 38, -39, 14, -51, 19, 14, 38, 15, 8, 30, -28, -26, 45, -4, 28, 30, 27, 17, -25, -37, -26, 30, 24, 32, -4, -17, -33, -4, -20, 20, -29, 17, -23, 26, 11, 0, 32, -43, 23, 41, -32, -39, -1, 20, 1, -44, -14, 33, -25, -43, -31, 7, -9, 34, -2, -20, -28, 5, -41, -49, 31, -23, 19, 31, 18, -29, 12, 2, -23, 9, -21, 25, 24, 36, 4, 31, -34, 38, -4, -23, -26, 22, -9, -8, -24, -45, -34, -34, -14, 1, -21, -43, 41, -26, -40, -9, -24, -31, 17, 17, 38, -26, 33, 0, 4, -43, -43, 40, -42, 0, 6, 16, 43, -12, -48, 13, -7, -14, 30, -19, -38, 4, 6, 38, 33, -42, -30, -17, 13, 4, -19, 28, 23, 16, -47, 33, -25, -45, 19, -35, -8, 25, -29, 25, -43, -37, 13, 13, -31, 26, 28, -41, 22, -19, -41, 36, 12, -39, 31, 13, 5, 7, 36, -20, 9, 34, 12, 29, -4, 10, 9, 27, -13, 43, -19, -37, -41, 26, -8, -21, 28, 22, 1, 13, 44, 46, -10, -28, 17, -30, 14, 5, 17, 25, 27, 18, -38, -43, 18, -28, -5, 42, -32, -27, 30, 17, -3, -29, -30, -21, 14, -43, -21, 15, -1, 13, -38, 29, 5, -14, -9, -12, -36, -9, 7, 35, -40, 30, -24, -8, 39, -18, 31, -19, 6, 8, -25, 30, -41, -24, 22, 32, -39, -13, 10, 22, 1, 0, 27, -25, -17, -49, 1, -40, -9, -42, 24, 4, 5, 34, 39, 16, -41, -31, 17, 33, -14, -37, -38, 34, -32, -6, 41, -13, -16, -25, -42, 33, 11, -40, 20, -35, -33, 32, 34, 1, 24, -28, 10, 2, 6, -19, -16, -43, -7, -11, 0, 33, 21, -11, -9, -46, -40, 0, -44, 26, -21, -28, -36, 15, -37, -27, 21, 35, -20, 40, -18, -26, 26, 8, 42, 31, 20, 3, -35, 29, -35, -13, 25, 42, -18, 13, 13, -31, -40, -36, -35, -19, -5, -18, 29, -33, 2, -22, -46, -25, 37, 7, 45, 37, -11, 36, -38, 6, 45, 39, 30, -17, -19, 4, -10, 2, 44, 24, 7, 21, 21, -32, 39, -35, -19, -15, 22, 31, 31, 12, -33, 40, -30, -9, 3, -26, -36, 23, -1, 37, -4, -4, -32, 14, 21, 43, -29, -29, 11, -3, 19, 22, 6, 15, -1, 34, 4, -1, 31, 23, -42, 15, -11, 36, 9, -9, -29, -9, -43, -16, 28, 21, -21, -20, 34, 12, 9, -16, -35, -26, -16, -7, -6, -38, -30, 8, 29, -28, -45, 28, 28, 20, 4, 0, -19, -25, -21, -30, 12, 17, -34, -31, -29, 32, -28, 30, -10, -19, 4, -30, -13, 24, -3, 20, 42, -41, -21, -35, 13, -39, -6, 14, -33, -5, -21, 2, 23, -7, 4, -15, 19, 32, 23, -2, -39, -25, -30, 1, -37, 38, 5, 40, 13, -46, -11, -36, 38, 37, 7, 5, 10, -19, 31, -49, 35, 2, -43, -43, 33, -19, 36, 27, 17, 12, -22, 46, 43, -48, 46, 34, -21, 25, -18, -2, -21, 40, 38, 31, 27, -18, -37, 33, 37, 3, -29, 28, 30, -19, -39, -6, -22, 4, 6, -17, 7, 2, -18, -9, 17, 29, -46, -42, -21, 26, 5, -18, 19, -34, -27, 5, -5, 13, 27, 10, 13, -27, 7, 10, 0, -4, -34, 15, 17, -39, 23, 18, 9, 16, 41, 36, 20, 10, -47, -12, -35, 44, -5, -45, -24, -12, 36, -1, 3, 23, 1, 29, 21, -32, 10, 2, -10, -18, -5, 17, 12, -6, 27, 7, 25, 26, -10, -12, -15, -21, -30, -21, -23, -41, -21, 18, 34, 10, -1, 44, 22, 31, 13, -32, 16, -13, -42, -25, 39, 38, 23, -24, -37, -15, 41, -33, 37, -32, -29, -26, 35, 39, 15, -28, 19, 26, 16, -11, -23, -4, 34, 3, -12, 26, 33, -22, 16, -36, 37, -40, 16, 34, 9, -34, 34, 24, -19, 16, 8, 15, -16, -10, -43, 45, -34, 18, -15, -19, 28, -44, 39, -20, 14, -47, 13, 19, -45, -17, -36, 10, 29, -16, 39, 14, -29, -20, -36, -22, 7, 15, 13, -40, -39, 4, 12, 21, 10, -41, 19, -21, -35, -19, 4, 18, -48, 1, -31, 27, -25, 6, 28, 26, 43, 37, 43, 2, -12, -11, -9, -49, 27, -14, -25, 29, -1, -7, 24, 33, 18, -19, 4, -14, 22, 30, -29, 22, -14, 18, 35, 23, -36, -46, 32, -7, -25, 27, 28, 12, -32, -17, 5, 26, 40, 14, -30, -13, 22, -3, 18, 6, -17, 17, -1, -9, 21, 24, 40, -20, 7, -13, -37, 36, -14, -42, -37, 3, 3, 24, -35, 31, -3, -15, 39, -36, 9, -7, 21, 38, 37, 27, 24, -36, -4, -23, -18, 19, 47, 16, -23, -6, -39, 26, -35, 25, 28, -15, 31, 8, -27, -35, -30, -16, 35, 33, -33, 24, 35, 15, -18, -28, -22, -5, -38, 47, -23, -51, 12, -2, -18, 9, -33, 4, -28, 9, 18, -35, -12, 37, -4, -45, -47, -29, 33, 18, 26, -25, 14, 29, 44, -16, -47, 40, -27, 0, 50, 35, -37, -16, -2, 29, 34, -62, -3, -21, -20, 17, 21, -50, -29, 23, -13, 46, 40, 8, -43, -38, -32, 41, -8, 28, -7, -15, -5, -27, 24, -37, -10, 50, 42, -51, -29, 13, -33, -29, -5, -19, -35, 13, -34, -49, -29, 0, 14, -36, -22, 6, 32, -20, 44, -35, -27, 26, -6, 10, 6, 23, -14, 0, 16, 27, -13, -27, -48, -50, 17, 32, -16, -3, 29, -27, -42, -1, -16, -35, 19, -32, -35, -39, -16, -4, 4, 15, 28, 39, 14, 57, -30, -40, -40, 12, 10, 18, -15, 36, 22, -49, 13, 2, -4, -12, -24, 11, -18, 20, -40, 11, -57, 6, 19, -2, 34, 6, -50, -13, 13, -11, -11, -47, 14, 35, 9, -27, -35, -9, -19, -12, 37, 25, 31, -27, 33, 22, 4, 23, -4, 8, 28, -21, 38, 20, -28, 11, -36, -29, -19, -44, -6, -5, 0, 32, 41, -15, -48, 25, -40, 28, -6, -43, -3, -34, -48, 33, 25, 40, -37, -11, 9, -2, -44, -9, -36, 4, 39, -9, -31, 44, -20, -4, 32, 14, -20, -36, -17, -4, 32, -23, 21, 16, 14, -36, 25, -38, -7, 43, 32, -30, 42, -9, -22, -37, -35, 11, 33, -14, -13, -42, 22, 17, 31, -18, -11, -21, -29, 2, 31, 45, 22, 15, 34, 5, 61, -45, 13, 44, 25, 29, -23, 13, -9, 17, 45, -41, 6, 33, -38, -6, -21, -2, 43, -35, -41, -29, -15, -47, -13, 10, 39, 24, 17, -44, 38, -1, 26, -29, -29, 36, 8, -43, 16, -5, -54, 10, -11, -12, -11, -12, -27, -8, 20, 69, -20, 43, 67, 32, -30, -22, -43, 1, 7, 4, 31, -30, -42, -4, 9, -27, -47, 19, 16, -13, -14, 7, -13, 32, -19, 7, -17, -10, 22, 42, -16, -29, 46, -29, -36, 11, -16, 26, 8, 13, -24, -28, -39, -2, 26, -15, -22, -22, 46, -33, 39, 40, -40, 1, 29, -11, -22, 42, -40, -38, -39, -4, -2, 28, 34, 20, -1, 39, -29, -33, 36, -9, -5, 48, 9, 39, 0, -19, 28, -31, -33, -39, 34, -25, -21, 3, -45, -9, -36, -39, -3, 11, -3, 4, -25, 2, 34, 14, 19, 28, -17, -12, -30, -21, -22, -4, -14, -12, -32, 28, -8, 11, -15, 45, -25, -25, 12, 40, -41, -18, -21, -13, 10, -18, 37, -23, 10, 45, -26, 17, -18, -20, -19, -4, -20, 12, -2, -40, 44, 17, -16, 7, -37, 13, -13, -24, -22, 26, -18, -20, 37, -30, -3, 1, -22, 43, -30, -38, -44, -6, -22, 16, -41, 14, -16, 33, -17, -4, -6, -37, -14, 19, 36, 34, 7, 69, -8, 11, -18, 33, 26, 27, 37, 26, -15, 37, 12, -27, -28, -35, 14, -43, 4, -1, 36, -9, 6, -13, 21, 37, -22, -37, 8, -39, 10, -42, 29, 10, 13, 40, 44, -27, -46, -18, 41, -32, 34, -6, -3, -37, 58, 12, 17, -21, -17, 35, -45, -29, 39, 8, 36, -40, 3, 19, -22, 11, 42, -10, 58, 3, 6, -14, 7, -16, -21, -9, 14, 9, -36, -25, 75, -34, 18, -40, 24, -34, 2, 15, 8, 46, -28, -4, 25, -21, 14, 16, 20, -44, 31, -34, -5, -3, 23, -14, 48, -26, 28, 54, -40, -24, 33, -27, 32, -19, 0, -3, 33, 11, 21, -5, 32, 18, 41, -5, 10, 13, 36, 44, 29, 10, -38, 15, 38, -45, 8, 3, 12, 21, 45, -31, -22, 16, -32, -14, -38, 37, 33, 12, -24, -35, 2, 2, -12, -34, -37, -39, 17, 4, 42, 1, 16, 41, -39, 20, -19, -20, -25, -34, -21, 31, 1, 23, 3, -24, -28, 1, 23, -9, 2, -13, 39, 9, -51, 27, -24, -8, 9, 43, -49, -24, -29, -18, 34, -30, 9, 0, 10, 24, -42, 7, -5, 16, 36, -53, -29, -22, -43, 13, 6, 29, -27, -22, 21, -13, -36, -25, 25, -5, 26, 12, 17, 4, -3, 38, -17, -6, 11, -13, -48, -41, 29, 4, 10, -41, -37, 30, 11, -20, 42, 24, -35, -7, -42, 24, -20, -11, -19, -45, -33, -16, -16, 21, 31, 11, -31, -23, -33, -9, 33, -8, 3, -2, 27, 41, 4, 3, -36, 20, 10, -39, 21, -34, -29, 36, 35, 7, -29, -15, 11, 16, 17, -9, -34, 36, 33, 24, 28, 23, 2, -26, -54, -12, -33, 1, -25, -17, -12, 12, -31, 0, 7, -40, 42, 14, 36, -31, -44, -17, 40, 4, -17, 5, -47, 30, -23, -45, -38, -14, -13, -30, 26, -34, -33, -23, 8, 31, 35, 33, 3, -24, -45, 38, -37, -30, -23, -27, -12, 24, 19, 9, 3, 14, 36, 44, 16, 48, 20, 23, -18, -26, 11, -26, -41, -1, -17, 46, -31, -20, -42, -22, 25, -7, 4, -1, 21, 31, -11, 25, -11, 4, -14, 43, 11, -33, 1, 41, 32, 29, 17, -46, 29, 14, 38, 45, 38, 29, -22, -29, -26, -50, 6, 34, 21, -15, -12, -51, -25, 24, -33, 2, -11, -48, -46, 31, -47, -28, -43, -16, -47, -2, 40, -16, 30, -23, -49, -50, -21, -11, -30, -51, -36, 18, -23, -22, -24, -32, -35, 14, 14, -31, 14, 15, 1, 23, -30, 21, 47, -26, -11, 46, 18, -43, 15, 31, -17, 31, -10, 19, 4, -39, 43, -5, 18, 12, 43, 13, -3, 37, 41, -36, 30, 35, -10, 31, 15, 25, -40, 3, -20, 33, 2, 26, 14, -29, -38, -45, 25, 45, -23, 45, -18, -27, -28, 34, -42, 31, 35, -23, -36, -7, 2, -19, -27, 21, 33, 18, -7, 35, 6, 0, -23, -9, -33, -8, 37, -29, 11, -19, 22, -26, -46, 27, 14, -17, -11, 15, -30, -11, 45, 30, -11, -6, -15, 31, -6, -30, 20, 26, 31, -49, 42, 20, -33, 16, 30, 24, -58, -22, -45, -24, 9, 18, -17, 6, 12, 36, 47, 36, -27, 5, 2, -49, 26, 55, -47, -35, -21, -11, 15, -13, 30, -44, 34, 3, 10, 24, -37, 23, -39, -4, -30, 9, -36, 17, 2, 5, 17, -42, 11, -40, 43, 13, -10, 15, -40, -34, 41, 0, -29, -16, 22, 16, 12, -50, 14, -42, 24, -43, 10, 2, 24, -24, 27, -3, -3, 25, 1, -9, 56, 12, 9, 22, -16, 25, -15, -4, -39, 4, 25, -34, 23, 6, 13, -56, 6, 0, 9, 18, -21, -33, -5, -10, -35, 8, -16, -1, 29, 5, 16, 43, -2, 32, -31, -24, 39, 44, -23, 56, 36, 41, -29, 1, 8, -29, -33, -39, 16, 10, 26, 39, -20, -38, 31, 45, 7, 13, -37, -18, 11, 34, -40, -8, 23, -18, -10, -12, -26, 37, 46, 30, 11, -17, -20, 23, 36, -14, -25, -1, -7, -2, 0, -29, 66, 6, 29, -36, -32, -8, -47, -41, -6, -45, 15, 39, 48, -1, -35, -19, 15, -17, -14, 39, -1, 49, 25, -13, 25, 24, 21, 0, 36, -29, -20, 5, 15, 26, 23, -31, 12, -10, 57, -5, 42, -12, -13, 23, 8, 11, 23, 18, -37, -13, -33, -6, -17, -5, 6, 15, 71, 34, 23, -11, 33, -13, -10, 31, 47, 28, -17, 10, -11, -6, 47, -6, -29, -29, -23, -1, 47, 27, 41, -18, -43, 10, 60, 64, -13, -13, 32, -38, -25, -48, -33, 34, 24, 10, -38, -26, 7, 9, 26, -3, -26, 22, -42, -41, -32, -26, -18, -15, -10, -19, 28, -33, 30, -8, 17, 27, -38, 0, 7, 32, -34, -1, 55, -34, 45, 8, -39, 21, -18, 20, -11, -32, -22, -64, -60, 23, 0, 62, -19, -49, 31, 23, -65, -24, -24, 7, -8, 3, 10, -10, -15, -47, 27, -30, -7, 47, 18, -17, -14, -21, 35, -23, 42, -4, 29, -40, 28, -18, 32, 37, 30, 3, 1, 19, -40, 7, -8, -52, 1, -23, 16, -51, 32, 31, 51, -34, 17, -18, -8, -24, 30, 30, -14, -1, -27, -7, 32, -44, 14, 10, -42, -45, 38, -26, -43, -3, 43, 8, 20, 20, -12, -36, -16, 17, -44, -2, 18, 8, 20, -6, 30, 41, 11, 29, 46, -4, 15, -23, 17, -32, -22, 35, -23, 5, -3, 7, 37, -24, -3, 30, -55, -25, 7, -32, 20, 32, 7, 29, 35, 5, 30, -35, -19, 12, 47, 30, -20, 5, -44, 31, -34, -43, -44, -26, 17, -56, 6, -16, -13, 55, 48, -42, -9, 6, -22, -4, 14, -25, 52, -12, -10, -2, 0, -13, 31, 1, 5, 7, -18, 8, 21, 38, 30, 5, -22, -2, 16, -18, 20, 6, -39, -25, 45, -23, -28, 12, -21, 29, -9, 40, -32, 5, -17, -45, -32, 23, -47, -32, -27, -3, -53, 8, -35, 36, 24, 11, -33, -7, 19, 32, -20, -42, -29, -33, -19, 5, -13, 18, -40, -19, 15, 7, 5, 2, 20, 4, -7, 36, -13, 36, 2, 14, 10, -9, 1, -12, 10, -28, -19, -37, 37, 3, 14, 6, -8, 31, -16, -10, 8, 24, -15, 5, -20, -12, 39, 32, 32, 27, -27, 41, -33, -2, 48, 36, 24, 12, 10, 23, 9, -9, -20, -36, -35, -24, -30, 27, 13, 25, 29, -24, -28, -24, -6, -15, -29, -21, -32, -12, 17, -25, -54, -5, 29, 35, -14, 6, 55, -11, -14, 38, -30, -20, 43, -56, 0, 7, -6, -65, -16, -17, 19, -2, -47, -38, -27, -22, -13, -24, 7, 1, 6, -7, -6, 22, 19, -1, 40, 38, 28, 17, -32, -18, 37, -34, -15, -4, -48, -53, -33, 11, -41, -17, 10, 9, -33, -26, -36, 18, -6, 17, -42, -16, -39, -35, -47, 29, 39, 28, -24, 33, -32, -32, 12, 30, -43, -40, -39, 37, -11, -16, -9, -34, 22, -24, 13, -44, -42, 21, -43, 15, -18, 44, -30, 9, 33, -35, -40, -32, -1, -17, 7, 44, 33, -4, 36, -19, 20, 15, 31, 21, 39, -34, -23, 56, 45, -2, 18, -57, -55, -19, -31, -15, 5, -21, -21, -48, -2, 9, 44, -29, 43, -1, -11, -19, 38, -18, 4, -34, 13, 36, -5, 7, -46, -51, -23, 2, 10, -41, -31, -65, 2, -33, -53, 8, -21, -40, -34, -30, -43, 1, 31, 23, -22, 16, -14, 11, -4, 0, -19, 17, -1, 30, 9, -29, -12, -4, 38, 24, -5, 42, 9, 26, 27, -28, 6, -23, 48, 11, -69, -16, 16, -21, -11, -34, -36, -1, -3, 20, 12, 42, -42, 6, 33, -32, -1, 31, -32, 56, -7, 14, 27, 46, 16, -28, 17, -4, 1, -6, -11, -6, -34, 3, -42, -14, -11, -22, 40, 12, -16, 7, 15, 30, 37, 5, -58, 20, 15, -37, 43, 30, -26, 43, 0, 29, -33, 8, -36, 18, 7, -32, 27, -15, -38, -50, -26, 51, 42, -46, -31, 30, -49, -50, 15, 34, 4, 21, 1, 6, -43, 29, -40, 10, 21, -5, -41, -27, -41, -45, 4, -23, 1, -10, -67, -38, 27, -7, -6, -33, 31, 16, 42, 11, -35, -22, -12, 26, 43, 36, -39, -29, 30, -29, -37, -16, -23, -46, 27, -13, -12, 47, 28, -23, -35, 26, -32, -8, 7, 7, -28, 36, 50, -32, 2, -8, -3, -36, -15, -15, -27, -36, 3, 24, 1, 34, -43, 17, 2, 42, 39, 5, -35, -14, 17, -56, 3, -43, -33, 10, -50, 36, -43, 7, -15, 1, -25, -51, -27, 11, 31, -41, -7, 39, 13, 10, -15, 30, -8, 21, -2, 19, -14, -12, 15, -20, 8, -13, 39, -64, -1, -10, 4, 14, -30, -27, -39, -11, -13, 28, -22, -38, 8, 16, -32, -21, 25, -17, 32, 39, 9, 0, 50, -30, 40, 33, -10, -43, 22, 45, -9, -28, 31, -28, 32, 15, 12, 28, -7, 44, 45, 27, 10, -21, 1, -7, 11, -34, 26, -4, 10, 48, -22, 11, -38, -24, -21, 16, -23, 15, 26, -19, 28, -6, 24, -55, 8, -23, -28, 16, 27, 21, -7, 37, -26, -38, -30, -23, -2, 14, -34, -49, -25, -20, -15, -14, -33, -16, 6, 27, -30, -11, -14, -24, 21, -17, 24, -42, -13, 33, -10, 30, 14, -23, -11, -6, -8, 20, 21, 15, -35, -10, -6, -38, -5, -8, -42, -27, 28, -17, 31, 8, 42, -36, -35, -5, -36, 35, -35, 25, 44, 12, 17, -40, -7, 17, -37, 42, -36, 11, 9, -19, 56, -23, -64, -13, -6, 5, 2, -23, -22, 29, -5, -3, 9, -35, 10, 21, -47, -41, 5, -25, 17, 18, -52, 16, -54, 4, 10, 15, -20, 36, 14, 28, -2, -30, -15, 59, -16, -20, 21, 29, -19, 39, -18, -44, -2, -7, -6, -3, 18, -9, 38, 19, -30, -32, 7, -31, 44, -37, -27, -25, -60, -32, 3, 12, 46, 3, 46, -27, -7, -11, 17, 40, -10, -6, 0, -24, 3, -20, 4, 40, -41, -16, -29, -11, -15, 39, 50, 40, -16, -40, -54, -17, 15, -19, -14, -39, -12, -36, 8, 26, -11, 35, -11, 21, 64, -43, -45, -39, 26, 19, 26, -42, -2, 10, -4, 18, 17, 3, 17, 19, 23, 4, -9, 16, 12, -24, 6, 10, 27, 21, -9, 28, -12, 28, 48, -22, -10, 12, -24, -12, 16, -20, -43, -48, -24, 2, -35, -14, -73, -45, 26, 20, 72, -19, 17, 6, 16, -43, 17, -14, 3, -2, -44, -50, -11, -29, -15, 9, 46, -49, -3, 50, -15, 50, -12, 19, -32, -21, 3, -11, -41, -22, -18, -24, 41, -10, 46, -10, 41, 35, -7, 42, 50, -38, -16, 69, 31, -16, 55, 37, 6, 32, 20, 17, 3, 0, -33, -43, -47, -43, -26, -10, -8, -38, 20, -11, -7, 4, -14, 24, -7, 14, 24, 11, -27, 12, -39, -8, -19, 44, -27, 19, -14, -29, -26, 43, -10, 1, 21, 15, 38, 31, 26, -2, -39, 20, 32, -43, -7, -4, 15, 14, 18, 4, -36, -35, -15, -23, 7, 5, 43, 10, -5, 24, -22, -6, 24, 42, 20, 6, -61, -9, -56, 1, -19, -26, -9, -30, 18, 42, -26, 25, 16, -30, 49, 1, -18, 9, -33, -51, -29, 4, -14, -21, -27, -72, 8, -31, 13, 27, -9, 18, 21, -13, 25, -59, -37, 8, 23, 33, 1, 16, 83, -2, 32, 57, 1, -7, -14, 25, 13, -8, -29, -16, 14, -34, -35, -13, 35, -16, 11, -36, 25, -19, 38, -34, 25, 19, -4, -47, -43, -59, 11, -26, 16, 2, 3, 37, -31, -41, 1, -40, -30, 21, 16, 40, -18, 27, -17, -30, -41, -10, 50, -36, 40, 0, 25, 18, -10, 30, -18, -2, -32, -36, -36, 10, -16, 5, -21, -34, 32, -42, 12, -27, -7, -39, -19, -7, -34, -13, 17, -42, -4, -17, -33, 31, 14, 32, 59, 40, 60, -2, 71, -24, -59, -48, -13, -47, 26, -30, 11, -24, 21, 24, -37, 40, -26, -2, 16, 17, -31, -1, 35, -41, -30, -18, -31, -33, 38, -27, 9, -42, 28, 15, -57, -1, -51, -36, -43, 1, -7, -20, 35, 43, 56, -22, 20, 43, -22, -29, 7, 18, 18, -17, -23, -13, 9, 64, 20, 48, 36, 8, 9, -35, -6, 7, 33, -2, 44, -14, 45, -22, -17, 18, 4, 25, -19, 31, -6, -15, 28, 1, 20, 20, 2, -4, -2, -1, 13, 32, -14, 10, -18, -6, 8, -16, 16, -40, -16, 22, 2, -11, -14, -28, -18, -26, -9, 24, 5, -32, -3, -37, 24, -9, 7, 23, 8, 25, -14, 23, -23, -6, -32, 33, 38, -16, -19, 29, 40, -15, -28, 14, -35, 22, -15, -14, -11, 31, 1, 25, -31, 4, -11, -38, -14, 37, -25, -24, 5, 39, 38, -14, 11, -24, 18, -15, 47, 2, -7, 25, -1, -48, 4, -44, -30, 33, 36, 4, -28, -14, -30, -31, -36, -48, 1, -45, -36, -24, 6, 18, -36, -10, -51, -23, -2, -1, -50, 41, -11, -27, 5, 65, -26, -41, -52, 14, -27, 8, 16, -14, 50, 28, 10, 16, -32, 21, 18, -16, -62, -42, -31, 38, -38, -15, 40, -15, -31, 1, -7, -21, 30, -44, -40, -10, -11, 19, -3, 22, 40, -4, -22, -31, 9, -23, -49, -7, -20, 23, -5, 32, -9, 6, 8, -19, -38, 23, -6, -9, 38, -3, -2, 10, 9, -5, -40, 20, 7, 0, -31, -21, -19, -6, -24, 24, -26, 32, 2, -36, -5, -43, -31, -2, -47, 8, 13, -50, -3, -19, 0, 5, -23, 44, 4, 74, -11, 48, 41, -31, 34, 38, 3, -24, -7, 15, 3, 1, -36, -6, -52, -39, 21, -21, 33, -18, 30, 4, -41, 16, -34, -6, -41, 11, 47, -45, -7, 6, 28, 39, 25, -3, 39, 16, -36, 18, -12, 35, -8, 6, -13, -23, -25, -7, 15, 24, 38, -6, -27, 29, 35, 11, 8, 4, -31, -31, 8, 33, 20, -6, 0, 1, 2, 16, 32, -1, -19, -65, -52, 17, -5, -14, -8, -14, 13, 1, -26, -25, -26, -2, 29, -13, 10, -3, 17, -40, 7, 15, -45, -41, 7, -25, 38, 28, 9, -38, -10, -39, 4, -40, -44, -52, -38, -28, -44, -5, 9, -36, -2, -47, -16, 39, -26, 1, 23, 0, 23, 32, -36, 3, 11, 53, 39, 22, 5, 18, -35, -21, 24, -53, 24, -39, 27, -14, 43, 31, 19, 0, 47, 11, -30, -1, -16, -24, 2, -20, 49, 29, -35, -9, 6, 27, 8, 10, 23, 14, 24, -5, -45, -6, -4, -32, 32, 59, 35, 13, 0, 26, 32, -28, -44, -23, 14, -9, -9, -2, -29, 14, -45, -8, -14, -49, 16, 36, 12, -5, 25, -32, 19, 17, -42, 16, -19, 20, -7, -1, -17, -20, -16, -4, -11, -37, 2, -22, -44, 25, -28, -59, -47, 6, -8, 33, -36, -35, -32, -16, -25, -15, -22, 10, -19, -1, -12, -12, -14, -11, -2, -23, 20, -41, 38, 30, -15, 26, 26, 7, -33, -57, 3, 25, 18, -15, -34, 49, 2, 23, -26, -7, -12, 41, 31, -10, 15, -6, 9, 19, 0, 41, 28, -18, -19, -25, 42, 20, 0, -45, -3, 32, 32, -7, 15, -4, 15, 29, -25, -27, -40, 4, 31, -4, -8, 2, 19, 5, -23, 0, 2, 6, -12, -37, 0, 9, -31, 26, 18, -19, 2, -44, -31, -26, 6, -1, -60, -22, 50, 11, 4, 6, -60, -37, -6, -40, -9, -19, -8, 10, -41, -2, -4, -24, 35, -32, -15, 6, -14, -3, -7, -40, 7, -65, -16, -20, -8, -1, 17, 11, 42, 50, -16, 10, 30, 7, 6, 8, 21, 38, -34, -31, 30, -4, 11, -5, 15, 22, -11, 25, -39, -1, -10, -23, 37, -22, -16, 17, -22, 11, -27, 34, 8, 0, -12, 5, -3, -14, -30, -19, -12, -35, -12, 19, 16, 18, -13, -23, 21, -22, -23, 19, 33, 24, -18, 38, -17, -3, -28, -37, 66, 45, 8, -35, 44, 20, 0, -1, 4, -38, -38, -48, -14, -20, -28, 9, -3, -27, 0, 34, 47, -26, -16, -20, 10, 43, 34, 5, 32, 9, 2, 55, 2, 22, -16, 9, -37, 35, -12, 39, 8, -40, 6, 50, 16, -1, 35, -26, 3, 39, 24, 31, -18, -34, -7, 2, 0, 40, -25, -26, 26, 19, -8, -7, 40, 38, 6, 31, -3, 35, 34, -4, 5, 36, 46, -13, -32, -8, 4, -43, -16, -8, 20, 33, 2, -41, -5, -10, 6, 19, 36, 37, 5, 0, -6, 11, 10, 21, -18, -17, -6, -13, 11, -29, -13, 25, -44, 3, 23, -5, -5, 1, 47, -1, 8, 25, -14, 16, -39, -30, 18, -32, -8, -6, -7, -44, 5, -21, -23, 25, 21, -35, 4, 66, 5, 7, 23, 23, 26, -13, 2, -6, 34, -11, 20, -24, -2, -46, 0, -38, 3, 7, 16, -29, 39, 15, -55, 6, -54, 17, -5, -53, -24, -25, 13, -25, -41, 14, 33, 13, -51, 23, -21, -30, -31, -21, 32, 23, -5, -40, -17, 47, -45, -3, -38, -17, -4, -15, 28, 50, -16, 6, -38, 6, -6, 14, -6, 10, 30, -54, 29, 41, 74, 57, -10, 68, -24, -4, -33, -68, -11, 5, -20, 43, 28, -5, -22, -23, 23, 27, 13, 1, -4, -53, 18, -5, 22, 6, 40, -11, 10, 41, 43, -42, 7, 35, -45, -38, 12, -22, 0, -11, 32, 33, 10, -30, 16, 33, -13, -22, -50, 8, 0, 16, -22, -24, -20, -12, 36, 8, 3, 33, 41, 6, 32, 21, 27, 25, -8, -25, 27, -14, -2, 8, 26, -13, 31, 30, -41, -46, -21, 15, -4, -4, -53, -44, 29, -45, -41, -50, -3, 16, -15, -26, 15, -12, -13, 31, 33, -18, 24, 36, 43, 3, 30, -7, 14, 3, -22, -1, 34, 23, -28, -26, -9, -17, -33, 6, -19, -3, -32, -13, 22, -35, 41, -12, 31, 37, 10, 41, 3, 1, 36, -1, -46, 4, 43, -25, -20, -4, 9, 46, -33, 24, 14, 19, -25, 23, 32, -23, 4, 35, 18, -20, 43, -23, -9, -27, -10, -17, -32, -12, -5, -7, 5, -20, -41, 16, -45, -41, -37, 8, 30, -30, -36, -19, -11, -21, -12, 19, 26, 15, 40, -3, -26, -18, 2, -40, -48, -32, -35, 12, -36, -41, 14, 13, -2, -8, 26, 20, -36, -9, 37, 41, 12, 0, -24, 9, -51, 17, -19, -19, 40, 2, -7, 12, -6, 0, -26, 26, 3, -27, -46, 14, 16, 10, -44, 9, -10, -50, -2, -14, -12, 41, -47, 19, -27, -45, -23, -11, 9, 19, 36, -32, -6, 16, -26, 24, -11, 41, -28, -47, 10, 44, 14, 27, 10, -30, 6, -30, 27, 35, 28, 44, -3, -34, 30, 25, 7, -11, -46, 25, 1, -22, 23, 47, 23, -24, 36, 25, 41, 17, -24, 3, -18, 4, 37, -27, -3, 24, -11, -11, -11, 22, -26, 17, 19, 32, -8, -18, -35, -16, -32, 37, 5, 8, -43, 30, 38, -17, -42, -9, -9, 28, -1, 3, 27, -6, -42, 5, 25, -16, -2, 13, 14, -16, -31, -12, 0, 1, -27, 43, -37, 29, 36, 0, 28, -33, -43, 19, -11, 21, -31, 11, 10, 1, -18, -42, 4, -18, -5, 39, -1, 17, -32, -12, 31, 20, -5, -36, 8, 25, 33, 48, 4, 33, -35, -17, 38, -23, 38, 21, -41, 7, 2, -31, -20, 1, -43, 6, 36, -29, -31, -9, -53, 34, 12, 5, -35, -3, -19, -35, -38, -30, 5, 26, -39, 39, -41, -12, 8, -8, -29, 2, 38, -26, -18, 44, 15, 38, 16, -24, -35, 1, 8, -40, -22, -19, 0, -7, 14, 33, -42, 17, -30, -23, -28, 7, 25, -1, 26, 35, 36, 7, -24, 30, 15, 0, -37, 5, 35, -38, -5, 0, 4, -27, 32, 5, -29, -4, -20, 24, 37, -28, 30, 15, 24, 40, -14, -25, -4, 31, 28, -21, 36, 40, -49, -32, 20, 24, -1, -44, 24, 29, 15, -41, -48, -35, -36, -9, -28, 29, 18, 4, -22, -13, -23, 39, 4, -9, 14, -38, -10, -10, 35, -48, 43, -35, -13, -9, 38, -33, 38, -42, -7, -26, -45, -38, 16, -23, -9, -16, -40, 15, -4, -31, -13, -14, 14, -52, 38, 24, 7, 34, 24, 0, -16, -4, -38, -21, -20, 32, -10, -13, -36, -2, 9, 34, 19, 7, -8, 16, 49, -46, 42, -23, 20, -40, 0, 2, -33, -17, 13, -25, -12, -23, -33, 13, -5, -11, 19, 50, -33, -15, 42, -39, 9, -7, -44, 37, -7, -30, 45, -22, -14, 30, 45, 40, -25, 26, -39, 1, -21, 23, 13, 2, -19, 15, -8, -27, -42, 38, -42, 1, -24, -33, -3, 5, -27, 10, 8, -30, -35, 42, 10, 45, -24, 27, -31, 34, -33, -33, 32, -10, -16, 4, -17, 39, 26, 6, -41, 29, 18, 45, -44, -25, -23, -28, 29, -42, -46, -30, 15, 11, -9, -31, -12, 36, -27, 33, -42, -34, -15, -40, 30, -7, 33, -13, -7, 36, 17, -3, -22, -10, 15, -33, 35, -13, 27, -5, -40, 27, 36, 31, -29, 26, 43, -3, 17, 39, -7, 16, -20, 43, 22, 12, -16, -34, -21, -34, -32, -1, -27, -12, 39, -42, 0, -37, 26, -45, -2, 14, -9, -27, -29, -13, 16, -2, 26, -17, 15, -41, -9, -12, -45, -11, -11, 30, 38, -28, 21, 4, 18, 30, -20, -8, -44, 16, 0, -4, 39, -31, 17, 3, 36, -6, 0, -22, 5, 46, 0, -13, 30, -33, -15, -9, -35, -31, 24, -23, 31, -32, 20, -22, -39, 29, 33, -46, 1, -27, 15, -20, 36, -38, 31, 22, 11, -41, 29, -43, -36, 42, -42, 39, -21, -44, -25, -19, -40, -2, 2, 5, 45, 16, 2, -42, -20, 31, 24, -9, -44, 26, -29, 12, 18, -30, -22, 38, 27, 31, -3, -30, 35, 35, -10, -41, 48, 21, 11, -30, 12, 28, -39, -5, 46, 25, -42, 26, 30, 25, -20, -26, 42, 35, -26, 36, -7, -36, 18, 31, 9, 26, -29, -18, 22, 35, -32, -27, 12, 9, 39, 16, -18, -33, 35, 21, 15, -10, 6, 18, -45, 18, -51, 2, 30, -51, 24, -8, 40, -27, -12, -9, -2, -1, -11, 45, 38, 16, -8, -43, -42, 8, -42, 28, -10, -14, 12, -17, -29, -2, -26, 25, 14, -35, -14, -50, 10, 35, -34, 19, -24, -14, 16, 42, 6, -9, 41, -17, -13, -28, -45, -39, -1, 10, -12, -44, -6, -46, 37, 19, -45, -44, -6, 35, -6, 13, -45, 11, 29, -14, -46, 39, -32, -6, -29, 32, -28, 17, 15, 35, -19, 4, -23, -20, 28, 45, 17, -38, 23, 21, -29, 38, 1, 38, -27, -40, -43, 8, 16, 34, -40, -11, -3, 27, 23, 38, -1, -31, 51, 42, 23, 41, -10, 8, -15, -42, 6, 5, -9, -22, 45, 14, -22, -8, 4, -28, 23, 35, 42, -43, 16, 2, 17, 11, -11, -46, 24, 11, -28, -12, 2, -24, -35, -10, 29, -20, -5, -22, 44, -16, 41, -15, -27, -32, 0, 10, -44, 11, -8, -6, -11, -16, 41, 11, -27, 20, -32, -21, 30, 1, -13, 44, 32, 40, 11, 23, -39, -21, -15, -39, -34, -30, -26, -42, 22, -8, -5, 26, 24, -39, -30, 2, -28, 25, 3, -34, 38, 9, 0, -8, -41, -28, -24, -28, 23, 22, -39, -31, 2, 39, 2, 15, -20, 31, 24, -23, -45, 28, 15, -32, -15, -43, 4, -38, -44, 27, -35, -43, 15, 17, -28, 15, -3, -44, 1, 24, -23, 19, 10, 25, 42, -38, -27, -1, -24, 20, 26, -35, -49, -24, -21, -34, 16, 36, 20, 5, -31, -2, -29, 15, -35, -25, 2, -22, 18, -31, 1, 34, 19, -21, 21, 26, 8, -42, -10, -12, 31, -50, -16, -42, -9, 11, -2, 37, 31, -33, 6, -39, 7, -21, 32, -35, -3, 33, -14, -39, -4, 12, -5, 32, -25, -40, -48, -36, -48, 32, 37, 17, 26, 7, 25, 28, 23, 40, -29, 21, -37, -3, -36, 6, -23, 41, -18, -31, -3, 16, -11, -17, 26, -35, 5, 17, -27, 45, 1, 29, 20, 1, -21, 11, 21, -4, 6, -32, -19, 25, -12, -37, 7, -37, 8, 0, 40, 44, 6, 20, 29, 14, 17, -24, -25, 16, 7, 19, 19, -1, 16, -1, 37, -7, -10, -38, -23, -10, -27, 32, 5, 24, -40, -22, 24, -9, 24, 31, -27, -36, 30, -21, -14, 6, 14, 3, 29, -19, -8, -6, -28, -47, 33, -50, -7, -33, -33, -45, -21, -34, -38, 35, 43, 20, 45, 0, -14, -17, 23, 30, 58, 29, 20, 32, -51, 27, -20, -9, 12, -41, -14, 36, 70, 21, -41, 11, -2, 20, 7, 33, -5, 1, -27, 46, 31, 9, -18, -48, 29, 0, -9, 22, 14, 7, -18, 24, 48, 68, 37, 15, -28, -10, 45, 25, -39, -37, -20, -2, -37, -6, -40, -35, -26, -23, 45, 0, -12, 4, 12, -20, 34, -3, 32, 31, -25, -36, -29, -23, 13, -38, 0, 40, 57, 51, 17, -43, -1, -26, -61, 6, -42, -54, 16, 39, -2, -14, 24, -22, -34, -5, 13, 37, 34, -28, -6, -35, -51, 40, -38, -15, 4, 25, -33, -1, 47, 19, -38, 42, 40, -2, 13, 38, -39, 0, -54, -23, -39, 11, -20, -43, -10, -65, 32, -38, -67, 8, 24, 30, -41, 10, -19, -36, 14, 7, 19, -23, 49, 18, -13, -25, -17, -27, 16, -3, 5, 29, 18, 26, -38, 28, 12, -10, -8, -4, -33, 30, -15, -17, -26, -40, 44, -46, 37, -1, -5, 29, 27, 42, -44, 1, -31, -17, 29, -12, 5, -18, 31, -17, 22, -42, 12, -40, -27, -42, 35, 20, 16, 0, 5, -10, 30, 35, 20, -5, 38, 7, 36, 27, -1, -14, -9, -38, -37, -26, 2, -9, 13, 2, 10, -42, -44, -21, 15, -42, 42, -23, -30, -12, 0, 31, 13, -39, -53, 18, 12, -17, 19, -38, -11, -59, -9, -40, 28, -3, 38, 6, 17, -7, 42, 44, 31, -24, -45, 30, -46, 41, -31, -34, -46, -18, -9, -11, 17, 43, 25, 8, 9, -2, -22, -47, -24, -3, 14, 23, -17, -34, -8, -24, -4, -20, -7, -13, 32, -22, 25, 12, -17, -8, 22, -15, 39, 12, 8, -30, -30, -16, 26, -15, -48, -30, 1, -31, 19, 4, -6, -42, 19, 2, 42, 5, 15, 11, -4, -33, -2, 33, -20, -24, -2, 33, -15, -15, 13, -36, -43, -22, 6, -32, 9, -24, -26, 4, 19, 14, -50, 31, 2, -4, -21, 21, -44, 21, -7, -13, 26, -12, 18, -5, 17, 6, -5, 32, -3, -9, -4, -4, 0, 16, -17, -17, 15, -29, -22, -6, -40, -6, 14, -42, 23, -4, 12, -29, 11, -7, -5, -33, -39, 16, 13, -42, -17, 19, 27, 12, -12, -17, 6, 12, 33, -39, 21, 37, -21, 41, 40, -18, 27, -27, -35, -22, -14, -4, -4, -29, 15, 3, -11, 12, -25, -3, 26, -50, -4, -62, 12, 3, -9, -47, -7, -55, -23, 30, 16, 13, 23, -11, -41, 18, -37, 25, -5, 7, 11, -16, 0, -28, 12, 34, 11, -19, -3, 17, 15, 4, 20, -12, 17, -24, 3, -31, -3, 87, 43, 16, -49, -14, -24, 2, -9, 5, -21, -54, -27, -46, -19, 6, 12, 34, -22, -28, -36, -27, -1, 10, 25, 18, 40, -30, 39, 31, -40, -45, -21, 45, 23, -11, -30, 27, -22, -19, -20, 9, 18, 44, -28, -44, 0, -16, -26, 4, 5, -24, -19, -18, 42, -9, 23, 46, -36, 9, -17, 22, 15, 10, -17, 26, -30, 24, -13, -52, -23, -18, 40, -2, -10, -2, -33, -49, -13, -20, -22, -7, 25, -28, -19, 58, -58, -14, -32, -36, 16, -8, 4, -33, 10, 26, 27, 35, -34, -46, 37, -15, 7, -7, -44, -35, 39, 12, 39, -21, -20, 18, 9, -21, -24, 37, -29, 32, 13, 19, 7, 25, -26, 44, -20, -12, -10, 17, -31, -2, 47, -2, 18, -57, -19, -27, 12, -30, 24, -47, 28, 28, 19, 25, -17, -43, 9, 18, -23, -8, 17, 0, 32, -48, 17, -36, -43, 4, -5, -29, -14, -4, 32, 35, 30, -24, 48, -50, 27, 14, -23, -15, 54, 12, -8, 26, -3, -5, 9, -1, 27, -14, 36, 43, 35, 7, -13, -25, 44, -25, 17, -22, 6, 44, -16, -14, 43, 47, 12, 18, -32, -1, 48, -29, -25, -9, -9, -42, 32, 3, 24, 11, -50, 21, -15, -23, -20, -68, -11, 18, -42, -17, 18, -20, 18, 32, 43, 23, -30, 27, 21, 30, 45, -19, -2, 4, -30, -26, 17, -13, -45, -24, 25, 43, 41, -9, -42, 9, 7, -20, -66, 0, 28, 18, 62, -43, 36, -10, -18, -4, -36, -3, -20, 39, 52, 15, 40, 3, 24, 37, 13, 25, 34, -19, 30, 41, -28, -46, -44, 21, -60, -42, -37, -31, -34, -41, -45, -40, -36, 42, 45, 32, 37, -39, -29, -28, 0, 19, 18, -27, -58, 32, -60, 7, 21, 20, 35, -2, -10, -32, -38, -24, -23, 38, -50, -46, 29, 32, -18, -42, 31, -16, -41, -16, 4, 21, -2, -8, 3, 16, -18, 40, -25, -13, -42, -10, 9, 20, -32, 33, -15, -19, 36, 27, -2, -37, 44, -22, -11, -22, 8, 17, -3, 5, 22, 6, 26, 3, -10, -4, 18, -17, 12, -3, 29, 4, -50, 4, -16, -14, -47, -9, 27, 38, -22, 36, -3, -40, 10, -10, 35, 11, -15, 10, 4, 19, 9, -18, 25, -35, -43, 1, -24, -14, -16, -35, 3, -8, 21, 26, -32, 28, 47, 0, 11, -7, -16, 27, -31, -54, 15, 13, 43, 3, 8, 36, -56, 24, 2, 32, 18, -40, 53, 6, -45, -19, 12, -20, 23, -5, -28, 26, 47, 56, 20, -11, -55, 11, -31, 9, -20, 33, -29, -11, -28, -53, -11, -40, 26, -8, 3, 39, -18, 33, 4, -43, 16, 35, -35, 14, -28, -33, 18, 19, -15, -3, 33, 37, -30, 5, -45, -36, 31, 13, -28, -22, -12, 17, -5, 44, 5, 45, -5, 18, -43, 11, 34, -23, -38, -15, -8, -33, 11, 11, -21, -33, 28, -31, -1, 9, 46, 14, -44, -15, -3, -13, -1, 26, -5, 26, -16, -6, 22, -6, -52, 19, 59, -29, 51, 14, -26, 45, 9, 11, -30, 7, 33, -24, -13, -3, -43, 17, -42, -22, 2, 9, -3, -32, -1, 38, -25, 20, -11, -13, 7, -56, 23, 18, 0, 16, -33, -39, 4, 29, 1, 16, -26, 53, 22, 8, 10, -47, 21, 53, -41, 24, -3, 9, -41, -46, 11, -9, -37, 26, 27, 39, 23, -43, 40, 11, -14, -15, 15, 6, 11, -31, 0, -35, 47, 33, 45, -61, -44, 15, 15, -25, 14, 5, 14, -1, -8, 25, -23, -19, -16, -4, -39, 27, 0, 18, 49, 15, -23, -27, 47, 34, -43, 21, -13, 16, -34, -34, -13, 13, -34, -14, -35, -42, 35, -15, -16, 7, -49, -36, 0, -35, 30, 23, -31, 23, -3, 0, 10, -36, 2, 48, 32, 19, 10, -24, -20, -21, 25, 20, 13, -38, -30, 36, 3, -24, 13, 34, -43, 4, -12, 24, 62, 44, -16, 7, -7, -43, -1, 39, 40, -16, -30, -38, -20, -54, -3, -37, -25, 13, -37, 7, 55, -51, 5, 12, 37, -15, -31, 12, 3, -17, 31, 8, 11, 4, -27, 42, -30, 36, -40, 7, 37, -34, -17, 34, -43, 2, 16, -26, 8, -42, 11, -51, -31, 22, -5, -13, 28, -24, 17, -30, -30, -28, -19, 16, -22, -2, -23, 0, 28, 42, -17, 16, 6, -44, -7, 38, -37, -34, 32, 9, -20, -16, 2, 47, 34, -42, 27, -20, 5, -38, 7, -8, -32, -4, -43, 6, 11, -35, 20, -28, -38, -53, -39, -30, 29, 21, 40, -38, -9, -21, 0, -36, 27, 17, 30, 2, 13, -73, -50, -6, 18, -16, -3, -10, -17, -5, -4, -29, -32, 8, 33, 14, -27, -39, -35, -39, 3, 20, -46, 35, 22, 29, -31, 40, -40, -12, 42, -36, 24, 1, -24, 36, 5, -10, 37, 29, -35, 4, -19, -22, 9, 7, -1, 41, -32, -7, 15, 22, 16, 30, -34, -33, -37, -10, -35, 34, -22, -43, 5, 31, 5, 0, -25, 23, 13, -21, 6, 57, -24, 37, 21, 43, -20, 48, -32, -26, 37, 13, -6, -33, 50, 42, -24, -26, -13, 42, -44, 0, -29, 21, -7, -28, 14, -24, -32, -19, 11, 26, -50, -15, 5, -31, 0, -12, 26, -38, 4, -8, -14, -34, -26, 35, 35, 18, 26, 6, -23, 32, -31, 21, 2, -30, 25, -25, -22, -17, -42, -32, -32, 10, 29, -1, 21, -24, 18, -49, 28, -4, 8, 30, 16, -11, -14, 29, -26, -38, -13, -28, -39, -19, -5, -46, 8, -53, -39, -60, -49, -45, -26, 14, 17, 2, 45, -21, 8, -4, -6, -27, 45, 43, 39, -2, 15, -1, 12, -28, -34, 17, 50, 5, 19, 41, -3, 28, -30, -18, 47, 9, 6, -12, 50, -28, 21, -2, -1, 19, -30, 33, 13, 38, 53, -13, 7, 68, 38, -24, 43, -4, -9, -9, 7, -34, -18, 4, 25, 28, -17, 8, -4, 29, -7, -30, -1, -2, 6, 41, -32, 14, 4, -14, -9, -34, 20, -26, 13, -33, -6, 10, -43, 39, 28, 35, -17, 18, -13, 0, 11, 5, -39, -25, 3, -15, 2, -44, 10, -22, -6, 25, 25, 30, -4, 9, -26, -39, 17, -29, -43, -1, 1, -19, 11, -26, 11, 17, -49, -46, -35, -36, -17, -16, -33, -19, 36, -36, -16, -13, 43, -29, 39, 6, -24, 1, 9, -7, 21, -12, -39, 64, 12, -16, -14, 3, -46, 15, 6, -37, 25, -26, -22, 3, -4, 45, -4, -44, -1, 14, -19, 44, -9, -29, -18, -26, 29, -54, 7, -13, 15, 24, -15, 28, 15, -15, -23, -6, -28, 18, -56, 35, 17, 8, -9, -30, -21, 29, -14, 8, -20, -4, -8, 41, 40, -6, -44, -10, -55, -26, -15, -34, 12, -37, -26, 20, 49, -11, 71, 28, -6, 3, 15, 7, -28, 14, 18, 37, 42, 16, -40, -37, -12, -35, -29, -23, -20, 2, 19, -2, 9, 34, 29, 13, 39, 30, 27, 37, -32, -31, -35, 21, -24, 7, -21, -38, -37, 35, 30, 19, 32, 26, -3, -38, 13, 16, 16, -24, 34, 18, 45, 19, -35, -23, -12, -3, -48, 42, -42, 18, -6, -34, -14, -4, -28, -15, -32, 12, 40, -74, -32, -54, -72, -27, -36, -39, 0, -14, 47, -30, -50, 4, -16, -10, 23, -5, 2, -1, -16, -16, -3, -40, -24, -6, 33, 28, 14, 3, 14, 7, 31, 19, 37, -20, 21, 22, -24, -1, -6, 13, 34, -33, -25, -13, 33, -19, -42, -17, -38, -37, -38, -27, -29, 3, -39, 18, -4, -19, -11, 27, 30, -3, 13, -44, -16, 13, 16, -47, -31, -13, 24, 49, -6, 48, 0, 5, -11, 29, 36, 28, 32, 33, 27, 12, 44, 48, 1, 12, -39, -38, 37, 6, 16, 29, -40, -23, -28, -39, -27, -14, 41, 21, 50, -35, -20, -17, -16, 40, 28, -13, 1, -16, 30, -7, -17, -19, -68, -75, -41, 2, -7, -42, -70, -41, -9, 28, 26, -15, 14, -41, -49, -7, -21, 20, 16, 18, -25, -39, -9, 11, -24, -5, 12, -37, 36, 1, 34, -24, 10, 7, -35, -1, 48, 39, 29, 4, -32, 44, 30, 14, 34, -29, 28, -21, -1, 41, -9, 25, -18, 10, -17, 33, -16, 41, 40, 35, 42, -30, -47, 30, -13, 2, -43, -5, -4, 24, -25, -44, 13, 14, 6, -25, -4, 72, -18, -33, -3, -33, -6, -21, 2, -7, 40, 41, 34, 4, 14, 59, -22, 30, -37, 4, 19, 49, -19, 35, 16, 26, 44, -24, 41, -16, -19, 44, 8, -7, 6, -35, 23, 19, 23, 16, -39, -44, 27, 28, -12, 31, 20, -28, -12, -52, 23, 57, 41, 9, 6, -22, -39, -4, 52, 11, -45, 44, -10, -15, 22, -12, -22, -46, -17, -48, -43, 5, 25, -37, -19, 36, -20, -6, -9, 10, 47, 25, 26, 16, -3, -31, -27, 6, 16, 24, -5, -11, 12, -5, 3, 33, -29, -41, -11, 23, 42, -11, 1, -7, -59, 6, 8, -25, 3, 2, -19, 19, -16, 6, 21, -37, 24, -28, 31, -17, 43, 39, -22, 69, 19, 13, 40, -1, 41, 41, 31, 30, 15, -16, 31, -33, 14, 37, 24, -21, 31, -35, -40, 25, -19, 35, 18, 33, -19, 10, -4, -15, 67, 38, 35, -7, -22, 6, 0, -7, 32, -6, 5, 2, -6, 38, -16, -19, 29, -37, -36, -11, -37, -32, -19, 26, 31, 35, 6, 6, -54, -28, 7, 28, 27, 0, -24, -5, 2, -9, 17, 5, 29, -10, -4, 9, -43, 15, -2, -15, 4, 26, 15, 15, 4, -31, -38, 1, -25, -23, -38, -12, 13, -12, -15, -23, 30, -29, 11, 37, 1, -15, 1, -37, -14, 8, 20, 22, 5, -3, -14, 18, -1, 26, -25, -41, -4, -7, 20, 25, 35, 18, -17, 34, 25, 16, 33, 16, -58, -44, 15, -33, -11, 46, -31, -6, -19, -19, -5, -11, 21, -6, 10, 8, -25, -19, -15, 22, 22, -9, -12, -29, -12, -17, -1, -48, -19, 0, -35, 14, -25, -3, -4, 13, 22, -36, -31, -34, -36, -23, -5, -68, -37, 37, -35, 21, 28, 19, 43, -32, -13, -22, 19, 19, -12, 36, -27, 2, -11, -2, 30, -16, -37, -19, 14, 23, 30, -34, 4, 23, 26, 16, -29, 23, -8, -7, 28, 34, 26, -9, 17, -29, -11, -26, -23, -5, 1, 2, -34, 13, 11, -41, -4, 21, -12, 34, -6, 4, 30, -6, 10, -36, 6, 17, 36, 19, -25, -25, -5, -4, 19, -36, 31, 33, 10, 14, 33, 25, -33, -6, 30, -1, -11, -30, -12, -50, -39, -14, 7, 39, 29, -32, 46, -16, -7, 26, 17, -60, -1, 11, 28, 24, 21, -2, -19, 33, 9, 33, 29, 9, 0, 36, 9, -24, 36, 15, 7, -34, -25, 9, -32, 33, -45, -1, -13, 22, -9, -46, 28, 31, -43, -20, 7, 13, -16, 24, -24, -38, -2, 38, -15, -25, -27, -46, -28, -5, -41, -26, -37, -26, 4, 24, 26, 19, 15, 31, 26, 22, 12, -39, 34, -10, -39, 39, -46, 0, -8, 32, -37, 15, -8, 38, 11, -26, -21, 20, 17, -29, -19, -31, -11, -34, -33, 41, -15, 32, 16, -41, -2, -32, 5, 22, -36, -11, -48, 22, -12, -35, -44, -45, 23, -19, -33, 10, 16, 7, -43, -23, 11, -38, -17, 33, 39, 7, -41, -29, -5, -44, -45, 14, -5, 30, 33, -4, 12, -42, -32, 21, 36, -27, 36, 17, -14, 3, 34, 27, -40, 0, -34, -23, -5, -47, -22, -33, -21, -36, 18, -26, 44, -33, 3, 8, 28, -15, -40, -23, -45, 44, 12, 40, -23, 41, 6, 12, -1, 18, 23, -44, 15, -13, 17, -22, -7, -25, -29, -14, 26, 41, -36, -48, -32, -27, 39, 37, 32, -10, -17, 15, 32, 7, 18, -29, -29, 20, -17, 5, -27, -28, -21, 12, -16, -21, -9, 2, 33, -27, -25, 9, 26, 15, -18, 37, -26, -24, 3, 20, -13, 45, 1, 15, 34, 26, -40, -10, 16, -25, 27, 1, -9, -6, -17, 23, 31, -45, -38, -37, -36, 26, -5, 15, 33, 40, 28, -24, 39, 7, -12, -25, -46, -38, -11, 23, 16, -42, -23, -40, -37, -2, -4, -9, 15, 15, 21, 0, -28, 25, 5, 16, -12, 4, 2, -34, -17, 46, -8, 8, 21, 41, -34, -16, -9, 37, 9, -2, -10, 10, -11, -22, -35, -31, 41, -12, 14, -10, -28, 27, -43, -11, -14, -26, 17, 15, -20, 3, -20, -15, 34, -7, 22, -34, -10, 13, -31, -8, -32, 1, 42, 38, -26, 37, 36, -7, -37, 44, -46, -22, -32, -10, 29, -5, 36, -1, 16, -16, -22, -29, 22, -33, 3, -41, -21, -11, 37, -30, 21, 14, -26, -1, 36, -27, 30, 8, 0, -46, -39, -4, -41, -3, -43, 33, 20, 32, 12, 45, -41, 39, -40, 40, 41, 32, 14, 40, -4, -6, -36, -41, -19, -23, 22, 24, 38, -28, -39, -8, -27, -33, -2, -42, 22, -44, -35, 12, -6, -9, -10, -12, 16, 0, -23, -39, -11, -46, -4, 31, 24, 26, -30, -8, 17, -43, 17, -43, -30, 38, -13, 23, -44, -16, -16, -24, 11, 14, 4, 33, -2, -7, 3, -17, -18, 10, 13, 8, -1, -28, 30, -26, -17, 45, -5, -29, -30, -4, 19, 40, -14, 36, -1, -42, 39, 35, 25, 32, -33, 16, -27, 30, -19, -20, 14, -21, -45, 12, -10, 33, -3, 35, 19, -7, 14, -31, -21, 18, 14, -25, -28, 6, 15, -37, -12, -26, 5, 39, 1, -18, -20, 10, -1, 5, 33, -1, -10, -30, -10, -2, -36, -32, 17, -27, -6, -43, -36, -3, -16, 12, 31, -17, -13, -18, 2, 35, 6, -23, -22, -6, -26, 11, -10, 12, -35, 39, -44, -3, 11, 16, 8, -4, -27, 18, -34, -18, 45, -4, 11, -22, -7, 32, 0, 10, -23, 27, -28, -24, 35, -45, 7, -9, -27, 0, -39, -15, -9, -16, -20, 41, -26, -41, 10, 8, 11, -28, -32, 11, 36, -15, 4, -17, 11, -19, 19, 19, 39, -47, -41, 32, -2, -1, -30, -45, -46, 31, 12, -29, 40, -5, 30, -12, 20, 33, 38, 33, 37, -14, -33, 34, 7, -38, 41, -37, 6, -28, -45, 8, -4, -5, -32, -22, -22, 11, 41, -27, -45, -28, 41, 34, 35, 0, 2, -11, -1, 14, 31, 1, 28, -45, -1, 24, -40, 38, -20, -43, -46, 7, 44, 18, -35, 10, -19, 30, -39, 15, -10, 28, -9, -5, 9, -9, -34, -42, -8, -24, -26, -30, 10, -21, 37, -12, 16, 36, 20, -42, -3, 3, 4, 9, -43, 43, 13, 31, 6, -21, -29, -5, 32, -3, 6, 0, -45, -33, 11, 18, -7, 41, 26, 34, -3, -10, 5, -25, -34, -24, 34, 37, -40, 31, 17, 14, -23, -40, -7, -12, -32, 8, -18, 1, 8, 0, 25, -25, -35, 39, -37, -18, 6, -37, 23, -4, 39, 16, -17, -26, 14, 38, -1, 20, -28, 21, -8, -47, 45, -38, -35, 8, -28, -43, -31, -44, -12, 1, -2, -2, -7, 14, 36, 40, -15, 13, 19, -19, -10, 33, -7, 26, -38, 1, -47, -5, 23, 26, 29, -6, 0, -6, -31, -23, 17, 33, -39, -36, 45, 42, -10, -23, 44, -36, -32, 5, 0, 38, -2, -38, -42, -26, -39, -35, 40, -4, -2, 13, 44, 35, 37, 44, 13, 35, -25, -21, 10, -32, -30, -41, 25, -22, 9, 16, 30, 43, -18, -24, -11, 20, -36, -3, 30, 26, -10, -15, -23, -11, 5, 23, 38, -27, -6, 32, -39, 31, -7, 6, 41, -28, 36, -41, -11, -23, 10, -18, 28, -44, 33, -37, 19, 17, 15, 32, 42, -42, -46, -23, -10, 6, 10, 26, -36, 4, -4, -22, -21, 20, -31, 43, -10, 18, -39, -39, -12, 4, 8, 7, -14, 29, -25, 1, 7, 21, 45, -30, 18, 17, 25, -20, 27, -18, -38, 23, -9, -35, 25, -25, -25, 4, -8, 28, -42, -1, 22, 33, -22, -46, -16, 2, 20, 3, -8, -12, -7, 12, -9, 15, -20, -2, -15, -45, 26, -19, -31, -36, -42, 9, 38, 38, 20, 17, 38, 16, -25, -24, 39, -3, -45, -39, 36, -26, 26, -34, 9, 7, -26, -35, 20, 22, 0, 6, 34, -34, 25, -29, 36, 20, -33, -19, 11, -6, -7, 11, -29, 22, -12, 14, 42, -37, -9, 43, -9, 19, 43, 2, -3, -14, 30, -3, 43, 16, 22, 44, -27, 25, -24, 29, 6, 33, 16, -20, -10, -2, 41, -36, -13, 1, -31, 1, 26, -38, -6, -44, -27, 27, -22, -40, -7, 31, 16, -30, 19, -32, 7, -34, 5, 10, -23, -46, 3, -30, 38, 28, 29, 38, -20, -21, 42, 30, 33, 15, 37, 18, -20, -6, 15, 45, -7, -3, 18, 3, 27, 7, -3, 31, 17, 25, -43, 29, -31, -30, 34, -10, -14, -24, 22, 42, 26, 23, -34, 6, -23, 27, 15, -17, -21, -26, -23, -41, -5, -26, 35, 6, -10, 35, -24, 14, -43, -5, 23, 17, -45, 28, -8, 12, -13, 6, 25, -23, 19, -40, -18, 14, 28, -28, 14, -32, -8, -9, -10, 10, -29, 35, 10, -5, 21, -35, 44, 41, -33, -15, 13, 2, -29, -26, 4, 29, 19, 34, 36, -26, 15, -45, -10, 31, -43, 42, 22, 23, 8, 34, 40, -29, -18, 45, -45, -16, 37, -45, -10, -44, -23, -40, -33, 31, 16, 42, 30, 5, -30, -13, 13, 11, 33, 0, 28, -10, 9, -16, 34, 26, -13, 8, 6, -18, -42, -40, -14, -10, -11, 7, 2, 9, 11, 12, 33, -20, -26, -31, -32, -9, 12, 10, 30, -25, -17, 19, -13, 40, 3, -3, -23, -32, -30, -39, 20, -34, -12, 22, -8, -6, -16, -8, 5, -20, 31, 2, -39, -7, -28, -32, 42, -44, -20, 2, 33, -40, -32, -7, -53, -2, 2, -10, 7, -2, -5, -46, -19, 17, 9, 9, 0, -1, -33, -63, -7, -21, 28, -31, -35, -49, -4, -3, 16, 3, 11, 28, -38, -23, -15, -49, -22, 1, 33, 57, 30, 4, -6, 29, -20, 29, 6, 25, 33, -22, 41, 53, 31, -42, -63, -5, 22, -1, -13, -2, 42, 4, -28, 0, -16, -4, 16, -34, -11, 12, -50, 25, -3, -15, 1, 2, -8, -32, -18, 22, -11, -15, 9, 12, 27, 29, -10, 28, -37, -17, -39, -27, -46, -17, 39, 1, 26, -22, -2, -5, -16, 0, 35, 53, 15, -25, 6, -49, -34, 15, -2, 7, -47, 49, 18, -40, -1, 16, 35, 20, 14, -49, -39, -24, 5, -40, 54, -41, -13, 23, -64, -25, 42, 18, -13, -23, 1, -13, -28, -31, -3, -47, -7, 27, 12, -25, -20, -47, -38, 2, -24, 0, 15, -20, 39, 18, 17, 34, 35, 18, -11, -33, 52, -31, 7, -25, 12, 27, -55, -12, -7, -40, -13, -11, 0, 9, -31, -18, 10, 7, 11, 3, 8, 30, 28, 12, 44, -40, -10, -37, 0, 28, 7, 28, -42, 22, -29, 40, -43, 19, 28, 17, 39, -38, 1, 22, 13, -31, -21, 41, 32, -13, -18, 37, 42, -14, 24, -33, 16, -46, 21, 24, 26, 15, -16, 37, 40, 18, -51, -42, -5, -14, -52, -29, -21, -38, 43, -22, 45, -4, 7, -43, 14, 15, 31, -23, 12, 19, 29, -38, -19, -22, -14, 43, -42, 30, -23, -16, -30, -19, -39, -39, 2, 13, 17, -7, -31, 26, -37, 7, 2, 24, -25, -46, 10, 20, -6, 6, 10, 8, 16, 34, 26, -25, 50, -36, -44, -17, -11, 33, 53, 15, 42, -17, 43, 8, -18, -33, -22, -4, -23, -37, -4, -29, -9, 8, 21, 38, 17, 0, -16, 2, 17, -37, -21, 37, 9, 5, 6, 6, 21, -41, -27, 24, 2, 28, 34, -2, 33, 23, 11, 29, 29, 18, 8, -26, -23, 34, -14, -17, 16, 36, -26, 32, 6, 2, -18, 2, -33, 19, -9, -3, 6, 25, 41, 55, -10, -1, 10, 37, 27, 11, -28, -8, -8, 18, 8, -5, 42, 27, -2, -1, -30, 9, 45, 26, -55, 1, 25, 5, 7, 14, -17, 4, -12, -23, 27, -10, 40, -16, -46, -16, 22, 22, 9, -7, 1, -7, 27, 37, -13, -3, 27, -56, -37, 10, 4, -33, 12, 16, 15, 32, 9, -12, 41, -3, 21, -16, -40, 16, 43, 29, -55, 14, -6, -12, 53, 7, 35, -3, -14, -29, -21, -49, -61, 7, 28, -23, -24, 5, 4, 43, 23, 57, 24, -20, 26, 14, 37, -5, -14, 4, -21, 8, -9, 17, 3, -46, -31, -18, 21, 22, -10, 36, -53, 34, 28, 27, -3, 13, -15, 36, -22, -21, -19, -37, 19, 23, -39, 9, -8, -27, -14, -39, -32, -27, 14, -34, 16, -32, -37, 18, 13, 36, -6, -8, 37, -24, 21, -42, -1, 19, -4, 20, 11, -49, 32, 34, 1, -42, -28, -38, 36, 13, -31, -42, -31, -21, -28, -20, -2, -72, -28, -22, 11, -18, -8, -3, 24, -15, 4, -16, -56, -48, 32, -39, 6, -7, -15, 26, 40, -22, -22, 12, -48, 36, -45, -44, -20, -39, 12, -14, 15, -25, 4, -21, 16, 26, -30, -2, 26, 28, 28, 34, 20, -1, -4, -19, -32, 6, -30, -25, 16, 47, -24, 32, 19, -11, 15, -30, -34, -40, -22, -36, 29, 10, -42, -15, 15, -14, 15, -10, -5, 13, -31, -24, -14, -2, -6, 51, -6, 31, 23, -9, 24, -18, 25, -20, -2, 30, 31, 24, 10, 31, 8, 48, 6, -33, -18, -12, 20, 27, 7, -9, 52, 6, 10, 3, -27, -18, 19, 30, 8, -23, -31, 20, -2, -4, -6, -21, -33, 12, -26, -29, 4, -20, 10, -2, -5, 19, 14, 42, -6, 41, 15, -9, 16, -26, -6, -24, -29, 41, -15, -14, -25, -15, -1, -11, -13, -30, 11, -20, -37, -40, -26, 10, -19, -3, 10, 33, -44, 9, 7, -34, 5, -20, 39, 12, 2, 36, -22, -23, -8, -8, 33, 4, -35, 37, -14, -19, 6, -23, 15, -16, 25, 31, 50, 3, -11, -1, 6, 22, -41, 8, -30, -3, -15, 11, 30, 27, -28, -43, -1, 16, -32, -17, 34, -15, -37, -55, -58, -22, 37, 49, 15, 0, 35, 48, 6, 45, -10, -12, -49, 1, 32, -17, 10, 3, -13, 38, -51, 2, 5, -30, -13, -20, -48, 20, -3, 3, -28, -41, -5, -39, -4, 32, -12, 20, -16, -3, 65, -24, 30, 54, 48, -49, -31, -11, 47, -32, -37, 16, -36, -18, 12, 0, -17, 34, -7, 29, -29, -7, -16, -32, 13, -17, 15, -10, -34, 13, -7, -9, 48, -33, -26, 39, -3, -10, -5, -28, 20, 5, 13, -19, 23, -35, -59, -42, -36, -31, 30, -19, -38, 34, 45, 45, 18, -21, 18, -5, 21, -14, 26, 24, 36, -25, -25, -39, -39, 60, -31, 12, 34, 27, -27, -23, -45, 43, -1, -36, -26, 38, 51, 29, 6, -15, -16, -17, -43, 18, -15, -2, 14, -57, 43, -42, 1, 1, 33, 29, 22, 19, -21, -12, -11, 29, 26, -56, 35, 8, -53, -34, 23, -9, -39, -13, -2, 28, -7, -23, -21, -55, 36, -24, 24, 23, -49, -7, -31, 33, -29, 8, -41, -21, 25, 33, -36, -24, -36, -41, -37, -30, -5, 22, -46, -26, 4, -17, -2, 2, 13, -6, -22, 32, 16, 50, -36, 25, 37, -4, 15, -31, -20, -12, 37, 11, 17, 18, 0, 4, 34, -27, -10, 40, -23, 1, 50, 42, 32, 7, 12, 8, 34, 3, -25, 33, 28, -44, -7, -38, 29, 35, 5, 40, 8, -50, -44, 20, -42, -18, -32, -4, -5, -37, -12, -2, -54, -18, -5, -40, 33, 29, -14, -32, -22, -23, 34, 34, 32, 21, 30, -31, -6, -6, -62, -2, -4, -53, 23, 7, -51, -38, 2, -21, -23, 1, -26, 6, -1, 27, -5, 5, 16, 22, -4, -20, 4, 18, 37, 5, -14, 0, -14, -50, -4, 3, -37, -39, 25, 12, 36, -32, 27, -14, -29, -43, -41, 4, 1, -12, 37, -19, 15, -19, 7, -6, 10, 16, 37, -48, 4, 62, 16, -4, 44, -32, 19, -34, 50, 31, -38, -10, -48, 10, -15, -8, -27, -20, 0, -3, -1, 17, 11, 33, 1, -4, -8, -38, 4, 8, 33, -3, -5, -38, 6, 32, 9, -19, -9, 43, -22, -42, -11, -10, -23, -11, -17, 47, -52, 13, -11, 33, 41, 43, 47, -33, 26, -17, 2, -28, 3, 9, 4, 42, -11, 9, 28, -16, -38, 15, -27, -23, -21, 40, -26, 16, -38, 19, 1, -3, -25, -35, 14, -3, -6, 20, -46, -48, 3, -32, 18, 7, 27, -6, 44, -7, -14, 44, -11, 25, -45, 22, 40, -7, 39, 7, 16, 3, 28, -29, -17, 4, 10, 39, 36, 20, 2, 19, -36, 17, 10, 22, 41, 46, -33, -9, 46, 33, -25, -34, -2, -26, 8, 14, 22, -29, -38, 22, -44, -17, -11, -30, 21, -13, -37, -29, 23, -35, -27, -35, -16, 17, 4, 22, 40, -21, -21, -30, 37, 13, 11, -39, 35, -34, -6, 32, 18, 33, -48, 35, -13, -20, 0, -35, -23, -28, 26, 29, -22, -44, 9, 13, -16, -45, 8, -20, 32, -33, 7, 11, -19, -25, 39, 2, 3, 15, -11, -15, 21, 40, 18, 29, 21, -7, 32, -17, -27, 0, -35, 3, 30, -11, 12, -29, -33, -43, -7, -37, 25, -13, -35, 41, 44, 67, -16, 18, 15, 1, 23, 17, -27, 17, 6, -28, -11, -11, -2, 22, -10, 23, -26, 1, 11, 25, -15, -36, -14, -49, 11, 8, 3, -24, -2, -31, -27, 10, -37, -30, 36, 8, 4, -13, 4, -4, -4, -49, 26, 6, 27, -35, -10, -33, -52, 8, 8, 11, -14, 0, 3, 3, -3, -36, 41, 24, -23, -31, -9, -27, -26, 47, -39, -28, -37, -8, -29, -6, 7, -38, 29, -41, 32, 25, -27, 34, -18, -31, 6, 1, 31, -24, -29, 8, -2, -55, -11, -29, 12, -11, 23, 3, -27, 35, -2, -24, -17, 27, -41, 29, 5, -40, -9, 45, 4, -12, 12, -32, 1, 5, 12, -10, 5, -45, 28, 7, 46, 32, 32, -11, -19, -30, -12, -32, 5, -17, 2, 2, -3, 6, -28, -13, -29, -41, -36, 2, -6, -24, -21, 1, -9, -2, 28, 16, -34, 38, -19, -22, -15, -11, 15, -15, 9, 77, -32, -12, 30, 59, 13, -3, -8, 7, 4, 47, 12, -55, 6, 28, -44, -31, -3, 8, 25, 41, 39, -37, -46, -2, 25, 31, -41, 1, 31, 24, 8, -49, -2, -23, -41, 13, -28, -3, -6, 22, 8, 9, 15, 45, 9, 14, 11, 35, 33, -13, -28, -31, -22, -35, 17, -19, -24, -51, -41, -42, -31, 30, -13, -23, -26, 14, -5, 3, -43, -26, -6, 10, 1, -35, 42, -17, 28, 1, 33, 27, -29, -9, -32, -39, -36, -36, -43, -55, -21, 10, 24, 20, 18, -23, 19, -57, 16, -30, 32, 47, 12, 9, 3, -3, 25, 10, -25, 17, 51, 32, 6, 49, 6, -21, 46, -9, 3, -28, 37, -2, 25, -1, -13, 26, 32, -8, 43, 9, 3, 29, 17, 43, -37, 45, 60, 46, -35, -1, -1, 11, 14, -4, -17, 45, 21, -39, -6, -11, -24, 21, -48, 2, 7, 35, 61, 38, -5, 18, -32, -21, -22, 18, 24, -43, -45, 35, -5, -26, -1, -16, 12, -13, 11, -7, 15, -43, 61, -27, 31, 56, 4, 26, 41, 21, -19, 47, -19, 5, -10, 9, 27, 14, 3, -13, 24, -36, -1, -4, -26, -42, -11, -20, 35, 25, -3, -42, -12, 8, -4, -22, -39, -39, -27, 14, -26, 36, 36, -14, 43, 3, 2, -10, 33, -14, -24, 45, 0, 17, -11, 31, -16, -39, 20, -13, -12, -11, 12, 1, 27, -17, -24, 13, 14, 27, -31, -37, -63, -31, -44, -26, 23, 10, -61, 29, -42, -26, 32, 29, -43, 32, -10, -6, 24, 13, 1, -36, 14, 42, 13, -54, -10, -37, -4, 58, -25, -9, 34, 51, 9, 14, -21, -18, 33, 10, -16, -38, 47, 33, 5, -1, 32, 42, -28, -21, -45, -23, 4, 24, 13, -15, 30, 32, -16, 47, -33, -28, 9, 20, 27, 28, 23, 1, -6, -1, -44, 1, 36, -11, -29, -16, 7, 70, 13, 15, 1, -10, 7, -3, -15, -7, -30, 40, 10, -9, -33, 7, 37, 20, -26, -48, 17, -7, 25, 50, 47, 1, -21, -33, 6, -19, -2, 40, 25, 39, 20, -48, 10, 11, -26, -3, 19, 30, -40, -8, 5, -38, 18, -35, -19, -32, -23, -25, 0, 17, -23, -8, -10, 20, -15, -5, 3, -27, 22, -25, -32, 34, -24, -30, 40, 45, 4, 6, -40, 37, 28, -36, -33, 8, -29, -7, -16, 39, -22, -40, -30, -52, 21, 37, -11, -1, -10, 32, 20, -41, 31, 9, 10, -12, -23, -40, -39, -1, -26, -53, 10, -64, -20, -22, -17, -8, 13, -47, 13, 20, 8, -17, -29, -19, 46, -21, -26, -23, 20, -33, 36, 3, -27, -29, 21, -39, 21, -23, 28, -39, 25, -6, -22, -4, 30, -25, -50, -9, -27, 4, -8, 12, 38, -24, -8, 1, -19, -33, -23, -15, 29, -1, 44, -3, -2, -39, 69, -52, -7, -7, -6, 15, 23, 15, 0, -8, 12, -18, 28, -3, 38, -42, -34, 10, -14, 31, -47, -25, 12, 7, 2, -26, -17, 7, -24, -18, 17, -18, 1, 28, -16, 8, -43, -23, 17, -49, -20, -20, -3, -15, -13, -26, -12, 45, 31, -30, 46, 5, 21, 11, -36, 20, 29, -34, 33, -23, -30, -3, -17, -35, 37, 47, 42, -35, 16, 46, 43, -26, 20, 5, -1, 12, 14, 14, -2, -25, -8, 52, 9, -35, -14, 22, 26, 6, 22, -38, -7, -22, -12, -8, 1, -44, -35, 30, 0, 0, 29, 14, 38, 3, 6, 29, 17, -6, -31, 45, 32, -31, 27, 30, 19, 23, 8, -69, -31, 8, 11, 12, -40, -14, 22, -14, 10, 40, 41, -26, -23, 40, 2, 6, -25, -25, 0, -25, -9, 26, -8, 10, 31, 30, 28, -24, 0, -8, 8, -12, 18, 49, -17, -28, -12, -7, -14, 36, 33, 31, 31, 16, -41, 38, -10, 42, -27, 25, -49, 39, -20, 25, 37, 37, 33, 26, 11, 29, 13, 26, -13, 10, 2, -19, -3, -7, -32, 5, 53, -44, -26, -16, 11, 6, 21, -40, -34, 5, 27, 34, 45, 3, 11, 41, 22, 2, 3, 16, -48, -32, -41, -13, 16, 44, -4, -16, -54, -22, 5, -6, -13, -23, 36, -14, 21, -21, -27, -30, -10, -14, -2, 20, -15, 20, 12, 20, 40, 36, -18, 0, 29, 51, 57, -34, 42, 32, -41, 50, 31, 43, -18, 36, -27, 28, 13, 33, 18, 32, 23, 30, -32, 15, 3, -9, 16, 6, -40, 35, -17, 1, -42, -23, 28, 39, 31, -28, 39, -14, 30, 28, -70, -9, 51, -51, -40, -6, 28, 68, -7, 22, -3, 42, -36, 5, -6, 3, 19, 1, 17, -42, -15, -29, -2, 1, -1, 51, -13, 21, 12, 5, 1, -8, -43, -22, 8, -19, -25, -33, -48, -2, 11, -10, 3, 34, -43, 0, 10, -26, -17, -17, 13, 35, 13, 33, 7, -28, -23, -5, 39, -41, 44, -42, 13, 30, -30, 33, -16, 11, -5, 15, -59, 30, 24, -41, 29, -41, -50, -6 };
signed char f61[147456] = { -54, 19, 6, -17, 30, 51, -24, 34, -44, -53, -27, 57, -3, -9, 24, 5, -6, -31, -17, -47, 7, 28, -11, -28, -31, -14, -56, 0, 6, 0, 14, 3, -12, -19, -57, -43, -30, -64, 13, 9, -7, -30, 41, 7, -33, -50, 5, -58, 36, 11, 57, -50, -16, 6, 8, -30, 4, 33, -57, 7, -23, 59, -13, -42, -53, 35, -16, 21, -54, -40, -9, 52, -47, 36, 19, -20, 48, -26, -38, -35, 21, 46, 2, 38, -28, 17, 29, -12, 71, -61, -58, -40, 4, -49, -58, 38, 2, 40, -14, -25, 40, 52, -35, 51, 18, 41, 64, 46, -10, 24, 17, -23, -16, -42, 16, 14, -3, 31, -68, 48, 49, 44, -25, -43, 2, 21, 22, -30, -7, 51, -45, -54, -16, -39, 43, 24, 44, 5, 4, 11, 24, 23, -21, -28, -1, 9, 25, -4, -52, 24, -22, 49, 16, -58, 11, -34, 33, 55, -51, -16, -56, -46, 25, 55, -9, -3, 41, 32, 26, -28, 10, 37, -59, -37, -69, -35, 56, 20, -1, -9, 55, 48, -2, -47, 62, 28, 58, -33, 57, -27, -38, 30, -40, -2, 45, -44, -36, 53, 56, -40, -54, -43, -32, -14, -9, 34, 6, 52, -21, 47, -37, 36, -38, 32, -17, -3, -44, 48, -19, 79, -27, -57, -14, 53, 61, -49, 24, -36, 7, 17, -22, -36, -34, 16, -21, 22, -14, 16, 66, -32, -32, 53, -49, 10, 22, -30, -21, -56, -15, -3, -37, 44, -7, -30, -48, -27, -32, 58, -10, -8, 53, -3, -53, 5, 78, -24, -24, 66, -31, -59, -58, 47, -12, 35, -47, 41, 35, 25, 30, -5, 14, 43, 25, -6, 2, -3, 43, -19, 36, -58, -24, -41, 47, -5, -16, -22, -5, 6, -22, -11, -23, -64, 33, -20, -53, -43, 7, 4, -2, -63, -33, -13, -48, 24, -17, 9, 38, -27, -15, 8, -41, -39, 17, -44, -6, 56, 47, -52, 2, -21, 20, -3, 34, -35, 20, 12, -8, 34, 15, -35, 56, 0, -15, -24, 12, -17, 49, -27, 33, 41, -32, -9, -7, 13, 1, 10, 32, 8, 14, 7, 29, 25, 42, -18, -21, 56, -49, 12, 27, -6, -20, -25, -24, 46, 55, 52, -14, 14, -56, -2, -7, -24, 31, -26, -25, -36, -2, -9, -21, -55, 2, -14, -21, 39, -56, 63, -13, -52, 25, 47, -61, -6, -31, -36, 33, 64, -49, -39, -21, -28, -46, -32, -34, -40, -39, -13, -50, -21, 23, 35, 9, 41, 35, 9, 33, 8, -44, 62, 59, -35, 2, 44, 0, 37, 36, 43, 38, 8, 68, 29, 62, -44, -53, -62, 11, 32, -10, -53, 18, -2, 28, 9, 1, -72, 32, 24, 6, -22, -64, -60, 48, -50, -38, 40, 40, 60, -52, 20, 0, 56, -24, 28, -60, -61, 68, 11, 17, 1, -30, -65, -44, 64, 2, 7, -17, -58, -46, -7, 27, 6, -45, 6, 48, 7, 9, 43, 42, -23, 41, -46, 12, 51, -11, 10, -20, 43, -40, 57, 46, 29, 16, -32, 45, -14, 29, -43, -45, -46, 23, 46, 45, -60, -5, -41, 47, 10, -3, -10, 49, 36, 29, -24, -24, 21, 23, -10, 61, 8, 30, 41, 46, -12, 10, -50, 19, 20, -32, 26, 43, 59, 65, 45, 14, 67, -19, -39, -23, 59, 34, 29, 4, -18, -59, 1, 43, -50, 40, 18, -51, -19, 7, -40, 42, -37, 67, -25, -46, -59, -5, 1, -52, -29, -34, 43, 62, -54, -68, -24, 44, -50, -67, 28, -30, 8, 17, -47, 52, -10, 44, 22, -52, 32, 42, -66, 42, 43, -14, 20, 31, 18, 19, 0, 45, 11, -42, -16, 21, 45, 55, 42, -13, -13, 27, 36, 23, -8, -34, -24, 53, 56, -17, -44, -17, 41, -21, -28, 7, 40, 53, 12, 9, -25, 13, -26, -48, 9, 9, 24, 27, -7, 2, 49, 44, 48, -52, 24, -1, 21, -67, -11, -17, -51, 31, 27, 40, 11, 36, 12, 32, 48, 48, -25, 38, 41, 40, 13, -63, 29, 45, 72, 23, -37, -27, 13, -51, -15, 0, -55, 12, 13, -30, -6, -56, -42, -25, -24, -46, 43, -16, -37, -40, 10, -28, -26, -12, 24, -6, -55, 26, -35, -40, -51, -41, -58, -36, 7, 23, 37, -9, -46, -28, -7, 33, 41, 43, -27, -14, -4, -30, 47, -38, 34, 16, -67, 12, 42, 51, -46, -53, 0, 23, -39, -34, -45, 23, 13, -5, 28, -23, 22, 0, -58, 20, 47, 48, -22, 18, -21, 2, 31, 57, 18, -40, -56, 29, -23, -31, 13, -50, 59, -15, 50, 45, 9, 42, -3, 29, 56, -9, 13, -57, -12, -17, 38, -14, 46, 38, -49, 22, -23, -4, 61, -24, 6, -17, 61, -24, -9, 40, 51, -33, -51, 12, 35, -53, -30, -4, -29, -63, 6, 25, -4, 18, 25, 26, -26, -17, 45, 58, 19, -56, -59, 61, -15, -8, 10, -4, -1, -44, -52, -44, 40, 20, -9, 39, -35, -4, -59, -17, 30, 35, 44, -14, -15, 20, 10, -7, 49, 8, 45, -51, 43, 21, -61, -17, -15, 55, 23, 13, 1, -7, 32, 52, -29, -57, -41, -32, 29, -11, -16, 14, 3, -37, 28, 37, -36, 52, 31, 19, -42, -41, 5, 61, 18, -60, -59, -15, -15, -33, 44, -6, -34, 8, 73, 46, -10, 42, 21, -38, 5, -2, 47, -32, 18, 3, 12, -11, 13, 22, -19, 4, 17, -26, 33, 2, 12, -14, 25, 60, 56, 59, -24, -62, 58, -46, -28, -49, 7, 23, 16, -32, 45, -41, -31, 28, 6, 48, 55, -54, -26, 53, -38, 7, -31, -53, -8, 49, -22, -20, -39, -7, 43, -26, 42, -39, 39, -21, 63, -36, -43, -26, -31, 44, 24, 49, -2, 28, 29, 31, -3, 78, 51, 13, -68, -29, 26, 1, 48, -11, 5, -43, -33, -62, -17, 5, -58, 48, -5, -56, 51, 13, -12, -36, 9, -52, -34, -6, 5, 15, -27, -13, -16, 22, 63, -16, -35, -26, 45, 46, 56, 20, -18, -15, 32, -8, -51, -48, 0, 6, -21, -6, 15, -41, 34, 38, -17, -56, 16, 35, 3, 43, -34, 24, -58, -21, -38, 19, 9, -30, 51, 11, -5, -46, -30, -24, -47, -79, -45, -54, -37, 46, -41, -51, -29, -34, 29, 23, 41, -30, -44, 60, -6, 46, 61, -35, -27, -49, 12, -27, -38, -48, 52, -15, -7, -36, -10, 34, 56, -53, -53, -22, -13, -40, 29, 0, -54, 10, -19, -2, -28, -21, 19, 10, 60, 10, 55, -18, -67, 4, 16, -24, 45, -31, -24, -10, -24, 24, 37, 26, 54, 16, -37, 24, 0, 2, -18, 58, 2, -36, 6, 3, 29, 21, -11, -57, 56, 57, 11, 5, -47, 12, -30, 6, 53, 16, -42, 44, -56, 29, 49, 33, 57, -19, -62, -45, -18, 10, 27, 5, 71, -37, -22, -36, -51, -44, -50, 24, -48, -12, -17, 48, -47, -21, 26, -60, 42, -57, 52, 39, -59, -30, -23, -53, 26, 21, 50, 10, -61, -8, -26, -41, -41, 10, -9, -52, -40, -61, 48, 27, 48, -10, 31, 45, -51, -17, -42, 71, -33, -63, -61, -4, -16, -16, -22, -27, -64, 55, 31, 7, 40, -34, 14, 24, -25, 62, -42, -35, 32, 11, 49, -6, 27, 66, -35, -55, -1, -3, -8, 52, -22, -26, -51, 51, -17, 23, 54, 39, 1, -23, -49, -36, 7, -58, 52, 30, -61, -22, -32, 44, 55, -34, 25, 55, -32, 45, 10, 36, -12, -38, -14, 2, 61, -61, 4, 34, 59, 34, 21, 17, -30, 32, -40, -55, 65, 58, -22, 61, -46, -27, 5, 60, -30, -47, 60, 23, 48, 69, -3, -22, 3, -3, -54, -9, -14, -51, 29, 37, -51, -25, -15, -62, 21, 31, -52, -18, 14, 24, 35, -7, -47, 24, 19, 15, 25, -32, 54, 35, 2, -21, -40, -61, 15, -36, -20, -48, 40, 43, -42, 13, -49, -27, -51, -33, -3, -23, 10, -24, 52, 40, 34, -48, -56, -17, 28, -47, 63, -51, -55, -39, 33, 40, -1, -48, -34, -54, -1, -42, -9, -19, 26, -47, -44, 62, 20, -51, 21, 43, 19, -8, -22, 1, 0, 33, 23, -21, -11, -44, 31, -51, 54, -52, 51, -53, 0, -48, -13, -31, -44, 8, -27, -11, 10, -13, -57, 49, 39, -23, -38, 54, -30, -13, 42, -4, 1, -3, 25, -51, 18, -18, 8, -9, -8, 13, 4, -44, 42, -36, -33, -25, 1, 7, 18, 57, 4, -21, 50, -57, 28, -49, 35, -43, 42, -46, -22, -43, 39, 17, 13, -49, 50, 28, -21, 14, -2, 65, 63, 0, -27, 43, -17, 35, -47, -30, -30, -64, -31, 20, -50, -43, 12, 1, 16, 9, -32, 44, -57, -53, 19, -16, 45, 16, -27, 31, -43, -23, -1, 52, -49, -43, -25, -18, -10, 37, 53, 19, 19, -4, 57, -47, 44, -49, 58, 4, -66, -40, -31, 3, 13, 67, -36, -28, 15, 19, 17, 14, 16, 43, 42, -23, 1, 21, 31, 19, -55, 15, -11, 33, -8, -29, 43, 50, 41, -1, 23, 37, 45, -22, -61, -25, -24, 28, 26, -65, -8, 36, -10, -6, 34, -62, -16, 53, 58, -56, -21, -40, -34, -2, -59, 1, -29, -20, -5, -5, 22, 14, -46, -12, 28, -14, 43, 36, 10, 17, 20, -8, -4, -51, -16, 53, 64, -21, 49, 3, 50, 44, 4, 36, -51, -46, 17, -24, -22, -9, -1, -1, -21, -56, 21, 51, 37, 40, 14, -48, 14, 22, -64, -34, 24, -47, -4, 56, -36, 3, 26, -36, -6, 8, 30, 29, -50, 42, -44, -22, -29, -4, -40, -35, 2, 18, -32, 64, -48, -50, 25, -32, 26, 11, 16, 25, 27, -3, -3, 63, -29, -42, 11, -51, -1, -20, -1, -19, -41, -25, -3, 50, 14, -19, -49, -35, 4, 35, 27, 35, 40, -15, -22, 19, 33, -38, -60, 27, 5, -20, -12, -23, -40, -42, -19, -51, -20, -26, 5, 41, 5, 10, 45, -39, 26, -22, -20, -3, 1, 63, 19, -50, -51, -27, 4, -32, 48, -47, -21, 8, -12, 33, -5, -30, -40, -47, 27, 20, 26, 50, -53, 14, 7, -9, 24, 59, 55, -6, -14, 13, -24, -25, -29, 40, -9, -3, 11, -53, -36, 11, -38, -34, 5, -46, -61, -49, 34, 52, -29, -55, 34, -36, -4, -43, -13, -9, 42, -11, 8, 14, -9, -63, 14, -56, 40, -39, -35, -35, -47, -3, 11, 8, 58, -19, -6, -8, 53, -23, 53, 2, 57, -57, 6, -29, -43, 29, -55, -55, 56, -26, 11, 33, -43, -41, 26, -16, -4, 38, 1, 58, -11, -17, -30, -48, 12, 33, -61, -21, 17, -23, -9, 33, -35, -32, 56, 24, 46, 62, 63, -27, -52, 42, 1, 30, 17, 50, -29, -30, -51, -14, -8, 55, -45, -18, 3, -11, 42, -23, 10, 27, 17, 50, 41, 56, 0, -35, 50, -11, -36, -31, -30, -44, -41, -56, -20, -10, -1, 31, -5, 11, 4, 32, -45, 57, -59, -56, 42, -32, 22, 60, 17, -32, 12, -49, -43, -33, -11, 0, -36, -25, -46, 49, -51, 17, 61, -17, 46, 34, -33, 21, 56, -38, 28, 35, -61, 3, 30, 9, -2, -4, 51, 57, 53, 61, -16, -54, -51, -10, 46, 52, 19, -28, -51, -7, -67, 16, -26, -40, -47, 43, 15, -73, 46, -22, -77, -19, -25, 25, 32, 49, 43, 57, 39, 39, -40, 38, 54, -61, 33, 56, -15, 46, -23, -28, 4, 30, 37, -14, 29, -55, -37, 17, -44, -35, 39, -2, 35, -20, 5, -33, 30, -26, 3, -29, -1, 21, 54, 61, 28, 52, 33, -9, 25, -37, 4, 46, -65, 34, 52, -31, 6, 42, -52, 26, 44, -21, 19, 42, 23, 22, 41, 72, -39, -22, -21, -60, 37, 28, 29, 3, -49, -47, 9, -28, -53, 22, 62, -22, -24, -59, 33, 48, -26, 45, -41, 39, -17, -7, -60, 57, 34, -9, 45, -19, 60, 20, -1, -3, 15, -46, 37, -19, 53, -58, 12, 16, -59, -13, -37, 36, -49, -19, 41, -14, -56, -22, 23, -25, 10, 5, 51, -10, -32, -53, -58, -12, -30, 45, -38, 62, 61, 48, 35, 1, 32, 29, -59, -26, 22, 8, 48, 3, 36, -6, -42, 8, 2, -20, -45, 4, 10, 69, -33, -14, -8, -62, 49, 41, -55, -53, -29, 38, 37, -10, -2, 55, -40, -47, -18, 58, -30, 31, 27, -34, -3, 2, -5, 52, -40, 0, -59, -1, -25, 41, 9, -13, -50, -15, -70, 36, -33, -40, -39, 56, -10, -2, 20, 55, 37, -42, -61, -59, 45, 35, -6, 52, 33, 5, -16, 15, -52, -23, -31, 0, -56, -56, 4, 22, -28, 52, -43, -38, 48, -32, 50, 55, -55, -12, -37, 38, 0, -50, -18, -31, 44, 41, 28, 25, -25, 28, -8, 61, 47, 44, -9, 60, 3, -35, -15, -4, -53, -11, 54, 37, -41, 7, 18, 47, -7, -28, 34, -44, -19, -32, 33, -46, 18, 24, -6, -43, -31, -19, -20, 26, -37, -61, 51, 16, -28, 66, 10, -68, -22, 48, -53, 41, -21, -39, -6, 9, 26, 64, -4, 38, 50, 7, 16, 14, -49, 37, 19, 5, -2, 35, 3, -17, 7, -18, -39, -28, -19, -26, 41, 15, -26, 31, 27, -8, -2, -57, 3, -13, 51, -7, -53, 20, 15, -51, -37, 54, 55, -14, -45, 13, -40, 51, 18, -38, -29, -60, -7, 14, -12, -50, -24, -42, 8, 32, 10, 15, -29, -59, -48, -53, -41, 51, -57, 31, -10, -41, 8, -44, -36, 62, -11, -18, -1, 8, -31, 41, -29, 58, 18, 6, -56, -63, 31, -21, -40, -29, 34, 19, -38, -15, -35, -38, 12, -6, -53, 60, 70, -42, -48, -59, -44, 52, -35, -16, -50, 52, -61, 36, -50, 0, -25, -20, -27, -35, 28, -2, 4, 54, 8, 7, 63, 10, 56, 18, 24, -8, -14, -13, 12, -30, 51, 57, 26, -13, 31, -71, 2, -39, -36, 28, -1, 42, 50, -30, -72, -3, 36, -36, 17, 20, 1, 58, 14, -50, 29, 16, 36, 58, -29, 36, -16, 23, 3, -40, 42, -55, 20, 21, -19, -34, -12, -37, -58, -49, -18, 22, 13, 46, -19, -6, -53, 25, 5, -8, -28, 17, 25, -67, 45, -27, -35, 57, -43, -26, -15, 5, -12, -14, -24, -6, 27, 61, 1, 0, 50, 3, -63, 30, 16, 50, 20, -46, -34, 20, 67, 50, -46, 58, -42, 24, 61, -18, -31, 7, 51, -43, 41, -13, 18, 22, -27, -24, 20, 57, -48, 43, -55, 44, -18, 38, -28, -51, -81, -12, 10, 58, -17, 1, 47, -33, 43, 8, 1, -51, -21, 57, -27, 41, -45, -25, -45, -16, 30, -47, 13, -48, -1, 22, 41, 10, -24, -13, 50, 36, 11, -68, -38, -39, 59, -30, 43, -58, -3, -14, 56, -46, 20, -25, -16, -13, 48, 28, -23, -39, -54, -49, -19, 54, 19, 45, -17, -17, -26, 61, 18, 23, -23, -21, 0, 33, 60, 45, -23, 2, 31, 25, 51, -11, 15, 11, -43, -21, 1, 0, 13, 16, 15, -55, 10, -10, -55, 55, -11, -26, 23, 24, 16, 67, -14, -42, -9, 23, -36, -60, 32, 17, -50, 54, -65, -10, -11, -1, 12, 37, 7, -43, 4, -2, 43, -23, 20, 13, -39, -53, -23, 10, -54, -62, 21, -15, -34, 19, 34, -36, 60, 60, -50, -43, -5, 37, 21, 34, -32, -42, 31, 17, 21, 40, 49, 4, 29, -44, 6, 69, -17, 0, 14, 49, 10, 39, 8, 23, -50, -57, -71, -34, 56, 34, 29, -17, 66, -3, 45, 31, -66, 51, 15, 32, 21, -51, 42, 4, -11, 24, -35, -57, -60, -70, -10, 19, 35, -19, 5, 16, 13, 13, 3, 32, -63, -45, -63, 27, 4, -11, 26, -59, -43, -46, -69, 55, -50, -56, 61, 36, 0, 39, 62, -12, 37, 10, -52, -20, 36, 43, 10, 12, 22, 60, 44, 49, 4, 58, 44, -9, -23, -60, -40, 38, 47, 45, -71, -4, 28, 7, -52, 55, 31, 10, -37, 15, -51, 48, 46, -51, -62, -33, 20, -69, 18, 45, 2, -56, -47, -52, 2, 38, 49, 31, 28, -26, 21, -27, 19, 43, -16, -8, -13, 0, 24, -57, 2, 36, -52, 34, -57, 49, 60, 29, 45, 27, 16, 34, 48, -34, -38, -61, 28, 2, -42, 16, 40, 13, 43, 53, 25, 51, 48, 48, -26, 36, 36, 35, 2, -6, 16, 9, -49, -4, 50, -64, 42, -2, 12, 23, -14, -35, 24, 49, -20, -25, -26, -77, -21, 7, -55, -42, -24, -59, 17, -18, 59, 49, 7, 0, 59, -49, -10, 21, -57, -21, -3, -16, 46, 60, 47, 26, 26, -25, -24, -46, -49, -52, -32, -15, -5, 28, -15, 52, -48, -30, -18, -47, -48, -46, 38, -27, -2, -50, -26, -66, 46, -8, 16, 20, 20, -8, 26, -7, 27, -14, 7, -23, 79, -35, 52, -25, 28, -28, -57, -8, 17, 32, 10, -5, -21, -54, 28, -20, 22, 36, 5, -16, -38, 43, 52, -45, -21, 29, -21, 20, -6, -18, 24, -46, 57, 27, -42, -10, -52, 36, 47, -19, 60, 23, 23, -25, 15, 82, 9, 40, -11, 66, 15, -30, 25, -29, 7, 49, -42, -41, 50, -2, 21, -8, -5, -54, 40, -48, -50, 57, 19, 26, -58, -12, 21, 24, 47, 48, -5, -17, -5, -32, 11, 70, 6, -1, -50, 22, -51, 23, -55, -47, 50, 37, -7, -4, -43, 56, -21, -17, -15, -42, 33, 10, 39, 19, 8, -41, -31, 57, 48, -25, -37, 54, -21, -30, -4, 39, 4, 54, -13, 43, 10, 54, -38, 30, 11, 4, -64, -6, -12, 4, -18, 11, 52, 28, -30, 48, -23, 62, -38, 27, 36, -49, 45, 0, -23, 8, -38, -53, 20, -55, 43, 36, -20, -23, -37, 2, -38, -19, -21, -37, 49, -37, 66, 21, 13, 66, 24, -35, 50, 22, 21, -7, -44, -14, -40, 3, 15, -10, 36, -36, -1, 54, -25, 17, 62, -68, -42, -34, -30, 12, 22, 48, -10, -30, -25, -41, 30, 31, 67, -17, -44, -28, -11, -37, 21, 4, -8, -28, 0, -27, -33, 50, 42, 8, -28, 11, -22, 37, 22, 46, 27, -3, -42, -9, -26, -49, 28, 10, 58, 43, -10, 39, -24, -21, -46, -42, -50, 10, 13, -3, 39, -31, 17, -1, -38, -12, -65, -38, 38, 6, 41, 56, 46, 33, 12, -1, 18, 6, 60, -41, 18, -1, -23, -38, 12, 51, 32, -4, 8, 12, 43, 8, -74, -16, 19, -34, -20, 52, -29, -28, 14, 61, 31, -41, 32, -53, 30, -33, 30, 21, -76, -21, 28, -43, -7, -64, 76, 32, -52, 24, -46, 55, -51, -48, 51, -24, 30, 22, 32, 44, -31, -15, -7, -7, -4, 46, 6, 12, -19, -4, 37, -57, -11, 22, 40, 14, 31, -45, -4, -43, -18, -54, -17, 46, -27, -7, -42, -12, 39, 3, -24, -59, 47, 53, 62, 28, 21, 52, -7, 2, -59, -27, 21, -7, 16, -56, -40, -7, -47, -13, 52, 27, 60, 36, 41, -27, -29, 50, -12, 35, -16, -57, -24, -6, 38, 30, -15, 66, 36, 21, 0, -12, 49, 59, 23, -27, -26, 57, -17, -27, 9, -51, 18, -20, 53, 26, -37, -17, -38, -3, -2, 18, -44, -35, 28, -19, 29, -47, -19, 34, -9, -33, 40, -12, -61, -32, 38, -56, -45, -33, 51, -17, -8, 12, 36, 32, 33, 1, -1, 65, -30, -61, 24, -21, -8, 19, 45, -63, 19, 48, -26, 40, -74, -4, 6, -43, 54, -10, 33, -22, -40, 34, -62, 3, -4, -35, -60, -1, -58, -45, -41, -6, -48, 1, -41, -1, -25, -14, 34, 0, -11, 25, 49, 20, 15, 55, 32, -6, 43, 7, -26, -28, -31, -73, -16, 52, -25, 52, -58, 6, -52, 27, -58, 34, 30, 38, 30, -44, 30, 55, 44, 55, -55, 42, -53, 14, 20, -29, -9, 36, 42, -28, 55, 88, 23, 5, -22, -48, -34, 44, 46, 36, 63, 17, 65, 19, 32, 48, 7, 41, -26, -3, 43, -33, -43, 54, 29, 30, -57, -1, 22, 57, 24, -45, -22, 6, 45, 2, -8, 19, -15, 60, -16, -38, -23, -57, -15, -26, -52, -67, 48, -9, -7, -22, -14, 23, -46, 34, -51, -3, 21, -18, 64, -29, -52, 42, -49, -51, -49, 35, -7, 22, -40, -16, 50, -19, 7, 50, 47, 30, 39, -5, 25, 17, 32, 31, -40, 7, 30, -34, -34, -15, -62, 0, -58, -2, -44, 32, 5, -67, 32, -34, 44, -5, 11, 2, 8, -41, -60, 8, 20, 40, 30, -43, -14, -23, 56, -33, 60, 28, 9, 4, 55, -27, -50, 11, 45, -35, 27, -52, -67, 28, 11, -17, 32, -55, -17, -26, -30, 58, 19, 40, -7, 41, -65, -66, 39, -60, -71, -32, -2, 34, 54, -26, -29, -26, 41, 2, 40, 32, -16, -20, -15, 17, -44, -13, 15, 29, -15, 17, 38, 31, -21, -27, -63, -60, 37, 45, -4, 16, 25, -44, 44, -32, -45, 27, 38, 32, 45, 38, -62, 57, -13, 3, 4, -22, -13, -12, 37, -56, -20, 44, -5, -51, 44, -6, 49, 39, -36, 9, -43, -7, 7, 39, -37, -18, 40, 49, 42, 16, -23, 29, 34, 54, 14, -12, -4, 20, 47, -51, 35, -24, -43, 37, -7, -15, 46, 36, -29, 20, -68, 3, -57, 13, 52, 32, -45, -50, -33, -13, 26, -5, -27, -4, 17, -34, -61, -36, 37, -25, -26, 16, 40, 43, -10, -39, -18, -13, 24, 13, 13, -15, -16, -25, -67, 48, 37, -15, 3, 15, -29, 26, -10, 15, -9, -26, -43, 49, -8, -45, 50, 24, 46, -16, 50, -39, -44, 1, 23, 2, 16, 50, 24, 0, 18, 60, 53, -43, 41, -2, 7, 22, 14, -53, -57, -17, 49, -41, 12, -17, -35, 38, -35, 32, -45, 5, -58, -45, 4, -5, 37, -27, -3, -3, -68, -27, 41, -1, -37, 41, -30, 16, 10, 8, -21, 40, 10, -44, -8, -55, 63, -27, 7, 50, 30, 34, 59, 45, 40, 0, -58, 14, 62, 59, 21, -28, -1, 38, -51, 30, 49, -56, -7, 53, 43, 31, -29, 14, 40, -51, -10, 42, -27, 4, -47, -10, -15, 4, 24, -42, 31, 35, -16, -33, 40, -24, -32, 19, 52, -49, -60, -29, 44, 17, 26, -15, 23, -3, 51, 11, -48, -37, -38, -13, -25, 21, -56, -46, -57, -53, -14, -62, -7, -25, 55, -23, 37, -7, 34, -21, 50, -18, 25, -64, -16, 23, -22, -48, -44, 18, 3, 49, 18, 20, -31, -13, 16, 25, 33, -32, 45, 38, -60, -27, -47, -20, -36, 27, 51, 3, 54, 19, -23, 19, 4, 65, -41, -57, -15, -40, -45, -23, -32, 23, 40, 9, 27, 62, -8, -13, 51, 39, -59, -51, -35, -26, -39, 7, 38, -36, 25, -58, 46, 56, -18, -30, 43, -40, -24, 12, 0, -59, 41, -55, 22, 52, -8, 45, 28, 52, 48, 44, 29, -60, 25, -14, -37, 6, 37, -15, -31, 23, -32, 38, -5, -11, 51, 37, 3, -50, 20, 60, 29, 6, -23, -26, 19, 9, -8, 18, -18, 2, 31, -1, -28, 16, -40, -33, 34, -37, 22, -58, 26, -19, 27, -49, -4, -12, 49, -6, -56, 33, 29, -61, 47, -65, 22, -4, 24, -44, -59, 17, 8, 61, -34, -54, 2, 32, 25, -63, -20, 29, 55, -17, -14, -45, -3, 29, -43, -55, 1, 22, 29, 58, -22, -59, -34, 9, 23, -14, -41, 28, -48, 19, -53, 17, -26, -39, 54, 31, -47, -54, -16, 46, -20, 53, 51, -25, 0, 23, -45, 36, 47, -20, -21, 4, -35, -50, -28, -42, -15, 15, 10, -19, -12, 33, -65, 34, 29, -6, -23, -9, -13, -14, 36, -34, 16, 1, 40, 16, 5, 51, -69, 10, 41, 21, 18, 28, -54, 62, -14, 8, -50, 0, -2, 39, 38, -66, -51, -18, 52, -23, -20, 25, -41, -17, -5, -25, -51, 26, -65, 39, -22, -1, 4, 58, 43, -49, 19, -53, 8, -18, -34, -25, -25, 9, -36, -30, 51, -59, 46, 42, 50, -7, -57, 27, -54, 57, -58, -43, 36, -27, 48, -25, -42, 55, 15, 20, 31, 35, -3, 2, -10, 31, 12, -15, -23, 31, -13, 22, -30, -44, -34, -34, -52, -15, -47, -34, -59, 47, -5, -51, 25, -10, 25, 55, -24, -27, 56, 11, -48, -22, 38, -43, 48, 7, 33, -20, 51, 40, -55, 4, -49, 33, 20, 41, 13, 47, 32, 31, 28, -30, -37, 55, 18, -33, 31, -50, 34, -16, -34, 11, 8, 41, -35, 11, -3, -54, 14, -5, -15, 20, 35, -57, 22, 53, -7, 29, 18, 5, 64, 8, 0, 50, -52, 44, -25, -21, -52, -16, -63, 32, 30, -40, -11, -64, -53, -41, 24, -6, -43, -57, 57, -6, -47, -25, 32, -59, -48, -66, -41, -39, -58, 3, 46, 40, 25, 11, -1, -35, 43, 7, -15, -58, 42, -2, 39, -43, -43, -24, -50, -63, 32, -27, -8, -27, 23, -62, 8, 6, -12, 1, -39, -50, 40, -21, -45, 12, 45, 23, -41, -22, -53, -10, 3, -40, 30, 58, 16, 49, -60, -28, 47, -36, 51, 54, 24, -5, -38, -8, 41, -22, 16, 41, 30, -28, -51, 8, 7, -11, -48, 40, 49, -58, -56, 50, -45, 39, -64, 48, 33, -49, 2, -48, 42, -34, 9, -35, -30, 11, 3, 43, -49, -27, -35, -42, -26, 60, -61, 57, -39, -48, 33, -12, 8, 45, -46, -14, -36, -63, -36, -2, -13, -53, 4, -55, -31, -4, 1, 56, 16, -15, -49, -58, -43, -24, -40, 12, 30, -20, 41, -39, 10, 48, 54, 49, 45, 2, 44, 53, -43, -52, -26, -62, -23, 30, 15, -36, 48, 53, 51, -52, 60, 1, 19, 39, 53, 28, -42, 24, 56, -14, -45, -21, 3, -63, 32, -16, -63, 42, 22, 23, -65, 17, -63, -61, -36, 45, -31, -13, 42, 16, -18, -19, 40, -8, 56, 20, 51, -55, 16, -57, 8, -48, -22, -11, 18, -57, -15, 62, 1, 62, -15, 54, 16, 23, -26, 21, 16, 25, -62, 37, -4, -26, -40, 19, 7, -17, -11, -23, 25, -22, 10, 27, -21, -6, 45, -5, 42, 24, 58, 62, 25, 54, 41, 22, 14, -60, 38, -21, -21, 59, 52, -53, -55, 34, 57, 17, 9, 26, 15, 12, -48, -32, 46, -12, 28, -5, -57, -22, -32, -26, -19, -54, -12, -14, 15, -34, -61, -28, -53, -6, 56, 26, 44, -10, -46, -9, -40, 44, 41, 58, 57, -46, -44, -35, 56, -3, -53, -54, -5, -2, -18, 4, 20, -44, -35, -38, 13, 31, -2, 44, 2, -50, -1, -16, -35, -43, -44, 10, 22, 19, 17, -13, 44, -51, -11, 50, 4, -41, 35, -2, 51, 53, -48, -13, -16, -17, 13, 53, -18, -50, 37, 48, -22, -34, 44, -55, -58, -37, -49, -59, -60, 0, 41, 13, -62, 19, -53, 52, 0, 19, 31, 9, 45, 14, 25, -15, -28, 18, 21, -5, 8, 24, -4, -15, 48, -26, -10, 32, 14, -43, -13, 9, -21, 37, 15, -33, -61, -9, -41, -17, -54, 49, -43, -38, -48, -54, 45, 28, -3, -44, -10, 43, 31, -23, -43, 17, -61, 26, -45, -1, 18, -54, 8, 48, -22, -15, -24, 55, 53, 47, -62, 33, 38, 9, -13, -5, -15, 29, 45, -32, 50, -6, 24, 4, -35, -43, 38, -15, 4, -50, -50, -53, -60, -25, 53, 40, 47, -36, -6, 55, -4, -51, 20, -29, 5, 34, 29, 42, -22, -59, -40, -6, -14, -12, 46, 26, 48, 24, -14, -51, 48, -36, -19, -52, -14, 42, -8, 42, -12, -50, 45, -42, -44, -35, -13, -50, 39, -15, -43, 51, 27, -42, 36, 10, 54, 54, 61, 16, -25, 20, -64, 7, -50, 9, -43, -35, 32, -10, -51, -61, 4, 40, 52, 36, -27, -52, -30, 15, 21, 35, -58, 46, -44, 40, -16, 15, -16, -55, 33, -37, 42, -43, 47, 53, 49, -46, 35, -59, 36, -5, -16, -50, -40, -48, -19, 27, -44, 3, -23, -11, -7, -7, -41, 58, -52, 35, -44, -42, 39, -34, 22, -11, 5, -6, 27, 36, -36, -32, -59, 5, 44, -28, 42, -54, 14, -44, 6, -61, 51, -58, 33, -1, 45, -38, -25, -44, -50, -39, -2, 8, 16, 52, -11, 34, 53, -7, -17, 37, 47, 27, 25, 19, 23, -53, -26, 15, 40, -60, 7, 4, 51, -32, -67, -54, 25, -36, -56, -13, -21, 20, -36, 14, -11, -46, -46, -23, 24, -16, 50, -27, -61, 15, 11, 0, 6, -51, -32, 16, 32, -48, 32, 14, -41, 29, -50, -59, 55, -45, -16, -16, 6, 53, -56, -23, -35, 42, -17, -50, 58, 37, -38, 62, 13, -64, -39, 15, -48, 11, -3, 50, -36, -46, 4, -52, -34, -12, 3, 23, 46, 53, 45, -37, -3, 39, 17, 26, 44, -9, -40, -37, -39, 12, -19, 43, -36, 50, 7, -9, 29, 0, -56, 23, 45, 49, -1, -16, 64, 34, -57, 10, -36, 25, 55, 11, 62, -12, 5, 53, -9, 60, 43, -18, 59, -3, 44, 43, 15, 45, 5, 5, 38, -36, -24, 29, -42, 10, -58, -11, 50, 14, -35, -33, 28, 24, 57, 24, -38, -7, 23, -41, 6, 30, -60, 62, -63, -34, 48, 16, -35, -33, 19, -64, 7, -19, -32, -46, 29, -41, -33, -57, -9, -29, -20, 41, 26, 57, -1, 10, -21, -24, 40, 36, -28, -17, -61, 3, 45, 0, -22, 31, -12, 33, 30, -24, 41, 12, 19, 10, 28, -9, -32, 47, 25, -28, 27, 56, 54, -5, 29, 0, -20, 18, -31, -37, 49, -15, -9, 39, -37, -56, 23, 42, -17, 57, -37, -7, -60, -62, 30, 58, 1, 42, 13, -4, 26, 56, 7, -41, -10, -50, 43, -33, -44, 33, 30, 46, 6, -58, 36, -58, 38, 16, -50, 51, 47, 41, -2, 41, 8, 18, -1, -60, -9, -24, -56, -8, -61, 25, 15, -45, -25, -30, -44, 25, 32, -59, -1, 41, 6, 0, 14, -49, -49, -28, 13, -22, -36, 0, -45, -3, -60, 34, -10, -41, 5, -37, 0, 54, 48, 22, 19, -28, 2, 17, 13, -56, 33, 43, 31, -41, 44, 35, 48, -31, -54, -43, -7, -38, 9, -44, 34, 60, -16, -18, -2, 8, 14, 40, 1, -23, -35, 39, 27, 61, 8, 57, -38, -25, -30, 12, 16, 54, -18, 13, -7, -36, -40, 15, 53, 16, 29, -20, 41, -60, -40, 41, 16, -45, -20, 29, -41, -56, 28, 28, 20, -20, -11, 30, -7, 57, 4, -57, -40, -16, -44, 8, 9, 8, 4, -2, -44, -59, -2, 3, -30, -55, -55, 11, 59, 34, 25, -25, -29, 27, -47, 22, -40, 59, 20, -29, -10, 50, 27, 15, -13, -21, -8, 56, 16, -27, -34, 17, 33, 38, 54, 47, 11, 57, -37, 19, 22, 44, 25, -58, 54, 14, -25, 31, -33, -33, -8, -13, 58, -63, 5, 33, 0, 27, 13, -49, -12, -53, -57, 19, -43, 57, 3, -36, 7, -34, 23, 22, 49, 17, 22, 25, 36, -38, 13, 54, 38, -30, 29, -5, -23, 2, 18, 47, -12, 32, -56, -25, 32, -36, 56, -42, 52, 40, 9, -45, -17, -61, 44, 53, 49, -4, 21, -63, 44, -37, -11, -47, 12, -21, -10, -1, 23, -44, 58, -24, -29, 9, -12, -8, 11, 21, -33, 14, 55, 44, 1, 3, -8, -45, 16, 36, -58, 7, -32, -37, 1, 35, 18, 36, 36, -60, -7, 59, 21, -45, -36, 12, -18, -22, -46, -1, 30, 2, 17, -62, -19, 8, -58, -15, 6, 52, 5, 29, -16, 59, 60, 54, -55, -6, 14, -35, -36, -44, -36, 36, 44, -20, 7, 15, -38, -50, 24, -36, -40, -17, 10, 58, -48, -49, 26, 21, -50, -6, -4, 49, 48, -29, -19, 51, 38, -36, -23, -37, -61, -11, -45, -35, 34, -19, -6, -49, 40, -36, 39, -6, -1, -3, 49, 60, -36, -51, -20, 2, -18, -3, -54, -30, -10, 36, -34, 35, -31, 51, 10, -61, -4, -4, 59, 54, 46, 36, -51, -49, -57, -4, 51, 22, -62, 0, 13, 28, 51, -41, -16, -66, -63, 15, 21, 24, -41, 47, -54, -48, 58, 3, -6, -51, 45, 33, 47, 59, 31, -37, 6, -7, -34, -7, 56, 12, -44, 29, -61, 29, -52, -22, -49, 11, -7, 51, -22, -26, -22, -61, -14, -13, -45, 31, 14, 15, 18, -34, -46, 12, -7, -16, 44, -32, 35, -28, -4, 20, 29, 7, 6, 37, -2, -3, 56, 14, 6, 59, 15, -8, -53, -54, 29, 17, 37, 48, 12, -44, 11, 17, 10, -61, -17, 3, 46, 35, 17, -14, 19, -8, -56, 26, 35, 28, -27, 35, 60, -28, 3, 52, -34, 36, -50, -22, 23, -55, -28, 18, 33, 5, 24, -36, -22, -8, 44, -36, -57, -40, 36, 43, -5, -52, 47, -47, -42, 1, -35, 16, -38, -15, -53, 61, 60, 56, 35, 51, 38, -49, -53, -15, -27, -22, 10, 44, -60, -44, -10, 41, 50, -28, 50, 35, 34, -57, -49, 21, 14, 39, 43, -19, 47, 30, 27, -27, -39, 6, -57, 55, -4, -53, -29, 21, -24, -48, 45, -12, -53, 7, -41, -45, 43, -20, 15, 51, -26, -51, -49, -46, -19, 2, -8, -28, 43, -8, -46, -39, -29, 33, 16, 38, -39, 20, -7, 38, 41, -26, -61, 32, 32, -56, 46, 17, 8, -32, 28, 26, 57, -45, -13, 34, 22, 30, 22, 10, 14, -61, -44, 46, 7, -9, -6, -24, -55, -52, -24, 3, -12, 51, 10, -21, 29, 2, 51, 13, 47, -13, -14, -27, 54, -47, -20, -15, 20, 33, -46, -3, -45, 45, 53, -62, -5, -22, 55, -52, 15, -11, -12, 60, -21, 16, -43, 28, 58, -33, -28, -20, 16, -41, 21, -55, 43, 58, -62, 28, -7, 32, 56, 39, -21, -63, 3, 37, -64, 38, 30, -15, -62, -13, 61, -60, -13, -8, 43, -55, 21, 8, -28, 20, 0, -24, -22, -32, -17, -62, 22, 61, 44, 42, -39, -58, 3, 49, 9, 55, -9, 13, 29, -21, 16, 60, 0, 49, -7, 41, 12, 45, 36, -16, 39, -20, -49, -36, -2, -54, 15, 28, 41, 40, 0, 25, -42, 45, 29, -54, 40, -59, -6, 60, 35, -14, 37, 46, -48, -9, 20, 53, -50, -49, 43, -64, -52, 67, 28, -41, 43, 19, 0, 25, 56, 23, -54, -17, 53, -16, 10, 43, 20, 47, -31, -6, 32, 1, 2, -40, 0, -10, 51, 40, 39, 2, -43, -34, -36, 31, 7, -29, 30, 14, -18, -1, 41, -9, -48, 24, -48, -59, -56, -16, 55, -16, 36, -41, -32, -1, -58, 14, -3, -32, 19, 18, -46, -37, -57, 26, 8, 43, -18, 31, 5, 4, 23, -43, -66, -23, -12, 3, 32, -35, -1, -11, -35, -23, -50, 21, 17, -58, -5, -23, -11, -65, -61, 19, -9, -21, 51, 39, -63, 49, -9, 16, -59, 52, -12, 39, -25, 14, 13, -44, -14, 13, -38, -24, 46, -42, -3, -7, 16, -21, 21, 41, 10, -52, -28, -43, -24, -16, -29, 29, 23, -39, 47, 43, -40, -35, -12, 7, 55, -61, 44, 37, -47, -49, -43, 30, 44, -54, 8, -19, -31, -22, 19, -14, -41, -4, -66, 53, -51, 29, -49, -15, -4, -1, -39, 38, -41, -49, 12, 50, 7, -1, 39, -17, -36, 62, 50, 3, -28, 3, 11, 35, 7, 20, 26, 30, 60, 19, -46, 49, -8, -33, 48, -37, -16, 30, 23, -36, 51, -57, 5, -45, 60, 73, 9, -7, 36, -52, -62, -5, 0, 58, -21, -55, -25, 24, -23, -20, 27, -1, 10, -36, 2, 49, 62, -56, 9, -22, -21, 56, 56, -48, 21, -18, -39, 45, -49, -29, -42, -47, -2, -36, -22, 48, -11, 40, 59, -62, -10, 18, -20, -23, -22, 23, -53, 12, 9, 31, 48, -59, 33, 10, -43, -17, 5, 1, 26, -13, 52, 58, 54, 17, -35, 16, -21, 21, -3, 19, 59, -20, 16, -56, 41, 24, -21, -21, -28, 47, 22, -87, -34, 8, 11, 5, -53, -23, 0, 51, 12, 36, -35, 62, -10, 59, 53, -55, -33, 18, -1, -32, -64, 22, 45, -3, 18, -38, 47, -30, 31, -41, 32, 25, -58, 15, 25, 45, -66, -65, -29, 48, 27, -54, -26, 33, 45, 6, 44, 8, 23, -5, -56, -16, -8, 0, -20, -44, 47, -8, -8, 32, -7, -2, -38, -56, 41, 47, 30, -19, 36, -24, 1, 40, 6, -49, -11, 45, -40, 21, -28, -33, -57, -10, 32, 9, -45, 36, -59, -3, 19, 27, -6, -30, 40, 48, 1, -20, -30, 32, 1, -59, -1, -48, 50, 56, -43, -33, 41, -41, -49, -49, 49, 29, -2, -30, 26, 29, 20, -3, -50, -36, -37, 46, -36, 4, -57, 12, -48, -13, 36, -51, -43, 27, 21, -4, -37, 55, 27, 32, -30, -65, 2, -10, -48, -9, 1, 33, 29, -50, 10, -1, 51, 32, -47, 8, 8, 12, -1, -13, -51, 33, 33, 1, -23, -23, -11, 48, 17, 29, 28, -18, 23, -54, -67, -51, 2, 33, 15, 13, 17, 51, -48, 21, 52, 40, -58, 8, -4, -13, -53, 40, -5, -27, 17, 7, 0, -3, 18, -37, 37, -61, 22, 11, 6, 11, -16, -39, -9, -8, -32, 1, -73, 17, 35, 40, -8, 49, -65, -16, 7, 43, -19, 18, 66, -44, 14, -9, 35, -32, -39, 8, -25, -14, 53, 10, -37, -61, 39, -53, 40, 25, 22, 33, 59, -31, 25, 33, -32, 34, 12, -49, -35, 38, 54, 32, 21, -13, -74, 19, -35, 21, 42, -47, -61, -41, 15, -57, -10, 5, -22, -62, -46, 3, -54, 16, -50, 80, 12, -43, -51, 8, -60, -3, 8, -2, -32, 56, -16, 27, -17, -14, 49, 0, -7, -27, 29, -57, 20, 29, -14, 20, -51, 51, -41, 38, 12, 16, -12, 27, 27, -39, 52, -56, 15, 30, -35, 47, 13, 27, 18, 11, 49, 35, -10, -11, -29, 55, 31, 31, -24, 57, 55, 33, -5, -41, 25, -48, -28, 37, 44, -55, -24, 42, -33, -35, 15, 79, -5, 4, 36, 57, -34, -51, -39, 45, 16, 32, -9, -1, 39, -43, -70, -57, 28, 23, 38, -26, -28, 32, 8, -49, -21, 34, 55, -47, 50, -22, 19, -1, -18, 32, 40, -47, 30, 8, 39, -9, -7, 49, -45, -36, -21, -2, -6, 12, 33, 20, 4, 10, -11, 44, -23, 20, -51, 11, 18, -12, -3, -29, 44, -41, -21, 58, 30, -71, -19, -13, -2, 38, 49, 35, 62, 52, 39, -25, 35, -65, -16, -23, -1, -33, -57, -15, 9, -58, -55, -49, 43, 22, 25, -20, -4, -41, 19, -9, -73, -37, 43, -15, 65, 2, -39, 33, -9, 41, 22, 6, 5, 37, 5, -11, 13, 53, 50, 37, 58, 5, 26, -52, -10, -41, 10, 32, 52, 41, 2, -36, 32, -14, -54, 22, -35, 46, -6, 49, -7, 56, -4, -24, -17, 29, 33, -4, -11, -55, -12, -38, -5, -56, -13, 59, 73, -2, -1, -2, 39, -24, 20, 35, -14, -60, -29, 11, -17, -56, -52, 26, 30, -51, -8, 66, -51, -41, 4, 39, -9, 29, -14, -23, -6, -25, 1, -21, -69, 35, 10, -31, 48, -33, 45, -31, 50, 32, -47, -41, -46, 49, 45, -24, 43, -26, 54, -20, 38, -9, 13, -35, -17, 27, -47, -40, -16, 10, -69, 18, 6, -21, -47, 36, 38, -10, 55, -2, -3, -24, -49, -39, -8, 54, 26, -32, -14, -29, 39, 51, -7, -57, -3, -3, 38, 5, -47, 53, 34, 57, 0, -60, -6, -24, 27, -26, -48, -4, -47, -51, -28, 44, 53, -13, 49, 35, 59, 41, 5, -35, -11, 29, -50, 8, -5, 61, 42, 15, -62, 53, -21, -32, 24, -8, -41, -4, 12, 4, -1, 16, -41, -11, -38, -41, -3, -46, 40, 45, 40, 9, 42, -2, -61, 10, 5, -45, 9, 51, 30, 57, -20, 5, 29, 18, 21, -16, -45, -19, 57, 62, 64, -29, 22, 41, -23, -12, -24, -29, 38, -24, 39, -5, 50, 41, 5, -19, -11, -23, 42, -45, -29, 14, 27, -40, -26, -53, 7, -9, 43, -31, -17, 50, 8, -11, -23, -49, 54, -25, -2, -18, -8, -27, -6, 39, -57, -22, -69, 45, 19, -11, 2, -2, -35, 0, 55, -8, -51, -12, 47, 58, 51, -59, -16, -59, -48, -55, 3, -48, -25, 12, -9, 22, -11, 7, 4, -8, -1, 24, -27, -34, 45, 30, -12, -7, 39, -34, -2, 37, -29, -9, 30, 29, -34, -49, -49, 28, 59, -37, 55, -25, -20, -58, -54, -6, -40, 29, -21, 7, -34, -39, -51, 39, -44, 50, 26, 7, -43, 60, -19, -17, -34, -60, -61, -17, 52, 51, -10, 7, -57, 0, -52, -10, 22, -44, -56, 15, -56, 26, 45, -45, -43, -44, -56, 1, -25, -63, -19, 5, 53, -40, -11, 48, 13, 16, 44, -33, -20, -44, 28, -54, 27, -4, 33, -36, 29, -26, 30, -42, -9, -53, -35, 17, -28, -70, 41, -50, 40, -26, -14, -7, -1, 30, -39, 3, -35, 39, 42, 11, 30, -48, -8, 22, -60, -19, -34, 46, 26, 12, -53, -40, -8, 26, 58, -60, -48, 27, 54, -16, -33, -2, 43, -10, -43, -37, 26, -57, 44, -10, -27, -25, 50, -18, -16, 3, -47, 63, 9, 32, -55, 24, 16, -33, 45, 39, 54, 36, 25, -45, -15, -51, 61, 38, -17, 41, 7, -33, -48, 22, -42, -27, -22, -14, -18, -17, -23, -54, 51, -42, -8, 19, 38, 55, 7, 34, 4, -16, 19, -38, 24, -47, -31, -41, 53, 4, 4, -27, -32, -29, -16, -3, 69, 22, 12, -28, 13, -66, 24, 63, -36, -44, -6, 50, 43, -19, -32, -23, -23, 33, 2, -3, 25, -50, -52, 24, -15, -41, 44, 11, -16, 45, 80, -20, 42, 13, -18, 5, -16, 33, -60, -17, -27, 13, 26, -47, 48, 17, -31, 34, -5, 56, 39, 35, 62, -10, -12, 12, 50, -39, 60, 45, -49, 58, 9, 30, -48, 8, 9, -31, 10, -24, -56, -45, 4, 23, -49, -16, -30, 11, -49, 29, -12, -63, -32, 17, -17, -27, 14, -55, 41, 13, 43, 62, -52, 38, 58, -37, 44, 15, 28, -53, 18, 46, -34, 48, -5, 18, -19, -17, 56, 46, -1, -31, 37, -27, -8, 43, -28, 2, 23, 28, -57, -12, -66, 53, 48, 33, -51, -42, -24, 51, 1, 21, 26, 34, 8, -10, 20, 24, -54, -45, -23, 29, -37, -20, -48, 13, 66, -46, 39, 13, 60, -62, 36, 36, 46, -25, 1, 28, -30, -46, 32, -43, -25, -51, -31, 36, 54, 34, -65, 20, -44, -35, -31, -33, 33, 44, -2, -24, -17, -43, -13, -30, 21, 12, 30, -48, -9, -17, -8, 22, -64, 9, 23, 0, 29, 10, 23, 44, -60, 63, 3, 13, -40, -8, 19, 29, 44, -18, -23, 16, -13, 8, -51, 27, -21, 17, 26, -60, -23, 54, 45, 41, -68, 15, -12, 44, -75, -39, 40, -5, 20, 28, -9, -53, -26, 14, -35, 10, -14, 22, -43, 19, 12, 39, -41, 23, 3, 2, 10, -30, 1, 34, 27, 62, 49, -44, 87, 46, 28, 17, -40, -40, -25, 17, 19, 39, -2, -3, 2, -40, 41, 52, 4, -21, 32, 46, 0, -24, 40, 16, -2, -53, 23, -23, -25, 21, -19, 0, -10, -13, -32, 56, -38, -7, 11, -54, 30, -36, -30, 27, 48, 44, 0, 8, -1, -3, -17, -53, 13, -13, 18, 53, 14, -10, -16, 44, 2, 56, 2, 18, -16, 47, 25, 65, 21, -13, 42, -14, -2, 53, -49, 6, -53, 32, 1, 49, 59, 13, -13, 41, -35, 60, 31, 14, 23, 14, -14, 25, -15, 45, -37, -34, 29, 27, -87, -24, 19, -27, -69, 3, -26, -42, -8, -28, -45, 35, 36, 29, 11, 28, 25, -37, -13, 30, -6, 14, -15, -4, -7, -26, 14, 26, -5, -6, 9, -68, -16, 22, -29, 30, -43, 22, 16, -25, 36, -44, -5, 17, -3, 50, -39, 14, 26, 38, 12, -17, -26, -44, -5, -48, -12, -2, -58, -9, -26, -27, -26, 77, 41, -20, -36, 42, -27, -29, -42, -57, -18, 25, 57, -51, 18, 13, 51, -14, -22, 9, 26, 1, 49, -27, 46, -58, -75, -15, 41, 6, -53, -15, -28, 20, -36, -23, 23, -40, -38, -45, 25, -35, -53, 52, -3, 54, 38, 50, 15, 5, -42, -36, -24, 24, 6, 45, -8, 4, 38, -23, 6, 35, 75, -11, 31, 4, -4, -3, 3, 71, 28, -41, -74, -57, 47, 37, -43, -16, -57, 46, 29, 40, 6, 47, -4, 6, 46, -18, -30, 47, 43, 47, -6, -30, 3, -41, -56, -60, 56, -11, -65, 45, -36, -42, 21, 0, -54, -17, 27, -59, -29, 8, -16, 29, -61, -22, 55, 35, 1, -56, -24, 0, 45, -36, 1, -35, -32, 60, 15, -11, -15, 56, 32, 19, 61, -21, -38, -1, -2, -23, -47, -65, 34, -30, 28, 50, -47, 52, 38, -67, 27, -4, -16, 1, 44, -33, -37, -6, -22, 63, -4, 1, -23, -19, 42, -83, -90, 40, 9, 3, -5, 55, -26, 47, -37, -21, -6, -57, 41, -3, -14, 13, 4, 63, 36, -29, 0, 41, -24, 35, 19, -8, 45, 5, -11, -63, -61, -11, -47, -52, -32, -56, 24, -18, -16, 28, 34, 45, 2, 58, 41, -68, -42, 33, -23, -28, -56, -29, -2, 52, -9, 71, -14, 19, -29, 18, -8, -13, -42, -10, -36, 8, -10, 54, 68, -18, 12, -28, 10, 14, -32, -13, -54, -23, -45, -42, -44, 54, -60, -3, 58, -56, -21, -59, 2, -33, -21, -14, 34, 25, -11, 24, 11, -20, 44, 35, -9, -35, 41, 47, 60, 45, -26, -28, -10, 11, -3, 20, -12, -29, -35, -37, 35, 42, -48, -62, -36, -52, 37, 33, -55, -28, 18, -48, -59, 11, -27, -39, 0, -10, 18, -16, -16, -25, -6, -43, -14, -42, 104, -21, -84, 10, 16, -52, 28, -16, -6, 60, -19, 0, -55, -28, 4, -13, -44, 29, 46, 43, 14, 26, -10, 30, 50, 48, -22, 21, -38, -50, 20, 39, -15, 22, 58, 60, -67, 47, -38, -62, 54, 3, -22, -51, 23, 23, 36, 38, -26, 19, 2, -52, 42, -2, 41, 33, -56, -56, 45, 20, 5, -45, -5, 27, 51, -3, -5, -8, 25, 38, -17, -60, -3, -13, -27, -49, 30, -20, -47, 44, 50, -56, 31, -11, 42, 45, 61, -8, 1, 80, 58, -39, -24, 29, -20, 12, -64, -46, -29, 57, -36, -36, -9, 11, 42, -25, 39, 53, 35, 41, -34, -20, 27, -58, -60, 28, 33, -10, 44, 1, 49, -42, 28, -15, -20, 43, -27, 44, -29, -10, -26, -49, 25, 12, -44, -54, 40, 58, 18, 25, 16, 30, 8, -11, -54, -8, -16, -58, 25, -40, -28, 4, -50, 26, -27, 39, -22, 18, -36, 14, -32, -5, 0, 16, 47, 23, -45, 49, 19, 29, 73, -42, -26, 37, 28, -28, -46, -23, -45, 44, -14, -32, -4, -34, 5, -33, -1, 55, -4, 29, -2, 55, 11, 38, 38, -21, 18, -38, 66, 53, -25, -14, 40, 13, 3, -25, 42, -29, 47, 34, 54, 23, 18, 17, 17, -31, 55, -40, 37, 6, 1, 21, 58, -1, 64, 78, -33, -49, -51, -13, -55, 15, -43, 3, 22, -17, -11, -56, 33, -10, -7, 60, 10, -53, -13, -59, 8, 14, -35, -34, 45, 71, 7, -37, 41, -3, -30, 35, 45, 41, -42, -17, -56, 27, -19, 44, -27, -76, 30, -28, 59, 22, -75, -8, -58, -13, -50, 0, -20, 37, 8, -34, 19, -12, -52, -38, -39, -8, -16, 25, 50, -34, 40, 61, -15, 15, 36, -67, 47, 12, -7, -22, -59, 23, 20, 2, -42, -52, -60, -31, 8, -4, 11, -6, 63, 61, 7, -37, -58, 66, 33, -42, 34, 32, -30, -49, -45, 16, -33, 18, 2, -17, -47, -26, 24, 11, 33, 6, 10, 32, -37, 3, 19, -15, -11, -42, -48, -21, 28, -15, 13, 10, 8, -17, 46, -60, 11, -31, -21, 46, 18, 45, -13, 32, 48, 7, 36, -8, 34, -33, -24, 13, 24, -45, -40, -32, 21, -36, 21, -22, -36, 30, 15, -3, -35, -59, -8, 48, -55, 53, 28, 39, 22, -22, -26, 50, -44, -38, 10, 38, -3, -14, -47, 47, -57, 38, 53, 16, 21, 23, -54, 33, 43, -14, 39, 33, -57, 49, -22, -12, -40, -4, -45, -1, -44, 36, -61, -53, 40, -54, -16, -34, -47, 54, -36, 36, -23, 30, -23, 23, -51, 43, 19, -37, -3, 56, -25, -35, -60, 54, 37, -3, 50, 30, -5, -16, 5, 37, 2, 13, -35, 36, -19, 18, -7, 34, 7, 24, 12, -18, -52, -17, 57, 41, -6, -58, 20, 34, -39, -44, -1, 43, 21, -50, -51, 17, -54, 27, 20, 35, -40, 15, -10, -28, -44, 45, -60, -41, -2, 20, -46, -14, -27, 27, -28, -43, -27, 29, 14, 3, -61, -62, -18, -24, 14, -25, 3, -47, 47, -56, -54, -52, -2, -41, 39, -50, -48, 18, -23, 5, -19, 8, 56, -2, 40, 54, 34, 33, 52, -10, -62, -31, 48, -47, 15, -1, -42, 45, 30, -36, -48, 56, 39, -61, -12, -36, -47, -64, -16, -36, 33, 21, 10, -11, -35, -10, 10, 33, -60, 38, -20, 43, 46, 48, -18, 6, 17, -43, 4, -32, -20, 12, -25, -10, 18, 42, 4, 28, -18, 47, -40, -24, -12, 27, -37, -47, 14, 41, 1, -7, 36, 46, -44, -62, 38, -61, -44, -16, -27, -44, -23, 30, 30, 39, -29, -5, -9, -15, -45, 6, -2, -45, 19, 5, -35, 25, -24, -41, 22, -26, -20, 10, 5, 49, -6, -9, -58, 53, -32, -42, -58, -20, -34, 40, 5, -39, -5, -53, 45, -54, -34, 6, -6, 10, -46, 21, -16, -46, 10, -33, -7, -34, -37, 10, 21, -12, 35, -38, 28, 33, 52, 58, -7, 39, -16, -51, -37, -55, -43, 47, -19, -39, -39, 14, 64, -17, -27, 31, -64, 37, 23, 50, -24, -59, 2, 14, 43, -16, -22, 19, -5, -51, 44, 20, 6, 50, -24, 23, -13, -11, 27, -4, 48, 54, 55, 53, -15, 44, 29, -27, -8, 61, 33, 49, 37, 30, 49, -26, -59, -35, -65, 9, -21, -25, -18, -29, 48, -24, -32, -24, -31, -29, 0, 4, -58, 27, -42, 56, 23, 33, 54, -55, 7, -25, 56, -45, -10, 32, -40, -59, 3, -18, -20, -30, 32, -52, -43, -2, 33, 43, 50, -25, -37, -18, 48, -22, -6, 9, 38, 31, 34, -5, 53, -35, -61, -62, -39, -59, 59, -35, -58, -13, -17, 18, 6, 54, 60, 17, 67, 17, -39, -12, 23, -10, -16, 37, 5, -15, -42, -50, 46, -14, -50, 13, -41, 9, -52, 17, 22, 23, 55, 47, -45, -43, 43, 57, 39, -41, 10, 5, 15, 17, -3, 53, 38, 29, 1, 27, -42, 60, 39, 8, -31, -49, -42, -18, -44, -52, -51, 59, -10, 32, -9, -43, -19, -8, 37, -27, 28, 67, -8, -35, -13, -42, -33, -2, 23, 52, 27, 50, 35, -50, -3, -55, 14, 14, -48, 4, 39, -31, 44, -47, -23, 62, 17, -21, 27, -17, -3, 53, -25, 53, 49, 3, -41, -48, 29, -16, -4, -15, -23, 40, 27, -68, 6, -27, -60, -59, -56, 75, 22, 31, 48, -10, 40, -29, -40, 15, 55, 25, -40, 39, 31, -2, 16, -35, 0, -24, -37, -3, 27, 51, 6, -57, 27, 45, -25, -45, 11, 25, 65, -7, 46, -16, -56, 52, -48, 60, 35, 63, 34, 27, 17, 38, 23, -31, 32, -47, 31, -37, -63, 50, -18, 55, -59, -58, -27, 26, 16, -14, 47, 25, -23, 8, 33, -43, -48, 38, -21, -6, -14, 6, 41, -20, -22, 1, -19, -67, 36, 14, -50, 4, -47, -71, -27, -66, -4, 19, -16, -6, 13, 44, 44, 12, -49, 31, -6, 18, 16, -47, 10, -57, 64, -44, -18, -18, -37, -23, 5, -18, 16, 9, -7, 12, -20, -13, 49, 27, -61, 64, 11, 40, 43, 57, 36, -24, -27, 47, -41, 38, 10, -54, 55, 24, 15, 41, -44, 53, -25, -6, 34, -2, 25, -72, 1, -55, 20, 37, 44, -59, 32, 51, -38, 29, -36, -9, 28, 40, 45, -10, 33, 21, 20, -4, -61, 49, -20, -32, 1, -51, 48, -44, -32, -3, -1, -30, 8, 14, 26, -53, -28, 52, 42, -19, 24, -55, -4, -6, -1, 22, 30, 57, -55, 50, 7, 10, -61, -23, 31, -47, -8, 23, 50, 47, 29, -57, 51, -27, 15, 27, 57, -36, 1, -13, -20, 17, 32, 42, -43, 59, 10, -46, 2, 35, -20, 12, -30, 46, 39, 31, -5, 48, -44, -27, -52, 47, 48, -13, -21, 43, 56, -43, 38, -68, -46, 55, 47, 59, -19, 15, 2, -40, -36, 30, 15, -15, -15, 40, -24, -74, 8, 25, -46, 22, 6, 57, -42, -58, -29, -52, 50, 10, -55, 41, 8, -2, -31, -43, -6, -34, 38, 43, 10, -6, -34, 29, -60, 27, -29, 37, -17, -15, 40, 35, -44, 46, 45, 29, 0, 48, 42, 17, -1, -19, -15, 24, 45, 18, -54, 30, 50, 30, -45, -62, -4, 46, -65, -24, -46, 21, -25, 36, -20, -33, 57, 14, 61, -11, -17, 35, 35, 51, -61, -6, 40, 42, 10, 16, -61, 9, 57, 37, 14, 33, -63, -5, 19, 44, -13, 38, 8, 25, -3, 31, 38, -60, -2, 8, -15, 31, 29, 16, 62, 5, -48, 14, 19, -9, 55, 24, -50, -61, 5, -5, -26, 32, 6, -39, 43, -11, 51, 38, 8, 25, -44, 31, 28, 53, -39, 55, 21, -47, 3, -14, 51, -11, -5, -28, -4, -46, -59, 31, 44, -6, 32, 29, 56, 24, 54, -55, 49, -53, 6, 7, -36, 43, 16, 6, 29, -20, 30, 42, -38, -23, -33, 58, 20, -50, -58, -23, 27, 32, 61, 49, -38, -57, 23, 51, -44, -25, -15, -43, -54, -33, 14, -43, 45, 47, 44, 10, 53, 61, 53, -36, 21, 43, 46, 40, -44, 25, -62, -56, 9, -49, 38, -57, -3, 0, 1, 20, 60, -48, -36, -28, -37, -30, 12, -7, -30, -1, 21, 19, -24, -53, 16, -12, 9, -59, -24, -49, -51, 12, -1, 2, -17, -41, -3, 31, 45, -8, -64, -35, 20, -9, 38, 8, -11, -6, 66, -26, 57, 51, 38, 22, 50, 48, -4, 54, 54, 56, -1, -59, 17, 6, -56, 53, 61, -32, 59, 17, 28, 58, 5, 35, 49, -52, -11, 21, -39, -26, -25, 1, -61, 51, 7, 20, 33, -52, 31, -55, -5, -40, -3, 42, 7, -31, 26, 46, 11, -40, -63, -52, 33, -12, 51, -40, 16, -18, 24, 54, -20, -41, 43, 58, 62, -37, 56, 25, 38, -17, 45, 57, -47, 38, -53, -13, 39, 31, 21, 50, -16, -21, -44, 58, -15, 52, 68, -25, -37, 6, -16, 17, -24, -50, -36, 49, -47, 33, -6, 6, 38, 45, 55, 29, 50, 41, -4, 35, 38, 23, 3, 34, -31, 74, -14, 19, 33, -17, -31, -29, -1, -39, -52, -34, -35, -39, 18, 82, 27, 10, 4, 20, 26, 37, -21, 56, -22, 52, 25, 55, 15, 25, -30, -51, 36, -32, -43, -24, 40, -9, -2, 0, 10, -30, -10, 45, -8, 6, 0, -11, 24, -24, -34, -52, 30, -7, -81, 38, -6, -22, -1, -56, -20, 55, 56, -29, -28, -16, -58, -43, -32, -4, 42, 65, 36, 22, -58, 0, 25, -8, 34, -26, 37, 30, 4, 9, 1, -7, 18, -10, 59, -37, -19, 13, -34, 71, 81, -11, -26, -8, -12, 14, -57, -53, -39, 17, -26, 2, 59, -38, 16, 30, -57, -45, -40, 39, 13, 16, -11, -21, 7, -2, 14, 38, -32, -15, 31, -25, -11, 56, 33, -49, -48, -33, -61, -14, -9, 41, -14, 36, 38, -4, 54, -25, 1, 52, -43, -15, -24, 2, -30, 52, -30, -30, 35, -39, 22, -45, -36, 17, -39, 15, 32, 3, 24, -24, 52, 13, -30, -37, -70, 41, 12, -16, 46, 10, -45, 5, -85, 20, 64, 29, 26, 37, -9, 53, 1, -1, -49, -52, 38, 28, 58, 30, -18, -28, -40, 50, 45, 8, -26, -58, -53, 27, 53, 33, 26, -32, -66, 23, 37, 18, 11, -55, 64, -1, -47, 22, -52, -52, 51, 26, 50, -10, 49, 36, 5, -2, -48, 37, 61, -60, 18, -38, -38, 55, 16, 47, 49, 42, -42, -4, 13, 73, -44, 28, 36, 49, 1, -45, -27, -48, 4, 47, 25, -10, -28, -47, -50, -52, -3, 52, -49, 7, -22, 13, 6, 38, 0, -37, 30, -49, 14, -20, 8, -38, -19, 46, 1, -5, -27, -2, 34, 28, -10, 29, -31, 20, -1, 30, -4, 17, 33, 39, 70, -22, 30, 1, 63, -19, 29, 28, -7, 53, -9, -67, -47, -71, 40, -29, -56, 47, -24, -34, 0, -17, -60, 7, -24, -41, -29, 36, -47, -18, -59, 27, -53, -45, -51, -67, 76, -17, -76, 18, 16, -75, -36, 59, 7, 66, 57, -5, -37, 21, -26, 41, 47, 28, 20, -41, 50, 58, -29, 17, -41, 10, 60, -12, 45, 21, 34, 65, 29, 42, 26, -68, -12, -2, -54, 56, 31, -45, 18, 2, -54, 28, -2, 35, -18, 15, -55, 33, -24, -15, -23, -49, -9, 18, 38, -32, -49, -55, -18, -17, 16, -53, 33, 17, -40, -66, 41, -41, 24, -69, -33, 65, -33, 62, 51, 35, 35, -38, 48, -29, -13, -12, 48, 18, 26, -37, 53, -33, 32, 2, -4, -43, 0, -7, 7, 18, 35, -2, -44, 48, -34, -42, -61, 37, -54, 15, 53, 45, 44, 56, 28, 28, 7, 37, -28, -50, -5, -32, -55, -46, 40, -35, 0, 48, -55, 40, -38, 7, -20, 34, -75, 21, 21, 11, 84, -72, -29, 27, 7, 20, -38, -2, 35, 37, 50, -51, -27, 40, -37, 35, -28, 55, -19, -53, 44, 22, -46, -15, 31, -7, 27, 11, -28, -15, 39, -7, -31, -37, -3, -24, 56, -11, 51, 45, 8, -24, -31, -34, -65, -24, -24, -33, -17, 56, 35, 18, 18, -25, -46, -13, -1, 37, 0, -12, 9, -59, -46, -20, 41, -50, -21, -23, -18, 62, -8, -26, 15, -15, 1, 28, -32, -31, 47, -40, 3, 49, -16, 44, 16, -17, 22, 28, 18, 6, 9, 4, -25, -32, 20, 21, -9, -30, 23, 21, -26, -34, -41, 22, 25, 42, -31, 39, -58, -46, 15, 43, 57, 11, -28, -66, 42, -14, 58, -12, 37, 45, -35, -60, 45, 48, 2, 3, 46, -56, 26, 30, 32, 23, -28, 55, -18, 2, -20, -10, -32, 17, 25, -2, -34, -26, 45, -38, 13, 20, 57, -19, -36, 16, 5, -51, -23, -24, 7, -38, -68, 46, 71, 38, -5, 48, 48, -14, -8, 29, -58, -36, 16, 43, 48, -4, 23, -32, -9, -17, -57, -17, -40, -38, -19, 36, -65, -6, 62, -10, 66, 47, -48, 12, 51, 15, 54, 17, -8, 40, -15, -22, 8, -56, 5, 27, -13, 32, 22, -44, 22, -9, -25, 3, 56, -35, 85, -11, 29, -30, -45, 20, -55, -50, -35, 15, -9, -33, 33, 32, 48, -55, -42, 5, -47, 45, -50, -34, -5, 52, -3, 34, -59, -47, -40, 17, -1, -34, 19, 33, 50, 40, -52, 51, 0, -5, -41, 12, -40, 44, 56, 56, 52, 11, -4, -1, 26, 52, -54, 44, -41, 37, -15, 57, 9, -9, -34, 6, -29, 47, 7, 58, -51, -24, 64, -33, 46, 60, -27, -40, 28, -47, 0, 52, -31, -50, 47, 40, 41, -30, -45, 18, -28, 9, -2, 3, -33, -64, 9, 26, 54, 49, 86, 73, -9, 17, 59, 25, 23, 29, -43, 26, -23, 52, 0, 25, -31, 21, -2, 45, 37, -41, 26, -6, 13, 37, 44, -46, -50, -2, 40, -30, 11, 39, -12, -17, -48, 25, 12, -16, 29, 42, -23, -52, -49, 52, 64, -27, -54, 10, -4, -9, 39, -49, 51, 51, 55, 32, -60, 37, -14, 48, -19, -19, -3, -9, -52, 2, -31, -62, -5, 39, -52, -29, -38, 33, 15, 38, 49, 26, -27, -12, -3, 27, -47, -11, -5, -8, -79, 8, 23, 39, -23, -44, -35, -47, -21, -34, -6, 18, 59, 50, 54, 21, 25, 3, -13, -33, -41, -34, 17, -36, 53, 43, 12, 39, 32, -39, 43, 1, -51, 56, -65, 34, -7, -10, -33, 24, 60, 49, 22, -61, -34, -49, 17, 60, 19, -43, -42, -10, 61, -40, -9, 37, 31, 11, -17, 30, 7, 70, 27, 47, 29, -42, -55, -54, 52, 2, 27, -36, 39, -14, 3, -9, 14, -33, 54, -36, 4, -35, 28, -6, -72, -26, -5, -4, 19, 6, -17, 38, -35, -36, 11, -20, -10, 45, -52, -24, -54, 55, -34, 40, 22, 26, 76, 9, -53, -4, -24, 52, 42, 55, -55, -30, -15, -9, -40, -14, -54, -8, 18, -31, -38, -34, -47, -47, 2, -25, 15, -2, 27, -41, 14, 10, -55, 38, 10, -40, -14, 30, 29, 8, 15, -19, -3, 60, -11, -50, -51, 0, -7, 29, 38, -13, -14, -38, 37, -15, -12, -17, -34, -23, -52, 46, 14, -32, -6, 16, -32, -66, 9, -32, 4, 42, -4, -6, 24, 28, -8, 18, -60, -20, -43, -19, 1, 62, 50, 57, -59, -55, 17, 9, -10, -23, 49, -29, 42, 5, 61, 75, 25, 13, 68, -34, -2, 7, 56, -62, -11, 0, -54, -38, -16, 17, -56, -25, 46, -4, 57, 2, -41, 21, -3, 43, -29, 25, 49, 19, 11, -35, -41, -8, 16, -38, -49, 21, -48, 3, -33, 5, -46, -54, 24, 28, 1, 31, 55, -58, -46, -13, -15, 28, -57, 33, 29, -50, 36, 45, -28, 29, 54, 17, -49, -56, -15, -5, -41, 0, 33, -3, 18, -13, -11, 43, 44, -46, 41, -14, -13, 4, -50, 3, 47, 8, -15, -12, 54, 67, 63, 18, -15, -35, -48, -55, 54, -53, -47, -16, -14, -3, -43, 22, 7, -37, -8, 26, 39, -13, 52, -41, -36, 58, -42, -36, -59, -51, 28, -56, 17, -17, 59, -10, 63, 46, 25, -22, -29, -20, 16, 29, 27, 5, 7, -44, -51, -22, -40, -57, 56, -17, 35, 22, 3, 20, -27, -54, -4, -25, 38, -1, 35, 23, 32, -19, 66, 22, 72, 39, -34, 7, -52, 40, 50, 1, 43, 28, 38, 39, 62, -35, -28, -48, -12, 24, -48, 59, 35, 47, 30, 62, 26, 60, 38, -10, 11, -4, -24, -16, 1, -48, -8, 43, 45, -44, 11, 15, 48, -48, -47, 63, 11, 33, 34, 47, -23, 30, -34, 3, -11, 47, -18, 45, 15, -44, 34, -51, 23, 7, -17, 19, -51, 24, -10, 38, -1, -53, 60, 0, 47, 40, 16, -65, 58, 55, -49, 21, 40, 46, 36, -36, 44, 43, -53, 48, 27, -40, 16, 41, -37, 21, 11, -47, 75, -30, -52, 58, -14, -29, 26, -37, 57, -28, 43, -38, -15, 24, 28, -74, 1, -59, -58, -73, -41, -37, 43, 5, 59, 8, -46, 36, 17, -65, 21, -53, 62, -36, -23, -19, 35, 20, 25, -81, -42, 7, 35, 15, 35, -35, 44, 5, 20, 38, -38, 36, -2, -24, 54, -40, 31, -21, 54, -42, -34, 26, -36, 29, 43, 56, -11, -17, -43, -39, 11, 20, 39, 0, 35, 37, -13, -5, -10, -22, -17, 39, -53, -41, 9, -16, -27, -15, 53, 55, 30, -14, -3, 6, 4, 3, 20, -19, 35, -57, 19, 13, 31, 52, 39, -26, 32, -16, 0, -60, 0, -68, 11, -2, -12, -54, 0, -8, 56, -31, 31, 6, -9, 0, -23, 2, 78, 12, -8, -10, 33, -3, -27, 39, 4, 49, 17, -39, 12, 22, -44, -64, 1, 51, -45, 32, 58, -36, 43, 62, 32, -58, -51, -1, 27, -43, -15, -36, 32, -31, -40, -1, -30, -25, -7, -38, 23, -24, 63, 10, 15, -39, -42, -15, -50, -20, -31, -1, -3, -80, -62, 45, 55, 18, -7, 21, -63, 2, 12, 42, -49, 6, 21, 49, 31, 28, 56, -32, -8, 42, -52, -38, 72, 44, -51, 24, -45, -51, -28, -7, 8, -22, -7, 32, -29, 12, 30, -4, -68, -5, 28, 33, 25, -20, -32, 78, 39, -6, -9, 6, 48, -81, 36, 8, 26, 45, -7, -3, -24, 27, 53, -36, 54, -7, 33, 9, 52, -3, 42, 8, 36, 28, 48, 12, 2, -6, 21, 5, -11, -34, -55, 51, -20, -28, -43, -24, 24, -58, -8, -31, -7, 27, 13, -37, -44, -38, -30, 65, -77, -43, -49, -39, 18, 50, -42, 47, -19, 31, -55, 30, -31, -44, 46, 50, -38, 67, -1, 45, -34, -2, 6, 35, 25, 5, -20, -4, 11, 39, 16, -74, -48, -9, 23, -47, -54, 57, 34, 22, 55, 57, 46, 42, -49, 58, 10, 5, 18, 45, 1, 11, 32, 10, 17, 50, 57, 10, 9, 50, 31, -20, -14, 5, 43, -35, -53, 32, -23, 34, -24, -18, -1, -71, 10, -53, 26, -16, -59, 27, -19, -49, 33, -38, -52, 20, -16, -34, 19, -26, 58, 101, 58, 11, -6, 16, -16, -50, -47, 25, 42, 29, 10, -45, -26, -11, 56, -62, 8, 12, -11, -27, -49, -16, 70, -32, 14, -5, 60, 67, -63, -18, -22, -33, 11, -42, -1, 26, 37, -44, -38, -27, 19, -29, 43, -63, 6, 44, -8, 49, -16, -61, 16, 25, 60, -3, 64, -53, 67, -7, -17, 57, 6, -29, 28, -30, 11, -20, 4, 6, -61, -23, -40, 43, 22, 10, -30, -46, 71, 26, 48, -45, 6, -36, -34, 50, 60, 35, 3, 0, -1, -46, 31, 14, 6, 38, 33, -25, -16, -64, 40, 41, -16, 45, -32, 36, 32, 39, 3, 55, 47, 48, 29, -40, 40, 33, 40, 4, 14, -61, -14, 44, -51, -53, -7, -12, 55, -3, -41, -9, -13, 56, -3, -37, -41, 74, 7, -36, -22, -79, 31, -44, 58, 14, 10, 46, 22, -26, -2, -26, 18, 10, -2, 42, 77, 45, -13, 69, 37, 29, 40, -11, -5, 5, -9, 58, 57, -32, -53, 23, 13, -23, 19, -19, -3, -2, 54, -60, -38, -28, -5, -47, 3, 18, -29, 42, -29, 43, -11, -10, -20, 6, -11, 7, 50, 62, -33, -4, 3, -65, 43, -10, -19, -62, -46, -24, 38, -38, -1, 59, 21, -14, 34, 34, 61, -31, 67, -14, -25, -3, -28, 48, 21, -41, -8, 46, 53, 23, 5, 40, -38, 11, -14, -54, -42, 65, 37, 7, 12, 26, 12, 21, 59, 20, 37, 26, 16, 44, -5, 44, -57, -49, 13, 40, -19, -52, -55, -19, 31, -28, 15, 9, 59, 12, -32, -45, 42, 56, -8, 23, -14, -17, -22, -12, -54, 5, 19, 44, 8, 57, -13, 31, -29, 20, 42, -40, 14, 21, -48, -21, 10, 16, -45, 42, -35, -9, -34, -7, 50, 16, 26, 40, 22, 33, 26, 50, 10, -49, -73, 50, -36, 56, 32, -8, 0, 34, -44, 33, 62, 53, 14, 6, 31, -1, 15, 12, 50, -8, -7, 30, -14, -70, 27, -9, 11, -69, 5, 24, -18, -6, -31, -15, 48, -42, -18, -60, 44, -6, 53, 40, -27, -7, -31, 23, -31, -25, -63, 37, 21, 57, 34, -43, -53, 39, -67, 22, 7, -5, 41, -10, -34, -20, -10, 47, -2, 1, -25, 26, 43, 11, 29, -24, 52, 10, -10, -25, 56, 21, 24, -8, 29, -30, 12, -45, 28, -25, 2, 32, -54, -27, -36, -39, 52, -27, -62, -2, -56, -27, -68, 46, -69, 3, 39, -21, -39, 8, -48, -60, 37, -43, -38, -58, -5, 59, -22, 32, -17, 14, 22, 44, 29, -33, 26, 43, 7, -60, -14, 10, 24, -17, -46, -44, -5, 3, -45, 55, 29, 0, 55, -44, -19, 24, 69, -56, 5, 10, 32, -46, -25, 33, -15, 82, 31, 23, 62, -31, 33, 4, 50, -14, 49, -35, -32, 39, 24, -53, -29, -35, -57, -24, -65, 45, -58, 43, -46, -44, 4, -56, -12, -1, -17, -47, 23, 51, -25, 10, 40, -20, 24, -27, 63, -30, -37, -5, 49, 4, -18, 37, -23, -52, 26, -42, -62, -56, 52, 20, 47, -44, -34, -7, -58, 18, 22, -2, 13, 46, -3, 19, 7, 26, 12, -2, -18, -23, 71, 67, 39, 2, -11, 28, 28, 16, -45, -60, 12, -3, 3, 6, -18, 26, -21, -45, 4, -44, -29, 22, -20, 17, -12, 2, -37, 53, 14, -13, 19, 6, 5, 3, -49, -7, 13, 6, 35, -34, -53, 23, -9, -12, 50, -58, -48, -11, 27, 41, 35, -9, 17, 64, 8, -46, 29, -40, -26, 3, 43, -23, 39, -2, 40, -23, 57, -17, -20, 53, 38, 43, 43, 18, 14, -19, -43, 30, 49, 42, 30, 24, -20, 34, -29, -9, -64, 41, -55, -43, -44, 55, -40, -25, 28, -35, 33, -41, 30, -27, -36, -9, -44, -7, -40, 31, 22, 34, 51, -3, 45, -27, -45, 32, -16, -54, 7, 46, 2, -10, -45, 15, -24, 15, -11, -19, -18, -22, -55, -21, 37, -22, 45, -41, -18, -4, 45, 31, -14, -8, -20, 51, 37, -19, -32, 30, 57, 25, 3, 43, -5, -56, -37, -41, 54, 6, 23, 3, 46, -23, 60, 18, -18, -63, 5, -33, 11, -57, -37, -4, -30, -1, -11, 3, 41, -7, 41, 40, -42, 2, -23, 8, -62, -34, -59, 29, -39, -58, -56, -33, -3, -21, -6, 49, -46, 22, 28, 51, 26, -65, 13, 14, -56, -10, 24, 4, 30, 14, 43, -53, -7, 51, -59, -56, -40, 26, 3, -13, 50, -52, -8, 27, 38, 51, -9, -14, 63, -7, 54, 19, -31, 37, 5, 15, 17, -2, 39, -6, -21, 61, -33, 15, -13, -18, 23, -38, 46, 53, 50, -32, 59, -35, -39, -12, 40, 48, 48, -48, 21, -50, 55, 57, -37, 54, -55, -15, 51, -16, -35, 25, -41, -54, 43, -54, -43, -35, 5, 41, -53, -31, 17, 34, -2, -8, -14, 13, -56, 30, -17, 48, -40, -49, 23, 1, -60, 0, -59, 22, -26, 26, -57, -31, 26, -15, -49, 49, -3, -46, -54, -33, 59, -44, 30, -40, 9, 0, -18, -1, -19, 52, -45, -41, 30, 48, 34, 28, 10, 13, 10, -68, -2, 32, 45, -30, 29, 27, 19, -33, 37, -40, 48, 36, 8, 1, 16, 31, 18, -13, -38, 35, 25, 41, 43, -14, -13, -29, 54, -53, 53, 36, 41, -33, -49, 25, 35, 23, -48, -3, -13, -5, 34, 15, 39, 7, -35, 24, 47, -6, 27, -45, -47, 16, -11, -64, 32, -49, -62, 31, 1, 35, -39, -22, -35, 20, -43, 27, 48, 37, -20, -22, 32, -19, -58, 10, -16, -48, 55, -36, 6, 50, 58, 20, 46, 22, 57, -11, -50, 10, -59, 7, -12, 52, 37, 54, 0, -13, 5, -58, 0, -56, -8, -3, -40, -29, -27, -40, -13, -26, 33, 16, 1, -37, -58, 29, -15, 0, 21, -65, 10, -55, -3, 17, 3, -45, 40, -45, -7, -50, 16, 42, 47, -38, 52, -58, 35, 57, -11, 30, -57, -32, 31, -10, -49, -51, -47, 12, -2, 22, -17, 25, -42, -10, -17, -39, 25, 52, 53, 19, 27, -18, 40, -31, -42, 45, 22, -53, -31, 37, 13, 30, 41, 29, -60, -9, -54, 20, -27, -43, 24, 29, -1, 34, -49, 23, -59, 15, 32, 23, 53, 70, 15, -8, 48, 59, -31, -38, -26, -47, 0, 33, 18, 11, 54, 52, 31, 12, 8, -43, -52, 12, -32, 4, -70, 26, -49, -33, -23, 20, 51, -50, -39, 11, -25, 3, -24, 55, 3, 15, -40, -39, 52, 3, -35, -47, -6, -29, -48, -21, 30, -37, 52, -12, 10, -41, 29, 10, -26, -27, -60, -23, -23, -61, 60, 36, -41, -19, 17, 60, 10, -12, 50, -6, 21, -9, 4, 41, 51, -18, 31, 32, 0, 26, -42, -50, 48, 65, -30, 43, 7, 10, 3, 3, -42, 43, 15, -33, 28, 63, -45, 22, -5, 28, -38, 5, 1, -49, 45, -55, -5, -15, 55, -34, -16, -19, 8, -15, -55, 5, -35, 44, -39, -33, 27, -1, 46, 20, -42, 36, 23, -3, -20, 10, 32, -21, -10, -46, 8, -57, -19, -51, -10, -13, -39, -15, 39, 48, 14, 22, 9, 27, -45, -13, -33, 5, -16, -25, -36, 3, 52, 49, 35, 64, 19, -30, -25, 50, 14, -58, 19, 43, 8, -26, -30, 15, 62, -20, -3, 1, 51, 46, -37, -52, -55, -56, -45, -15, -59, -17, 16, -30, -40, -35, 34, 10, -23, 8, 36, -38, 7, -23, 41, 19, 8, -41, 30, 18, 61, 20, -63, -17, 59, 10, -34, -33, 3, -47, 3, -19, 11, -5, 58, -36, 35, -42, -36, -53, 50, 1, -19, -14, -14, -29, -56, -27, -23, 45, 50, -44, 34, -28, 13, 28, 36, -21, -49, -49, 31, 21, -30, -17, -43, -3, 13, -48, -13, 32, 43, -44, 18, -68, -18, 44, -10, -43, 3, 60, -8, -45, -4, 36, -37, 52, -44, -55, -17, 55, -56, -43, -50, -46, -57, -15, 4, 2, 50, -27, -14, -29, -36, -31, 43, 63, 8, 4, 61, 39, 28, 23, -1, 47, 7, -4, -5, -24, -3, 36, -16, 32, -54, 21, -4, -51, 2, -58, 23, 59, 22, 19, -59, -29, -39, 33, -33, -53, 2, 37, 58, -20, -3, -56, 40, 33, -26, 43, -57, 6, -51, -33, -34, -53, -43, 41, 14, 54, -21, -51, 21, 37, -24, -18, -27, 50, -49, 8, 8, -39, -48, -39, -45, -7, 45, -51, -60, 56, 30, -6, -32, -6, -30, 3, 27, 25, 48, 40, -50, 55, 36, 53, 16, -20, 27, -32, 20, -7, -49, 12, -38, 36, -21, 49, -1, 48, -47, 22, 40, 25, 22, -57, -12, -11, 9, 56, -7, 62, -23, 56, 59, 12, 3, 34, -4, 16, -27, 59, -48, 15, -10, -15, 29, -11, 19, 22, 5, 0, 3, 58, 43, -15, -8, 56, -9, 26, -47, -57, 45, -30, -19, 10, -62, -25, -51, -57, 24, -39, 20, 54, -52, -47, -60, 4, -63, -1, -61, -21, 22, 28, 43, -36, 23, 15, -14, 49, -32, -11, -14, -39, -57, 17, -54, -61, 7, 47, 29, -28, -43, 27, 35, -33, 44, -55, 28, -15, -22, -59, -14, -29, -37, 57, 12, -60, 41, 33, -10, 36, 35, -60, -8, -38, -12, 37, -16, 55, -19, 19, -17, -45, -43, -4, 0, 24, 11, -59, 23, 39, -9, -41, -38, -31, 59, 49, 57, -16, 37, 23, -2, -22, 61, 12, -27, -42, -15, -43, 6, 15, -1, 21, 43, 46, -30, -27, -13, -7, 1, -7, 55, 57, -55, -51, -44, 17, -18, -28, -8, -37, -9, 53, 9, 73, 35, -52, 6, -27, 42, 4, -58, -15, 33, -12, 33, 15, -20, 40, -7, -38, 4, -60, 25, 28, 29, 48, -34, -45, -61, 46, -46, 26, -37, -7, -9, -58, 33, 55, 10, -29, -43, -30, 21, -30, -6, 51, 38, -40, -20, -32, -38, 6, -3, 39, 34, 50, 53, 24, 12, 29, -33, -54, -3, 60, -5, -47, 49, -51, -25, 5, 7, -44, 40, -48, 48, 62, -27, -49, 23, -1, 64, -39, 5, 2, 23, 56, 8, -42, -19, 50, 0, 46, -19, -3, -56, -23, 41, 2, -14, -6, -10, 57, 10, 27, -15, -19, -47, -47, -18, -62, -44, -60, -18, 43, 46, -49, 27, 34, -11, -54, 59, 0, 9, -39, -24, -16, -37, -6, 36, 9, 16, -12, -79, -54, 9, -7, -42, -38, 50, -34, -57, 61, -39, 3, -56, 40, -42, -12, -49, -4, -21, 57, 51, -21, -29, -28, 12, 6, 46, -25, -59, -32, 42, 2, 36, -2, -18, -17, -23, -27, 32, 23, -19, -45, 40, -4, 65, -28, -13, -7, 42, -13, -22, 32, -33, 11, -18, 31, 48, 46, -19, -19, 48, 28, -49, 44, -40, -36, 41, -36, -17, 49, 12, 6, -3, 1, -24, -4, -46, 11, -5, 19, -24, -19, 7, -22, -7, 69, 28, -60, -37, 34, 3, -34, 40, 7, 29, 24, 24, -40, -41, -32, 39, 40, -4, 6, -24, 31, 47, 20, 23, 20, -35, 8, -8, 40, 45, 61, 58, 26, 35, 17, 44, -19, -2, -63, -32, 33, -2, -36, 29, 7, 55, 70, 54, -13, 11, 48, 48, -35, 50, 14, -49, 25, 43, -28, 30, -32, 49, 26, -25, -36, -2, -9, -47, -42, -9, -11, 34, 5, 55, 50, -19, -42, 56, 21, 2, 43, 47, 22, 24, 13, 56, -34, -47, -15, -28, 43, -38, 44, -25, 21, -61, 61, -54, -53, 30, 43, -34, 51, 57, 39, 42, -19, 37, 22, 0, -7, -22, -26, 22, -8, -18, -25, 10, 43, 10, 30, 48, -47, -52, -37, 55, -53, 2, -46, 69, 27, -29, -42, -41, -38, -27, -21, 15, 54, -18, 19, 57, -7, 36, -57, 48, 61, 10, 14, 20, -3, 60, -52, -5, 38, 40, 47, -12, 1, -23, -12, -57, -64, 7, -20, -12, -19, 43, -13, -39, -4, -47, 3, -14, -24, 45, 25, -45, 15, 17, -9, -46, 12, -48, 4, 7, 4, 6, 56, -5, -29, -50, -27, 5, -70, -16, 50, -40, 48, 37, 64, 63, 25, 18, 21, -39, -53, -20, 19, 50, -54, -54, 57, 12, -42, -39, 51, 40, 17, 2, -14, 46, -3, 32, 1, 43, -28, 31, 34, 17, 41, 6, 4, -30, -42, 61, -8, -15, 7, -18, 2, 27, -31, 34, 36, 75, -35, -15, 54, -37, 15, 0, -1, 6, -23, 40, -5, 4, -24, 31, -42, -10, 2, -41, -55, 9, -8, -23, -24, 0, -22, -24, 11, 23, 2, -36, 77, 80, 17, 60, 67, -49, 41, -39, -35, -48, -49, 29, -44, 23, -30, -36, 15, -8, -17, 49, 27, -36, -17, -41, 26, -32, -38, -29, 10, 1, -47, -5, -41, 65, 53, -32, -10, 24, -11, -9, 70, 61, 57, 23, 36, -27, -52, -47, -43, -36, -22, -30, -55, 4, 48, 45, -31, 0, -52, 10, -14, 36, -49, 46, 12, -45, 11, 25, 22, -7, -71, -26, 33, -39, -45, 0, -58, 42, -57, -9, 11, -10, -27, -21, -5, 38, -22, 41, -54, 44, 16, 34, 40, -44, 8, -11, 54, 27, -36, -50, -20, 60, -15, 12, -56, -40, -30, 11, 8, 15, 35, -22, 44, 21, -29, -14, -33, -16, 24, 52, 13, -34, -18, 26, -52, -31, -36, -30, -10, -56, -16, 24, 14, 46, -30, -4, -27, 68, 17, 48, 8, -15, -11, -30, -39, -12, -13, -55, -49, -5, 13, 39, 38, -69, -17, -33, -11, 46, -43, -13, 5, 11, -24, 74, 50, -9, 37, -43, -26, 56, -48, -52, -59, 58, -1, 60, -11, 25, -15, -35, -44, 57, -1, -53, 55, -47, 6, -2, -36, -42, 59, -57, 38, 44, -47, -20, 20, -47, -6, -42, -13, 45, 28, -27, 25, -52, 49, 10, -4, 7, -15, 44, -8, 59, -52, -28, -12, -29, -38, 48, -71, 57, 67, 19, 62, -7, 26, 59, 38, -44, 35, -10, -44, -58, -44, 52, 45, 34, -1, 26, -45, -4, -1, 4, 50, 25, -8, 19, 22, 8, 0, -11, -25, -16, -26, -42, 9, -36, 29, 26, -37, -52, -31, 34, 29, 2, -6, 13, -55, -4, 55, 41, 36, 2, -1, 20, 13, -59, 7, 58, 28, 34, 57, 2, 61, -29, 4, -46, 5, -57, -17, -44, 19, -48, 69, -7, -13, 30, -48, 12, 7, 5, -60, 14, -60, -14, 29, 57, 5, 9, 35, -49, -7, -44, -25, 4, 35, 39, 48, -6, 2, 52, 28, -4, -34, 24, 5, 21, 31, -31, 59, -34, -17, -22, -19, 21, 4, 48, -58, -44, 31, -21, 45, 49, -46, 31, -11, 45, 41, 21, -10, -77, 52, -8, 38, -60, -12, -9, 20, 25, 4, -35, 30, -15, 52, 9, 24, 16, 23, -29, 25, -48, -71, -46, -32, 45, -12, -61, 23, -39, 17, 45, -45, -3, -34, -26, -25, 55, 47, -7, 42, -32, 49, -23, 25, -34, 59, 37, -53, 58, 36, -8, -32, 23, 33, 60, 38, -20, 29, -33, 26, -34, 2, -5, -16, -31, 12, -20, 4, -33, -67, 37, -41, 40, 24, 50, -19, 21, -41, 15, -35, 29, 49, -1, 1, 53, 5, -59, 30, 6, -47, 2, 11, 64, 22, 17, -5, -39, -40, 44, 50, 77, 30, -25, -14, 28, -24, 38, -10, -13, 21, 29, 1, 46, -2, -63, 55, -36, -39, -12, -58, -53, 0, -8, 51, 41, 12, 54, -15, 37, -26, -34, -13, -21, 61, -46, 50, 30, 0, -49, -4, 58, -43, 42, 40, 19, 43, -24, -40, 21, -7, 43, -44, 21, 63, 29, -38, -42, 43, 17, 17, 21, -8, 72, -15, -19, 49, 18, -5, 33, -9, -3, -29, 9, 4, 34, 34, -43, 35, 48, 4, -14, -38, 33, -24, 39, -36, -42, -30, -52, -20, 37, -16, 48, -30, -15, 27, 47, -53, 32, -62, 31, -55, 5, 17, 49, -5, 7, 18, 3, 55, -55, -67, -12, 38, -3, -25, -48, -34, 39, -21, 25, 39, -49, -44, 8, -14, -45, -41, 37, -40, -42, 42, 13, -42, 4, -46, -11, 24, 55, 1, -21, 28, -24, -21, -12, 38, -40, 53, -50, 44, 50, -4, 52, 24, -60, 58, -44, 31, 65, 38, 19, -38, -43, -36, -48, 0, -2, 42, -8, -11, -17, -57, 39, -4, 7, 51, 62, 11, 36, 55, -40, -20, 36, -36, -19, -22, 70, 53, 51, -46, -49, -19, -14, -51, -39, -32, 55, -54, 25, 42, -15, -38, -36, 10, -60, -4, -59, 39, -25, 27, 29, 60, 53, -55, -23, -29, 35, -24, -41, -27, 61, 43, 37, -20, 2, -43, -4, 40, 13, 46, 15, -32, 4, 19, 16, 57, -21, 8, -53, -28, 67, -52, -61, -3, -7, 49, -52, 23, 20, -44, -1, 37, 1, 31, 63, -50, 65, -33, -12, 51, 52, -23, -50, -59, 47, 18, -47, 6, -47, -32, 14, 29, 45, 2, 6, -2, 28, 29, -8, 31, -46, 56, -30, 27, 47, -5, 44, 18, -37, -17, 16, 56, 62, 10, -19, 22, 28, 10, 0, -28, 58, 58, -10, 34, -38, -16, -12, 28, 48, -15, 46, -35, -4, 10, 13, 16, 61, 42, -34, -9, -37, 23, -30, -28, 52, 16, -27, 11, -52, -24, -1, -42, -10, -27, -56, -17, 53, 54, 30, -30, -38, 0, 19, 14, 56, -29, -4, -35, -36, -18, -7, 52, 39, -49, 24, 45, -33, -11, 65, -25, -73, 40, 45, 58, 60, 5, 28, 17, -27, 34, -28, -29, 56, 24, 7, -31, 57, 4, -21, -14, -38, 46, 35, 35, -46, 47, -1, 29, -8, -26, -24, 12, 39, 2, 34, -38, 7, -51, -57, -13, -34, 63, 63, -24, 49, -53, -37, 45, 42, 39, -62, -37, -23, -21, -18, 23, 35, -45, -24, -19, 6, 9, 59, -62, -30, -35, -30, 2, -17, 6, 46, -32, -5, 6, -57, 19, -52, -42, 49, -12, -39, -24, 40, -3, 13, -37, 4, -47, -32, 37, -4, -22, 26, -53, 9, 31, 60, -24, 55, -47, -48, 22, -30, 47, 57, 41, 20, -33, -28, 18, 30, 21, -41, -10, 22, -41, 2, 50, 55, 38, -18, 32, 21, 50, 65, -7, 36, 15, -48, -41, -46, -34, 53, -25, -30, -59, 14, -46, 12, 44, 17, 42, -22, 59, -51, -44, -18, -46, -61, -55, 24, 32, -42, -36, 3, -5, -45, -18, -47, -17, -10, -40, -5, -1, -28, -38, 59, -7, -7, -10, 4, -1, 14, 45, -63, -16, -16, 65, -23, 51, -23, -10, -42, 44, 1, -9, -52, -37, -48, 8, 27, -49, 39, -59, -15, 66, 56, 9, -6, -54, -35, -51, -38, 58, 33, 30, 54, 41, 41, -54, 42, 1, -25, -49, -29, 22, -18, 41, -38, 57, 25, -20, -3, 42, 60, -3, -45, -48, -42, -49, 56, -26, 44, -24, 31, 55, -8, 17, -30, 45, 12, -39, 15, -39, -7, -51, 12, -61, 16, -41, 48, -50, -21, 7, -56, 42, 55, -37, -24, -30, -20, 0, 11, 11, -33, -9, -25, -24, -30, 63, 66, -58, 38, 31, 35, 2, -52, 52, 29, -16, -8, 35, 5, -14, 66, 31, 64, -43, 7, 36, 46, 68, 52, -10, -22, -68, -23, -39, -45, -54, -41, -38, 4, -6, -1, -17, -70, -2, 16, -36, 49, -6, 29, 42, -50, 26, 35, -22, -53, -29, 11, -32, -15, -55, -22, -56, 4, -54, -17, 24, 32, -20, -55, -21, -22, 58, 12, 45, 51, 10, 10, -45, 54, 5, -6, -42, 16, -38, -54, -23, -35, 5, -15, 50, -57, 42, -25, -23, 39, 43, -27, -20, -44, -25, 28, 21, -13, 39, 51, -23, 55, -3, 40, 24, 37, 26, -44, -22, 7, -3, -46, 26, 41, -26, 11, 26, 26, 15, 53, 29, -23, 5, -14, 20, -61, -11, 18, -55, -8, 46, -39, -15, -44, -9, -51, 39, 45, 24, 46, -46, 61, -19, 50, -16, 10, 19, 59, 17, 1, -14, 49, 44, -48, -48, 56, -34, 10, -37, 7, -52, 20, -16, -3, -52, 12, 15, -33, 71, 47, -18, -29, -54, -56, -29, -27, 14, -5, -9, 14, 25, -19, -57, 49, 17, 32, -55, 50, 3, 46, -48, 20, -39, -39, -34, -61, -41, -51, -3, -45, -41, -31, 29, -36, -11, 52, 42, 17, -23, -20, -63, 30, 32, -61, -45, 42, -48, 12, 9, 18, -43, -13, 37, -54, 15, 9, 58, -55, -16, 62, 24, -39, 36, -30, 41, 37, -30, -48, 11, 44, -34, -27, 3, -39, 53, 52, 18, 18, 55, -45, -68, -21, 74, 2, 57, -45, 28, 40, -11, -8, 6, -46, -9, -1, 13, -25, -46, 1, -21, -48, 36, -12, -11, 15, 53, -54, -42, 34, -2, 30, 52, -57, -28, 70, -46, -45, 28, -13, -15, 47, -31, 3, -7, 28, -21, 34, 39, 17, 45, 12, -1, -18, -10, 49, 33, -23, -20, 32, 22, -57, 55, -7, 63, -38, -47, -27, 38, 7, 39, 33, -23, -19, 8, -56, -20, 34, 35, 50, 55, -40, -34, -7, 34, -39, -12, -15, 59, -24, 26, -17, -46, 45, -47, -22, 64, -47, 29, -47, -3, -13, -56, 25, 42, 47, -57, 8, 11, -12, 63, -33, -6, -31, 31, 30, -16, -16, 46, 90, -7, -36, 74, -24, -62, 25, -3, 40, -43, -37, -2, -29, 47, 34, -48, 9, 6, 1, 19, -51, 5, -23, 34, -41, -19, 14, 5, 28, -60, 3, -31, 14, -43, -31, -52, 29, 17, 21, -36, 2, 5, 0, -58, -12, 3, -69, -51, -9, 20, 4, -25, -25, 46, -45, 23, -9, 59, -21, 6, -7, 2, 29, -25, 39, -4, -31, 5, 55, -41, 8, -65, 18, -17, -28, 60, -31, 66, 3, -57, -5, -51, 48, 61, 36, 15, 34, -8, 16, 12, -50, 49, -34, 19, 46, -25, 40, 23, 14, 36, 2, -1, 12, 30, 1, 23, -60, 58, 2, 7, -6, -37, 16, 8, 50, 62, 62, -21, -33, -14, 31, -8, 13, -40, -49, -61, -11, -62, 1, -46, -12, 11, -35, -37, 14, 63, 24, -57, -45, 17, 38, -18, -26, -32, 17, -55, -38, -38, 4, 14, 38, -19, -21, 15, 24, 53, 65, 53, 14, -46, -52, -25, -58, -22, 41, -3, -27, 44, -46, -2, 58, -33, 10, -17, -19, 13, -63, -11, 14, -7, 20, -13, 31, 7, 48, 57, -33, 56, -46, -75, 3, 38, 32, -44, -6, 48, -37, -43, 28, -1, -55, 53, -45, 36, 27, -26, -42, -30, 53, 10, 10, -34, 61, 11, -15, -13, -30, 43, 34, 10, -55, -13, 8, 17, 16, 58, 6, -60, -39, 12, 62, -39, 1, 1, -63, -34, 43, 50, 36, -26, -53, 6, 5, 49, -61, 8, 58, -45, -10, 16, -1, 35, -17, -40, -25, 49, -38, -38, -16, -10, -51, -6, -20, -4, 45, 30, -51, -63, -19, -23, -6, -45, -47, 44, -23, -7, 10, 16, 67, -40, -27, -38, -54, -30, -14, 40, 24, -18, 53, -67, -62, 47, -39, -11, -8, 23, 30, -8, -6, -56, 4, -19, 30, 35, 53, 23, -14, 49, -36, 37, -38, 41, 11, 25, 55, -8, 42, 46, 14, 44, 10, 37, 35, -9, -25, -36, -30, 48, -1, -47, 54, -35, -14, -48, -53, -51, 45, -54, 17, -45, -34, 32, -49, 43, 31, 5, 2, -36, -43, -9, -27, 2, -27, -16, 23, 3, 47, -54, -11, -21, -54, 58, -28, 38, -7, -33, -55, 69, 44, -1, -28, -37, 12, -31, 21, -11, 9, -56, 38, 11, 46, -30, -3, -63, -50, 42, 1, 62, -5, -32, 28, 8, -38, 12, -3, 40, 26, 55, 29, -48, 16, 40, -53, -38, 13, 30, -45, -8, -48, -14, -5, 20, -32, -61, -36, -63, 28, -42, -9, -18, 27, -18, -11, -14, 58, -23, -43, 43, 14, -42, 39, 0, -32, -49, 28, 62, -27, -40, 8, 39, -46, -18, 24, -3, 7, 37, 33, -42, 41, 45, 9, 20, 57, 16, 49, 21, 28, -25, 42, -34, 19, -6, 2, 41, -3, 40, 70, 22, 47, 53, -13, 31, -42, -19, -16, 7, -41, 3, 17, -14, 56, -26, 4, -55, 37, -8, -57, 34, 3, -50, 41, 27, 4, 1, 18, 48, -28, 51, -19, -2, -5, -35, 39, -32, -52, 49, -51, -13, 9, -18, -28, -15, 2, 14, -65, -11, 19, -20, 50, 13, -39, -27, -45, -52, 13, 2, -9, -28, 20, 41, 47, -33, 26, 58, 21, 21, -7, 49, 24, 14, 9, 25, -24, 34, 51, -13, 34, 44, -11, 39, -4, -40, -43, -29, 43, 1, 34, -59, -57, -70, -4, -12, -44, -53, -35, 37, 25, 15, -68, -33, -37, -57, 34, 34, -23, 14, -14, 43, 16, -43, 40, -55, -32, 59, -33, -62, 38, 51, -24, -30, 66, 39, -33, 12, 54, 20, -13, 11, -35, -49, 47, 31, -1, -31, 10, -13, 6, -49, -41, -12, 14, -55, 37, -24, -61, 14, -58, -37, 24, -7, 22, 54, -20, 7, -17, 47, 27, -2, 55, 45, 0, -55, -23, 10, 12, -61, -52, 49, -36, -66, 22, 53, 11, 23, -43, -10, -52, 26, -70, -34, -54, -23, -4, 37, -57, 19, 42, 1, -10, 49, -35, 23, 1, -6, 2, 27, -9, -62, -42, 58, -41, -15, 52, -55, -27, -39, 36, -20, -25, 39, -15, -48, 38, 31, 32, -39, -38, -21, 47, 64, -54, 13, -28, -12, -53, 41, -40, 57, 16, -9, 13, -43, 4, -40, -6, -58, -27, -14, 32, -51, 6, -44, 9, 21, 9, -16, 57, -52, 47, 16, 17, -19, -17, -61, -59, -55, -47, -24, -44, 30, -50, -54, -61, -4, -24, -31, 41, -42, 62, -5, -31, 16, 64, -50, 17, -3, -2, -13, -50, 51, 41, 55, 16, 35, 56, -44, 5, -33, -45, 28, 6, -49, -29, 4, 31, -37, 40, -33, -59, 58, 1, -19, 38, 28, 25, -42, -55, 54, 27, -20, -64, 16, -64, -47, 14, 54, -32, -64, 28, -46, -24, -3, 24, -38, 43, 31, 62, 2, -21, 47, -50, 21, -22, 59, -46, -42, 18, -63, 22, -71, 25, 27, 36, 46, -13, -52, 17, 40, -30, -13, 16, -29, 4, -46, 53, 23, -1, -23, 21, 34, -50, 11, -21, -48, 25, -3, -43, 49, -56, -19, 21, 42, 12, -29, -37, -26, 9, -14, 9, -13, 44, 61, 56, 35, -7, -12, -53, 10, 19, -54, 16, -1, -60, 55, -1, -44, 63, 36, -23, -55, -30, 52, -53, 31, -60, -24, -47, -17, 23, -29, 44, 0, -41, -51, -24, 40, 48, -6, -37, -2, -52, 22, -44, 22, -3, -58, 4, 56, -34, 39, -30, 1, 53, 17, -9, -56, -21, 25, -56, -24, 43, 16, 27, 21, -15, -24, -21, 14, -18, -35, 18, -15, -29, -65, -52, 10, 20, -46, 55, -14, 19, 58, 32, -17, -48, -61, -26, 2, 60, -6, -23, 52, -29, 27, 30, -62, -59, -11, 53, 37, -6, 18, -8, 47, -45, -28, 9, 40, -31, -56, 32, -68, -13, 38, 29, 12, -47, 21, -36, -63, 40, -34, 0, 46, 17, 47, -1, -48, 47, 28, -39, 26, 23, 30, -56, 25, -30, 48, -49, -45, 11, -63, 26, -51, -58, 21, -30, 51, -54, -12, -56, 50, -19, 19, -24, 42, 3, 6, -9, -10, -38, 4, 4, -21, 35, 40, -17, -25, 6, 11, -25, 29, 16, 48, -58, 4, 54, -5, -43, 36, 1, -45, 41, 56, 0, -47, 38, -25, -17, 51, 46, -28, -30, 8, 57, 57, -34, 7, -32, 47, -31, 57, 11, -28, 55, 11, -7, 12, 26, 51, 12, 57, -6, -29, 11, -18, 42, 53, -30, 26, 60, -56, -18, -6, -16, -16, -16, 12, -26, 24, -14, 2, -38, -11, 17, 4, -1, -55, 36, -46, 23, -1, -8, -32, 18, -35, 32, -48, 22, 57, 40, -29, -41, -44, -15, 15, -26, -18, -42, -1, -12, -5, 58, 23, -20, 8, -54, -5, 8, 58, 3, -14, 29, 34, -21, -43, 33, 53, 29, -23, -60, 27, -17, -29, -16, 44, 50, -14, 0, -4, -12, -36, 37, 42, -6, -57, -65, -57, -21, 14, -16, 26, -67, -32, -54, 7, -20, -42, 53, -31, 14, -16, 7, -34, 61, 41, -59, -44, -21, -44, -11, 28, -42, -44, -24, 8, 52, 26, 14, 52, 19, 30, 59, -42, -6, 11, 44, -20, -55, -32, -19, -12, -59, 28, -39, 55, 53, -71, 14, 20, -71, -34, -2, 11, -37, -42, 32, 5, 5, 21, -43, -38, -12, 15, -17, -50, 62, 40, -28, 4, 1, -28, -11, -12, -2, -33, 49, -35, -8, -51, -15, -40, 4, -17, -1, -9, 32, 41, 45, 38, -42, 40, 0, 18, -29, -48, 43, 23, 53, -4, 21, -33, -57, -23, 20, -40, 32, -65, 52, 40, 38, -31, -57, -2, -37, 3, 55, -5, -65, 15, 15, 42, -30, -58, 18, 17, -23, -50, -16, -52, -68, -54, -15, 30, 10, 29, -43, 5, -7, -48, -50, -62, 22, 28, 56, -29, 13, -31, -35, -5, -25, 59, 13, -30, 44, -6, -59, 21, -13, -6, -1, 43, 4, -30, 15, 44, -41, 1, 20, 0, 8, -60, -58, -28, 20, 34, 25, 35, -31, -38, 42, 4, 14, -25, -5, -7, 7, 46, -31, 24, 52, 57, 56, -41, -1, -51, -34, 15, 24, 2, -30, 35, 61, -34, -11, -31, 3, 50, -5, 15, 57, 24, 0, -57, 27, -16, -21, -17, -34, 38, 27, -69, 31, -23, 23, -47, 19, 22, 54, 24, 6, -6, -53, 41, -53, -29, 35, 60, 53, -58, -33, -66, -5, 14, 18, 55, -5, 43, -46, 18, 30, 31, -30, -14, -57, 10, 30, 58, 52, 54, -24, -43, -11, -13, -10, 20, -11, -6, 3, -61, 18, -17, -53, 24, -3, 9, -21, 32, 3, -26, -24, -38, -52, 14, -47, -59, 17, -43, 40, 44, -54, 6, -22, 30, -22, 33, -18, 56, -40, 3, -49, 44, -21, 30, -35, -63, 35, -28, -17, 53, -47, -20, 48, 17, -42, 42, -52, 53, -51, -42, 37, -2, -27, 3, 12, -13, 37, -25, -56, 3, 41, 3, -25, -18, -45, -38, -38, 0, 10, 35, 34, -43, 33, 5, -3, -57, 29, -50, 35, 50, 55, -13, 5, 8, -26, -17, 7, -28, -25, -5, -27, 26, 38, 40, 15, -20, 7, 26, -31, 17, -35, -43, 35, -45, 45, -21, -4, -46, 35, -8, 11, 1, 56, 49, 25, 18, -32, 28, -3, -28, 34, 56, 23, -14, -14, -55, 35, 44, -51, -50, 55, -39, 39, -40, -13, 1, -47, 61, 6, -22, -63, 38, -7, -22, 21, -6, -2, -67, 38, 18, -36, 26, 17, -5, -35, 33, -35, 53, -48, 52, 24, 37, -4, -27, 16, -56, -51, -61, 22, 32, -20, -9, 47, 14, -2, 4, -16, -46, 29, -34, -29, -47, 41, 24, -56, 59, 0, -43, 15, -13, 49, 44, -18, 3, -16, -12, -33, -63, -9, -34, -6, -9, 37, -8, 6, -28, -47, 32, -50, 11, -42, 52, -58, 12, -49, 22, -46, 10, 5, -48, -23, 45, -20, -50, -25, -18, 0, 28, 57, -40, 56, 16, -8, 9, -11, -56, 48, 0, 52, 53, 17, -32, 1, -55, -34, 3, 42, -6, -60, 15, 54, 52, 23, -29, -57, 24, -35, 59, -53, 40, 23, -12, -33, 60, 27, 59, -54, 15, 0, -46, -1, 27, -14, -54, 39, 41, -21, -53, 18, 12, -37, -45, 44, 60, 57, -14, 62, 52, 32, 44, -43, -36, 43, 15, -54, -37, -41, -16, -29, 57, 56, 0, 13, -55, 24, -27, -5, -50, 25, -43, -36, -39, 35, -49, -26, -45, -58, 14, -37, 9, 54, 36, -48, -54, -36, 9, 7, -33, 44, -11, 13, -45, 42, 47, 32, -35, 50, 15, -49, 22, 48, -2, 6, 33, -2, -55, 2, 5, 57, -3, -20, -44, -50, 13, 54, -41, 7, 4, -48, -32, -51, -10, -27, 23, -53, -3, 55, 29, 56, -58, -14, -56, 42, 22, -20, 25, 46, -10, -50, 34, 31, 46, -49, -33, 62, 5, -36, 49, 8, 10, 11, 6, -38, 48, 41, -60, 25, 41, 40, 2, -33, 37, -5, -30, 7, -26, 4, -24, -21, 42, -8, 15, 1, 48, -11, 22, 43, 35, 27, -1, 6, -48, -60, 32, -34, 46, 16, 53, 39, 58, 9, -20, -51, 51, -17, -8, 47, -61, -33, 24, 38, 49, -30, -15, 54, -31, -49, 27, 50, -21, 52, 35, -52, -22, -29, 5, 44, 65, -33, 36, 51, -5, 36, -8, 49, 33, 30, -11, 39, -51, 11, -60, 15, -43, 4, 0, -48, -7, 33, -39, 4, 60, -15, -18, 58, 19, 19, 0, 18, -37, 32, 3, -3, 16, -32, 2, -1, -46, 61, -58, 15, 48, 60, 8, -19, -34, -55, -31, 5, 17, 14, 4, 54, -18, 53, -57, 5, -13, 43, 9, 42, 20, -11, 33, 25, 38, 35, -40, -49, 56, -57, 35, -2, 2, -59, -28, 21, 41, -68, -17, -45, -3, -7, 24, -14, 36, -23, -54, -25, -43, 10, 32, -9, -60, 9, -21, -4, -34, -28, 2, 60, 52, 0, 32, 67, 57, 7, -29, 47, -18, -2, 33, -31, 17, 9, 2, -24, -41, -34, 43, 57, 61, 24, 44, -14, -30, 41, -11, -43, -12, -48, -28, -35, -48, 16, 31, -2, 43, 47, 19, -14, -48, -10, 63, -23, 36, 12, -38, -48, -37, -2, -3, 7, 42, 3, -2, 23, 9, -28, -8, -13, 23, -46, -33, 40, -5, -45, -7, -46, 13, -17, 8, 38, -60, -27, -8, -10, -4, -53, 14, -35, 47, -33, 54, 53, 57, -65, 57, -31, -5, 3, 20, -24, 17, -13, -36, -42, 19, -24, 40, -51, 27, 5, -24, -46, 1, -51, -34, 7, -32, -35, -19, 29, -21, 41, 3, 59, 24, 45, 35, -29, 66, 51, -63, -14, 42, 0, -33, 8, -39, -58, 22, -29, 16, -26, 0, 45, 12, -45, 60, -33, 37, 2, 21, 31, 50, -18, 10, 54, 29, 27, 4, 1, 49, 27, -39, -47, 31, 27, 5, -40, 63, -49, -44, 2, 46, 1, -18, 7, 43, -44, -14, -38, 41, -15, -2, -49, -1, 48, -35, 65, -51, -25, 55, -9, 52, 12, -12, 48, -23, -33, 7, -35, -46, 53, 17, 25, -23, 32, 7, 10, -50, -29, 18, -28, 39, 36, 0, 10, -14, -30, 38, -61, -62, 35, -15, -4, -34, 4, 47, 12, 21, -18, 2, 20, -36, 13, 24, 0, 50, 44, 9, -42, -29, 28, -59, 50, -16, -15, -4, 1, -25, -49, -6, -44, -29, -5, 46, -3, -8, -33, 47, -25, -27, 56, -33, -12, 25, 42, -4, -55, -8, 14, 47, -5, 4, 59, 18, 10, -13, 3, -55, 1, -35, -19, -16, 12, -2, -14, -33, -1, 44, -11, -50, 53, -1, 4, -54, 19, 16, -11, -39, 3, 10, -23, -24, 57, -8, 56, 54, 3, 6, 3, 41, 18, -62, 57, -14, 5, 46, -3, 41, -30, -4, -20, -47, -2, -14, 54, -30, 11, -38, -51, 70, -32, 51, 38, 40, 28, -24, -1, -52, 57, 57, 31, 22, -45, 59, -27, -53, -8, -42, -29, 6, 2, 42, -59, 35, -43, -41, -51, -38, 29, 16, -50, -6, -55, -59, -60, -37, 16, 28, -10, -43, -16, -12, -55, 52, -2, 20, 47, -55, -1, -41, 5, 52, -30, -28, 8, -28, -33, 37, 33, 51, 19, -37, -61, 43, -64, -30, -52, 58, 37, 50, -43, -44, 25, 51, 52, 39, 0, -44, -58, 42, 43, -38, 24, 37, 18, 25, -57, 60, 31, 58, -53, -14, -16, 20, -60, -47, 9, 19, -24, -24, 56, -37, 27, 29, -42, 2, -21, -39, 18, 6, -49, -34, 59, -35, -17, -58, 34, 41, 40, 33, 27, -32, 38, 32, -29, -56, 16, 36, -67, 26, -23, -15, -43, 26, 34, -27, 49, 15, 5, -50, -11, -27, -25, 9, 28, 48, -47, 17, 29, -41, 26, 45, 17, -13, 29, 33, -56, 18, -17, -55, -38, 19, -14, -39, -44, -17, 17, -41, -1, -62, -9, 6, -49, -45, -36, 25, 46, -42, -19, 57, -24, 51, 59, 1, -19, 19, -26, -64, -30, 35, 4, -15, 38, -51, -12, 38, -7, -49, -32, -27, -12, -12, 1, 44, -32, -55, -39, 32, 33, 8, 0, 1, -35, 15, 0, 64, 46, 40, 2, 26, 39, -35, -41, 14, 52, -21, 60, -6, -30, 38, 50, 16, 37, 7, 3, 43, -37, -26, -8, 41, 44, -28, -7, 60, -60, -22, -43, -9, -16, -15, -15, 62, 51, -40, -44, -31, -56, 10, 52, 32, 62, -5, 49, -17, 47, -61, -4, 25, 13, -49, -7, -47, -36, -16, -44, 31, -30, -6, 11, 48, 28, 37, 23, 32, -48, -41, -36, 12, 59, 33, -3, 5, 47, -14, -28, -7, 17, -61, -43, 46, 49, 65, 45, 0, -43, -33, 24, -26, -26, -5, 39, -12, -6, 54, 35, -54, -44, -8, -50, 31, -26, 17, 21, -1, 21, -10, 15, -18, -41, 43, -9, -5, -21, -34, 55, -2, 36, -53, 2, 37, -12, -41, -21, -54, -49, -57, 25, 34, -41, -1, -13, 9, 29, -3, 28, -53, -50, 23, 6, 8, 63, -22, -43, 43, -11, -43, 4, -11, -15, -13, -25, 8, 53, 12, 60, 28, -23, -8, -56, -31, -5, 36, 55, -24, 57, 3, -34, -23, 7, -46, -12, 24, 17, 62, 33, -50, -60, 9, 51, 46, 11, -50, 16, -39, 28, -51, 32, 29, 37, 51, -58, -58, -5, 45, 41, -54, -40, 35, 34, -16, -43, 1, -43, 6, 15, 57, 18, -42, 60, 61, -59, -12, -14, 43, -1, -25, 24, -59, -44, -18, -54, -8, -7, -53, -51, -39, 30, -29, -38, -13, 3, -17, -50, 9, 7, 60, 57, 57, 35, -54, 41, -10, -42, -46, -8, -1, -39, -44, 57, 11, -64, 33, 62, -2, 31, -48, -26, -30, 11, 44, -54, -6, 11, 34, 38, -36, -38, -14, 59, -62, -35, -34, -59, 54, -38, -11, 23, 34, -30, 48, -7, -20, 50, 54, -52, -44, -55, -51, -30, -26, -48, 42, -54, -49, -26, 4, -58, -34, 18, 68, 52, -56, -40, 51, -38, 46, -26, -36, -26, 29, -54, 6, 26, 17, -60, -35, 21, -14, -2, -24, 2, 51, 27, 31, -49, 43, 65, -18, -44, 57, 19, -33, -37, -23, -13, 3, 9, -23, 2, 10, 55, -14, 52, 69, 24, -86, -60, 24, 48, -49, 8, -30, -42, 0, 37, -20, 43, -44, -11, 31, -10, 24, -57, -14, -65, -69, -46, 26, 35, -51, 8, 52, 23, -39, -34, -34, -61, -19, 3, -71, -14, 40, 13, 13, 54, 53, -47, 20, 5, 31, 59, -58, 56, -1, -47, -10, 10, -19, -30, 48, -5, 41, 53, -32, 18, 58, 16, -1, -52, 18, 2, 10, 18, 37, 38, 17, -39, -3, -32, -3, 22, 30, 52, -36, 12, 49, -65, -50, 16, -20, -2, 11, 6, 73, -7, 45, -25, 40, -19, -42, -5, -50, 63, -8, 60, 32, 57, -1, -30, 35, 34, 13, 17, 32, -33, -23, 55, 54, -57, -36, -61, -21, -32, 48, 12, 16, -66, -49, 2, -68, -60, 15, -12, -47, 10, -47, 6, -57, 55, 33, -69, 22, 37, -3, 24, 4, -33, 37, 18, -53, 43, -22, 1, 3, -44, -50, -51, 60, -14, 51, 55, 24, 23, -56, -13, -27, -7, 14, -60, 34, -29, 51, 2, 61, -29, 13, -43, -36, 48, 41, 36, 54, -47, -47, 39, -14, 35, 36, -38, -39, 46, 0, 18, -60, -39, 18, -7, -6, -16, -9, -46, -20, -44, -31, -5, 39, 47, 33, 0, 24, 18, 5, 26, 30, -19, -26, -34, -36, 47, 31, -32, -39, -31, -4, -32, 22, 55, -47, 11, -16, 53, 62, 61, -6, -27, 47, -18, -60, -35, 72, 27, 45, 34, 5, 42, -41, -4, -31, -1, 18, -40, -36, -15, -9, 57, 57, 7, 10, -30, 51, 54, -54, -27, -7, -31, -42, 13, -48, -31, -44, -48, 0, 42, -49, -8, 2, 42, 34, -12, 43, -46, 41, -27, -35, 42, -45, -7, -55, 26, -38, -34, 43, -52, -56, 6, 38, 23, 25, 31, -50, 37, -52, -21, 55, -42, 47, -18, 6, 51, 32, -58, -53, -13, -30, 33, -4, -27, 21, 45, 62, -52, -6, 46, -22, -16, -9, -4, -16, 37, 41, 37, -34, -28, 33, 31, 21, 0, 5, -7, -47, -20, 12, -38, 24, 7, 19, -22, -38, -66, -32, 17, 40, 19, -15, -41, 1, -24, 26, 24, 29, -38, 35, 76, 47, -1, 14, -16, 33, 32, 12, -1, -49, -48, 3, -19, -46, -48, -16, -48, -9, 30, -30, 32, 62, -18, 6, -35, 17, 54, 34, 14, 25, -33, -11, -20, 46, -15, -12, -23, 76, 57, -49, -12, 51, 1, -48, 45, 50, -55, 40, -38, -2, 8, 21, 32, 9, -15, -28, 6, -4, 38, -33, 7, 22, 29, -13, -57, 24, 43, 14, 39, 1, -2, 38, 40, 37, -32, -11, -48, -43, 17, -68, -55, 18, 66, 29, 50, -2, -62, -30, 19, 20, -22, 26, 18, 44, -34, -53, 41, -54, -3, -65, 5, -3, -23, 43, -47, -15, -40, -18, -5, 23, -47, -23, -37, 5, 56, 41, 56, -41, 47, -10, 18, -15, 12, 52, -35, -18, 11, 40, 16, 23, 35, -37, 19, -10, 48, 20, 56, 21, -41, 18, 15, -26, -9, -21, 30, -37, 24, -44, -45, -61, -55, -25, 22, 29, -47, 3, 3, 46, 45, -18, 39, -58, 36, -12, -22, -8, 14, -56, -50, -27, 15, -26, -4, 34, -33, 13, -70, 68, 0, -37, 22, 37, 45, -54, 48, -54, -6, -32, -8, -11, -6, 39, 21, -60, 59, -54, -10, -53, 11, 2, -49, -46, -34, 42, 17, -16, -1, -79, 24, 39, 7, 25, 46, 12, 39, -28, -34, -39, 31, -47, -57, -78, 12, 16, 57, -16, 25, 11, 14, 24, -11, -34, -28, 62, 31, 64, -42, -10, 5, -38, -58, -42, 53, 35, -48, -36, 63, 45, 62, -8, -39, 7, 28, 41, -11, 27, 59, -34, 11, -28, 13, 23, -54, 32, 62, -51, 44, 37, 8, 50, 34, -21, -59, -33, 33, 48, 3, 9, 22, 53, 39, 3, -41, 14, -56, 67, 5, 46, 12, 9, 61, -15, 45, 64, -12, 2, 11, -15, -63, -63, -6, -90, -50, -7, 47, 67, -58, -76, 9, 7, 9, 48, -10, 9, -31, -35, -17, 40, -30, 47, 50, 20, 40, -58, -24, 19, -59, 28, -51, -61, -45, 40, 4, 8, 52, 40, -26, -36, -11, -53, -47, 27, -59, -15, 18, 20, -62, -65, -20, -8, -54, 29, 46, 0, 52, 65, -32, 55, -65, 8, -7, -58, 1, 57, 14, 42, -19, 52, 35, -29, 28, -22, 15, 51, -24, -48, -12, 20, 53, -5, -6, 40, 21, 10, -66, -36, -45, -48, -16, -55, -68, 39, 44, -25, -34, 24, 31, 20, 6, 53, -25, 43, 52, 25, -2, -2, 56, -28, 32, -31, -27, 16, -7, 11, -13, 54, -23, 48, 7, -55, 3, 19, 9, -21, 43, 41, -1, 44, 36, -56, 14, -37, 0, 36, -28, 1, 14, -38, 23, 52, 36, -28, 25, -33, 19, -16, 7, -2, -7, 18, -34, 45, -48, -30, 60, -24, 41, 61, -48, 8, -20, 5, 48, -31, -69, -35, 4, -6, -48, 38, -47, -33, -2, -55, -16, -30, -30, 47, 14, 49, -20, -55, 40, -29, -10, -58, 51, -27, 25, 0, 11, -32, -31, -35, -28, -51, 21, 51, -14, -1, 25, -13, -3, -21, -18, -36, -32, -43, 36, -5, -9, 8, -8, 38, 51, 51, 66, 3, 20, -35, 46, 35, -44, -1, -53, -52, -44, 52, -30, -41, 11, 11, -59, -71, -35, 41, -1, 36, 11, -42, 56, -49, 39, 32, -8, -26, 69, 10, -21, 3, -42, -21, -10, 33, -2, 21, -38, -63, -54, 15, -40, -29, -53, 3, 21, 38, -32, -19, -41, 28, -21, -36, 40, -47, -24, 17, 66, -46, -42, -10, 39, 6, 14, -59, -42, 8, 29, -15, 44, 1, 4, 35, 25, 45, -39, -43, 15, 15, 11, -56, -9, -21, 37, 10, 28, -15, -37, -10, 53, -55, -17, -5, -8, 28, -28, -20, 55, 1, 27, -34, 54, 5, -59, -59, 13, -38, -58, 22, 29, 28, -53, 43, 19, 14, 18, -7, 36, -28, -55, -25, -20, -32, -66, -71, -17, -35, 41, -47, -52, 0, -33, 57, 22, 12, 1, -10, -10, -9, 59, 57, 43, 46, -7, -49, -36, 19, -58, -44, -43, -66, -51, -50, 31, 19, 14, 40, -35, -37, 40, 10, 60, -23, -54, 26, 60, -35, 53, -63, 40, 1, -20, -48, 0, 63, 40, -7, -35, -17, 39, 29, 50, 50, -20, -7, 6, 17, -40, 52, 33, -59, 8, -31, 22, 60, 42, 37, -2, -40, -1, -61, 34, 5, -48, 42, -47, -7, -4, 31, -41, -3, -26, -11, -42, -32, 31, 49, 11, 51, 14, 18, -47, -42, 32, 22, 9, -7, 23, -32, -11, 10, 48, -2, -12, -1, -3, 25, 53, 46, -55, -31, 17, 19, 62, 55, 30, 51, 47, -22, -26, 42, 51, -62, 57, -53, -14, -42, 58, -25, 6, 3, -45, -37, 39, 33, -43, 4, 52, 10, 19, 48, -33, -7, 64, 36, 42, -44, -43, 4, 47, -6, -57, 42, 9, -39, -35, -14, -23, 44, -20, 18, -3, 36, 46, 43, -56, 22, -24, -8, -16, -7, -47, -5, 14, 38, 31, -46, -18, 15, 36, 55, 45, 21, -24, 22, -59, -30, -40, -28, 21, -40, -36, 41, -29, 57, -18, -3, -61, -1, 56, 42, 43, -51, -68, -50, -45, -2, 37, -21, 21, -62, -14, -20, -12, 25, -60, 53, -31, -61, 46, -13, 30, 34, -49, -29, 2, 15, 37, -30, 57, 41, 13, -4, 57, 18, 45, -18, -14, -7, -27, 22, 46, 57, -12, 19, 26, -54, 8, 6, -53, 21, -54, 47, -8, 13, 26, -57, -12, -33, -14, 15, 0, 12, -54, 41, 56, -1, 40, -8, -34, 36, -61, -22, 18, -30, -33, 27, 36, -31, 20, 42, -43, -24, -10, -25, -24, 14, -55, 39, 53, 34, -12, 22, -58, -43, -12, 25, 2, 17, 43, -46, 58, 5, -31, 39, -11, -42, -19, -30, 7, -24, 40, 41, -52, 39, -14, 18, -21, -59, 49, 54, 30, -18, -1, 30, 10, -63, -4, -3, 31, 42, -58, -62, 33, -56, -61, 24, -47, 13, -36, -50, -32, -46, 16, -37, -41, -41, 13, 31, -29, 45, -66, 17, -14, 32, 60, 9, -44, -60, -37, -60, 29, 6, 28, -38, 38, -62, -45, 22, 23, -43, 17, 50, 40, -44, -61, 36, -51, -20, -59, -25, -52, 9, -27, 33, -40, -61, -36, 39, -25, -4, 52, 9, -4, -60, -17, -4, -57, 28, -9, -61, 56, -13, -53, -44, 4, -42, 41, 20, 11, 4, -26, -46, 16, -40, -1, -28, 60, 43, -56, -24, -58, -29, -7, 21, -49, -29, -24, -58, 52, 61, 31, 4, 35, 7, 30, 11, 45, -13, 14, 58, 41, 0, -36, -25, -23, 1, 18, -59, 1, -39, 2, -57, 8, -19, -53, 16, -45, 33, 5, -28, -1, -32, 10, 51, 20, -51, 3, -12, -31, -50, 19, -46, 21, -52, -29, 16, -44, -29, 43, -33, 18, 17, 38, -44, 49, -28, 44, -60, -15, 47, 42, -28, -32, 39, 16, -7, -60, 26, 21, 42, 26, -57, -46, 36, 20, -33, 5, -49, 45, 19, -19, 57, -23, 29, 30, -30, 20, 0, -35, -37, -60, 30, 62, 18, 0, 30, -70, -59, 54, 40, 42, 45, -28, -64, -3, -47, -29, 46, 24, 57, 2, -34, 31, -1, -1, -56, -15, 53, 16, -61, 14, -2, -36, 9, 24, 11, -18, 36, -59, 35, -53, -60, -51, -23, -25, -10, -54, 17, 45, -68, -57, 11, 6, -25, -65, -15, -35, 25, 11, -1, 20, -50, 24, 37, 39, 33, -23, -53, 23, -10, -30, 52, 60, 55, -16, -2, -24, 47, -18, -67, -40, 43, 47, 53, 32, 15, -54, -20, -17, 7, -11, -30, -36, -33, 15, 48, 41, 24, 14, -30, 37, -2, 50, -51, -53, -60, -36, -63, 15, 14, -5, 6, -17, 12, 21, -32, 52, 19, -55, -20, 21, 16, -33, 44, 51, -3, -35, 38, -56, -20, 52, -8, 53, 52, -4, -23, 44, 26, -41, 54, 37, -46, 13, -63, -57, 12, -26, 36, -46, -6, -52, 27, 32, 47, 35, 10, 42, -35, 15, 21, -9, 14, 14, -44, -29, -45, 26, 5, -24, -40, 59, -49, 21, -24, 24, 34, -8, 15, -48, -24, 24, 4, -59, -67, 30, -52, -15, 24, 9, 48, 55, 18, -56, -59, -57, -16, 40, -23, -55, 7, -61, 27, 38, 47, 31, -17, -35, -18, 44, 16, 4, -33, 37, 16, -48, 28, -27, -48, 8, -27, 9, 27, -59, 15, 22, -52, 60, 51, -28, -5, -29, 20, 34, -18, 33, -21, -16, 41, -50, -31, 18, -53, 7, 13, 33, 45, -6, 64, 61, -45, 32, 48, -24, -27, 34, -66, 21, 46, -48, -26, 14, 32, -29, 53, -53, -1, -35, -65, 4, 54, 51, -14, 37, -13, 12, -10, -61, -11, 1, -57, -28, -18, -19, -27, -15, 2, 5, 20, -9, 12, 7, 23, -58, 48, -42, -11, -8, 12, 57, 5, 13, -5, -1, 14, -60, 16, -33, 9, 52, -23, 56, 48, 11, -32, -31, -53, 44, 27, 24, -45, 9, -40, 10, -47, 40, -10, -46, -31, -15, -9, 2, -52, 36, -31, -49, -39, 7, 11, -53, -48, -65, 28, -18, 54, 8, 6, -56, 58, -48, -9, 52, -7, 50, 0, 18, 33, -11, -31, -53, -29, -61, 17, -22, -12, -37, 40, -40, -52, 1, -28, 30, -41, 22, -16, -43, 21, -22, -62, -61, -38, 21, -57, -11, -51, 38, -34, 25, -53, -54, -1, 6, -33, 45, -15, -31, 62, 49, -33, 12, -37, 45, 8, -65, -4, 49, -33, -55, 25, 58, 3, 31, -24, 25, -39, 30, 1, 59, 53, 30, 50, 28, 40, -20, -57, -29, -33, 22, 27, -52, 14, 13, -30, 43, 16, 40, -29, -50, -49, 19, 4, -61, 5, -27, -11, 31, 7, -45, -50, 52, 33, 43, 57, -50, 59, -39, 29, 58, 56, 7, 1, 6, 26, 34, -51, 44, 35, 48, 49, -27, 61, -25, -44, -36, 41, -13, -48, 6, -62, -3, 9, 28, 2, -49, 24, -17, -36, -43, -8, -61, 33, 26, 19, -34, 39, -41, 57, 13, 49, -16, -55, 44, -19, 28, 57, -54, 46, 53, -21, 57, 17, -51, 39, -15, 43, 60, -31, -58, 0, 13, 53, 41, -60, 60, -52, 50, 60, 26, 57, 31, 29, 48, -6, -53, -25, 51, -1, -5, 12, -31, -10, -5, -35, 30, -18, -30, 19, 39, 4, -48, 28, -12, -14, 45, -1, -22, 21, -32, 21, -39, 28, -3, -7, -33, -52, 36, -36, -43, -21, 19, -33, 41, -24, 48, 0, -54, -24, -62, 47, -56, 11, -10, -31, 43, -66, -63, -54, -10, -21, -10, 47, -25, -59, 4, -56, -31, 18, 28, -12, -30, -25, 1, -3, 43, -47, 34, -2, 37, 25, -51, -36, 49, 5, 14, 31, -21, -49, -28, -51, 50, 1, -38, 32, -35, 51, 11, -28, 60, 0, -53, 57, 33, -39, 33, -38, -29, 32, 1, 41, -38, -25, 51, -57, 6, 1, -43, 14, 38, 16, -57, -36, -52, 63, 46, 31, -32, 23, 51, 25, 45, 4, 11, -22, 22, -32, -43, 18, 37, 50, -22, -24, 14, 7, -42, 51, -51, 45, -62, 21, -46, 27, 0, 43, -51, 51, -30, -15, 18, 44, -61, 46, 13, 6, -28, 50, -30, 55, -49, 23, 27, 27, -23, 61, -11, -27, 35, -20, -57, 49, 17, 11, -29, 59, -16, -23, 32, -39, -37, -61, 0, 19, -21, -51, 8, 56, 40, -22, 23, -26, 13, -2, 57, -63, -8, -78, 2, -37, -10, -9, 28, -60, -16, -38, -45, 29, 42, 50, 59, 49, -48, -20, 31, 14, 54, 21, 20, -11, -40, 0, -9, -6, 9, 58, 8, -40, -26, 22, -57, -62, 22, 59, 36, 15, 11, -9, 18, 6, -29, -44, 50, 31, -16, 26, 53, -40, 42, -10, 20, -32, 60, -5, 12, -40, 2, 41, 7, -24, 42, -45, 6, 48, 55, -35, 1, 48, 52, -24, 31, 54, 21, -41, -32, 11, 21, 12, -27, -1, 70, -48, -1, 59, 24, 10, 58, -49, 38, -6, 54, -39, -1, -48, 58, -62, 58, 18, 2, 44, 30, 38, 27, -36, 39, -23, 31, -42, -28, 56, 40, -2, 11, 68, 22, 62, -49, -55, -44, 16, -11, 12, -21, 30, 45, 18, 47, -8, 44, 5, 25, 37, 44, -19, -49, 16, -2, -22, 46, -38, -57, -39, 55, -18, -48, 3, -16, -11, -35, -46, 60, -6, -32, -8, 7, -30, 33, 8, -36, 46, 26, -4, 14, 32, -44, -10, -39, -7, 42, 39, -51, 16, -47, -17, -69, -49, 40, 15, 12, -17, 26, -52, -27, 7, 20, -57, -24, 12, -44, 20, -13, 24, -19, -27, 56, 23, 21, 17, -19, 41, 7, -12, -23, 37, -50, 39, -60, -11, 31, -24, 42, 17, 39, -26, -4, 7, -31, 11, 24, -52, -14, 26, -41, -30, -44, 41, 11, -56, -16, 4, -51, 4, -33, -46, 9, -1, 33, 45, 27, -76, 16, 38, -18, 22, -16, -44, 23, 34, 17, -50, -18, -56, -17, -3, 47, -74, 27, -18, -68, -4, 48, -7, 24, -10, -49, 42, -15, -61, 45, 29, -17, 45, 54, 45, -15, -40, 27, -51, 31, -38, 26, -21, 6, 60, 25, -53, 46, 41, 31, 30, -14, 52, 22, -39, 21, -30, -38, 65, 56, 32, -31, -29, 29, -8, -26, 30, 8, -29, -4, 10, 49, 48, 12, 38, 45, 28, 38, 46, 58, 47, -21, 41, -8, 52, 19, -51, -6, 40, 6, 1, 15, -9, -57, 49, -20, -34, 66, -16, 35, -52, -49, 4, -35, -10, -27, -12, -16, 12, 31, 36, 7, -55, -53, 13, -1, 0, -37, -38, 0, -68, 22, -10, 15, -3, 36, -80, 49, -59, -21, -63, -67, -36, 36, -27, -24, 40, 25, -19, 15, 62, 51, 34, -57, -70, -35, 14, 19, 16, 46, -5, -4, 25, 16, -39, 48, 42, 62, 53, -46, 13, -24, -12, -53, -50, 6, 34, 23, -6, 54, -21, 20, 40, -34, 42, 1, -50, -4, 18, 9, -55, -25, 36, 40, -51, -47, -23, 20, -6, -20, 31, 19, -53, 19, 25, -18, 24, -43, 41, -14, 31, 33, 7, -4, -7, 30, 33, 45, 9, -47, 53, 38, -6, -48, -17, -53, -71, 6, 58, 20, -58, 54, 11, -33, -4, -29, 23, 10, 23, -25, -31, -41, 4, -41, 33, -16, 38, 26, 6, -43, 62, -56, -33, 37, 42, 37, 62, 2, -26, 0, -4, 68, -53, 19, 24, 55, -25, -23, -32, 42, 55, -19, -39, 54, 9, 12, -15, -7, -54, -8, 20, -65, -16, 23, 10, -2, -49, 66, 65, 51, 50, -43, 16, -1, 55, 47, 3, -15, -16, 8, 37, 27, 1, 54, -26, -51, 12, -62, -16, -51, 0, 6, 35, -67, -27, 24, -37, -12, 49, -37, 16, -59, -35, -30, 57, -4, 10, 52, 60, 1, 24, 6, 12, 16, -38, -57, -31, 43, -56, -30, 35, -22, -16, 18, 44, 4, -36, 30, -18, 5, 29, 4, -24, -12, 47, -35, -5, 38, -41, -35, -41, 20, 41, 6, -52, 21, 57, 28, 2, -33, 58, 11, -39, 1, 3, -21, -31, 31, -10, 39, -23, -44, -2, -2, -40, -46, 0, -35, -68, 63, 23, -53, -15, 50, 46, -58, -28, -14, 27, -29, -80, 20, -42, -11, 18, 0, -3, 45, 25, 51, 40, 28, 23, -49, -10, -29, -53, -28, -20, 45, -50, 9, 2, 37, 15, 10, -53, -27, -71, 16, -60, -49, 20, 3, 32, -44, -20, 22, 20, -46, -15, -53, -10, -27, -55, 9, 71, 19, -4, 38, -26, -7, -19, -44, 29, 28, 41, -37, 29, -27, -20, -63, -26, -37, 42, -4, 51, -15, -15, -13, -47, 30, 14, -44, 36, -35, -14, -39, -58, 37, 8, -65, -17, 44, 18, -3, -61, 61, 51, -6, -37, 53, 39, -49, 31, -15, -12, 44, 3, 55, 1, -34, 29, -39, 12, -10, 46, -24, 46, 8, -62, 48, 30, -33, -19, 46, 30, -44, -52, -66, 27, -40, 52, -28, -61, -53, 8, 19, 8, 22, 16, -50, 4, 54, -32, 3, -25, 42, -29, 23, -15, 37, 30, 53, -22, 46, -40, 1, -9, -24, -66, 52, -22, -46, -34, 7, -18, -50, 24, 66, -3, 27, -73, 70, -61, -35, -8, 60, 47, 23, 1, 43, 29, -39, -35, 1, -40, 0, 52, -60, -13, -30, -46, -33, -5, -34, 20, -28, 44, 22, 54, -14, 49, 54, 4, -39, -9, -41, 30, 35, 3, -25, 18, -29, 16, 10, -4, -11, -52, -27, -27, -20, 50, -27, -14, -26, -47, -42, 39, -46, -44, -3, -11, -19, 3, -49, 27, -51, 17, 13, -9, -37, 1, 35, 11, -15, 30, 62, -10, -59, -1, -19, 32, -45, 55, 35, -34, 47, 20, -13, -43, -11, -19, -6, 14, 40, 4, -33, -22, -14, -13, 34, -30, 24, -15, -51, -34, -61, -10, 16, -39, -6, -73, 40, -26, -11, 14, 24, 49, 46, 58, -40, -36, 26, -25, -52, -49, -18, -42, 1, -9, 11, 46, -8, 2, 22, 30, 44, -50, -46, 36, -41, -47, 28, -30, -46, -23, -29, -52, -42, 31, -32, 33, 56, -62, 28, 17, -50, 66, 28, -28, -48, -38, -36, -10, -10, -56, -24, -30, 19, -60, -43, -42, -43, -30, 55, -22, -41, 20, -73, -46, 4, -19, -16, 31, 44, 37, 72, 12, -19, -28, 56, -11, -47, 33, -11, -9, 12, 12, -45, 16, -2, 45, 30, -53, -37, 52, -58, -41, 82, -50, 8, 26, 34, 0, -37, 42, 6, 49, 5, -30, 4, 30, -21, 48, 9, 27, 43, -51, -37, 29, -11, 23, 3, -35, -30, 34, -18, -61, 56, 30, -33, -55, -66, 8, 51, 1, 33, 44, -37, -30, 54, 15, -23, 6, 49, -15, 30, 27, 39, -55, -22, 29, -48, 17, -14, 3, 18, 59, -6, 21, -53, -16, -48, 56, -51, 37, -6, 13, 3, -21, -19, 18, -22, 65, 16, -58, 37, -36, -54, -12, -22, -47, 57, -54, -17, 21, 37, 8, -7, -36, 55, -47, 30, -8, 12, -25, 29, 52, 46, -36, 13, 0, 39, -24, 38, -9, 6, 0, 30, -45, -59, -37, -39, -34, -54, 28, -53, -57, 16, 14, 17, 0, -23, 53, 43, -36, -11, 71, -59, -7, 33, 49, 42, 13, -39, 24, -2, -4, 36, -21, -2, -3, -26, -41, -21, 50, -50, 25, 14, -32, -34, -64, -49, -24, 16, -61, -36, -19, -13, 22, -16, -55, 41, 45, 39, 19, 43, 47, -13, -11, 17, 27, -19, -47, 29, 35, 7, -54, -3, 39, -40, 37, -30, -58, -39, -17, 26, 15, 43, -40, -43, -41, 44, 12, -44, 20, 31, 32, 44, 8, 51, 32, -33, -2, -12, -9, 32, -45, -54, -25, 15, 18, -1, -6, 31, 21, 36, -31, 21, 12, -58, 35, -56, 40, -24, -30, -47, 2, 14, 2, 45, -40, 38, -37, 41, 36, 25, 21, -18, -42, 52, -4, -51, -60, 29, 13, 30, -54, 14, 9, 69, 34, -56, -56, 13, 33, 6, -11, -46, -43, -9, 38, 52, 18, -5, 33, 43, -58, -29, -18, -11, 8, 41, -2, -14, -73, 35, 28, -52, -61, 55, 25, 22, -14, -27, 44, 58, 14, 1, 22, 50, -48, 59, 45, 47, -13, -23, 45, 56, 21, -40, -21, 30, -7, 51, -42, 36, -15, -44, 30, 32, 26, 15, -26, 51, 28, -51, -36, -46, -42, 36, -5, -15, -34, 65, 14, 55, 26, 47, -41, 36, 49, 10, -20, 62, 51, 48, 4, -40, -3, 60, 59, 51, 18, 34, 41, -51, 12, -37, 14, 18, -18, 14, 42, -44, -9, 54, 5, -11, 35, 48, -40, 36, -46, -26, 16, 21, 27, -14, 58, -42, 57, -59, -62, -13, 51, -14, 36, 45, -52, 7, -17, -31, -60, 60, 58, 1, 43, 54, 36, -40, -30, 11, 28, -49, 77, -25, -57, 0, -30, -50, -42, -13, 24, -46, -45, -53, -23, -56, 43, 49, 41, 21, -38, 32, 53, 51, -22, -45, 52, 49, 14, 10, 58, 24, 63, -2, 23, 46, 42, 28, -1, -4, 60, -48, 33, -41, -25, -42, -37, -11, -53, 0, -19, 30, -7, -32, -41, 41, 25, -18, -36, -32, 40, 36, -12, -42, 31, 49, 25, 29, 70, 49, 32, 39, -33, -6, -18, 33, 4, 43, 0, 28, 65, -28, -36, 36, -4, 14, 43, -29, -59, -45, -38, 39, -42, -50, -45, -20, 9, 12, 47, 3, 40, -62, -7, 45, -26, -18, 56, -12, -42, -13, -57, -49, -10, -25, -53, -4, 6, 24, 46, 40, 8, 11, -14, -28, 17, 27, 13, 33, -34, 27, 32, -49, -27, 20, -13, -17, -48, -52, -16, 18, -20, -16, -14, -21, -29, 13, -32, 37, -11, -39, -11, -43, -52, 46, 33, 11, -62, -38, 53, 75, -50, 46, 69, -71, 54, -44, 34, -4, -19, 55, 2, 24, 49, -32, -25, 0, -21, -19, -12, 7, 22, -31, -27, 21, -58, -30, -20, 11, -39, -57, 30, 28, -35, -23, -9, -15, 28, -1, -40, 6, -78, -54, 55, -24, 25, 17, -18, -17, 6, 3, 3, 18, 33, -14, -13, 19, -50, 43, 35, 48, 51, 8, 58, -45, -53, 26, -61, 37, 6, 7, -26, -43, 45, 63, 16, 11, 36, 24, 49, 0, -42, -38, 49, 46, 44, -37, -40, -47, 8, -28, -56, 48, -8, -20, 49, -44, 7, 17, -46, -6, 57, 0, -34, -47, 61, 45, -19, 26, 32, -15, -7, 15, 53, 58, 49, -24, 61, 38, 20, 11, -2, -44, 52, 0, -45, -12, 34, -7, 51, 42, -20, 58, -29, 67, -60, -15, -3, 18, -1, -34, -42, 7, 17, -34, -20, -33, 36, 29, 13, -1, -30, -19, -20, 43, -17, -47, 46, -6, 34, -7, -52, 11, -4, -21, 18, 54, 8, -38, -28, -34, -12, 33, 37, 30, -58, -7, -24, -23, 6, -41, 43, -17, -55, -33, 16, 33, -57, -45, 49, 37, -35, -12, -54, 42, -7, -44, -45, -32, 7, 7, -52, -12, -5, -29, 30, 23, 20, -32, -15, 34, 16, 25, 56, -25, -60, -33, -16, -48, 39, -39, 4, -27, 9, 44, 12, 22, 21, 39, 12, 32, 33, -37, -13, 32, 60, -58, 55, 25, -16, 5, 37, -17, -21, 8, 35, 14, -37, 25, 1, 37, 12, -24, 34, 2, 21, -66, 11, 3, 27, -43, 15, 3, 40, -13, 48, 14, 37, -41, 0, -18, -32, -10, 11, -1, -12, -62, -34, 37, 47, 60, 38, 59, 9, 34, -29, -24, 76, 66, 43, 49, 44, -4, 29, 34, -42, 48, 2, -34, -25, 30, -70, 55, -34, 59, 52, -52, -7, -33, 42, -23, -34, 22, 64, 48, -34, 50, -19, 16, 25, 6, -14, 1, -58, -18, -24, 6, -16, -9, 34, -59, 18, 24, -37, 60, 8, 5, 46, 41, 1, -14, -50, -43, 3, -22, -55, -2, 0, -43, 64, -21, -29, 22, -15, -26, -43, -7, -23, -51, -46, 43, -53, -20, 61, -21, 14, -10, 34, 46, -47, 69, -27, -33, -2, -18, 1, -20, -42, 12, 2, 58, 6, -19, -38, -25, 43, -43, -41, -2, 76, 43, -37, -4, 44, -43, 26, 10, 50, 1, 56, -5, -17, -62, -21, 13, 0, -46, -58, 44, 40, 8, 59, -7, -49, -2, -8, -2, 11, 19, -22, -13, 28, 30, -16, 16, -36, -34, 24, 61, -52, 36, 19, 24, 35, 12, -27, 28, 43, -10, -19, -1, -38, 67, -30, -30, -25, -66, -14, 25, -66, 9, -42, -11, 4, 9, 28, -8, -16, -42, 0, -26, -58, 7, 67, 23, -16, -4, 71, -35, -36, 18, -11, 2, -24, -16, 48, -27, 23, 18, -39, -44, -28, 26, 32, -43, 52, -10, -35, 25, 50, -20, 7, 61, -9, 44, -6, 43, -45, 11, 6, -13, 3, -28, -23, -24, -21, 56, 61, 54, -10, -30, -38, 19, -44, -33, -41, -56, -57, -53, -32, -26, 48, 49, -45, -3, -18, 37, -60, -28, 53, 45, 46, 45, 57, 53, -27, 32, 24, -56, -53, 32, -1, -44, -27, -76, -6, -39, -61, -23, 29, -35, 42, -6, -26, 62, 30, -12, -49, 41, -41, -23, 30, 6, 19, -17, 0, 57, 35, 31, -7, -42, 65, -43, -42, 28, -46, 36, 11, 39, 35, 27, 36, 35, -2, 24, 43, 54, 53, 49, -44, -55, -50, 22, -59, -41, -25, -11, -4, 26, -56, 3, 5, -8, 6, -41, 20, -40, 0, 53, -64, 33, -52, -25, -59, -52, -57, 25, -31, 32, 56, -28, -16, 0, -33, -3, 39, 43, 49, 28, 20, 13, 1, 45, 42, 14, 5, -24, -52, 20, 32, 16, 54, -39, -50, 18, 21, 46, 36, 58, 18, 26, 48, -57, -25, 34, 36, 23, 2, 11, 4, 57, 55, 15, 42, -13, -12, -9, 11, 56, 26, -45, -45, -36, 23, 52, -31, 12, 7, 2, -4, 62, -60, -58, -32, -43, -46, -1, 13, 3, 42, 31, 56, -3, -54, 13, -42, 9, 25, 21, 13, 7, 21, -53, -25, 16, -40, -58, 28, 9, -30, 46, -31, -14, 4, 1, -26, 3, 23, -23, -43, -15, 8, -31, -55, 28, -1, -18, 47, -39, -36, 25, 49, -18, -8, 18, -44, -39, -11, 44, -35, -27, -14, -83, 45, -35, -37, -42, -11, 60, -34, -39, -33, 64, -21, 14, -50, 42, 22, 15, 57, -47, 43, 13, 55, -59, -2, -11, -51, 37, 10, 23, -30, 31, -47, -3, 55, 44, 47, 38, -61, 41, -19, -28, 31, -17, -38, -46, -6, -30, -38, 85, -23, 39, -17, -43, 59, 17, 15, -11, 31, -22, -49, -7, 24, 70, 64, -18, 12, -17, -57, -3, 12, 55, 47, 31, -40, -47, 51, -1, -23, 54, 37, -11, 43, -69, 50, 50, 10, 47, -11, 24, -9, -17, 15, 10, -27, -1, -36, 61, -9, 16, -24, -51, 47, -36, -41, 26, 21, 45, 16, 38, 24, -56, 12, 12, -47, -19, -25, 29, -45, -53, 1, 49, 32, -7, 25, 55, 21, -50, -25, -13, 26, 18, -59, -40, 35, 61, -46, -13, 66, 29, -2, 13, 43, -14, -42, 32, -17, -43, -28, 15, -44, -48, 32, 57, -60, -45, -2, -10, -50, 32, -34, 61, -36, 7, -2, 38, 32, -40, 51, -8, 39, 57, 27, 44, 43, -21, 48, -58, 50, -18, -9, 23, -48, -29, -3, -42, -17, -24, -19, 15, -46, 49, 37, -44, -21, -42, -17, -30, -65, 6, -20, 53, 21, -29, 4, -31, -51, 24, -61, -28, -36, 5, -25, 36, 36, -58, 45, 57, 23, 55, -51, -35, 55, -6, -17, -55, -23, 38, 43, 4, -45, 34, 23, 2, 53, -16, -59, -18, 3, 2, -29, -60, -10, -42, 48, 55, 9, -42, -16, -25, 19, 0, 37, -35, 3, 59, -18, 40, -53, 42, -35, 9, -15, 43, 42, 48, 30, 53, -25, 26, -64, -5, -50, 22, -31, 22, 60, -59, -23, -26, 53, -64, -39, 10, 13, -12, 37, 26, -22, 37, -13, -53, 32, -19, 34, 10, -46, 30, 1, -4, 29, -7, 26, 50, -9, 4, 23, 36, 41, 45, -7, -1, -53, 53, 33, -49, -34, 59, -3, -28, 52, 21, -25, 33, 54, 21, -12, -12, -57, -50, -37, 17, 43, 8, -45, -56, 29, 30, -41, -60, -44, 43, -32, -22, -25, -5, 44, -56, -73, -48, -9, 29, 22, -32, 50, 6, 20, -16, 67, -37, -31, -44, -30, -36, -8, -34, -5, 5, -18, 14, 34, 38, -6, 73, -52, 57, 28, -32, 1, 2, -4, -25, -57, 33, -72, 50, 42, 27, -11, -23, 3, 60, 10, -54, -23, -4, -14, -17, -9, -16, -60, 9, 8, -28, 42, -20, 45, -21, -38, 75, -39, -64, -38, 58, -47, -19, 14, 30, 50, -45, -15, 25, -40, 51, -39, -9, 22, -10, 30, 60, 21, -7, 34, 37, 43, 44, 45, 13, -60, -32, -20, 67, 54, 12, 39, 31, 50, 18, -31, -44, 32, 47, 21, -20, -28, -13, -43, -2, -13, 24, 53, -39, -49, 7, -1, 4, 4, 26, 68, 29, 49, -2, 8, -1, -37, 62, 5, -15, 65, 32, -72, 62, -13, -60, -48, -19, 5, -59, 44, 1, 22, -25, 7, -14, -40, -49, 68, -6, -39, 64, 20, -41, -18, 35, 5, 31, 5, -18, 44, 9, 50, 39, 59, -40, 52, -5, 39, -12, -22, -2, -25, 2, -44, 60, -49, 9, -43, -51, -7, -25, 48, 11, 6, 15, -8, 40, -11, 26, -11, 38, 27, 38, -16, 37, -25, -58, -43, -25, 77, 5, -47, -15, -22, -50, -29, -41, -42, -21, 9, -58, 27, -57, -49, 14, -14, -45, 42, -55, -62, -59, -30, -39, 50, -52, -28, 7, -24, 47, -63, -47, 0, 26, 53, -35, -8, 60, 5, 38, 18, 58, -9, 0, 46, 23, -45, -32, 44, 55, 28, -37, 49, -41, 12, 71, 32, 14, 46, -19, -44, 10, 17, -41, -46, 41, 35, -5, 58, 61, 9, -28, 46, 22, -28, 18, -38, -3, -41, 42, -23, 39, -35, -66, 14, -15, -37, -22, 5, -49, 11, 26, -24, -45, 19, 0, 40, -31, -26, 64, 14, 56, 42, 18, 56, 32, -41, 27, 25, 35, -14, 47, -36, 21, 9, -19, 28, 7, 21, -19, 10, 7, -43, -20, 0, 54, -11, -18, -58, -29, -50, -51, -19, 18, -40, 25, 58, 17, 31, 29, 67, -18, -32, -46, 4, -37, -16, -22, 10, 54, 96, -50, -7, 7, 57, -15, -39, -48, -38, 49, -25, -27, -10, -32, 23, 58, 12, 39, -14, 6, 26, 16, -27, -7, 46, -48, 63, 62, 55, 12, -40, -1, -49, 50, -17, 33, 12, -40, 15, 9, 41, -30, 45, 44, 51, -14, -60, -48, -21, 59, 12, -59, 60, -18, -15, -20, 43, -51, 57, 14, -52, 20, 42, -4, 60, -21, 36, -36, -59, -11, -15, 29, -46, -10, 46, 10, 35, -25, -48, -25, -62, 37, -56, 40, 51, -51, -24, -49, -33, -46, -11, 0, 4, -14, 23, 16, -8, 54, -28, 11, 48, 69, 33, 64, -28, -56, 62, -12, -48, 44, -2, -43, -2, -27, -61, 57, -30, 24, 48, 0, -33, 12, -13, 24, -29, 48, -7, -57, -28, 64, -9, -43, 51, -55, 34, 9, 49, -32, 55, -32, -5, -41, 40, -54, 44, 52, -32, 46, -36, -17, -39, -37, -55, -9, -4, -43, -10, 18, 26, -46, -40, 17, -50, -39, -9, -54, 11, 60, 13, 42, -1, 6, -49, -41, -1, 5, 40, -37, -7, 17, 27, 43, 49, 47, 56, 19, 59, -30, -44, -38, -16, 3, -38, 11, 17, -31, 44, -32, 23, 43, 15, -40, -54, 22, 45, 28, 33, 65, 7, 1, 12, 38, -47, 41, 24, 38, 9, 16, -2, -38, 1, 49, 2, 25, 44, 8, 2, 49, -51, -63, 26, 33, 42, -65, -70, -38, -35, -28, -38, -38, 74, 35, -44, -66, -28, -14, -10, -28, 4, -30, 7, -27, -40, 48, 54, -16, 21, 31, -36, 15, -39, 18, 23, 54, 43, -58, 5, 22, -1, 6, 58, 29, 48, -39, 0, -16, -40, 17, -31, -5, -24, 25, 28, 28, 4, 31, -9, 69, 3, 50, -35, -4, -31, -21, 59, 43, -40, -27, -44, 2, 50, -47, 21, -59, 53, -41, -23, -3, 17, 34, -20, -37, 19, 17, -2, -22, 26, -6, 31, -39, -58, -37, -51, 49, 38, -21, 23, 32, -17, 23, 21, -52, -43, -18, -58, 26, 19, -58, 63, -62, -43, -60, -2, 29, -10, -35, -56, 63, 38, 37, 11, 38, 16, 1, -17, 29, -64, -46, 32, -53, 28, -47, -29, 16, 25, 45, -60, 57, -24, 14, -26, 33, -41, -36, -30, -70, -43, -46, -42, -58, -49, 18, -17, 26, -32, 53, -17, -39, -33, -50, 20, -12, -18, 29, 22, 31, 24, 39, 40, 48, -6, 55, -69, 30, -46, -13, 33, -42, -33, -10, -31, -7, -51, 9, 19, 65, 61, -9, 28, -3, 28, -60, -62, 9, 44, -21, 51, -39, -25, 39, 51, -27, -32, -12, -19, 19, -6, 12, 54, 35, 5, -27, -39, 23, -31, -54, -30, 42, 51, 14, -37, 12, 40, 25, -5, 6, -36, -60, -36, 50, -50, -48, 2, -1, -25, 27, 42, 29, -64, 31, 39, -4, -11, 35, -57, -18, 9, 16, -49, 53, 35, 2, 6, 18, 28, -61, -3, -11, 37, 21, -38, -50, -21, 39, -29, 59, -36, 48, 55, -1, -62, 45, -11, 46, -59, 54, 24, -10, -36, 9, -58, -20, -25, -49, 15, 57, 22, -35, -21, 49, -38, 61, -16, 41, -34, 20, 48, -60, -57, 24, 49, 17, -53, -62, -23, -21, 54, -22, -51, -43, -10, 9, -8, -44, 20, 39, 23, -11, 42, -24, 34, -34, -26, 19, -23, 51, 50, -13, -29, 38, 33, -33, 3, 51, -18, -57, -17, 10, 44, -33, 14, -11, 14, -35, 28, 53, 2, 0, 48, -41, 29, -2, -60, -28, 21, 32, -8, 19, -18, 0, -4, -17, 33, 59, 10, -40, 47, -18, -49, -16, 26, 21, -18, 33, 18, 52, -6, 43, 3, -48, -21, -4, 48, 6, -62, -50, -36, 27, -23, -52, -11, -42, -20, -1, -35, -32, 49, 31, 47, -44, -6, 49, -16, -15, -55, 5, 34, 21, -35, 60, 52, -26, -65, -5, 33, -17, -63, -18, -16, -43, 14, 18, -48, -63, 39, -33, 54, 15, -5, -12, 56, 48, -30, -2, 32, 11, -54, -57, -28, 12, 37, 3, -18, -12, 58, -12, 55, -33, -61, 2, -46, 5, -20, 32, -1, 52, -28, -12, -46, -7, 4, -42, 58, 15, -58, 27, -46, -55, 11, 36, 38, 26, 38, -27, 16, 33, -7, 35, 0, -18, -44, 9, -4, -53, 30, -50, -48, 29, -37, 42, 9, -21, 57, 54, -3, 3, -52, 21, 49, 39, 36, -59, 44, -33, 12, -4, -29, -33, 20, -39, -44, 8, 32, -30, 28, -32, 45, -33, 21, 23, 53, -7, -17, -50, 26, 31, 21, -63, 52, -43, -37, -42, 44, 53, 14, 41, -58, 39, 29, 24, 31, -45, 13, -48, -9, 20, -5, -53, 25, 55, -12, -51, -60, -6, -53, -29, 6, -29, 47, 51, -7, -36, 48, -46, -5, -69, -45, 65, -58, 48, 59, 38, 35, 46, 11, -57, 49, -17, 41, 7, 56, -53, -10, 10, -8, -14, 50, -17, -37, -9, -29, 38, 21, 36, 15, -22, 18, -23, 17, 54, -25, -41, 5, 21, -34, -5, 48, 6, 58, -22, 23, 60, 36, -28, -39, -17, -51, -59, -27, 25, -33, -41, -42, 48, 38, -52, -52, 65, 46, -49, 8, -34, -4, -23, -23, 4, -19, -10, -39, -43, -18, -24, -60, -47, -41, 60, -5, 34, 13, 35, 10, 9, 4, -1, 37, -44, -51, -37, -4, -18, -38, -2, 38, -56, 3, -37, 14, 35, -60, 6, -14, -32, 58, 51, -22, -21, -56, 21, -6, -45, 11, 56, 58, -8, -34, 5, -61, -11, 26, -37, -53, -38, -18, 29, -4, 44, 41, -36, -20, -14, 47, 55, 64, 15, 18, -43, -48, -36, -25, 41, -1, 55, -48, 8, -3, 42, -20, 4, -11, 15, 15, -19, -48, -36, -22, 51, 61, -27, 44, -51, -35, -55, -48, -12, 41, 41, 60, -8, 17, 47, -29, 40, 28, 17, 53, -45, 6, -41, 11, 56, 24, -41, -20, 2, 28, -49, -10, -46, 36, 44, -8, -34, 16, 36, 36, 35, -29, -7, 3, -42, 27, 26, 18, 18, 12, -32, -60, 32, -2, 43, 4, 17, 47, 54, -39, 42, 8, 25, -48, 46, 21, -54, 59, -31, -25, 4, 59, 22, -57, -25, 47, 59, 18, 56, -22, -49, 49, -36, 1, 2, -53, -51, -36, 35, -14, 51, 57, -46, -25, 47, 35, -54, -57, -51, 17, -40, 8, 17, -24, 3, 51, 43, -54, -61, 41, 41, -4, -29, 46, -41, -42, 15, 49, -5, 15, 36, -43, -51, -24, 8, -19, -28, -23, 10, -18, -12, 11, 28, 53, -12, -15, -47, 39, -30, -53, 4, 34, -4, -9, 46, 6, 32, -17, 46, -47, -19, 29, 19, 11, 44, -62, -39, 34, -64, 27, 62, 46, 32, -40, -4, -6, -30, -49, 11, 21, -19, -51, -35, 34, -33, -32, 3, -25, 35, -47, -51, 33, -33, 29, -29, -7, -3, -41, -51, 46, 33, -39, -9, -60, 2, -24, -2, -25, -40, -39, -27, 46, 39, -62, 21, 54, -4, -67, -58, -18, 0, 20, -60, -43, -60, -52, -35, -4, 52, 18, -22, -44, 31, 61, 41, -12, -13, 41, 8, 58, -46, -53, -60, -46, -17, 36, -14, -48, -15, 7, -43, 12, 58, -61, -3, -60, 13, -60, -19, -50, 9, -29, -43, 62, 37, -26, -3, 51, 11, 22, -24, -26, -62, -7, -32, -15, -52, 24, -45, -45, 17, 16, -52, 36, -59, -8, -52, 19, -19, -59, 0, -23, -58, 33, -11, -56, 26, 18, -36, 43, -1, -2, 26, -60, 52, -51, -48, -55, 45, 48, 57, -22, -50, 38, 58, -50, 39, -39, -12, 37, -30, -60, 7, -29, 37, -50, 49, 47, -12, -19, 59, -25, -28, -18, -14, 21, -32, -34, -24, -59, -41, 21, -1, -33, -50, 61, -2, -58, -21, -15, -52, 29, -25, -20, -31, 32, -5, 57, -23, 53, 55, -37, -30, -13, 10, 26, 32, -67, -26, 41, -56, 4, 30, 35, 40, -40, 0, 48, 27, 44, -44, 56, 54, -64, -45, -29, 1, -34, -47, 42, -47, -34, 17, 8, 11, -41, 60, 39, 16, -33, -13, 59, 44, -36, -14, 36, -44, -11, 5, 40, 47, -60, -24, -51, 54, 49, 36, 23, 14, 4, 24, -8, 2, -51, -36, -43, 11, -36, -52, 18, -28, 21, 54, -45, 0, -47, 3, 23, -18, -10, 20, 34, 27, 1, 31, 32, 41, 57, -38, 41, -39, 45, 21, 34, 34, 24, -57, 29, 35, -61, -21, -15, -62, 8, -6, -17, 12, -31, -22, -35, -42, -57, 40, -15, -38, 15, -52, 58, -6, 51, 7, -56, 51, -38, -36, 7, -9, 22, -53, -53, -15, -44, -36, -45, 52, 5, -40, 27, 60, 22, -2, 10, -41, 38, -15, -60, -10, 26, 7, -13, -11, 19, -42, -42, 20, -35, 12, 24, -43, -46, 48, -19, -1, -4, 6, 0, 7, 33, 17, 13, -7, -34, 20, 23, 17, 55, -57, -56, -41, 38, -51, 35, -5, -53, 25, 13, 10, -3, -7, 7, -56, 12, -21, 47, -62, -62, -14, 4, 24, -1, 23, 1, 21, 57, -28, -8, -31, 34, 0, 51, 51, -6, 31, -30, 51, -8, -55, 43, 55, -58, -13, 39, -16, -43, 52, 12, 18, -16, -27, -29, 25, -4, -11, 29, 37, 26, -53, 46, 31, 29, -45, 18, -46, 25, -5, 26, 16, 7, 29, 3, -3, -32, 45, -59, -54, 37, 20, -19, -37, 4, -56, -3, -13, 44, 38, -38, -16, 37, -19, -61, 61, 21, 10, 58, 27, 43, -30, -27, 52, 4, 11, 68, 17, -20, 3, -26, 33, 56, 52, 17, -15, 47, -22, 18, 59, 59, 13, 5, 10, -7, 27, -15, 35, -36, -22, -38, 47, 16, -60, -37, 35, -61, -56, -38, 9, -11, 37, -39, -12, -6, -24, -10, -31, -42, 43, 61, 35, -8, 49, 30, -22, 2, -21, -28, 20, 14, 55, 34, 29, 37, 43, -15, 57, -7, -62, -1, 1, 11, -29, 52, -35, -56, 36, 26, -64, 7, -20, 1, 37, 23, -48, 13, -9, -14, 11, -59, 22, -24, -3, -7, 55, 39, -29, -65, -3, 42, 37, -33, -13, 34, 34, 31, -8, 9, -4, -43, 20, 30, -9, 19, 11, -50, -60, 15, 14, -23, -7, 40, -4, 2, 37, 8, -13, 46, 14, -25, 28, 10, -53, 38, -20, 23, -5, 29, -30, -23, -60, -34, 28, -43, 7, 61, 58, -61, -13, 42, 31, -70, 15, 32, 43, 56, -59, -38, 9, -23, -44, -32, -50, 13, -15, 21, -6, -7, 42, 17, 12, -22, 0, 7, -13, -25, 10, -42, -38, -24, -34, -12, -9, -56, 21, 46, 40, 34, -38, 54, 27, 38, 18, -39, 47, 12, 47, 35, -27, 35, 39, -70, -16, 33, -1, -37, 49, 49, -46, 51, -45, -61, 35, -66, -29, 47, -39, 10, 15, 14, -21, 25, -41, 50, -4, -61, -46, -55, -61, 5, 51, 39, -16, -37, 25, 69, -22, 49, -15, 31, 31, 12, -46, -6, -39, -35, -50, 4, -39, 16, -26, 21, -66, -58, -48, 20, 48, -51, -45, 48, -20, -24, 54, 32, -61, -41, -28, 15, -61, -52, 12, -5, -60, 26, 14, 51, -54, 36, 5, -55, -16, -5, -55, 55, 24, 21, 44, 7, 16, 8, 25, -14, -33, -23, 29, 45, 52, 34, 22, -46, -29, -59, 53, -58, 22, -47, 51, -41, -3, 11, -44, -20, -57, 59, 32, 15, 10, 30, 19, -62, -50, 17, -30, -75, -54, 39, -7, -37, 4, -32, 21, 16, -64, -33, 13, -12, -14, -29, -3, -10, -3, 11, 19, 36, -42, 52, -63, -26, 29, -7, -24, 42, 14, 19, 42, 35, -23, 18, -48, 23, -51, -1, 20, -51, 14, 55, -65, 65, -20, 36, -4, -30, 26, 78, -26, 17, 49, -27, 16, -17, -1, 49, 6, -67, -56, 51, -25, 36, -15, 44, 5, 22, 16, 50, 17, 38, -54, -15, -51, 2, 6, 26, -46, 43, -47, -39, -32, 12, 49, 35, -9, -8, -32, -53, -50, 29, -7, 35, 45, -58, 50, -59, -51, 55, 36, -44, 42, 35, 38, -44, 21, 25, 6, 47, -3, -25, 56, 2, 14, 47, -35, 59, 41, -56, 70, -50, -4, -46, 16, 55, 59, 50, 53, 34, -11, -22, -61, -42, 16, 4, -39, 19, 38, 16, 63, -50, -1, -47, -3, 16, 52, -49, -43, 15, 48, 53, 21, -4, 39, 7, -39, -16, 29, -3, 47, 21, 14, -37, 25, -12, 25, 6, 29, -25, -24, -45, 54, -9, 42, 48, -54, -59, 15, -51, 59, 30, -20, 2, 51, -2, 54, -3, -44, 38, 18, -1, 43, 14, 10, -49, -10, -3, 36, -64, 45, -27, -24, -56, -4, -34, 20, -41, -28, 39, -87, -12, 2, -59, -63, 55, 42, 54, 40, 34, 46, -29, 16, -12, 34, 43, 29, 8, 13, -42, 22, -38, 6, -55, 8, 31, 32, 48, 46, 44, -20, 14, -25, -24, -56, -44, -36, 12, -23, -45, 47, 18, 58, 13, -45, -43, -4, 7, -18, -33, 39, -22, 28, 54, -11, -74, -1, -3, -12, -45, 23, -21, -62, 26, -49, 15, -26, -56, 17, 40, -61, -42, -23, -17, -57, 21, -58, -25, 47, 39, -6, -43, 30, -23, -1, -56, -50, 8, 48, 5, 32, 36, 53, -12, 26, -20, -40, 47, -59, -7, 37, -60, 10, -70, 30, 13, 34, -9, -10, 42, -51, -15, -21, -11, -40, 7, 46, 8, 32, 20, 52, -64, 20, 49, -4, -64, -67, -30, -31, -6, 12, -6, 0, 11, -19, -14, 19, -9, -26, -55, 12, -54, 51, -25, -10, 47, -19, -59, 1, 51, 2, 51, 35, 18, 46, -30, -14, 2, 55, 53, -51, 11, 16, 4, -8, 56, -3, 51, 37, 24, -36, 3, -10, -19, -73, -13, 22, 37, 46, 47, 34, -14, -64, -52, -36, -14, -70, -53, -10, -38, 15, -6, 2, 24, 12, 52, -25, -25, -62, -11, 34, -50, 67, -13, -27, 58, 20, 5, -4, 59, -54, -38, -13, -23, -16, -56, 6, -52, -12, 24, -44, 17, -10, -17, 48, -19, -20, 7, 11, 32, -69, 9, 36, -50, 24, 16, 45, 52, 11, 3, -16, -11, -54, 14, 60, 2, 58, 56, 16, 37, 12, 41, 52, 25, 49, 48, 42, -50, -51, 17, 19, 40, -20, 7, 57, -9, 9, 11, 50, -21, 37, 38, -1, 5, -70, 59, -66, 18, -34, 56, -13, -3, -23, 82, -52, -29, 61, -32, 7, 17, -57, 14, 10, -38, -15, 23, -53, 30, 17, -9, 6, 45, 22, 28, -39, 61, -63, 59, -24, -24, -21, -22, 7, 45, 42, 62, 27, -68, -9, 23, -65, -14, 2, 51, -20, -26, -57, -8, 15, 23, -18, -61, 45, 1, -5, 44, -30, -9, 7, 53, -53, -22, -43, -45, -32, 51, 18, -19, -15, -34, 9, 28, -4, -52, 50, -2, -54, -1, -17, 40, 37, 47, -57, 28, 56, -53, 25, 56, 17, -23, 48, 50, -12, -10, -51, 53, 0, 26, 0, 54, 13, 49, 34, 42, 39, 7, -25, 38, 27, -40, -38, 52, -9, -4, -52, -23, -54, -40, -51, 4, -23, -37, 35, -49, 17, -10, -17, 47, -50, 56, 38, 5, 3, -1, -31, -6, 21, 16, 1, 18, -44, 25, 13, 37, 51, 24, 2, 27, 42, 22, 48, 42, 51, -63, 41, 48, 24, 5, -46, -50, -7, 36, -31, 55, 41, 19, 44, -28, -48, -32, 77, -8, 17, -16, -50, -17, 32, 52, -26, -39, -55, 49, -42, 27, -56, -50, -40, 4, 38, 56, 12, -19, 14, -46, -31, -57, -31, 38, -28, -36, 17, -47, 49, 18, 27, 15, 47, -57, -54, 0, -59, -23, -30, 49, 43, 31, -42, -84, -56, -60, -45, -10, 45, 38, 0, 31, -27, 57, 57, 17, 0, 9, -46, 35, 6, 49, 43, -13, -11, 32, 34, -25, -59, 19, -24, 42, -36, -62, 3, -26, -17, 38, -38, 50, 72, -23, 54, -21, -51, 54, 55, 46, 36, -35, 0, -11, -30, -30, -68, 4, -65, 57, 37, -30, 57, 37, 3, 21, 35, -28, -62, 45, -5, 11, -33, -22, -10, 45, 1, -26, -18, -48, 19, -7, -44, 10, -22, 31, -8, -18, -15, 12, 52, -33, 30, 3, -54, 9, -16, -35, -48, 38, -57, 4, 45, 15, -40, 22, 44, 56, -26, 5, -1, 62, -60, 28, -48, 31, 26, -7, -18, -7, 35, -21, 53, 41, 11, 34, 8, 30, -14, -28, -12, 0, -11, 39, 9, 2, -19, 18, 38, 50, -47, 37, -23, 21, -24, -45, -47, -57, -60, -29, -4, 35, 31, 17, -51, -15, 47, 19, 46, -11, 23, -37, 2, -1, 36, -67, -54, -50, -54, 60, 32, -7, 31, 33, 53, -54, -78, -56, -49, 28, -37, 51, 42, 61, -3, 30, -6, 2, 2, -20, -19, -40, 12, -7, 0, -10, -63, -37, 15, -19, 40, 21, -19, -47, -22, 37, -45, 27, 52, 11, 24, 29, -61, 16, 14, 40, 55, 45, -27, -16, -46, 13, 48, 60, 0, 26, -41, -11, 64, -12, -52, -53, 30, -1, -56, -67, 33, -11, -44, 61, 42, -36, -6, -34, -64, -3, 49, 20, 29, 56, 52, 14, 4, -18, 39, 53, -13, 31, -40, -63, -5, 10, -6, 5, 42, 56, 37, 25, 36, 33, 53, -25, 26, 46, 7, -61, -15, -46, -34, 51, -33, 2, 11, 56, -29, 3, -60, -37, 36, 22, 23, 3, 15, -18, -24, 34, 17, 21, 20, -27, -51, -34, -24, -26, -5, -62, 3, 22, -45, 61, 5, 8, 48, 59, 0, -50, 57, 42, -44, -29, 25, 55, 26, 18, 47, 52, -49, 25, 37, -26, -43, 2, -19, -46, -15, -48, -28, -51, -39, -24, 33, 69, 2, -15, 30, -32, -13, 49, 48, -21, 6, -42, -26, -40, 10, -1, -13, 4, 42, 41, 8, -53, 35, 22, 36, -5, -39, 26, 54, -16, -51, -53, -28, -4, 3, -54, -64, -39, 1, 40, 37, 56, -40, 30, 6, 33, 64, 14, 21, 50, 42, 25, 58, -40, -18, 58, -54, 25, -49, -57, 33, 24, -35, -10, -4, -7, -20, -67, 33, -4, 61, -21, -29, 23, 32, -34, 13, 21, 9, 48, 33, 26, -19, -18, 5, 43, 7, 45, 47, 60, -30, -3, 60, -50, 1, -51, 24, 37, -75, 20, 42, 44, -21, -27, 27, 61, -12, 28, 24, 37, 5, 24, 45, 30, -45, 28, -44, 24, -17, -55, 25, -10, 13, 30, 14, 59, 33, -38, -45, -35, -13, -45, -74, 43, -29, 7, -59, -24, 51, 34, -18, 44, -53, 40, 12, 45, -35, -30, 4, 20, 37, -25, 10, 2, -10, 45, -32, -61, -66, -5, 20, 40, -25, -26, 46, 45, 52, 50, -8, -49, -35, -62, 48, 64, -32, -54, -34, -37, -61, 7, 43, -23, -17, -17, 45, 11, 18, 17, -60, 46, 62, -38, 6, -39, 22, -22, -19, -18, -38, 36, -58, 26, 39, 29, -40, -46, -10, 32, 14, -33, -21, 19, 35, -13, 40, 32, 6, -12, 29, -51, 29, -66, -47, 7, -28, 27, 15, 63, 14, 4, 26, -14, 56, -28, -7, -15, -24, 0, 51, 52, -59, -30, -21, 30, 67, 18, 23, -60, 40, 26, -54, -32, -16, -48, 4, 54, 28, -21, -15, 16, -24, -69, 43, 0, 17, -2, 57, -47, 31, 52, -19, -39, -30, -14, 31, 12, 49, 44, -41, -46, -33, -6, -42, 45, 3, 6, 32, 67, -22, -13, 12, -15, 28, -24, 33, -57, -35, 17, 47, -32, 6, -33, 55, -44, -42, 16, 27, -54, -57, -51, -39, -61, -33, 36, 37, -32, -22, -42, 28, -51, -70, 29, 3, 25, 48, 59, -49, -57, 17, 54, -57, 27, 48, 5, 51, -26, -27, -4, -17, 36, -59, 16, 57, 38, 12, -1, 74, 7, 36, -47, 36, 32, -30, 21, 15, -34, 8, -2, 45, 27, 15, 3, 15, -10, -61, 12, 23, 47, -30, 17, -15, -52, -42, 12, 33, 13, -40, 45, 7, 3, -22, -31, 60, 4, 15, 19, 13, 8, -63, -10, -41, 53, 16, 31, -27, -49, -46, 38, 23, 13, -49, -59, -4, 64, 26, 34, 38, -18, -4, -19, 39, 58, 20, 46, 26, -60, -16, -11, 60, -40, -29, -45, 58, 7, 35, 24, 8, -49, 56, 53, 16, 28, 10, -52, -14, 51, -17, 5, -71, 27, 57, 64, -27, 25, 67, -7, 8, -9, 13, -49, -21, -63, -24, 53, -63, 58, 15, 38, -8, 51, 24, -8, -2, -4, 57, 10, -7, 26, -60, 50, 40, -15, 37, 30, -19, -43, 29, 16, 4, -56, -2, -60, -44, -16, 13, 39, -4, -58, 15, -11, 28, 52, -23, 56, -14, 24, 44, -12, 19, 0, 34, -22, -36, -50, -79, 50, 58, -52, 12, -40, 55, -23, -58, -11, -26, -33, 60, -28, -65, -26, -37, 5, -18, 47, 54, -32, 24, 48, -17, 15, 60, 38, -3, 37, -35, -2, 39, -8, 22, -22, -46, -6, -48, 49, -59, 53, -54, 12, 24, -32, -22, 37, -54, 18, 25, 7, 38, -14, -47, -43, 2, 60, 32, -55, -47, 52, -63, -14, -53, 42, 40, 46, -43, 41, 65, 31, 22, 51, 6, 3, 45, -7, -38, 4, -51, 21, -3, -32, -53, 29, 38, 50, 65, 61, -3, -25, 41, 46, -19, 46, 29, -17, -12, 61, 37, -60, -31, -9, -28, -30, -15, 52, 11, -7, -42, -8, -27, -10, -19, -15, -32, 0, 16, 0, 32, -24, -28, -9, -11, 28, -6, -59, 7, 34, -1, 17, 27, -9, -6, -50, 2, -39, 52, -27, 17, -18, 18, -47, -32, 3, 37, 60, -55, 17, 36, -53, -63, 18, 24, -19, -5, -52, -19, 7, 26, 22, -10, -13, -40, 13, 3, 48, -37, 0, -42, 33, -48, 30, 40, -60, 22, -41, 49, 59, -38, -36, -9, 6, -21, 31, -29, -16, -3, 0, -45, 45, -11, -47, 32, -29, -60, 6, -58, -35, 59, 54, -1, -15, 16, 44, 41, -32, -5, -26, -22, -36, 16, 56, 31, -5, -23, -4, 54, -45, -16, -42, 32, 15, -5, -16, 30, 9, -20, 21, -4, 13, -42, -42, 14, -43, -18, -33, -15, -13, 16, -59, 26, -42, -30, -44, -30, -47, -33, -36, 14, 36, -44, -61, 30, 44, 16, 2, -58, 63, 1, 15, -57, -12, 51, -45, -1, -59, 24, -53, -24, 2, 27, -30, -37, 38, -42, -36, 42, -18, -41, 10, -27, -40, 20, 53, 22, -3, 47, 34, -58, -48, 10, -37, 60, 5, -30, 26, 30, -62, 57, 12, -5, -41, 19, 32, 26, -42, 11, 20, 51, -35, -36, -31, -9, 39, 8, 62, 23, -28, -50, 11, -53, 47, -39, -64, -31, 16, -5, 4, -19, 40, 50, 36, 48, -57, -41, 26, 5, 20, -32, 17, -49, -32, 25, 24, -22, -50, -48, -47, 20, 24, 20, 54, 29, 13, -61, -28, 12, 52, 1, -6, -26, 31, -6, -73, -53, -35, -36, 26, -50, 55, -66, 23, 21, 33, 18, 42, 24, -25, -62, -52, -17, -33, 25, -25, -46, -32, -56, 28, -42, -21, -27, -27, -11, -17, 24, -47, 35, -26, 3, -18, -25, 16, 6, 31, 34, -51, -42, -6, -11, 12, -45, 14, 25, -13, 6, -44, 60, 25, 2, -49, 9, 45, -26, 28, -7, -12, 49, -32, 49, 7, -47, 57, -54, -61, 17, -55, -46, 16, -53, -18, 7, -20, 24, 2, -34, -12, -38, -7, 60, 56, 27, 33, 50, -17, 44, -5, 25, 17, 50, 30, -10, -9, 19, -49, 15, -31, 24, 25, -52, 4, -5, 26, 48, 52, 28, 14, 5, 30, 8, 45, 7, 2, -33, 49, -42, 33, -44, -11, 33, 42, -22, 57, 45, 7, -4, 23, 34, 41, -16, 18, 39, -8, -54, -34, 44, -44, -33, -29, 36, -66, 12, 18, 11, 34, -42, 0, 33, 0, -48, -14, -50, 2, -44, -4, -41, -65, -76, -67, 42, 35, -17, -41, -62, -55, -16, -49, 43, 17, -56, 47, -22, -46, 42, -45, -9, -4, -25, 19, -50, -53, -59, 46, -50, 48, 17, 34, 48, 35, -52, 40, 36, 5, 31, -20, 12, 34, 48, 40, 4, 12, 61, -67, -24, 54, -36, 40, 13, -1, 46, 61, 32, 2, -1, 46, -24, -43, 21, -38, -59, -1, -43, -47, 44, 24, -21, -17, -28, -36, 32, -33, 55, -10, -29, -42, 11, 37, -18, -3, 59, -43, 8, -57, 7, -27, 11, 27, 21, 34, -31, -7, 20, -20, 29, -32, -39, -23, 16, -45, 11, 24, 4, -11, -27, -46, 33, 16, 36, 47, -48, 21, 60, 58, -52, -18, 52, 24, -21, -48, 20, 12, -42, 12, -7, 9, 25, 27, 6, -24, 52, 58, 46, -50, 19, 12, -11, 7, 28, -3, 18, -41, 49, -14, 17, -16, -39, -53, -24, -55, -61, -13, 24, 29, 17, 30, 46, -27, 3, 29, 43, -30, 30, -31, -43, -8, -53, -48, 7, 12, 11, 44, 52, -62, 44, 44, -3, 19, -43, -16, -59, 32, 42, -17, -58, 45, -17, -48, -23, 14, -8, -11, 6, -47, -23, -27, -25, 58, -41, 29, 27, 20, 25, 46, 45, -61, 33, 10, -15, 55, -61, -10, 63, -27, -12, -33, -30, -14, 46, 47, -46, 62, 60, 38, 29, 13, 33, -47, 45, 1, 30, 48, -37, 49, -42, -37, -25, 62, 53, -42, -31, 20, 13, 43, -68, 72, -18, -38, 13, -18, 14, -60, -47, -2, -31, 11, -24, -56, -24, -30, 42, -33, 46, -63, -5, 28, 60, -5, 28, 7, -14, 48, 48, 45, -23, 47, 16, -21, -51, -12, -7, 31, -12, -7, -35, -24, 59, 37, -28, 13, -25, 53, -38, -20, 8, 49, -5, -58, -53, 55, 57, 53, -14, -40, -41, 15, 6, 35, 39, 45, -22, -52, -59, -44, 33, 56, -11, -12, 39, 12, 5, -36, -21, 15, -10, -10, -30, -8, 30, -1, 32, 42, 56, 3, 29, 44, 24, 2, 52, 1, -52, -8, 57, -42, 55, -43, 37, 35, -55, 26, 55, 24, 50, 59, 27, 20, -13, -26, -15, 8, 72, -23, 25, 27, -9, -21, -28, -9, -20, 60, 58, 59, 60, -19, 3, 5, -30, 33, -40, 60, 36, -13, 18, 15, 54, 25, 57, -35, 49, 30, -28, 6, -9, 32, -63, 64, 11, 6, 42, -27, 49, 28, -58, 19, 36, 31, 30, 59, 21, 23, 19, 43, 14, 30, -57, -42, -9, 29, -51, -26, 6, -4, 9, 0, -32, 32, 63, 44, 30, 18, -48, -8, -43, 37, -14, 54, 38, 28, 16, -42, -61, 30, -35, 43, 18, 50, 20, 22, 35, 48, 4, 0, -6, -5, 32, -36, -42, -71, -36, 32, 1, 23, -59, -19, 40, -10, -55, 17, -33, -40, -4, 4, 32, 25, 33, -31, -25, -15, -14, -62, 54, -18, -57, 76, -25, 1, 55, 22, 51, 52, -64, -34, -8, 40, 33, -25, -25, -28, 38, 18, -24, -56, 4, -56, -7, 25, 13, 9, 32, 33, 53, -48, -56, 14, 48, -19, -54, -50, -44, 19, 14, -42, -44, -46, -29, -16, 5, -63, -3, -25, 10, -21, 31, 18, -8, 48, 0, -15, -20, -63, 57, -58, -30, 20, 13, -9, 56, -64, 52, -58, -35, -18, -41, 2, 53, -25, -24, 11, 14, 6, -32, -21, -1, 17, -25, 63, -46, 18, -51, 37, -48, -19, -23, 41, 51, -8, -47, -54, 52, 41, -49, 4, 33, 54, 15, -45, 2, -9, -21, -16, -53, -38, 25, -37, -32, 56, 37, -3, -2, -12, 45, 48, -22, -32, 6, -8, -8, -27, 20, 58, 24, -63, 71, -36, -13, 52, 0, -30, 11, 59, 29, -25, 11, -15, -26, -62, 58, 19, -13, 8, 41, -5, 2, 7, -19, 11, -29, -54, -6, -5, 34, -28, -38, 21, 12, 30, -51, 16, -40, 17, -2, 17, 18, 49, 62, -38, 19, -8, 5, 51, -49, -11, -35, 49, 58, -9, 51, 62, -12, 52, 18, -24, 20, -7, 34, 47, -4, 0, 34, 3, 24, -33, -15, 14, -2, 13, 24, 24, 11, 7, 51, -53, -6, 27, 34, 29, 49, -56, 63, -15, -7, -4, 23, 44, -30, -11, 0, 6, 27, -43, 4, -26, -41, -45, 25, -65, -27, 25, -58, 19, -48, -39, -57, -22, 31, 2, 35, -1, -21, -12, 30, 41, 25, -38, 49, -3, -53, -23, 17, -26, -9, -59, 39, -29, 43, -55, 41, 50, 55, 1, 18, -27, 27, -62, -40, 30, 53, -48, -1, 25, -20, -34, -5, 22, -9, -27, 18, -53, -22, -23, -18, -62, -35, -20, -4, -32, 38, -1, 18, 49, 58, -53, -27, -39, -5, 22, -53, -70, 45, -4, -40, -11, 5, -6, -16, -22, 35, -7, -13, 0, 2, -12, -23, 19, 14, 1, -67, 46, 15, -10, 34, -23, 58, 10, 38, 60, 40, -27, -52, -52, 37, -18, 3, -35, -50, -58, 51, -24, -26, 45, 51, 29, 63, 19, 23, 29, 22, 39, 34, -32, -17, 22, -21, -37, 34, -28, -60, 60, -9, 59, -9, 24, 40, -57, -39, -41, -47, -22, 22, -21, 48, 40, 59, 26, 10, 45, -12, -8, -37, -1, -30, -45, -49, 11, -16, 35, -38, 36, -24, 47, -55, 49, -46, 29, 36, -57, -5, 15, -60, 46, 35, -38, 46, -46, 50, -22, 21, -23, 37, 1, 38, 0, 23, -11, -49, -9, 41, -41, -23, 41, -15, 16, 12, 37, -23, 44, -20, -39, 12, 53, -24, -2, -58, 37, -1, -9, -8, 21, 56, 51, 0, -36, 1, 22, 3, -55, 5, 15, -20, -52, -45, 39, 41, 34, -54, -59, -37, -60, -36, -10, 14, -11, 15, 5, -19, 31, -32, 56, 10, 46, 37, -22, -11, -2, 55, 46, -58, -50, -41, -40, 10, -2, -11, -16, -31, 25, 15, -39, 40, -64, -54, -42, -24, 66, -30, -40, 53, -2, 46, -47, 34, 33, -33, -1, -15, -57, 5, 23, 27, 1, -48, 9, -5, -52, 46, -46, -13, -64, -27, -54, -13, 6, 37, 14, -39, 43, 37, -7, -8, -22, 27, -34, -21, -58, -50, 28, -35, -49, 26, 42, -1, 35, 29, -20, 13, 59, 46, 23, -58, -44, 27, -60, 36, -27, -41, -50, 34, -57, 32, -57, 59, -51, -56, 50, -53, 31, 15, -33, 61, 43, -1, -19, 39, -22, -50, -21, -58, -32, 72, 20, -12, 37, -13, -16, -19, -13, 28, -56, 57, 30, 7, 75, -23, 41, 17, 4, -3, 40, 43, 20, 23, 58, 69, -21, 36, 62, 6, 3, 59, 25, 14, -25, -16, -49, -9, -62, -27, 77, -13, 13, -30, 35, 29, 9, 9, -21, -41, 14, -22, 50, 46, -44, -21, 2, -6, -26, -22, -70, 22, 6, -51, 48, -2, 13, 10, -3, -9, -47, 35, -30, -64, 51, 79, -29, 42, -36, -52, 6, -5, 2, 42, 22, -39, 35, 0, -4, -14, 26, 35, -28, 24, 53, -46, -13, 1, 33, -50, -18, 56, 69, 58, -14, 20, 48, -46, -19, 21, 4, -62, -29, 40, -51, -34, 58, 58, 57, -59, -21, -3, -34, 9, -19, 5, 42, -4, 22, 45, -30, 1, -18, 62, -38, -23, 24, 28, -36, -32, 27, -8, -5, -9, 17, 46, 40, -12, 3, -38, 17, -65, -35, -30, 14, 64, -6, -57, 2, 30, 48, 5, -38, -47, 32, -50, -61, 24, -3, 43, 13, 34, 33, 27, -1, 46, 17, -18, -31, 38, 44, 52, 61, 64, 86, 62, -38, 70, -47, -5, 60, 18, 9, 37, 28, -32, -25, 14, 42, -41, -47, -3, -51, -40, -17, 27, -66, 47, 17, 57, -19, 46, 12, 3, -47, -21, -5, -46, 21, -25, -16, -35, -41, -8, -67, 14, -56, 14, -54, 28, 11, -28, -10, -44, 22, -10, -32, -21, 9, -44, -29, 27, 28, -20, -4, -42, -33, -53, -54, 64, 19, 51, -20, 20, 42, -10, -37, 26, 21, -44, -42, 8, -58, -47, -21, 52, 19, -72, -1, -63, 25, 20, 4, 35, 43, 83, -44, 39, -20, -39, -10, 59, 22, 18, 45, -57, -10, 29, 6, -12, -49, 50, 49, 8, -36, -38, 16, 50, -51, 18, 4, 2, -21, -31, -21, -11, -25, 28, 43, 58, 55, 67, -62, 40, -49, 22, -7, 3, 9, 27, 53, -30, -13, 20, -41, 41, -11, -13, 18, 58, 21, -60, 53, -13, -38, 21, 11, 45, 10, -61, 51, -28, -32, 26, 58, -39, -17, 5, 41, 22, -15, 0, -30, 54, 41, -42, -46, 34, 28, -25, -5, -10, -16, -15, 62, 18, 32, 25, 36, -35, -29, -22, -10, -7, 20, 38, 14, 26, 55, -28, -14, 11, 9, 58, 39, -71, -21, 17, 32, -23, -38, 6, 62, -12, -10, -59, 27, 12, -25, 32, -31, -24, 41, -23, -8, 58, -39, -24, 45, -31, -3, 29, 31, 31, -25, -42, 39, 63, 42, 17, -32, -2, -15, 14, -1, -29, 74, -15, 2, 25, 41, -2, 14, 23, 1, -13, 41, -52, 49, 37, 25, 33, -6, -2, -58, -2, 62, 30, 4, 54, 1, -13, 32, 1, -18, 28, 25, -4, -15, 42, 35, -20, -66, 66, 23, 6, -46, 7, -25, 67, 5, -12, 37, 44, -39, 48, -37, 40, 21, 12, -40, 8, 61, 34, -19, 41, 42, -36, 15, -13, 10, -13, -53, -14, 41, -56, 6, -18, 32, -11, -23, 33, -50, -51, 24, 39, 30, 60, 26, -60, -37, -28, -45, 40, 19, 5, -12, 44, 31, -17, 14, -10, 50, 25, -30, 62, -45, 53, 18, 57, 12, -60, 37, -43, 30, -59, 11, -34, 13, 5, 52, 42, 31, -31, -14, -33, 61, 22, -13, -10, 30, 43, 36, 53, -21, -75, 19, 41, -17, -51, 39, 51, -30, 53, 48, -11, -39, 39, -7, -10, 0, 13, -14, -40, 44, -48, 6, 57, -33, 14, 37, -6, -63, -27, 48, 13, 49, -26, -27, -18, 0, -33, 27, -8, 12, -20, -53, -5, -29, 13, -64, -37, 40, -52, -19, -3, -34, -56, -10, -22, 10, -46, 40, -56, 10, 10, -44, 38, -16, 1, 61, 33, 11, -19, 35, -8, 31, 12, 59, 48, 22, 41, 17, 45, -29, 64, -48, -16, 18, 8, -1, 3, -26, 9, 36, 1, 10, -20, -37, 8, -31, 18, 6, 23, -14, 36, 30, -3, 45, -33, -58, -37, -9, -32, 46, -30, 28, 61, -38, 53, -5, -65, -45, -19, -17, 40, -45, -51, -55, 10, -53, 65, 42, -18, 67, -42, 22, 35, 13, -20, -24, 51, -40, -33, -31, -52, 57, 11, -32, 45, 50, 18, -21, 12, -21, 42, -50, -20, -58, -26, 49, -48, 20, 12, -3, 40, -11, 46, 21, 3, 39, -29, 65, 20, -3, 55, 5, 44, 4, 5, -12, 26, -48, 34, -20, 36, 27, 19, 7, 20, 42, 10, -45, 59, 25, -7, 29, 26, 52, 0, 47, -28, 6, 49, 7, 29, 45, -31, -31, 25, -39, -11, -56, -52, -51, -24, -34, 24, 13, 45, -25, 32, 59, 55, -31, 21, -16, -32, -12, 32, -13, 37, 10, -32, 28, -7, 20, -37, -47, -27, -15, -58, 57, 51, 8, 8, -69, -48, -7, -29, 22, 49, 10, -30, 16, -52, 67, 33, -35, 51, -24, -79, -46, -38, 13, -22, 27, 26, -1, 28, 68, 29, 3, -38, 50, -5, -20, 9, 6, -3, 59, -39, 56, 11, -3, 19, -11, 23, -54, -3, 20, -32, -42, 24, -21, 41, 1, -46, 57, 54, 61, -8, 39, -29, 10, -8, 48, 38, -4, -51, -33, -1, 30, 29, 22, 5, 19, -23, -33, -27, 26, 0, 62, -21, 24, 35, -5, -9, 39, -21, 16, 32, 4, -46, 9, 55, -2, 61, 22, 54, -38, -57, -34, -72, 44, 22, -61, -42, 14, 39, -17, -19, -5, 56, 53, -60, -11, 12, -26, -38, 28, 25, 62, 60, 48, 43, 42, 11, -21, 13, 40, -24, 42, -39, -37, 20, 77, -63, 59, -30, -34, -6, -49, 16, 57, 47, 39, -36, -33, 57, -47, -22, 10, -26, -42, -42, -53, 44, 53, 61, 27, 24, 64, -4, 68, 78, -70, 57, -45, -37, -27, -24, -4, -59, 29, 16, -33, 17, -31, -11, 26, -50, -47, 63, 16, -69, -66, -41, 30, 52, -35, 20, -19, 21, -32, -13, 41, -61, -47, -17, 35, -46, 31, -20, -11, -65, 25, -42, -16, -18, -68, 47, -33, -6, -31, 60, -41, -28, 55, 18, 10, -20, 40, -35, -35, -51, 8, -62, -14, -14, -43, 31, -6, -38, 11, 16, -36, 48, 25, -54, 5, 35, -63, -7, 23, -1, -42, 30, -56, 57, 16, 54, 47, -61, 49, -18, -27, -1, 21, 30, -26, 19, -14, -60, -35, 29, -27, 64, 29, -8, -48, -52, -13, 35, -10, -61, -53, -4, 55, -15, 23, 6, 56, 15, 38, -4, -28, -16, 20, -52, 14, -23, -50, 65, 37, -11, -26, 52, 10, -19, -5, 52, 51, -19, 47, 26, 29, -46, 7, -29, -55, 59, 10, 54, -51, 4, -1, -40, -51, 56, -12, -31, -65, 26, -8, 30, -8, -27, -7, -24, -42, 39, -29, -46, -59, 43, -26, 25, 27, -3, 42, -30, 53, -32, 47, 26, 24, 28, 52, -24, -34, -24, 57, 23, -16, 19, 57, -6, 23, -23, -12, 2, -46, -46, -48, -44, 15, -20, -18, 61, 39, 6, -33, 44, 45, 57, 25, -39, -4, 13, 38, 19, 43, -23, 38, -19, -58, -17, 44, -49, -1, -35, -50, 12, 27, -6, -4, -50, -17, 6, 29, -25, -20, -46, 56, 28, 7, -26, -12, 17, -60, 22, -25, -57, 37, 50, 39, -42, 24, 51, -44, 4, 42, -52, 59, 55, 35, 31, 55, 46, 52, 25, -9, -51, -39, 12, -5, -3, -6, -51, 55, 52, -30, 37, -17, 1, -7, 29, -62, 34, -28, -16, -31, 44, -55, 52, -26, 9, -46, -30, 5, -27, -1, 45, -35, -61, -43, -54, 25, 14, -45, -11, -18, 26, 0, 53, -16, 48, -61, 59, 34, -40, 45, -65, 10, 9, -17, -48, -25, 16, 50, 22, 28, -45, 11, 44, -23, 61, 7, 1, -59, -21, -1, -11, -59, -18, -10, 32, 52, 53, 9, -51, -10, -26, -12, -15, -38, 10, -60, -41, -20, 42, -13, 7, 36, 26, 57, -35, 0, -57, 20, -17, -2, -24, -25, 17, 6, 2, -4, -7, 23, -51, 61, -61, 4, -19, -25, 30, 54, -37, 24, 19, -6, -19, -22, 25, -10, -60, 1, -52, -35, 27, 46, 13, 55, -55, -10, -58, 15, 24, -23, -16, -8, -29, 46, 39, -5, 0, -24, 16, -49, -53, 22, 0, 8, -58, 4, -8, 3, -25, 41, -5, 59, 59, -22, -6, 8, 35, -57, 20, 30, 53, -40, -23, 0, -5, 21, 52, -37, -44, 23, -20, 34, -56, -13, -28, -13, -47, -61, 46, 22, -9, -1, 29, 0, -28, 16, -10, -25, -14, -16, -56, 36, -50, -47, -34, 60, -4, 57, 40, 20, -1, 40, 25, 46, -15, -47, -53, -41, -28, -41, 30, -11, 3, 34, 35, -21, 52, 31, 30, 60, -19, 39, 24, 25, 45, 18, 42, 18, 12, -58, -26, -60, 58, 33, 10, 49, 17, -3, -57, 27, 58, 20, -47, -53, -16, 2, 53, -23, 4, 38, 4, 13, 9, 25, -48, -14, -22, 48, -59, 56, 17, 19, -45, 53, -9, -25, 38, 12, -10, 30, -16, -2, 31, -22, -19, 17, -19, 8, -38, -43, 29, 54, -33, -60, -6, -56, 53, -61, -26, 16, -1, -1, 27, 47, -24, 4, 36, -49, 30, 12, 12, 19, -14, -22, -37, -51, 28, -5, 39, 24, 54, 27, -49, -49, 48, 0, -7, 48, 29, 14, 61, 15, -56, -28, 49, -8, -27, 17, -8, 50, 22, -28, 19, 27, -2, -39, 24, 29, 26, -50, -30, -35, 49, 6, 2, -25, 51, -12, 48, 53, 12, -63, 9, -41, -65, -54, -2, -4, 36, -2, 59, 42, -30, 61, 51, 20, 57, -40, -14, -24, 35, -26, 29, -8, 40, 29, -29, 16, -33, 47, -53, 19, -52, -48, -11, -49, -4, -27, 34, -18, 14, 49, 40, 39, 17, -54, -60, -5, -57, -31, 1, -43, 49, -2, -27, 59, 5, -10, 26, -18, -23, -42, -21, 7, 50, -7, -38, 25, 27, 40, -15, 14, 39, -7, 0, -5, 16, 39, -16, -31, 2, -62, 58, -45, -19, 13, -51, 1, -19, -10, 3, -35, 2, -21, 21, 16, -34, 40, 41, -1, -24, -42, -45, 10, -2, 1, 32, -7, 33, 47, -39, 34, -36, -8, 42, 3, -1, 32, 16, -12, 21, -56, 25, 38, -33, 19, -41, -19, -22, 8, -18, -26, -49, -58, -25, 4, -3, -29, 57, -20, -25, -50, -6, -48, 5, -6, -56, -29, -57, -43, 54, -36, 14, -40, 25, 17, -5, 54, 10, 47, 29, 38, 1, -44, 53, 59, -53, 18, -8, 5, -48, -27, -38, 53, -39, 47, -20, 40, 54, -28, -27, -22, -30, -15, -14, -40, -27, -34, -47, 7, 44, 31, -41, -35, -59, 6, -54, -37, 17, -17, 34, -36, -30, -1, -59, -60, 5, -55, -35, 5, 31, -59, 23, 53, -18, -45, -28, -17, -22, 0, 54, -42, -1, -64, -19, 56, 48, 52, 9, -15, -61, -14, 0, 23, -59, 21, 29, -33, 35, -57, 37, 32, 33, 10, 56, 32, 31, 20, 42, -7, -39, 48, -21, -36, 5, -4, 35, 13, 60, -46, -17, -30, 60, 50, -23, -53, 21, -43, -2, 49, 31, 50, -18, -35, -32, 6, 1, -7, -49, 14, -47, 12, -15, -51, -25, 1, 14, -14, 0, -42, -55, -65, -18, 37, -15, -48, 23, -57, -4, -16, -8, -54, 40, 10, 21, 2, 57, 21, -23, 48, -32, -61, 46, -15, 47, 56, 17, 40, 19, -47, 30, 6, -13, 38, -42, 24, -31, -16, -4, 31, -21, 52, 39, -55, -2, -17, 38, -29, 3, -55, -46, 6, -20, -31, 14, -30, 45, -4, 49, -55, 3, -53, 43, 22, 29, 48, 39, 20, 7, 1, -52, -43, -45, 57, 0, -24, -59, 52, 57, -53, -19, -48, 12, 49, -32, 49, -45, -13, -11, 28, -6, 46, 20, -33, -27, -41, -56, 60, -25, -23, 16, -16, -6, -25, -4, -32, -16, -52, 13, 44, -30, 26, -35, 41, 48, -8, -50, 14, 11, -39, -4, -6, -49, -44, 15, -33, 2, -44, 8, -46, 55, 46, -56, 27, -35, -43, 51, -44, -22, 25, 2, 52, 3, 59, -25, -25, 46, -25, 37, -22, -5, -48, -67, -50, -21, 20, 34, -14, -30, -45, 5, -53, 45, -59, 22, -13, -22, -38, 11, -48, 32, -62, 2, -17, 47, 8, -58, -44, 59, -41, -49, 60, -17, 3, 41, -46, -25, -60, 16, 15, -53, -54, 37, -19, -11, -26, -20, -1, 9, -51, -33, 9, -2, 35, -55, -55, -4, -42, 47, 15, -51, -17, -54, -51, 28, -62, 0, 58, -8, 36, -7, -57, 15, -58, -2, -1, 15, 45, 45, -56, 41, 14, -36, 16, -60, -13, -15, -51, 4, -4, -57, 13, -50, -51, -49, -3, -23, 55, -26, -33, 46, -2, -16, 1, -61, 13, -23, 9, 0, -39, -9, -27, -42, 14, 54, -46, 59, 15, -11, -23, -60, 3, 9, -44, 9, -42, 5, -44, 44, 13, -13, 35, 25, -40, -15, -48, 24, 56, -48, 39, -35, -37, 7, 15, -37, 35, -29, -8, -58, 4, 51, -47, -50, -13, -61, 8, -49, 51, -11, -4, -18, -52, 18, 16, -2, -16, 6, 54, 45, -23, 21, -52, -48, -19, -21, 46, 27, 56, 21, 45, 46, -6, 48, -42, 36, -10, -39, 1, 51, -4, -58, -9, -39, -52, -16, -36, 59, -13, 53, 41, -55, 55, -47, -23, 27, -52, 3, 40, 49, 10, 19, 12, 27, 53, 12, -19, -6, -13, 13, 39, -26, -20, -20, 12, 38, 43, 58, 8, -48, 37, -2, 32, 54, -33, -19, 51, -61, -59, 4, -41, -37, 27, -5, 57, -46, 54, -3, -13, -56, -48, 3, -24, 57, -5, -28, 0, 5, -45, 4, 0, -4, -11, 12, -28, 35, -25, -29, 18, -44, 26, -25, 38, -56, 45, 35, -36, -32, -12, 7, -21, 4, -37, 41, 46, 55, 28, 31, 7, 3, -27, -15, -41, -52, -53, -18, -7, -4, 36, -37, 8, 19, 75, -36, 3, 38, -52, 8, -47, 59, 42, -17, 77, 5, 31, 60, 52, 7, 42, 11, -36, -62, -63, 38, -36, -25, -35, 14, -12, -1, -59, -45, -21, -12, -14, 24, -62, -18, -44, 29, -37, -57, -23, -27, 6, -50, -45, 34, -27, 44, 13, 33, -34, -32, -55, 24, -40, -46, -67, -22, 35, 35, 30, 65, -78, -26, 33, 22, -11, -37, -55, -16, -7, 3, 15, -34, 50, 24, -33, 46, 32, -32, 54, -47, -62, 50, 34, -86, 58, -23, 7, 32, 59, 44, -58, -23, -40, -1, -53, 19, -25, -5, 28, -29, 54, 58, 31, 16, -58, -7, 37, -61, 7, -49, -31, -29, 0, -27, 46, -35, 35, 26, -32, 0, 33, -55, -73, 9, 16, -51, -36, -45, -57, 27, -63, 21, -67, -5, -40, 22, -55, -41, 22, 50, 24, -9, -54, -48, 49, -8, -27, 39, 40, 51, -15, -18, 29, -33, -24, -33, -25, -33, -36, -39, 28, 11, -32, 13, -72, 48, 0, -70, 14, 38, 22, -18, 32, -58, -26, 52, -52, -14, -22, -32, -31, 35, 39, 6, -57, 34, 12, -38, -34, -11, -23, 23, 13, 29, 37, 44, -59, 15, -32, 1, 23, 57, 1, -69, 11, -65, 1, 33, 59, -65, -24, -25, -64, -19, 40, -43, 30, -38, 27, -27, 35, -31, -30, 27, 7, 31, 20, -49, -39, 20, -21, 34, 19, 17, 16, 10, -12, 49, -6, 17, 33, -61, -55, 43, 17, -21, -65, 41, 25, -4, -20, 46, -31, -63, 15, 2, 24, -15, -15, -13, -46, -59, 64, 21, 69, 38, -5, 61, -37, 47, 19, -19, -9, -57, -16, 22, 55, -11, -18, -60, 24, 22, -17, 55, 31, 35, -8, 38, 16, -27, -41, 44, -64, 9, 45, -36, -30, -3, 45, 0, -44, 8, -12, 16, -55, -8, -4, 6, 34, 34, 26, 19, -44, -22, -17, -61, -35, -22, 31, 15, 25, 53, -50, 25, 58, 13, -45, -41, 2, -55, -25, -36, -14, -12, -56, 25, 43, -13, -40, 75, -36, 50, -16, -11, 45, 30, 8, 9, -25, -14, -7, 7, 26, -16, -12, 2, 20, -33, 5, -4, 38, 29, 12, -35, -27, 29, 5, 11, 57, -48, 17, -34, -47, 26, -22, -32, -40, -13, 65, 33, -22, -11, -23, -59, 20, 4, 14, 7, -1, -47, -13, -7, -5, -44, 44, -32, 53, -56, 27, -54, 40, -36, 12, 15, -17, 20, -32, 14, 0, 44, -46, 9, 46, -28, -28, 5, -65, 55, 4, -56, -62, 30, -37, 30, -23, 41, 22, 20, 23, 0, -32, 25, -17, 17, -43, 42, -13, -65, -31, 47, 42, 21, -24, 25, 53, -18, -42, 18, -18, -33, -51, 53, -60, -33, 22, 31, -39, 37, 51, -53, -3, 16, 3, -16, 0, 21, -48, 43, -64, 3, 15, 27, 24, -5, 1, 77, 20, 46, -53, -6, 9, 7, -74, -62, 24, -26, -7, 2, -62, -12, -23, 39, 33, -6, 44, 46, 53, -41, 32, 50, 30, 18, -42, 30, -24, 17, -7, 49, 11, -48, 61, -19, 27, -60, 21, -34, 46, -54, 3, 21, -4, 33, 26, -39, -54, -60, -42, 4, -61, 49, -33, 27, 10, 45, 6, 2, -50, 22, 31, 19, 1, 48, 73, 55, -15, -34, -5, -28, -24, 61, -42, -56, 19, -1, -38, 52, -41, -28, -64, -35, 42, -16, -5, -15, -5, 25, -3, 27, -23, 7, -27, 20, -13, -28, -14, -15, -71, -48, 8, -50, -20, -75, 36, 15, 44, -30, -50, -59, -26, -14, 2, -49, -9, -56, 60, -65, -32, -50, -41, -19, 0, 63, -60, 32, -8, 32, -38, 2, -36, 45, -62, 38, -35, -58, 55, -47, -22, -61, -40, -60, 46, 15, -36, -55, -63, -46, 42, -47, -12, 23, -1, 40, 30, -18, -28, -30, 66, 37, -2, 43, 47, -25, 11, 33, 3, -13, -46, 42, 19, -17, -10, -8, -3, 52, 52, 32, -47, 53, -32, -30, 33, 25, 24, -23, 48, -18, 35, 35, 5, -30, -24, 39, 54, -19, 42, 8, 8, 54, 68, -12, 47, 51, 61, 24, 54, 12, 20, 54, 1, 16, -26, -3, 33, 29, 11, -50, -48, 1, -12, 12, 49, -24, 32, 16, -8, 8, 57, -44, 15, -4, 37, 16, -14, -36, -16, -36, 58, 20, 6, 34, -44, -6, -19, -56, -32, -18, 52, 49, 15, 60, 4, -78, 43, 10, -17, 43, -27, -35, 12, 42, 59, -41, -2, 1, 49, 5, 1, 5, 4, -38, 46, 0, 29, 51, -16, -2, -2, 19, -28, -25, -25, -30, -51, -45, 46, -49, -40, -31, 30, -54, -15, 4, 56, -48, -33, 19, 16, -2, -4, -55, -4, 5, -29, 8, -57, 37, -22, 27, -58, 11, 12, -35, 29, 67, 51, -26, -2, 43, 51, 10, -19, -28, -54, 8, 6, -57, -36, 60, -22, -37, 8, 56, 35, 15, -36, -19, -18, 16, -18, 40, -32, -1, -43, 35, -56, 33, 81, 4, -4, -30, 4, 27, 30, -46, 48, 41, 33, -56, 2, 3, 43, 0, -21, -43, 12, -61, 13, -28, 23, 12, -36, -4, 17, -39, 32, -2, 48, 45, -29, 0, 13, 48, -19, 47, -57, -2, 7, -10, -22, 47, 31, -10, 19, 47, -1, -24, -14, -8, 43, 53, 15, -45, -17, -7, -52, 2, -17, -39, -21, 57, 5, -58, -38, 36, -36, 27, -56, -43, -43, -16, -52, 46, -70, 11, 20, -43, -54, 50, 20, 29, 55, 41, 21, -47, -2, -16, -4, 9, 45, -11, 32, -52, -3, 1, -4, -15, 42, 49, 17, 43, 29, -48, -64, 9, -34, -11, -63, -35, -22, -46, -35, 53, -7, -16, 15, 6, -11, -42, 7, -38, 25, 47, -39, 7, 18, 33, 23, -66, -16, 12, -36, -23, -45, 20, 15, 40, -7, -28, -63, -36, -34, 35, 23, 42, 11, -30, 50, 32, 9, -47, 27, 56, 34, -15, 1, -9, -36, 49, 24, -22, 7, 59, -56, 20, -23, 67, 60, 29, 7, 32, -20, -40, 23, 13, -43, 39, -11, 8, -30, -1, 62, -38, 34, 14, -2, -2, 19, 11, -17, 11, -20, -4, -27, 22, 45, -2, -51, -16, 60, -37, 25, 17, -40, -61, -48, -31, 11, 54, -12, 23, -43, -39, -1, -24, 24, 1, 37, -8, -53, 28, -65, -20, 13, -20, -20, -32, 41, 54, 47, -45, -8, -51, 32, -13, 58, 24, 7, -60, -62, -44, -51, 6, 1, 24, -53, -56, 11, -3, -29, 41, -61, -59, -25, -27, -19, 43, 25, -12, 1, -42, -45, 27, 24, -22, 29, 18, -52, 3, 1, -6, -24, 46, 46, -45, -33, 65, 60, -22, 54, -23, -53, 55, 6, 15, 39, 46, -28, -29, -34, 4, -53, 42, -49, 15, 47, -22, -72, -45, -61, -51, -26, 15, 62, 4, -41, 12, -57, -23, 36, 3, 12, 7, -3, -4, 43, -54, 32, -48, -40, -10, -4, 16, 50, -55, -1, -55, 27, -15, 12, 37, -52, 17, -11, -12, 38, 27, -2, -32, -13, 43, 9, -29, -46, -2, -69, 56, -15, 14, -18, 18, -6, -39, 13, -28, -34, -16, 26, -27, -54, -41, 12, 42, -11, 35, 46, -19, -45, -18, -58, 12, -2, -13, 13, 44, -46, -35, -45, -11, -46, 21, -16, -23, -1, -24, -1, 47, -19, 3, 25, 0, 49, -10, 59, 17, -57, -32, 33, -12, 18, 51, 43, 36, 4, -20, -9, -10, -38, -19, 24, -27, -64, -49, -18, -57, 49, -28, -45, -18, 44, -54, 1, 52, 11, -43, 46, -1, -33, -44, -10, -23, -8, -30, 47, -49, -45, 56, 42, -3, 50, -23, -14, 3, 7, -7, 6, 22, 4, -39, -33, -33, 27, 16, -16, 23, 48, 21, -7, -18, 9, 32, 18, -61, 32, 47, 63, 57, -24, 43, -1, 15, -51, 47, 54, 45, 8, -12, 37, 51, 13, -14, -8, -30, -60, 4, 39, 0, -33, -55, -43, -58, 14, -3, -55, 15, -12, 27, 56, -23, -56, -39, -29, 7, -34, -55, -57, -27, 43, 43, -51, -30, 0, 34, -16, -38, 47, -38, 43, -30, 61, -30, 59, -46, 55, 27, 0, -25, -16, 1, -39, 40, -3, -59, 27, -49, -10, -33, 26, 41, -18, -14, 42, 18, -39, -4, 1, -50, 13, 24, 31, 32, -50, 28, -60, 62, 7, 28, 56, 18, 61, -53, 30, -52, -47, -47, -38, -61, -25, 25, -5, 39, -61, 25, 43, 7, 9, -37, -31, -36, -5, -17, -18, 31, 34, -13, 34, 47, -28, 46, -14, -38, -7, 0, 9, -4, 48, 53, 27, -35, 44, 31, -25, -52, -8, -13, -22, 42, 8, -8, -5, 29, -54, 26, -27, 15, 20, 39, 3, 12, -25, -55, 46, -7, 20, -24, 42, -41, 24, 8, 41, -34, -3, 20, -10, -1, -2, -9, 24, 21, -14, 38, 61, -42, -43, 25, 2, 19, -15, 47, -7, -38, 6, -48, 13, -60, -33, 22, 19, -55, -16, -53, 50, 16, -25, -31, 61, -53, 11, 25, 27, 33, 37, -13, 44, 56, 6, -64, -54, 8, 6, 37, -37, 15, -22, -29, 13, -2, 34, 35, -35, 5, -56, -22, 14, -29, 50, 18, -36, 28, -10, -5, -16, -61, 52, 9, 4, 41, -12, -4, -34, -1, 50, 48, 8, 40, -58, -21, 21, 34, 3, -2, -15, 17, 49, 16, -13, -35, -16, 1, -7, -13, -2, -53, -18, 21, -31, 47, -6, 25, 1, -23, 19, 12, 23, -16, 27, 12, 58, 23, -20, 61, -31, -2, 33, 18, -21, -6, -28, 33, 2, -43, 8, 8, 10, 53, -63, 18, 25, 18, 20, -8, -36, -41, -53, 18, -10, -47, 58, -31, -10, -55, 48, -13, 55, -35, 29, -24, -33, 37, -51, -65, 42, 3, 45, 45, 49, 27, 14, -17, 28, 30, -14, 36, -19, -47, -25, 44, -42, 28, 13, -26, 4, -15, -17, 31, -51, -21, 45, 59, 26, -54, -20, -58, 56, 47, -26, 46, -12, 28, -1, -13, 8, -45, 2, 5, -20, 29, -53, 6, -27, -33, -41, -19, 41, -72, 19, -51, -38, -14, 51, 4, -42, -7, -13, -60, -14, -39, -46, 29, 6, -44, 27, -7, 54, -22, 57, -42, 44, -15, 36, 42, -26, -43, 58, 49, -52, 50, 15, -23, -50, -50, 51, -18, 21, 37, -13, -41, -9, 6, -9, -33, -56, -6, 25, 7, -56, -53, 16, 0, -32, -16, -45, -35, -58, -42, -48, 32, 44, 15, -59, -28, -52, -53, -61, -19, -33, -14, -42, 54, -4, 33, -18, -6, 15, -9, 3, -32, -35, 8, 39, 0, 2, 23, -41, 26, 27, 33, -53, 39, -8, -28, -16, 60, -32, -2, -42, -61, -19, -13, 19, -7, -30, -30, 10, -4, 67, 23, 27, 9, 50, -38, -22, -53, -28, 44, 22, 50, -22, -34, -35, 3, -50, -57, 51, 3, -34, -48, -11, 30, 35, 39, -16, 27, -33, 43, -61, 5, 14, 31, -33, -50, -60, -35, 32, -31, -42, -10, -47, -15, 22, -2, -27, 35, -54, -49, -26, -54, -52, -46, -34, 44, 37, 39, 52, -38, -11, -55, -35, -25, -4, -66, 9, -35, -15, -29, -27, 40, -31, -14, 32, 25, -14, 35, -32, 56, 60, 42, -47, 32, -13, 51, -36, 20, 50, 59, 43, -6, 24, 6, -43, -1, 24, -34, -8, -4, -60, -47, 7, 50, 56, -12, 56, 54, -32, -23, 21, -50, 42, -38, 31, -36, 14, -26, 21, 39, -4, 46, 40, 43, -67, 27, -29, -2, -47, -37, -19, -62, -41, -3, 51, 15, 22, -9, -28, -27, -39, 55, -6, -29, 41, 42, 16, -8, -21, 34, -11, -10, -56, -35, 6, 45, -55, 54, -58, 54, 56, 67, 34, 16, -51, 4, 0, 23, -45, 28, -7, -61, -30, -4, -58, -17, -38, -53, -46, 30, -31, -50, 11, 12, -51, -4, 24, 32, 2, 23, 17, -50, -39, 49, 8, -33, -20, -1, -48, 10, -5, -57, -38, 47, -46, 29, 45, -1, 50, -59, 31, 0, 0, -39, 40, 34, -50, 69, 38, -45, 23, 28, 11, 47, -41, 13, -52, -53, -56, 56, 8, 14, 18, -60, -44, 18, 33, 11, -35, -59, -11, -33, -21, -1, 45, 27, -8, 18, -57, 29, -58, -23, -37, 59, 16, 57, -12, -22, 37, -33, -2, 26, 17, 21, -11, 1, 32, 39, -45, -31, -62, -39, -28, 33, -43, 44, -60, 0, 8, -17, -56, 21, 4, -61, -32, -29, 1, -37, -4, -11, 11, -1, 25, -5, 58, 18, -55, 0, 20, -42, 47, 53, -52, -31, -58, -34, -15, -36, -25, 45, 23, 45, -51, -12, -60, -16, 50, -54, 39, -39, 47, -3, -21, 57, 36, -28, -62, -42, -13, -31, 53, -62, 49, -57, 20, -48, -32, -59, 15, 41, 6, -21, 12, 65, -36, 46, 46, -44, 5, -42, 55, -35, -37, -9, -52, 2, 11, 30, -41, -2, 30, -34, -34, -3, 36, 48, 26, 18, -3, -3, -49, 50, 42, -56, -6, 0, 20, 29, 43, 22, -47, -48, -21, -20, -60, 10, 28, 53, 28, -41, -4, 16, -15, 33, 60, -49, -6, 5, 52, -10, -9, -57, 27, 37, -34, 49, 34, 24, 28, 30, -2, 48, -44, -42, 12, -38, 56, -2, 30, -14, -6, 46, 11, 53, 37, -39, 16, -8, 48, 19, 21, -30, -4, 21, -42, -48, -16, -17, 57, -13, 37, 17, -12, -46, -31, 30, 43, 46, -39, 35, 58, -39, -4, 53, 12, 15, -51, 26, 45, -10, -3, 45, -10, -15, 11, 21, 25, 26, -15, 35, 3, -25, -18, 45, 39, 12, 6, -24, 2, 18, 27, -7, -32, -10, -40, 19, 44, 45, 12, 11, -42, 15, -60, 18, -51, 56, 36, -15, 64, -29, 8, 25, 56, -52, 26, -51, -49, -51, 17, -39, -34, 36, -41, -47, 34, -42, 8, 33, 46, 21, -39, -14, -45, -19, 34, -67, -20, 27, -19, -32, -12, -6, -10, -6, -12, 29, -46, -58, 58, -46, 37, 50, 14, 14, 33, -63, -60, -54, -56, -46, 55, -44, -20, 54, -59, -37, 9, 43, -29, -20, -37, -35, 42, 1, -10, 35, 7, -55, -21, -51, -9, 22, 4, 41, 26, -42, -34, 41, 2, 42, -31, 34, 29, 35, 6, 34, 34, 41, -26, 22, 22, -50, -50, 8, -46, -50, -3, -20, -62, -36, 44, 18, 1, 15, -36, 9, -42, 25, 28, 40, 7, -3, -28, 21, 58, 27, -12, 40, 3, 22, 39, -54, -20, 8, 46, 60, 42, -47, -51, -50, -16, -26, 57, -28, 27, 12, 30, -11, -23, -33, 46, -61, 26, -49, -40, -15, -30, 46, -45, -65, -28, 9, -53, 35, 29, 12, -8, -16, 60, -57, 12, -59, -5, -6, -33, -3, 50, -61, 24, 35, -48, -3, -24, 11, -11, -14, -37, -31, 15, -48, 52, -7, -19, 31, -32, 54, 34, -37, -24, 38, 17, -42, -33, -50, 6, -35, 44, -18, -34, 19, -49, 29, 55, 25, 9, 23, -1, -54, 36, -31, 44, -40, -21, -30, -8, 44, -52, 68, 61, 52, -1, 9, 39, -24, -18, -13, -33, -35, 4, -27, -10, 4, 1, -7, 43, 50, -12, -26, 38, 30, -29, -53, -34, -23, 42, -57, 40, 38, 61, -58, 42, -50, 40, -44, 26, -10, -47, 47, -2, -32, 15, -47, 16, 46, 22, -5, 56, -52, -44, -11, -26, -38, 19, -21, -18, -29, 45, -20, 52, -62, -19, 46, 23, 4, -23, -46, -8, -22, -32, -47, 12, 4, -24, -61, 28, -4, 26, 23, 9, 30, -31, 29, 19, -49, -14, -52, 35, -18, 31, -31, 17, -36, -25, -62, -20, 46, -58, -3, 43, -3, -12, -20, 35, -52, -50, -53, -22, 49, -12, -35, 17, -50, -10, -59, -57, 20, -13, -49, 14, -13, 13, 40, -59, -20, 53, 32, 15, 40, 12, 3, -53, -14, 53, 0, 21, -27, -57, -45, -22, 11, 6, -60, -53, 46, 45, 16, -33, 20, -15, -59, -8, 8, -1, -29, -18, 30, 4, -46, 29, -51, 27, -7, 39, 10, 56, -51, 20, 13, 60, -28, -63, -19, -58, 20, -33, 27, -22, -6, 20, -62, -12, 55, -24, 5, -16, 19, -60, -40, -25, -38, -56, 26, -22, -36, 22, 48, -4, 44, 16, -23, -31, 33, 46, -55, 27, -15, 28, -1, -40, 41, 14, 25, -27, 10, -12, -18, 55, -29, 13, -51, -2, 42, -32, 15, 52, 13, -34, 14, 42, -9, -40, 21, -36, -40, -52, -11, -48, -62, 40, 33, 20, 39, 35, 0, 47, 1, 4, -34, -11, -26, -43, 45, -11, 49, -1, 38, -5, 16, -36, -54, -38, 13, 6, 53, 17, 54, -8, 27, -22, -40, -31, -55, -15, -57, 68, -48, -15, 36, 17, 17, -56, 52, -55, -53, -5, -60, 33, -40, -46, 49, 47, -21, -18, -40, -17, -58, -51, 11, 56, 56, -18, 15, -16, -59, -34, 9, -20, -55, 37, -16, 20, -23, -10, -57, -12, -8, -58, 16, 12, 13, -2, 47, -40, -16, -19, -60, -2, 55, -23, -39, 8, 61, -9, -32, 45, 47, -12, -50, 26, -52, 38, 14, 20, 48, 55, -21, -24, -3, 50, -21, -35, 3, 11, 39, -28, 41, -58, -15, -50, 29, 32, 22, 33, 14, -16, 33, -46, -25, 25, 35, -50, 29, 9, 14, -58, 27, -21, 36, -42, 26, 42, 57, -58, -43, 20, 4, -62, -44, 26, -24, 7, 18, -40, 32, -46, 63, 36, 47, 15, -41, -63, 41, 15, 53, -45, -8, -26, -44, -19, -38, -24, 15, 25, 34, -43, -47, -21, -14, 28, -1, 8, 14, 41, 20, -6, 8, 44, 53, 52, -45, -23, -54, 1, 5, -10, 7, 53, -17, 1, -28, 35, 10, -34, -26, -7, -31, 6, 57, 50, -49, -24, -21, 20, 30, -23, 32, 15, 37, 17, 6, -28, 34, 59, -39, 31, 59, -34, 32, -32, -48, -34, 51, -51, 12, 29, 28, 25, 0, -4, 50, 33, -10, -54, 5, -3, -23, 53, 26, 42, -47, -16, -39, 44, -35, 30, -14, -18, -10, 1, 4, -46, -4, -2, 48, -30, -12, -10, -33, 10, -17, 1, -35, 61, 32, -34, 31, -53, 49, 42, 29, 42, -2, 55, -26, 43, 6, 6, 49, -15, -32, 5, -23, -3, -61, -12, 14, -43, -44, -54, 14, -19, -48, 17, -6, 22, 17, -35, 9, 59, 17, -15, -6, 23, -24, 24, -52, -1, 7, -6, 58, -10, -2, -7, -28, -23, -36, 12, -33, -19, -4, -25, -23, 27, 4, -33, -8, -47, 58, -57, -65, 69, 33, 21, 20, -19, 20, -47, -43, -28, -37, -1, 49, -48, 50, 9, -2, 21, -23, -50, 15, 70, 0, -44, -31, 4, -57, -9, -46, 11, 49, -31, 40, 60, 42, -18, -37, 42, -45, 61, -13, -58, 45, -26, 47, -20, 40, -35, 46, 32, -36, -31, -21, 28, -7, -62, 31, -25, -37, -11, 31, -40, 19, 19, 24, 58, 9, 33, -35, -43, -54, 23, -26, -45, 54, -55, 13, -31, -9, 13, 59, -7, -22, -10, -27, 55, -47, 53, -54, -36, 58, -52, -43, -23, -4, 6, 43, 13, -59, -57, 8, 15, -30, 10, 5, 52, 21, -32, -6, -60, -52, 32, 12, 28, -38, 50, -34, -44, -4, 62, 35, -22, 37, -53, -5, 22, 46, -39, 48, 3, 0, -16, 35, -25, -10, -53, -24, 61, -31, 26, 51, 57, 32, -45, 42, -31, -45, 56, -55, 0, 8, -52, 15, 32, 6, -13, -9, -36, 34, -2, 45, 17, -50, -30, 45, -35, 14, 56, -57, 20, -23, 56, 22, 7, 41, -48, 36, -14, 43, -14, 20, -51, -24, -60, -57, -10, 59, 33, 18, -29, 38, -46, -16, 40, 62, -30, 14, -40, -50, 16, 0, 59, -7, -45, 57, 12, 4, 61, 12, -50, -41, 41, 8, -45, -20, -30, -54, 35, 54, -60, -43, 14, 63, 52, 23, 66, 47, -6, -32, 54, 54, 36, 44, 26, -61, 29, -53, 13, -37, 25, 5, -15, 27, -16, 29, 11, 18, -27, 10, 45, 36, 25, 23, 30, -41, -12, 12, 37, -25, 45, 19, -44, -33, -6, 48, -55, 25, -36, 45, -22, 18, 36, -34, -23, -36, -17, -43, -2, -29, 55, 0, -48, 25, -39, 8, -15, 41, -36, 52, -44, -48, 22, -12, -12, -48, 52, -13, 2, -22, -1, 0, 10, -16, 7, -42, -60, -58, 28, -31, -5, 11, 6, -68, 52, 48, 32, 33, -42, 2, 58, 21, 22, -17, -36, 27, 52, -26, -15, -54, -38, 21, 18, 23, 33, 53, 24, -29, 58, 36, -46, 7, 27, 50, -21, 8, 39, -7, 18, -45, 60, -31, -37, 25, 13, -31, -72, -58, 49, -34, 20, -52, -18, -33, 21, 58, 12, -46, -55, 36, 0, -47, 48, -63, 11, 12, 39, 26, -6, 49, 28, -26, 31, -57, -55, 36, -50, -27, -62, 13, 41, -35, -18, -48, 27, -35, -7, -29, 20, -53, -50, 50, 2, -24, 24, -4, -36, -38, -27, 30, -12, 33, -19, -25, -12, 45, 40, -36, 16, -47, -27, 16, -48, -39, -32, -3, -23, -14, -7, 20, -45, -33, -44, -8, 50, -51, 17, -13, 47, 10, -27, 53, 42, 54, -49, 53, 10, -47, -25, 18, -31, -58, 17, -14, 47, 10, 63, -6, -36, -46, 25, 42, -23, 31, 17, -51, 17, 13, 1, -39, 20, 59, 26, 33, -33, -13, 53, -29, 52, 13, 0, 22, -14, -62, -15, 10, 0, -26, 52, 59, 1, -5, 27, -24, -34, 39, -26, 55, -52, -13, 32, 40, -4, 17, -44, -29, -41, 4, -8, -56, -14, 23, -47, -19, -31, -34, -49, -5, 30, 21, 53, 26, 4, 31, 35, 60, -24, 54, -54, -37, -11, 38, 32, 56, -21, 1, -16, -1, 50, -27, 29, -19, -66, -41, -4, 12, 22, -23, 14, 35, 15, 5, -20, -29, 11, -42, -16, -4, 36, -39, -22, -8, 30, 7, 27, 36, -12, -46, -34, 45, -50, 42, -23, -1, 7, 25, 4, -42, 35, -34, 55, 31, -40, 32, -25, 54, 52, 2, -24, -8, 24, 66, 34, 54, 10, 1, -55, -51, 46, -35, 4, -34, -20, -45, 20, 29, 3, -19, 49, -40, -34, 37, 24, 39, 50, 6, -45, -27, -33, -48, -5, 28, 19, 49, -49, -20, -45, 43, -5, -47, 36, -23, -9, 0, -31, -38, -10, 26, -14, 34, 50, -17, 10, 46, -42, -24, -2, -41, 53, 51, -3, -48, 21, 32, 36, -18, -18, -52, -32, -63, -18, -2, 56, 1, 47, -35, 31, 44, -63, -39, -25, 26, 57, 36, -13, 9, 40, 11, -24, 35, 48, -3, 26, -33, -30, -4, -61, 9, -53, 47, 42, -38, 26, 42, -58, 41, 55, 43, 30, -28, 5, -18, -19, 38, 36, 33, 29, 47, -25, 41, -60, -13, -33, -34, 54, 51, -16, -57, 53, 2, -56, 16, 12, 27, -3, -5, -4, 1, -24, -59, 9, -24, 4, 22, 48, -60, -17, -10, 29, -40, 24, -41, -30, 65, -58, 24, -47, 16, -52, 27, -45, 21, 30, 34, -9, -48, -49, 55, -22, -48, 12, 40, -32, -34, -2, -56, 8, -55, -49, -49, 50, 22, 44, -9, 3, -14, -18, 39, -42, -25, 42, -9, 8, -30, 6, -46, -46, 26, 46, 14, -7, 50, 20, 36, -15, -14, -4, -2, 29, 48, 23, -61, 26, 16, 45, 11, -7, 23, 23, -42, 57, 80, 5, 44, 3, 43, 14, -20, 23, 9, 15, 38, -51, 46, 20, 52, -36, -54, -38, 25, -23, 24, -9, -35, 17, 29, -51, 22, 40, 6, 21, -30, 17, -13, -21, 45, 42, 64, 18, -28, 51, 25, 62, 1, 28, 15, -4, -44, -37, -30, -17, 22, -40, 38, -61, 43, 56, 60, 41, 49, 28, -28, -27, -51, 11, -30, 9, 16, 21, 36, -50, -2, -44, -30, -59, 55, -57, 54, -49, -15, -27, -30, 30, 0, -49, -30, -60, -43, 20, 57, 26, -57, -40, 36, 12, -41, 12, -61, 0, -63, -52, 15, -11, -36, 33, 40, 20, 0, -22, -9, -20, 23, 46, 44, 38, 35, -2, 25, -56, -49, -24, 18, -27, 18, 7, 0, 49, 18, 4, -32, 12, 44, -51, -19, -23, 50, -9, -7, 20, 17, 53, -5, -41, -26, 22, -7, -28, -27, 54, 25, -49, 20, 33, -2, 18, 43, 60, 57, -19, -4, 60, 14, -58, 57, -16, 32, -16, -39, 31, -52, 0, 53, 12, -67, 6, -11, 39, -36, 55, -29, -54, 21, 25, 31, 31, 53, -15, 47, 68, -14, 39, -28, -18, -25, -20, 37, -59, -2, 47, -22, -36, -35, -64, -66, 10, -39, -48, -34, -33, 8, 7, 16, -54, -23, 5, 4, -41, 38, 4, -55, 25, 17, -45, -7, -37, -54, -17, -46, -41, -29, -15, 42, 22, -57, 46, 15, 12, -59, -52, -49, -53, -20, 11, 49, -14, -26, -10, 61, 40, -1, -41, 53, 43, -27, -43, 44, 28, -25, 19, 32, 45, 4, -48, -23, 36, -45, -36, -64, -22, -20, 38, 42, -4, 51, 39, 34, 12, -52, 26, 4, -47, -47, -50, 30, -59, 43, 35, -19, -13, 24, -6, 37, -29, -42, -27, -54, 41, 47, -18, 46, 0, -33, 40, -42, -34, -29, -18, 26, -22, -27, 22, -18, -43, 9, -37, -61, 47, 64, 26, 22, 3, -6, -38, 38, 6, -23, -18, -32, -5, -42, -59, 34, -32, 26, -43, -32, -43, 58, 35, -57, -31, 34, -71, 15, 5, -46, 42, 30, 10, 13, 43, 6, 41, -57, -20, 28, -43, -23, 17, -12, 29, -31, -59, -1, -12, 29, 51, 5, 27, -56, -38, 1, -9, 9, 50, -10, -62, 22, -3, -19, -21, -36, -7, 59, -37, -31, -41, -23, -36, -24, -36, -71, -13, 22, 52, 20, 46, 17, 60, -53, -4, 52, -36, 14, 0, -23, -10, 57, -17, 14, 21, -28, -56, -53, -35, -21, -12, 58, 43, -51, 18, -8, -13, 6, -60, -1, 33, -44, 12, 48, -9, -32, -34, -3, 14, -15, 27, -53, 13, -34, 48, 46, -5, 57, 19, -24, -38, -54, 24, -39, -38, 28, -28, 20, 4, -55, 36, -16, -59, 61, -49, -4, -46, 40, -41, 27, 5, 21, -57, -15, -3, 36, 35, 42, -37, -50, -12, 2, -45, 30, 58, 33, -28, -32, 25, -42, 37, 26, 48, -17, -40, 30, -11, -11, -22, 20, -39, -9, 38, -62, 62, 60, -53, 46, 18, -27, 2, 60, -26, -14, -31, 3, -50, -50, 4, 56, -32, 11, 15, -3, -41, -1, -19, -22, -35, -8, 2, -57, 42, 20, -43, -45, -33, 1, -26, 6, 46, -13, 68, 34, 53, 55, -51, 39, 16, -40, -58, -27, -40, 22, -17, 44, 46, 34, 27, -7, 30, -23, -52, 27, 52, -41, -60, -37, -36, 36, -1, -26, -5, -11, 32, -43, 22, 69, -45, 55, 54, 10, 51, -49, 9, 51, 52, 20, 10, -40, -44, 42, 26, 31, -20, -29, 16, -2, 18, -55, 45, -27, 39, -18, 22, 70, -34, 35, -46, -23, -12, 38, 44, 20, 18, 13, 68, 1, -17, 29, -9, -20, 59, 5, -5, 36, -56, 59, -54, 54, -20, -15, -37, -29, 59, -39, -51, -57, -11, 2, -49, -42, 21, -14, -61, -27, -41, -9, 33, -43, -20, -28, -41, 58, -41, -28, -1, 51, -20, -7, -64, 36, -3, 44, -49, 23, 42, 48, -36, -3, 5, -22, -30, 15, -51, 44, 52, -17, -55, -21, -44, -63, 10, -15, 43, -26, -50, -7, -38, 33, -58, 45, 35, -15, -24, 48, 9, 59, -1, 41, 6, 33, 36, -22, -44, -25, -8, 1, -27, 8, -7, -26, 37, -64, 39, 20, 11, 63, -39, -32, -47, 13, 28, 59, -31, -18, -20, 26, -5, -24, 12, 19, 16, 61, -29, 44, 61, 42, -37, 40, -6, 70, 19, 51, -51, 62, 51, -42, -19, -44, 34, 38, 22, 35, -22, -59, -31, 9, 58, -15, -49, 25, -31, -16, -24, -1, 35, 37, -43, 55, 67, 58, 2, -64, -40, -1, -47, 6, 27, 9, 20, -35, -42, -48, 4, -8, -36, 17, -41, 15, -60, -69, -23, -4, -31, -5, -21, 47, -54, 29, -49, 20, -19, 39, 48, -46, -63, 75, 48, 5, -36, -45, 21, -23, -16, -36, 21, -55, -6, -39, -48, 25, 31, -45, -27, 22, 54, 4, 30, 52, 52, 0, 1, -56, -41, 36, -9, 34, -35, -49, -36, -54, 16, -44, -51, -8, -25, -35, -13, 42, 22, 44, -52, -41, 84, 78, -36, -21, -31, 34, -1, 42, 2, 5, -8, 38, 51, 12, 36, 3, -59, 9, -50, -7, 61, -48, -15, 54, 1, -35, 44, -61, -55, 31, -47, 38, 3, -31, -11, 20, 14, 5, 38, -45, -47, -43, -49, 29, 50, 31, -64, -32, -40, -14, -17, 48, -26, -61, -60, 45, -16, 10, -25, 21, 18, 3, 59, -54, 40, 40, -4, -22, 50, 62, -9, 28, -31, 8, -53, -48, -17, 29, -23, -27, 3, -50, 10, 3, -39, -31, -47, 38, -40, -31, -37, 6, 54, 10, -62, 7, 63, 17, 31, -17, -37, -48, -46, 49, -45, -35, -53, 17, 19, 50, -39, 40, 48, 8, -67, 12, -45, 16, -35, -50, 26, -43, -7, 8, 51, -35, 56, -23, 60, 0, 23, 8, 52, -11, 26, 43, -25, 36, -10, -9, 11, 48, 29, 37, -34, 57, -7, 38, -27, -6, -33, 51, 37, 14, 60, -6, -53, 38, -46, -44, -29, -30, 18, -28, -2, -12, 70, 18, 65, 71, -6, 16, 71, -12, 48, -2, -9, 44, 45, -34, -32, -25, -17, -44, 2, 55, 13, -44, 15, 14, -51, -54, -41, 32, -9, -24, 4, -6, -22, 1, -23, 19, 26, -34, 2, 52, 49, 1, 45, -41, -54, -31, -51, -12, 29, 8, 29, -56, -56, 13, -69, -44, 3, -45, -5, 37, -41, 53, -19, 11, 12, 6, 5, 6, -31, 37, 73, -25, 33, -6, -32, -24, 54, 21, 17, -25, -7, 5, -38, 56, 20, -5, -12, -16, 41, -49, -40, 38, -34, 11, -25, -24, -9, 67, 23, -20, 36, -44, 2, -67, 35, 10, -11, -29, -51, -6, -70, 16, -35, -51, 28, -31, 53, 27, 9, 44, -3, -2, -59, 20, 13, -52, 26, -36, 22, 5, 22, 53, 3, 39, 61, 53, 35, 6, 86, 2, 2, -7, 34, -57, -62, -10, -9, 56, 60, -50, 35, 59, -43, -34, 32, -40, 59, -17, -29, -37, -28, -23, 8, 18, 10, 55, 13, 56, 0, 29, 24, -58, 41, -39, 29, 39, 33, 8, 48, 48, -54, -8, 52, 33, 36, 1, 8, 21, 48, -1, -49, -60, -39, -12, -15, -37, 36, 47, -51, -42, -46, -8, 17, -43, 21, -7, -6, 41, 2, -22, -29, 31, 28, 24, 65, -28, -9, 39, -46, -39, 19, -8, 46, -26, 7, 58, 43, 34, 41, -4, 22, 51, -43, -41, -33, -49, 41, 41, 13, 29, -39, 14, -51, -33, -9, -35, -36, -9, 28, 67, -18, -30, 6, -8, 50, -48, -43, 37, 49, -23, 74, -24, 42, -15, 16, 61, 8, -38, 53, 70, -40, 24, 30, -39, 25, -7, -10, -44, -18, 4, -12, -34, -37, 47, -28, -30, -2, 55, 1, 49, 58, 3, -18, 55, -44, -56, -34, 49, 4, -66, 4, 23, 47, -23, -40, -31, 31, 16, -6, -6, 52, -7, -7, -6, 22, -15, 39, -11, 9, 18, 57, 21, -61, -7, 42, 17, 34, 13, -34, -54, 9, -5, -20, 26, 33, 18, 21, 30, -41, -47, -23, -9, -21, 16, -61, 62, -56, 32, -59, -55, 30, -5, -32, 40, 40, -31, 42, 22, -25, -67, -18, -6, 18, 47, -45, -63, 2, 55, -50, -18, 20, 39, -9, -63, 43, 2, -41, 19, 12, 56, 74, -34, 47, -39, 36, 50, -12, -56, 48, 46, 18, -53, 21, -5, -6, -72, -3, 6, -24, 22, 54, 60, 6, -67, -30, -72, 6, 63, -7, 12, 51, -21, 17, -20, 31, -56, 17, -40, -18, -39, -48, 58, 0, 27, 38, -49, -48, -28, 45, -22, -16, 48, 53, -43, -15, -18, -40, 36, 29, 58, -57, -12, 40, 16, 61, 54, 8, -28, 2, -38, 42, -57, 6, 56, -28, -42, 50, -2, 32, 28, 22, -48, -37, 90, 31, -4, 9, -14, 38, -46, 31, -38, -42, -52, 6, 36, -4, 36, -5, 40, 35, 9, 17, 31, -3, -58, -34, -22, -2, -25, 43, -7, -28, 4, 40, -50, -45, -20, -53, -44, 39, 47, 19, 30, -34, 43, 34, -60, 32, -37, 5, -57, 34, -7, -48, 29, -6, -35, 28, -23, -37, -44, 42, -37, 38, 4, -21, -21, -62, -10, 44, -31, 47, -16, 45, 30, -24, 55, 12, -42, -24, -60, 57, 28, -47, -30, 6, 38, -39, -61, 49, -6, 45, -26, 44, 43, -63, 55, 24, 41, 44, 14, -15, -19, 36, 62, 22, -19, -24, -67, 34, 43, -27, 32, -61, 43, 65, -36, -53, -40, -56, -16, 13, -25, 47, 23, 21, -32, 36, 37, -47, 31, 53, -47, -38, 1, 1, 55, -26, -6, -40, -54, -57, -44, -44, 22, 40, 13, 11, -16, -61, 19, -3, 19, 38, 28, -45, 6, -14, -17, -1, -30, -49, 27, 44, 49, 42, -6, -69, -65, 65, -16, 3, -44, 49, -12, -34, 59, -16, -58, -31, -25, -28, 49, -47, 41, 17, -18, -10, 7, -17, -11, -45, -46, -14, -8, 56, 1, 16, -11, 56, 47, 18, -30, 17, 14, -58, 14, 19, -26, 23, -23, -12, 36, 46, -37, 39, -27, 32, -41, -18, 20, -50, 12, -56, -63, -40, 42, 41, 36, -45, 20, 22, -25, -14, -38, 28, -56, 12, -45, -15, 13, 39, 55, -11, 52, 21, 16, -38, -28, -13, -47, 54, 48, 46, -53, 26, -3, 21, 58, 18, 42, -6, -18, 51, 40, -29, 27, -46, -25, 44, -30, 22, 3, -52, 26, 25, 63, -10, 68, -28, -15, 47, 13, 19, -57, 30, 36, 11, -10, -8, 39, -38, 24, 12, 40, 0, -14, -29, 63, -47, -50, 43, 52, -55, -28, -5, 18, -32, -64, 45, -12, -48, -35, 55, 5, -2, -53, -39, -31, -43, -53, 44, -50, -14, 31, 10, 5, 51, -58, 43, 27, 30, 23, -16, -53, -24, 12, 55, -39, -55, 34, 49, -15, 35, -29, -2, -50, 16, 9, -9, 19, 27, 16, -23, 38, 18, -48, 10, -6, 46, -36, -15, -23, -32, 27, 3, 0, 10, -29, 15, 92, 45, 30, 9, 45, 41, -7, -6, 57, -9, 0, -38, 8, 23, 16, -53, 2, 1, -54, 25, 14, 49, 44, 36, -34, 52, 59, 33, -24, 10, 38, 59, -16, 22, -5, 14, 27, -3, 25, 43, 66, 46, -53, -29, 44, -34, 62, -24, -17, 50, 29, -41, -20, 24, 1, 58, -50, -56, 26, 2, 41, 6, -53, -62, -56, 65, 50, 4, -14, -36, -30, -60, -23, 15, 33, -4, 52, -74, -64, 19, 47, 40, 19, 37, 14, -7, 0, 14, -36, 24, -64, -4, 60, 11, -52, 24, 27, -43, -14, -24, -40, 28, 0, -14, 27, -3, -29, -78, -14, 27, -41, 16, 45, -57, -30, 58, 39, 10, 47, -55, -41, -7, -31, 0, -57, -33, -41, -42, -84, 6, -53, 1, -12, -18, 11, -40, -57, 31, -9, 43, -65, 5, -7, -49, 22, 26, -16, 28, -28, -1, 34, -69, 6, 14, -24, 65, -4, -18, -56, 17, -46, -35, -13, -14, -23, 63, -43, 9, -13, -47, 7, 14, -8, -60, 3, -9, 45, 21, -14, -45, -21, -17, -2, 2, 28, -17, 18, -34, -42, -29, 13, 49, 66, -60, 3, 38, 4, -39, -56, 17, -19, 53, 47, -52, 3, -9, -16, 15, -12, 28, 35, 50, 36, -7, 58, -1, -45, 61, -14, -31, -40, 26, -21, 20, -22, 20, 37, -46, 34, 48, 11, -55, -52, 21, -9, 12, 37, 50, 22, -34, 4, -17, -16, -25, -34, -51, -27, -37, 60, -41, -28, -12, -24, -57, -34, -11, -8, 8, -55, -2, -32, -60, -43, 15, -12, -45, -18, 21, 41, 32, -21, 14, -20, 2, -18, -28, -71, -27, -35, -6, 24, 46, 58, 60, -41, 7, -66, 33, -50, -42, 33, 3, 45, -33, 24, 56, -16, -38, -39, -17, -12, -33, -9, -10, 8, -10, 34, 5, -70, -3, -11, -57, -14, 27, -41, -7, 42, 23, 1, -18, 58, 54, 10, 22, 26, 1, 8, -6, -70, -13, -33, -32, 32, -17, -15, -19, -62, -35, 5, 26, 33, -36, -65, -18, -57, -20, -29, -53, -30, 2, 48, -58, -54, 16, 48, -26, 50, 5, -77, -39, 37, -50, 1, 18, -16, -25, -56, 45, 42, -45, -29, -7, -12, -17, 32, 42, -12, 6, 35, 35, 61, -10, 38, -47, 60, -8, 23, -15, -32, 66, 39, -23, 33, 19, -60, -19, 34, 47, -22, 46, -10, 43, -60, -10, 36, 54, 57, 46, 35, 53, 47, 30, 5, -72, -21, 25, 66, -19, -76, -37, 43, 25, -18, -52, -39, 28, 0, 1, -39, -20, 7, -36, 15, -25, -60, 3, 10, 23, -29, -16, 45, 58, -9, 2, 36, -31, -54, -63, -78, -1, 27, -53, 42, -29, -43, 18, -35, 29, -18, 15, -4, -48, 44, -53, 6, -13, 55, -23, 39, -14, -53, -7, -49, 25, 27, 6, 34, 21, -58, 44, -25, 6, 36, 35, 11, -6, 51, -3, 7, 13, -45, 31, 57, -18, 25, 8, -36, 50, 61, 67, 18, 16, 50, 10, -8, -47, -28, -18, 23, 6, 27, -39, -25, 32, -66, -32, -57, -7, 8, -46, -56, -57, 37, -17, -18, -7, 48, -39, -45, 17, -50, 31, 58, 51, 42, -54, -21, -17, 40, 51, -57, -71, -31, 37, -32, -54, 37, -19, 0, -63, 9, 4, 3, -38, -17, 32, -16, -35, -57, -4, -19, 25, -9, 60, 64, 21, 32, -57, 34, -20, -43, -53, -56, -18, -50, 59, -29, 7, -18, -16, 5, 13, -11, -54, -21, 2, 57, 35, -47, 8, -55, -44, -63, 23, -49, -57, -36, -27, 21, -28, 32, 56, -3, 50, 17, 20, 36, 55, -42, -25, 35, -47, 19, 43, -58, 49, 31, 48, 62, -54, 19, 52, 12, -55, 1, 23, -17, -37, 6, 32, 44, -26, 17, -3, 29, 10, -60, -27, -38, 17, -32, 26, 17, 16, 15, -20, 69, -33, 10, -2, -8, 22, -33, -33, -84, -33, 25, 59, 41, -8, -22, -13, -8, 36, 49, 48, -57, -64, -11, -25, 50, -54, -32, -46, -15, -63, -56, -9, -32, -18, 50, 39, -19, -9, 11, 14, -54, 60, -33, 46, 52, 59, 27, 35, -57, -29, -8, 20, 9, -82, -40, 44, 19, -37, 2, 57, 49, -54, -15, 1, -56, 67, -44, 36, 3, 18, 28, 32, -18, 24, -16, -25, -22, -35, 47, 45, 37, 32, -47, -24, 28, 84, 71, -21, -35, -12, 58, -7, -16, -35, -17, -18, -48, -22, 26, -29, -19, 20, 23, 40, 15, 49, -10, 25, 26, -12, 11, 54, -25, 7, -15, 42, 54, 32, 35, -2, -42, 46, -53, 10, 62, 4, -5, 3, 43, 9, -27, 13, 25, 56, -10, 7, 38, -64, -55, -50, 40, 29, 3, -59, 8, -12, -47, 60, 38, -11, -5, -26, 5, 0, -17, -20, 52, 3, 22, -27, 89, -30, 48, -32, -49, 38, -11, 52, 22, 19, 58, -6, 26, 5, 25, 28, -25, 2, 57, -48, -29, -27, 9, -28, -25, 38, 21, 45, 12, -11, 56, 59, 3, -28, 14, 45, -13, -8, 8, -21, 14, -5, -9, 18, -53, -51, 12, -39, -31, 23, -8, 31, 14, -40, 30, -42, 60, -23, 17, -37, -50, 18, 52, 41, -1, 42, 59, -16, 59, 24, -10, -31, -24, 5, -23, -14, 44, 34, -14, 1, -12, -25, -16, -23, -67, -29, -25, 10, -44, 36, -3, 48, 11, 32, -34, -4, 37, 1, -26, 16, 16, -46, -57, -50, -52, 29, -28, 24, -15, -24, -33, 16, 18, -43, 1, -24, -24, 47, -12, -45, 5, 2, -12, 41, 14, -36, -56, 2, 8, 12, 42, 63, -13, 55, -32, 33, -55, -45, 20, 60, 3, -52, 32, 38, -39, 53, 37, 48, -52, -37, 14, 13, -2, 32, 42, 12, -9, -44, -47, -17, 5, 18, -54, -7, -19, 49, -9, 7, 0, -12, 13, -12, 7, 31, -50, 43, -10, 5, 65, -25, 29, -13, 0, -58, -68, -27, -49, 49, 23, -10, 61, 36, -26, -21, 42, 47, 4, 56, -46, 2, 49, 9, 9, 36, 11, -59, 60, -9, -50, 18, -1, 1, 0, 44, -27, -22, 34, 44, -33, 10, 7, -24, -21, -32, 17, 10, 47, -23, 16, 29, -27, -8, -10, 18, 52, 42, -31, -56, 32, 21, 3, 25, 9, -31, 12, -2, -57, 36, 13, -15, -12, 74, -14, 5, -16, 25, 13, -4, 21, -37, 61, 75, 60, 5, 62, -40, 48, -20, -14, -10, 59, 7, -8, 9, 20, 17, -1, -29, -56, -41, -49, 35, 11, 31, -27, -33, -55, 41, 17, -41, -5, 62, -23, -20, 69, -21, 14, 18, -56, -11, 61, -32, -63, 14, 25, -39, -25, 3, -24, -44, -58, -11, -29, -3, 20, -3, 38, 24, -36, -4, 15, 37, 10, 23, -31, -52, -6, -36, 49, -39, -2, -24, 53, -29, 37, 13, 54, 16, 31, 34, -6, -53, 38, -67, 28, 17, 12, -13, -54, 51, 19, -45, -40, -44, -58, -14, 27, -28, -39, -52, -77, 20, -11, 15, -17, 45, 1, 5, 19, 21, 44, 20, 16, 47, 50, -51, 37, -25, 15, -39, -34, 25, -35, -2, 30, -4, 11, -46, -18, -81, -51, 7, 25, 7, -12, -4, -42, 42, 26, 54, 20, 13, 23, 33, 27, 4, -26, 13, 40, 30, 11, -31, 19, -32, 42, 57, -41, -31, -20, -7, -33, -63, -2, -31, -20, 3, -34, -42, 18, -32, 19, -18, 43, 46, -40, -45, -53, 43, -22, -2, -45, -55, -20, -7, -40, -15, 4, 35, -18, -63, 21, 26, 13, -75, -33, -44, -12, -63, 52, -47, 31, 5, -22, 53, 62, -24, -24, -38, 11, 37, -23, 36, 46, 41, -62, 5, 42, 8, 45, -57, 0, -15, 52, 56, 49, -50, -33, 44, -39, 25, -41, -12, -39, -49, 36, -39, 10, 53, -49, -23, 21, 38, 32, -40, 47, -15, 28, -9, 18, 27, 38, -53, 42, -25, -2, 21, -59, 42, -44, -26, 57, 5, -20, 18, 16, 59, 10, 15, 32, -25, -34, -3, -26, -17, 40, -33, 48, 42, -46, -76, 11, -43, 26, 25, -6, 36, 52, -32, -39, -21, -30, -36, 29, -2, 37, -23, 45, 23, -23, -29, -35, -54, 48, 25, 26, -40, 31, 54, -26, 45, 58, 8, -55, -17, 41, 12, -54, 2, -20, 26, 37, 22, 5, -3, 54, 45, 29, 35, 55, -59, -28, 56, 21, 4, 2, -16, 13, -7, 11, -50, -51, 55, -6, -20, -47, -57, -32, -12, 26, -5, 48, -23, 41, -25, -15, 21, 30, -3, -69, 40, 59, -41, -27, 29, 21, -66, -46, -33, 23, 81, -7, 15, 38, -32, 25, -43, -51, 19, -39, -50, -16, 17, -64, -43, 6, -60, 20, 37, -71, 26, 22, -33, 51, -58, 20, 39, 51, 50, -14, 52, 16, 2, -23, 11, -32, -3, -50, 50, 0, 16, -14, 16, 1, 13, 20, -57, -52, 16, 41, -52, -5, 5, 19, -31, 41, -53, -12, 53, 20, -39, -36, 37, 22, -32, 6, -54, 3, 35, -10, -51, 1, 23, -31, -10, -41, -31, 55, 38, -35, 24, -25, -25, 37, -1, -56, -19, -50, -62, 49, 71, -57, -50, 2, 18, 33, 5, 59, 35, -46, 26, 14, 35, -50, 27, 47, 17, 56, -43, 50, -11, 20, -44, -6, 65, 25, 19, -29, -22, 43, 53, -37, -46, 25, -52, 56, 42, -43, 13, -59, -18, 49, 3, -33, 5, 38, -11, -13, -3, 51, -56, -66, 3, 24, 51, 23, -42, -38, -54, -26, -39, -62, 47, 42, -38, 19, -6, 23, -22, -59, 38, -49, -33, -31, -19, 44, -23, 33, 33, -35, 48, -20, -46, 40, 19, 17, 39, 62, 48, -32, -51, 22, -27, 26, -37, 31, 36, -26, 7, 28, 53, -8, -45, -40, -59, 53, -3, -34, 2, -15, -62, -19, 11, -49, 13, -15, -53, -34, 2, 63, 25, -24, -3, -26, -61, 29, 7, 55, -44, -37, 15, -4, -11, 11, 18, -44, 20, 26, 12, -9, -17, 28, -55, -4, -15, 19, -45, -32, -59, -43, -14, -46, -34, -1, -41, -31, -5, -49, -7, -21, 42, 20, 42, 60, -28, -48, -14, 22, -40, 49, 5, -63, 14, 8, 19, 54, -58, 24, 0, -13, -2, 3, -55, -32, -70, -48, -65, -15, -13, -1, 63, 32, -19, -28, 79, 30, 2, 16, -18, 30, 56, -1, 34, -9, 2, 3, -54, 39, 41, 10, 26, 21, 2, -62, -33, -6, 23, 36, 7, -52, -57, 20, 7, -38, -32, -14, 12, 43, -29, -3, -66, 38, 30, -25, 16, -59, 30, -13, 32, -36, -20, -17, 60, 19, -37, 4, -28, 47, -17, -67, -37, 42, 38, -61, 30, 25, 19, 47, 50, 22, 54, 15, 6, -26, 54, 3, -56, -3, 29, -41, -42, 22, -56, -8, -40, -54, -38, 44, 46, 42, 26, 48, -45, -51, 1, 18, -52, -23, 51, -27, -22, -2, 55, 40, -61, -10, -20, -54, 51, -5, 4, 27, 2, -54, -42, 11, -29, -1, 12, -23, -53, -14, -16, 49, -46, -21, -59, 19, 38, 47, 32, 38, 41, 4, 52, -20, 56, 13, 24, -49, 31, -32, 46, -33, -50, 6, -58, 6, -33, -56, -64, 15, -57, -10, 31, -49, -18, -29, -23, -45, -26, 47, -37, -15, 9, 75, -53, 70, 58, 43, 24, 40, -44, 43, -6, -41, 45, -52, 32, -45, 57, 4, -16, -21, 21, -60, -26, 12, -31, 43, -53, 40, 43, -54, -55, 51, -51, -60, -62, -57, 19, -43, -2, 51, -30, -47, -13, -29, 50, 8, 42, -16, -5, 4, 47, -19, 7, -1, -16, -50, -16, -23, 44, 63, 2, 45, -49, -25, 21, -26, -48, 11, -8, 98, 56, -23, -4, 10, -1, 7, 58, 61, -55, 50, -43, -10, 54, 19, -18, 2, 46, -34, -1, -49, -30, 34, 8, -34, -16, -34, -1, -48, -30, 49, 19, 44, -34, 34, -62, -10, -45, 2, -4, -47, 46, -27, -24, 54, 17, -48, -25, -37, 17, 42, -17, 33, 46, -16, -45, 45, -2, 53, -26, -42, -2, 5, -14, 48, -11, 15, 6, -43, 2, -53, -37, -4, 13, 60, -16, 0, -25, 21, -5, 10, 11, 22, 29, 60, 39, -19, -16, 0, 30, -18, -45, 46, 4, -4, -47, -2, -8, -33, 22, 13, -37, -54, -49, 34, 20, -13, 58, 22, 34, 12, -22, -58, 45, 60, 61, 0, 54, 42, -58, -38, 27, 48, -3, 22, 16, 51, 39, -37, -52, 56, -13, 29, -38, -31, 32, 49, -26, 13, 5, -57, -41, -54, -19, -21, -59, -43, -15, 0, -51, -31, -29, -13, -37, 7, 61, -41, -30, 44, 31, -23, 15, -43, 39, 16, 50, -39, 62, 38, -31, 53, -76, 55, 15, -32, -58, -18, 49, -45, 23, -49, 16, -45, -4, 36, -63, 48, 26, 9, 47, 35, 36, 57, 0, -57, -5, -1, -4, -53, 52, -48, 14, 35, -40, -28, 8, 58, -42, -30, -50, -13, -33, -17, 33, -38, -33, 37, -29, -17, 60, 42, 14, 30, -14, 31, -2, -1, -41, 26, -50, -49, -32, -50, -57, 44, 22, -20, 32, 40, -29, -36, 40, 28, -5, -46, -20, -27, 35, -43, -27, 48, -43, -8, 31, -9, -6, 42, -41, 56, 25, -39, 54, -27, -48, 15, 25, -14, -44, -10, 7, -37, -61, -2, -52, -71, -40, -61, -29, 47, -47, 26, -4, 42, 35, -14, 17, -13, -34, 34, -12, -63, -42, -38, -10, 35, 29, -6, -9, 47, 22, 17, -31, 17, 21, 27, 34, 53, -17, -9, 41, 23, -10, 49, 7, -48, 41, 20, 29, 16, 52, 27, -19, 32, 16, 45, 63, 48, 28, 14, 14, 32, 42, 50, -23, -16, -22, 56, 11, 59, -36, -17, -48, 45, -31, -54, -28, -61, -48, 30, 23, -25, -1, 2, 61, 6, 38, -20, 24, -16, 19, 26, -57, -4, 48, 27, 23, -54, -41, -34, -19, -6, -4, 52, 37, 4, -44, 24, 50, 26, -20, -35, 10, 57, 18, -21, 43, -43, 46, 21, 48, -18, 37, -3, 60, -28, -11, -39, 48, -18, 46, 61, -8, -45, -50, -58, 24, -52, 23, 8, -51, 33, 52, 58, -49, 41, -34, 30, 36, -8, 8, -43, 37, -28, 14, -28, -40, 9, 11, 43, 30, 49, 29, 15, 48, 46, 10, 22, 5, 39, 27, 3, -44, -6, -29, -12, 51, 53, -27, -38, -36, 38, 19, 30, 40, 9, -54, -31, 16, -6, 51, -40, 4, 29, 6, -36, -45, -5, 17, 24, 26, 40, 50, -52, 1, 57, 12, 21, -33, 27, 71, 22, 20, -24, 0, -45, 64, -19, -1, -29, 50, -16, -22, -18, -29, -38, 70, 36, 17, -28, 53, -45, -21, -39, 43, -27, -34, -54, -4, -57, -53, 6, -12, -61, 56, 8, -37, -55, 43, 13, 51, 40, 55, -59, 57, 32, -5, 49, 56, -2, -21, 52, 28, 8, -34, 30, 49, -30, 55, 35, 61, 2, -50, -17, 47, 1, -10, 2, 25, 30, -41, 38, 3, 42, -18, 24, 62, -12, -20, 39, -57, -33, -60, 5, 3, -21, 84, 28, -27, -12, -44, -4, 2, 16, -7, 31, -7, -40, 10, -75, -43, -22, -69, 18, -19, 37, -18, 58, -52, 39, 65, 19, 7, 57, 36, -41, -34, -55, -47, 20, 1, 40, -46, -1, -42, 1, -14, -45, -24, -21, 16, -22, 29, -53, 52, 51, 39, -44, 29, 29, -3, 37, -28, 45, 29, -61, 27, 71, -57, 64, 61, 7, 69, -1, 57, 49, -41, -17, -37, -27, -73, 16, 43, 40, -42, -28, -30, 23, 36, -40, 29, 29, 0, 10, 24, -19, -56, 19, -8, -17, -57, 26, 32, 15, -46, 16, -50, 43, 26, 49, 50, 19, -30, 56, 64, -49, -40, 58, 4, 5, 67, -2, -40, -4, 4, 13, 71, 37, -49, -26, -47, 53, 53, 57, 23, 7, 6, 30, 35, -15, 10, -28, -36, -53, -37, 49, 53, -14, 4, -37, 74, -11, -9, -47, -9, -13, 35, 8, 34, -9, -51, 9, 57, 51, -44, 60, 3, -8, 54, 40, -29, 48, 52, 21, 15, -27, 2, -46, 22, -55, 24, -42, -25, 60, -45, 53, 59, -25, -50, 48, -23, -61, 13, -69, -42, -16, -55, -21, 35, 13, 30, -56, -7, 53, 9, 36, 14, 43, 41, 44, -50, -29, 57, 11, -57, -22, 11, -22, 30, 14, -51, 8, -20, -19, 32, 3, 38, -18, 14, 40, 39, 54, -15, -32, 47, 12, 58, -20, -33, 15, 60, -17, -15, 60, 31, -29, -9, -44, -62, 15, -9, 40, -17, 22, 37, 47, 20, -12, -13, 3, -21, -36, 36, -5, 48, 16, -47, 51, -21, -12, 6, 25, 33, -1, 3, -5, -33, 2, 0, -31, 2, 37, 4, 46, -38, 63, 27, 16, 41, 39, -28, -1, -7, 8, 19, -46, 30, -43, 68, 38, -20, 2, -17, -36, 65, 37, 44, 34, -52, 14, 11, 67, -49, 70, -9, 63, -40, -4, -56, 8, -19, -1, 33, -56, -12, -22, 1, 16, 2, 59, -14, 24, 57, -7, -16, -13, -29, 39, -36, 27, 8, 12, 23, 5, -1, 11, -30, -5, 30, 51, 29, 13, 47, 49, -10, -43, 57, 46, -25, -34, -56, 37, -16, -31, -31, -23, -83, -12, -23, -26, 65, -4, 2, 32, -45, 26, -20, -33, 43, -51, -9, -62, -34, -7, 43, 36, 41, 19, 45, -16, -1, -36, 44, 56, -16, -14, 7, 49, 30, -43, 20, 41, -23, -14, 35, -16, -57, 36, 36, 6, -34, 46, 2, 23, -19, -22, 53, 19, 61, 26, 41, 21, 18, 22, 56, -17, -2, 3, 5, 11, -13, -71, 29, 2, -44, 1, -22, -24, -61, -59, -6, -42, 39, 0, -41, 2, -45, -2, 48, 49, 5, -49, -45, -42, 56, -25, 61, 31, 12, 62, 45, -51, -29, -47, -3, 22, 44, -53, 55, 69, -4, -50, -37, -2, -51, 43, -38, 37, -9, 46, 17, -55, 36, 41, -47, 47, 8, -48, 16, 39, -40, 46, 10, 35, -9, 55, 9, -23, -58, -4, -9, -38, 2, 52, 36, 18, 3, 96, 51, -29, -22, -16, -27, 70, 33, -62, -2, 33, -10, -18, 51, 50, 24, 43, 16, 26, 16, 44, -32, 14, 64, 3, -15, -1, -29, -21, -16, -28, 28, -18, -45, -55, -24, -57, -11, -43, 36, 40, 49, -13, -8, -35, -18, -27, 31, 34, -37, -10, 55, -12, 44, 55, -53, 4, 63, 2, 13, 27, -65, 19, -55, -58, -15, 26, 44, -28, -24, -22, 1, -86, -31, -25, -16, -39, -3, 57, 67, -20, 19, -5, -30, -55, 56, 7, -46, 33, 29, 21, -50, -8, -53, 1, 70, 26, 42, 12, 4, 10, -1, -2, 38, -38, -9, 66, 75, 3, -28, -4, -12, -63, -30, -32, 31, 44, -50, -40, 26, 23, 40, 59, 12, -44, 33, -12, -32, -60, -18, -4, -24, 9, -47, 24, 15, 10, -20, 35, -27, -56, 32, 4, 23, 57, 62, -56, 43, 14, 22, 27, 57, -35, -13, 36, -35, 51, 53, -42, -49, 2, 68, 33, -58, 20, 48, 1, 0, 25, -42, 60, 12, 21, -51, 59, 59, 66, 55, 43, 44, -37, 13, -19, 51, -21, 39, 12, 46, -26, -35, 57, 34, -24, -35, 9, 26, 31, 9, 53, 20, -29, 14, 55, 8, -10, -29, 44, 31, -12, 27, 18, -1, -5, 60, 19, -30, -23, -21, -19, 2, 0, 12, 48, 20, 21, 55, 8, 54, -25, 54, 43, 0, -36, 40, -30, -27, -66, -28, -61, 16, 32, -1, -28, 34, -36, 28, 54, 22, -38, 21, -35, 20, -11, -13, -60, -31, 20, 21, 28, 28, -73, -28, -48, -50, -10, -35, 46, 65, 8, 58, -5, 48, 21, 16, 6, -25, 27, -37, -17, 5, 48, -11, -32, 21, -46, -49, -39, -11, 29, 36, 38, -42, -14, 6, 55, 43, 6, -16, 15, -14, -49, 57, -53, 21, -25, 54, -48, 19, 53, -39, -49, 18, 89, -35, 22, 62, 0, 25, 11, -30, 26, 25, 65, -8, -9, -27, -3, -24, -7, 11, 25, 2, 21, 19, 51, 31, 35, 42, 51, -8, -58, -40, 48, -54, 37, 35, -43, 29, 38, -42, -22, 79, 29, -47, 19, -20, 20, 16, 43, -53, -33, 26, -23, 60, -2, 47, 53, 14, -1, 11, -54, -13, -4, -22, -15, 34, 50, -42, -31, 1, 6, -65, -28, -28, 24, -30, 40, -23, -19, 37, 40, -47, -43, 49, 47, 46, -3, -50, 8, -20, 32, -25, -16, -23, -38, 49, -27, 6, -37, 10, 19, 10, -38, -22, -35, 49, -48, -1, 60, 47, 9, -61, -21, 36, 59, 56, 28, 34, -16, -40, -25, -52, 3, -3, -46, -41, 7, -49, -10, -63, 14, 1, 3, -46, 0, -32, -51, -27, 39, -58, -51, -12, 48, -21, 29, 9, 50, -1, 42, -43, -24, -42, 47, 24, -53, -47, 23, 31, -37, 67, 43, -78, -10, 58, -51, -11, 0, -39, 6, -16, 23, 33, 4, 31, 44, 1, -15, -38, -18, 24, -35, -49, -47, 15, -31, 14, -31, 8, 7, -28, 2, 8, -20, -40, 66, 55, -19, 48, -33, -52, 24, 1, 7, -53, 8, -4, -1, 53, 25, -47, -29, -19, -30, 12, 49, 8, 53, 0, 25, 47, 45, 2, 0, 55, -25, 37, 53, -12, 24, -47, 20, 8, -42, 41, 39, -4, 29, 26, -8, 23, -45, 25, 3, -32, 60, -50, 2, 58, -20, -37, 51, 51, 3, -63, -15, -25, 58, -34, 55, -3, -53, -27, 13, -24, 26, 52, -37, -61, 41, -12, 0, 67, 64, 16, 8, -34, -18, -3, 52, 63, -1, 39, 14, 50, 55, -16, 53, 23, 10, 0, -57, 32, 44, 23, -14, -50, 35, -32, 29, -12, 51, 39, 47, -23, -6, 11, 37, -26, -37, 34, 22, -38, -33, -7, -25, 18, -35, -20, -39, -3, 26, 49, -60, 51, -6, 53, 16, -36, 13, -35, 76, -10, -21, -31, -39, 2, 32, -38, -28, -37, 41, 20, 18, 1, 26, -38, 24, -46, 8, -26, -24, -47, 38, 0, -2, -39, -1, 37, 15, 22, 3, 5, 46, -47, -13, -32, 45, 18, 3, 29, 29, -39, -43, -33, 26, 61, -41, 46, 63, -39, 18, -30, -34, 33, 39, -38, 41, 19, -45, -5, 52, -14, 51, 41, -30, -13, 48, -49, 30, 32, 31, -42, -54, 16, 9, -21, 7, -59, 44, -59, -49, 44, -48, 12, -11, -55, -30, -27, 35, -20, 58, -14, -54, 9, -25, 0, 30, -8, 42, 9, -55, -16, 44, -11, 13, 40, 4, 6, -17, -18, -30, -31, -28, 37, -27, -35, -9, 6, -2, -16, 4, 1, 11, -61, 59, -29, -22, 73, 33, 25, 1, -2, 74, 36, -18, -15, 1, 38, -1, -23, -40, 1, 24, 55, 35, -13, 22, 35, -15, 29, 4, 11, -10, 44, 56, -5, 74, -22, 13, -9, -18, -58, -37, 32, -84, 41, 15, -7, 23, -47, -13, -41, 36, 23, -1, -46, -25, 21, 39, -45, -7, 56, -33, 39, -39, 2, -50, -6, -15, 15, 23, 47, -38, -78, 26, -80, 24, -69, 2, -44, -7, -53, -33, 41, -15, -20, -13, -50, -48, 0, 3, -49, -39, -56, 48, 33, 65, 21, -54, -46, -50, 44, 61, -32, -2, -55, -52, 22, -40, 22, -3, -7, 38, 35, -7, -25, 69, 1, -47, 40, -22, -4, 1, -19, 16, 0, -4, 27, -5, -12, -26, -46, 54, -59, -5, 51, 7, 23, -50, 54, -46, -52, 8, -9, 36, -9, 73, 14, 30, 47, -14, 45, 32, -58, 52, -39, -36, -23, 30, -13, 42, 6, -7, 24, 52, 35, -18, 69, 39, -25, 72, 46, -50, -61, -69, -14, -41, -73, -49, -78, 37, 52, -45, 2, -27, 6, 38, 18, 57, 46, 50, 41, 68, 71, 67, -14, 47, -28, 61, 64, -2, -1, 24, 63, 49, -43, 18, -9, 18, 16, -31, 2, -32, 19, 0, -36, 40, -9, -66, 42, -79, -37, -35, -67, -39, -16, 71, -33, -57, -2, -45, 28, 8, -50, 5, 66, 30, -4, -9, -26, 75, 25, 50, 0, -28, 16, -38, -59, -19, -11, -60, -60, -28, 36, 39, 17, -50, 45, -18, -25, 15, 27, 12, 29, 4, -11, -64, 15, -21, 48, -16, 39, -50, 28, -25, -42, 4, 25, -15, 44, 26, -8, -13, 53, -4, -29, 44, -24, -9, 45, -37, -46, 22, 24, 37, 52, 26, 57, -34, 9, 7, 11, 32, -49, -5, 0, 48, -11, -26, 62, -32, -45, -60, 35, 10, 8, -23, -71, 4, -19, 34, -1, 33, -5, -28, 79, 37, 15, 34, -8, -48, -22, 40, -23, -40, -1, 54, 32, 56, 20, 41, -28, 57, -24, -21, 47, -48, 22, 15, -9, -53, -10, 27, 15, -46, 61, 50, 47, 3, -70, -2, 5, -61, 17, 28, 37, -66, 1, -42, -8, -41, 58, -47, -4, -40, -8, -28, -25, 25, -34, -18, 2, -38, 22, 6, 0, 23, -16, -6, 9, 22, 43, 58, 16, 5, 19, 92, 21, -19, 7, 62, -42, -55, -56, -58, 55, -44, 15, 20, 18, 4, -11, 11, -23, 88, 53, -36, -4, -17, 23, 61, -15, -22, 34, -58, 19, 41, -30, -19, 8, 45, 1, -69, -29, 53, -31, 39, 3, -24, -9, 26, -57, 10, -61, 24, 33, -34, -23, 20, 8, -19, -8, 46, -36, 3, 40, -49, 48, 20, 14, 35, 18, 3, -1, 1, 29, 33, -43, -49, 50, 53, -25, -48, -17, -7, -45, 46, -24, 53, 42, 11, 41, -35, -52, -40, -17, -50, 16, 39, 36, -50, 18, 12, -4, 23, -2, 45, 27, 80, -22, 33, -6, -34, 27, 9, 58, 15, -46, 1, -26, -4, -62, 25, 46, -25, -54, -28, -55, 48, -60, -14, -30, 61, 7, -22, 44, 62, 47, 18, -45, -20, 49, 30, -36, 54, 5, -15, -31, 22, -53, 9, 55, -40, -59, 57, 9, 44, -36, -31, -38, -70, -10, 75, -80, -9, -42, 28, -40, -22, -3, 51, -36, 30, -54, -62, 26, -28, 11, -3, -17, 29, 55, 28, 44, -14, 33, 18, 62, 58, -22, 57, -29, 55, 56, 16, 16, 2, -23, -58, 21, -55, 21, -26, 45, 18, 19, -50, 14, 26, -2, -47, -34, 9, 34, -14, -53, -5, 4, 25, -38, -23, -34, -22, -10, -59, 38, -5, 17, -18, -50, 31, 57, -26, -4, -32, -54, 4, 43, -23, -53, -77, -1, -2, 22, 21, -13, 83, -51, -19, -18, 37, -16, -3, 11, -36, 1, -11, -24, 45, -6, 5, 9, -8, 4, 36, 14, -36, -27, 25, 37, 15, -31, 0, -22, 27, 17, -11, -11, -52, -36, 46, 40, -46, 47, -61, 3, -31, 11, -26, -12, -50, -31, -22, -3, 27, 8, -14, -36, 31, -25, 35, -44, -20, -38, -53, -6, -2, -49, -50, 49, -39, 11, 52, 32, 24, 57, 5, -18, 23, 81, 51, -54, -25, 13, 31, 24, -29, 56, -33, 32, -15, 1, 6, 9, 48, -45, 44, -31, -7, -22, -10, 11, 14, -41, -27, 42, -20, 62, -35, 9, -14, -17, -64, -5, 28, 1, -36, 56, -19, -4, 71, 42, -38, -20, 41, -36, 54, 36, 30, -15, -48, -25, 32, -17, -12, -29, -6, 5, 51, 39, 45, -22, -7, -15, 26, 32, -52, 65, -36, 10, -17, -55, -25, -48, 15, -29, -32, 22, -1, 45, 28, -31, -25, -46, 16, -37, 57, 50, 6, -45, -15, 16, -16, -51, -30, 42, 21, 14, -17, 48, 35, 62, -58, -35, 19, 26, 36, -6, -2, -60, -59, -13, -56, -23, -53, -14, 9, 43, 11, 19, 63, 54, -20, -31, 2, -2, -20, 23, -11, 2, -26, -32, -60, -8, 26, 10, -49, -50, -55, -23, 16, -9, -48, 9, 57, -57, 41, 15, 5, -36, -44, -16, 34, 6, -13, -61, 51, 31, 31, -54, -25, 8, -3, -29, 32, -37, 7, 60, 16, 39, -19, 43, -3, -61, 7, -28, 61, 35, 11, 47, -43, -45, -59, -68, 55, -23, 14, -2, 2, 37, 89, -60, 30, -20, -2, -42, -51, -7, 40, 54, -47, 42, -47, 17, 59, 48, -28, -9, -15, -52, 37, 28, 26, 2, -72, 32, 18, -5, -41, -62, 3, -3, -64, 19, 49, 27, 22, -11, 17, 36, 36, 27, 37, 48, 62, 31, 35, 26, -28, 56, 32, 51, -52, -34, 13, 3, 74, 36, -33, 42, -52, -11, 6, 4, -56, -36, -36, -25, -22, -49, 52, 25, -40, -4, 33, 10, 21, -18, -37, 9, -20, -43, 50, 35, 25, -53, 18, 9, 32, -19, -47, 38, 54, -21, -31, -64, -14, 5, 22, 54, -22, -16, -14, 64, -53, 24, -59, 12, 9, 23, -10, 22, -36, 33, -31, -11, -28, -26, 28, -3, -5, 45, 25, 24, 59, -8, -39, -66, 36, 12, 7, 27, 18, 63, -41, -23, -5, 8, -53, -48, 65, -54, -34, 20, 31, 18, -32, 51, -44, 29, 40, 48, -40, -45, 48, 29, 36, 29, -32, -29, -20, 38, -25, -28, 21, -54, -14, 15, -8, -5, -30, 15, -18, -20, -36, 34, 33, -39, 24, -2, -10, 53, 19, -42, -36, -40, -27, 15, -9, 30, -59, 36, 16, -57, 34, -26, -26, -62, 0, 33, 35, 54, -27, 39, -10, -4, -35, 35, -41, 3, 13, 39, -24, -16, 1, 3, -2, 19, 39, 8, -39, 30, 42, -47, 3, -36, 13, -54, 31, -55, 21, -54, -19, 44, 45, -3, -5, -51, 37, -24, 9, 18, -59, -22, 27, -22, 6, -35, 25, -18, 52, -55, -20, -49, -11, 58, -45, 29, 27, 54, -31, -58, 8, 66, 11, 55, 63, -15, 0, -44, 16, 12, 39, -51, 20, 60, -24, -33, -35, -55, -66, 21, 32, -57, -53, 13, -51, -19, -10, -54, 32, 73, -31, 21, -22, 40, 9, -16, 32, 10, -16, -24, -26, -6, 1, -45, 32, 31, 24, -63, 26, 18, 45, -33, 9, 31, -4, -30, 57, -51, 60, -9, 53, 21, 52, -53, -27, -10, 44, 26, 53, -25, -16, -13, 9, 1, -59, -41, -53, 51, 55, -46, 2, -4, 18, -59, 0, 24, 54, -43, -37, 17, -47, 30, 3, -14, 41, 11, 1, -73, 45, 59, 44, -29, -17, -61, -34, -36, -31, 43, -31, -37, 28, -12, -10, 54, 3, -14, -18, 53, 14, -31, -13, 50, 52, 18, -49, -47, -47, 42, 65, 48, -16, 22, 3, -9, 11, -38, -10, -27, 43, -1, 27, -30, 57, 46, 28, -21, 52, -28, -29, -39, 19, -59, -30, -3, 40, -53, -38, 50, -42, -50, -53, -33, -52, -44, 43, 51, 49, 0, 6, -3, 48, 48, 8, 25, -7, 39, 4, -26, 4, -27, -84, -25, -60, -17, 13, -42, 44, 51, -28, 33, -8, 10, -65, 44, -23, 33, -68, 39, -18, -1, -14, -59, 44, -59, 36, 34, 56, 27, 52, 3, 52, -26, -5, -45, -23, -16, -29, 10, -31, -34, 21, -41, -8, 13, 29, -42, 14, -27, 26, 9, -6, 18, 13, 66, 29, 53, -35, -14, -62, -30, -63, -32, -19, -35, 31, -32, -9, 24, 50, 44, -1, 6, -14, -59, -28, -37, 23, -9, -10, -4, 33, 8, -50, 80, 33, -57, -39, -29, 15, 49, -3, 49, -26, -37, -66, -57, -58, 15, -36, -41, -2, -15, 47, 52, 45, 48, -48, -51, 57, -27, 40, 17, 36, 24, 42, -7, 51, 9, 13, -2, -21, 35, -35, -37, 57, 16, -9, 3, -22, 34, 23, -39, 40, -16, -41, -28, -38, 10, 41, -53, 7, 51, -23, -47, 25, 31, 33, 47, -75, -37, -19, -7, -30, 1, 56, -4, 37, 33, 52, 10, -40, -21, -41, -1, -39, -35, 53, 57, -21, 38, -40, 34, 3, -22, 50, 39, -61, -19, -19, 53, -34, 59, 49, -28, -39, -3, 30, -31, 22, 41, -34, 18, -20, -20, -43, -53, -26, -34, 6, -34, 42, 61, -26, 50, -44, -5, -1, 43, 23, 1, -19, 54, 55, -64, 45, -68, 19, -49, -52, 7, -34, 20, -11, 27, 26, -19, 3, 61, 47, 31, 39, 57, 3, 14, -40, -34, -35, 41, 5, -17, 48, 47, -12, -34, -67, -30, 57, -45, -16, -24, 55, 42, 60, -14, 21, -31, 32, 25, 40, -2, 16, -6, 26, 14, -10, 16, -24, 33, 17, 3, 40, 49, 31, -30, -3, -8, 26, 52, -44, 40, -58, -4, 44, 11, -34, 25, -33, 57, 61, -5, 53, 48, -2, -1, 28, -30, 50, -37, 37, 3, -45, 30, -30, -69, -61, -56, 31, 19, -15, -61, -69, 31, -3, 25, 6, 57, -55, -31, -32, 42, 50, 52, 20, 59, 12, 12, 25, 36, -49, -15, 16, -44, -36, 27, -34, 57, -55, -31, 18, 47, 3, 0, -42, -46, -35, 44, -58, 44, -19, -49, 8, -6, 1, 14, -29, -62, 38, 1, -54, -31, -8, 74, 15, -67, -64, 16, 61, -21, -25, -26, -4, -17, 11, -17, -24, 29, 13, 49, -14, -48, 66, 16, -31, 33, -50, 15, 16, -48, 5, -7, -14, 14, 21, 40, -35, -51, -5, -55, -35, 61, 34, -27, 30, 29, -13, -71, 42, -66, 15, 20, -43, -19, 12, 10, 32, -33, -5, -36, -52, -17, 3, -52, 7, 4, 5, 31, -29, 15, 50, 1, -49, -3, -50, 15, 15, -36, -16, -13, 42, -32, 45, 23, 62, -19, -3, -35, -18, 11, -4, -42, 20, -35, 62, -45, 14, -38, 56, 4, 44, -12, -26, -1, -58, 8, 13, -10, -11, 49, 52, -40, 32, -48, -11, 43, 0, 39, -54, 13, -28, 29, 48, 23, -48, 35, 53, -29, 8, -42, 2, -33, -12, 56, -1, 6, -3, -10, -39, 39, 53, -39, -49, -11, -48, -21, 19, 3, -24, -41, 30, -5, -49, 26, 52, -14, -56, -12, -33, -19, -11, -47, -23, 2, -60, -45, -34, -14, -47, -30, 1, -9, -33, -59, -49, -47, 48, 11, -8, -16, -49, 25, 16, 33, -3, 10, -17, -32, 9, 23, -9, -18, -7, 41, -9, -41, -53, 46, 65, 0, -46, -21, 23, 14, -61, -1, 51, -51, -40, 14, -43, -25, -43, 7, -27, 9, -28, -51, -47, 41, 47, 6, -59, 0, -35, 1, -1, 18, -27, 54, -21, -41, -22, -32, 56, 26, 14, 27, -45, 54, -45, 10, 4, -16, 4, 16, -22, 70, 44, 17, 7, 50, -41, 50, 8, 14, 9, 44, -12, 8, 34, -25, -17, -25, -41, 28, -59, 60, -33, 8, 26, -35, -18, -8, 24, 37, 39, 33, -47, 28, -51, 55, -37, -10, -60, -46, -37, -4, 36, -66, 59, 39, 23, -45, 4, -40, 0, -50, 34, 45, 7, -36, -28, 17, -40, 2, -57, -7, 20, -38, 52, 13, -6, 22, 19, -57, 42, -30, 36, -55, -6, 34, 4, 24, -25, -2, -10, 19, -28, -47, -62, 19, -55, 11, -9, -31, -53, 62, 37, -60, -5, -34, 26, 5, -15, -43, -11, -49, 34, -20, 50, -60, -34, 7, 46, 21, -41, 15, -63, -38, 22, 1, 28, 32, -4, -59, -61, -40, -23, 27, 49, -54, -60, 56, -44, 27, -19, -54, -43, -2, -25, -49, 20, 46, 55, 28, -11, 31, 36, 8, -42, -21, -13, -31, 44, 52, -3, -44, 58, -59, 45, -61, -52, 27, 56, -60, -35, 57, -36, 23, -29, -23, 20, 51, -13, -33, 39, -49, -12, -31, -30, 6, -44, -13, 5, -46, -55, -52, -35, -36, -46, -48, 26, 54, 8, 10, -54, 3, -50, -48, -62, -27, 16, -17, 32, -14, -51, -1, 24, -11, -13, -15, 10, -53, -51, 9, -42, 52, -51, -22, -31, 14, -17, 29, -19, 28, 8, 38, 38, -47, 46, 15, 52, -15, -54, 18, 15, 45, 8, 44, -5, -7, 19, -39, 35, 20, -12, 53, 55, 4, 9, 1, -38, -48, -24, 32, 55, 25, -30, -57, 22, -41, 11, 31, -27, 15, 31, 9, 51, -49, 50, 2, -20, 34, 23, -60, 6, -12, 45, -10, 13, -39, -15, -29, 31, 7, 55, 41, 39, -21, 51, 18, 56, -41, 12, 26, -9, 18, 57, -7, -32, 20, 28, -49, 51, -14, -57, 34, 30, -55, 26, 7, -57, -49, -53, -28, 36, 28, 32, -10, -47, -38, 58, -36, 9, -59, -38, -30, 7, 36, 1, -50, -39, -24, 57, -54, 1, -36, -30, 5, 3, -47, 44, -27, -13, 19, 13, 4, 43, -14, 25, 50, -28, 45, -60, -5, 27, 58, -45, -55, 54, -16, -18, 37, -51, 55, -57, 3, -1, 34, 5, -24, -24, 29, -55, 20, 44, -32, 50, -40, -59, 42, 56, 23, -6, 2, 29, -16, -22, -60, -26, 42, 46, -50, -52, 16, 58, 48, -47, 60, 40, 59, 49, 28, 4, 38, -17, 6, -59, 10, -10, 34, -55, -26, -62, 12, -53, -47, 40, 61, -29, 28, -31, -49, -48, -8, 15, -42, 33, -56, -1, -4, 17, 14, 25, -16, 12, -9, 2, -28, -16, -21, -37, -37, -62, 45, -6, -33, -32, 41, 19, 3, -8, -18, 51, 56, -62, -40, -47, -20, -16, -53, 33, -15, -23, -1, 41, -11, 62, -42, -4, 35, 48, 47, -27, 38, -9, 38, -43, 60, -40, -60, -5, 47, 29, -10, -4, -58, 26, -35, -16, -61, 47, 45, -46, -36, -55, -17, -30, 38, 53, -39, 20, 36, 56, 19, -19, -12, 25, -23, 44, 17, -39, 38, -48, -20, 16, 54, -58, -19, 5, 2, -35, 16, 4, -10, -59, 25, 10, -14, 17, 45, 6, 2, 10, 14, -48, -6, 4, 14, -22, -54, 14, -13, 20, -2, -55, -5, 39, -59, 56, 18, 26, 5, -49, -7, 14, 38, 48, 15, -26, 7, -16, 28, -47, -17, 11, -50, -6, 56, -49, -48, 9, 8, 48, 42, -18, -19, -11, -29, -10, 26, -53, -52, 54, -33, -50, -50, 24, 57, -56, -11, 14, 47, 15, -11, -29, -28, -57, 29, 51, 32, 4, 50, -6, 6, 20, -14, 5, -61, 51, 38, 14, -14, -28, -33, 26, -45, 1, -29, -14, 59, 55, 36, 25, -45, -52, 1, 28, 18, 30, -16, -3, -26, -28, 20, -63, 46, 54, -38, -11, -59, 16, 0, -20, -16, 50, 50, 10, -41, 50, -1, 43, -53, 46, -8, 51, 48, -6, 25, -9, 15, 10, 44, -36, 30, -33, -59, -50, -55, -45, 57, -17, -10, -13, -35, 42, -55, 47, -27, -60, -52, 38, 61, -55, -55, -34, -42, 1, -9, 29, 15, -44, -62, -62, 8, -24, -2, 45, -36, -13, -5, -23, -13, -58, 19, -12, 32, -27, 51, 51, 21, -5, -41, 36, 34, 41, 55, -23, -1, 41, -51, -44, -50, 38, -10, 17, 9, 32, -48, -8, 33, -9, -58, 1, 44, 23, -3, -59, -35, 48, 55, -55, 16, 44, -9, -2, 37, 21, 28, -29, 11, -45, 23, -43, 52, -10, -13, 52, 43, -10, -49, -13, -7, -24, 41, -13, -40, -22, 6, -3, 2, -17, -47, -23, 42, -22, 52, 28, -42, -2, 34, -19, 39, -49, -52, -51, -18, -1, -52, -48, 33, 3, -38, 37, 40, 31, -9, -32, 19, 9, 8, -11, -8, 48, -50, 62, -55, -54, -25, -43, -20, 16, 38, -53, 54, -23, -5, 10, 9, 61, 61, -59, -11, -39, 27, -33, 20, 41, -24, 52, 13, -59, 53, 26, -42, -19, -28, -33, 41, -25, -18, 29, -33, -10, -15, -57, -51, -35, -59, -57, 58, -40, -55, 8, -35, -11, -32, -37, 7, -61, 33, 0, 26, -26, 27, 38, 20, -16, -43, 0, 46, -30, 18, 25, -29, 18, -19, -40, -43, -3, -41, -29, -59, 44, 49, 31, -37, 38, 33, 24, -54, 50, -16, 30, 13, 36, 58, -7, 18, 2, -14, 29, 7, -44, 36, -8, -39, -56, -17, 51, 48, -58, -35, -46, -45, -14, -14, 27, 19, 57, 25, 26, 14, -40, 51, 13, 39, 24, -8, 14, -46, 19, 35, -14, -46, 36, 9, -14, -5, 7, -25, -51, 20, 35, -17, -45, 58, -44, -10, -9, 21, 54, 51, 6, -30, 8, 60, -25, 46, 33, -16, -45, -33, 47, 26, -3, -13, -1, 1, -59, 24, 11, 51, -51, 12, 28, 51, 51, -20, 54, 29, 48, -31, -16, 12, 20, -17, -35, -56, -6, 5, 13, 13, 16, 2, -52, 46, 21, 22, 2, -17, -10, 54, 15, 11, 39, -10, -14, 14, -8, -17, -53, 56, -55, 10, -44, -15, 25, 30, -43, 2, -53, 41, 36, -9, 13, -8, -4, -43, 47, 24, -13, 32, 34, -42, 34, -4, -36, -61, 9, -25, 9, -28, -45, 17, 18, -15, -45, -17, 60, 33, -41, 3, 23, -31, 30, 0, 56, -44, -43, -6, 56, -53, 42, -12, -25, -59, -19, 42, -50, -54, -50, 34, -32, -41, 29, -59, 52, 23, -31, 26, -56, 50, -10, -6, -47, -43, -17, -18, -37, 43, 2, -7, -20, 20, 16, -41, 16, -29, 47, -4, -53, 23, 41, -53, -10, -44, 16, -1, 25, -13, -50, -45, 36, 38, -65, -60, -4, 14, -2, 9, 38, -8, 47, 34, 2, -6, -60, -5, 36, -43, 12, -42, -34, -1, 19, -54, 48, 53, 1, 22, -45, 50, 46, 56, -47, -19, -5, 54, -51, 33, -19, 5, 31, 9, 22, -24, -21, -61, 19, 47, 34, -59, 26, 38, 4, -47, 50, 30, -15, -20, -15, 32, 29, 7, -14, -19, 58, 48, -4, 8, -62, -19, 22, 26, 9, -28, 27, 27, -52, -51, 42, -71, 9, -19, 12, 19, -38, -7, -63, 19, -60, -19, -44, 29, 49, -48, -25, -3, -37, -26, 19, 55, -56, 1, -14, 26, 5, -33, -56, -43, 37, 45, -24, -60, 33, -37, -62, 50, 19, 57, -33, 12, 44, 20, -7, 8, 55, -52, -17, -25, 43, 19, 7, -46, 5, 39, 60, -38, -19, -34, 39, -13, 55, 36, -52, -3, -17, 39, -7, -46, 18, 12, -6, 62, -32, -3, -20, -29, 65, 26, -20, -37, -55, 23, 3, 60, -27, -35, 58, -31, 4, -5, -23, -33, -42, -20, -5, 38, -7, 3, 36, 12, -29, 12, -3, 41, 35, 25, -50, -41, -13, -13, 67, 22, -39, -52, 20, -51, 45, -41, 48, -47, -51, 24, 40, 0, 1, 16, -67, -31, -9, 46, 37, -60, -53, -9, 9, -16, 17, 44, -26, 13, 26, -15, 9, -27, -43, -25, 0, 39, -25, -44, -34, -36, -45, 24, 28, -52, -49, 64, -45, -43, 28, 4, 56, 13, -22, -32, 36, 46, -37, 27, -11, -38, 34, -37, -6, -36, -25, 8, -6, 34, 13, -31, 58, -6, -15, -49, -43, -4, -50, 31, 30, 16, -51, 15, -19, -62, -25, 4, -40, 38, 53, -37, -51, -12, 55, -16, 60, -59, -19, 53, -39, -39, -13, -57, 6, 10, -55, 45, 0, -15, -28, -57, -57, -2, -59, 43, -30, 22, -24, -46, -51, 37, -53, 1, 11, -8, 34, -27, -59, 49, -9, -27, 26, -29, 7, -41, -49, -55, -44, 56, -58, -50, -13, 37, -32, 54, -53, 3, -30, -57, 17, -43, 56, 20, 58, 58, 55, 0, 8, -18, 39, 53, -45, 19, 60, -41, -55, 48, 56, -26, 16, 14, 65, 42, 2, 13, -48, 32, 23, 28, 52, -57, 22, -39, 9, -54, -26, -25, -24, -48, -47, 58, -22, -1, -36, 57, -56, -23, -29, -39, -50, 7, 23, -29, 8, -48, 11, 2, 60, -11, -44, 0, 27, 10, 52, -9, 25, 36, 62, -15, -37, 49, -3, -41, 27, 49, 58, -18, 1, -2, 53, -23, -9, -10, 54, -17, 2, -52, 4, 37, -13, -59, -47, 41, -45, -42, -60, -11, 46, 3, -42, -41, -57, -13, -62, -5, 23, -44, -19, -53, 44, 41, -29, 61, -53, 15, 63, -34, 29, -16, 47, -7, 49, -7, -49, 34, -22, 47, -27, -6, -35, 33, 55, -51, 49, -62, -63, 39, -36, -17, -48, 16, 7, -2, 31, -26, -40, 18, -6, -34, -35, 21, -51, 37, 15, 53, -1, -52, 48, 22, 40, -26, -10, 7, -40, 58, -49, -42, -60, 43, 38, -15, 42, -33, -45, 42, 48, -65, 43, -53, -58, 11, -5, 60, -55, 45, 15, 58, -53, -49, -18, 69, 58, -30, 15, -46, 50, -12, -51, 28, -44, 7, 33, 12, -14, -34, -56, 3, 6, 16, 59, 35, -13, -8, -42, 37, 51, 39, -26, 13, 19, -33, 42, -23, 0, -22, -22, 27, 5, -38, 19, -54, -49, 48, -29, 31, 18, 28, 17, -10, 20, 13, -45, -44, -32, 2, 17, -27, -21, 37, 54, 33, 47, 24, 35, 60, 14, -4, 35, -13, -26, -48, -50, -27, 24, 39, 47, -13, 18, 35, 15, -48, 50, 61, -11, 5, -42, 48, 33, -31, -24, -19, -56, 66, 43, 27, -12, -29, 31, 31, -62, 54, 12, 23, -40, 21, -31, -19, -19, 56, -5, -25, 46, 22, -51, 50, 20, 51, -24, -25, 51, -5, -14, 23, -35, 58, -59, 45, 26, 27, 3, -21, 52, 15, -54, -3, -59, 26, -39, 20, 59, -20, -19, 43, -17, -6, 25, -33, 59, -10, -43, 33, 8, -22, -6, -6, -50, 37, -45, 27, -42, 44, -20, 9, 20, -3, 29, -26, -39, -20, 3, -6, 31, -39, 34, -43, -49, -58, 16, 54, 37, 14, -46, -28, 6, -54, 41, -32, -30, 29, -60, 53, 35, -20, 27, -38, -6, 54, 44, 24, -6, -33, 43, -26, -46, -52, -56, 52, -34, -40, -28, 40, -10, 5, -57, 50, -3, 36, 13, 23, 29, -14, 55, 34, 12, 8, -38, -52, 51, 58, 44, 23, 15, 18, 58, -46, -52, -24, -34, 9, 13, -58, -33, -32, 23, -14, -51, -7, -6, -35, 39, 19, -19, -54, 47, -48, -23, -46, -55, 45, -31, 24, 19, -39, 24, -27, 42, 15, 3, 56, 38, 37, 35, 46, 26, 49, -18, -63, 25, 7, 49, -28, -7, 23, 39, -2, -19, -39, 47, 30, -11, -41, 51, 30, -15, 41, 28, 47, 58, 13, 42, -22, 8, 49, 6, 1, 16, -22, 51, 11, 3, -58, -10, -5, 56, -29, 46, 5, 37, 49, -11, -10, 61, 13, -31, -2, 29, 35, -48, 14, -31, 46, -38, 17, 39, 43, -11, 31, 3, 7, -56, -42, -31, 38, -56, 50, 24, 26, 17, -53, -45, -5, -43, -2, -21, 22, 16, -42, -19, 14, -17, 45, 13, -11, -7, 10, 4, -20, 43, -13, 5, 11, 47, 48, 16, -34, -10, -28, -8, -39, -52, -35, -7, -12, -52, -5, -7, -17, -43, -45, -6, 29, -59, 14, -10, -35, -6, -16, 36, -7, 31, 41, -18, -30, -17, 51, 44, -36, -45, -45, -62, 18, 48, 1, -24, -13, 31, 2, 48, -41, 2, -23, 5, -1, -25, 25, 48, -35, -58, -3, -16, 23, 8, -26, -52, 21, -51, -61, 17, -30, 13, 46, -61, -14, -44, 39, -50, -23, -26, 19, -36, 11, -8, 33, -43, 5, 42, -5, 47, 17, -28, -15, 47, -12, -30, 60, 34, 56, -57, -7, 10, -57, -16, 60, -39, -32, 54, 6, 40, 28, 42, -15, -45, 17, 54, -46, 19, 30, 52, 15, 35, 48, -23, 24, -46, -23, 19, 37, 13, -29, 20, 18, -47, 40, -19, -26, 4, 7, 61, -22, -9, 28, 39, 59, 35, 38, 57, 52, 31, -54, -22, 25, -30, 19, 4, -20, -41, -61, 5, -9, 49, -6, -49, -39, -47, -33, 53, -30, 23, -55, 51, -6, 27, 6, -6, 2, -41, -22, -44, -56, -48, -28, -4, -19, -43, 24, 36, -43, 43, -47, -1, -41, 39, 46, 48, -51, -44, -12, -59, 24, -54, -57, -42, 39, -31, -41, -37, -40, 16, -29, -14, -25, -34, -2, -12, 20, -43, 35, 41, -23, 60, -59, -23, -13, -48, 15, -36, 38, 31, 51, -52, 29, -22, -10, 4, 40, 18, -1, 60, 28, -5, -38, -27, -25, 15, 25, 40, 26, -29, -30, 6, -6, 43, 61, -10, -25, -58, 57, -48, -46, -41, -13, 47, 4, -27, 19, 54, 21, 42, 17, 27, -57, -49, 19, -46, 4, 17, -51, -3, -28, -55, 38, 27, 32, -45, 29, -24, -28, -41, 57, -60, -15, -40, 4, -61, -33, 5, -23, -40, 45, -33, -15, 12, 42, -22, 32, -4, 39, 28, 0, -60, -35, -29, -10, -63, 64, -34, -19, 16, 10, -30, -14, 40, -4, 52, 52, -38, -51, 39, -57, 58, -34, 38, -10, 34, 34, 14, 6, 16, -19, -51, 51, -26, 30, 8, 9, 14, -59, -60, -47, 39, 80, -56, -31, -24, -36, -2, 47, 14, 20, 0, -40, -49, -2, -28, -27, -20, 7, 33, 29, -7, 19, 49, 55, 57, 40, -37, 42, 7, 39, -86, -25, -16, -1, 15, 49, -52, 42, -48, -16, -47, -14, 36, -38, -18, -26, -45, -50, -69, -14, 13, -37, -31, -31, -1, -52, 29, 12, 54, -21, -2, -44, 36, -49, 57, 28, -24, 35, 47, -38, -16, -51, -36, 34, -20, -39, -16, 31, 9, 29, -18, 46, 1, -33, 28, -53, 42, 23, 30, -20, 11, 51, -45, -65, -26, -64, 22, 43, -8, 16, -48, 53, -31, -15, 8, 40, 18, 51, -58, 53, 43, -69, -63, -27, -39, -29, -22, 27, -53, -55, 12, -52, -39, -19, -2, -2, -13, 62, 7, -16, 9, -41, -3, -46, -45, -33, -10, 74, 13, 43, -14, -31, 1, -17, -55, -8, -1, -25, -15, -10, 24, -32, -23, -50, -49, -26, 52, 46, 32, 28, -8, 21, 27, -15, -26, 8, -17, 48, 16, -1, 6, 34, -40, -20, -49, 22, -61, -3, 42, -58, -58, 36, -20, -41, -30, 35, 35, 21, 17, 41, 16, 35, -7, -53, 41, -35, 29, 6, 61, 26, 19, -36, 27, 50, 33, -35, -4, 8, 27, -24, -57, -30, -17, 8, 67, 43, 33, -40, 36, -47, -35, -21, 33, -24, -22, -54, -43, 20, -16, -31, 54, 23, 10, -18, -38, 53, 24, 64, -58, -19, 65, 28, 22, 36, -25, 58, 9, 35, -61, 1, -55, -50, -70, 56, -76, -13, -34, -26, -58, 11, -1, 57, 47, -49, 39, -18, -38, 53, -2, 91, 56, 22, -34, 49, 9, 52, -14, -36, 7, 35, -31, 11, -47, -41, -50, 21, -47, 63, 1, 22, 81, -16, -8, -32, -14, -45, 0, -4, -18, 70, 51, 23, 48, -13, 21, 70, -38, -41, -37, 9, 11, 32, 37, 2, 48, -64, -26, -30, -56, 9, -40, -9, -17, 8, -7, 27, -22, -25, 21, -16, 39, 50, 33, 14, -43, 31, 5, -44, -4, -64, -14, -19, -15, -45, -23, 38, 56, -65, 25, 61, 7, -62, 42, -13, -32, -5, -42, -31, 20, -17, -34, 61, -30, -24, -28, 45, 42, 5, -21, -4, -30, 54, 52, 58, -7, -6, 23, -1, 85, -8, 15, 63, -13, -31, 59, 21, 41, -6, -34, -51, -19, -51, 29, 5, 35, -10, 44, -44, 13, 10, 34, -3, -26, 29, -3, 17, 41, -37, 25, -29, -20, 36, 32, 24, -55, 10, -13, -60, 16, -6, -19, -9, 27, -36, -57, 26, 1, -23, -1, -5, -21, 37, 42, 23, 31, 69, -9, 59, -44, -2, 35, 24, 45, -39, 29, 58, 18, -7, 24, -6, -53, 78, -13, -13, 57, 11, -55, -38, -20, -35, -1, -53, 59, -58, 30, -44, 0, 4, 59, -26, -47, 22, 18, 31, 31, 11, -31, -10, -25, -4, -15, -1, -53, -1, -15, -52, 5, -21, -61, -20, 44, -26, -5, -56, -9, 10, 7, 36, 47, -14, 13, 37, 11, -38, -66, -42, -16, 3, 12, -19, 20, 32, 53, -16, -2, 25, 0, 2, 56, -54, -6, 49, -10, -35, -31, -26, -40, 26, -62, 55, -27, 7, 51, 57, 11, 36, 27, -26, -17, 51, -24, 20, -14, -9, -2, -58, -59, -18, 64, -17, -19, -9, 43, 8, 55, -31, -10, 44, 25, 13, -34, -15, -28, 52, 31, 27, -47, 10, 10, 20, 46, 65, 47, 34, -45, 28, -57, 37, -8, 5, 61, 14, -27, -32, -50, 43, -56, -16, 37, -7, -18, -15, 14, -49, -41, 54, 29, 3, -50, 49, -20, -28, -6, 71, 30, -31, -22, 46, 13, -57, 37, 34, 5, 18, -49, 27, 19, -4, 17, -55, 26, 3, -22, -31, -2, -51, -2, 28, 6, 34, 5, 56, -19, -13, 60, 40, -33, 19, 71, 49, 42, -32, -21, -17, 13, 3, 11, -8, 64, -48, 22, -21, 32, -44, 18, 11, -53, -64, 70, -1, -29, -57, -52, -41, 21, -1, -58, -45, -26, -39, -55, 4, 28, -15, 54, 8, -54, 11, -42, -15, -6, 12, 51, -47, -10, 64, 45, -33, 86, -17, -73, -23, -17, -53, -24, -44, -48, 35, 12, -17, 11, 43, 48, 30, 1, -13, 17, 83, 26, 35, 9, 17, -55, 0, -46, 3, -31, 61, 64, 60, -37, 32, 6, 18, 33, -11, -16, -7, -54, 38, 9, -44, 47, 10, 50, 26, 51, 47, -24, 35, -8, 2, 69, 54, -42, 44, 0, -37, 28, -53, 57, 37, 27, 61, 36, -37, -7, 47, -15, 35, -13, 49, 18, 26, 31, -33, 45, 44, -11, 24, 27, 17, -34, -34, 38, -54, -14, -21, -60, -58, 52, 57, -19, 8, 56, 8, -35, 13, 31, 72, -69, 21, 34, -63, 38, 79, 73, -30, 38, 28, 69, 4, 24, 33, 20, 70, -35, 29, 4, 61, 57, -7, 58, 7, -43, 22, 55, -19, -62, 53, 34, 19, -61, 51, 31, 31, -54, 20, -18, 33, 11, -37, 47, -69, -26, 4, 11, -21, -51, 23, -48, -38, -49, 8, 1, -5, -41, 37, -49, 30, -22, 53, -35, 34, 36, 16, -40, -4, 61, 4, 3, 1, -40, -48, -7, 60, 44, 52, 47, -51, -7, -43, -13, -57, -15, 13, 13, 35, -1, -33, 31, -46, -50, 25, 45, 27, -16, -44, -14, 6, 11, -36, -18, -21, 7, 61, -33, 46, -39, -32, 62, -39, 0, 24, 19, 38, -63, 11, -15, -44, -37, 40, 7, 39, 4, -35, 7, 44, 23, -24, 40, -10, 11, 19, -36, 37, 10, 15, -37, -41, 8, 20, -48, 19, -6, 35, -24, 44, 4, -37, -35, -39, 22, 39, 12, 31, -4, 40, -41, 9, -23, 3, -46, 40, -63, 19, 33, 10, -13, 53, -10, 41, 52, -14, 26, 11, 10, -1, -30, 2, -57, 49, 45, 20, 37, -22, -55, -13, 11, -38, 13, 3, 15, -11, 44, -4, 7, 12, 27, 43, 6, -11, -7, 36, 63, 13, 15, -44, -50, -34, -35, 35, -35, 76, -45, -15, 34, 35, 47, 36, -32, 22, 24, 4, 46, 53, 58, 0, -42, -30, -12, 24, -21, 5, 41, 52, 14, -31, 45, -44, -3, 55, 0, -58, -47, 20, 0, 17, 28, -63, 57, -42, -50, 63, -47, 26, 19, -4, -1, -43, 7, 44, -30, -31, -69, 32, 1, 53, -57, 8, -32, -59, 21, -37, -27, 9, -15, 36, 32, 38, 51, -56, 52, -7, 5, -21, 50, 48, 47, -65, 18, -33, -13, -30, -42, 9, 29, -8, 24, -8, -35, 40, -5, 43, 35, 50, -52, -27, 32, 18, 59, 38, 52, -23, -17, -19, -40, 2, 61, -37, -25, 2, -18, -43, -74, 32, 50, -30, 11, 10, 16, -30, 46, -56, 46, -16, -40, -12, 48, 27, -46, 56, 7, 41, -2, 64, 9, 30, 44, -6, -19, -51, -5, -4, 7, 43, -23, 39, 26, 52, -14, -37, 31, -38, -23, -14, 4, -35, -10, 18, 45, 22, 40, -40, -44, 21, 29, 21, -61, 40, -21, -10, 13, 37, -61, -27, 7, -27, -54, 11, 18, -29, -42, -44, 19, -39, 35, 49, 15, 3, -50, -42, -5, 1, 2, 47, 50, -34, 31, 39, 38, 10, -46, -21, 46, -37, 68, 63, -16, 52, 47, -26, -12, 72, -65, 62, -11, -8, 57, 65, 25, -5, 36, -4, -23, -51, 18, -50, 6, -52, -25, -19, 54, 36, -13, -11, -42, 43, 50, -48, -6, 72, 3, -46, 39, 0, -35, 13, -21, 37, -31, 12, 45, 3, -17, 48, 32, -32, 13, -16, 95, 1, -51, -6, 65, 25, 28, 67, -58, 48, -16, -63, 8, -43, -61, 34, -10, 72, -13, -14, 37, -8, -73, -50, 21, -26, 44, -48, 64, 44, 55, -2, 24, 42, 18, 40, 39, 9, -32, 8, -37, -54, 3, -11, -28, -23, 1, 61, 9, 4, -35, 26, 53, 41, 59, -17, 7, -46, -33, 21, 5, 45, -5, 58, -24, -9, 7, -58, -6, 9, -56, -51, -32, 41, 18, 5, 12, -50, 33, -23, 51, 12, -50, -7, -1, -9, 6, -4, -37, 28, 44, -44, -25, 6, -48, -44, -64, 36, -41, -46, 38, -37, 27, 27, 53, -23, -67, -5, 23, 5, -10, 47, -16, 23, 31, -49, 62, -30, 10, 51, -59, -6, 32, -11, 26, -17, 50, 27, 54, 30, -15, -45, -50, -54, 54, 0, 6, -25, 2, 27, -52, -47, 59, 7, 1, 9, 5, 74, -3, -38, -19, -41, 24, -47, -47, -46, -31, 17, 39, 13, -18, 34, -45, 52, -52, -19, 2, -50, 22, -31, 32, 23, 52, -26, -27, -60, 3, 56, 27, 35, -29, 10, -37, -64, -64, -23, 15, -17, 38, 2, 26, -45, 9, 58, 66, 27, 20, -21, -4, 36, -16, -43, -70, 57, 17, -1, 55, 94, -2, -19, 71, 48, -32, 53, 72, -46, 5, 48, -46, 23, -21, 32, 21, 23, 33, -10, 49, 37, -18, -22, 5, 19, -37, -23, 3, 20, 52, -24, -45, -31, -42, -21, -6, -59, -41, -23, -12, -41, 9, -11, 44, 32, -38, -40, -23, -58, -37, -36, 16, -3, -21, -76, 46, -29, 10, 21, 15, -11, 34, 58, -48, -49, -19, -50, -42, 9, -14, -28, -11, 57, -5, -18, 43, 8, -25, -40, 29, 31, 22, -1, 39, 10, -60, -9, -46, -6, -20, 0, -16, 26, 80, 35, 27, -41, 32, -36, -16, 7, -52, -9, 12, -64, -44, -41, -43, -69, -56, 52, 42, 56, -37, -27, -2, 33, -42, 52, 35, 27, 9, -59, 44, 67, 43, -48, 33, -26, 5, -30, -7, -37, -53, -27, -26, 43, -25, 7, -39, -12, 24, 21, 24, 35, -58, 30, 5, -5, -28, 45, -54, 54, 8, -49, 34, 13, 25, 58, 55, 44, 58, -34, -53, 54, 52, 57, -51, -17, 28, 53, 34, -38, -51, -72, 37, 17, 56, -52, 29, -30, -19, -38, 82, -2, 21, -3, -21, 31, 42, 21, 44, 31, 48, -40, -23, 43, 19, 4, -14, -28, 27, -31, -46, 16, -38, -29, -5, 57, -34, 54, 29, -38, 58, -22, -38, 26, 37, 12, 21, -56, -17, -11, -41, -63, 0, -39, 65, 4, -23, -21, -63, -49, -7, 47, -40, -73, 24, 50, -53, -73, -26, -7, -30, -7, 45, 38, -21, 32, 44, 55, 61, -26, -15, 55, 26, 33, 70, 13, -48, 52, -44, -56, 43, -11, 55, -49, 7, -53, 65, -41, 24, 2, -41, -26, -1, -9, 13, -23, -18, 9, -10, -53, -60, 12, 16, -47, 32, -44, 41, 38, 53, 64, 37, 32, 19, -2, -18, 3, 34, -9, 29, 51, -8, -16, 14, 47, 13, -28, -23, 2, -4, 6, -6, 2, 38, -22, 32, -36, -51, 47, 13, -48, 4, 36, -46, 34, -37, 3, 33, -39, 1, 15, 29, 1, 48, 30, 11, 19, 29, 26, -65, -19, 11, -19, -10, 24, -41, -36, 4, -11, 19, -31, -26, 32, 42, -45, -29, 19, -39, -50, 9, -15, 66, 34, 40, -9, 43, -42, 43, -15, 5, -11, -15, -27, 40, -41, 48, -10, -64, -31, -7, 48, 11, 36, 66, -52, -7, 8, 18, 40, -4, 30, 32, 15, -19, 57, -45, -34, 50, 28, -39, -42, 1, -20, -3, -52, 58, -14, -23, -48, 35, -4, -57, -7, 67, -48, -31, -28, 0, 56, 53, 14, 15, -29, -25, -45, -10, -10, 35, -1, 52, 60, 23, -41, -52, -27, 45, 11, -55, -28, -58, 10, -45, 33, 38, 59, 16, 33, 62, -7, 28, -53, -12, 45, -21, -41, 77, -30, 37, 57, -47, -53, 41, -30, 48, -4, -63, 9, -8, -62, 65, 47, -69, -64, 13, -9, 12, -4, 1, -2, 35, 47, 54, 45, 0, 34, -27, -31, -40, 61, -7, -38, -33, -24, 19, -37, -55, -45, 16, 42, -12, 11, -35, -3, -56, 7, 35, 21, -54, 35, -13, 61, 40, -44, 54, -19, -17, -45, -6, -16, 31, -16, 20, 34, -28, 51, 24, -50, -31, 12, 47, 38, -53, -58, -10, -38, 46, -43, -36, 6, 77, -54, -50, -31, 5, -43, -15, 10, -10, -49, -59, -15, -11, 16, -45, -60, 16, -31, -27, 41, 74, -26, -31, 47, 47, 19, 7, 32, 12, -41, -24, 7, 10, -7, -3, 36, -47, -45, 33, 33, -49, 45, -56, -19, -1, 35, -59, -46, 42, -5, 10, 9, -21, -81, -10, -39, -18, 7, 57, 31, 51, 39, -55, -65, -35, 48, -6, -30, 46, -61, 46, -68, 6, -25, 53, -29, -27, -39, -52, -6, 46, 61, -69, 64, 53, -54, -30, 41, -25, 44, -47, -4, 29, -34, 26, 41, 11, -42, -5, 29, 6, 46, 45, -59, -26, 36, -9, 25, 36, -28, 5, 28, 31, 4, -24, -42, 12, -10, 39, 25, 23, 36, 41, 46, -2, -22, -42, -37, 50, 21, -30, -54, 7, 23, 29, -66, -59, -38, 17, -39, 2, 26, 45, 14, 0, -57, 60, -31, -34, -24, 67, 48, 20, 1, -36, 3, -18, -29, -18, 63, -52, -51, 8, 39, 70, 41, 69, 10, -34, -51, -49, -53, -19, -61, 16, -29, 62, 57, 25, 7, -9, -31, 36, -26, 17, -5, 22, -25, 40, -45, -39, 33, 7, -46, 58, 36, -68, 88, 78, -28, 13, 16, 70, -39, 70, 29, 2, -19, 29, -60, -12, 2, -32, -48, -26, 52, 43, 2, 42, -33, -53, -1, 32, 9, -32, -45, 22, 75, -43, 24, -17, 44, 0, 28, -2, -15, 2, 52, 9, 55, 56, 43, 28, 7, 16, 27, -22, -3, 8, -37, -4, 13, -28, -39, -18, 11, 54, 42, 49, 7, 45, -37, -24, -22, 8, -41, -38, 15, 29, -43, 36, -5, -49, 9, -42, -6, -34, 56, 40, 67, 26, 69, -14, -11, 32, -29, 36, 41, 31, 17, 45, -48, -3, -3, 40, -52, -20, 43, -46, -42, 47, 43, -73, -19, -3, -34, -47, 43, -27, 8, -9, -42, 17, 2, -3, -56, -31, 18, -55, 24, 60, -53, 34, 5, -16, 4, -10, -9, -42, -12, 17, 19, -16, 54, 2, 22, -41, -32, 36, -47, -7, 48, -33, 53, -18, 8, -31, -54, 54, -13, -54, 40, 22, -44, 31, -3, -37, 23, -30, 26, 33, 20, -63, 15, -47, -14, 0, -63, 24, -62, 47, 57, 23, -12, -26, -22, 42, -38, -30, -16, 19, -8, -36, -59, -60, 60, -33, -76, -38, -57, 21, -32, -2, -18, 26, -53, 23, 1, 41, 4, -38, -29, -17, -15, 50, 24, 26, -28, -4, -38, 35, 41, -35, 24, -42, -43, -13, -41, -17, 56, -49, -44, -67, -56, 67, -21, -8, 31, 29, -38, -46, -29, 14, 0, -38, 10, 17, -57, -34, 19, -2, -46, -11, 5, 7, -12, -48, -32, 2, -20, 29, -50, 38, 23, 4, 29, -22, 58, -41, 24, -38, -49, -34, 18, -21, 34, -6, -55, -12, 49, 49, -9, -61, -18, -12, 27, 0, 49, -6, -26, 57, -47, 20, 18, 15, -7, -14, -34, -42, -3, 18, -56, -24, -38, 7, -19, 45, -43, 23, -55, 21, -20, -7, 10, -27, -13, 28, -3, 46, 25, 37, -37, 12, 22, -46, 1, 17, -59, 64, 34, -18, -33, 10, 58, -17, -13, 5, 53, 53, -37, 0, 38, -29, -1, -25, 25, 57, 21, 29, -13, -27, 47, 59, -33, -55, -55, 51, 64, 7, -21, 49, 29, 12, 13, 41, 18, -34, 26, -62, 6, 64, 40, 23, 54, 54, 61, -25, 44, 21, 40, -47, -38, -4, 55, 4, 61, 30, -16, -54, -25, -17, -19, 45, -20, 4, -40, -36, 6, 43, -33, -33, 11, -18, -50, 3, 51, 35, 19, -58, 3, 20, 26, -27, -5, 26, 50, 36, -69, 14, -24, 3, -54, -17, 30, 43, 58, 34, 30, 62, 14, -49, 31, -22, 42, 41, -33, -33, 20, -49, -39, 6, -35, -9, -7, 50, 1, -44, -45, -63, 44, -20, 22, 29, -72, -59, 16, 11, 61, -36, 31, -44, 24, 22, -39, 48, -23, 45, 19, -17, -27, -55, -15, 2, 30, -43, -33, -33, 25, 58, -49, 23, -42, -28, 40, -35, -44, 61, 23, -40, 30, -6, 36, -42, 57, -12, 26, -26, 52, 59, -52, 59, 44, 25, -29, -14, -37, -12, -38, -62, -40, 25, 19, -7, -59, 29, -47, -56, 59, -11, 60, 60, 3, 62, -55, 34, 1, 49, -35, -13, 3, -31, -14, 34, 54, 1, -1, -49, -20, 69, -2, -25, -42, -3, 18, -49, 31, 16, 22, -69, 10, -23, -49, -19, -14, -57, -11, 28, 3, 23, 16, 49, 5, -10, -12, 40, 12, -15, 55, 7, -52, 31, -10, 53, -51, -13, 50, 55, -41, 6, 14, 31, -20, 34, -25, 108, 49, 6, 31, 41, -28, 77, 37, 42, 6, -44, 12, -58, 28, -22, -1, -28, -23, 14, -26, -57, 15, -5, -31, -32, -28, 20, 2, -15, -46, -8, -51, 34, -39, -3, 36, -57, -56, 52, 58, -20, -10, 60, -7, 9, 60, -52, -41, 29, 52, 2, 52, 52, -44, -18, 49, -59, 39, 10, 29, -16, 54, -33, -38, 22, 17, 68, 47, 55, 23, -9, -14, 34, -52, 50, -52, 9, 9, -21, 12, 58, 12, 19, -1, -2, 12, 1, -25, -24, -45, -1, -28, -52, 10, -55, 38, -2, -18, -18, 42, 13, 47, 13, 27, 14, 10, 52, 2, -55, 50, 16, 9, 49, -3, 52, -23, -27, -4, 5, -46, -20, 10, 38, 58, -46, 56, 59, -1, 34, -19, -59, -14, 22, 16, -17, -48, 43, 33, -47, -70, 12, -21, -51, 30, 13, -41, 28, -26, 53, -41, 33, 28, 4, 41, -30, -51, -27, 35, 5, -55, 25, -21, -26, -21, 26, 67, -31, 11, 51, 13, 5, -10, -43, -19, 0, 39, 21, 57, 46, 46, 18, 19, 0, 16, -3, 47, -23, 44, -41, -33, -37, 48, -7, -39, 54, -1, 9, -2, 48, -48, -32, -28, 54, 23, 38, 39, -37, -54, 25, 3, -12, 39, -20, 45, -41, -43, -46, 57, -34, 53, -7, 7, -1, 53, -38, -40, -30, 5, -10, 2, 32, 0, 34, 1, 53, 39, 39, 10, -75, -45, -44, 49, -50, 14, -43, 46, -32, -33, -36, 46, -59, -28, -51, -18, -38, 48, 28, 20, -61, -43, -53, -54, -51, -11, -54, -27, -20, 10, 20, 1, -55, 14, -62, 20, 32, -44, -60, -4, -27, 54, -6, -50, -29, 27, 9, 42, 41, -75, 14, -21, -56, 24, 38, 46, 33, -19, 30, -22, -50, -48, -14, -21, 17, -63, -49, 48, 78, -68, -47, 55, -32, 25, 36, 27, -34, 16, 1, 33, -20, -3, -61, 37, 56, 5, -52, 9, -25, 26, 42, 7, -47, -28, -61, 13, 7, -16, 1, -1, -10, 34, -3, 52, -56, 48, 31, -24, 28, 30, -47, 65, -12, -35, -33, -59, 17, -35, 42, -12, 38, 49, 20, 17, -16, 46, 48, 35, 11, -50, 22, 32, -53, 52, -31, -33, -4, 30, -13, 38, 63, -73, 5, 24, 4, -16, 23, 46, 16, -17, -57, -14, -45, -40, 15, 62, -12, 20, -23, 56, 42, 40, 2, -5, 55, -43, -42, -22, -29, 22, 17, -5, -37, 57, -57, 45, 24, -57, -1, -49, -41, -15, 24, 53, -1, 63, 54, 57, -33, 34, -63, -17, 36, -2, -45, -8, -37, -56, 8, -12, -35, -27, -36, 21, -23, -39, -16, 21, 47, -25, 58, 50, 57, 42, -9, 10, -64, -62, -26, -23, -53, -38, -27, -34, -30, 24, -47, -49, -28, -25, 0, -40, -53, 51, 3, 14, 57, 51, -36, 3, -37, -33, -32, 46, -8, -56, -13, -46, -39, -10, 37, 2, -22, -12, 65, -2, 39, 13, 56, -35, 34, 8, 43, 30, 38, -7, 20, 24, 3, 25, -64, 31, 19, -43, -39, -43, 49, -53, 10, -31, 22, -5, 56, 24, 32, -29, -36, -11, -63, -65, 46, -7, 15, -44, -28, -49, -5, 21, -52, -2, -19, -23, 2, -3, 49, -44, 46, -25, -8, 30, 1, 24, -5, -4, 53, -31, 50, 10, 5, -4, 27, 12, 5, -29, -27, 48, -13, 8, 40, -16, -41, 35, 20, -26, 5, -41, -35, 45, 28, 46, 5, -18, 9, 57, -47, 59, -17, -38, -49, -60, -33, 19, -9, -51, -27, 39, -28, -35, -1, 51, -1, -15, -43, -65, -51, -63, 13, -14, 35, -16, -37, -2, 40, 49, -4, -57, -20, 50, 61, -2, -15, 28, -51, 3, -26, -52, 4, -25, 52, -26, -24, 22, -12, -25, -46, -25, -12, -53, -31, 23, 4, -53, -4, -58, 24, -21, -15, 52, 28, -15, 38, 39, -33, 48, -30, 37, 59, -15, -11, 11, -47, -36, 32, -2, 76, 7, 44, 2, 28, 47, -2, 9, 24, -37, -6, -27, 22, -61, 16, 51, 26, 6, -2, 58, -13, -33, -7, -8, 48, 37, -3, -12, 20, 50, 54, 10, -29, 39, -7, -47, -56, 25, 27, 23, 23, 48, 49, -34, 35, -60, -11, -15, 63, 11, 46, 57, 43, 19, 16, 50, 21, -27, 51, 21, -51, 0, 6, 54, 2, -27, -52, -4, 50, 9, -17, 44, -9, 21, 34, 69, -19, -5, 6, -46, -41, 22, -34, -39, -60, -41, 36, 26, 44, 46, 42, -2, -14, 53, 28, 50, 1, -23, 18, -32, 32, 36, 26, 1, -57, -33, 10, 13, -29, -24, 0, 57, -29, -14, 42, 47, -35, 54, -29, 34, -5, -26, 6, 19, -21, -26, 75, 46, 53, 61, -15, -30, 46, -27, 9, 0, -10, 28, 78, 77, -29, -38, -12, 32, -53, 46, 60, 11, 2, -25, 3, -5, 16, -6, -42, -34, -28, 61, 24, -30, 26, -7, 37, 9, -42, -5, -10, 27, -13, 28, -42, 7, 59, -41, 38, -39, 62, -20, 59, 62, -40, 62, 36, 48, -21, -45, 14, 44, -35, 10, 48, 41, 12, -28, -55, 27, 21, 61, 34, 42, -37, -24, -37, 53, -9, -42, 35, -16, 23, 8, 32, -50, -50, 49, 49, -56, -15, 21, -51, -18, 31, -2, 28, 36, -13, -10, -54, 29, 60, 18, -15, 7, 27, -20, 5, -56, 11, 5, 7, -53, 9, -37, -25, -9, -32, -52, -25, -57, -35, -12, -45, 7, 48, 51, 20, -33, 54, 57, -9, 32, -10, -13, -25, -28, -27, -22, -58, -72, -53, -15, -13, -49, -29, -18, -18, 16, 28, -4, 9, 56, -31, -34, -17, -28, -24, -16, 9, 22, -2, -37, -49, 8, 33, -20, -39, -21, 15, -17, 28, -50, 48, 38, 15, 38, 38, -44, -2, -40, 24, 21, 18, -29, -51, -55, -30, -30, 34, -5, -12, -2, -43, 16, 57, 35, 17, 29, -28, 72, -11, 59, 58, 21, 58, -6, -29, 53, 61, 38, 59, -5, 27, -6, 43, 39, 43, -55, -57, 52, -8, 64, -41, 25, -6, -5, -13, 32, 21, -45, -10, 53, 33, 27, -10, 26, 16, 10, -26, 26, 37, -19, 7, -49, 22, -48, 49, 6, 41, 42, 14, -33, -24, -47, -10, -6, 21, -19, -31, 58, 7, -38, 38, 24, -51, -22, 31, -10, 20, -8, 17, 38, 13, 36, -25, -32, -32, -6, -41, -16, -50, 16, 22, 6, 33, 33, -42, -30, 30, 48, 12, 10, 97, -50, -10, 9, -49, -37, 10, 65, -41, -19, 35, -47, -11, 49, 12, -62, -27, -55, 26, 58, 38, -40, 35, -32, 31, -8, -5, 10, -11, -40, -17, -38, -23, -25, -40, -56, 29, 42, 29, -37, 59, 52, -50, 0, 29, -25, -7, 60, 38, 41, 36, -52, 10, 42, -38, 29, 50, 1, 35, -30, -39, -31, 39, 41, -12, -26, -44, 51, 28, 8, 54, 15, -33, -63, 58, 90, -11, -15, 4, 10, 10, 26, -9, 13, -44, 76, -51, 1, 45, -5, 31, -36, -42, 44, -66, -20, -15, -3, 18, 8, -7, 33, 36, 64, 7, 34, 47, -39, 52, -10, 46, -60, -53, -53, -27, -38, -4, 13, -51, 1, 34, -20, -12, 70, -32, 4, 43, -33, -41, 35, 64, -15, 57, 44, 41, 3, -21, -30, 66, -43, 47, 37, -36, -46, -41, -70, 53, -20, 59, 30, -28, 53, -30, 61, -52, -17, 48, 28, 6, 41, -46, -39, -49, -53, 17, 7, -49, -39, -20, 37, -43, 61, 22, -57, 51, -47, 42, -43, -44, 30, -2, -8, -15, -17, -59, -40, 16, 23, 38, -25, 54, 58, 12, 23, 31, 21, 8, 22, 54, -38, -9, 45, 54, 48, -47, 15, 46, 52, 13, -60, 19, 14, -2, -15, 28, -40, 21, 35, -25, -10, -26, 3, -38, 33, -64, 34, 26, 0, -7, -40, -39, 28, -10, 18, -43, -12, 36, -51, -23, -56, -19, -27, 13, -19, 2, 58, 35, -23, 57, 58, 62, 71, 15, -42, -46, -40, -12, -38, 22, 37, -5, -67, -1, 56, -40, -13, -10, 25, 20, -58, -60, -7, 44, -60, -18, 51, -47, 26, -30, -47, 55, -40, -18, 7, -18, -20, -34, 34, -13, 75, -18, 90, 6, -8, -8, -32, 65, -35, 44, -14, -37, 63, -23, 17, 68, 6, -38, -33, -19, -29, 12, 17, 53, 6, 38, 42, 58, 12, -22, -15, -35, -43, -34, 53, -42, -27, -54, 50, 29, 22, -26, 63, -3, -49, 28, -31, -53, -57, 52, -56, -45, -60, -26, -40, -8, 36, 27, -29, 39, -1, 34, -25, -10, 24, -1, 31, -16, -13, -53, 26, 17, -25, -53, -44, 59, 13, -2, 54, -13, 11, 17, -51, -15, 21, 54, 51, 12, -34, 82, -23, -29, 76, 32, -64, -56, -3, 5, -38, -3, 38, -18, 48, 4, -9, -6, -55, 51, 33, -50, -25, -60, 56, 28, -25, 11, 62, -13, -6, 26, -40, -57, -32, -22, -5, 38, 31, 39, -40, 60, -14, 33, 41, -55, 43, 41, 61, -21, -9, -36, 49, 36, -49, -59, 33, 1, -48, -8, 18, 45, -33, -31, 41, -10, -38, -26, -15, -34, -14, 54, -50, 32, 5, -14, 66, 18, 10, 38, 43, 44, -53, 44, 42, 23, -48, 6, -8, 62, 68, -1, 37, 40, 45, 6, 0, 54, -23, 51, 41, -25, 54, -13, -35, 56, 17, 28, -51, 17, -28, -5, -11, -54, 59, 1, -15, -44, 4, -39, -38, 65, 41, -52, 24, 30, 45, 50, 34, -15, -37, -57, 47, 14, 8, -18, -46, 37, -26, -40, -46, -16, -46, -17, 33, 27, -40, -48, -46, -55, 5, 49, 39, -42, 13, -24, -20, -20, 17, 21, 45, 23, -57, -28, 53, 22, -55, -5, -16, 63, -16, -57, 40, 12, -49, -17, 49, 37, -40, 9, -36, 42, 32, -20, -38, 23, -59, 7, -56, 20, 17, -46, 19, 67, 19, 41, 41, 25, 5, 62, 20, -63, 30, 6, 56, 25, 33, 33, -13, -22, 24, -22, -18, 22, 39, 49, 43, -18, 13, 43, 52, -37, 39, 48, 35, -15, 25, 33, -8, -47, -19, -19, 4, 5, -60, 1, -33, -8, 9, 51, 54, -6, -26, 16, -58, 53, -48, 0, 44, 15, -55, -36, 4, 28, 40, 1, 6, -54, -37, 34, 27, 10, -60, -42, -43, -1, -28, -62, -51, -59, 8, 17, -4, -25, 1, 23, -41, 12, -9, 45, 11, 50, -4, -22, -55, 18, -19, 36, -32, 59, 29, 31, -20, -47, -38, 39, 47, 25, 17, 20, -9, -47, 47, -52, 2, -42, 33, 0, -35, -59, 13, -20, 69, -51, -44, 14, -44, 36, -14, 63, 26, -64, -59, 44, 41, -30, 18, 44, -39, -14, -35, 10, 53, 57, -55, 20, 55, 61, 42, 9, -15, 34, 14, 20, 0, -42, -5, -19, -59, -41, -47, 9, -5, -29, -31, -20, -1, -20, -47, -38, -43, 13, -48, -48, -29, -39, -57, -7, -5, -16, -39, -36, -9, 19, -58, 51, -38, -1, 62, 44, -4, -59, -47, -38, -30, -60, 5, 29, -54, -40, 2, 12, 21, 12, -53, 53, -58, 10, 0, -63, -33, -46, -21, -50, 27, -37, 44, -21, -12, 13, 55, 1, 16, 44, 44, -46, 30, 30, 11, -57, -54, -50, -53, -43, 26, -23, 50, -17, -33, 45, 23, 8, -16, -26, -40, -8, -5, -22, 59, -39, 48, 32, 4, 12, -3, -26, 29, 34, -11, -16, -4, 39, -55, 58, -46, -40, 54, -48, 49, -23, -35, 18, -2, 46, -28, -6, -3, 61, 7, 43, 21, 32, -59, -61, -55, 38, 11, 15, 42, -13, -44, -45, -47, 9, 31, -12, -62, -21, 14, 8, -25, -21, 7, -12, -56, 53, -54, -48, 7, -2, 55, 0, -20, -22, 45, 34, -21, 27, -8, 23, 23, -42, 31, 19, -48, -48, -17, 45, 6, 58, 17, -52, -29, -61, 3, 9, 36, -62, 3, -26, 60, -46, -48, -40, 33, -33, -39, -7, -35, 17, 55, 32, 23, -62, 5, 56, -34, 36, -19, -59, -54, -49, -18, 42, 31, -9, -37, -23, 54, 10, -36, 42, 22, -17, 47, 26, 45, 30, -40, -20, -42, -20, -14, -30, 25, 19, 12, -19, -4, 20, -14, -40, 57, 4, 44, 47, -6, -1, -36, -38, 57, -20, -39, -35, -17, -20, 8, -40, 21, 44, 52, -49, 42, -7, -61, -50, -10, 41, -4, -59, -54, 27, -41, 3, -60, -11, -13, -14, -1, 32, 6, 11, 43, 4, -60, 36, -20, -48, 12, -56, 45, -23, 15, 16, 42, -23, 33, 25, 32, 47, -1, -59, 25, 40, 22, -35, 2, -21, -13, -5, 12, -4, -22, -50, 0, -45, -12, 9, -61, -23, -57, -7, -57, 43, 10, 15, 1, -4, -46, -47, 32, 15, -26, 6, 29, -48, 19, 50, -15, -16, -7, 32, -62, -9, -53, -20, -28, -6, 34, 1, 5, 42, 5, -13, -43, 13, -23, 35, 26, 59, 0, 45, 35, 13, 38, -29, 28, 8, -28, -3, 33, -40, -36, 18, 0, 3, -39, -22, -54, -19, 14, -24, 12, -54, 46, -8, -14, -14, -1, 43, -59, -10, -36, 46, -29, -6, -33, -34, -10, -56, 52, -59, -63, -31, -51, -12, 25, 4, -56, 42, 2, -61, 19, -38, 11, 1, -33, 38, 20, 49, -4, 0, -17, 50, 23, -5, 21, -29, 4, 53, 15, -24, -17, -17, 17, -41, 8, -60, 38, 28, -50, -28, -1, -39, -11, -34, 22, -9, -33, -48, -3, 46, -19, -7, -19, -25, 3, 59, 26, -25, -61, -14, 35, 28, 59, -18, 14, 58, -46, -5, -12, 38, -20, -59, 35, -39, -41, -40, 0, -8, -62, -57, 13, -58, -43, -17, -59, 56, 37, -18, -21, 9, 52, -52, -53, 43, 9, -51, -15, 12, -39, -36, 29, -55, 56, 45, 6, -4, 16, -31, -41, 38, -38, -40, -54, -32, 19, -59, -61, 37, 55, 7, 0, -49, 49, 27, 48, -27, -31, 57, -41, -34, -31, -51, 49, 58, 26, 34, 29, -38, -38, -53, -1, -33, -10, 61, -7, 16, -32, -61, -50, 39, 11, -60, 17, -8, -19, 1, -30, -40, 32, 26, 2, 8, -1, -5, 44, 17, -7, 8, 31, -50, -23, 47, 36, 50, -16, -30, 35, 38, -43, 36, 52, -47, 31, -12, -2, -42, 20, -8, 37, -17, -3, 15, -20, 52, -19, -61, 36, -61, 1, -56, 38, 25, -54, -45, 57, -63, 20, 43, -27, 48, 29, 4, 2, 16, 23, -29, -17, -14, 58, 62, 18, 46, -38, -36, 10, -33, 56, 24, 35, 15, 53, -43, -5, 8, 21, -22, 7, 8, 48, -18, -64, -43, 1, 14, -44, -34, 15, -40, 36, -14, -24, 30, 42, 25, 21, -62, 11, -26, -57, 47, 12, -28, -39, 25, 30, 49, 6, 37, -22, 4, 42, 27, -26, -28, 32, 21, 42, -46, -35, 41, -48, 50, 12, -60, -55, -43, -40, 0, 57, 48, -57, -48, 16, 48, 14, 6, 44, 56, -43, -1, -34, -12, 2, 13, -37, -9, 26, 1, 13, -57, -25, -32, 50, 16, -31, 6, 17, -5, -3, -59, 21, -61, 40, 35, -59, 7, -48, 45, 54, -4, 11, 42, -43, -36, 34, 8, -18, 4, 22, 3, -21, -56, -11, 30, -27, 25, 7, 26, 3, -7, 28, -47, 21, -44, 22, 33, -27, -8, 9, 2, -25, 6, -16, 54, -39, -61, 45, 3, -22, -22, 3, -11, -50, -14, 26, -9, 38, -54, -10, -56, 21, 41, 13, -35, 33, -53, 57, -13, -62, -15, -3, -49, -13, -40, 4, -52, -42, 52, -30, 41, 28, 33, 47, 25, 38, -4, 27, 20, -34, -17, -56, -3, -25, -18, 52, -27, -4, -57, -60, 0, 48, 22, 37, -50, 41, -23, -16, -53, 27, 20, 5, -39, -60, 45, 49, 61, 60, 1, 37, 40, 33, -4, 10, -40, 44, -17, 47, 25, 26, -24, -54, -58, -10, -17, -48, 9, 15, -59, 49, -9, 46, 27, 31, -2, 21, -21, 37, 10, 61, 16, -56, -60, 5, 4, 41, 49, -22, 47, -33, -58, 38, -60, -55, 60, 57, -1, -56, -32, -23, -20, -16, -49, -9, 18, 16, -10, -18, 58, -40, 4, 28, 25, 48, -5, -56, -53, -5, -44, 28, 26, -30, -4, -60, 22, -55, -55, -18, 59, -34, 42, -16, -21, -12, 26, 59, -34, 44, 30, -19, 44, 60, -41, 27, 7, 40, -47, 4, -62, 24, -58, 51, 35, -61, 11, 20, 41, 39, 13, 28, 56, 36, 7, 11, 26, 43, 34, 41, 57, -9, -3, 40, 42, 53, 30, -45, 22, -28, 16, -19, 57, -36, -51, -7, 20, -38, 58, 31, -27, -7, -51, -8, -52, -37, 40, 51, -42, -17, 20, -37, -21, 60, -31, -54, 7, -56, 52, 10, -12, -21, 16, 28, 2, -47, 50, -20, 39, -52, 44, 8, 45, -3, -51, -22, -1, -20, -57, -47, -16, 29, -37, 23, -44, 32, 37, 17, -62, -28, -51, 28, 40, -63, -50, 34, -48, 60, -50, 46, -19, 28, -47, -53, 27, -12, -34, -54, -36, -50, 22, 28, -1, -4, 9, 9, 38, 54, 53, 53, -6, 40, 22, 18, -2, -51, -7, 56, -56, 61, 13, -43, 42, -42, 29, -56, -52, -28, 41, -38, -51, -24, -10, -55, -62, -20, 58, -46, -56, 29, 4, 20, 57, 43, 27, -53, 34, -35, -44, -18, -41, -32, 61, -21, -15, 4, 44, 38, 49, 12, 60, -50, -4, 28, 43, 14, -49, 20, 34, 50, 43, 15, 46, -28, -11, 27, -19, 15, 55, 12, 42, 20, 49, -47, -8, -46, 61, -51, -24, -35, -52, 21, 30, 46, 33, 1, 32, 39, 57, 16, -48, 33, 13, 42, -52, 52, 7, 54, -43, -13, -34, -23, 41, 31, -65, 15, -23, -2, 29, 9, -35, -25, 57, -10, 36, -15, -1, -24, -25, 17, -47, -16, 47, -53, 4, -11, 7, -21, 43, 48, -21, -36, -36, 46, -11, 47, -38, 22, -44, 59, 31, -50, -3, 22, 42, -19, 0, -36, 11, -37, -14, 52, -51, 21, -6, -47, -12, 18, -7, 41, -7, -37, -58, 19, 14, -57, -63, -17, 11, 6, -33, -21, 22, -2, 42, -17, 48, 5, 29, 35, 47, 36, 23, -11, 45, -42, -25, 42, 47, -28, -41, 39, -57, 13, -19, -12, -23, -5, -37, 50, 43, -6, -51, 59, -5, -43, 2, 23, 2, 54, -14, 59, 43, -30, 42, -40, 42, 65, 2, -59, 10, 35, -20, -4, -18, -35, 31, 42, -14, 54, 7, -10, 11, -2, 32, 63, 58, -53, 28, 7, 51, -33, -6, 34, 1, 43, 36, 40, -61, 6, 40, -20, -54, 41, -2, 39, 38, -15, 0, -26, 0, 5, 57, -41, -27, 48, -56, -28, -50, 26, -13, 22, -37, -53, -9, 4, -56, 25, 4, 38, -19, -27, 35, 16, 44, 27, 26, -10, -50, -23, -58, 26, -37, -65, 3, 31, 35, -42, 17, 42, -52, -51, 15, -40, 24, 33, -52, 46, -23, 9, -50, -5, 25, 40, -55, -43, -59, -3, 30, 8, -32, -24, -30, -26, 50, 0, -21, 7, -3, -31, -11, -44, -34, 21, -30, -32, 32, 29, -8, -23, -50, -5, 48, -1, 36, 32, -51, -29, 48, -11, -23, -10, -19, 52, 48, -25, 26, -14, -7, 38, -18, 45, -23, 61, 38, 21, -21, 62, 4, -33, 20, 37, 2, -46, -64, 38, -34, -30, -35, -30, -51, -20, -54, -7, 9, -37, 18, 52, 7, 46, -48, 32, -41, -13, 33, 11, 35, 17, -53, 20, -55, -5, -12, 53, -13, 5, 37, 43, 53, 40, 39, -16, -12, -5, -39, -5, -65, -10, -16, 33, -22, 49, 10, -9, 2, 18, -14, -45, 10, 35, -22, 28, 19, -54, -45, 34, -61, 45, -46, -41, 8, 54, -42, -29, 19, 51, -25, 2, -8, 52, -48, 8, 10, -24, 12, -23, 52, 3, 53, -51, 2, -40, 22, -50, -13, -62, -15, -46, 23, 33, -61, 19, -60, 18, -49, -51, 56, -24, -54, -64, 47, 16, -24, -32, -10, 9, 19, 67, -32, 16, -68, 4, 11, 22, 60, 14, -37, 19, -22, 61, 29, -14, 39, -10, -23, 43, -2, 22, -4, -50, -49, 8, -48, 2, -4, 43, 24, -15, 12, -5, -41, -15, -35, 50, 42, 25, -65, 28, -37, -56, 57, -64, -5, 32, 36, 3, -13, -5, -53, -35, 25, -61, -48, 53, 37, 55, -44, -6, -56, -22, 20, 5, -19, -12, -49, 62, -64, 31, -14, -44, -7, -54, -10, -29, 1, 44, 17, 18, -28, 12, -13, 19, 28, 54, -43, 52, -25, 68, 48, -61, 44, -28, -28, 12, -58, 52, 64, 10, 7, 61, 4, -7, 36, 24, -60, -26, -8, 55, -34, 4, 20, 7, 31, -30, 29, -10, 29, 15, 49, -40, -45, 46, -34, 25, 17, 16, 16, -4, 16, -30, -11, -18, -40, 20, -32, 59, 6, -23, -17, 31, 24, -57, -24, 40, 25, -25, 57, 51, 13, 21, 34, -6, -11, -11, -42, -16, 50, 14, -36, 43, 0, -47, 43, -46, 48, -18, 36, -29, -36, -48, -16, 47, -23, -3, 14, -24, -45, -62, -28, 60, 42, 8, 40, -20, -33, 19, 31, -39, 16, 60, -64, 53, -47, 46, -24, 7, -20, -51, -44, -4, 40, 29, -60, 44, 3, 43, 33, 6, 55, 8, 1, 0, -7, -41, 53, -3, -42, 31, 12, -51, 20, 63, -58, 4, 15, 24, 50, -11, -36, -55, 30, -47, 45, -32, 54, -38, -25, -17, 27, -35, 51, -76, 6, -21, 20, -24, -46, 9, 51, 11, -52, -65, -64, 9, -57, 13, -21, 9, 24, -7, -15, 56, -37, -56, 34, 48, -32, -33, 24, -27, 38, 38, 46, -5, -42, 18, 0, -21, -14, -25, 22, -43, 4, 6, 47, -46, 8, 27, 34, -27, -59, 15, 0, -52, 37, -17, 24, -29, -23, -37, -36, -13, 16, -54, 30, -33, -19, 36, -42, -49, 37, 19, 31, -50, 18, 49, -32, 44, -35, 51, -47, 7, -12, 28, 48, -17, -39, -32, -65, 33, 47, -11, -48, -8, -12, 34, 63, -60, -52, -57, 46, -44, 2, -3, 23, -29, -33, -18, 42, -16, 60, 23, 33, -21, -54, 36, -9, 0, 18, -33, 43, -53, -25, -16, -11, 1, -62, 3, 20, 5, -58, -38, -45, -61, -36, -21, -47, 21, 52, -59, -6, 40, -42, 1, -26, -24, -3, 52, -20, -30, -6, -53, -12, 55, 4, 4, 65, 23, -36, 73, 1, -22, -44, -49, 45, 39, -26, 20, -22, -41, -60, -38, 25, 44, -2, 14, -29, -47, 46, 33, -6, 8, -2, 0, -40, -40, 77, 3, 2, -40, -32, 8, -58, -37, 58, 55, -40, 54, 0, -59, -23, -37, -36, -50, 17, -45, -58, -55, 4, 34, -53, -24, -4, -22, 20, -15, 23, -32, -65, -48, 14, 29, 69, -64, -28, -39, 42, -29, 20, -39, -2, 55, -15, 0, 46, 32, 28, -48, 19, 9, -28, 40, -15, 32, -53, 3, -16, -20, 43, 22, -52, -26, 39, 50, 59, -3, 50, -17, -39, -46, 34, 4, 15, -43, 43, -56, -59, -47, 7, 29, 3, -37, 15, -34, 29, 14, 37, 59, -23, -4, 17, -43, 6, 4, -24, 30, 48, -61, -6, -16, 6, -30, -41, 61, -42, -40, 61, 48, -27, 37, 11, 2, -10, 54, -50, 54, -19, -34, -54, -34, 3, -50, -31, 32, 59, -35, 44, -34, 25, -10, -19, -23, 25, -3, -35, 25, 55, -33, -5, -34, -64, 29, 57, 46, 42, 19, 31, 16, 37, -2, -42, -12, -50, 14, -40, -51, -34, 22, 49, -46, -10, -7, 3, -22, -4, -5, -43, -13, 1, 55, -26, -9, -41, 35, 23, -38, -32, -44, -28, 10, 9, -3, 33, -57, 21, -17, -22, -49, -53, 3, -19, 19, -26, 16, -45, 37, 36, 58, 14, 24, 36, -56, 28, -47, -52, -45, -18, 52, -5, -27, -53, -21, 17, -48, -50, -49, 9, 17, 43, 20, -65, 12, -26, -32, 2, 5, -26, 20, 9, 26, -29, -21, -55, 16, 22, -38, 54, 23, 32, 65, -53, 6, 29, -46, 46, 49, -38, 24, -52, -64, -12, 41, -49, -25, 56, 14, 25, 18, -12, 57, -1, -36, 26, -28, 5, -40, -51, 42, 0, 13, 39, -65, 47, 17, -6, 14, -60, -25, -24, -36, 5, 39, -29, 21, -53, -24, -33, 24, 41, 17, 40, -40, -44, -41, -23, -36, 7, -45, -33, 21, -39, -20, -45, -3, -13, 13, -50, 6, 21, 2, -49, 22, 39, -32, 15, 50, -11, -10, 13, -27, -45, 22, 57, -28, 51, -59, -49, -41, 27, -14, -24, -1, 43, 67, -9, 26, 28, 48, 12, 30, 25, 43, -33, -3, 3, 34, -11, 43, -48, -27, -9, -52, 26, -18, 53, 34, -8, -39, -6, 8, 51, -35, -9, -35, 4, -5, 2, -7, 20, -15, 26, -49, 53, -37, 29, -5, 2, -17, -31, 1, 37, -48, 18, 4, 15, -56, -53, 46, 29, -24, 10, 57, 31, 53, 6, 31, 50, 14, 33, -27, 49, 18, 14, -3, 17, 8, 16, 12, -69, -38, -64, -15, 50, 47, -25, -3, 15, -53, 9, -3, -3, -23, -26, 47, 24, 59, -14, 28, -22, 33, -63, -61, -51, -37, -10, -68, 34, -36, -1, -40, 17, 29, 52, 37, -34, 9, 11, -43, -8, -58, -19, 10, -36, -8, -8, -33, -11, 29, 61, 22, -39, 28, 58, -56, -11, -3, -22, -21, -6, -11, -20, 3, 40, 13, -50, 9, 25, 44, 53, 13, 13, 26, -48, -12, -33, 11, 54, -36, -39, 35, -1, -61, 37, 33, -40, 58, 44, 2, -42, -25, -3, -15, -50, 32, 37, 15, -9, -26, 18, -53, -12, 18, 40, -18, 39, 55, 6, 0, 62, -28, 43, 57, -31, -37, 30, 14, 37, -47, 45, -25, -4, -38, 31, 4, 1, -55, -55, 4, 27, 41, 50, -6, 33, -51, -3, 57, 35, -33, 55, -31, 63, -40, 51, 3, -33, -15, -24, -27, 46, -23, -58, 6, -13, -28, -13, -63, -13, 55, 17, -53, 1, -34, 45, -16, -46, 59, -55, -32, -9, -13, 14, -38, -19, -47, -51, 42, -54, 0, 2, 45, -12, 53, -43, -31, -39, -25, -34, -57, 10, -26, -62, -16, -6, 15, 45, -40, -5, -54, 4, 54, -56, 26, -43, -55, 16, -60, 45, 42, 52, 21, 12, -56, 26, 18, 55, -8, 1, -42, 9, -12, -26, -34, -45, 47, -11, -35, -14, -4, 25, -46, -58, 36, 52, 56, -60, 22, 10, 43, -1, 56, 54, -68, 0, 10, -65, 47, 12, -57, 10, -31, 19, 17, -38, 15, -61, 41, -27, 23, 68, -26, 26, 42, 17, -52, -16, -9, -34, 6, 53, -30, -21, 48, 28, 0, -59, 39, 30, 21, -14, 1, 9, -1, -45, 55, 44, -7, -42, -38, -29, -59, -25, 59, -20, -44, -63, -55, 53, -37, 4, 32, 29, -20, 19, -61, 30, 53, 49, -48, -25, 10, 5, 10, -13, 38, 42, -23, 51, -19, 21, 9, 9, -33, -51, -35, 51, 25, -44, -64, -15, -43, -30, -11, 10, -21, -8, 12, -45, 8, -40, -31, 3, -54, -50, -37, -64, -10, 35, -49, 21, -13, 39, -35, -6, -45, 7, -49, 14, -40, -50, 5, 18, -34, -64, 40, 53, 7, 26, -5, -12, 5, 48, -44, -31, 70, -10, 27, -26, -48, 8, 28, 37, -40, -45, -18, 49, 15, -56, 44, -5, 14, -65, 43, -20, 39, -57, 28, -61, -37, 45, 2, 8, -48, 58, 36, -26, 4, 21, 13, -11, 17, -25, -44, -60, 52, 31, -34, -4, -7, 69, -4, 58, -2, -4, -55, 11, -1, -29, -27, -12, -49, -38, -46, 31, -13, -6, 3, 26, 32, 14, -29, -40, 65, -37, 25, -39, 56, 0, -33, -8, -60, 35, -61, -46, 9, 31, -5, 39, -37, 30, -4, 37, 27, -44, 37, 69, 60, -20, -33, 10, -4, 17, -26, -49, -55, -30, 48, -19, 45, 34, -40, -28, -24, -18, 44, 45, -56, 36, -60, -55, 44, -62, 26, -24, -49, -25, 18, -5, -41, 12, -56, 6, -40, 38, -48, -26, -38, 15, 31, -60, -31, 41, -22, 39, -64, -2, -53, 28, 35, 27, -47, -17, -50, 41, 2, -13, -1, -17, 45, 32, 19, -64, 21, 33, -57, 29, 53, -23, -47, 12, 40, 48, 47, -23, -20, 15, -45, 37, -60, 3, 20, -56, -21, 28, 52, -29, -38, 6, -46, 44, -34, 12, -46, 15, -20, -4, -21, 29, 3, 1, 42, -4, 37, 8, 56, 39, -14, 0, 44, 42, 40, 10, -32, -50, -32, -63, 12, 33, 10, -54, -20, 57, 53, 38, 20, -25, -46, -28, 34, 49, 69, 42, 58, 58, -9, -36, -31, -52, -11, -6, -33, 40, 0, 47, -35, 59, 59, 45, 3, 54, 47, -31, 45, -62, -8, -8, -48, 65, 24, 3, -30, -49, -50, 40, 29, -33, -23, -20, 44, 24, 38, 28, 36, 6, -64, -8, 56, -2, -40, -43, 10, -4, -51, 40, 54, -47, 35, 8, -27, -53, 46, 23, -6, -37, 53, 61, 26, 25, -15, -33, 37, -41, -31, -6, 7, 18, -48, 3, 54, 60, -7, 25, -35, 32, -16, 6, 36, -60, -35, -7, 36, 39, -57, -38, 7, 57, 7, 17, -42, 20, 45, -57, 35, 60, 2, -2, -31, -13, -25, -34, 52, 33, -17, -58, 32, 10, -32, -40, -21, -50, 1, -44, -3, -12, 49, 21, -33, 25, 26, -8, -41, -50, -22, 32, 37, -46, -60, -18, 10, 26, 37, 27, -35, -29, -21, -16, -68, 40, 32, -36, -54, 2, -59, -22, -42, 1, -13, -60, 2, 52, -20, 56, -2, 4, -18, -41, -26, 46, 16, 30, 4, 24, 33, -46, 0, 41, 1, 55, -48, 56, 50, -58, -15, 52, -59, -51, 13, 41, -29, -34, -26, 34, -35, 33, 27, -50, 53, -43, 52, 26, 4, 40, -50, -12, -48, 6, -50, 53, -58, -59, 52, 9, -29, -29, 57, -58, -28, 55, -34, -2, -1, 12, -3, 15, -3, 27, 56, 23, -32, 50, -23, -10, -25, -26, 23, 61, 53, -40, -8, 39, -57, -22, 12, -15, 58, -19, 21, 57, 19, 19, 42, 4, -27, 49, -23, -66, -31, 24, -33, -42, -48, 20, 20, 2, -18, -25, 26, 11, 43, 21, 42, 55, -24, -35, -27, 60, 5, 4, 13, -60, 46, 53, -31, 5, 14, 32, -38, 56, 12, 29, 39, -49, -40, -26, 13, 17, 19, 66, 36, -20, -29, 62, 47, 29, 7, -44, -17, -14, -28, -53, 9, -39, 6, 17, -37, 55, 27, -29, -33, -21, -45, -26, 49, 7, -27, 23, 22, -11, -14, 22, 50, 23, -8, -20, -29, -16, -18, 30, 58, -3, 4, -10, 4, 3, -51, -1, -6, 11, -50, -16, -43, -44, -46, -11, -60, 46, -46, -67, -1, 7, 44, -3, -51, 37, -46, 23, 32, -12, 38, -5, 51, -42, -45, 4, -32, 21, 52, -27, 43, 56, 10, -25, 51, 27, 44, 20, -10, -1, 16, -7, -40, -39, 53, 30, 5, 55, -56, -14, 14, 19, 10, 34, 1, 27, -55, 49, -2, -41, 60, -26, -30, -2, 59, 8, -8, 14, -53, -49, 6, -62, -23, 44, 32, 45, 28, 41, -7, -5, 21, 52, -37, -40, 58, -6, 13, -47, 37, -3, 54, 40, -53, 42, 39, -29, -55, -46, 46, 35, 51, -33, 38, -50, -43, 6, -64, 13, -52, 44, -4, 58, 32, 34, 62, -47, -3, 37, 58, 37, 15, 30, 47, -12, -44, -21, 55, 39, -27, 58, 35, 65, 41, 43, 0, 70, -57, 15, 32, 48, 53, -12, -30, 42, 15, 31, -49, -14, -49, -16, -25, -8, -62, 58, 34, -32, 6, -2, 40, -21, 55, -21, -47, 8, 24, -5, -10, -41, 38, -28, -1, 31, -25, -33, -31, -20, 0, 51, -15, 24, -25, 12, -22, 18, 38, -39, -34, -55, -33, 10, 59, 6, 31, 34, -52, 54, 49, 42, 49, 22, 17, -30, 24, -15, 53, -13, -29, -27, 43, -31, -26, -43, 40, -55, -40, 55, 52, -26, 20, -24, 29, 0, -20, 7, -5, 48, 50, -41, 72, -42, 35, 7, 13, 23, -3, -27, 25, -7, 34, 19, 24, 16, -61, -46, -64, -30, 17, 14, -34, 28, 43, 16, 58, -50, -31, -63, -37, 34, -12, 57, 37, -70, 8, 47, -9, 31, 16, 52, -22, -32, 55, -2, -23, 61, 41, 16, -33, -26, -26, 4, -4, 34, -69, 24, -41, 16, 12, 26, 32, -5, -6, 1, -5, 44, 34, 61, 24, 1, 46, 22, -38, 61, 12, 56, 24, 59, -59, 49, -50, 31, -50, 23, -60, -29, 38, -43, 35, 35, 19, 16, -9, 42, -30, -20, 8, -50, 35, -53, 53, -46, 8, -7, -40, 37, 37, 13, -38, 60, 55, -34, 43, 44, 61, -43, 44, 19, 29, -33, -48, 11, -37, -32, -55, 47, 52, -66, -8, 10, -57, 27, -60, -49, 35, 5, -49, 9, -41, -26, -18, 17, -39, -46, -9, 35, 16, 42, 19, 4, 17, -47, 10, -16, 47, -35, 17, 13, -57, -19, 54, 53, 35, 30, -54, -40, -47, -5, 27, 61, -28, -35, -42, 16, -16, 13, 2, 56, -49, 9, 37, -21, -4, -15, -13, 15, 20, 0, -21, 23, -14, 35, -63, 12, 25, -46, -6, 12, 38, 21, 25, 29, 1, -30, -64, 36, -5, 22, 29, 16, -31, 3, 54, 33, 15, -38, 38, -2, -5, 52, 19, 2, -26, -36, -44, -35, -64, 54, 23, -64, -19, -1, 30, -15, -13, 53, 54, -27, 26, -19, -13, -5, -10, -68, -26, 8, -24, 21, -57, -60, -51, -40, 37, 44, 57, -7, -33, 51, 11, 9, 28, -28, 12, -27, -51, -21, 41, -42, 18, 67, 24, -38, 38, 53, 66, 25, 10, 28, -8, -2, -9, -45, -24, -15, -37, 14, 39, 35, 52, -30, 24, 33, 64, 2, 54, 4, -20, -13, -66, -11, 56, 59, -4, 44, -27, -52, 39, -25, 3, -15, 3, 34, 24, -56, 39, 40, 20, 4, 1, -6, -42, -47, 12, -26, -60, 44, 20, 55, 69, -11, -36, 32, 13, 11, -7, -47, -41, -41, 26, 28, 29, 18, 21, -26, -3, -64, 5, -68, 4, -50, 12, -59, -42, -41, -3, 34, -18, -86, 43, 8, -32, -6, -35, -12, -5, -9, -36, 61, 32, 47, 18, -52, -66, 34, -15, -15, -31, 28, 3, -7, 15, -13, 37, -55, 12, -6, 2, -45, 50, 53, 48, -13, -49, -45, 55, 40, -28, 10, 43, 6, 56, -17, -41, -31, -40, -21, -59, 51, -40, -66, -13, 45, 10, 47, -33, -1, 15, 39, 51, 0, 3, 51, -18, 23, 46, 26, 34, -6, -33, -59, -59, -33, -9, 34, -51, -28, -47, -33, 41, -31, -15, -67, -45, 18, -16, 53, 2, 46, -2, 44, 21, -72, -36, -20, -20, 64, 31, -21, 12, -25, 14, 69, 48, -27, 72, -4, 33, -44, 4, -21, 17, -54, 34, -18, -8, 34, -6, -40, 29, -11, -6, 26, 24, 12, 60, -7, 25, 26, -49, -49, -21, 12, -4, 13, -29, 44, 15, -12, 71, 50, -41, 47, -9, 8, 18, -3, 52, -31, 54, 70, -14, 33, 47, 33, 56, 47, 0, -34, -20, -2, 35, -18, 23, -24, -25, -16, -4, 10, -5, -21, 58, -21, 22, 38, 9, -42, -27, -43, 70, -46, -32, 61, -47, 20, 55, 1, 34, 17, 57, 6, -46, 47, 42, -3, -19, -27, 11, -23, 13, -59, -8, -6, -23, 4, 77, -29, 12, 9, -5, 48, 16, 51, 32, 21, -13, 42, 47, 30, -29, 39, -23, 4, 41, 9, 1, 1, -31, 40, -51, -46, 45, -50, 48, 43, -47, -46, -36, 6, -11, 42, -55, 24, 40, -13, 31, 18, 44, 37, -31, 39, 61, -42, -24, 41, 0, 37, 7, 17, 25, 38, 45, 12, -5, 23, -10, 48, 31, -12, 54, 1, 31, 34, 25, 17, 18, -25, 35, 23, -24, 58, -6, 16, -19, 54, 60, -59, -5, -34, -23, 29, 24, 53, 4, -13, 8, 42, 27, 60, 12, 66, -15, -22, -24, -25, -43, -37, -56, 43, 52, -58, 9, 47, -35, 48, -29, -18, 23, 43, 17, -24, -46, 57, -38, -43, -60, -11, 47, -65, 37, -12, 17, -67, 43, -59, -40, 17, 45, -36, -31, -35, 12, -60, -14, 55, 77, 7, -24, -37, -1, 22, 22, 17, 17, 51, 22, -41, 30, -5, -8, 22, -27, 46, 82, -21, 44, 42, -9, -44, -10, -61, 58, 45, 33, 12, -38, -12, -17, -16, -42, 57, 19, -60, 45, 53, 36, -53, -27, 31, -14, -16, 37, -65, 50, 51, -26, 30, -40, 55, 58, 41, -5, -41, 61, -9, -11, -21, 11, 49, -61, -2, 34, 45, -48, -24, -19, 12, -40, -18, 64, 39, -71, 31, 11, 52, 23, 40, 2, 50, -43, -43, 25, -45, 61, 48, 72, -23, -31, -55, -27, 43, -58, -45, -19, -54, 35, 35, 51, -46, -4, 32, 9, 12, -62, 30, -21, -7, -23, 7, 36, 17, 53, -54, 53, -33, 49, -18, 65, 31, 5, -10, -4, -26, 43, -36, 10, -34, -44, -26, 18, 53, 33, 19, 38, 19, -53, -7, -27, 39, 37, 66, 9, -48, 44, -32, -48, -67, -31, 27, 34, -54, 7, 3, -43, 23, -38, -9, -45, -6, 8, 52, -19, -19, -34, 41, 5, 2, 64, 31, -10, 22, 31, 41, -48, 18, -4, 8, 14, 63, -34, 60, 22, -53, 54, 52, -49, -18, -4, 64, -35, 40, -84, -57, -17, -27, -12, 54, -40, -48, 52, 53, 43, -33, -26, 2, -49, 53, 51, 37, 23, 48, -31, 19, -27, 22, 36, -52, -12, 21, 26, 26, -34, -65, 14, 46, -42, -22, -26, 8, -9, -40, -8, -6, -33, 41, 52, 9, -43, -34, -43, -14, 60, -52, 28, 19, -11, -43, 37, -19, 6, 41, -21, 43, -14, -15, 49, 39, 7, -3, 36, 40, 50, -54, -44, 48, 23, 3, -22, 5, -51, -17, -17, 11, 32, 12, -28, 30, -26, -1, -26, 6, -42, -57, -52, 59, -45, -32, 47, 18, 39, 54, -24, 29, -10, 37, -7, -25, 42, 9, -55, 11, 42, -56, 40, 42, -5, -49, 54, -51, 8, 42, 49, 31, -21, 7, -44, -40, -10, -32, -23, 22, 35, 22, 69, -24, 36, -40, -40, -52, -39, -21, 44, 59, -53, 43, -23, 46, 58, 41, -6, -3, -51, -62, 10, 21, -2, 52, -8, -5, -2, -11, 45, 49, 40, -27, -58, -19, 0, -61, -51, 42, -35, 46, -9, -41, 9, -40, 33, 9, -4, -43, -50, 47, -30, 25, -19, 40, -11, -57, 40, -5, -23, -27, 51, 41, -48, -44, -43, -68, -48, -34, 22, -37, 49, -15, 8, -36, -16, -43, 21, 30, -48, 57, 37, -44, 17, -42, 24, 39, 36, 14, -10, -43, 29, -4, 10, -52, -63, 70, 56, 1, 17, 22, -35, -7, -19, 47, 50, -49, 31, -4, -45, -65, -68, 48, -7, -16, -24, -36, 12, -19, -26, -29, 13, 39, 53, -47, -10, -12, -13, -17, -42, 40, -48, -42, -64, -24, -26, -40, 15, -56, -9, 3, 3, -50, -33, -58, -1, 27, -35, 15, -32, 5, 19, -29, -17, -65, 22, -13, -60, -1, 54, -7, -18, 34, 53, 12, -41, 37, -15, 23, 53, -67, 68, -34, -26, -58, 65, -26, -7, -40, 14, 48, 2, -42, -4, -53, -53, 8, -32, -9, 35, -33, 13, 45, 33, -62, 52, 31, -22, -30, -35, 51, 48, -46, 36, 41, 29, 46, 61, 48, 44, 37, 5, -61, 46, -33, -66, 25, -20, 50, -45, -63, -56, 37, 14, 55, 40, 61, 26, -27, -10, -9, 3, -37, -4, 30, -37, -11, 51, 14, -60, -37, 21, -32, 56, -1, -32, 36, 3, -52, -9, -9, -27, 37, -5, -42, 49, 29, -25, -26, 43, 49, 4, 38, 33, -65, 34, -21, -25, 43, -39, 15, 31, 4, -61, 58, 30, 24, -37, 57, 25, 58, -18, 28, -16, 42, -48, 56, -55, 36, -29, 61, 0, 23, 1, 22, 21, 19, -9, 16, 28, -50, -20, -3, 36, 48, 13, 60, -22, 9, -44, -62, 18, 48, -26, 41, -33, 28, 34, 3, 51, 15, 32, -27, 23, -13, 48, -45, -31, 0, 48, -41, 18, 19, -36, -15, -4, -16, 0, -11, -57, 42, 22, -26, 18, -22, 15, 0, -23, -45, 12, -12, -51, 36, -33, -28, 19, -14, 18, 41, 15, -12, 38, -41, 29, 13, -17, 22, 54, 16, 15, 32, -13, -18, -6, -15, 28, -20, -30, -33, 41, 23, 22, -27, -57, -29, -40, -61, 18, -23, 26, -2, -5, 12, 35, -2, 15, -29, -47, 35, -16, 23, -70, -8, 23, 27, -58, -15, -30, 37, 28, 34, -54, 5, -53, 37, 31, 24, 10, -49, 46, -31, 70, 61, -38, 43, 28, -48, -30, -32, -27, 43, 28, -39, 13, 57, -63, -12, 7, -2, 26, 52, -40, -19, 32, 37, 37, -51, 45, 0, -65, 25, 5, 21, 52, -9, 70, -1, 54, -50, -61, 0, 23, -22, -33, -49, 23, 30, -2, -38, -31, -14, -33, -57, -39, 70, 12, 15, -12, -23, 53, -29, 26, 19, -60, 45, -44, 40, 2, 12, -57, 25, 2, -63, 50, 21, 0, -60, 14, -25, -6, 18, 30, 22, 52, -34, -24, -53, 5, 34, -45, 21, 15, -52, -37, 43, 8, -30, -36, 18, 55, -32, 48, 20, -49, -22, -26, 57, -20, -58, -46, 52, -16, -43, 10, -59, 28, -41, 48, -3, -21, -52, -50, 63, -51, 36, 4, 33, -1, 42, 45, -36, 44, -7, -52, 37, 12, -28, -49, -47, -18, 32, 57, 13, -5, -48, 48, 13, -44, 51, 4, -21, 65, 52, 21, 7, 39, 46, -28, 18, -34, 40, -30, 55, -57, -28, -4, 2, 6, 26, 45, -48, 3, -32, -14, -15, -60, 35, -16, -27, -4, -18, 12, -44, -49, -3, -35, 49, -31, -23, -16, -55, 36, -46, 60, 15, 17, -2, 18, -29, -54, 30, 37, -8, -1, -41, 2, -27, -7, 27, 2, -52, -46, 22, 60, -49, 12, 15, -36, -35, -25, 52, -18, -22, 32, 42, 37, 28, 22, 37, -8, 14, 63, 4, 31, -40, -27, 27, 69, -48, 15, -17, -26, 8, -23, -24, -30, -50, -47, -39, -19, 16, 49, 14, 12, 52, 65, 38, -1, 60, 23, -37, 76, 65, 0, -16, 36, 36, 34, 12, 37, 11, -53, -3, 39, 59, 23, 32, 17, 35, -53, 49, 11, -10, 39, 21, -50, 36, -58, 21, -25, -18, -39, 34, -18, -41, 40, -55, -57, -48, 46, 2, 57, -60, 14, -52, 7, -51, 2, -59, 42, 21, -6, -40, -1, -29, -39, 20, -57, -45, -5, -39, -6, 14, -6, -34, 48, -20, -41, -29, -13, 18, 67, 37, 36, -4, -66, 64, -63, -22, -45, 11, -6, -54, -33, 28, -40, 62, 51, -60, 43, -40, 29, -52, -35, -6, 24, -22, 33, 18, 14, 8, -28, 31, -7, -12, 36, 19, -23, -20, -42, -63, 36, 52, 39, 10, 56, -21, -13, 37, -10, -18, -9, -32, -41, -44, 28, 33, -78, -11, -21, 1, 11, -48, 49, 57, 58, 12, -16, -2, 8, 55, 7, 11, -62, 36, -5, -66, 62, -32, 27, -1, -9, 62, -8, 20, 15, -29, -19, -28, 64, -46, 14, -72, 22, -14, 30, -46, -27, -30, 32, -15, -20, 40, 3, -29, 50, 0, 41, -2, 21, 12, -37, 8, 12, -22, 23, -14, -51, -17, -8, 15, -12, -39, 10, -63, 38, 1, 34, -34, 56, -56, 25, 33, -47, -26, 58, 25, -13, -10, -35, 59, 14, 10, -19, 31, 5, 1, 10, -9, -28, 16, -14, -35, -17, -39, 3, 37, 42, -47, -11, 8, -35, 51, -30, -2, 34, 38, 8, -21, -48, -31, 12, 3, 57, 59, -14, 43, -51, -10, 55, -42, -50, 44, -53, 56, 12, 49, -1, 5, -45, 37, -9, -48, 2, -25, -37, 23, 40, -36, 42, -4, -3, 6, 5, -38, 5, 32, -6, 3, 24, 33, 51, -6, -58, 19, 60, 64, -27, 13, 18, -43, -13, -31, 58, 44, 9, -58, 6, 25, 32, -15, 36, -25, 41, 2, 7, 48, 45, 51, 59, 35, -9, -6, 41, 42, 40, -28, -28, 8, -51, 10, 3, -35, -6, -40, 43, 35, 37, 52, 27, -56, 10, 1, -18, -5, 52, -39, -48, -49, 37, 4, 24, -29, 3, -54, -57, -19, 42, 23, -6, -11, -10, -50, -24, 2, -16, -48, -13, 30, 27, 43, -26, -45, 12, -1, -11, -21, -59, 46, 18, -37, -43, -16, -6, -6, 31, -39, 36, -72, 2, 35, -2, -3, 6, 59, -14, -29, -52, 58, -31, 7, 47, 5, -14, -39, -52, 62, 35, -34, -7, -47, 33, 59, 42, -48, 38, -20, -9, -60, 12, 7, -45, -36, 6, -76, 52, -33, -10, -32, -2, -56, 47, -19, -46, 55, 16, -34, -7, 23, -22, 26, 2, 10, 35, -52, -9, 24, -53, -21, 28, -37, 18, -48, 52, -43, -45, -49, 26, 5, 54, 58, -15, -45, 19, -51, 55, -30, 17, 30, 24, -35, 42, 26, -20, 12, 4, 47, 7, -31, 49, 18, 21, 23, 4, 40, -37, -48, -35, 44, 59, -39, -23, -60, 1, -18, -45, -58, 12, 1, -42, 56, -61, -49, 23, 44, -30, 6, 43, -2, -15, -28, 25, 35, 29, 42, 23, -5, -4, -26, -13, -54, 41, 25, 54, -48, -40, 47, -24, 32, -33, -61, 0, -18, 35, 67, 35, 39, 19, 27, -6, -32, -60, 12, -36, 19, 23, -53, 25, 21, -35, -18, 2, -8, -23, 29, 19, 42, -2, -6, 59, -56, 24, -30, -58, 24, -2, -5, -12, 35, 18, 64, 10, -18, -18, 21, 51, 5, 15, 9, -43, -24, 43, -52, -4, 19, -2, 31, -43, 39, -59, -42, 0, -35, -5, 50, 52, 63, -16, 31, 26, 38, -41, 23, -40, 45, -54, -48, 16, -62, -11, 53, 32, 52, -3, 34, 41, 21, 26, 20, 52, -49, 56, -37, -3, -12, 34, 53, -7, -46, -55, 59, 36, -35, 93, 9, 16, -12, -25, 22, 15, 19, -19, -33, 53, -38, -42, 36, -28, 5, -21, 4, -25, 5, -29, 54, 29, 16, -32, 57, -11, 8, -6, -59, -36, 49, -47, 17, -23, -31, -31, 47, -34, 40, -66, -61, 17, 27, 3, 50, 11, 11, -53, -7, 6, 8, 54, -2, -11, -30, -52, 46, -57, -21, -58, -6, 14, 35, 17, 62, -50, -46, 35, 15, 25, -28, -47, -13, 50, -66, -49, 27, 29, 44, -43, -27, -59, -49, -63, 8, 51, -23, 62, 59, -20, 10, 29, 4, -56, -44, -59, -52, -22, -9, 14, -20, 3, -68, 37, 53, 37, -46, -38, 60, -53, -6, 40, -56, -17, 46, 50, 35, 23, -28, 2, 50, -48, 29, 42, -45, 49, 15, -34, -43, -44, 26, 6, 22, 12, -50, 62, 54, -26, 53, -19, -15, 59, -27, 21, 20, 54, 22, -15, -11, -34, -28, -32, -26, 45, 50, -48, -16, 7, -27, 31, 64, -10, -19, -25, 15, -24, -19, -2, -39, -6, -50, -37, -21, -26, 28, -41, -5, -4, 15, -33, -24, 6, -25, 25, 41, -8, 53, -3, -59, 8, 16, -3, -28, 14, 26, 21, 11, 18, -22, 27, 22, -27, 60, 127, 20, -21, -23, 38, 43, 52, 42, -14, -52, 7, -23, 13, 8, -14, 55, 64, 1, 52, 31, -50, -51, -64, 35, 39, -36, 25, -56, 24, -28, -59, 28, 16, 15, -55, 53, -19, -47, -2, -8, -30, -18, 44, -28, 49, 39, 52, 51, -3, 49, -1, -20, 18, 65, 31, 42, 10, 71, 43, 29, 17, 46, 69, 40, 4, 35, 13, 40, -4, 17, 49, -48, -21, -44, 52, -43, 56, 62, -57, -30, 57, -24, -20, -53, -35, 17, -37, -45, 26, 26, 78, -4, 23, 4, 66, 3, -66, 2, -28, -35, -53, -2, 6, -29, 18, 69, -10, -4, 47, 31, -39, 26, 3, -31, -29, 26, -82, -29, 2, -67, 10, 37, 23, 24, 35, -13, 14, 46, -37, 34, 57, -40, 29, -3, -22, 56, -3, 87, -23, -46, 54, -69, 37, -4, 12, 41, 28, -51, 18, 27, 18, -39, 14, 23, -34, -30, 55, -18, -10, 11, -4, 26, 12, -43, -40, 95, -9, 9, 19, -43, 20, -3, -14, -49, 49, -7, -15, 28, -22, 38, 37, -34, 21, 42, 25, -12, -44, 62, -58, -61, -52, 9, 4, -40, 62, 28, 61, -56, 30, 11, -36, -5, 44, 8, 54, -34, -39, -13, 74, -37, -24, 2, 33, 48, 2, -39, 29, 22, -41, -53, -20, 39, -17, -26, 31, 76, 30, 73, 38, -5, -3, -44, 65, -96, 29, 14, -12, 31, -50, -35, -5, -65, 7, -31, 31, 19, -50, 55, -20, -12, 21, -2, -17, -22, -23, -34, -9, 19, 55, 2, 2, 39, 1, 62, 64, -38, -10, 50, -44, 15, 13, 19, 24, 47, 54, -30, -43, 38, 53, 37, -7, 54, 32, -34, 6, -58, 54, 72, 30, -9, 68, 32, -20, -45, 15, -49, 40, 9, -3, 28, 5, -39, -13, -36, 62, -37, -34, 13, -21, -42, 55, -5, 42, 40, 42, 36, -36, 16, 21, -47, 32, 20, -23, 3, -62, 21, -31, 26, 16, -30, 20, 4, -20, -8, 54, 13, 22, -59, -21, 25, -32, 37, -41, -46, 59, 22, 54, 16, 45, -44, -39, 45, -22, 33, 18, 18, -36, -40, -56, 14, 44, 17, 41, -26, 1, 12, 0, -24, -20, 19, 39, 61, 0, 69, 44, -5, -58, 33, -5, -52, 100, 87, 27, -3, 48, 11, 55, 6, 37, -60, -46, 23, -76, -5, 45, 43, -50, -48, -64, -13, 50, 40, 36, -61, 21, 51, 42, -2, -10, -29, -7, 43, 30, 18, -20, 12, 49, 24, 34, 26, -50, 9, 40, 34, -21, 33, -36, 0, -56, 24, -67, 17, -34, -37, -33, 13, 19, 43, 8, -18, -62, -57, -40, -43, 38, 11, -55, -42, 29, -37, 36, -11, -19, 38, -64, 34, 50, -5, -46, 20, -62, -41, 39, 31, 56, -5, 66, 29, 37, -12, 75, 26, -47, -64, -10, -36, -75, -75, 15, 63, -30, 45, 47, -21, 9, -64, 34, -8, 8, -33, -7, 73, -49, 46, -4, -25, 2, 18, 36, -28, 51, 49, -17, 34, 61, 25, -22, -61, -50, -9, 57, -4, 11, -37, -47, 46, -37, 27, -10, 59, -6, 34, 62, -9, 41, -10, 2, -3, -60, -31, 2, -14, 5, 47, -38, 20, -53, -52, -27, 32, 32, -11, -74, -22, -16, 33, -8, 38, -32, 28, 22, -26, -34, 22, 18, 49, 32, -28, 34, -32, 16, 12, 22, -59, 39, -38, 37, -49, 14, 47, 54, 2, -34, 12, -1, 9, 57, 20, -56, 38, 36, -27, 33, -13, -6, -63, -33, 4, 39, -26, -2, 47, 28, -55, -49, 25, -33, -2, 31, -40, -3, 13, -54, 38, 12, 10, 44, 26, 33, -58, 31, 49, 35, -12, -47, 33, 35, 45, -63, -4, -67, 69, 29, -54, 49, 38, -43, 26, -8, 19, 60, 28, 38, 36, 0, 0, 32, 5, 52, -20, 37, 0, 32, 42, 27, 44, 46, -52, 17, -4, 26, -25, -68, 26, -24, 19, 62, 7, 37, 4, -52, 22, 20, -41, -57, -76, 27, -15, -47, 60, 34, 70, 30, 12, -55, 39, -53, -54, 49, -20, -55, -22, 38, -15, -8, -9, -11, 20, 19, -25, -32, 8, 9, 2, -35, 25, 49, 60, 0, -8, 36, 4, 38, -33, -18, 9, 2, -14, 11, -34, 19, -57, 14, 7, -9, -4, 28, 13, -53, 65, -41, 13, 44, 53, -48, -10, 7, 19, 3, 29, 29, 35, -20, -24, 2, 3, -25, -60, 36, -30, 29, -36, -20, 10, 18, 19, -11, 42, 32, -24, 22, -3, -17, -47, -16, 9, -10, 38, -52, 46, 15, -11, -6, 63, -13, -38, 28, 35, 31, 5, -58, -28, 7, -41, 41, -60, 23, -45, 19, -45, 1, -20, -25, -64, 36, 51, -56, 0, 14, -58, -56, -55, 67, 76, 26, -12, -44, 14, 13, 4, 50, 44, 47, -62, -10, 36, 49, 31, 20, -10, 59, -60, -47, -28, 37, -34, 18, -36, -17, 27, 48, 52, -22, 60, -38, -15, -61, -56, -12, -51, -6, 27, -56, -30, 15, -30, 43, 40, 3, -19, -54, 43, -5, 29, 1, 2, 48, -36, 32, -40, -58, 63, 64, 39, -55, -57, 20, -10, 9, 18, -37, 63, 17, 13, -12, 5, 3, -21, -33, 49, 48, -47, -27, -54, 16, 42, -50, 49, 59, -51, -48, -5, -15, 9, 21, 67, 29, -20, 9, 61, 52, 29, -14, -30, 4, 3, 9, -41, 43, -10, 70, 27, -16, -34, 3, 19, 9, -3, 41, -43, -56, 34, 75, 42, 39, -37, -9, -7, 6, 50, -51, 26, -4, 31, 0, 2, -47, -8, -43, -30, 15, 63, 37, 21, -3, -52, -60, 35, -42, 61, -29, 31, -30, -16, -9, -40, -54, -30, 11, -16, -36, 25, -39, -32, 59, -12, -13, -55, -53, -40, 16, -54, -27, -51, 30, -41, 15, -49, -5, 13, 38, 58, -22, 22, 42, 27, -52, 31, 5, -52, -3, -60, 20, -20, 33, -51, -31, 57, 47, -41, 17, -45, -28, 62, -29, 27, 53, 31, 17, 59, 49, -8, 40, 41, -11, 39, 62, 44, 27, 26, 34, 54, 41, 57, 67, -1, -25, 22, 20, 27, -20, 59, -35, 15, 15, -52, -19, 27, -55, 16, 22, 29, 22, 29, -21, -1, -24, 47, 16, 11, 39, 40, -9, 57, 40, -41, -3, -14, 34, -42, 4, 34, -22, 57, 25, 8, 22, -16, 9, 17, 10, 25, 55, 43, 59, 23, -22, -26, -17, -29, 30, 41, -61, 6, -17, 5, 22, -46, -56, -33, 30, -29, -20, -37, 35, -5, 50, -38, -14, 12, 25, 25, -11, -48, -29, 33, -44, 35, 41, 50, 31, -45, 18, 22, 6, 40, -26, 32, -36, -26, -60, -41, 8, -32, -23, 44, 42, -1, -14, -43, -35, -19, -45, 12, 8, 15, -3, -33, 49, -26, 57, -42, -40, 42, 14, 28, 45, 1, -16, 45, -29, -64, -27, -28, 44, 4, 51, -39, 19, 22, 48, -19, -12, 45, 26, 9, -16, -48, 74, -23, -46, -57, -25, -4, -24, 52, -54, -7, -48, 36, 59, 1, -7, 4, -25, -60, 17, -12, 46, -16, -39, 18, -28, -26, -50, -1, 51, -42, 3, 54, -36, 39, -34, 40, 14, 38, -44, 24, 8, 30, 22, -21, 30, -38, -10, 57, 9, -31, -25, 13, 12, 10, -5, 52, 50, -54, 14, 38, 29, 59, -59, -61, 15, -52, 16, -42, -8, 20, -11, -5, 23, -47, 8, -33, -25, 72, 60, -24, -48, 4, 47, -19, 35, -12, -5, 58, -44, -41, 73, -35, -26, 48, -34, -39, -31, 9, -41, 10, 40, -62, 14, 29, 33, 36, 57, 41, -30, -38, -8, -21, -28, -63, -61, 51, -55, -23, 39, -16, 3, 58, -14, 50, -2, -6, 66, 39, -30, 7, -38, 23, 9, 53, -17, -33, -68, -10, -8, -15, -49, -6, 6, -12, 4, 22, -3, 15, 0, -33, 24, 59, -8, 33, 11, 1, 19, 35, -52, 29, -37, 60, 52, -31, 18, 36, -24, 48, -38, 11, -5, -45, 0, -34, -46, 47, 47, 0, 59, 36, -16, -35, 13, 56, -51, 18, -9, 38, -40, -5, -41, 59, 58, 60, -30, 1, 16, -23, -41, -3, 42, 58, 31, 37, -21, -32, 30, 39, 31, 37, -46, 26, -47, -46, 31, -41, 14, 20, -48, -21, -25, 53, 4, -34, 22, -16, -58, -30, -46, -25, -37, 49, -1, 8, 2, 14, 3, 63, -53, 31, -22, 52, 14, 49, -16, 19, 8, -50, -50, 34, 38, -47, -14, 53, -68, 5, -11, -48, -44, 33, -23, -45, 4, -33, -28, -10, -64, 30, -42, -64, -46, 28, 38, -43, -22, -16, -61, -26, 48, 1, 6, -19, -59, -46, 9, -41, 0, -3, -53, 1, -5, 2, -35, -6, 42, -19, 32, 48, 42, -46, -12, -13, -29, 27, -18, 28, -8, 37, -13, -35, -59, 0, 56, -29, -16, 9, -46, -28, 22, -62, -22, -26, -30, -59, -23, -43, 49, 33, 63, 19, 34, 38, -55, -2, 42, 47, -43, -20, -37, 22, -37, 14, 21, 29, -20, 59, -9, 26, 53, -36, -1, -49, -6, -44, 23, -26, 12, -65, -61, 36, 10, -13, 42, 12, 42, -21, 56, 40, 34, -6, 12, 27, -43, 40, -12, -7, -37, 64, -42, 35, -43, 23, 7, -23, 18, -30, 64, -14, -67, -27, 52, -5, 53, -35, 0, 26, -36, -59, 2, 39, -48, -11, -43, -52, 57, -52, 29, 24, -29, -41, 34, -5, 13, -11, -61, -65, -12, 51, 23, -49, 44, 40, 29, -1, -68, 46, -52, -54, -7, -1, 25, -26, 33, -59, -10, -6, -25, -43, 49, -28, -10, 15, 11, -35, 39, -7, -22, 58, -52, 9, 32, 51, 56, 8, -36, -23, -40, -42, -6, -19, -12, 50, -39, 6, -60, 43, 43, -26, -26, -26, -17, 50, 3, 61, -44, -11, -28, 2, -52, 64, -13, -19, -3, 42, -51, -16, 81, 55, -3, -17, -6, 11, -7, -14, -27, 25, 40, 33, -35, 44, -40, 25, -39, 7, 3, -29, -10, -45, -8, 38, -59, 38, 59, -54, 2, -44, 29, -40, -43, -9, 4, -35, 12, -25, 53, 24, 28, -29, -22, -19, -53, -14, 32, -53, 43, -18, -44, 27, -61, 9, 34, 62, -59, -24, -28, -52, -40, -26, -61, 10, 22, 4, 44, -51, 8, 50, -40, 11, 65, 57, -59, -6, 2, 50, -59, -19, -24, -27, -34, -14, 55, -47, -18, 38, -58, 11, -44, 5, -52, -40, 47, 3, 26, 44, 53, -13, 11, -62, 3, -1, 16, 48, -33, 20, -46, 44, -57, 55, -33, 35, -41, 57, -24, -47, 33, -36, 11, -3, 22, 14, 7, -1, -36, 48, -8, 13, 15, 67, -36, 35, -31, -1, -39, -19, -44, 62, 60, -43, 31, 34, -4, 2, -9, -27, -48, -5, -9, -49, 1, -23, -25, 14, 10, -28, 20, 36, -32, -55, -7, -53, -13, 49, -31, 23, -15, 27, -3, -51, -53, 44, -52, 54, -8, -42, 26, 24, -22, -39, -23, 57, 48, 27, -14, -32, -22, 7, -28, 51, -21, 62, -57, -48, -40, -5, 16, -44, -6, 50, -19, -26, -27, 38, -59, 25, 1, 35, 5, 52, -21, -18, -28, 8, -45, 3, -6, -52, -52, -46, 41, -43, -44, 18, 6, 22, -3, 18, 41, 8, -46, 52, 42, -23, -14, -24, -11, -13, -31, 38, 57, 14, 46, -27, 61, 41, 34, 23, -8, 56, 12, -21, 14, 33, -41, -37, -48, 60, -34, -27, -41, 18, -1, -49, -55, 53, 55, -8, 52, 56, -16, -6, -21, -2, -13, 24, -24, 36, -1, -46, 48, -14, 50, -50, 43, -28, 60, -57, 14, 32, 68, -31, 19, -27, -54, -12, -10, -23, -29, -52, -41, -14, -38, 21, -4, -17, 32, 14, -21, 7, 14, 11, 1, -56, 46, 27, -51, 34, 36, -40, 26, 53, 30, -12, -30, -13, -44, -37, 12, 23, -6, 61, 4, 56, 16, 60, -60, 0, 23, -51, -15, 31, 48, 43, -7, -50, -5, -1, -36, 0, 37, -34, -75, -11, -5, -12, -31, -63, 10, 7, 11, 57, -25, 14, -47, 37, -15, -48, -17, 23, -63, -1, 21, -8, 81, -6, 16, 35, 25, 0, -17, 41, 28, -41, -18, -51, 2, 18, -64, -2, -13, -16, 25, -19, 56, -24, -27, 43, -24, -11, -58, -31, -24, -12, 6, 7, 30, 29, -3, 56, 16, 19, -38, 13, -1, 33, 18, 15, -1, 0, 16, -30, -45, -13, -61, -39, 45, -31, 6, 33, 26, -18, 47, 5, 68, 31, 0, -67, 43, 41, 36, -25, -50, -38, -32, 16, -8, -39, 24, 45, -11, 53, -40, 9, 78, -48, 25, 87, -17, -10, -36, 46, -33, -38, 14, -33, -38, 20, -13, -57, -31, -20, -21, -34, 14, -8, 8, 6, 1, -34, 12, 50, 17, 6, -41, -21, -15, 27, 57, 6, 27, -15, 54, 45, 48, -27, -46, 51, 17, -47, -44, -22, -25, 11, -34, -47, 28, -48, 20, 52, -1, -55, 15, -27, -55, 19, -31, -23, 45, -15, -56, -40, 47, 58, -10, 43, -9, -6, -27, 29, -22, 15, 34, 37, -6, 4, -36, 7, -31, -40, 48, -48, 55, 55, -32, 44, 15, -60, -50, -52, 60, 55, -53, -48, 46, 2, 20, -28, -25, 60, -8, 17, 27, 55, 0, 47, 45, 22, -54, -44, 31, 19, 72, 17, 10, 19, 26, -17, -12, -32, -14, 55, 27, 39, -5, 33, 26, 23, -4, 28, 1, 51, -39, 45, 14, 30, -37, -7, -57, -44, 21, -13, -1, -35, -43, -24, -58, -60, -24, -2, 37, 17, 20, 76, -19, 12, 56, 0, -37, 31, 17, -45, -58, -21, 20, -43, -38, -21, 22, -60, -68, -23, -43, -67, 24, -11, -66, 44, -32, 47, 11, 50, 21, 47, -23, 38, -13, -3, -2, 46, -25, -42, 36, 59, 19, 16, 35, 37, 47, 14, -14, 65, -62, 36, 22, 18, -22, 25, -22, -19, 20, -22, -52, -19, 0, -47, -29, -7, -38, -24, 35, 50, 12, -28, -9, 50, 45, 13, 3, -23, -59, 10, 41, -4, -47, 1, 47, -44, -47, 5, 55, 28, -11, -15, 19, -51, 24, 41, 17, -24, -4, -53, 46, -36, -10, 80, -44, 38, 34, 27, 67, 43, -37, -6, -4, 55, -30, -32, 32, -60, -23, -21, 26, 9, -62, 18, 50, 16, 25, 23, -23, -48, -33, -41, 23, -44, -17, 48, -22, -72, -65, 65, 65, 24, -30, 6, -11, 32, -4, -4, 5, 8, -19, 41, 18, 1, -9, -12, 33, -75, -27, 36, -17, -32, -43, -49, -25, 3, 11, 24, -18, 71, 46, -38, 37, 30, -17, 17, -8, -41, -48, -8, -13, -63, 20, 21, -20, 30, 62, 3, 12, 54, -25, -20, -56, 39, 41, -38, -48, -52, 41, -27, -40, 55, -16, 24, 37, -40, -27, 15, 6, -72, 61, 58, -45, -31, 50, 1, -18, 40, -34, 4, -38, -50, 8, 29, -42, 53, -62, 44, 22, 27, -67, -21, 14, 19, -42, 56, -8, -18, 56, 40, -14, -23, 41, 5, 6, 50, -40, -16, -38, -43, 55, -27, -49, 2, -34, -30, 48, -26, 25, 0, 1, -52, 13, 16, -29, -82, -25, -24, -18, -62, 19, 24, -24, -21, 32, 25, 38, 8, -28, -14, 31, 16, -7, 8, -60, -16, 22, 7, -14, 11, 15, 50, 9, -57, -33, -36, 30, 48, 13, -18, -64, 17, 57, -63, -53, -32, 50, 71, 6, 33, -6, 14, 29, -5, -37, -4, 41, -7, 4, 4, 44, -10, 40, -60, -13, -14, -3, -23, -62, -65, -13, -23, 38, 19, 20, 11, -37, -9, -13, 33, -32, -17, -10, 11, -22, 53, -39, -9, -38, 3, 55, -45, -12, 11, -39, 3, -5, 28, -54, -36, 6, 40, 62, -12, -9, 50, 25, -67, -2, 24, 29, -72, 2, -23, -47, -8, 16, 34, 33, 15, -32, -2, -72, -62, -14, 26, 34, -36, 9, -20, 12, 16, 42, 19, -9, 85, 45, 28, -1, -12, 25, -63, -6, 33, 13, -39, 0, -49, 58, 4, 49, -18, -34, -12, 15, -16, 8, 23, -18, 56, -43, -61, 0, 67, -44, -14, 96, -16, -38, 22, 11, -22, 46, 7, -32, 47, 55, 5, 1, 34, -24, -53, 42, 40, -43, 16, 16, -10, 15, 0, -59, -22, -26, -38, 49, 2, 0, -22, -39, -59, 23, -2, -60, 26, 56, -29, 46, -35, 27, 9, 14, -40, -17, 14, -53, -1, -7, 57, -8, 26, 21, -39, 17, -24, -35, 8, -44, -14, 13, -51, -33, 15, -37, -31, 51, -53, 45, -68, 27, -13, -3, 30, 8, -7, -10, -39, -17, 51, 30, 55, -21, -21, 6, 41, -37, 3, 61, 90, -41, -18, 56, -3, 4, -28, -16, 28, -38, 3, 43, -21, -51, 19, 26, 23, -17, -12, 33, -32, -47, -12, 46, 5, -8, 58, 22, 60, -24, -43, 46, 54, -37, 53, -34, 12, 17, -66, -41, -8, -15, -59, 59, 20, 13, 9, 3, -26, -21, 9, 49, -42, 4, -18, 33, -4, -17, 31, 0, -35, 51, -39, 40, -10, 14, 15, -20, -36, 45, 31, -49, 81, -27, -65, -15, 76, -16, 41, -36, -53, 25, 41, 30, -63, -21, -30, 64, 26, 42, -1, -46, 48, 43, 52, 0, -2, -38, 14, -37, 22, -1, 11, -53, -23, -15, 23, -33, -46, 21, -2, 19, 30, 35, 34, 23, 19, -33, -14, 26, 37, -35, -21, 37, 18, 9, -48, -61, -21, 15, 54, -27, 7, -56, 22, -7, -57, 43, -27, -23, 24, -18, -6, 18, -39, -28, -2, 19, 18, -7, 58, -69, -47, 78, -28, 14, -19, -17, -25, 0, 58, 59, 40, 5, 20, 6, 43, -11, -30, 18, -14, -46, -20, 5, 47, 6, -55, -3, 35, -52, 27, 59, -51, 27, 10, 33, 2, 19, 4, 35, -41, 14, 6, 24, -51, 21, 36, -4, 3, -26, 6, -20, -17, -25, -43, -9, -58, -72, 25, 50, -35, -16, 50, 54, 48, 12, 29, 70, 61, -14, 41, -8, 12, 16, 34, -34, 3, 16, 60, -14, 21, 5, -35, 28, 16, -5, 4, -2, 54, 9, -3, -13, -30, -49, -59, -34, 40, -20, 15, -36, 42, -10, 72, -21, -22, -29, 39, 1, 32, -37, 1, 50, 30, 35, 0, 3, 40, 18, -9, 51, 1, -10, -72, -35, 42, -33, -33, -34, -13, -50, -51, 21, 13, 33, -26, -1, 57, 17, -41, -33, 9, 24, 47, -66, -51, 4, 57, 27, 13, -54, 40, -22, -10, -33, -33, 51, -44, 17, 53, 11, -53, -69, 3, 65, 24, 41, -55, 24, 3, 6, 39, 31, 8, -7, -48, -37, 63, 88, -5, -23, -18, -22, 40, -21, 8, 49, -20, 25, -52, -53, 32, -31, -33, 2, -7, -22, -52, 57, 0, 26, -26, -15, -16, -45, -25, -27, -38, -38, -61, 0, 43, 15, -4, 50, -20, -36, 26, -35, -25, -28, -61, -2, -35, -38, -49, -42, 42, 3, -18, 16, 34, 64, 48, -46, -59, -51, -22, 21, 44, 24, 25, -23, -50, 4, -3, 21, -31, -42, 17, -52, 44, -24, -40, -59, -33, -16, 45, -56, 59, 45, 48, -24, 29, -6, 39, 17, -26, -2, 51, -46, -52, -55, -22, 2, -48, 15, -2, -16, 33, 36, 70, 31, 0, 26, 1, -28, -25, -5, -63, 63, 5, -31, 26, 11, 11, 45, -53, -32, 24, 11, -8, 2, 0, 53, -22, 20, 55, 7, 43, -37, 56, -46, -58, -32, -10, 0, -45, -48, 41, -46, 20, 46, 33, 49, -44, -5, 0, -54, 29, 30, -50, 17, -9, 53, 6, -55, 5, -59, -11, 57, -56, -27, 58, -15, -46, -1, 29, -44, 12, -23, -61, 20, 15, -35, 3, 42, 27, -37, 26, 60, 52, -35, 52, -63, 6, -3, -31, -57, 46, -17, 26, 2, 31, 43, -13, -12, -12, -25, -15, -33, -16, 15, -30, -47, 36, -17, -25, 38, 6, -36, -34, 22, 11, 46, 33, -55, 32, -49, -28, -15, -25, 11, -21, 26, 30, 61, 49, 20, 4, -13, -9, 49, 3, -54, -62, 31, -5, -17, 56, -58, -6, -49, 2, -6, -12, 18, 9, -8, -25, 48, 13, -12, -29, 51, -41, 1, 50, 13, 35, -20, 25, 52, 27, -4, 78, -58, -54, -32, -52, -6, 19, -62, 51, -5, 6, -53, -50, 34, -54, 22, -37, -31, 21, 34, -26, 52, 56, -20, -27, 24, -26, 1, 15, 10, 50, -34, -4, -62, -48, -3, 15, 51, 27, -6, -9, -21, 45, 8, -30, 50, 18, 42, 49, -1, 13, -20, -15, -1, -9, 30, -20, 4, 28, 54, 44, 26, -36, -14, -32, 35, -67, 54, 28, -28, 48, -1, 53, 48, 11, 52, 27, -15, -1, -3, 11, 13, -17, -53, -32, 26, -12, -29, -43, 38, 7, -46, -14, 29, -48, 9, 32, 58, 6, 49, -16, -3, -57, 3, -47, 25, 8, -58, 59, -8, 62, -39, 3, 29, -24, 8, -19, -18, -52, 30, 58, 2, 1, -25, 36, -42, 45, -62, 29, 56, -10, 61, 52, -24, 47, -42, 15, 61, 3, 15, 36, 13, -46, -56, 59, -56, 5, -21, -50, -32, 40, -22, -66, 45, 11, 39, -10, -56, -62, 51, -19, -23, -19, 56, 48, 28, -10, 39, -36, 16, 52, -28, 30, 0, 8, -10, 15, 26, 40, 69, 0, -5, 29, 10, 40, 52, 32, -35, 39, 69, -5, -36, 61, -42, -18, -47, -28, -42, -10, -49, -20, 6, 7, 47, 49, -19, 61, 23, 51, -15, 37, -10, 18, -55, -45, -3, 48, -19, -23, 9, 23, -9, 59, 3, -66, 45, 1, -44, -34, 1, -35, -5, -52, 10, -18, -17, -42, 32, 1, -7, -19, -65, -35, -47, 12, 15, -46, -36, 17, 83, -48, 42, -39, 9, 28, 9, 11, 21, 42, -29, -20, -10, 56, 6, -39, 34, -49, 24, -67, 3, 20, -56, -55, 4, 36, 65, -45, -1, -28, 43, 25, -13, 44, 62, -34, 0, 31, 6, 32, 12, 50, 18, -55, 43, -8, -38, 12, -12, 41, 44, 10, -60, 24, -40, 11, -5, 49, -2, 46, 34, -17, -10, -5, -25, 29, -15, 64, 30, -55, 47, -61, -57, -53, 2, -30, 27, 49, 35, -15, 43, 37, 1, 30, 21, -25, 43, 20, -4, -27, 21, -44, 28, -30, 0, -36, -20, -25, 11, 46, -34, -34, -22, -33, 10, 53, 25, -4, 31, 5, 16, -43, -16, 12, 36, 7, 21, 33, 53, -53, 27, 48, -49, -32, -26, 37, 48, -42, 43, 53, -34, -16, 39, -11, 20, 27, 12, -10, 29, 15, -38, 60, 25, 40, -19, 45, -9, 58, -44, -14, 31, -26, -41, 44, -35, -26, -55, -31, -31, -64, 8, 48, 4, 53, 63, -27, 2, -41, 11, -29, -59, -3, 55, -43, -13, -1, 48, 37, -29, -32, 66, -45, 11, -7, -8, -57, -53, 9, -30, -19, 26, 53, -9, 0, 35, 39, -51, -31, -22, -29, -45, 33, -30, 20, -39, -43, -20, -7, 15, -9, 47, -52, 14, -43, -38, -30, 63, 29, -12, 49, -43, -50, -54, 20, 27, 52, 4, -69, 11, 54, -13, 0, 52, 56, 23, 66, 31, 12, -56, -52, -34, -61, 8, 56, 61, 33, 1, -59, -26, 39, 21, 28, -41, 22, -45, -14, 7, 39, 12, -33, -30, 60, 16, -55, -10, 54, -53, -23, -11, -8, 15, 10, 46, 10, 31, 1, -8, -28, -38, 55, 57, -23, 42, 28, -23, -51, -56, 41, -15, 16, 6, -26, 19, 34, 46, -59, -30, -34, 63, -9, -24, 53, 9, -10, 22, -54, -49, 26, -56, -58, 43, -26, 38, 21, 31, 5, 4, 32, -11, 47, 30, 13, 29, 28, 64, -13, 40, -30, -7, 30, -10, 33, 32, -23, -48, 38, -62, 49, 38, -11, -17, 13, 50, 50, -3, -26, -25, 25, -45, 35, 39, -29, -9, -33, 16, -21, -57, -23, -12, -35, -13, 24, 20, 35, -39, -15, 0, -27, 15, 38, 1, -33, -53, 51, -55, 3, 3, 2, -54, 44, -13, 43, -28, 10, -27, -6, 29, 22, -32, -39, -17, 53, -61, -1, -32, -52, 9, 41, 15, 32, -20, -55, 51, -53, -30, 23, 61, -6, 59, -47, -28, 39, 18, -31, 11, -50, 28, -2, 27, 37, -30, 54, 15, -10, -30, 53, -12, -51, -13, 17, 12, 52, -34, 30, 65, -23, 52, 6, 3, 36, 48, -1, 43, -4, 51, -31, -29, -6, 43, 38, -18, 26, 15, 9, -9, -40, -17, 36, 64, -10, 16, 51, -53, -5, -52, 18, -49, 33, 47, 48, 13, -30, 29, 10, 15, 28, -36, -15, -12, -61, 32, 39, -45, -52, -31, 55, 51, -62, 10, 52, 15, 22, 33, -5, -43, -52, 2, -36, -46, 38, 4, -7, 12, 50, 40, -30, 7, -63, 49, 58, 6, -56, 27, 1, -57, -8, 9, 3, 58, 58, -59, -11, -36, 28, 37, -25, -2, -32, 3, 4, -66, 66, 62, 37, 19, -3, -42, -35, -39, -55, -68, -38, 19, 22, 18, 35, -16, -2, 55, 25, 14, 38, 37, 28, -15, 23, -27, -15, -19, 4, -32, 13, -11, -54, -26, 49, -7, 52, -27, -7, -21, -62, 10, 35, 25, 40, -27, -30, -18, 3, 23, -26, -8, 37, -41, -30, -30, 21, -43, 24, 57, 32, 18, 45, 58, 29, -46, 20, -29, -55, 27, 22, 39, -41, 27, 56, 13, -16, 10, 55, 6, -30, -58, 27, -36, -62, 46, 47, 3, -58, -30, -37, 1, -62, 19, -24, -7, -52, 13, -40, -17, 8, 12, 49, 19, -29, 4, 26, 62, 3, 45, 64, -7, 17, 7, 63, 54, -18, -25, -20, -15, 40, 53, 5, 50, 27, -32, -15, 0, -52, 34, -7, 2, -25, -61, -17, -40, 49, -55, 1, 20, -2, -28, -10, 2, -60, 19, 22, -29, -75, 54, 35, -39, 1, -2, -52, -25, 44, -57, -3, 8, 39, -45, -42, -6, -25, -8, 55, 16, -1, 7, 32, -55, 26, 55, 46, -49, 46, -1, -23, -10, -44, 47, 39, -13, -58, -32, -18, 21, 10, 6, 41, 32, 10, -49, -27, -6, -19, 42, -28, 12, 6, -15, 25, 20, 18, 32, 52, 44, -8, 59, 67, 22, 49, -16, -11, -28, -5, 43, -2, 35, 52, 29, 3, -38, -23, 45, -4, -27, 69, -12, -5, 68, 45, 23, -10, 33, 59, -10, -33, 72, 17, 10, 12, -31, 58, 6, -60, 5, 49, -33, -20, -20, -1, -50, -70, -44, -22, -55, -71, 20, -12, -35, 55, 8, 12, -33, -50, 59, 28, 17, 20, 31, -33, 50, -16, 6, 19, 41, -24, 0, 30, 53, 20, 26, -63, -23, -5, 60, -1, -36, -12, 23, 3, -34, 48, -5, -43, -54, -48, -40, 39, -41, -15, 43, -2, -6, 41, -56, -26, 3, 6, -8, 53, 55, -54, 16, -4, 7, -38, -38, -52, 6, -5, 33, 67, -17, 72, 35, 77, -46, 22, 43, 28, 63, 19, 10, 51, 19, -15, 40, -35, 39, 34, -45, 11, 71, 71, -11, -3, 22, -21, -8, -68, -39, -8, -42, -49, 46, 5, 21, 55, 73, 17, 67, -1, 65, 26, 7, 39, -31, -2, 33, -42, -21, 37, 70, 48, -65, -39, 60, -33, -57, -53, 52, -13, -58, 59, 39, -17, 3, -28, -45, 12, 58, 48, -68, -6, 9, 52, 11, -70, -8, -29, 19, -14, -1, -31, -23, -15, -19, -28, -39, 54, -45, -7, 40, 25, -23, 38, -31, 10, -3, 53, -14, -1, -6, -34, 18, 18, -55, -45, -39, -10, 2, -47, 54, -5, -56, 16, 40, -46, -25, 5, -39, 26, 10, -1, 59, -8, -26, -3, -19, -10, -33, 2, 36, 35, -16, -81, -45, 23, 34, -26, -13, 38, 56, 17, -41, 26, 32, -20, -57, -4, 50, 33, 6, -23, 66, -15, 4, 17, 20, 15, 47, -3, -25, 37, -53, 22, -28, 23, -61, -51, -7, -45, 11, 29, 30, 2, -28, -32, 56, 21, 2, -3, 57, -9, 26, 10, 25, 25, 32, -39, -54, 24, 5, 0, -29, -14, -20, -16, -65, 24, -60, -67, 21, -56, 44, -36, 25, 30, -19, -49, -56, -36, -6, 62, 22, -58, -25, -10, 41, 38, 24, -51, 15, -30, -3, -48, -10, -37, 9, -16, -14, 15, 42, 41, -63, -49, -6, 13, 80, 54, 14, 73, -8, 2, 11, -3, 1, 52, -37, 65, -2, 62, 31, -33, 45, -19, 27, -4, -27, 12, -69, -28, -55, -22, 9, -16, -19, 0, 64, -27, -26, -6, 25, 33, -47, 20, -30, 12, 10, 13, -34, -1, -5, -44, -53, 51, 19, 32, 12, 30, -27, -36, 11, -7, -56, -55, 23, -68, 30, -56, -79, -55, 5, -87, -85, 28, -1, 33, 17, 48, 5, -51, 20, -1, -27, -19, 5, -22, 13, 22, 65, -32, 1, 17, -48, 62, 2, -8, 27, 49, 47, 49, 25, 39, -48, 65, -28, -21, 56, 63, 62, 8, -49, -40, 13, -33, 40, 6, 23, -66, -63, 6, -27, 3, 26, -12, 24, -41, -28, 12, -48, 17, 4, 45, 24, 54, 10, 71, 10, -49, 4, -66, -81, -68, -43, -43, -57, -48, -52, 23, -41, -58, 12, 43, 11, 25, -42, -47, 6, 31, 26, 47, 25, 25, -22, 60, -33, 1, -43, -53, -10, -74, -16, 34, -17, 63, 17, -34, 24, -16, 36, 33, 65, 50, -25, 52, -42, -27, -10, -46, -41, 14, -17, -24, 11, 9, 35, 34, 47, -9, 22, 4, -30, 31, 47, 30, 31, 16, -3, -2, 48, 58, -8, -34, -11, 11, -43, -15, 41, 39, -21, 42, -58, 7, 52, 53, -18, -3, 25, -38, 9, 54, 45, 56, 42, 21, 7, 59, -15, -1, -13, -64, -13, -51, 58, -21, -40, 28, 13, -56, 20, 13, -48, -10, 16, -3, 8, -45, 45, 31, -28, 10, -21, -51, -11, -52, 51, -42, -61, -51, -2, -36, -41, 52, -30, -68, 7, -5, 8, -40, 41, -47, 14, -39, 65, -21, -23, -20, 38, 23, -58, 66, 35, 26, 26, -49, -62, -17, 51, 47, 55, -55, -28, 21, -50, 22, 58, 56, 40, -47, 15, 47, 26, 61, 20, 13, 48, -32, 21, -52, 44, 54, 51, 17, 25, 9, 31, 45, -37, 53, 35, 24, 3, -43, 73, 55, 57, 43, 11, 31, -42, 33, -5, -33, -44, 3, 14, 2, -41, 12, 61, 15, -3, 59, -49, -10, -34, 12, -49, -6, 40, 4, -57, -13, -30, -14, -22, 52, -41, 33, 24, 13, -58, 37, 18, 8, -24, -10, -17, 28, -23, -65, 37, -22, 56, 67, -48, 46, -8, -37, 51, -17, -10, 2, -5, 22, 30, 42, -30, -37, -31, 42, -51, 41, 10, 32, -44, -52, 33, 19, -31, 13, -17, -45, -28, -36, 32, -16, 32, -42, 9, -8, -30, 51, -22, 18, -20, 50, -50, -51, 43, -62, 40, -40, 52, -17, -48, 18, 9, 28, 59, 49, -40, 49, -31, 39, -48, 1, -14, 51, -9, -35, -52, 53, 30, 36, -8, -49, 56, 14, 56, 49, -8, -12, 47, -56, 1, -39, -10, 20, 16, -32, -56, -33, -42, -60, -52, 16, -35, -38, 57, 17, -2, 37, 7, 29, -56, 50, -13, -44, -20, 41, 28, 46, 39, 24, -23, -54, 31, -33, -47, 65, 26, 5, -37, -16, 44, 24, 15, 10, -45, -15, 19, 14, 2, 10, 51, -19, 27, 23, 45, 57, 0, 32, 31, 38, 36, -12, 10, -19, -32, 30, -45, -50, 26, -31, 0, 57, 0, -1, -7, -13, 0, -23, -38, 22, 35, 33, -24, -29, -53, 9, -36, 25, 48, 59, -33, 28, 38, -10, 45, -16, 8, -54, 41, 15, -29, -18, 6, 21, 28, -48, -16, -48, -32, -82, 49, 49, -1, -48, 2, -1, -37, -38, -25, 33, -43, 37, -13, 12, -3, -73, 49, -24, -67, -42, -57, -82, 3, -15, 46, 29, 38, 18, 72, -8, -42, 47, 40, 42, 28, -36, 56, -11, -45, -7, 36, 52, 2, 28, -6, 11, 39, 55, 63, -53, 42, 45, 46, -13, 17, -15, -7, 11, -31, -6, 51, 29, -48, -1, 6, 32, 2, -34, 44, 18, -50, 10, -34, -3, 40, 22, 19, -7, -39, 20, -61, -44, -32, -34, -56, -38, 32, -22, 62, -38, 32, 13, 46, -14, 11, 42, 38, 15, 34, -4, -20, -19, 76, -31, -42, 11, 21, -53, 32, 40, -13, 23, 68, -38, -35, 61, 4, -76, -31, -53, -6, 6, -50, 42, -50, 11, 17, -1, -54, 32, 33, -35, -56, -5, -39, 19, -27, -38, 41, 53, 57, 16, -12, -17, 37, -49, 57, 5, 32, -1, 14, -23, -60, -1, -41, 35, -29, 61, -61, -8, -26, 49, -54, 0, -52, -39, 44, -29, -26, -36, -30, -2, 2, -6, 55, 54, -58, -12, 59, -35, 11, 30, -20, 65, 54, 12, -7, 12, 61, -38, 17, 57, 33, -11, -23, 21, 27, -47, -23, 1, -65, -3, 9, -36, -37, 43, -60, 28, 19, -54, -54, 23, -19, 11, -5, 16, -11, 34, 19, -15, 37, -44, 14, -39, 26, -33, 45, -6, 12, 19, 36, -36, -52, -59, -44, -10, -32, 72, -11, -7, 45, -5, 13, 53, -4, 42, 54, 38, 28, -2, -46, 16, 19, -16, 6, 65, -3, -41, -11, -61, 24, -44, -68, 13, 50, 54, -24, 21, -37, 10, -38, -24, -34, 53, 25, -58, -29, 55, 30, 8, 23, -52, 44, -4, 0, -18, 26, -58, 43, -44, -1, -29, -50, 20, 23, -27, -65, -51, -34, 1, -50, 73, -23, 24, -13, 19, 11, -27, -28, 0, -59, 56, -31, -45, -31, -32, 6, 1, -36, -19, -26, -60, 38, -13, 12, 52, 32, 49, 34, -40, 8, 41, -12, 36, 34, 35, -51, -31, -60, 37, -50, -47, -11, -23, -43, -25, 27, -19, 2, -51, 19, -4, -20, 55, 0, -56, -52, 23, -36, -52, -56, -5, -62, 9, 45, -52, 10, -56, -21, 11, 28, -26, -46, -38, -45, -40, -24, -24, -45, -27, -11, 16, -27, 4, -12, -11, -32, 36, -17, 53, 58, -60, -29, 28, -19, 24, 57, -37, 33, -60, -44, 7, -34, 27, -8, -1, -33, -38, 2, 52, -26, -26, -6, -61, -30, -20, 58, 59, -38, -16, 8, -65, -60, 37, 15, 9, -44, 53, 13, -25, 38, 38, 30, 33, 55, -53, -26, -15, 22, -26, -14, 58, -15, -53, 54, -39, 58, 28, 2, -9, -40, 12, 7, 26, 42, 2, 7, 84, 41, -12, -30, -36, -30, 16, 8, -51, 43, -16, 8, 18, -13, 25, 31, 9, -39, 47, 40, -29, -33, -25, -21, -55, 54, 48, -42, -42, -43, -16, -5, -34, 45, -18, -58, -52, -22, -49, -56, 17, -6, 28, -53, -38, 47, 22, -28, 45, -6, 38, 26, -7, -40, 46, 9, 30, -61, -12, -37, 34, 13, 10, -15, -26, 58, -53, -11, -30, 49, 52, 14, -23, -48, -38, -73, -14, 70, 49, 2, 63, 37, -56, 31, -34, 12, -33, 41, -9, 62, -39, 45, -22, -14, -38, 58, 61, 16, 7, -11, -4, -30, -24, 22, -35, -1, 40, 23, -1, -9, 58, -48, 11, 2, -6, -61, 22, -34, 6, 34, -14, 47, -22, 37, -26, -6, 53, 36, 18, 34, 42, -45, 31, 58, -51, 27, -48, -57, -40, -1, -46, 1, 22, -22, 34, -23, -3, 15, 45, -19, -13, 28, -9, 68, 21, -31, -13, 44, -20, -56, -3, -33, 20, 5, -12, 35, -56, -14, -32, -13, -21, -34, -58, -11, -43, -44, -40, -34, 50, -40, 5, -13, -46, -28, -14, -22, 27, -52, -32, -20, -40, -19, -22, 34, 63, -57, 38, 6, 50, 6, -55, -5, -9, 2, 10, 10, -10, -61, -7, -16, -4, -43, -62, -33, -65, -54, 2, -58, -17, 23, -10, -18, -57, 10, 5, 38, 36, 46, -25, 27, -2, -21, 20, -25, -55, -64, 35, -24, -17, 33, -64, 51, 38, -7, -32, 39, -4, 16, -22, 9, -14, -31, 3, -24, -42, -51, -57, -53, 33, 9, -26, -13, 17, 1, -38, -26, 36, -35, 55, 64, 52, -22, -28, -17, -32, 28, 59, -25, -3, -34, -34, 21, -44, -7, 1, 68, 0, 28, -15, 31, -37, -21, 1, 0, -42, 52, 12, -53, 35, -18, -43, -1, -47, -7, -18, -62, 52, -31, 1, -32, 49, -14, -61, -13, 41, -40, -39, 14, -61, -25, 47, -54, 3, 18, 4, 30, 9, -50, 31, 44, -39, -48, -13, -41, 42, -11, 42, -6, -24, 30, 41, -21, -23, 28, -12, 8, 5, -79, 53, 18, 69, 20, 56, 46, -29, 31, -48, -50, 38, -36, 0, -59, -18, 42, -56, 27, -23, -3, -32, 3, -16, 11, 52, 31, -9, -54, -42, 7, -1, -51, 26, 18, 11, 10, -4, 0, -57, -42, 38, 41, -57, -8, 11, 65, 21, -50, 51, -17, -46, 32, -67, -40, -47, 35, -3, -52, -34, 20, -26, -24, -27, 6, -62, 28, 33, -66, 22, 47, -37, -14, -8, 66, -11, 73, 2, 5, 40, -30, 49, 35, 24, -34, 29, 21, 13, -37, -5, 31, -10, -7, -46, -55, -45, -20, -55, 60, -56, 47, 7, -63, -50, -65, -16, -21, 14, 11, -33, 44, 13, 11, 17, -17, -47, 55, 38, 21, -48, 51, -49, -50, 44, -9, 18, -45, -31, -15, -20, -36, -2, 29, -30, -33, -33, -58, 13, -4, 10, 51, -40, -14, -26, -62, 10, 13, 9, 6, 53, -3, 48, 32, -11, -7, 34, -4, -60, -39, -9, -14, -15, 63, 61, -46, 31, -22, 43, 71, 34, -66, -4, -57, 38, -42, -3, -43, 31, 38, 28, -17, 16, -13, 28, 51, 47, -59, 52, 47, 35, -12, 39, 30, -19, -26, 42, 27, -42, -3, -25, -24, 6, -3, -1, -4, -16, 19, 34, -31, -49, -31, -43, 30, -24, -42, 56, 40, 48, 47, 6, -14, 13, 79, -33, 25, -11, 24, -43, 8, -14, -44, 4, -35, 57, 6, -31, 45, 32, 23, -73, 17, -34, 15, -14, 19, 52, 51, 19, -5, 45, -32, 14, -15, 52, -29, -55, 34, -32, 41, 23, 5, -30, 16, 20, 32, 24, 41, 52, -38, 7, 5, 61, 37, 19, -16, 29, 25, -34, -45, 22, -33, -52, -32, 27, -9, 24, 16, 60, 7, 17, 43, -49, 30, -22, -28, -63, -33, 30, 37, 43, -67, 56, 36, -9, -12, -9, -30, -21, -44, 51, -33, 30, 21, 36, -39, -50, 38, 35, -44, 11, 13, 12, -13, -2, -40, 54, 4, -11, 44, -35, 32, -19, 9, -59, -56, -19, 62, 41, 27, -30, 47, 9, -59, -30, 36, 39, 25, 29, 23, 36, -37, 60, -26, -60, 54, 27, -55, -6, 37, -40, -1, 9, 11, 34, 58, -50, -55, -46, 10, 38, -8, 36, -5, 42, 8, -23, -4, -40, 9, 45, 36, 40, 20, -36, -5, -37, 3, 30, 46, 37, 14, 42, 15, 40, -51, -16, 23, -1, 39, 26, -3, 28, 12, 39, 40, 18, 34, -50, -55, 10, 53, -51, 48, -46, 5, -12, -32, -23, 35, -29, -36, 33, 55, 27, -59, -52, 7, 13, -33, 31, 11, -40, 59, 62, 55, 65, 16, -46, -20, -22, 36, 26, -24, -31, 16, 37, -57, 36, -57, -51, -24, 15, -59, 4, -27, 2, -25, 23, -41, -11, -6, -68, 5, 7, 38, -2, -36, -69, -18, 20, 68, 5, -50, 7, 20, 47, 19, -30, -61, 35, -47, -20, 25, 12, -54, 54, 6, -10, 27, -45, 17, -44, 19, 39, -29, -43, 1, -19, -41, 51, 13, -59, -28, 18, -56, -14, 37, 33, -30, 14, -26, 24, -58, -52, 61, 30, -6, -49, -21, -35, -45, 16, -44, -47, 40, -23, 51, -54, -53, -34, -57, -24, -51, -21, 60, 50, -13, 3, -58, -40, -38, -20, -52, -14, -35, -57, 50, -9, -39, -52, 37, 44, -2, 32, 35, -32, -10, 50, -7, -44, 22, -38, 20, -10, -11, 4, -1, -10, -19, 2, -53, -19, -21, 61, -9, -62, -5, 3, 24, -53, -32, -55, -16, 8, 17, -37, 37, -36, -49, -30, -25, -51, 56, -19, -14, -54, -48, 17, 42, -32, 17, 0, -55, -59, 58, -54, 41, 45, 38, 2, 58, 9, -23, 54, -8, 43, -53, -33, 13, -42, 23, -27, -34, -5, 8, -17, -41, 33, -36, -18, 6, 6, 8, 5, -24, 25, 23, -53, 27, 15, -41, 59, 46, 55, -26, 55, 7, -42, -29, 18, -4, -22, -36, 57, -32, -25, -47, -52, -52, 52, 58, 60, 40, -25, -14, 18, -22, -28, -55, -10, -34, -11, 33, -11, 37, 16, -13, 27, -22, -28, 39, 3, 31, -1, 14, -23, 54, 26, -61, 53, 24, -53, 53, -6, 25, 54, 38, -60, 4, -54, -52, 23, -25, 32, 5, 52, -50, -12, -5, 55, -3, -12, -32, 19, 26, -54, 38, 41, -19, 3, 0, 36, -47, 56, -19, 16, -45, -34, 54, -58, 18, 3, 39, 23, -33, 31, -55, 46, -19, -45, 60, -61, -52, -4, -50, 24, 48, -51, 28, 5, 59, 19, 8, 54, -38, 39, 2, -46, -1, 39, -8, -59, 9, 12, 20, 20, -33, 15, 26, -35, -27, 2, 1, -11, -28, -21, -9, -15, 55, 51, 34, 8, -3, -19, -46, -28, -57, -59, -50, 7, -10, 6, 30, -6, -57, 8, 32, -11, -8, 32, 54, 55, 7, 12, -32, -5, -23, 0, 47, 30, -19, 4, 14, 23, -39, -32, -64, -21, 27, 30, 21, -48, 45, -40, -1, 28, -20, 26, 56, 38, 43, -22, -33, 25, 60, -46, 31, -57, 58, 4, -13, 59, -18, 4, 12, 7, -36, -8, -53, -1, 12, 48, 31, -51, 62, -53, -25, 21, -37, -49, -57, -19, -51, 57, 41, -48, 43, 19, 9, -52, 12, -18, -41, 32, -24, 3, 17, -46, 10, -6, 13, -40, 3, -55, -15, -56, -17, 25, -17, 42, -17, -37, -17, 13, -55, 6, -47, -44, 59, 56, 0, 17, 41, -44, -5, -8, 3, -29, 48, 54, -3, 19, -17, -1, 57, 51, -51, 28, 36, -25, -9, -6, -16, -32, -18, 51, -1, 0, 12, 12, 45, 36, -50, -51, 15, 0, 36, -9, -17, -41, -29, -22, 34, -5, -22, -15, -31, -41, -45, 16, 44, -58, -31, -37, 22, -16, 7, 13, -56, -7, -47, 43, -44, 39, -7, -50, -16, -35, -28, 47, 3, -58, -22, 0, -61, 39, -35, -43, 48, -15, 62, 61, -1, 43, -47, -52, 42, 42, -38, 30, 1, -16, 32, -9, 54, -51, 31, -50, 7, 2, -53, -47, -42, -16, 32, -8, 43, 15, 26, -15, 20, -35, -17, -55, 45, -44, 4, 58, 27, 20, -29, 41, -39, -38, 46, -34, -35, -47, -8, -16, -59, -26, -21, 46, 59, 13, -60, -55, -41, -39, 12, 29, 39, -12, -29, 19, -45, 23, -16, 47, 46, -9, -53, 42, 4, -49, 45, -20, 44, -7, -17, -23, 25, 5, -35, -5, -37, 12, -10, -44, 6, 30, 26, 10, -32, -55, -27, -42, -44, 35, -34, 37, 11, -46, 58, -35, 4, 28, -35, -52, -19, -48, -18, -24, -29, -55, -54, -39, 1, -47, -45, -51, 20, -10, 26, 51, 42, -45, -14, -16, -9, 25, 43, 24, -11, -2, -3, 43, -35, -18, -47, 39, 0, -8, -47, -30, -46, 25, -48, 27, -23, -21, -34, 7, 19, 8, -37, 13, 0, -38, -20, -14, -6, -11, -36, 21, 34, 6, 35, -41, -27, -61, 48, 55, 47, 35, -48, -41, 27, 1, -31, -60, -12, -40, 34, 2, -41, -12, -40, -61, 4, 56, 61, -25, -13, 14, 50, 26, -46, -29, -54, -55, 31, -50, -41, 34, -5, 16, -8, 55, 44, -31, -50, -42, 60, 45, 45, -2, 60, -20, -12, 1, -40, -49, 4, -30, -18, 33, -29, -51, 6, 58, -8, -50, 15, 39, 36, -20, 6, 6, -23, 52, -36, -36, 39, 48, 15, -41, 29, -10, -34, 23, -58, -25, -50, 57, -14, -25, -61, -47, 0, 54, 55, 11, 37, 14, -38, -20, -18, -44, 7, -36, -26, -12, -58, -35, 5, -31, -61, 8, 47, -35, -37, 12, -45, -40, -23, 10, -3, 33, 40, -24, 3, 11, -54, -30, -20, -48, 13, -49, -46, 29, 1, -38, 5, 45, 18, -37, -37, -10, -28, -35, -60, 7, -28, -61, 61, -36, -52, -14, -26, -11, -7, -58, 0, 6, -40, -44, -17, -34, 51, 37, -55, 46, 15, -31, 61, -20, 38, 29, 6, 8, -32, 46, 28, -56, 40, -31, 51, 13, -20, -8, 53, -16, 28, 58, 59, -17, -55, 8, 21, 51, 26, -16, 9, 37, 23, 25, 40, -11, -58, 38, -3, 44, -6, 19, 54, 32, -37, 54, 5, 22, -38, -56, 24, -37, 8, -28, -25, 38, -20, 9, -23, 5, -25, -44, 41, -23, -25, 17, 37, 9, 4, 19, 61, 37, -54, 31, 7, 43, 45, 1, 59, -33, -45, -5, 51, 42, 34, 24, 47, 13, 25, 21, -3, -16, 10, -53, 5, 43, 16, -35, -38, 5, -1, -19, 16, 43, -4, 28, 55, -30, 40, 48, -34, -30, -57, 18, 47, -41, 39, 59, -51, 21, 25, 18, 53, -19, -25, 20, -62, -36, 19, -57, 31, -47, -28, 19, 26, 62, -47, -58, -47, 2, -55, -16, -24, -40, 3, -44, 35, -49, 3, -27, -23, 45, -30, 5, -53, 27, 19, -58, -23, -9, 7, -33, 11, 35, -60, -6, 59, 0, -39, -52, -20, 59, -61, -4, 51, -29, -48, 0, 44, 31, -16, -30, 12, 18, -51, -28, -11, -48, -9, -3, -10, -52, -60, -59, -10, -47, 33, 23, 23, -46, -18, -29, 35, 10, -18, -1, -38, 35, 6, -43, 6, -8, 44, -12, 0, 0, -21, 13, 27, 3, 15, 13, -24, -24, 21, -5, -59, -42, -50, -25, -31, -13, 37, -56, -22, 7, -29, -14, 1, -1, 8, 27, 12, 50, -13, 39, -58, -16, -9, 53, -46, -26, 7, 38, -52, -61, 34, 60, 23, 57, 46, 46, -27, 3, 44, -42, 60, -42, 31, -31, -47, -11, -57, 19, -8, 26, 50, 60, 57, 27, -48, -59, 34, 60, 16, -51, 41, -7, -7, -29, -40, 3, -57, -46, -48, 52, -51, -7, -8, -1, -44, 47, -49, -25, -16, 7, 21, -37, 5, 48, -45, -46, 30, -4, -57, 41, 47, -9, 28, -9, -17, 4, 39, -44, 36, -9, -56, -50, 6, -28, -43, -30, 22, -57, -6, 45, -9, 22, 14, 46, -40, -58, -9, -59, -28, -14, -51, -59, 32, 51, 60, 10, 34, -32, 48, 31, 42, 40, -40, -19, -44, 4, 73, 40, 45, 43, -17, 22, 14, -15, -32, -20, 18, -23, 31, -37, -9, 22, 14, -34, -3, 4, -25, 19, 17, -48, 45, 29, 1, 33, 28, 20, -27, -17, -60, 56, 32, -51, 54, -44, -8, -56, -52, -36, 39, -15, 30, 43, -27, 14, 33, -60, -34, 23, -7, 18, 23, 49, -37, -17, -55, -39, 0, 14, 15, -54, -64, 30, 39, -13, 48, -37, 33, 50, 61, 54, 19, 8, -19, -2, -59, -56, -5, 43, -9, -29, -28, -54, 36, 54, -32, -31, -36, 9, -8, -50, -45, -13, -37, -8, -13, -62, -16, -25, -66, -1, -64, 54, -19, 61, 38, -43, -32, 7, -20, 4, 9, 54, 33, 47, -55, -45, -15, 35, 9, 32, 27, -12, 64, 49, -58, 32, -39, -10, 1, -49, 11, 21, 15, -12, -46, -46, -53, 25, -34, 59, -54, 54, 13, 35, 28, 48, -17, 1, -10, 57, -53, -40, 61, 19, 38, -53, -6, -16, -5, 0, -39, 56, 51, -28, -37, 52, -17, 39, -36, -72, -26, -24, -25, 12, -4, 42, -2, -47, -35, -17, -36, 12, 59, -16, -63, -52, 44, 24, 7, 5, -39, -1, -27, 19, -21, 65, -9, 35, 20, 51, 29, -22, -51, -24, -75, 9, -55, -63, 48, -20, 10, 30, 36, -11, 32, -5, -49, 9, 2, -37, 1, -7, 7, 8, -22, 39, -53, 33, 52, 41, -25, 4, 47, -40, 51, -21, -17, -33, 5, -27, 2, 28, 40, 15, 17, 18, 18, -32, -53, -33, -28, -28, -20, 39, 45, 23, -13, 4, 58, -69, 42, -28, 64, 60, 18, -43, -52, 16, 57, -46, 3, 27, -56, 32, 55, 61, 52, 58, 40, -10, 95, 27, 10, -23, 47, 29, 6, 58, 1, -9, 2, -54, 38, 41, 43, -11, 15, 10, 17, -61, -39, -67, -38, 6, -82, 2, 23, -54, 2, -18, 58, 19, 12, -52, 50, -44, 2, -48, -20, 42, 47, -60, -16, 35, 15, 62, 3, 52, 41, 23, -4, -32, 68, 19, -50, -18, 41, -36, -25, 29, 24, -52, -5, 42, -24, 60, -9, -33, 69, -6, 24, -35, -48, 5, 60, 23, -30, -34, -14, -11, 9, 14, -43, 19, -53, -15, 48, 50, -5, 27, -7, 6, 49, -8, -41, 29, 57, -1, 3, -62, 24, 56, 14, 17, -55, 22, -34, -14, 72, 44, -22, -43, -11, -72, 25, -33, -42, -74, 33, -46, 20, 65, 56, -12, 19, -13, 44, 46, 30, -55, -44, 46, -25, 55, 29, 17, -52, 10, -48, 30, 49, 37, 38, -50, -13, 36, 47, 33, -83, 28, 6, -18, -20, -14, 41, -71, -89, 36, -13, 3, 27, -19, 42, -19, -25, -37, -9, -16, 53, -41, -45, -53, 42, 37, -59, -31, 8, -36, -21, -45, 47, 15, -26, -1, 44, 62, 5, -44, -37, 6, 25, 85, 56, 26, -41, -24, 30, -52, 22, -56, -57, -50, -1, -39, 7, -26, -7, 24, 45, -45, 15, 24, -12, -23, 60, -39, 55, -34, -21, -30, -39, -33, 5, 1, -58, -11, -8, 56, 26, 46, 18, -29, 41, -13, 35, 53, 63, -15, -42, 27, 18, -28, -11, 26, 57, -3, -58, -75, 60, -84, -1, -31, 9, -31, 1, -7, 25, 74, -16, 46, 43, 16, -21, 82, -25, 24, 65, 1, -59, -9, -49, 44, 39, -54, 15, -23, -11, 1, 8, -11, 58, -78, -61, 33, -66, 39, -75, -4, -45, -28, -61, -7, -71, -72, -36, -10, -60, -50, 0, -54, 50, 17, 44, -58, 51, 41, 64, 5, -8, -72, -61, 26, -25, 7, -12, 22, 36, -9, -45, 52, -20, -2, 28, -51, 35, -34, 13, 4, -7, 12, 70, 63, -27, -45, 71, 4, 0, 19, 12, -42, -37, 20, -7, -52, -35, 37, -54, 42, 9, 43, 51, -8, 11, -30, -47, -11, 21, -19, -38, -13, -46, 2, 42, 29, 17, -63, -66, -58, -8, -50, -28, -17, 27, 37, 35, 5, -20, 21, 25, -50, 59, -9, -9, 15, -30, 50, 33, 1, -26, 30, 11, 26, 34, 20, 4, -20, -18, 60, -42, 58, 3, 20, -39, -68, 30, 12, 32, -54, 7, 57, 19, 39, 37, -19, -11, -16, 5, 50, 19, -12, 13, -34, 37, -37, 15, -13, -34, -39, -50, 44, -61, 20, 45, 29, 28, -22, 11, -21, -49, -36, -28, 0, -29, 31, 26, 4, -16, -33, 12, -14, -20, -34, -35, -17, -53, -37, 2, -25, 10, 43, 9, -4, 44, 45, 15, 53, 21, 35, 4, 52, -17, 67, 24, -37, -34, -23, -36, -34, 29, -52, -2, 40, 41, 6, 25, 38, 1, -54, 43, -8, -15, -36, -35, -13, 86, 23, -13, 29, 20, 94, 46, -64, 36, -3, -31, -57, 21, -9, -34, -9, 29, -23, -49, 49, -25, 58, 8, 57, 61, 60, -24, 53, -47, -21, 36, -45, 24, 51, 38, -29, -22, 50, -64, -14, 60, 52, 50, -60, -38, -53, -3, -21, -36, 3, 21, -54, -30, 31, 42, 42, 39, -14, 34, 51, 6, -1, 57, -3, 8, -13, -53, 56, 61, 25, -9, 54, -39, -79, 45, -14, 50, -61, -8, -19, 14, -35, -41, 9, -6, -19, -25, -7, -56, 47, 21, -32, 48, -40, 51, 43, -63, 33, -48, -61, 23, 38, -25, -25, 49, -16, 4, 49, -57, 40, -21, 2, -3, -14, -9, -35, -28, -20, -21, 10, 42, 29, 64, -6, 2, -19, -32, 8, -45, 12, -25, -7, 25, -34, -37, -2, 44, -17, -4, 15, 24, -11, 22, -57, 33, 49, 43, -38, 84, -45, 11, 41, 8, 16, 63, -10, 0, 36, -66, -10, -56, -43, -32, 3, -41, 2, -44, -62, -11, 20, 38, 19, 24, 54, 9, 30, -23, -16, -38, 22, 3, -54, 12, -8, -47, -33, -36, 16, 55, -31, 25, 53, -7, -12, -23, 12, -65, 32, 40, -34, 19, -37, 49, -33, -67, -4, -37, -2, 61, -18, 7, 3, -45, 39, 9, -52, 15, -24, 49, -46, -62, 37, 6, -24, 3, -6, -47, -70, -37, -64, 57, 31, -26, -3, 45, 4, -33, -20, 53, -31, -18, -66, 13, -7, -29, -56, -48, -71, 19, -55, 13, 27, -16, 10, -53, -30, 32, -36, 10, -1, -16, -14, -22, 47, -33, -28, -27, 21, 20, 49, -2, 30, -55, 15, 42, 32, 0, 55, -5, 31, -46, 61, -49, 10, -22, 0, -28, -42, 34, -42, -14, 17, 5, -38, 35, 36, 23, 7, -33, 26, 33, -42, 39, 34, -32, -48, -11, -36, 57, -15, -11, -66, -47, -36, 10, -42, 32, 46, 47, 9, -11, -36, -32, 20, -60, 20, 37, 30, 17, -52, -1, 26, 15, 0, 42, 46, -13, 42, 18, -30, 44, -30, 49, 3, -44, 16, -51, -29, 54, -48, -16, 1, 41, 24, 32, 14, 60, 38, 53, -26, 14, -55, -20, -30, -29, -41, -16, 35, 7, -28, 7, -24, -33, -7, -57, 8, 0, -61, 26, 42, 23, 8, 22, -18, 34, -27, 40, 26, 47, 61, -33, 1, 8, 36, 39, 45, 47, -13, 2, -42, 36, 27, 15, 1, 2, 30, -53, -15, 27, 32, -51, 25, -36, -54, -6, -4, -19, -25, -16, -16, 40, -43, -10, -36, 9, -42, 27, 22, 11, -12, 12, -23, 43, 45, -13, 41, -26, 46, 11, -22, 2, 2, 8, -19, -55, -15, -24, -46, 42, -2, -59, 55, -25, -58, -61, -35, -26, 17, -65, 1, 28, -36, -5, -16, 33, -37, 22, -33, 48, 43, -6, 18, -2, -11, 10, 2, -68, -39, -6, 10, -53, 53, -32, -27, -24, 2, 6, -50, 34, 12, 46, 37, -58, -51, 24, 48, -44, -60, -29, 8, 35, 11, -55, -33, 19, 11, -27, 32, -34, 4, 5, 39, 1, -40, 52, 15, 39, 28, -61, 36, -10, -27, 30, 19, -7, -16, 51, -37, -61, -36, 24, 60, -24, -61, 41, -24, 2, -9, -1, 6, 22, -61, 40, 55, -39, 48, 34, 16, -33, 55, -56, -17, -23, 59, 38, 14, -16, 59, 15, 28, 43, 10, -13, 38, -53, 41, -24, 32, -10, 1, 7, 34, 52, -1, -62, -38, 20, -26, 54, -58, -28, 23, -47, 50, 22, 27, 59, -47, -16, -6, 28, 10, -29, 32, 12, -28, 22, 20, 52, -8, 56, 16, -45, 50, 45, 32, -10, 4, -24, 54, 50, -40, 51, 4, 47, 34, -63, -52, -46, -15, 13, -17, -38, -4, 15, 23, -51, -61, -46, -47, -4, 29, -37, -53, 6, -38, -51, 49, -57, 47, -20, 0, 16, 31, 34, 7, 24, -11, -58, 21, 4, 13, -62, -9, 37, -51, 52, 51, 48, -35, -32, 24, 2, -23, 23, -20, 38, 12, -33, -55, -41, 31, -28, -20, -13, 40, -36, 50, -29, -36, 38, -33, 30, 3, -13, -21, 52, 55, -30, 31, -44, -58, 47, -58, 39, -39, -21, -13, 56, 29, 44, -52, 18, 31, 50, 49, 26, -58, -39, -52, 55, -32, -57, -42, 36, -14, -1, -12, -8, -42, 38, -23, 36, 29, -49, 48, 10, -52, -44, 28, 53, -30, 48, 46, 22, 30, -21, -41, 21, -2, -37, 33, 58, -55, 11, -39, -39, -25, 39, -57, -13, 31, 18, 51, -24, -18, -14, -28, -53, 28, 39, 29, 2, -27, 13, -28, -12, -11, 3, 22, 48, -62, -65, -23, 55, -12, 3, 12, -35, 22, 42, -46, 23, -56, -5, -5, -51, 24, 27, -9, -58, 49, -21, 34, -29, 50, -30, 6, -9, 42, -26, -31, -35, 22, -49, 6, 36, -64, 52, 21, 12, 49, -55, 2, 46, 6, 14, -25, -31, -16, -37, -59, 16, 33, 44, 17, 50, 23, -59, 6, -33, -60, 41, 31, 26, -33, 40, 34, -32, 11, 22, -56, 40, 5, 28, 34, -20, -15, -12, 30, -30, 57, 1, 35, -39, -14, 8, -5, 22, -20, 35, -13, -3, -14, 51, -46, 40, -17, 54, 32, -48, 31, 31, 14, -27, -20, -7, 10, -50, -48, -51, -29, -56, -9, 33, 35, 0, 46, -27, -19, -31, -41, 16, -19, -53, 24, -52, -41, -20, -35, 26, -50, 6, -57, 29, 27, -20, 17, 39, -23, 23, 55, 54, -5, -2, -41, -8, 12, -40, -17, 22, -47, 26, 21, -27, -2, 52, -40, 47, -38, 13, 25, -29, -52, 9, 23, -59, -23, -29, -30, -27, 54, -44, 40, 8, 15, -40, 39, -47, -16, -2, 59, -31, -18, -35, 0, 34, -54, 55, -17, -13, -8, 39, -55, -34, 17, 37, 33, 28, 23, 2, -33, 47, -1, 60, -36, -51, 46, -41, 47, 14, -47, -7, -13, -2, 30, 33, 41, 40, 33, -22, 16, 32, 60, -51, 26, -53, -52, 30, -22, 39, 10, 30, -35, 51, -49, -18, -65, 36, 6, -28, 15, 50, 43, 1, 15, 3, 13, 58, 54, -42, -27, 8, -13, 19, 38, 44, -37, -5, -41, 44, -7, -49, -58, 2, 5, 51, 57, -42, 39, -39, -41, -35, -23, 42, 59, 48, 10, -43, 34, -15, -33, -62, -36, -37, 12, 3, 14, 6, 26, 22, 52, -36, -64, -58, 30, -49, -15, -35, -26, 24, -53, -40, 27, 5, -61, 58, -52, -17, -27, -49, -35, 1, -62, -26, 61, 14, 17, 7, -47, 33, 3, 11, 34, 58, 0, 50, -18, 60, -45, -54, -43, -50, -21, -22, -64, 52, 29, 14, 50, -22, 35, 18, -27, -7, -14, -57, 33, 30, 31, 42, 6, 49, 48, -60, 0, -40, -30, 58, -49, -35, 38, 39, 24, -53, 39, 39, 48, -8, -14, -51, -57, 24, 37, -21, -10, -4, 20, 37, -33, 49, -44, -33, 35, 25, -8, -39, 16, -35, -35, -17, -39, -4, -38, -23, 33, -33, -55, 45, 38, 45, 39, -36, 14, -36, -43, 25, 53, 56, -18, 39, -17, -60, -7, 43, 51, 48, 39, -36, 56, 13, -58, -1, -3, 27, -26, 41, -60, 25, -12, 15, -51, 8, 61, 19, -36, -27, 24, 9, -10, 61, 50, -6, -40, -60, -25, 4, -38, -19, -45, 46, -24, 12, 30, 26, 1, 21, 59, 58, 61, -61, -28, -49, 48, -5, -11, 45, -22, -25, 28, -54, -58, -17, -20, -22, -54, 11, -39, -34, 19, 2, 14, -42, -20, -20, -47, -12, 2, -33, -32, 28, 10, -38, -4, -61, -39, -42, -5, -7, -11, 3, 45, 33, -32, 31, -33, -12, 46, -58, -12, -29, 27, 32, 1, -30, 51, 46, 3, -15, -20, 46, 14, 38, 20, -59, -54, 15, 22, 24, -34, -60, 30, -23, 48, 38, 22, -59, 28, -25, -13, -34, 16, 58, -8, -26, 14, -43, -41, -43, -38, 8, 30, -60, -22, 31, -10, -36, 29, -62, -56, -13, -26, -6, -6, -43, 23, 50, 21, 42, -21, -19, 60, 50, 14, 18, -32, 42, 41, 19, -32, -25, 14, -44, -6, 39, -59, 6, -2, 33, -4, 33, -60, -10, 14, 19, 32, -49, 10, -63, -27, 49, 58, -14, -43, 57, -54, 12, -62, -53, -5, 34, 14, 31, -43, -64, 22, 41, 0, 38, 16, -48, -15, 59, -23, -37, -59, -39, 46, 50, -14, 3, 53, -35, 53, 46, -45, 46, -40, -16, -3, 1, 5, -52, -31, -57, 52, -55, 43, 50, 9, 16, -35, 7, -50, -21, 33, -52, -43, -45, 21, -15, 39, -29, -26, 21, 29, 59, 9, -62, 29, 47, 37, -7, -2, -46, -7, -28, 14, -31, -9, -27, -18, -38, -38, 24, -37, -55, -6, 14, -41, 14, 24, 7, 3, -18, 52, -19, -34, 14, -25, -9, -54, 24, -3, -30, 12, -11, -12, 10, 31, -18, 55, -44, -2, -6, 21, 51, 50, 6, -21, 36, -54, 28, 30, 14, -36, -20, 29, 44, -8, 50, -65, -20, 33, 36, 6, 31, -56, 16, -32, -51, 37, -56, 45, -50, 42, -10, 4, -45, 81, -9, 50, -20, -41, -57, -44, -34, -51, -36, 18, 27, -37, 29, 61, -21, 6, 47, 10, -29, -9, 6, 58, 5, 26, -8, 7, -34, 55, 42, -35, -49, -9, 16, -23, 0, -45, 32, 26, -2, -18, -12, -38, -11, 44, -76, 39, -7, -76, -107, -58, 30, 13, 2, 29, 71, 14, -59, -53, 19, 10, -19, 10, 47, -80, -50, -52, -72, 53, 12, 34, 29, 3, 38, 16, 21, -71, 11, 17, 17, 20, 2, 59, 77, -10, -40, -11, -45, 0, 47, -35, -2, 6, 21, -15, 14, 22, -17, 44, -14, -13, 27, -37, -53, -37, -27, 14, -21, -47, 22, -79, 50, 30, -26, -50, 14, -62, 1, -60, -29, 0, -43, -2, 37, -76, -31, -5, 20, 2, -29, -78, 2, 13, 53, 49, 18, -48, -42, -35, -66, 13, 48, 44, 15, 15, 13, 29, -44, 28, 2, 48, 29, 25, 37, -41, -56, -30, 57, 35, 32, -52, -15, -42, -37, 14, -19, -62, -6, 15, 38, 3, 18, 21, -18, 45, 46, -10, -36, -32, 31, 50, -11, -54, 12, -51, -16, 3, -2, 50, -5, 6, 12, 6, -62, 15, 47, 45, 15, 4, 12, 48, -13, -12, 22, -34, 11, 2, -53, -11, 41, -13, -34, 14, -8, 52, 47, -51, 42, -32, 28, 2, 33, -21, 58, 11, 8, 6, -55, -37, -64, 21, 17, 66, 43, 58, 36, -12, -59, -33, 20, -52, 15, 54, 40, 9, -48, -7, 38, 53, -40, 32, -14, -21, 6, 5, -16, -41, 50, -24, -38, 4, -33, 27, 4, 22, 7, 1, 55, -28, 3, 48, 45, -37, -41, -66, -45, -58, 15, -42, -37, -57, -56, -12, -25, -24, 28, 3, 45, 18, 47, 9, 74, 35, 2, -39, -18, 15, -32, -25, -36, 41, -67, -63, -47, -19, -9, -23, 48, 62, 21, 31, -22, -8, -53, -14, -1, -66, 10, -39, -7, -57, -18, -19, 59, 9, -54, -39, 24, -40, 21, 12, -65, 12, -60, 44, 7, -54, 25, -36, -29, -2, -13, -2, 19, -12, 10, 36, 19, 34, 12, 5, -55, -49, 21, 61, -53, 50, 16, -21, -35, -43, 40, 4, -51, 40, -7, 43, -5, -23, 21, 50, 1, 4, -20, -67, 29, 59, 11, 3, -38, 36, -20, 31, -23, -25, 22, -26, 48, -38, 22, -11, -12, 29, -3, 45, -47, 36, -21, -46, -1, 41, -38, -40, 30, -1, -45, -87, 18, 16, 26, -24, 32, 19, -11, 41, -35, -55, 36, 84, -12, 59, -2, 25, -52, 13, 54, -2, 46, -40, 29, -75, -36, 14, -16, 2, -22, 19, 1, -11, 33, 15, 2, -1, -20, 19, 4, -6, 21, 40, -15, 8, -54, 24, 18, -71, 16, 61, 60, -16, -38, 21, 21, 1, 40, -31, 27, -15, 46, 11, 23, -23, -59, -38, -57, -7, -54, -24, -18, -5, -56, -78, -77, 26, -62, 23, 29, 38, 33, 27, 48, 4, 13, -16, -47, -58, -19, -35, 17, -75, -55, 28, 47, -29, -66, 16, -38, 49, 44, 37, -4, -13, -29, 49, 26, -34, 25, -24, -14, 37, 12, -12, -47, 5, 25, -24, 11, -32, 56, 30, 16, -50, -41, -4, -39, 26, 42, 42, 39, -43, 60, -54, -39, -54, 45, -2, 19, -18, -34, -28, -32, 9, -4, 25, 106, 96, -7, 10, -57, 20, -16, -20, -25, 46, -66, 67, 52, -27, 83, 9, 21, -33, -25, -45, -51, 44, -32, -4, 30, -33, 53, 2, 4, 35, -3, -38, 11, 53, 14, 1, 45, -31, -14, 4, 52, 11, 41, 32, 57, 46, 28, -64, -21, -1, -6, 4, -5, -56, -78, 44, -14, -17, -6, 14, -30, 47, 59, 17, -4, 35, 33, 1, -37, 63, -14, 45, -33, 5, -17, 46, 61, -47, 4, -14, 24, 12, 16, 27, 55, 63, -49, -65, 28, -50, 33, -44, -13, 25, 54, 44, -18, -16, -52, 24, 21, -65, -55, 43, 3, -55, -67, -42, -32, 2, 51, -5, -37, -12, 21, -15, 26, -24, -33, 17, -7, 58, -51, -7, -36, -22, 17, 37, -12, -28, 58, -46, -58, 39, -42, 35, -45, -8, 50, 11, 12, -78, -61, 35, -46, -66, 4, 1, -52, 8, 13, 45, -12, 22, -29, 20, -12, 22, -14, -54, -21, 40, 11, -58, 49, -42, 24, -13, -55, 12, -47, 47, 12, -37, 21, -2, 17, 3, -43, -38, -5, -5, 27, -59, -31, -7, -52, -2, -41, 15, 1, 12, 6, 33, -9, 61, 62, -19, -7, 54, 32, -56, -53, 20, -42, 26, 6, 4, -53, 34, 65, 32, 29, -23, 49, -18, 51, -48, 21, 33, -27, 1, 52, 53, -25, -39, -66, 19, -1, -42, -38, -55, -38, -55, -73, 34, 43, -16, -3, -6, 63, 23, 19, -3, 75, 6, 37, 30, 19, 5, -42, 6, -12, 2, -6, -36, 25, 31, 35, 44, 10, -12, -55, -30, -10, 52, 23, -19, 11, -26, 71, 13, 3, -48, -1, -13, 42, -33, 84, -42, 5, 4, -53, -39, 16, 27, -40, -12, 44, 36, -10, 20, -23, 19, 61, -37, 9, 33, -41, 17, 15, 30, -46, 19, -54, -18, -53, 45, -54, 28, 18, 56, -6, -39, 10, 59, 8, -11, -37, -23, -29, -29, -19, -15, -74, -4, 53, 52, -18, 32, -60, -28, 19, -24, -63, -44, 22, 7, -41, 36, 45, 56, -56, -60, 16, 21, -20, -20, 54, -17, -57, 10, -38, -44, -27, 8, 38, 93, -23, 64, -17, -48, -40, 32, -55, 63, -49, 28, 23, -22, -45, 10, 15, 81, 42, -3, 5, 65, 16, 6, -12, -22, 21, -11, 38, -3, 17, 5, -64, 40, 56, -41, -1, 1, -50, 11, -8, 55, -38, 12, -17, 46, 24, -6, 47, -50, 1, -8, -30, 20, 30, 61, 57, -52, 54, -45, -31, -26, 30, 11, -62, -30, -47, -51, 26, 25, 8, 29, 7, 56, -33, -64, 21, 18, -10, 37, 17, 14, -34, -59, 2, 22, -43, 0, -62, -24, 42, -45, -14, -2, -19, 14, 47, 18, 6, 30, -29, -62, -9, -64, -41, 41, 45, 12, 79, 4, -45, -18, -7, -16, 22, -42, 23, -21, -41, -30, 18, -5, -17, -44, 29, -14, -37, 10, -5, 42, -16, -60, 58, 29, -26, 66, 49, 50, 52, -48, -18, -5, -14, -26, -20, 63, 32, 5, 18, -32, -50, 22, -5, -39, 61, 4, 52, 48, -34, -20, 54, 4, -54, -25, 6, 62, -1, -4, 42, -43, -59, -13, 27, 9, 7, 17, -57, 24, -15, 10, 19, 13, -18, -14, 48, 17, -46, -50, -14, 40, 18, -13, -10, -49, -30, 67, 24, 5, -14, -8, 14, 33, 25, -24, 12, -21, -14, -40, -38, 59, -13, 34, 53, -62, 25, -46, -18, 41, 32, -41, 37, -9, 12, -35, -41, 53, 23, -1, -19, 17, -1, -18, 42, 48, -1, -12, 48, 11, 18, -58, 45, -55, -26, 62, 9, 36, 39, -66, 30, -7, 11, 7, -46, 35, 47, -14, -1, -63, 18, 5, 48, 21, 30, -10, -23, -19, 32, 16, 25, 37, -18, 55, 47, 7, 25, -38, 58, 12, -10, 20, 1, -8, -49, -45, 36, 38, 34, 8, -46, 50, 62, -18, -54, 2, 6, -37, 25, 64, 47, -19, -41, -8, -31, -61, -4, 25, -20, 52, -91, -45, 38, 3, 31, -54, -39, -11, 59, 37, -18, -45, -3, 56, -7, -20, -21, -2, -4, -24, 31, 70, 23, 101, 52, -17, 16, -35, -24, -2, 46, 10, 40, -16, -32, -43, -15, -6, -49, 21, -8, -25, 12, 14, 40, 71, 77, -25, 11, 23, -21, 10, 7, -27, 23, -40, 4, 40, 28, 40, 7, -48, 29, -2, -8, -21, -57, 50, 63, -46, 48, 49, -79, 6, 27, -18, 44, 12, 5, -58, -15, -46, 0, -6, -23, -11, -53, 20, -41, 13, -52, 11, -40, -8, 19, -23, -10, -19, 7, -49, 20, 52, -5, 5, 36, -52, 49, 63, -57, -35, 54, 49, -69, -52, 14, -42, -50, 72, -33, -33, 31, 59, -19, -10, -50, 46, 4, 2, -17, 57, 49, 43, -21, 36, 58, 47, -26, 12, -54, 38, 32, 68, 62, 34, 6, -21, 44, 43, 6, -27, -34, -18, 8, 22, -18, -72, -11, -46, 26, -27, -38, -44, 22, -24, -51, -26, -24, 63, 12, 64, 38, 4, -8, 32, -43, -16, -12, 17, 37, 14, -34, 11, 8, 61, 23, 4, 11, -29, 25, 30, -47, -21, -22, 1, 20, -28, 29, -30, -50, 2, 10, 64, 36, -2, -18, 73, -16, 6, 12, 23, -59, 23, -49, 38, -41, -22, -41, 48, 53, -34, -20, 39, -37, -44, 44, 82, 28, -37, 25, 45, 45, -36, 19, 26, 7, 5, -37, 10, 4, 18, -52, 10, 39, 20, 23, 12, -31, 45, 76, 34, 2, 57, 40, 42, 32, 27, -1, 47, -29, -21, 11, 29, 5, 27, -53, 49, -58, 79, -68, -51, 7, -18, 4, 26, -45, -17, 34, 34, 61, -83, 22, 81, -58, -65, 29, -38, -7, -21, -34, 50, -33, -47, 36, -4, -4, -26, -19, -29, 55, -6, -55, -29, -28, -25, -17, 32, -21, 41, 55, -21, 5, 59, -15, -2, -12, 14, 25, -42, -9, -17, -14, -21, -55, 27, -35, 38, -56, -15, -28, -21, -24, 32, 32, -22, 50, 47, 14, 26, 56, -68, 50, 4, 48, 23, 78, -18, 39, 7, 56, -33, 27, 53, 10, -52, -36, -32, -16, 53, 0, 60, 45, -6, -19, 27, 39, -59, -38, -6, 26, 21, 23, -49, 6, 55, 2, 30, 13, 40, 38, -39, 27, 48, -58, 3, 63, 28, -40, -52, 42, -14, -7, 63, -40, 11, 62, -42, -22, 23, -19, 30, -4, -35, 6, 16, -51, -30, -49, 46, -38, -61, -39, -21, -18, 13, 19, -28, 47, -70, 23, 31, 74, 14, 58, 38, -38, -32, -21, -14, 29, 20, 30, -11, 78, -28, -16, -13, -39, 52, 44, -62, 13, 10, 44, 4, 60, -57, -22, 50, 59, -28, 36, -29, 47, -52, -20, -10, 3, -2, 32, 28, 7, -34, 30, -11, -26, 77, 24, 35, 38, -23, -9, 66, 21, -53, -2, 50, 25, 24, -36, -35, -8, 26, -1, -51, 39, 25, 27, 65, -8, 22, 42, -19, -29, 4, -5, -5, -27, -21, 8, -20, 26, 24, 43, 23, 50, 34, 25, -29, 37, 15, 13, 6, -7, 24, 25, 49, -12, -26, 33, 5, 30, -1, -21, -19, -39, 8, 33, 20, 13, 27, 24, -18, -28, -54, 30, -45, -16, -24, -40, -28, -20, -39, 9, 51, -1, -63, 45, 25, -30, -42, -35, 13, 9, 12, 5, -47, 11, 4, 23, 21, 2, 55, -23, 34, 20, -46, -74, 29, 22, 46, -40, -32, 23, 6, -37, 69, -52, 8, -42, 0, -18, 14, 22, -44, -56, -26, 19, 11, -4, -43, -11, 41, -33, 8, -34, 37, 63, -18, 20, 52, 2, 16, 19, -43, -23, 35, 53, -33, -38, 53, 39, -24, -43, 4, -48, -19, 31, 84, -22, -5, 66, 27, 44, 25, -8, -44, -14, -6, 45, -22, 55, -59, -78, 31, 44, 27, -14, -4, -8, -30, 52, -49, 7, -56, -10, 39, 38, 66, -40, 47, -37, -38, 33, -31, -53, -15, -16, 34, 18, 4, -35, 45, -53, 66, -25, -29, -32, 0, -34, 9, 63, -15, 4, 37, 2, 23, -40, 14, 35, 14, -49, 14, -7, -4, 22, 17, -56, -47, 22, 20, -5, 9, 28, 17, 3, 31, 54, -21, -61, -18, 41, -41, 9, -15, 58, -37, 50, -11, 37, -36, -49, -26, -25, 32, -4, 10, 34, -7, -16, -50, -34, 41, -10, -67, 33, 41, -105, 14, 65, -65, -1, 49, -24, 24, -19, 28, 21, -14, -3, 24, -10, -26, -12, 25, -20, 46, 23, -16, 31, 49, -33, -42, 6, -25, 46, 5, -31, 32, 26, 16, 53, -30, 1, 8, 30, -28, -36, 21, -30, 23, -29, 41, 11, 51, 35, -33, -13, -14, -15, 42, 26, 2, 46, -19, 47, 12, -18, -65, -4, -67, 33, -34, -89, 12, 57, 9, 38, -20, 46, 55, 45, -60, -58, -34, -21, 3, 6, -39, 43, -38, -46, 59, 41, 45, 33, -50, 9, -11, 50, -11, -3, 46, 20, -38, 5, -18, -56, 26, 26, -27, 25, 57, 43, 47, -18, 44, -1, -34, 47, -6, -25, -71, -33, 5, -26, 24, -33, -7, 25, 52, -20, 18, -36, -62, 44, 19, 4, 50, 7, 64, -28, -11, 6, 64, -64, -25, -13, -10, 12, 16, 8, 31, -54, 13, -8, -7, 51, 17, -23, 11, -43, 42, 59, -39, -40, -12, 11, -17, 19, 21, -33, -10, -24, -78, -53, -37, 74, 64, 37, -12, 9, 8, -41, 8, 54, 8, 6, -42, -27, -50, -32, 60, -37, -19, -10, 16, 37, 48, 20, -32, 1, -71, 37, -13, -9, -10, -26, 37, 43, 12, -57, -54, 59, 22, -30, 44, 5, -9, 39, 37, 64, -25, 33, -26, 15, 17, 48, 15, 8, -6, 1, -33, 12, 2, -15, 12, -35, 43, 7, -59, 20, -57, -7, 7, 17, 37, 20, 42, -3, -22, -26, -15, 44, -60, -53, -55, -31, 21, 31, 3, 8, 11, -57, 19, 8, -24, 59, -39, -2, 3, -45, 60, 60, 42, 34, 5, 25, -57, -24, 2, -7, 30, 10, -30, 50, -11, -3, -1, -13, 6, 38, -49, -51, 37, -49, 22, -74, 46, -3, 57, 45, -23, -20, 10, 36, 30, -54, -12, 6, -52, -21, 64, -36, -48, -21, -37, 47, 10, -37, -53, -33, -43, -22, 41, 71, 1, -62, -18, -45, -46, -38, -58, 1, 16, -4, -6, 60, -51, 53, 1, -21, -23, -27, -9, -19, 35, 34, 6, -64, 34, -47, 37, 37, 8, -30, -30, 63, 29, -25, -17, 42, -34, 6, -4, -81, 67, -9, 11, -1, -31, -8, -2, -43, 30, -38, 52, -40, -40, 1, 47, -27, 49, -33, -27, 37, -6, 42, 0, 55, 59, 16, 18, 2, -7, -52, 9, 19, -29, -38, -9, -20, 15, 2, 30, -57, -40, -21, -33, -52, -9, 5, 58, -47, 11, 44, -54, 22, 36, 56, -44, -55, 7, -13, 34, 64, 30, -6, -12, -35, 17, 20, 74, 0, -14, -27, -10, -17, 29, 41, -26, -49, 28, -41, -30, -33, -8, 42, -19, -45, 58, -7, 52, 65, 18, -64, 46, 20, -85, -20, 60, 23, 39, -60, -60, 28, 20, 39, 61, 55, 9, 26, 22, -23, 37, 5, -16, 13, -3, 62, -44, -5, 41, 24, -30, 45, -3, -44, -61, -7, -6, -46, 11, 25, 57, -22, 14, -15, -47, 39, -33, 83, -44, -8, 23, 15, 9, -37, -16, -37, -17, 62, -54, -36, -9, 11, -67, 24, -55, -34, -21, -36, -59, -41, 27, -3, 23, -55, -44, 30, 15, -42, 58, -57, 14, -14, -12, 33, 26, 8, 62, -52, 47, 41, 15, -4, 46, -10, -22, -8, -9, 43, 13, 47, 49, -23, 4, -16, -26, 4, 19, -19, 54, 14, -40, -25, -46, 47, 6, 52, 33, -7, -32, 4, 41, 5, 61, 71, -10, 45, 3, -9, -34, 18, 6, -22, 2, 7, 45, -17, 16, -11, 51, 24, -33, 37, 49, 4, -21, -20, -61, 4, 42, 45, -21, 28, 51, -14, -45, -20, 36, -38, 26, 18, 0, 45, -51, -11, -19, 75, 17, 16, 34, 53, 38, 37, -37, -8, 0, 44, 9, -27, -20, -16, -41, -69, -58, -21, -28, -29, 63, 40, -14, 30, 17, 15, -49, -23, 42, 54, 47, -34, -52, 24, 8, -45, 48, -35, 37, -41, 17, -24, -26, -13, 46, 45, 85, 3, -28, 72, -32, 29, 0, -69, 65, 51, -28, 61, 60, 38, 7, -53, 11, 5, -20, 36, -24, 36, -33, 3, 4, 5, 33, 37, 0, 61, -6, -47, 16, 2, 48, 2, -34, -15, 14, 24, -1, -65, -36, -7, 37, 70, -21, -33, -1, -46, 42, 42, 52, -12, -40, -40, 16, 0, 6, 35, -29, 3, 47, 0, 24, -41, -42, 5, -16, -3, 49, -38, -10, -35, 64, -28, 53, 51, 22, 43, -69, -46, -60, -41, 5, -40, 62, 4, -3, 46, 32, -3, -41, -25, 28, -27, -41, -16, 8, -28, 57, -69, -57, 2, -34, -3, 15, 28, 1, 17, 42, 60, 8, 66, -2, 54, 45, 15, 41, -35, 18, -20, -32, 46, 39, 0, -7, 16, 12, 28, -55, -1, 7, -24, 1, -12, 41, -41, -40, -8, 27, 47, -14, -45, -9, 57, -37, 1, -8, -32, 4, -46, -49, 47, 37, 8, -14, -25, -49, 48, 66, -15, 11, 52, 1, 51, -25, 68, -7, 4, 6, 89, -44, 24, 25, 16, 9, 41, -4, 1, -23, -7, -31, -69, -28, 3, -14, -33, 5, -1, 31, 14, -8, 53, -16, 42, -44, -17, 62, -26, 2, 20, 51, 11, -29, -45, 47, -5, -4, 6, 75, 6, 55, 55, 6, 36, 54, 6, 12, -8, 18, -41, 32, -41, 50, -8, -43, 46, 44, 32, -8, -24, 36, -39, 43, -28, -47, 18, 0, -37, 7, 13, 7, -52, 61, 41, 7, 19, 33, 45, 19, -28, -27, -27, 55, 36, -43, 22, -58, 21, 21, 13, 18, 45, -24, -14, -28, 14, -12, 8, -41, -45, 39, 1, 51, -44, 30, 49, 23, 19, 39, -43, -7, -5, 65, 63, -19, -16, -6, 19, -5, -42, -19, 15, 28, 3, -58, -17, 25, 40, -15, 52, -28, 18, 27, -57, 13, 26, -23, -2, 4, 77, 24, -24, 46, 16, 22, 83, 29, -9, 5, 32, 58, -63, 6, -55, 17, -33, 39, 21, 4, -5, -66, -46, -5, 50, 2, 11, 10, -23, 37, 28, -28, 49, -4, 7, 72, -16, 68, 27, 63, 51, -1, -45, -16, 25, -17, 51, 50, 37, 0, 51, -29, 25, -12, -39, 34, 2, 52, 5, 34, 24, -9, 54, 30, 14, 22, 28, 4, -31, -43, -15, 46, -21, 20, 0, -27, -9, -36, -22, 2, 37, 23, 38, 38, 55, -39, -8, -42, 16, 26, 20, -61, -40, -62, -14, 34, 12, -6, -9, 34, 11, 24, 27, 33, 29, 65, 10, 17, 5, -54, 21, 41, -40, -39, -7, -17, -28, -44, 29, -21, -2, 10, -20, -8, -2, 3, -43, -35, 71, -56, 77, 58, -59, 26, -20, 55, 52, 48, 32, -45, 68, 19, 28, -24, 47, 65, 27, -20, 26, -4, 41, -47, 64, -74, 7, 54, -33, 4, 28, 34, 72, 49, 60, -34, -35, -39, 11, -21, 40, 38, -56, 39, 59, -7, 13, -30, 18, 58, -55, 10, 23, 27, -47, 21, 42, 39, 8, 74, -30, 82, 2, -32, -46, 36, -24, 4, -30, -10, 39, 4, -1, -20, -25, -46, -17, -54, 24, 14, -1, 59, 6, 44, 14, -53, -19, 19, -44, -48, -24, 50, 51, -23, -26, 56, -2, -6, 22, 50, -31, 50, -13, -38, -10, 27, -58, 6, -24, -21, 38, -18, -35, -22, 14, 35, -40, -20, -23, 17, -69, 23, -37, -31, 53, -47, -13, 12, 52, -59, -57, -52, 43, -55, 36, 41, 1, -1, 42, 37, 2, 0, -5, 28, 47, -4, 3, -20, -48, -47, 46, -5, 55, -49, 59, -21, 33, 37, 3, 16, -56, 4, -24, -26, 26, -10, -12, -27, 22, 40, 17, 3, 2, 43, -37, 44, -9, -4, 61, 47, 32, 11, 43, 20, 37, -49, 58, -12, -28, -9, 36, -36, 56, -20, -54, 35, -45, -19, 38, 60, -48, -50, -10, 33, 65, -16, 17, 60, 59, -20, 37, 20, -23, -53, 23, 22, 22, -25, -71, 72, -57, 9, 29, -40, 51, 45, 79, 42, 29, -24, 65, -62, -21, 4, -53, -3, 7, 25, -43, -35, -8, -37, 30, -25, 44, -29, -49, 58, 26, 31, 0, -35, -26, -34, 70, 6, -52, -27, -51, -56, -31, -20, -33, 31, 15, -43, 59, -59, -11, 62, 27, 6, 53, 21, -9, 90, -52, -18, -61, -20, 11, 26, 13, 46, 17, 20, 7, -21, -3, 31, -35, -50, 22, -14, 49, 16, 21, -46, -64, -13, -35, -19, 28, 19, -53, -36, -36, 26, 58, 26, 6, -42, -14, 37, -47, -4, 74, -42, -50, -7, 56, 78, -58, 26, 28, -22, 58, -28, 46, -23, -29, -53, 77, 49, -11, -44, 34, 53, -32, 49, 4, 47, 11, 2, 39, -27, -39, 29, -1, 55, -25, 47, 39, 15, -35, 7, -44, -35, -20, 65, 41, 36, 6, -58, -66, 6, -15, -39, -10, -14, 7, 46, 68, -62, -16, 24, 61, -39, -45, 47, -16, -28, 61, -37, 0, 5, -13, -39, -53, 53, -51, -24, -16, 11, -23, -22, -10, 14, -69, 59, -13, -14, 0, 26, -42, -24, -37, 31, 0, -49, 10, 29, 18, -19, -65, -23, 12, -13, 46, -17, 34, 57, -24, 14, -14, -23, -71, -35, -37, -47, 37, 20, -1, 27, -50, -17, -27, 46, -47, 60, -21, -45, -29, 30, -21, 1, -56, -46, 57, -53, 24, 62, -21, 40, -37, -17, 38, -34, -57, 44, -56, 29, -29, -16, 28, -41, -13, -30, 83, 25, 40, 7, -24, 20, -19, 14, -25, 23, -39, 65, 53, -35, -16, 47, -31, 33, -64, 54, -9, -24, 40, -29, -3, 45, -37, -25, 62, -28, 28, -10, 22, 46, 54, 44, 0, 37, 17, 53, -29, -46, 26, 23, 23, 29, 39, -57, -21, -21, -15, 57, 3, -35, 38, -69, 18, 3, -4, 25, 34, 58, 39, -40, 46, 20, -56, -12, 25, -32, 1, 12, 9, 5, 21, -23, -47, 6, -7, -23, -67, -9, -81, -33, -23, -68, 7, 10, -9, 17, -48, 9, -60, 7, -24, -66, -28, -46, -21, 11, 59, 10, 18, -42, -34, -9, -55, 34, -33, 39, -27, 8, 44, 52, 58, 32, -38, 32, 12, 33, -23, 55, 17, 89, 31, 17, 31, -55, 44, -31, -47, 8, -60, 8, -32, -27, 57, -40, -18, 11, -29, -58, 5, 52, 52, 33, -18, 1, 42, 41, -55, -33, -27, 41, -26, 4, 28, -3, -4, -25, -41, -12, 71, 14, -9, -23, 10, -22, -35, 68, -55, -33, 44, -17, 18, 4, -52, -22, 51, -2, -6, -13, 24, -25, -6, -33, -9, -40, 22, 8, -23, -43, 46, -46, 54, -39, -7, 32, 36, -29, 28, -45, 45, 30, -8, -39, 62, 73, 15, -25, 32, -54, -56, -23, 37, -40, 8, -31, -4, 35, -72, -34, -60, -29, -51, -62, -20, -9, 20, 7, -17, 26, 49, 77, 22, -29, -2, 33, 78, 72, 19, 18, -12, 40, -27, 5, -49, -17, -66, 64, -23, -14, 13, 41, 36, -1, 9, 39, 71, -65, 15, 11, -28, -46, 1, 54, -80, -31, 2, 22, 43, 59, -17, 57, 41, 48, 2, 13, -20, 42, 31, -43, 26, -45, 14, -4, -78, 28, 3, -7, -38, 34, 13, 43, 68, -51, -12, 5, -7, 34, 32, -55, 33, 47, 48, 5, 2, 4, -41, 4, -5, -42, -25, -39, 41, 9, -20, -59, 30, -39, 10, 27, 5, -52, -1, -44, -50, 11, 42, 28, 0, 47, 47, -23, 41, 20, 44, -41, 16, -1, -15, -49, -8, 60, -59, -31, 40, 43, -58, -63, 15, -15, -1, -51, -48, 14, 71, -23, 33, -23, -9, 67, -35, -5, 76, 65, 29, 28, 16, -2, -16, 4, 6, 62, -60, -12, 1, 1, 23, -43, -32, -79, 25, 30, -3, -57, -26, -8, -46, 32, -25, -15, -46, -58, 14, 0, 43, 33, -4, 3, -41, -36, 33, -12, 19, -50, 16, -17, -7, -14, 40, -45, 40, -3, 22, 8, 31, -52, -43, 5, 28, -83, -32, -27, -6, -44, 74, 11, -6, -30, -22, -24, 46, 27, 45, -50, -37, -62, 18, -18, -15, -18, -5, -31, 70, -20, -8, -61, -40, 22, 34, 22, 54, 60, -18, -31, 43, -27, 11, -30, -51, 56, -35, 54, 51, -32, 49, 32, 1, 15, 45, 18, 2, -22, 27, -5, -14, -9, -7, 27, -34, -26, -17, 50, -22, -44, -21, -53, 30, -27, -24, 29, 29, -87, 4, 62, -69, 6, -6, 42, -1, 35, 18, -25, 48, 38, 38, -46, 4, 37, 7, -26, -10, 40, -19, -38, -44, 10, -8, 43, -28, -19, 7, -5, -68, -2, 36, -57, -35, 41, -21, -25, 14, 60, -35, -55, -64, -58, 56, 9, 30, -13, 9, 44, -42, 9, 33, -25, 31, 51, 37, 19, -44, -17, 50, 59, -22, 40, 8, 49, 42, 7, 44, 42, -23, 15, -55, -5, -10, 44, 27, 51, 48, 37, -54, 5, 27, 42, -32, 37, -7, -40, 16, 18, 63, -29, 41, -45, -21, 7, 24, 2, -26, -18, -15, -43, -16, 12, -65, -71, 37, -33, -3, 13, -33, -47, -10, -10, -27, -58, 49, -20, 34, 43, -5, -13, 8, 62, -19, 8, -19, -55, -44, -56, -54, 62, -62, 33, -77, 50, -5, 37, 75, 52, -27, 42, -63, 5, 1, 18, 10, 57, 74, -62, -29, -10, -35, 22, 36, -40, 43, -31, 26, 7, 4, -19, -18, 67, -6, 67, 48, 38, 10, 68, -22, -7, 49, -56, 0, -53, 37, -11, -11, 44, -16, 1, 2, 58, -13, -17, -54, 24, -35, -11, 32, -29, 16, -8, 70, 46, 27, 28, 61, -59, 47, 35, -39, -35, 62, -8, -35, 63, -40, -30, 24, -52, 50, -47, -63, 57, 64, 35, 23, 63, 1, -46, -11, -8, -26, -38, 9, 14, 21, -18, 56, -3, -34, -54, -7, 61, -24, 2, -50, -15, -67, -13, -66, 6, -6, -27, 84, 26, -19, 78, 14, -28, -4, 40, 30, 75, 12, -23, -57, 34, -51, -7, -55, -38, 25, -19, 39, -10, 47, -24, 10, 43, -47, 44, 32, 18, -49, 34, 43, -8, -55, -13, 5, 60, -35, -24, 1, -3, 12, 23, 45, 12, 43, 29, 4, 40, 32, -14, -24, -30, 10, -41, -2, 39, -32, -73, 30, 36, 7, 24, 65, 73, 80, 64, 15, -43, -12, 8, -50, 54, -14, 41, -36, -5, -32, 6, -2, 55, 0, -3, -48, -2, 13, 41, -33, -16, -28, -51, 57, -11, 7, -44, 36, 23, 58, 38, 60, -5, 42, 4, 1, -49, 29, 6, 22, -2, -35, -68, 5, 15, -15, -46, -57, -37, 15, -4, -47, -22, -35, -43, -4, 21, -3, -55, 58, 19, 46, 24, 43, 52, 31, 16, 10, -15, 38, 49, 24, 50, -35, 77, 2, -31, -26, -1, -52, 58, 4, -1, 21, -4, 16, -3, 10, -55, -15, -49, -47, 32, -35, -30, 45, 56, -11, -20, -44, -36, 11, -61, -27, -28, 50, -1, 6, 47, 6, -27, 24, 9, 53, -40, 23, -40, 35, -32, -43, -35, -10, -70, -35, 51, -3, 15, 3, -6, -37, -13, -8, 14, 29, -65, 39, 50, 29, -62, -38, -52, -2, -66, 52, -45, 81, -16, -12, -33, -50, 49, -25, 14, 18, 36, -30, -17, 50, -5, -63, 45, 11, 55, 20, -40, 35, -51, -3, 5, 29, -28, -57, -6, 40, 22, 44, -33, 6, -40, -38, -37, 14, 3, 40, -6, 32, 0, -13, 28, -5, 6, -10, 63, 50, 44, 37, -13, -30, -31, 26, 29, -9, 50, 43, -7, -10, -62, 30, -33, -25, -64, 64, -52, 40, -23, -28, 4, 19, 42, -59, 9, 23, 13, -30, 62, -1, -50, -48, -23, -31, -15, -11, 8, 29, 56, 36, -19, -3, -26, -11, 36, 15, 74, 65, -6, -17, -15, -40, -52, 9, 9, 18, 57, -6, 61, 23, -33, -17, -10, 0, 14, 54, -51, 59, -42, 30, -12, -32, -5, -29, 20, 40, 5, -41, 26, 37, -16, 26, -21, -5, 27, 30, -57, -30, 54, 38, 53, 8, -31, -57, -52, 1, -60, 3, 30, 17, -9, -16, 39, -51, 1, -41, -21, 10, 20, -41, -8, -44, 8, 56, 39, 52, 36, 18, 2, -52, -39, 9, -22, 38, -44, 12, -18, -31, -42, 43, -58, -23, 28, -53, -5, 23, 29, -23, 59, 47, -30, -23, -54, 13, -15, -61, -44, 24, -61, -25, -58, 56, 25, 8, -45, 10, 8, 0, 58, -18, 61, -11, 54, -15, -55, -52, -2, 38, 5, -53, -50, 9, 47, -31, 22, -15, 10, 29, 51, -3, -39, -3, -58, -41, -32, 31, -45, -20, -47, 30, 17, 54, 4, 25, -44, 29, 52, -7, -14, 6, -3, -22, 25, -1, 38, 32, -52, -16, -11, -4, -45, -7, 61, 39, -17, 4, 57, -16, -47, -18, -70, 57, 48, -7, -10, 45, -15, 70, -39, -45, -21, 52, 22, -21, 21, 31, 56, -60, -12, -37, 35, 23, -29, -1, -56, 48, -9, 49, -51, -46, -34, 1, 14, 37, -52, 30, 56, -32, -38, -12, 53, 7, -39, -25, -15, 55, -11, -2, -23, -5, -25, -36, 40, 13, 27, -14, 43, 18, -40, 33, -12, 51, 2, -42, 13, 55, -24, -57, 46, 18, 66, -32, -51, -32, 65, 40, 2, -10, -55, 63, -17, 34, 3, 0, 2, -12, 30, -47, 45, 8, -19, 24, 20, -5, -22, -23, 57, 13, 47, 13, 29, 36, 49, -45, 45, -45, -42, -5, -45, -18, -59, 56, -54, 61, -37, 49, 16, 12, 62, 28, 21, -7, -2, -13, -40, 31, 13, 36, 3, -22, -52, 38, -71, 5, 51, 6, -27, -46, 53, 6, 8, -25, 13, 10, -10, 31, -51, -52, 18, 50, 10, 50, -34, -3, -11, 14, 27, -28, 49, 44, -9, 10, 43, 35, 39, 41, -26, 31, -34, -34, 42, 12, 46, -4, -5, 1, 21, -47, 48, 31, -48, -10, -24, -54, 40, -28, -61, 39, 59, 54, -51, 3, 39, -41, 58, 5, 62, -37, 34, 13, -40, 23, -62, 2, -40, 13, -55, -44, -22, 49, 39, 21, -6, 9, 34, 21, -45, 47, 22, 38, -27, -52, 36, 10, -18, -7, -44, -23, -11, 8, 7, 14, -33, -60, -31, 10, 42, 45, -55, -37, -12, -14, -34, 56, 53, 6, -44, -36, -50, -32, 3, -62, -63, 21, -57, -2, -1, -39, 43, 41, 14, 50, 23, 42, 37, 6, 14, -18, 17, 47, 28, -19, 50, 19, 53, 42, 62, 64, 39, 50, -24, -40, -44, 34, 61, -54, 47, -13, -13, -8, -13, -23, -19, 48, -11, 28, -43, 43, 44, 57, -52, -24, -42, 70, 42, 57, -14, 14, 10, 9, -3, 1, 43, -10, 54, 53, -58, -52, -53, -23, 41, 8, -46, -33, -44, -12, 41, 24, -16, -9, 10, -11, -11, 12, -23, 16, -58, -16, -4, -41, 39, 9, 7, -8, 21, 0, -39, 53, -37, 6, 2, -35, 7, 20, 14, -8, -10, -10, 12, 19, 63, 51, 44, 50, 32, -18, -9, 29, 72, 33, -38, -9, 24, -58, -52, -2, -15, 7, 28, 66, -35, -22, 13, -50, 50, 25, -61, -48, 38, -43, -14, 37, 31, -57, 1, 35, -6, -5, 25, 19, -35, -65, 4, -10, -11, 38, -6, 35, 35, -23, -19, 16, -37, 13, 8, -56, -6, -39, -15, -21, 11, -49, -56, -12, 28, -19, 27, 21, -31, -53, -43, -46, 28, 14, 38, 16, 54, 34, -12, 28, -17, 45, 9, -12, 22, -26, -49, -35, -18, -24, 48, 18, -38, -38, 2, -51, 42, -42, 58, -50, -29, 10, 42, 12, 39, -52, 8, 14, 59, -13, 36, 8, -16, -11, 1, -12, 61, -13, 45, 57, 12, -22, 31, 26, 19, -39, 19, -43, 38, -11, -34, -29, 37, -44, 23, 13, -11, 23, -42, 20, -37, 29, -9, 52, -33, 0, -64, -31, 48, 8, 60, 49, -1, 61, 1, -58, 24, 31, 7, -18, 45, 8, -46, -39, 61, -52, -10, -21, -32, 4, 10, 7, 26, -23, -7, 37, 9, -49, -11, -11, 16, 15, 17, 51, 15, -43, 25, -21, -58, -15, 37, 25, -53, -12, -40, 41, 31, 31, -38, 44, 6, -5, 7, 15, -21, 24, 11, 60, -13, 29, -23, -2, 10, 4, 58, -54, -54, 24, 48, 22, -31, -46, 48, -44, -59, 65, 24, -27, -50, 42, 2, 15, 37, 29, -2, -27, 51, 48, 46, 30, 54, -4, 5, -39, -58, -19, -28, -47, -46, -2, 51, -41, -56, 50, 36, -50, 64, 16, -54, 20, -23, 4, 34, 60, -14, -47, -36, 61, -1, 72, 17, 62, -42, 7, 47, -37, -65, -13, 48, 19, 11, 40, -46, -24, -4, 16, 15, -20, -54, -39, -61, 23, 47, -17, 59, 37, -55, 0, -49, -18, -29, -44, -48, 66, -32, 11, -34, -21, -40, -33, -15, 12, -25, 28, 2, 33, -48, 26, -8, -40, -31, 4, 57, -35, 19, -51, -50, -47, 33, 56, -62, -49, 38, 4, 58, -29, -21, -52, -38, 28, 22, 13, -11, 30, -47, -2, 53, -68, 33, 10, 29, 50, -23, -30, -35, 23, 56, -10, -46, 27, -57, 36, 61, 0, -30, -12, -11, -26, -36, 16, 26, -44, 31, 26, -48, 39, 31, -40, -41, -46, -21, -41, -1, 27, -60, -36, -42, -35, -66, 27, -68, -54, 27, -58, 49, -42, -9, -8, -34, 53, 56, -13, 55, -15, 60, -45, 11, 31, 53, 4, -1, -5, 35, -25, 44, 58, 14, 38, 50, -7, 39, 42, -7, 44, -21, 22, -18, -36, -1, -3, -50, -27, 7, -11, -6, 19, -2, -30, 20, -2, -52, 13, -46, -39, -11, -16, -34, -20, -36, -4, 39, 14, -33, -53, -49, -61, -56, 39, -40, -59, 40, -25, 43, -31, 55, -12, -49, 43, 52, -21, -57, 52, -62, -2, -38, 42, 53, 7, -37, 13, 56, 1, -34, 49, 15, 14, 30, -4, -44, -25, -22, 27, -2, -32, -3, 16, 62, 46, -27, 8, -42, 3, 39, -31, 15, 47, -47, 27, -34, 50, -58, -13, 37, 38, -52, 36, 53, -8, -11, -4, 33, -44, 13, -23, 48, -60, -45, -16, -56, 49, 21, 13, -10, 4, 51, -59, 41, 38, -36, -27, -59, -52, 51, -36, 61, 56, 2, 11, 45, -50, -46, -58, -6, 39, 7, 38, -30, -44, -31, -50, -43, -52, -50, 35, 61, 40, 45, 1, -30, -47, 34, -34, -39, 7, 2, 36, -34, 19, -6, 54, -6, 24, -49, -34, -57, 34, 54, -10, 9, 8, -59, -30, -2, -47, -61, -2, 37, -36, -26, -11, -35, -26, -19, -7, -24, 15, -2, -35, -15, 2, 13, 36, 50, -32, 53, 63, 8, -45, 11, -40, 29, 12, -17, -48, 44, -38, 19, 60, 31, -55, 38, -43, 13, -48, -8, 50, -20, 0, 45, 43, -55, 47, 6, 19, 43, -40, 16, -44, -52, 22, -64, 42, -45, -32, 14, 45, -38, 4, -57, 3, -4, -37, 35, -62, 28, 41, -33, -25, -19, 10, -49, -66, -20, -11, 34, 56, 31, -50, -59, -15, -34, 39, 56, -51, 56, -60, 56, 55, 21, 15, -1, -3, -33, 12, -65, -12, 2, -28, -28, 58, -40, -58, 10, -27, 14, 20, -26, -11, 18, -11, 6, 58, -12, -32, -8, 50, 52, 20, -45, 22, 36, 20, -30, -43, -31, 6, 44, -59, 56, 40, 23, 15, 43, -49, -59, -51, 34, -18, 34, 25, -24, 52, -2, -32, 50, 61, -16, -33, 1, -3, 54, -17, 40, -11, 48, -61, 40, -23, 47, -13, -29, 46, 24, -41, -60, 22, 2, -61, 10, -33, 25, 16, 7, 22, -18, 32, -29, -20, -8, 20, 15, 47, 34, 4, -12, 24, 6, -11, 14, -49, 7, -48, -57, 30, 22, 21, -5, 22, -47, -33, 51, -6, -27, 7, -33, -30, -61, -42, -46, 20, -7, 52, 15, 36, -41, 3, 36, 41, -57, -35, -45, -48, -4, -26, 14, 3, 40, -41, -49, -5, -52, -34, -25, -10, 59, 39, 33, -12, -10, -2, -23, -22, 13, -60, 11, -17, 35, 44, 46, -30, 64, 40, -42, -18, 31, -13, 11, 43, 56, 39, 20, 5, -16, 28, 0, 10, -55, -55, -26, -36, 36, -21, -39, 49, -34, 4, -30, -5, 31, -19, 14, -39, -47, -53, 44, -3, -60, 58, -18, 31, 23, -10, -16, 33, 26, 26, 36, 55, -35, -36, 40, -19, -3, 20, 48, -58, 41, -40, 34, 41, 26, -58, -57, 11, -31, -19, -38, -59, 50, -47, -6, -28, -31, 26, -18, -3, 39, -55, -56, 23, 35, -33, -22, 1, 27, 29, -34, 42, 5, -22, 41, -43, -39, 49, 19, -47, -4, -8, -24, -16, -52, 27, 13, -24, -44, -34, -6, 6, 15, -11, 26, 37, 23, -59, 35, -43, -15, -47, -38, 60, 36, 34, -36, -27, 50, -64, 29, 48, -42, 35, -23, 28, 38, 56, 3, -53, 39, 16, 15, -7, 3, -49, -40, -25, 2, -26, -22, -55, -19, -55, 1, 5, -54, 3, 13, 23, 13, 33, -26, 47, -54, 25, -13, -32, -61, 49, 20, -19, 48, -9, -19, 12, 41, -26, -1, -38, -16, -47, -43, -7, -4, -39, 32, -10, 33, -53, 43, -10, -5, -27, 37, 18, -4, -41, 10, 12, -62, 37, -27, -1, 44, 4, 36, 0, 38, 41, -25, -60, -43, -14, -61, -23, 55, -30, 18, 62, -13, -2, -23, -14, 45, -8, 46, -29, -45, 40, -28, -59, -40, 3, -42, 4, -8, -27, -2, -64, -34, -49, -18, 53, 12, 21, -46, 47, -41, -41, -27, 40, -38, 46, 23, 24, -24, 22, 58, 15, -52, 54, -34, -50, 42, -46, 17, -60, 45, -48, 32, 37, -6, 21, 48, 57, 8, -52, 46, -21, -57, 20, -14, 27, 14, -6, 44, -48, 7, 15, -1, 15, -25, -2, 47, 35, -42, 24, -31, -61, 14, 3, -37, 43, -5, 8, -44, 28, -49, -9, 55, 34, 58, -17, 59, 58, 35, -14, 39, 13, 5, -41, 16, 38, -28, -20, -64, 54, -52, -62, -59, -34, 16, 22, -18, -51, -24, 57, 30, -34, -56, 2, -47, -45, 10, -4, 42, 19, 14, 3, 57, -23, -21, 13, -2, 57, 12, -21, 39, 20, 46, -3, -65, -49, 62, -33, -26, -53, 5, 30, -56, 43, 51, 22, -48, 3, 37, -34, -48, -53, 12, 40, -41, -21, 29, 13, -8, 49, 39, 47, 18, 45, 25, 3, 57, -33, 5, -5, 34, 41, 32, -47, -62, -38, -42, 28, -40, 16, -29, 36, 42, 3, 60, 61, 60, 36, 26, 6, -62, 56, 12, -9, 50, 32, -16, 49, -46, 46, -45, -43, -27, 41, -20, -49, -37, -45, 48, 10, 9, -10, 34, -56, -59, 24, -18, -20, -51, 14, -44, 50, -39, -20, -28, 58, -44, -34, 40, 37, -16, 40, -63, 17, -28, 42, 11, -2, 10, -38, -32, -43, 8, 29, 2, -19, 30, 9, 38, 58, 8, -37, -60, 56, 55, -49, -40, 56, -20, 10, -56, 22, 18, -15, 44, -51, -49, -2, 49, -10, -56, 62, -31, -50, -30, -26, 28, -28, -46, 19, -39, 54, 21, 5, 25, -54, 19, 37, 43, -48, 45, -15, -35, 23, -17, -11, 15, -32, 10, 15, 46, 23, 36, 42, -35, -26, 14, 44, 21, -55, -41, -1, -14, -6, -33, -52, -46, 58, 32, -15, -10, 44, 43, -27, 55, -53, -23, 6, -42, 2, -30, -28, -42, -5, 51, 43, 61, 33, -33, 17, -41, 37, 30, -28, -25, 13, 14, 19, 27, 17, -18, 19, 17, -57, 15, 31, -56, 14, 43, 14, 56, -60, 56, -43, 36, 22, -47, -21, 30, -19, 53, 34, 19, 31, 5, -52, -15, -16, 39, -60, 57, -15, -21, -36, -60, -51, -30, 6, 4, -42, -60, -42, -28, -22, 3, 38, -15, -11, -24, -9, -48, 52, -48, -48, 39, 3, 37, -39, -55, -53, 2, 57, -8, 47, 62, -1, 28, -47, 49, 50, 20, -25, -51, -67, 19, -5, -7, 41, 2, -57, -43, 13, -41, 28, 46, -39, -3, 44, -56, 46, 26, -48, -44, 12, 25, 25, -58, -13, 20, 20, -46, 28, -59, 60, -17, -42, -31, -8, -33, -53, -6, -17, 54, 1, 15, -34, -2, 0, 51, -24, 30, 14, -26, -42, -52, 12, -45, 13, 35, -24, 38, 21, 32, 2, 6, 58, 5, 17, -60, -16, 43, -42, 10, 50, 53, -18, 55, 9, -17, -59, -14, -6, -24, -14, -35, 37, -25, 51, -50, -27, 57, -54, -44, -4, -51, 9, -50, 13, -33, -10, 27, 26, -33, -4, 39, 38, 16, 3, 34, 33, -24, 4, -50, -52, -56, 53, 13, -19, 15, -42, -48, 62, 36, 13, -49, 31, -54, -10, -3, 44, -10, -43, 16, -16, -41, -18, -44, -4, -19, -42, -30, 9, 50, 45, 19, -22, -13, 38, 33, -58, 25, -55, -22, -1, -45, -24, -45, 52, -64, 19, 27, -26, -31, 32, -20, 26, 62, 59, 0, 48, 1, -48, 13, -54, -55, 22, 18, 15, 31, 1, -6, -57, 37, -17, -20, -52, -28, -22, 24, 1, -41, 31, -56, 6, 5, 41, 37, 4, 0, -61, -34, -44, -11, -31, 51, 31, -58, 36, 16, 10, -39, -52, 23, 13, -39, 33, 42, 3, -52, 12, 48, 53, -17, 47, 18, -64, -66, 34, 23, -21, -9, 35, -46, -46, 2, -51, -49, -19, 45, 45, -24, 58, -17, -6, 40, 5, -25, -58, 7, 18, -53, 32, -36, -22, -35, -20, 59, 33, 2, 34, -53, 56, 29, 5, -15, -29, 40, -45, -54, -46, -2, 13, -25, 7, -55, -55, -51, -26, -43, 32, -29, 57, 41, -48, -37, 23, 40, 6, 6, -18, -28, -47, 25, -46, 38, -24, 42, -54, -29, 21, -15, -57, -46, 13, -51, -25, 7, -7, 40, -16, -51, 50, 9, 37, -10, 13, -51, -56, -52, 39, -55, 22, -52, -37, 10, 30, -12, -43, -35, -24, -47, 6, 21, 12, 58, -27, 21, 26, -64, 8, 21, -52, 55, 50, 61, 5, -26, -50, -7, -52, -39, 18, 44, -24, -48, -15, 17, 13, -37, 43, 35, 31, -31, 10, 3, -5, 60, -32, 14, 51, -9, 12, 27, -36, 30, -30, 12, -28, 37, 21, -28, 53, 62, -24, 46, 44, -30, 44, -2, 36, -1, -48, -41, -33, -45, -22, 1, -42, -8, 5, 45, -35, -28, 52, 25, -47, -45, -45, -11, 15, 65, -36, -15, -2, -71, -61, 10, -19, -70, 25, 34, 0, 49, 54, -18, -52, -35, -18, 0, -54, -54, -82, 1, -60, -89, -9, 21, -80, -33, -37, -54, -58, 58, -10, -43, 21, 3, 3, 8, -27, -45, 11, 42, 30, 47, 35, -30, 61, 11, -45, 49, 5, 16, 28, 22, -9, -5, -51, -47, 33, 5, 45, -13, 33, 7, -16, 6, -53, -56, -14, -20, -3, -9, -1, 1, -7, -34, 4, 23, -41, 15, 34, -23, -4, -31, 36, -24, 13, 38, 22, 11, -40, 18, -53, -54, -59, -2, 3, 48, -63, -36, 65, -12, 53, 23, -40, 48, -44, -31, -23, -45, 9, 39, -10, -28, 37, -23, -1, -4, -31, 18, 8, 32, 71, -6, -2, -15, -8, -48, 29, 56, 59, 17, -2, -23, -57, 8, -4, -25, -60, -21, 42, -34, 47, 37, 51, -22, -38, 2, -18, 35, -31, 51, -50, 4, 3, 47, 46, 43, 41, -15, -26, -52, 0, 16, -50, -32, -6, -21, 1, 73, 28, 9, 38, -16, 21, 76, -2, 2, -13, 69, 18, -51, 20, 15, -3, 43, 9, 45, -35, -42, -40, -45, -21, -57, 3, -39, -9, -8, -63, -39, 44, -50, 37, 29, -53, -8, -52, 50, 39, 6, -9, 64, 48, 15, -64, 33, -32, 32, 56, 24, 21, -13, 62, -51, -39, 22, -29, -20, 25, -81, 20, -81, -21, -42, 23, 41, 57, -26, -27, -32, 13, 24, -28, -47, -21, 54, 50, -32, -24, -36, 49, -14, 30, 78, -13, -59, 44, 25, -52, -1, 47, 46, -45, -42, 54, 19, -52, 53, 60, -49, -29, 25, -30, -2, 48, 10, -38, -40, -33, -21, 40, -45, 62, -34, 57, 11, -30, 42, -60, -46, -48, -22, 0, 35, -2, 10, -40, 20, 22, 59, -29, -22, -45, -20, 47, -15, -12, 9, 46, -19, 24, 5, -1, 13, -22, 6, -58, -15, -16, -38, -82, -47, -39, -78, 28, 20, -20, 59, 13, -27, 59, 3, -64, 61, 20, -45, -43, 33, 46, 44, -18, -25, 47, -47, 55, 31, 18, -11, -42, -56, 31, -59, -62, 53, -32, 24, -22, 4, 35, -35, -19, -9, 72, 36, 49, 20, 16, 16, 48, -55, 4, 19, 18, 26, 22, 48, 48, 40, 21, -32, 64, -68, -34, 64, 41, -15, 52, 16, 32, -21, 13, 1, -36, -4, -66, 19, 5, -68, -72, 18, -24, -18, 46, 48, 5, -37, 46, 46, 19, 30, 37, -45, 29, -48, 63, 17, -33, 27, 26, 5, -25, 57, -29, 36, -14, 45, 28, 24, 1, 38, 34, -3, 28, 27, -2, 24, -56, -6, -2, 0, -90, 32, -26, 22, -3, 42, -49, -15, 1, -30, -10, 2, -58, 26, -32, -64, -61, 21, -14, 57, 13, -20, -8, 14, -42, -6, 25, -12, 38, -41, -34, -6, 54, 3, -7, -10, -54, -14, -63, 56, -1, -27, -34, 28, 18, -1, 6, -22, -35, 17, -69, 11, 25, -60, 17, 19, 3, -16, 54, 35, 8, -42, 9, 22, 55, -22, -47, -40, -58, -25, 32, 32, 45, -22, -60, -60, 7, 44, -13, -26, 41, -64, -32, 6, 49, -31, -34, -37, -6, -5, -9, 26, -6, -32, 37, 50, 9, 35, 72, 36, 46, 43, -38, 44, -12, -54, 74, 9, -32, 10, -13, 52, 26, -3, 13, 56, 59, -18, 18, 42, 39, 43, 2, 28, 10, -28, -55, -9, -13, -35, 4, 44, 30, 22, -20, -24, -7, -2, -25, -20, -8, 23, -26, -42, -8, -52, 26, 27, 33, 33, -47, -4, 41, -1, -34, 66, -40, -61, -18, 13, -32, -24, 28, 7, -13, -34, -18, -79, -42, 8, -67, 22, 32, 10, -21, 29, -27, -35, 2, 5, 53, 47, 18, -22, -20, 60, -56, 41, 3, 40, -36, -23, -33, -32, 14, -11, -26, 58, 2, -57, -15, 21, 9, -17, -44, 46, 36, -29, 7, 45, 82, 55, 8, -30, 0, -26, -22, 28, 35, -37, -48, -32, 18, 30, 50, -55, -22, 55, 64, 15, 57, 5, 36, -24, -53, -42, 15, -20, -6, 38, -28, 29, -3, 11, -6, 47, -64, -11, 29, -35, -58, -26, -35, -28, -10, 10, -65, -71, 7, -54, -34, 21, 49, -3, 7, 17, -12, 43, -2, 27, 21, -16, -13, 52, 16, 12, 35, 12, 57, -31, 35, -23, -40, -35, -33, -10, -60, 56, 37, 55, -20, -2, 59, -52, -1, 18, 60, 26, -6, -12, 37, -2, -70, 18, 14, -47, 36, 37, -29, 32, -46, -39, 53, 0, 7, -24, -19, -19, 46, -5, 55, -34, 8, -9, 9, 37, 25, -45, -3, 59, -14, -23, 3, 69, 14, -29, 43, 2, -36, -1, -28, -44, 23, -50, 15, 25, -18, 10, -6, -14, 26, 35, -5, 15, 20, -41, 3, 22, -18, 56, -50, -57, -26, -48, 34, 0, 38, -44, 60, -1, -49, 50, 27, -6, -44, 34, 66, 11, -45, 48, -44, -21, -23, -27, 70, 51, -34, 9, 48, -26, -1, 52, -16, -55, 8, -28, 44, -10, -24, 69, 31, 9, 57, 28, 24, -25, 51, -54, -50, -2, -32, 10, -1, -31, -10, 58, 26, 54, -32, 47, -8, -56, 22, 59, 18, -15, -51, 41, -65, -63, -49, -69, -55, 55, 0, 38, -48, 13, -4, 50, 23, -18, 31, 13, 29, 12, 5, -49, 56, -27, 17, 20, 68, -45, 45, -20, 14, 31, -49, 5, -5, 10, -42, -41, 14, -24, -50, 37, 8, -44, -35, -19, -41, 12, -53, 18, 37, 5, 27, -3, 48, -36, 1, -8, 45, 51, 59, 44, -43, -12, 9, 46, 1, -16, -22, 0, -33, 22, 6, 8, 0, -50, -22, 6, -63, 11, -10, -43, -51, -39, 25, -45, 16, 54, 41, -16, -35, -18, -53, 29, 7, 41, 1, 55, 24, 33, 39, 25, -56, -11, 0, 13, -42, 5, 28, 26, -55, 16, 51, 39, -29, 20, 31, 21, 8, -52, -12, 9, 66, 8, 40, -10, 14, -6, 52, 33, -21, 11, -6, 52, 32, -49, 61, -7, -9, -25, 52, -21, 1, 28, 43, -47, 38, 57, -9, -29, 38, 8, -1, 21, 28, -5, -15, -48, -50, -75, -57, -34, -24, 6, 50, -31, 27, -62, 2, -53, -40, 59, -58, 7, 38, 36, 35, -27, -43, -20, -40, -8, 42, 2, -60, 19, 29, -54, -29, 9, -42, 53, 2, 57, -51, 4, -75, 72, -42, -52, 40, 10, 49, 40, -14, 53, -5, 0, 21, -68, 14, 74, -49, 52, 59, 31, -61, -62, -8, -39, 44, 40, -38, 31, -23, -33, 7, -21, -21, 30, 22, -45, -59, 18, -47, 13, 0, -18, 41, -27, -37, -2, 30, -40, 37, 16, 32, 13, -21, 45, 27, 13, 37, 59, 54, -21, 40, -30, 50, 29, -54, -1, 63, -48, -5, 57, -90, -54, -48, 25, -19, 28, 31, -40, -44, -50, -49, 69, -39, 37, 50, -56, -31, -11, -61, -2, 35, -15, 7, -66, -15, 21, 36, 34, 60, -48, 49, 28, -8, 47, -13, 11, 41, 7, -71, 32, 52, 26, 67, 27, -10, 16, -48, -38, 52, -26, -21, -8, -60, 35, -48, 25, 40, 78, -8, 56, 70, 23, -2, -3, 14, 2, 32, 42, -23, -66, 57, 20, -44, -4, -30, -32, 49, 25, -29, 49, 56, -16, -45, -62, 13, 46, 54, 21, 61, 24, -49, 34, -33, 39, -12, 8, 6, -59, 41, 27, -3, 46, -60, -68, -38, 48, -63, 35, -14, 16, -20, 37, -8, 59, -56, 36, -62, -21, -25, 33, 59, 59, 10, 40, -59, -37, -45, -38, -28, 41, 52, -22, 29, -62, 3, 15, -56, 13, -13, -48, 58, 49, -31, -1, -37, 10, -15, -25, 25, 23, -28, -56, -54, -58, -7, -11, 2, -10, -23, -44, 34, -9, -30, 36, -3, -4, 12, -22, 47, 23, -27, -55, 16, -12, 34, -23, 9, 29, -45, -59, 52, 9, 4, -48, 42, -48, 21, -18, -35, -39, -15, 17, -12, 43, -47, 17, 25, -4, 13, -30, 24, 71, -36, 43, 7, 44, -36, -56, 43, -35, -3, 41, -12, 30, -60, -36, -50, -41, 2, -32, -8, -74, 1, -21, -40, 22, 62, 23, 62, -71, -11, -53, 48, 42, -16, 17, 32, 3, -23, 47, 9, 54, 11, 20, 0, 6, 90, 43, -11, 44, -24, 76, 35, -2, -30, 21, 5, 10, 24, 54, -28, 33, 57, 50, -21, 8, 24, 14, 17, -7, -17, 29, 10, -7, 49, 57, -36, -26, 33, 36, 23, 26, 5, 28, -33, 7, -35, 52, -18, -39, 44, -41, -24, 35, 36, -29, -38, 9, -8, -12, -49, -68, -23, -49, 26, 0, 37, 50, -24, -10, 56, -41, -28, -38, 44, 25, -51, 32, -38, 32, 6, -8, -31, -52, -27, -43, -3, 35, -15, 21, -11, -48, 40, -41, -31, 13, -22, -9, 54, -47, -15, 53, 52, 10, 11, 40, -1, -34, 29, 25, -56, -11, -15, 47, 2, 49, -43, 31, 57, -26, -38, 36, -16, 50, -22, -62, 47, -15, 35, 26, -41, 60, -57, 41, -24, 25, -11, 53, 0, 58, 37, 26, -56, -32, 45, 66, 52, -34, -31, 6, 26, -59, 6, 37, -27, -45, -23, 25, 52, 33, -39, 80, 26, 63, -18, -54, -15, -29, -31, -17, 47, 34, 45, -57, 24, -9, 25, -5, 44, -56, -14, 17, -61, 53, -53, 17, 48, -13, -35, -18, -41, -22, -58, 0, 31, 21, -35, -52, -31, -44, -11, 9, 5, -32, -42, 40, -18, 13, -48, 60, -2, -38, 22, 6, -5, 19, 19, -2, 84, -46, -21, 0, -42, -36, 21, -22, -48, -6, 46, 36, -50, 70, 11, -24, 1, -67, 66, -61, -44, 72, -63, -13, -23, 30, 64, 27, 9, -30, -51, -20, -53, -49, -49, 26, -25, 33, -24, 30, 7, 11, 51, -1, -38, -10, -48, 46, 7, 31, 17, 24, -17, 23, 6, 5, 42, 22, -19, 29, 17, -50, 45, 27, 30, -47, 26, 10, 14, -46, -40, -57, -28, -60, -54, 32, -9, 35, 50, 15, 35, 67, -35, -23, -69, 55, -7, 41, 34, 24, 41, 6, 8, 31, 39, -41, 34, 18, 11, -38, 42, 41, 52, -61, -61, -60, 29, -6, 23, -15, -63, -20, -35, 60, 1, 41, 20, 25, 0, -19, 36, 22, 19, 31, 37, 0, -43, 29, -33, -37, 23, -43, 42, -4, 17, 5, -33, 45, -54, -22, 7, 47, -9, 8, -6, -46, 0, 27, 39, -48, -29, -26, -18, -22, -6, -11, -32, 19, 11, -24, -27, -5, 22, -38, 15, 18, -17, -3, -18, 20, -69, 45, 35, 23, 32, 18, 7, -74, -20, 29, -1, -46, 36, -56, -20, 51, -60, -6, 7, 56, -35, -34, -8, 15, 13, -37, 33, -48, -29, 20, 38, 5, -3, -26, 17, 32, 59, -53, -7, -5, -61, 1, 43, -5, 49, -24, 4, -15, 13, 38, -1, 12, -31, 56, -62, 18, 24, 3, -27, 35, 28, 39, 43, -47, -50, -17, -30, -77, 27, -61, -24, 39, -36, -18, 57, -49, 12, -26, 26, 51, 35, 6, -25, 27, 56, 34, 79, 86, -16, 27, 48, 44, -82, 31, 4, -40, 32, 41, -18, 39, -45, 13, 15, -31, 8, 37, 9, -6, -37, 7, -5, 5, -12, 34, -44, 36, 37, 46, 1, -9, 37, 10, 26, -32, -54, -33, 44, 13, -1, -28, -57, 41, 48, 32, 9, -23, -62, 7, -15, 49, 16, 39, -38, -32, 33, 57, 42, 1, 47, 41, 38, -20, 29, -5, -1, 20, 20, -31, -72, 36, 32, 44, 14, -39, 14, 74, -27, -3, 17, 52, 18, 3, -36, 3, 55, -46, 21, -28, 21, 86, -18, -27, 46, -37, 29, 5, 48, -35, 54, 53, 19, 35, 7, 20, -41, -11, 13, 30, -47, 10, 24, -14, 48, -34, 54, 34, 33, 29, 65, -50, 23, 6, -10, -28, 17, -2, -18, 33, 75, 35, -8, -55, -49, -18, 48, 40, 27, -44, 48, -43, -53, 10, -25, -42, -8, 50, -44, -36, -63, -34, -71, -10, -36, -30, -5, 72, 57, 1, 50, -6, 55, -38, 51, -10, 7, -30, -65, -16, -5, -9, 0, -17, 5, 27, 48, 46, -13, 40, -29, -36, 23, 30, -41, -56, 5, -37, 16, -57, -3, 53, -5, 16, -10, 60, 26, 76, 10, 35, 53, 3, -26, 21, 44, -5, 28, -54, -1, -7, -28, 3, 50, 6, 41, 34, -4, 44, 15, 32, 4, 13, 13, 43, -68, 57, 54, 32, 51, 25, 26, -56, 1, -57, 31, 70, 60, 45, 6, 4, -39, 58, -15, 24, 45, 7, 29, 14, -14, 30, -43, 43, 57, -24, -65, -19, 4, -61, 15, 19, 21, 33, -57, -41, 36, -24, -8, -54, -49, -3, -10, 26, 36, 27, -39, 21, -27, -43, -64, -31, -2, 19, -6, -17, 36, 17, -51, 12, 68, 48, -51, -41, -13, -50, 20, -22, -61, -7, 60, -16, -9, 44, 11, -13, 27, -53, -14, -47, -50, 17, -49, 47, 6, -38, -55, 19, -50, 37, 3, -23, 32, 2, 64, -8, -50, -12, -37, -26, 0, -13, 56, 30, -18, 8, -9, 0, -9, 0, -9, -26, 57, -10, 37, 50, 62, 21, 0, 43, 30, 13, -41, 6, -60, -17, -19, 29, -18, 38, -18, -44, -57, 11, 7, -49, 55, 34, -38, 9, -50, 69, 51, -58, 61, 52, -40, 72, -45, -4, 16, -39, 7, 1, 62, 28, 20, -2, 44, 31, 38, -26, -4, 46, -64, 33, -30, 4, 20, -36, 22, -28, -72, 19, 53, -58, 13, 54, -32, -34, -25, 50, 11, -58, -62, -2, -47, -40, -64, -22, -34, -28, -34, -23, -12, -25, -19, 0, -39, 58, 9, 3, 14, -77, 39, -27, -71, -23, -29, -31, 0, -27, -87, -57, -34, -62, -59, -34, 47, 40, -1, 52, 56, 39, 17, -46, -43, -30, -3, 1, -48, 62, -42, -6, -24, -19, 49, 1, 25, -11, -22, -26, -4, -48, 59, 45, 0, 15, 4, 42, 12, 31, -29, 63, -75, -29, -44, 18, 45, 45, -5, 7, -41, 45, 1, -3, 16, -40, -75, -80, -7, 45, -18, 25, -57, 33, -18, -38, 42, -73, -80, 66, 58, 8, 51, 44, -27, -4, -24, -13, -8, -53, -62, 47, 53, 56, 55, 34, 12, -39, -14, -31, 60, 10, -6, 11, 60, 10, -60, -17, -6, -15, -51, -64, 11, -9, -67, -4, -4, 24, -12, -58, -45, -62, -59, -42, 41, 24, 21, -10, 3, -63, -21, 35, 16, -33, -49, -41, -27, -1, -59, -50, -46, -13, -30, -11, -42, 50, 21, -24, -16, 25, -3, 35, 0, 12, -55, -15, -5, 7, -38, -2, -63, -49, -22, 14, -35, -27, -20, -32, -63, 40, 19, 54, 59, 53, 49, 29, -37, -59, 0, -21, 16, 20, 60, -36, -46, 28, -47, -14, 42, -94, -14, 30, -76, 15, 50, -43, 44, 13, 6, 42, -2, 41, -50, 2, 41, 58, 93, -14, 61, -14, 4, -51, -28, 40, -33, -17, -52, 3, -16, -20, -50, -30, -50, 25, 45, 15, -55, 28, 43, -23, 60, 34, 47, 3, 53, -31, -32, -59, 42, -16, -48, -25, 38, 34, -15, 35, 40, -20, 4, -46, -22, 14, -28, 9, 19, -69, -57, -13, -43, 15, -10, -25, 54, -51, -12, 12, -5, -40, -40, -19, -49, 41, -8, 28, 31, 47, 17, -19, 0, -53, 8, 73, 12, 55, -25, -55, 85, 19, 18, 45, 34, 17, 19, -40, -35, -6, 25, -29, -15, -27, 20, 27, 32, -40, -25, 52, -11, 13, 33, 20, 9, 1, -19, 42, 49, -39, -19, 41, 12, 34, -35, 54, -29, 15, -17, -14, 14, -18, -30, 16, 6, 29, -30, 42, -44, 47, 5, 33, -14, 13, 50, 16, -6, 18, 44, -6, 62, 47, -45, -1, 22, -35, -21, -10, 29, -64, 6, -20, -35, -54, -60, -57, 3, 62, -10, 18, -54, 6, -29, 6, 26, -57, 24, 57, 17, 61, -40, 29, -69, 9, -38, 30, 31, 20, 48, -29, 25, 0, -28, 29, -76, -35, -10, -64, -9, 64, -49, 51, -47, 34, 56, 37, -10, -17, 38, -70, 60, 10, 21, -6, -4, 15, 32, 20, -18, 42, -27, 7, 24, 3, 26, -19, 1, -52, 30, 5, 49, -59, -45, 3, -45, -12, 53, 19, 43, -52, 20, 13, 5, 21, 62, -65, -26, -11, -50, -61, 11, -85, 31, 57, -64, -53, 47, 10, 50, 53, 17, 51, 32, -6, 6, 58, -22, -29, 17, 27, -44, -25, 3, -33, -54, 41, 1, 40, -56, -39, 60, 16, -47, -14, -16, -65, -57, -13, 8, -2, 44, 72, 53, 37, 78, 3, 7, -29, -64, -11, 34, -61, 44, -1, -48, -20, -1, 35, 10, 60, -20, -44, 42, -24, -31, 60, -46, -5, -12, 32, -73, -30, -12, -16, 2, 7, 28, -21, 45, 44, -70, -5, 49, -24, 31, -39, 22, -51, 53, 15, -34, -10, -19, -35, -59, -52, 65, 37, 38, -41, -42, -32, -86, 37, 33, -52, -18, -10, -57, -8, -40, 5, -40, -54, 41, -3, -13, 49, -46, 6, 10, -1, -9, -31, 51, -10, 25, 63, 31, 56, 70, -43, 21, 5, -18, 37, -61, 24, 8, -46, 51, 40, -37, -51, 56, -44, 32, -24, 24, -58, -2, 8, -49, -21, -22, -3, -52, -6, 14, -12, -37, 52, 50, 1, -19, -17, -14, -17, -29, -12, 8, -9, -47, -7, 46, 31, 68, 4, -72, -7, -7, 54, -10, -19, 43, 56, 41, 16, 9, -5, -10, -77, -48, 20, -14, -9, -13, 53, 68, 4, -22, -36, -27, 25, 12, 0, -54, 1, 19, 29, 0, -42, -60, -51, 61, 51, 32, 48, -51, 16, -34, 50, 27, -65, -35, -22, 2, -64, -22, -48, -73, -66, 31, -37, -14, -51, 3, -46, 27, 50, 55, 29, 36, -42, -48, -5, 55, -12, 17, 25, 53, -12, -38, -46, 33, -7, 70, 51, 59, 61, -19, 37, -20, -42, 0, -54, 47, 30, 18, -63, 51, -54, 45, -6, -63, -41, -43, 41, -8, 26, 14, 41, -50, -23, 42, 4, 36, 33, -53, -74, -5, 39, -35, 39, -12, -14, -29, -61, 15, -57, 58, -20, -15, -14, -8, -47, -53, 28, 23, -64, -27, -55, 57, -47, -35, 10, 4, -17, -44, -47, -16, 73, 38, 33, -39, -50, -30, 30, 7, 60, -44, 5, 12, 24, 9, -3, 29, 12, 27, 12, 51, 61, 20, -37, 28, 4, 60, 74, -47, 66, 109, 17, -22, 1, 58, 5, 45, 59, -58, -42, -59, 17, 33, -42, 49, 45, 3, -39, -29, 52, 30, 12, 27, 39, 28, 49, 57, -20, -39, 3, -33, -10, 55, 2, 34, -6, -17, 14, 21, -41, 8, 58, 21, -16, -23, -26, 47, -2, -28, -65, 10, 16, 27, -14, 2, 33, 20, -29, 44, 0, -26, -21, 9, -41, 25, 18, 32, -38, -49, 5, 41, -36, 42, 48, -15, -39, 18, -1, 46, 56, -28, -22, 64, 27, 52, -47, 17, -45, -19, -7, -39, 52, 33, -54, 56, -14, 37, 7, -16, 32, 79, 88, -32, -29, 1, -23, -20, -18, 33, -28, -23, -5, 16, 12, 53, -43, -6, 0, 45, 58, -19, 41, -52, 77, -37, 37, 28, 12, -2, 52, -3, 33, 1, 22, 0, -38, -12, -48, 7, -49, -68, 6, -26, -6, -5, -38, 25, -34, 24, -16, -16, -20, -30, 25, -34, -42, -32, 49, 96, -19, 52, -14, -5, -14, -9, -26, 59, -39, -37, -35, -59, -28, -37, -49, -16, 15, -46, -46, -49, -31, 12, 46, -43, 31, 6, -18, 15, 20, 55, 20, 69, -66, 58, 4, 14, 42, 45, -20, 27, -25, 24, -39, -53, 43, -37, -35, -37, -20, 13, 55, 37, 58, -3, -54, 63, 35, -9, -42, 30, -29, 14, 9, 27, 41, 6, 34, -47, 37, 48, 50, 21, 48, 32, 39, -52, 55, -19, -37, -37, -2, -45, 6, 29, -45, 10, -19, -8, 35, 23, -1, 13, 27, -67, -21, 22, -34, -38, 39, -11, 36, -23, -12, 34, 12, 11, 30, -6, 15, 32, -21, -37, -42, 60, 26, -42, -38, 44, -46, -48, -24, 54, -31, -26, -4, -18, -58, -16, -12, 8, 6, -42, -47, -1, 41, -46, -51, -5, 42, -34, -55, 28, 7, -20, -49, 38, -72, 24, 32, -55, -13, -50, 51, 43, 32, -7, 43, 37, 65, -32, 6, -41, -25, 0, -2, 54, -19, 39, 10, -1, -24, -59, -31, 19, 26, -23, -36, -38, -5, -27, -24, 59, -18, 12, 17, 34, 59, -1, 22, -88, 47, 61, -22, 8, -43, -1, -25, 18, 15, 47, -54, 3, 34, 26, -50, -46, 66, 66, -51, 0, 2, 39, -50, -24, 43, -27, -3, -19, 19, 33, 72, -41, 61, -25, 12, -66, -50, 3, -32, 46, 14, 22, -28, 41, -11, 57, 20, -26, -53, 32, -13, -51, -80, -29, 7, -87, -59, 69, 79, 61, -49, -3, -1, -12, -24, 14, 58, 34, -59, 5, -13, 51, -49, -8, -14, 22, -9, -45, 30, 4, 13, -7, -35, -63, -41, -32, 16, 64, 4, -9, 46, -7, -5, 51, 36, -34, 28, -53, -41, 28, 23, -37, 4, 64, -29, -41, -61, -60, -3, 16, -31, -38, 33, 36, 10, -27, -15, 1, -13, 8, -14, -51, -28, 73, -19, 14, -54, 42, -23, -50, -27, 36, -45, -32, -32, 37, 71, -12, -35, -32, -15, -15, 2, -38, 30, 23, 45, 0, -36, -5, 7, 34, -5, -32, 16, 47, -40, -4, 63, 33, -37, -29, -50, 49, 79, -27, -44, 21, 39, -5, 7, -34, 18, 37, -14, 10, 30, 54, -36, 22, 0, 7, 25, -41, 57, 9, -19, 29, -1, 3, 11, 38, -50, -4, 2, -44, -8, 22, -7, 29, 13, 13, 21, 23, -20, 8, -39, -4, 2, -16, -38, 0, 44, -64, -37, -47, 20, 44, -10, -10, 32, 39, 31, -53, -37, 23, -51, 64, 37, -38, -25, 10, -39, 6, 47, -18, 28, -35, 28, 57, 70, 24, 30, -18, -9, -57, 40, 13, 46, 25, 19, 42, -60, -3, 55, -27, 61, -39, 14, 58, -5, 20, 80, 2, -33, -3, -13, 31, 0, 26, -44, 60, -11, -17, -20, 20, 45, 48, -42, -29, 37, -42, -29, 5, 33, 4, 23, -35, 26, -18, 54, 15, 71, -3, -15, 44, -37, -39, -29, 46, -28, 55, -39, 1, -54, 14, 13, 1, -46, 43, 34, -26, -25, -39, -58, 16, -53, -1, 32, -31, 67, -43, 18, -18, 52, -41, 35, -32, 59, 23, 45, 2, -49, -14, -31, 15, -44, 52, 8, -42, -35, 18, -1, 17, -30, 5, -53, -42, -33, -77, 35, 28, -20, 40, 50, 22, 51, -74, -43, 6, -32, 1, -22, 55, 59, 19, -41, 51, 29, 1, 32, -43, 11, 44, 46, 42, 29, 19, -51, 31, 18, 15, 45, -32, -41, -77, 40, -37, 53, 53, -13, -71, 44, -22, -23, 4, 60, -43, 21, 58, -59, -36, 5, 38, -17, -27, -20, 64, -19, 0, -48, -37, 32, -4, 66, -44, -4, 33, 56, -33, 50, -44, 55, -41, -9, 12, 73, 11, 1, -4, -32, -11, 26, -31, -36, 4, -56, 45, -12, 32, 20, 51, 15, -33, -29, -26, 40, -73, -2, -59, -18, -5, 40, 20, 10, -50, 32, 37, 16, -45, -21, -34, 16, 44, -58, 42, -29, -41, -49, -17, 1, 30, 17, -22, 48, 5, -24, -10, 21, 52, 44, -60, 41, 26, -18, 36, 61, -7, 53, -24, -11, -42, -69, -7, 31, 8, 62, -2, 48, 68, 62, 29, 12, 24, -4, 56, 43, 38, 5, -34, 26, 28, -9, 49, -37, 27, -48, 40, 51, -41, -38, -12, -35, 79, 82, -65, 29, -22, -36, 54, 24, -69, 40, 46, 27, 3, -29, 40, 27, -20, -23, -14, -17, -53, 33, -20, -42, 35, -43, -31, 26, -20, 40, 60, 36, 60, 55, 41, 55, -29, -11, 55, -16, -9, -8, -25, 9, 9, -2, -62, 15, -55, -29, -57, -32, 3, -57, 61, -8, -67, -9, 28, 49, 35, -19, 46, 26, -7, 5, 0, -61, 57, -48, -45, 13, -59, 24, 54, -27, -20, 60, -21, 35, 77, -28, 29, -45, 41, 59, 6, -52, 42, -44, 51, -53, -21, 13, -45, -36, 49, -19, -11, 48, 0, -59, -31, 5, 25, -104, -42, 9, 74, 29, 20, -34, 23, 46, -61, 2, 21, -62, 25, 16, -3, 41, 55, -74, -2, -48, 8, -18, 36, -56, -30, 77, 15, 15, -2, -18, 29, -28, 29, 50, -35, 28, -29, -30, 17, 19, 7, -59, 34, 1, -23, 39, -29, 59, 14, 14, -7, 59, -16, 12, -45, -56, 26, -69, 55, -23, -6, -45, 18, 28, -22, -51, -7, -53, 39, -38, 57, -61, -38, 18, 5, 49, 60, -15, 7, -85, -26, -13, 46, 12, -1, 4, 11, -41, 31, -42, -57, 34, 3, 48, -49, 38, 16, -52, -66, 33, 73, 3, 6, 19, 47, 29, 17, -8, -9, 20, 59, -16, -36, 37, -42, -68, -84, -63, -6, 39, -75, -73, 31, -39, 45, -43, 42, -8, 15, -14, -24, -4, 15, -6, 8, -48, -26, 13, 21, -19, -42, -32, -56, -40, 78, 34, -17, 61, 21, 32, -36, -14, 58, -22, 28, -7, 1, 39, 35, -21, -44, -13, -18, -33, -1, -3, -25, 45, 42, -21, 4, 24, -40, 15, 21, 15, 2, 7, -47, -39, 30, 17, -57, -10, 28, 30, -44, -37, 34, 68, 75, -19, 48, 8, 4, 27, 24, 42, 7, 31, 26, 67, 18, 9, -14, 4, 41, 5, 57, 13, -22, -37, -28, -6, -4, -22, -59, 49, -16, 3, 0, -5, 40, -7, 31, -21, 24, 52, -70, 49, 8, -45, -45, 30, 63, 49, 41, 66, 38, -5, 52, -14, 42, -10, 69, -16, 77, -51, -65, -35, 11, -25, 11, -62, -19, -13, -16, 33, 16, -37, -29, 28, 51, 27, 57, 45, -34, -2, -29, 70, 45, -1, 35, -2, -11, 61, 43, 78, 51, 16, 66, -40, -27, -27, 60, -40, -37, 24, -2, -28, -46, 25, 59, 42, -12, -45, 9, 22, 41, 27, 14, 39, 57, -14, -55, -16, -16, 40, 41, 43, -56, 4, -36, 50, 61, -9, -15, 43, 34, -26, -66, 43, 67, -16, 27, 47, 63, -4, 32, -15, 4, -28, 26, -4, 92, 61, 12, 7, 39, 34, 11, -37, -44, -2, -49, 32, -4, -33, -41, 17, -30, 65, 26, 60, 12, 75, -22, -59, 12, -3, 15, 34, 20, 10, -13, 21, -18, -83, -98, -87, 23, -72, -36, -50, -48, 16, -2, 40, -38, -44, 40, -47, 27, 8, -22, 52, 28, -46, 50, -54, -6, -61, -10, -11, 1, -12, 41, 37, 27, 19, -3, 5, 26, 13, 54, -43, -33, 59, 35, 55, -10, 13, -12, -27, -20, -43, -13, 0, -4, -30, -21, -46, -19, 28, -46, 39, 59, -25, -5, 6, 23, -34, -23, 60, 46, -25, -29, 37, -33, 43, 10, 30, 36, 17, -5, -45, -40, -13, -28, -68, -19, -39, 18, -40, -48, 31, 21, -12, 37, 57, -51, 2, -15, 37, 11, 57, 30, -49, -15, 38, 55, 22, -62, 64, -35, -57, -8, -1, 48, -47, -6, 4, -4, 14, 44, -30, 48, -58, -43, -13, -55, -16, 42, -41, -9, 70, -28, 24, 11, -48, 40, 25, 23, -44, -39, -52, -61, -54, 14, 47, -25, -44, -46, 21, -18, 6, 69, 34, 8, 34, 25, 47, -7, 40, 1, -2, 33, -59, -1, 66, 2, -56, 0, 18, 78, -31, -71, 30, -21, -39, 32, -38, -37, -32, -9, 30, 32, 36, 9, -30, 19, 39, -55, 44, -26, 0, -14, -14, 19, 26, -40, 13, 4, -53, -30, 6, -26, -18, 40, -36, 40, 44, 4, -14, -3, 11, -44, 34, 19, -3, 29, 13, -5, 15, 46, -42, -30, -22, 8, 28, -50, -8, -19, -64, 43, 56, -25, -39, -20, 10, 1, -10, -23, 25, 69, -24, 71, -24, -34, 25, 55, 31, 45, 30, -34, -2, 1, 62, -33, -37, -50, -13, 49, 50, 8, -14, -27, 33, -13, -42, -20, -30, -24, -38, -16, 60, -34, 55, 43, 11, 46, -11, 3, -25, -3, -44, 11, -11, -31, 60, -64, -46, -4, -10, 43, -59, 26, 47, 76, -3, 48, -10, 44, 32, -31, -56, 40, -35, 9, 15, -44, 58, 55, 56, 50, 43, 9, 27, -48, -31, 21, -59, -17, -19, 11, -1, -8, 37, -29, 38, -37, 45, -29, 53, 20, 12, 48, -18, 36, 39, 20, 13, -29, 62, -10, -19, 42, -23, -18, -14, -9, 14, 6, -22, -26, 4, 22, 23, 60, -41, 34, -1, 67, -1, 10, -51, -58, 4, 20, 50, 54, -19, -57, -10, 31, -30, -53, 20, 12, 2, -35, -15, -31, 54, 7, 56, -21, 2, 20, -22, 50, -58, 24, -4, -17, 30, -15, -19, 19, 36, -45, 6, 2, 9, -17, 12, 72, -63, -15, -45, 46, 7, 54, -20, 59, -32, 14, -50, -19, -13, -70, -7, 25, 5, -41, -15, 25, 28, -30, 39, 43, 20, -4, -2, 32, 33, 47, -22, 15, -17, -28, 30, 44, -54, -5, -56, -14, -19, 7, -56, -13, -25, -32, -16, -21, -9, -48, -58, -57, 30, 16, -10, -33, -47, 45, -30, -11, 53, 39, -9, -35, -16, -67, 8, -1, 50, -68, 49, -11, -10, -21, -37, -37, 17, 36, 32, -46, -20, 6, -3, -60, 34, -1, -25, 23, -20, 35, -61, 12, 27, 58, 30, 17, -61, 59, -14, 54, -18, 9, -30, -10, -40, 28, 27, -18, -54, 6, 32, 11, -64, 37, -32, -66, -28, -14, 2, -3, -7, -52, -7, 43, -52, 8, -30, -8, -26, 43, 51, 1, 48, 2, -12, -17, 39, 18, -32, 30, -43, 31, -7, 61, -29, -51, -6, 8, -21, 69, 21, 23, 84, -45, 63, -29, -29, -15, 41, 43, 49, 50, -57, 26, -13, 0, -41, 29, 45, 19, 57, -42, -12, -28, 37, 66, -23, 11, -8, 77, 94, -8, 3, 36, 32, 56, 29, -4, -63, -42, 1, 20, -16, -48, -48, -49, 12, -59, -7, -17, -26, 56, -7, 35, 44, -51, -38, 18, -12, 31, 45, 42, 43, -13, -51, 61, -44, 15, -32, -22, -28, -43, -32, -32, -18, -23, 32, -5, 6, -56, 49, -59, -55, -29, -20, 7, -37, 57, 4, 31, -7, 24, -33, 14, -9, 59, 49, -34, 16, 24, 49, 2, -72, -22, -26, -30, 30, -55, -11, 41, 48, -1, -2, -34, 19, -29, 38, -33, 36, -24, -39, 46, 20, 36, 6, 59, -17, 28, -23, 2, 37, 25, 39, 26, -43, -19, 10, -3, -44, -35, -60, 4, 15, -36, -45, -48, 3, 37, -54, -61, -25, 46, 42, -64, 1, 66, 3, -29, 36, 56, 6, -2, 55, -6, -25, -12, 49, 18, 18, -9, -16, 16, -20, -21, -35, 26, -27, 22, -73, -33, -15, 29, 29, 64, -3, 35, 0, 4, -19, 24, 11, -24, 32, 49, 20, -71, 14, 57, -55, 8, -29, 24, 36, -41, 52, -3, -16, 13, 66, 28, 58, 54, 15, 4, 58, -30, 23, -54, 0, -61, 27, -3, 35, -32, 36, -40, -3, 46, -36, -57, 10, 8, 35, 41, 4, -23, 56, 34, 50, -1, -6, -58, -6, -47, 8, -40, -21, -44, -44, -4, -16, -37, 14, -57, -42, 11, -23, -54, 36, -10, 30, -2, -44, 11, -16, 34, 8, 11, -63, -17, 43, 17, -19, 14, 30, 31, -15, -7, -56, -27, 40, -21, 6, -41, -23, 29, 43, 19, -16, -39, -6, -4, -6, 41, 55, -40, -16, 10, 56, -15, 31, 37, 33, 6, -27, 52, 7, -59, -29, 4, 19, 27, -61, 58, 48, 77, -15, -23, 26, -2, -5, 33, 15, 10, -16, 16, 57, 32, 37, -35, -41, -44, 43, 36, 25, -51, 53, -2, -47, -53, -49, 22, 0, 37, 44, -14, 22, 62, -65, 26, -17, 21, -13, -36, 10, 44, -43, -23, -12, 37, -47, 45, 27, -19, -56, -5, 41, 6, -4, -51, -48, -21, -46, -15, -10, 45, 46, 27, 18, -21, 46, 30, 9, 6, -51, -8, -2, 22, -22, 45, 5, -50, -7, -35, -14, -26, 13, -42, -46, -16, -21, 12, -9, -37, -21, 59, 1, -15, -35, -1, -56, 21, -18, -25, 27, 52, 26, 47, -34, -61, 13, 10, -9, -3, -51, 34, 51, 24, 49, 34, -15, -22, -57, -3, -38, 1, 42, 29, -23, 39, 27, 60, 44, -27, 14, -20, 52, -24, 50, 33, -12, 19, -16, 24, 32, -34, 13, -17, -4, -65, -17, -27, 41, -6, 14, 69, -6, 26, -5, -22, 62, 36, 4, 52, 32, 51, 13, -22, -58, 1, -21, -18, 34, 42, 25, 18, 50, 1, -17, 62, 30, -53, -53, -7, -50, -47, -13, 35, -27, -18, 44, -64, -26, -51, 44, -26, -1, -2, -53, 8, -53, -28, 4, -17, 14, 65, -46, 52, 35, 28, -31, 7, -21, 22, -14, 30, 59, 19, 44, -44, 48, 2, -36, 5, 15, -46, 56, 22, -15, 57, 44, -17, -33, -1, -60, -61, -8, -14, 23, -47, -50, -35, 54, -1, -30, -16, 29, 21, 21, -34, 6, -5, 4, -15, -30, -7, 30, -2, 23, 22, -9, 10, -48, -34, 4, 53, -7, 32, 34, 18, -14, -27, 15, -20, 42, 54, 49, -25, 48, 54, 8, 16, -6, -51, 39, 3, 16, -8, -28, 2, 27, 37, 7, -6, 16, 42, -48, 32, -49, -41, -1, 26, 52, 44, -19, -48, -62, 48, -56, -68, 30, 20, -21, 13, -46, -51, -41, -52, -42, -3, 34, 11, 20, 28, 51, 25, 29, -51, 27, -24, 57, 6, 10, -20, -60, 47, -33, 54, -50, 7, 26, -10, 64, -40, 8, 0, -7, 40, 11, 27, 62, 11, 36, 41, 54, 13, -37, -17, -7, -54, 26, -61, -29, -47, 8, -35, -39, -58, 0, 10, -53, 21, -14, -10, 31, -29, 18, 67, 6, -36, 8, 95, 45, -49, -12, 49, -27, -7, -8, -29, -25, 15, -1, 56, -11, -44, 26, -16, 51, 18, -4, -58, -44, -60, 17, 40, -40, 4, 35, -45, 20, -20, -10, -20, -4, 24, 22, -55, -34, -20, 48, 1, -34, 17, 64, 68, -40, 16, 51, -51, 26, 59, -24, 47, 34, -56, -19, 35, -39, -5, 40, 55, 15, -18, -8, 45, 18, 30, -68, 13, 33, 0, 6, -40, 1, -2, -60, -12, -46, -52, -56, -23, -53, 10, 28, -56, 39, -39, -2, 33, 52, 47, 15, 15, 12, 21, 22, -60, -67, 40, 60, -13, 8, 17, 29, -47, 32, 62, 30, 26, 35, 8, -32, -57, 42, -47, -19, -43, 57, -35, -11, -29, 7, 46, 33, -32, 36, 1, 46, -27, 58, 5, -8, -1, 34, -6, -61, -19, -55, -31, 53, 48, 37, -35, 35, 20, 5, -49, -32, 19, -35, -66, -11, -40, -41, 38, -37, -21, 5, -28, -54, -43, -43, -13, 47, -36, 58, -29, -60, -20, 46, 50, -37, -11, 14, -11, -1, -33, 60, -38, -22, -21, -2, 23, 56, 54, 19, 49, -15, -30, 2, 12, 9, -1, 35, -19, -44, 34, -56, -18, -31, -38, 0, -3, -3, 23, -61, -2, 56, -59, -60, 33, -19, 29, -24, 30, -12, 52, 31, 2, -25, 31, -45, 34, -2, 42, -7, -19, -30, -40, 43, 22, 47, 30, -26, 18, -27, -40, 40, 10, -33, 44, -1, 12, -2, -29, -8, -7, 17, 2, -59, 49, 23, 54, 40, -58, -22, 16, 6, -2, -9, 9, 49, 2, -9, -33, 35, 64, 4, 29, 30, -39, -34, -56, -83, -43, 60, 35, -11, 10, 48, 3, -53, -58, 39, 11, -49, -14, 33, 8, -11, -47, 57, 30, -1, -42, -29, -24, -5, -4, 44, 45, 26, -24, 57, -57, 51, -24, -23, -53, -50, 39, -5, -38, 31, -48, 10, -12, -13, 5, 15, 39, -15, 42, -47, -3, 50, 19, 28, 42, 62, -2, -43, 5, 35, 21, 5, -57, 47, 2, 2, -52, -20, -6, -61, 41, 17, 59, -15, -57, 9, -50, -13, 56, -19, -44, 55, 5, -45, -45, -60, 3, 25, 1, -19, -30, -27, 11, -42, 12, -24, 38, 6, 23, 7, 21, 19, 48, -13, 11, 26, -44, -55, 3, 33, 9, 34, -8, -25, 24, -56, 19, 26, -47, -36, 34, -3, 31, 40, 59, 2, -56, -6, -50, -46, -49, 4, 20, -63, 20, 10, -9, -32, 55, 9, 43, 29, -9, -32, -16, -19, -62, -36, -47, 67, -22, 49, 67, -22, 18, 58, -52, -25, 43, 36, 53, 38, 13, 61, -53, -59, 11, 51, -44, 14, -23, 34, 5, -15, 53, 28, -11, -32, -47, -81, -17, 28, -39, -10, -25, -37, 62, 33, -10, 24, 23, -68, 62, 29, -20, 6, 3, 29, 34, 48, 33, -22, -9, -41, -4, -17, -57, 3, -46, 33, 24, -31, 22, -20, -43, 35, -54, 32, -61, -57, 60, -26, 25, -28, 1, -27, -30, 54, -43, -9, 36, -57, 27, 59, -10, -25, 35, -28, 13, 9, -40, 54, -18, 11, 37, -4, -24, 11, -55, 60, 14, 39, 3, -54, -28, 30, -24, -53, -34, 63, 31, -35, -8, -10, -39, 51, 46, -52, -47, -62, 3, 59, 16, -10, 28, -37, 10, 51, -65, 41, 1, -54, 46, 27, 30, -37, 59, -4, -24, -45, -33, -44, -49, 35, 41, -24, -16, -48, -16, -20, 28, -60, -17, -17, 27, 13, 41, 8, -31, -13, -67, 36, -26, 51, -63, 38, -62, -10, -7, 58, 33, -4, 30, -25, -37, 52, 25, 42, -33, -39, 9, 34, 46, 3, 44, 27, -12, 10, 11, -45, -32, 17, -20, -38, 47, -14, 57, 19, -21, -52, 68, -17, -4, 20, 18, 38, 50, 58, 29, 19, -36, 23, 11, 47, -52, 2, -54, -6, -34, 44, 14, 14, 8, -19, -5, -61, -33, -16, 13, -45, 20, 34, -56, -39, -24, -56, 25, -56, -27, -36, -15, 29, 38, -13, 16, -25, -46, 18, 11, -37, 28, 21, 27, 6, 23, 1, 54, -55, -46, 4, -51, -6, 1, -49, -37, 27, -38, -36, 43, 13, -21, 28, -73, -72, -64, -69, -67, 9, 42, 0, 25, -7, -27, 11, 33, -28, -27, 13, 23, 44, -15, -60, -20, 23, -56, -60, 71, 7, 11, 16, -7, 3, -8, -28, -52, -18, 28, 62, 16, 0, 56, 3, 31, 13, -20, 37, -63, -21, -55, -24, 52, -54, -18, -27, 0, -14, 10, 50, -21, -45, 19, 7, 30, 37, -36, -10, 30, -48, -33, 30, 15, 56, -31, -15, 26, 14, -55, -55, 54, -55, 20, 76, 30, -18, -34, 40, 58, -27, -25, 60, 50, -26, -27, -41, -55, -29, 4, -24, -58, -38, -57, -11, 25, 12, -12, 7, 48, 26, 21, 14, 21, 36, 22, -49, -15, -8, 3, -55, 48, -13, 37, -17, 52, -69, 41, 46, -57, -36, 57, -33, -38, -21, -6, 47, -37, 27, 43, -27, 41, -2, 61, -57, 4, -34, 26, 37, 33, 20, 35, -5, 3, 16, -17, 39, 27, 55, -54, -26, 13, 64, 8, -5, -41, 1, 40, -28, 17, 11, -13, -30, -26, 8, 35, 58, -33, 5, 4, -39, -21, 28, 11, 18, 34, 50, 33, 21, 14, 58, -49, 43, -20, 47, 19, 25, -69, 56, 25, 10, 22, -55, -53, -53, -3, -7, 49, -17, 46, -46, 47, 54, -18, 15, 56, -43, 54, -60, -20, 24, 31, -40, -18, -3, 15, -8, -8, 21, -12, -53, 11, -12, -3, -8, -21, -29, 45, -56, 44, 18, -41, -35, -49, 45, -55, 42, -64, -46, -28, 18, 67, 2, 28, 52, -58, -26, -3, -21, 63, -27, -49, -48, 44, 34, 52, -8, 27, 41, -44, 28, 54, -20, 3, -39, -54, -27, 14, 58, 12, -14, 55, -4, 33, 20, -5, 61, -11, -45, -63, 50, -44, -37, -9, 30, 22, 10, -17, 25, -34, 38, -4, -5, 23, 2, -9, -58, 6, -43, 44, 39, 48, -18, -34, -48, 37, -38, 20, 36, 44, 3, -23, 55, 48, 5, -48, -25, 45, -90, 16, 14, -55, -15, 17, 33, -10, -48, -31, -37, 62, -41, 40, 52, 19, -40, -29, 37, -29, -21, 54, -21, 11, -1, 47, 1, -41, -3, -25, -12, 3, 38, -51, 24, 23, -14, -46, 37, 32, 46, 11, 74, 14, 51, -48, 4, -19, 51, -50, 2, -58, -9, 35, 1, 3, -22, -18, 35, 46, -56, 28, -31, 42, -37, 15, 38, 36, -6, 33, 16, -16, -53, -14, 5, -47, -69, 17, 18, 36, 4, -43, -37, -45, 20, 46, -15, 22, -13, 18, 42, -54, -23, -4, 24, -49, 67, 41, 33, -50, -46, -36, -59, 40, -10, 52, -35, 26, 57, 57, 48, 54, 16, -32, -11, -16, -59, -38, 26, -15, 37, 15, 46, 0, 3, -62, 5, -3, -21, -60, -55, -22, -30, 19, 47, 40, -11, -4, 17, 57, -52, -11, -24, -47, -16, 32, 15, -50, -64, 21, -41, -58, 23, -22, 2, 7, -2, 22, 59, 26, -37, 2, -58, -31, -5, 54, -37, 12, -5, -3, 30, -68, 38, -1, -2, 6, -26, -2, 46, 58, 52, 49, -18, -12, 22, -23, 17, -58, -13, -37, -62, 15, -5, 37, 49, -46, -57, -63, 38, -57, 40, -76, 34, -61, -19, 37, 5, -3, 13, 30, -4, -3, -43, -72, -51, 31, 3, -27, 23, -51, -56, 24, -39, -52, 30, -17, 28, 37, 33, -8, -45, -3, 26, -6, -62, -69, -55, 36, -12, -47, -55, 36, 0, -9, -41, -40, 37, -29, 16, 14, 11, 35, 42, -17, -22, -53, 24, 8, -28, -32, 46, -40, 6, -20, -22, 46, -18, 38, 35, 56, -8, 49, 34, -20, -43, 44, 33, -38, 44, -57, 8, -37, 5, -58, -28, -11, 34, 41, -35, 25, -51, 59, -60, 37, -55, 47, 60, 7, -49, 11, 21, -2, 26, -43, -3, -35, 19, 16, -52, -44, 12, 17, -5, -10, 42, -1, -59, -46, -24, -53, 19, -8, 24, -49, -56, 52, -21, 53, -32, 33, 23, 13, 23, 41, -54, 35, 15, -13, 17, 54, -10, 23, 48, 10, 43, 28, 54, -13, -30, -16, -18, -59, -14, 59, 9, 30, 32, 29, 45, -4, 13, 51, 2, 31, 8, 21, 9, 35, -6, 31, 51, 54, -4, -42, -53, 37, -44, 10, 36, 43, -37, 36, 51, 34, 1, -29, -57, 25, 33, 50, 11, -2, 7, 31, 56, -42, -51, 29, 31, 27, -26, 31, -51, -2, 32, -29, 3, 53, 26, 4, -29, -54, -18, -25, 5, 54, 3, 11, 15, 52, 22, 41, 27, -6, -44, -52, -39, 7, 49, 47, -62, -42, -32, -21, 16, 17, 17, 20, 26, 56, -58, 26, -3, -13, 11, -29, 12, -19, -46, 8, -44, 15, -31, -54, -43, -66, -67, 23, -48, -39, 32, -14, -62, 21, -28, 12, -39, -35, -53, -51, -29, 9, 3, -59, 41, -7, 46, -35, 50, -51, -21, -30, 45, -6, -1, 41, -28, 34, 11, 39, 20, 41, 60, 58, 52, 1, 4, -20, 2, 31, 30, 2, -9, 23, -26, -36, -16, -20, 39, -68, 34, -54, -56, 61, 4, 43, 4, 22, -30, -57, -58, -58, 11, -29, 43, -59, 57, 54, 38, -22, 33, 54, 50, 58, 5, 36, 26, 24, -41, 47, -48, -9, -38, 27, 27, -30, 31, 55, -45, 62, 34, -60, -12, -33, -10, 48, 32, -2, 45, -47, -7, -47, -53, 43, 4, -5, -21, 5, 60, -24, -20, 27, -55, 8, 57, -31, 18, 27, 0, 52, -16, 8, -33, 25, -43, -55, 45, -34, 4, -55, -43, 8, -48, -47, 39, -9, 33, 43, 8, 17, 38, 33, -22, 32, 43, 11, -21, -16, 9, 36, -37, -55, -56, -5, 5, -21, 39, -44, -10, 25, -21, 53, 42, 27, 49, -12, -60, 13, 19, 4, 39, 17, -40, 42, -46, 56, -63, 51, -50, -28, -22, -38, 53, 55, -41, 14, 16, -44, -21, 40, -38, 51, -62, -22, -27, -4, 0, 8, -17, -24, 18, -59, 22, 59, -47, 36, 10, 47, -58, -64, -34, 28, 44, -23, 34, 1, 37, 57, 13, 28, 48, 57, -16, -6, -32, -28, -14, 2, 36, 37, -47, -17, 31, 42, 47, -58, 43, 13, 34, 31, -14, 6, 53, -49, -37, 3, -27, 33, -31, -61, 14, 43, 40, -20, 50, -35, 32, 20, -22, -17, 45, -3, -60, -27, -36, 34, -46, 33, -32, -47, -41, 30, -57, -14, -4, 55, -60, 2, 11, -27, -17, -23, 44, -57, -18, -37, -45, -64, -5, -22, 41, 37, 12, 53, 40, -29, -59, 6, -40, 55, 8, 10, 5, -9, -31, 48, 20, -47, 34, 52, -46, -43, 4, 57, -59, -40, 26, -54, -7, 56, -61, 9, 11, -31, 48, 14, -32, 46, -45, 38, -38, 60, -5, 15, 48, 23, -12, 54, -40, -27, 3, 39, -22, 26, 18, -58, -10, 13, -59, 13, 2, -43, -35, -30, -1, -47, -60, 35, -47, -61, -27, -8, -27, -51, -15, 10, -62, 40, -54, 0, -60, 30, -44, -28, 11, 54, 58, -41, -6, 29, 24, 34, 35, 30, -51, 55, -68, 11, -57, -34, 43, 32, 19, -9, -29, -2, 3, -40, -18, -2, -64, 8, 25, 12, 56, 19, 47, 22, 3, -58, 26, -15, 35, 57, -25, 10, 5, -20, 49, 8, -24, 34, 36, 28, -16, 46, 13, 39, -29, -48, -9, 7, 60, 42, -23, 4, -54, 23, 56, -53, -7, -34, 7, 34, -56, 27, 13, 12, -18, -25, -65, 18, 39, 29, -49, -36, -40, -6, 49, 23, -21, 57, 47, 55, -25, 50, -25, -54, 16, 17, 32, 11, -59, 2, 37, -2, 25, -24, -29, -10, -14, -7, 34, -61, -39, -61, 42, -10, -10, 16, -52, -4, 17, -17, 50, -17, 20, -15, -8, 25, -3, -1, -49, 11, -46, 51, -4, 34, -40, 46, -12, -41, 28, -66, 3, -25, 44, -44, -33, 53, 37, 39, 1, 23, -30, 58, 52, 9, -48, 5, -56, -2, 13, -17, 1, -43, -29, 26, 1, 5, -64, 57, 42, -43, 4, -57, 9, -45, -29, 51, -31, -18, -4, 52, -36, -11, 21, 43, -40, 22, -55, 16, -46, -53, 49, 57, 5, -31, -38, -48, -8, -46, -17, -62, -59, 32, 22, 14, 57, -61, -27, 13, 13, -20, 40, 17, 48, -23, -59, -53, -59, -60, 24, 20, 12, -20, 27, -30, 4, 55, -61, 2, 40, 53, 3, 49, 51, 36, -59, -4, 50, 4, 7, 39, -25, -37, 37, 19, 8, -33, -12, -5, -2, -54, -64, 29, -38, 42, 27, 60, -7, -19, 35, 36, -26, 45, -2, -24, -23, 38, 56, -52, 37, -59, 33, 45, -27, -54, 61, 1, 61, 32, 36, -27, -26, -28, -29, 22, 51, 9, -32, -55, -35, -44, -61, -36, 4, -10, -9, 41, 1, 4, -2, -46, -37, -6, 2, -5, -5, -47, 14, -34, -36, 33, 21, -12, 0, -12, 58, -62, 49, 36, 19, -52, -28, 19, 15, 54, 48, 14, -28, -62, -6, -55, -10, -67, -18, -55, -36, -54, -38, 58, -21, 57, -9, 28, 6, -51, 34, 56, 12, -41, 37, -8, -57, -10, -41, -16, -22, 32, 24, 2, 49, -25, 21, -8, 4, -2, -40, 18, 43, 9, 10, -16, -5, -59, -29, 57, 31, 32, 53, 50, 56, -17, -1, 2, -60, -14, 19, 3, -11, -10, -55, 17, 35, 38, -8, 53, -7, -56, -30, 53, -53, -39, -44, -29, -54, 9, 59, 14, 49, 15, 49, 20, -36, 33, -23, -45, 34, 19, -17, 13, 50, 43, 30, 36, -28, 50, 32, -10, -49, 53, -14, 59, -18, 5, 15, -45, 2, 53, 56, 24, 14, 4, -34, 38, -25, -24, 17, -33, 22, 44, -9, -42, -32, 4, -38, 14, 42, -28, 20, 29, -9, -8, -21, -67, 58, 53, 31, -26, -3, 30, 12, 49, -55, -45, 34, -41, 6, 49, 2, -15, 29, -9, 58, 9, -12, 16, -1, 0, 28, 42, 38, 16, -13, -49, 52, 37, -1, -26, 2, 41, 22, -9, 20, 49, -42, -53, 49, 9, -45, -44, -59, -5, -26, 38, 45, 14, 54, 11, -18, -20, 17, -64, 5, -27, 9, -49, -42, -14, 27, 54, -2, 30, 38, -22, 9, -27, 29, -31, -8, 51, 28, 46, -10, -35, 13, -6, 45, -50, -46, -41, -60, 45, -28, 58, -43, -51, -38, 11, 44, 10, -23, 56, -39, -44, 11, 13, -40, 54, 19, 11, 28, -1, -41, 43, 20, 22, -43, -31, -24, -43, 44, -2, 14, -45, -23, 15, -27, 57, -30, 31, -45, -32, -24, 26, -37, -22, 35, -46, 46, -68, 39, 68, 52, 14, 11, -5, -26, -11, -53, 45, 21, 4, -51, 55, 26, 29, 21, 58, -56, -27, -34, -18, -36, 55, 29, -49, 19, 26, 36, 16, 49, 35, 54, 49, 33, -19, 47, 10, -6, -59, -9, -51, 21, -2, -63, 41, -12, -46, -2, -21, 12, -16, 7, -23, 21, -55, 22, -59, 5, -57, -57, -32, -17, -4, 62, -47, -28, -56, -20, -36, -30, 44, -43, 3, -14, 2, -19, 14, 14, -12, -44, -6, -42, 8, -63, -13, 22, 42, 34, 21, -17, 39, -18, 29, -39, -62, 52, 60, 33, 10, -51, 34, -56, -12, 14, 52, -5, 48, 20, 38, -35, 40, -1, 31, -34, -39, -25, 18, 46, 48, 1, 26, 68, -40, 31, 54, 31, 61, 49, -48, -33, 55, -27, -2, 42, 33, -30, -20, -53, 15, -19, 49, -31, -53, -39, -52, -49, -2, 22, 47, -55, -43, 29, 11, -9, -40, -24, -14, -55, -2, -23, -35, -34, 38, -2, -29, 55, -1, -27, -46, 4, -1, 43, -2, 8, 46, -63, 52, -1, -30, 66, 24, -20, 11, -61, -41, -24, -6, 13, 16, 55, 39, 43, 41, -33, 46, -32, 20, 9, -53, 5, 11, -32, -48, 33, 27, 22, -35, 32, -10, 49, 65, 29, -14, 36, 50, 37, 15, -55, 35, 26, -21, -1, 10, 25, 31, 30, -5, 35, -16, -32, 12, -25, -8, -22, -28, -27, -50, 55, 47, 23, -59, -13, -34, -60, 19, 50, -12, -11, 5, -50, 29, 8, 39, 9, 55, -15, -35, 7, -23, 47, -48, 5, -48, -29, -23, -39, -40, -48, 50, 60, 46, -33, -10, 51, -16, -20, -58, -16, 26, -64, -23, 27, 3, 20, 40, 62, -61, 30, 43, -61, 15, 4, 20, -39, -46, 35, 24, 59, -36, -26, -14, -14, 54, 8, 36, 59, 10, 6, 43, -23, -49, -14, 12, -2, -9, 3, 23, 53, -54, -51, 67, 33, 35, -25, -14, -19, 61, 13, 14, 14, 29, 25, -1, 36, -57, 10, -18, 40, 14, 27, -35, -31, 62, 29, -16, -18, 20, -60, 49, 2, -43, -8, 60, -52, -62, 2, -24, 17, -3, 14, -41, -1, 62, -21, 31, -40, 22, -12, 18, -47, -5, -54, -43, -20, 49, 2, -51, -53, 23, 26, -17, -30, 0, 42, 49, 16, 21, -14, 42, -42, -21, 21, 24, 35, -44, 12, 9, -30, -41, -27, 2, -56, -15, 19, -25, 56, -38, 5, -22, 48, -12, -30, 4, -12, -41, 0, 60, 56, -35, -55, 38, 46, -52, -48, -38, 20, 63, 12, -46, 21, -65, -37, 30, 59, 0, -22, -18, -47, 51, -17, 41, 4, 13, 43, -18, -16, 14, -38, -1, -33, -32, 4, -43, -10, -60, -61, 42, -15, -2, 27, -17, -13, 14, 51, 2, 14, 3, 30, -16, 29, -6, -25, -22, -53, 29, -45, 6, -28, -48, 48, 19, -52, -26, 42, 35, -1, 17, -42, -37, -50, -9, 66, 7, -66, 25, -23, -15, -51, 18, 41, 18, -47, -1, -5, 26, -63, 48, 50, -60, -19, -28, 50, -52, -11, 34, -60, 42, -24, -33, -64, -11, -44, -4, 26, 9, 34, 24, -5, 8, 39, 55, -41, 20, 38, 57, 28, -54, 35, -25, -50, -14, -1, 39, -56, -48, 35, -27, -54, 58, -16, 5, 7, -27, -13, 0, 35, -37, -50, 30, -29, 51, 43, 33, 50, -54, 54, -5, -20, 49, 38, -17, -17, 69, 33, -44, -36, 44, 17, -23, -22, -36, 52, -19, -9, 55, 54, -49, 22, -51, -20, 32, -4, -10, 33, -9, -13, -32, 25, -40, -59, -28, -29, 54, 30, 11, 55, 1, 22, -38, 45, -14, -36, -52, 50, 2, 40, -9, -62, 33, 10, 8, 33, 30, -3, 60, 21, 40, -8, -19, -15, -58, 24, -11, 27, -63, 39, -42, -60, -60, 8, 61, 28, -19, -2, 4, 48, -47, -17, 10, -37, -30, -31, -21, -25, 46, -70, 14, 48, -24, -27, -22, -44, 21, 6, -26, -9, 56, -18, 6, -4, -10, -31, 27, 17, -30, -26, 54, -40, -3, -6, 22, 1, 1, -35, -29, -15, 30, -57, -43, 22, -47, 22, 26, 29, -14, -28, 8, -45, 62, -45, -31, 44, -20, 54, 0, 35, 15, 16, 28, 37, 23, -12, 21, 23, -18, -20, 24, -17, 9, -49, -35, 48, -47, 39, 16, 22, -51, -52, -11, -43, -7, 59, -7, -4, 30, 37, -37, 31, 13, 58, 1, -1, -33, 54, 18, -39, 38, 44, -45, -42, 30, -40, 55, -30, 53, -45, 13, -52, 50, 14, -18, -2, -36, -23, 36, -43, 18, -8, -23, 49, 4, -38, -34, -15, 0, -33, -56, -5, -19, 46, 29, 40, 11, -45, -35, 30, 21, -48, -13, 57, 39, -26, -21, -22, -26, 42, 25, 8, 43, 48, 23, -61, 3, 27, -40, -33, -24, 57, 2, -54, -20, 47, -35, -25, 39, 2, 35, -52, 60, -58, 14, -54, 1, 33, 58, -22, 24, -34, -39, 0, 15, 27, 22, -19, -25, 6, 7, 5, 25, -5, 33, 18, 17, -55, -17, 0, -4, 5, 18, -1, -57, -27, -41, -22, -41, -39, -33, -36, -51, -19, -36, 53, 12, -49, 0, -8, 47, 59, -61, 54, 7, 39, 12, 13, 21, -6, -48, -21, 54, -17, 11, -23, 14, -59, -44, 24, -43, -60, 61, 7, -10, -43, 5, 58, -61, 45, -7, 8, 60, -29, -13, -61, 49, 4, 26, 36, 0, -61, 4, -23, -15, -58, 30, 5, 30, -69, -24, 18, -56, -18, 30, -28, -2, 53, 59, 26, 36, 4, 19, 8, -30, 49, -55, -11, 40, -59, 21, 1, -18, 16, 52, 4, -3, -15, 2, 22, 13, 3, -8, 22, 9, -29, -41, -45, -14, 52, 44, 61, 4, 8, -28, -7, 26, 0, -41, 1, -28, -16, -33, -10, 19, -56, -38, -10, 54, 14, -38, 39, 2, -21, -56, 15, 8, 36, -27, 55, 25, -26, 52, -28, -34, -23, -24, -18, -51, -34, -42, -7, -45, 33, 56, 5, 46, 53, 48, 46, 1, -31, 36, 41, 32, -46, 58, 31, 46, 18, 32, 9, -10, -12, -31, 23, 35, -18, 14, -65, 41, -23, 26, -21, -60, 37, -31, 0, -47, 39, 50, 32, 14, -11, 19, -6, 21, -49, -27, 8, -63, 51, -17, -51, -12, 17, 41, 25, 24, -7, 44, -13, 47, -40, 42, -30, 54, 59, 52, 8, -20, -35, -17, 20, -43, -45, 21, 37, -29, 37, -47, -16, -74, -14, 39, -48, 1, 7, -9, -61, 11, 17, 27, 5, 17, -36, 8, 62, 66, 52, -10, 56, -25, -62, -2, -28, 49, 43, 28, -53, -88, -32, -7, -85, 38, 2, -1, -3, 38, -54, 61, 34, -5, -29, 18, -8, -21, 77, 8, 63, 36, 58, 21, 35, 14, -31, 23, 4, 46, -41, -49, 9, -14, 32, -11, 35, -66, -52, 61, 25, -51, 10, -48, -51, -71, -41, 29, 10, -40, 44, 18, -47, 60, -59, -3, -36, 5, -61, -21, -35, -45, -23, 43, 30, 57, -3, -24, 62, -45, 20, -37, 50, 8, -42, -25, -34, 36, 32, -14, 35, 33, 21, -51, 32, -5, -50, 28, -48, -33, -14, 52, -24, 5, 17, 60, 1, 4, -35, -8, -61, -32, -38, 8, -47, -25, -12, 43, 18, -43, 12, 54, -43, 43, -10, -36, -32, -4, 47, 50, -40, -63, 47, -12, -56, 36, 53, -34, -50, 1, 45, -51, -4, -25, 66, 50, 44, 32, -23, -52, 40, 24, -45, 41, -36, -4, -20, 68, 47, 46, -31, 12, 27, -44, -10, 26, 32, 22, 31, 49, -41, 40, -3, -5, -10, -51, -5, -40, -46, 18, 22, -23, 39, 11, -29, -1, 24, 17, 53, -2, -30, 34, -38, 7, 61, -39, 21, -10, -37, -2, 52, 53, 58, 2, -7, 57, -61, 60, 44, 11, -35, 49, 12, -18, -8, -3, -47, 0, -62, -54, 24, -66, -20, 23, -11, -43, 11, -17, 47, 18, -45, -58, 18, -22, 52, 34, 39, 33, -7, -33, 41, -32, 24, 21, 45, 27, 17, 52, -59, 12, -52, 26, -47, 29, -30, 7, -35, -46, 35, 11, 10, 61, -60, 24, -2, 18, -10, -39, -81, 1, 6, 37, 5, 59, -12, -63, -50, -32, -17, -23, -29, -10, 43, -65, 45, 5, -33, 58, -57, 51, 48, -44, -56, 10, 4, -52, 7, -23, 31, 21, 45, -58, -10, -48, -58, -42, 57, -61, 28, -62, 16, -31, -27, -43, 8, 2, -39, -39, 22, 12, -8, -28, -20, -59, -50, 12, -10, -61, -52, -26, 14, 47, -52, 34, 13, -13, 12, -43, -22, -3, 19, -43, 5, -32, 15, 16, -57, 48, 20, -31, 51, 51, -57, 62, 51, 37, 40, -21, 29, 55, 13, -52, -2, -27, 24, -48, -22, 1, -18, -13, -35, -59, -40, -59, -79, 33, -15, 12, 15, 29, 2, 44, -47, 46, -40, 22, -33, 24, 11, -18, 45, -37, 7, 34, -57, 12, -37, -8, 28, 20, 44, -29, -27, 9, 1, 47, 11, -31, 8, -34, -72, 31, 9, -49, 3, 5, 33, 20, 44, -7, -49, -55, 56, 5, 16, -22, -34, -65, -38, 19, -41, 32, 28, 1, 21, -18, 23, 1, 17, -57, -6, -10, 20, -13, 40, 28, -68, 35, 1, 4, 17, 44, -19, -32, 2, 12, 29, 20, -12, 56, -54, 4, -13, -39, -20, -61, 24, -52, -14, -15, 38, -48, 52, 89, 7, 62, 45, -31, -17, -17, -19, -26, -33, 4, -41, 4, -7, 14, -2, 48, 15, -32, -44, -5, -6, -16, 18, 41, -55, -65, -3, -23, 35, 6, 4, 44, -63, 53, -36, 6, 15, -16, 40, 5, 2, 31, 38, 52, 16, 56, -23, -13, -13, 30, 4, 34, 38, -50, -15, -32, -22, -23, -23, 51, 26, -2, 57, -43, 13, -6, 18, 9, -61, -34, 9, 30, -1, -12, -21, 56, 39, -55, -11, -63, 20, 36, 17, 5, 55, 42, 38, -2, -55, 25, 8, 17, 47, 41, -41, 60, 42, 21, -32, -26, -23, -54, -6, -51, -1, -47, -37, -9, 40, 17, 12, 23, -40, 44, -44, 52, -33, -23, 32, -42, -57, 0, 12, 16, 3, 45, -41, -5, 8, -44, -28, 45, -50, -43, -48, -34, 20, -49, 36, -28, -73, -17, 45, 28, -47, 53, 46, 16, 11, -49, 59, -78, -56, 10, 25, 23, 9, -53, 23, 12, -75, -13, -62, 18, 65, 55, -5, 11, -21, 11, -10, -41, 20, 10, 2, 8, 3, -58, 51, -18, -38, 17, -35, -2, -40, 37, -13, -58, 1, -39, 4, -8, -31, -20, -55, 41, 35, 0, -9, -2, 41, -30, 53, 52, -17, -37, -18, -7, -43, 60, -13, 25, 20, -41, 51, 26, 27, -11, -46, 52, -54, -14, 49, -7, 15, 45, 40, -35, 53, 5, -6, -44, -10, 62, -9, 31, 12, -54, 22, 7, 32, -62, 28, -53, 0, -24, -25, 50, -1, -17, 62, -5, -26, -44, 37, -13, 19, 15, 49, 8, 2, -45, 47, -21, -21, 22, -45, 51, -32, -7, 44, -1, -7, -1, -36, -3, 24, -51, -33, 3, 58, -37, 48, -53, -24, -31, -32, -4, -11, -9, -2, -52, 21, -61, -15, 16, -53, 27, -10, 33, -60, -61, -13, 3, -43, -21, -7, 51, -6, 24, -56, 22, -44, -46, -29, 18, -11, 35, 54, 17, 42, -14, 56, 0, 16, 38, -45, 7, 16, -36, 19, -13, 55, -4, 59, -53, -36, 50, 55, -58, 10, -63, 23, 29, 46, 50, -49, -33, 7, -19, 7, -52, -50, 3, 47, -23, -53, 51, -23, 19, -64, -12, 22, -36, 1, -1, 59, 58, -24, 25, 10, 58, 4, 7, 0, 37, -40, 17, -47, 3, -63, -55, -49, 12, 48, -32, -3, 42, -25, 37, 17, 37, 48, -31, 35, -15, 47, 3, 4, 50, -58, 5, -36, 40, -48, 12, -54, -5, 12, -50, -58, -15, -50, 25, 1, 8, -61, -22, -10, 8, 21, -31, 19, -38, -25, -15, 41, 16, -17, 0, 39, 5, -24, 1, 48, -57, 44, -49, 35, 11, 32, 13, -58, 60, 48, 0, 4, 54, 44, 16, -48, 20, -35, 61, -26, -43, 34, 19, -5, 41, -25, -16, -49, 54, -43, 23, 48, 36, 57, -2, 45, 48, -18, -32, -60, -49, 47, 63, -2, 4, 58, -9, -12, 42, 67, 3, 54, -11, 23, 55, 6, -52, -66, -3, -39, -44, 19, -39, -33, 11, 19, -12, 14, -49, 53, 42, 40, -34, -21, -37, -35, -9, 48, -19, 28, 40, 61, -3, -35, 46, -41, 31, -10, -45, -53, -36, 10, 57, -8, -10, 32, -34, 67, -33, -19, -5, 25, -6, 51, -19, 50, -54, 52, -8, -43, -48, 17, 19, 25, -34, -7, -33, 19, 38, 52, 55, 13, 51, -8, -44, 71, 19, 64, -31, 4, 25, -50, 23, -36, 49, -18, -1, -52, 59, 41, 53, -16, 18, 45, 7, 6, -35, -84, -8, -22, -2, 27, 47, -6, 21, -33, 14, -52, 13, 1, 2, 33, -12, 31, -22, -39, 17, 22, 67, 56, 8, -41, 56, -43, 56, 26, 57, -32, -41, -22, -56, -57, 23, -56, 46, -45, 24, -14, -16, -51, -14, -58, 42, -59, 23, 72, -44, -1, 53, -1, 57, 21, -13, -52, -52, 58, 12, -52, 55, 19, -31, 17, 47, -54, -64, 22, -18, 16, 31, 51, -52, 78, -20, -14, 57, -14, 6, 24, -6, -7, 56, -34, -8, -40, -43, 70, -7, -17, 2, 43, 22, -41, -2, 35, 2, 61, 53, 27, 28, 57, 61, -45, -3, 27, -43, -18, 19, -44, -3, 11, -10, 43, 32, -9, -5, 48, -52, -45, -43, 42, -98, -65, -42, -21, 29, -38, -44, -8, -3, 48, -26, 41, 26, -45, -26, -28, 27, 32, -3, 15, 29, 30, 37, 32, 38, -19, 44, -27, -32, -28, -49, -7, 13, -28, -53, 24, -3, -50, 55, 32, -16, 50, -24, -15, 58, -33, -21, -11, -3, 26, -25, 10, -56, 0, -54, 8, 42, -6, -33, 37, 40, 52, -40, 48, -31, 25, -15, 47, 57, 7, 14, -43, -45, -11, 29, 27, -17, 11, -33, 44, 21, -32, -57, -40, -15, 6, 14, 55, 17, 53, 24, 16, -23, -8, -6, 69, -18, 5, 12, -35, -39, -86, 10, -44, 8, -57, -16, 29, -41, -10, -18, 46, 20, 15, 19, 3, -30, 48, -42, 26, 62, 12, 40, -25, 49, -11, 56, 46, -34, 53, -20, 47, -7, -27, -45, 5, 30, -55, 39, 61, 27, -25, -32, -34, 31, -48, 7, 36, -41, -15, 13, -7, -5, 14, -2, 10, 61, 1, 50, -16, -22, 38, 23, 25, -45, 21, -28, 52, 2, -31, 44, 29, 11, -6, 36, 50, 21, 68, -43, 42, -45, -28, -10, 55, 3, 36, 23, 52, -28, 7, 30, 7, -59, -52, -10, -61, 23, -2, -19, 9, -58, 48, -31, 37, 56, -26, 25, -15, -74, -16, 56, 27, -11, -69, 50, -27, 48, -51, -29, -30, 59, 8, 59, 59, -27, 22, 75, 12, 10, -22, -40, -16, 11, -3, -41, -38, -4, 13, 0, -28, -29, 30, 3, 3, 43, -29, 57, 49, -39, 41, -32, 28, -2, 8, 40, 18, -14, 56, -23, 35, -33, -26, 1, 38, 11, 33, 30, 59, 12, -60, -19, -31, 65, -75, 19, 12, -48, 35, 7, 30, -51, 31, -25, -36, 20, -9, 46, -37, -34, 62, -53, 53, 70, 45, 46, -36, 47, -70, 12, -3, -5, -54, -57, -3, 52, 7, -8, 46, 82, -15, 23, 79, -50, 45, 76, 11, -1, 3, 3, -11, -48, 49, 12, -5, 12, 1, 62, -47, -37, -17, -46, -70, -39, -54, 22, -15, 47, -12, 19, 27, 6, 16, 3, 2, -49, -4, 70, -38, 57, -13, 11, -40, -24, 31, -23, 48, 33, -29, -45, 33, 29, 34, -1, 58, -10, -34, 45, -33, -29, -3, -53, -30, -6, -88, -67, -56, -46, -40, -31, -53, 3, -14, 2, 51, -14, 12, -17, 37, 7, 32, 43, 33, -10, -51, 13, 50, -34, -36, -34, 56, 55, 62, 31, 29, 13, 34, 54, 73, 38, -3, -16, 19, 31, 35, -28, -50, 15, 46, 53, -6, -35, 9, 26, 23, 25, 1, -29, 24, -27, -11, 48, -65, -23, 3, 43, -39, 14, 6, -68, 55, 33, -68, -6, -84, 38, -43, 13, -26, 42, -27, -49, -39, 52, -24, 0, -19, 59, 54, -5, -69, -36, 9, -4, 32, 10, -10, 59, -39, -37, 29, -57, -40, -2, -33, 2, 41, -46, 80, 25, 75, 27, 35, -4, 12, 58, -19, 41, -28, -2, 56, -33, 8, -25, 58, -15, -39, -25, -11, 33, -3, -63, 32, 12, 1, 75, 92, 37, -47, -39, 27, 2, 14, -15, 9, 10, -8, 45, 2, 17, 16, 32, -22, -59, -4, 39, -24, 14, 17, -42, -11, -39, -2, 4, 17, -48, 37, 46, 2, -3, 49, 40, -2, -29, 4, 55, 13, -27, 24, -27, -41, -53, 12, -26, 19, -51, -5, -19, 39, 40, -35, -45, -2, 28, -39, 0, -15, -27, -55, -16, -36, -22, -1, -34, -25, 51, 49, -21, -18, -43, 47, 22, 8, -8, 52, -44, -25, -6, 76, -35, -77, 32, -10, 4, -10, -34, 35, 60, -1, -38, -54, -6, -27, 39, -63, 20, -34, 8, 34, -34, -15, -14, 30, -21, -18, 60, 1, -66, -25, -12, -19, -45, -61, -57, 26, 48, -36, 8, 24, 33, -45, -26, 14, -57, 51, 7, 24, 68, 42, 21, 21, -3, 61, -6, 66, -15, -36, -8, -57, -59, -45, 29, -46, -21, -14, -46, -39, -23, 22, 20, 60, -22, 20, 13, 32, 26, 36, 0, 55, -48, -39, 58, 24, 57, -32, -5, -22, -27, -46, -39, -52, -23, -26, -15, -66, -20, -69, -36, -64, 58, -40, 48, 15, 17, -13, 38, -35, 22, 14, 67, -29, -50, 48, 62, -19, 39, 27, -11, 32, -21, -45, -11, -35, 9, -32, -57, 35, 58, 21, -49, 50, -1, 43, 53, -34, 26, 30, 53, 58, 42, 51, 29, -20, -49, 35, 60, -40, -43, -32, -29, -41, 33, -19, -5, 62, -2, -17, -37, 23, -9, 42, -65, -9, 56, 10, 4, -25, -23, -55, 18, -36, 9, 13, 15, 9, 31, -48, -73, -54, -15, -83, -63, -10, 13, -15, 57, 24, -19, -4, 32, 43, -29, -13, -55, 31, -3, -6, -16, 0, 50, 57, -36, -4, -34, 10, -43, 41, -34, -30, 21, -28, -1, 52, 41, 38, 20, 1, -35, 2, -22, 64, 41, -31, 48, 57, 11, 1, -40, 54, 3, 10, -51, -27, -35, 61, 24, -21, 34, -15, 27, 41, 50, 23, -23, -14, -32, -21, 40, -32, -8, 27, 52, 50, 3, -42, 62, -18, -73, -8, 44, 0, -48, 50, 50, 12, 9, -1, -8, 28, 62, 20, 45, 40, -41, -21, -25, 32, 23, 28, 30, -6, 24, -56, -62, -53, -16, -97, -13, 37, 17, -58, -12, 12, -19, -41, -39, -44, -47, 51, 55, -25, -16, -19, -50, -23, -28, 46, -39, 45, -16, -52, -12, -14, 39, 28, 22, -28, -37, 71, -18, -37, -66, 55, 35, -45, 0, 50, 69, -18, -3, -24, -42, -52, 3, -37, 62, 53, 9, -8, -9, 41, -37, -46, 13, 61, 67, -38, -12, 46, 69, 12, -52, -42, -55, -18, 29, -67, -48, -25, -35, -20, -53, 40, -4, 30, 2, -11, -14, 28, -44, -15, -41, -52, -68, 41, 5, 2, -45, 49, 1, -44, -35, 34, 62, 64, 71, -29, 23, 2, 65, 18, -30, 54, 60, 46, 12, 5, -31, -51, 42, -41, -7, -35, -21, 44, 50, -55, -39, -22, 44, -32, -11, 32, 2, -44, 2, -10, 27, -18, -25, 17, -4, 33, -15, -46, 44, -53, -58, -19, -22, 23, 43, -41, -13, -25, 0, 40, 2, -9, 1, 65, 46, -19, -20, -14, -22, -45, -49, -50, -9, 52, -42, 27, 20, -56, 14, 14, -20, 7, 12, -58, -42, 13, 19, -52, -34, 35, -23, -12, 34, -15, 66, 15, -49, 11, 35, -3, -33, -33, 51, 58, 42, 37, -22, -16, 15, -1, 14, -25, 25, 5, -53, 47, 28, 34, 5, 0, 31, -7, 52, 45, -51, -36, -11, -35, -49, -38, 46, -22, 28, 53, -18, -29, -47, 21, 4, -11, 58, 57, -82, 26, 30, -55, -36, 39, -2, 37, -5, 33, 31, 36, -7, -21, -9, 22, -15, -14, -13, 13, 15, 7, 26, -17, 41, 18, 4, 38, -47, 58, -31, -19, 42, 46, 44, -44, 13, -53, -17, -47, 61, -1, -51, 24, -32, -6, -28, -65, -2, 15, -3, 47, 1, 44, 43, 59, 21, 13, 26, 15, 0, -42, 37, -45, 29, 73, 15, -56, 3, 49, -32, -49, -42, -8, -31, -36, -3, -42, -21, 39, -40, -37, -5, 53, -26, -44, 11, -38, 17, 52, -11, 8, 53, 41, -33, -15, -44, 47, -17, 11, -47, 32, -15, 13, -49, 20, 41, 13, 40, 32, -42, 45, -9, 57, -28, 29, 22, 19, -58, -55, -43, 54, 0, 54, 6, 44, -18, 40, -21, 46, 32, 52, 49, 15, -30, -8, 8, -58, -50, -58, 41, -36, 19, -46, 46, 29, -45, 9, 47, 53, -6, 33, 2, 49, 13, -13, -9, 16, -59, -48, -46, 50, -45, -61, -23, 17, -27, -39, 49, 12, 22, -55, 53, -1, -55, 30, -7, 33, 34, -32, 56, 44, 29, -62, -4, 51, 18, 3, 33, -24, -30, -56, 29, 51, -53, -11, 30, 3, -67, 39, 39, -26, 18, 40, -9, -21, 14, 49, 52, 40, -12, -55, -28, -44, -63, -41, -11, -11, -43, -8, 7, -33, 16, -49, 48, 30, 40, 46, 0, 54, 32, -9, -3, 3, 36, -65, 30, -44, -70, 7, -55, 58, 48, -5, 18, 53, 27, -22, -20, -74, 14, 16, -66, -40, 36, 24, -28, -51, 25, -15, 47, -30, -30, 48, -44, 21, 35, -15, -14, -13, -6, -48, -35, -35, -26, 21, 5, 13, 41, -79, 13, 33, 29, 10, -16, -6, 27, -8, -27, -2, -57, -19, -46, -47, 15, 0, 32, 51, -35, 8, 41, -16, -49, 6, 14, -25, 34, 17, -57, 31, -51, -34, 34, 28, 64, -52, 57, 0, 36, -65, -43, 63, 21, 26, -6, 37, 47, -36, 28, -22, -28, -20, 43, 10, -13, -52, -48, -33, 48, 31, 45, -57, -41, 72, -22, -59, 38, 6, 38, 12, 58, -3, 57, 23, -22, 55, 53, 63, -15, 43, -8, -50, 57, 19, 35, 36, 35, -33, 49, 55, -49, -6, 21, 31, -21, 17, 27, -44, -25, -31, 27, -48, -15, -47, 4, -79, 41, -62, 55, -31, 33, -45, -27, 34, -35, 42, -29, -7, 32, 40, -41, -13, -28, 23, -39, 23, -24, -2, 29, -67, 59, -9, 5, -61, 3, -17, 30, -26, 51, 14, -18, -14, -31, 11, 45, 8, -43, 3, -53, 46, -39, -8, 49, 9, -38, 24, 55, -6, -24, -38, -44, -24, -38, -5, 28, 13, 15, -53, 34, -37, -28, 15, 25, 42, -5, 27, -26, 39, -32, -27, -26, 31, -1, 31, 27, -19, 34, 34, -20, 46, 47, 15, 35, 8, -21, -14, -14, -2, 11, 40, -14, -30, 51, 36, 16, 13, 9, 18, 14, 52, 11, -44, -7, -45, -33, -50, -3, 44, -46, 30, 28, 23, -1, 28, 51, -59, 36, -42, -39, -11, 55, -61, 32, -3, -28, -42, -24, -38, 62, -49, 49, -34, -34, 24, -34, 36, -19, -57, -46, -17, -57, 61, -10, 42, -35, -14, 49, 28, 51, 64, 48, 11, -9, -43, 36, 33, -47, 16, -7, -4, 11, -35, 60, -70, 50, -56, 22, 37, 1, -73, -44, -16, 9, -54, -40, 40, 35, -48, -65, -21, 47, -40, -8, 10, -40, 25, 53, -41, -66, -59, 56, -15, -42, 43, -23, -25, 35, -37, 21, 39, 6, -21, 8, 40, 4, -38, 36, 41, -13, 19, 45, -21, -17, 25, 32, 15, 19, -58, -51, 32, 19, -7, -3, 39, 5, -48, 39, 29, 19, 27, 35, -6, -35, 13, -45, 39, -53, -66, 63, -66, -45, -46, -39, -6, -61, -4, 12, 9, 20, 72, 4, -31, -31, -26, -48, 40, 22, -30, 1, -20, 12, -42, 58, -46, 26, -13, 8, -61, 48, 38, 60, -30, 54, 8, 61, 29, 19, 5, -12, 1, -26, -26, 47, 43, -26, -45, 25, 14, 32, 34, -39, -21, 44, 29, 2, -54, -50, -52, -6, -42, -14, -31, 48, 26, -15, 30, 13, -71, 23, 27, 34, 7, -10, -12, -30, -27, 20, -33, -44, -25, 48, -44, 28, 37, -45, -27, -5, -42, -49, -63, -49, 21, 21, 53, 32, -9, -24, -12, -51, -4, 38, 28, 22, -1, -68, -54, 36, -28, 1, -57, -65, -47, -2, -6, -66, 40, -57, 26, -44, 1, 32, -26, -24, 55, 32, 27, -33, -40, 10, -41, -3, 40, -60, 50, 17, -16, 38, -28, 46, -12, -23, -40, -55, 24, 60, -27, 64, -32, 42, 44, 26, 56, -6, 7, 17, 37, 55, -48, -16, 26, -34, -6, -23, -22, -66, -3, 9, 1, 12, -34, 0, 43, -38, 60, 28, -26, 1, -60, 35, 34, -15, -61, -51, -28, -21, -67, 8, -22, -41, 8, -48, 2, 5, 46, -58, 25, 35, -49, -12, 46, -27, 35, -30, 40, -51, -10, 2, 28, -45, -1, 11, 14, 22, -61, 51, 5, 67, 15, 40, 52, 36, 9, 2, 40, -42, 12, 43, 26, -31, -34, -8, 46, -35, -48, 38, -56, -51, -45, -34, -58, 15, 9, 47, 26, 2, -15, 48, 53, 29, -15, -50, 33, 44, 16, -36, 59, 58, 30, 51, 33, 31, 36, -12, 3, 47, 43, -2, 20, 18, -7, -54, 20, -15, -61, 15, 57, 2, 0, -1, -26, -54, -33, -58, -62, -26, 60, -48, 50, -4, 56, -16, 34, 53, -44, -39, 3, 39, -53, 28, 10, 23, -32, -38, 17, 12, 58, 34, -22, 22, -25, 69, 9, -56, -28, -51, -59, -15, -47, -1, 4, -21, 14, -18, 12, 51, -49, -48, -72, 2, 54, -17, 0, -34, 41, 14, 1, -35, -54, 43, 48, 32, -45, 10, -13, 30, 16, -60, -21, 20, 22, -37, -7, -36, -60, -33, 18, -13, -9, -4, -54, 46, -20, 23, -63, 5, -57, 32, 40, -41, 14, -23, 2, 37, 64, 45, 51, -29, -37, -38, 42, 18, -59, -47, 19, 65, 34, 8, -24, -26, 6, 34, 50, 27, -26, 60, 43, -59, 35, -5, 12, -51, 20, -40, -32, -67, 31, 24, -20, 25, 23, 55, -38, -34, -35, -3, 35, 63, -24, -59, -14, 72, -38, 14, 35, 7, 58, -30, -23, -45, 13, -19, 6, -29, 40, 15, -5, -47, -35, 53, -33, 47, 13, -49, -43, 43, -50, -27, 45, 2, 5, 59, -25, 2, -34, 43, -53, -40, -34, -55, -53, 45, 2, -32, -34, -36, -44, -44, 9, -55, -18, -48, 9, -50, -58, 10, -15, -40, -29, 61, -9, -51, 13, 42, 51, 19, -8, -62, 2, -47, -8, 48, -60, 61, 28, -7, -24, -58, 18, -48, 52, 57, -60, 44, 12, -14, -35, -45, -34, -37, 9, -33, 33, -35, 27, -33, -8, -23, 54, -10, -8, -23, -33, 26, 50, -8, 41, -20, 16, -12, 52, 43, 61, -36, 29, -9, -14, -7, -33, -58, 35, 16, 11, -60, 0, 16, 50, -61, -33, -2, 14, 49, 47, -9, -32, -42, 5, 51, 34, 14, 28, 3, 11, 0, -52, -52, -19, 58, 34, 45, 15, 20, 33, -52, -23, -34, -59, -58, 9, 29, -39, -42, -35, 21, -3, -47, 31, -53, 11, 35, -8, -40, -48, 3, -26, -43, 46, 43, -13, 20, 49, -53, -31, -57, 44, 24, -15, -61, -8, -36, 45, 12, -46, 36, 45, -49, 13, 4, -22, 43, 7, 2, -41, -4, -25, -21, 9, -8, -39, 9, -31, -60, 56, -38, 11, 19, -58, -27, -18, -25, 22, -27, -22, 20, 59, 45, -40, -29, 37, 42, 5, 61, -42, -27, -8, -18, -35, 33, 42, 8, -4, -11, 38, -25, 37, 9, -10, -13, 8, -38, -32, 13, 28, -49, -56, -25, 49, -32, -55, -37, 33, 28, -19, -17, -33, -5, -22, -58, -14, -53, 45, 13, -48, -50, -9, 25, -58, -23, 15, 56, 57, -47, 16, 55, -60, -2, -53, -55, -38, -4, -33, 17, -59, 31, -52, 9, 33, 20, -19, 26, 36, -48, -39, -43, 42, -39, 16, 29, 44, -11, 9, -3, 54, -52, -15, -29, 7, 34, 43, -60, 48, 53, -57, -2, -26, -37, -42, 49, 1, 32, -20, -64, -23, 12, -47, 62, 55, -51, 11, -56, -43, -67, 11, -26, -16, 11, -42, -54, 45, 0, -25, -34, 42, 4, -15, -23, -33, 45, -31, 55, -47, 33, 18, -1, -8, -27, 4, -39, -30, 4, 3, 57, -16, -12, -15, -13, -62, 38, 37, -30, -26, 58, -45, -60, 36, 24, 18, -5, -23, -47, -51, -49, -51, -47, -56, -29, -22, 20, -26, 62, -1, 32, -52, -40, -29, 46, 40, -44, 62, -60, 56, 17, 22, -59, 17, 19, 30, 34, 25, -45, -27, -42, -28, 26, 18, 28, -32, -45, -35, 39, -23, -32, -32, 35, 29, -20, 51, 58, 25, 50, -45, -20, 11, 4, 57, -42, -61, 41, 1, -51, -31, -6, 8, -36, -17, 3, -1, -51, 17, -50, 16, -45, 2, -42, 17, -57, -39, 48, 51, 26, -33, 5, 19, 8, 60, 48, -44, 8, -22, -7, 14, 47, 40, -33, -13, -10, 43, 42, 0, -34, 41, -64, 44, 38, -12, 20, 23, -48, 30, -42, -18, -7, 43, -54, -41, -55, 18, 46, -15, 29, 55, 35, -5, 31, -7, -62, 28, 28, -4, -48, -36, 51, 16, 20, 15, -49, -2, -37, 20, -65, -34, -34, -14, -4, -8, 13, 40, -43, -48, 44, -50, 25, 36, -8, 6, -46, -15, 17, -23, -30, -51, 56, -56, -44, -47, -57, -16, -5, 31, 52, -39, -54, 37, 31, 0, -23, 9, 9, -38, 50, 37, -12, 50, 30, -51, 58, 28, -11, 21, 1, -43, 45, 54, -43, -12, 30, -12, -31, -25, -34, 6, -32, -53, -59, -10, -52, -30, 39, -56, 32, 9, 48, -36, 20, -32, -10, 17, 58, 50, -14, -48, 17, -58, 3, -48, 63, -57, 52, 58, -16, 3, -46, -54, -18, -54, -47, 32, 58, -2, -40, -56, 50, 22, 1, 27, -44, 60, 21, 40, 32, 60, -12, -5, 13, 16, 46, 2, -15, -9, -52, -43, 6, -2, 56, 13, 0, -37, 32, -31, -48, 35, 52, -63, 19, 45, 53, -43, 9, 45, -47, -14, -14, -2, 16, -39, -48, 55, -7, -9, -7, -60, 11, -4, 50, -31, 1, -39, 34, -11, 43, 50, -12, 25, 39, -30, -8, 59, 25, 38, -53, -58, -27, -29, -25, -37, -9, 10, 44, -1, -5, 9, 22, -41, -26, 61, -18, -4, 39, -11, -2, -26, -38, -39, -29, -47, 0, -12, -39, -43, -43, -13, -60, -52, 30, 48, -45, -48, 23, -29, -38, 20, 0, 27, -19, -19, -37, 50, 34, 21, -30, -49, -24, -4, 61, -18, -9, 32, -34, -27, 4, 57, -62, -29, -7, -33, -15, 7, -35, 24, -48, 13, 60, -52, 1, 3, 28, -21, 17, 11, -61, -40, 25, -1, 0, 44, -19, -51, 26, 57, 59, 54, -40, -11, -60, -14, -55, 57, 49, -61, 51, -6, 18, 8, 51, -58, -5, -48, -57, 51, -13, 51, 39, 55, 3, -17, -48, -3, 13, -20, 55, 42, 8, 29, -55, -48, 2, -13, -1, -42, -57, 15, -62, -34, -17, -49, 43, -48, -9, -41, 59, 45, 34, 47, 43, 13, -48, 12, -1, 24, 60, -33, 8, 32, -55, -51, -50, -22, 17, -47, 13, 52, -11, -57, -51, 34, -49, -45, -8, 24, 58, 44, 6, 13, -15, -28, 40, -49, 25, 9, 60, 1, 14, 44, -40, -32, 10, -60, 53, -5, -27, -18, -7, 59, -62, -27, 38, -13, 32, -44, -1, 57, -33, 45, 45, 11, -25, 38, -62, 13, 60, -8, 13, 1, -41, 56, -34, 6, -51, -33, 47, 40, 41, 44, -54, -61, -13, -1, 3, 57, -60, -21, 38, -8, -41, -20, -55, 43, 25, 37, 42, -32, -15, -51, -61, -52, 9, -4, -38, -24, 22, -51, -4, -59, -58, -8, 36, 9, 58, 48, 10, -44, -15, -17, 39, 36, -21, -3, 17, -5, -20, 50, -65, 18, 57, 56, 48, -2, 37, 21, -56, 20, -54, -9, -44, -9, -25, 55, 18, 21, 47, -5, -21, -31, -13, 13, -7, -9, -31, 24, 7, 35, 21, 6, -16, 5, -14, 32, 37, -17, 53, -6, 24, 31, -6, 40, -47, -22, -61, 4, 13, -6, 59, 20, 57, -19, -2, 14, 54, -38, 36, 50, -43, -37, 60, 37, -33, -7, -55, 22, 16, -53, -6, 18, -48, 15, -6, -56, 30, -15, 55, -40, -3, 52, -26, -14, 40, 26, -18, -16, -56, 48, -18, 32, 29, 20, 32, 38, -30, 27, -49, -28, 49, -28, 29, 47, 35, 26, -26, 8, 3, 30, 32, 27, 35, -2, -42, -44, -43, -16, 14, -61, 28, 49, -56, 19, -15, 42, 57, -62, 22, -26, 36, 32, -60, -28, 41, -7, 15, 14, 11, -21, 59, -57, -46, 34, 17, 56, 1, 35, 4, 34, -55, 20, -39, -14, 61, -4, 42, 8, -49, 3, -8, -40, -6, -4, 23, -31, 16, -51, 3, -55, -3, -12, -6, -23, 58, -58, -15, 5, -34, -7, -48, -44, 7, 3, -26, -43, -55, 25, -29, -45, -33, -33, -28, 25, 19, 32, -14, -57, -11, -9, 35, 45, -43, -29, 32, -3, 2, 66, -50, -59, -29, 50, -7, -10, 50, -34, -44, 22, -24, -13, -40, 23, 61, 30, 47, 2, -68, -55, 23, 15, 44, -34, 35, -21, 53, 8, -27, 19, -32, -44, -15, 48, -34, 16, -61, 35, 41, -51, 3, -52, 43, 82, 8, -12, -53, -15, -29, 6, -16, -17, 40, 26, 28, 52, -44, -31, 0, 50, 50, -14, 1, 39, 5, -38, 7, -43, 23, -35, -26, -50, -45, -15, -31, 17, 52, 53, 0, 0, -1, -12, 59, -76, -46, -64, 15, 27, -22, 3, 34, 5, -20, 40, -21, -50, 14, 50, -66, 9, 0, -57, -60, 85, -45, 32, 17, -53, -25, -21, 63, 35, 19, -42, -44, 18, -19, 53, 52, -41, 8, 29, -9, -13, -16, 33, 18, 54, -22, -48, 14, -40, 30, -3, 50, -31, -37, 47, -54, 42, 7, -53, 50, -2, -26, -33, -73, 4, 77, -48, 42, 0, -19, -31, -34, -6, -60, -5, 3, -30, 40, 59, -2, 28, 49, -2, -18, 64, -29, 58, -18, 6, 29, -18, 50, 17, -40, -41, -6, -19, -34, -11, -37, 37, -46, -14, 6, 76, 54, -27, 0, -50, 6, 25, -11, 29, -30, -44, -56, -46, -23, 25, -66, -44, -20, -52, -64, -66, -37, 26, 56, 23, -17, -40, 20, -39, -42, 14, 3, -2, 9, 43, -48, 44, 0, -33, 54, 69, 0, -40, -51, -21, 44, -46, -38, -1, 48, -31, 14, -36, 2, 73, 7, -35, 42, 29, 38, -48, -55, -1, -55, 0, -21, 20, -24, 19, -50, 32, -59, 56, 18, -13, 1, -37, -12, 31, 17, 19, 29, 16, -30, -50, 46, 29, 31, 21, 65, 51, 44, -25, 25, -25, -47, 29, 37, -17, -52, -53, -12, -46, 44, 35, -2, -31, 47, 18, -42, 40, -27, 14, 35, 75, 42, 6, 40, -7, 12, 54, 3, 53, -5, 22, 22, -12, -52, 30, -16, 7, 5, 58, -47, 27, -21, -47, 26, 32, 16, -3, -18, -21, -15, 38, 63, -59, 32, -46, 19, 9, -45, -16, -26, -32, 1, -15, 14, 20, -53, 11, -41, -31, 24, -28, -48, -19, 15, 11, 22, -6, 3, -5, 5, -5, -2, -38, -48, 24, -54, 33, 23, 10, -3, -47, -38, -26, 50, -19, -24, 37, 55, 36, 24, -56, 52, -24, 8, 77, -13, -45, 33, -67, 4, 22, -13, 50, 28, 33, -38, -30, -9, 51, 54, -39, 12, -60, 63, -49, -15, -42, 10, 58, -17, 40, 59, -26, -12, -22, -31, -23, 29, -20, -20, 54, 13, -19, 47, -4, 13, -57, 49, -49, -28, 77, -32, 4, -43, 44, 44, -21, -39, 25, -62, -34, 55, 4, -41, 15, 57, 60, -51, -15, 2, -28, 58, 10, 41, -17, 11, 14, -66, -50, 26, 2, -67, -14, 23, 27, 58, 48, -24, 33, 13, 24, 25, -14, -28, -5, 38, -11, 43, 39, -35, 39, -52, -26, -19, 13, -35, 30, -1, -35, -24, 73, 21, 25, 63, -21, 13, 39, 8, -32, 46, -74, 19, 48, 33, -44, 10, -12, -28, -19, -24, 30, 11, -44, 53, 67, -27, -18, 54, 30, 46, -48, 41, 62, -22, -10, -42, -38, -53, 61, 0, 47, -42, -48, -20, -41, 5, 17, 32, 12, 24, -7, 38, -42, 20, -27, 58, -29, 5, -44, 45, 13, -9, -41, 36, 4, 1, -74, -43, -51, -30, 3, 48, 29, -25, 59, 40, -22, -3, 20, -4, -9, -48, -27, -49, -29, -1, -9, -3, -58, 55, 3, -24, -58, 1, 34, -24, -47, 37, -53, -3, 46, 37, 26, -59, 46, 0, 15, 15, 34, -17, -37, -8, 31, -22, -15, 4, -18, -40, -43, -32, -38, 46, -31, -5, -17, 28, -56, -8, 89, -16, 17, -40, -58, 17, 31, -13, -37, 29, -12, 25, -52, 9, 65, 36, -3, -13, 31, -31, 26, -26, -41, -11, 39, -3, -55, -22, 54, -31, 36, 40, 36, -1, -24, 14, 35, 10, -23, -33, 45, 43, 13, -23, -35, 2, -52, 12, 32, 60, -70, 59, -37, -11, 43, 54, 34, -64, 32, -12, 36, -50, -33, 55, -1, -7, -51, 35, -20, 33, 4, 58, 22, -30, -15, -19, -40, 10, 19, -42, 20, -14, 54, -3, 12, 48, -9, -38, -30, 8, -48, 65, 57, -21, 34, -5, -6, -30, -19, 5, -63, 29, 27, 5, 20, 51, 21, -26, -41, 50, -61, 34, 39, 54, 11, 10, 12, 56, 10, 52, 40, 16, 20, 37, 1, 1, 40, 26, 20, -31, 37, -45, 35, 57, -56, -19, 62, 11, -16, 52, -51, -7, 15, -55, -42, -51, 54, -7, 57, -13, 52, 11, 36, 42, -45, 16, -4, 31, -15, 5, -34, 49, 24, 11, -35, 45, 43, -9, 3, -36, 14, 6, -11, -18, -45, 28, 26, -6, 10, 21, -21, -28, -18, 8, -37, 27, -14, -36, 36, 16, -86, 45, 51, -34, 51, -33, 34, -21, 75, -23, -35, 61, 9, -5, 16, -14, 9, 34, -18, -29, 1, 32, -25, -64, 41, 11, 5, -17, -1, -38, -26, -75, 32, -10, -34, -18, 7, 43, -18, -69, -37, 24, 48, -53, -55, -15, 10, 41, 43, -40, -50, 8, -12, -56, -48, -8, 3, -13, -17, -41, -28, 54, 13, -21, -22, -62, 15, 47, 60, 6, -41, -1, -1, 3, -42, 47, -41, 14, 19, 21, 24, 16, -63, -32, -12, -29, 34, 60, -47, -27, -25, 25, 13, -11, 16, -33, 20, -28, 24, 62, 32, 48, -53, -37, -65, 2, -60, 4, -31, -15, -32, 54, -47, 36, 42, 33, 28, -13, 33, 24, 53, -21, 51, -32, 29, 52, 39, -6, -52, 30, 23, -46, -21, 54, -34, 32, -23, 38, -47, 13, 15, 15, 13, 13, 0, -1, 54, 60, -26, 47, 54, -59, 11, -4, 49, -10, -54, -16, 16, -25, -10, 56, -52, -27, 55, -29, 13, 43, 2, -59, -39, 36, 5, -21, -27, 22, -6, -56, -46, 56, -46, 14, -33, -52, 41, 67, 34, 43, 56, -45, 35, 3, -24, 5, -17, 62, -35, 53, -25, -50, 48, -57, -1, 64, 61, 6, 4, -43, -31, 46, -37, 17, -19, 22, -35, 56, 13, 3, 42, -21, -19, -38, 11, 1, 33, -31, 5, -17, -32, -26, 56, 33, 37, 64, 30, -6, 9, 12, -27, -22, 55, -58, -32, 26, 6, -2, 30, -11, 42, 39, -5, -30, 44, -22, 13, 53, 62, 41, -27, 26, -8, -14, -54, 4, 44, 45, 21, 39, 48, 10, -40, 55, 45, -53, 59, -18, 14, 51, -1, 62, 3, -18, 0, 11, 2, -20, 15, 16, 16, -10, -30, -49, -18, -45, -26, -40, 43, -52, 2, -22, 25, -46, 44, -60, 11, -19, -12, -31, 3, 18, -21, -39, 45, 19, -45, -39, 29, 39, -4, 32, -47, -7, 40, -52, 52, 50, 8, -62, 20, 17, 23, -2, -35, 21, 28, 56, 46, 0, 7, -33, 17, 11, 11, -29, -4, -75, -32, -26, -48, 23, -7, -50, 34, -16, 46, 0, 46, -1, 66, 16, 17, 11, 4, -60, 50, 10, 43, 58, -11, 28, 52, -10, -13, -57, 49, -51, 13, 31, 54, -51, 48, 60, 27, 37, -38, -31, 11, -14, -37, -68, 41, -53, -56, 15, -57, 22, 14, 30, -23, -56, -2, -14, -59, -53, -39, 48, 18, 38, -66, 36, 2, -34, 20, -5, -13, -58, -43, -11, -41, 44, 15, 41, -24, 35, -10, -45, -7, 57, 64, 46, 30, 33, -30, 63, 34, -67, -13, -23, 44, -34, 37, -51, -10, -70, -47, 14, -1, -2, 33, 46, 21, -4, -51, 5, 27, -34, -59, -19, 53, 46, 20, -61, 39, 4, 30, 10, 2, -35, -42, 10, -64, 7, -32, -9, 29, -35, 38, -26, -56, -38, -5, 42, -31, 64, 13, -51, 3, -32, 56, 0, -1, -10, -40, 38, 6, 65, 39, -17, 44, 46, -51, 4, -17, 43, 8, -41, -30, -1, 51, -24, 22, -41, 31, -28, 23, 56, 24, 13, 1, 29, 14, 57, 5, 54, -15, -28, -28, 42, 45, -8, 36, 11, 30, -8, -43, 45, -22, -12, -3, 69, 27, 55, -7, 40, 10, 30, 37, 12, 43, 24, -7, 9, 44, 21, 14, 40, -11, 36, 54, 35, 37, 39, 3, 23, 26, -2, 58, -52, -35, -28, 9, -2, -16, 40, -8, 54, 29, 57, 33, 43, 17, -13, 23, 30, 12, 19, 11, -29, -33, -27, -11, 27, -9, -54, -51, -30, 8, 47, 46, -48, 60, 61, -42, 5, 0, -36, -46, 19, -14, 42, -16, 13, -10, 61, 23, -9, 59, 24, -7, 20, 2, -48, -58, 37, 44, 5, 29, -5, 39, 15, 20, -41, -40, -16, -17, 30, 43, 65, -19, 11, -18, 28, 54, 38, 45, -5, 38, -45, 17, -58, 13, -18, -48, -12, 40, -47, -5, -27, 51, -13, -28, 50, 15, 43, -24, -28, 51, -62, 12, -35, 35, 12, 55, -29, -59, 27, 3, 32, 24, 16, -29, -54, 53, -47, 32, -24, -6, 33, -46, 43, 5, -35, 22, 0, -47, -21, 0, -1, -52, -59, 35, -50, 43, 15, -51, -18, 38, 17, 25, 22, -41, -2, 53, -37, -39, 64, -9, 58, -4, -33, 15, 16, -57, -16, 68, 27, 47, 29, -11, -23, -46, -33, 17, 43, -43, -31, -2, -82, -53, 19, -38, 4, 42, 42, -9, -58, -57, -49, -49, -57, -51, 56, 22, -15, -26, -18, 37, 12, 5, 34, -17, -73, -30, 20, 50, -3, -3, -68, -61, -23, 19, -13, 7, -28, 21, -52, -33, -68, -2, 8, -35, -8, 33, 48, -16, -24, -37, 6, -23, -28, -23, 23, 12, -51, -56, 29, 19, 8, -61, -12, -12, -38, 52, 13, -1, 45, -33, -32, -34, 45, 61, 13, -29, -40, 9, 64, 15, 0, -46, 17, 17, -51, -21, 47, -72, 23, -2, 14, -17, 20, -32, 45, -17, 8, -50, 3, 3, 52, 16, -2, -48, -28, 2, 2, -53, 7, 18, -42, -5, 25, 50, -56, 26, 20, 26, 8, 51, -44, 24, -31, 38, 59, -32, 34, 10, 19, 25, 1, 14, 29, 27, 29, 61, 42, -30, 9, 60, -14, -27, 41, -28, -59, 9, 9, -14, -11, -8, 46, -39, 46, 60, 8, 52, -9, -9, -43, 22, 31, 10, 13, 46, 11, 57, 58, 45, 45, -58, 16, -66, 13, -42, 25, -49, 49, -8, -25, 19, 54, -2, 43, -17, 20, -1, -8, 22, 26, -14, 34, 49, 26, 1, -60, -14, -7, -48, -23, 43, 67, 36, 42, 20, 35, 45, -23, 34, -56, 10, 9, 44, -34, 61, 2, 12, -15, -54, -49, -23, 51, 50, 23, -31, 4, -2, -50, -64, 7, 49, -29, -36, 55, -15, -15, -15, 26, -53, 37, -28, 41, 14, 12, 15, -49, 12, -47, 55, 53, 13, -4, -15, -3, -1, -26, 13, -64, 16, -51, -19, 8, 29, 48, 39, 18, 16, 48, -56, 24, -1, -28, -62, 2, -51, 21, -21, 38, 27, -33, 5, -28, -9, 47, 43, -37, -35, -48, -2, -17, -20, 56, 43, 42, 54, -5, 13, 48, 65, -1, -7, 0, -31, -31, -4, 52, 58, 30, -49, 41, -35, -43, 26, -64, -14, 48, 6, -3, -79, -24, -61, 31, -50, -65, 31, 33, 21, -18, 28, -70, -23, -7, 30, 23, 16, -41, -52, 63, -15, -56, -57, -44, 61, -8, 57, -57, 9, -56, -23, -9, 53, 27, -61, -64, 18, -35, -60, 69, 14, 51, 24, -40, -59, 48, 26, -2, -41, -24, -54, -53, 22, 57, 22, 61, 26, 20, -41, 22, -45, 17, -30, 2, 45, -41, -59, 11, -27, -55, -48, -61, 61, 17, -65, -58, -33, 25, 48, -12, -40, -16, -25, 39, 21, -51, 56, -38, 48, 9, 57, -8, -2, -33, 15, -54, 13, -68, 28, 1, 22, 47, 22, 18, 7, 72, 48, 45, -20, -40, -57, 7, 31, 16, 42, 23, 28, 47, 7, -30, 6, -57, -4, 49, -45, 8, 14, -22, -30, 43, -19, -7, 18, -36, 67, -61, -52, -40, -12, 44, 3, 47, 40, -18, 40, -9, 18, 31, 22, -43, 43, -12, -53, 20, 18, -44, 21, 32, 10, -45, -54, 2, 43, 25, 50, 31, 49, 23, -39, 7, -3, 40, -54, 4, -55, 43, -56, 37, -11, 41, -1, -22, -54, -7, 35, 30, 37, 46, -4, -11, -32, 23, -32, 16, 59, 54, 5, -3, 58, -3, 36, 19, -9, 14, 58, 40, -37, 55, -20, 23, -29, 10, -14, -70, 55, 48, 20, -52, 1, -42, 49, -29, 57, 33, 57, 57, -8, -33, 46, -17, 49, -66, 6, -20, 22, -67, 28, 39, 19, 43, 46, -11, -33, -1, 6, -44, -56, 19, 6, 45, 13, 56, -36, 36, -13, 65, 37, -46, -55, -4, 29, -68, -65, -71, 17, 36, -19, 7, -38, 54, 54, -57, 14, -44, -17, 14, 55, 6, 49, 38, 5, -8, -42, 30, 32, -34, 4, -43, 47, -62, -73, -18, 35, -20, 48, -20, -56, 7, -44, 62, -56, 3, -5, -42, 32, -68, -24, 6, -26, 56, 40, 28, 52, 35, 2, 45, -15, -49, -60, 29, 55, 26, 54, -15, 15, 24, -50, 27, -40, -2, 36, 55, 49, 33, 58, -59, -60, 29, 9, 25, 23, 9, -6, 61, -43, -33, -41, -36, 2, 69, 26, -27, 27, -22, 49, -14, -63, 10, 9, -68, 0, -52, -30, -3, -62, -11, 2, 38, -30, -19, -58, 57, -31, 21, 27, 42, 11, 11, 35, 51, -6, 57, 56, -38, 31, -3, -49, -4, 18, 51, -52, 45, 5, -43, 43, 19, -56, 2, 41, 71, 17, -47, -32, 29, 17, -5, -14, -37, -14, -8, -40, 55, 11, 32, -6, -43, 35, 39, 30, 58, 15, -9, -60, -2, 48, 39, -28, -45, -4, -3, 21, -24, 45, -9, -55, -47, -54, 28, 78, 12, 0, 12, 34, -38, -58, 36, 38, -26, -37, -48, -2, 1, 58, -42, -35, -53, 76, -67, -16, -15, -19, -24, -56, 52, 46, 55, 43, 57, 11, -23, -63, 9, 21, 16, -31, 38, 2, 18, 24, 57, -32, -43, 44, 8, 56, 29, -27, -61, 49, -62, -50, 11, -56, -10, -33, -6, 30, 62, -9, -11, -50, 59, -4, -4, 32, -34, -6, -3, -10, -60, -2, -24, 40, -33, 17, 9, -1, 60, -18, 46, -44, 51, -50, -7, 12, -13, -55, -64, 54, -11, -25, -8, -49, 35, -39, -21, 45, -39, 35, 54, -48, 17, -31, 22, -28, 43, -53, -36, -44, 41, 41, 6, 31, -26, 8, 31, -44, -45, 23, -43, 56, 74, 24, -34, 13, -46, -61, -9, 14, -48, 41, 51, -49, 60, -6, 31, 52, 43, -44, 13, 44, 47, 17, -16, 28, -57, 0, 24, 0, -23, -14, 27, 12, -4, 13, 34, -3, 33, 40, -61, -33, -42, -19, 24, -27, -29, 32, 53, 30, 62, -42, -44, -1, 22, 60, -18, 28, -12, -37, -41, 2, 22, -31, -43, -15, 44, 6, 39, 6, 55, -52, -5, 2, 0, -28, 17, -18, 52, -33, 15, 54, 44, -5, 1, -32, -54, 25, -58, 52, 66, 43, -58, 25, -36, 24, 13, 66, 8, 14, 42, 46, 4, -48, 54, -38, -39, -41, 12, 33, -46, -63, -19, -22, -35, -30, -31, 47, -2, -51, 21, 9, 33, 23, -22, 56, -27, -59, 19, 2, 40, 30, -54, -58, 30, 20, 56, 46, 51, 35, -38, -46, -23, -58, -35, 53, -38, 44, -60, -12, 12, -40, -35, 39, -16, -34, -48, -48, -34, -41, 32, -33, 50, -11, -58, 32, -50, -40, -12, 18, -55, 40, -38, 13, 47, -16, 10, 21, 48, 29, 37, 31, -44, -61, 33, -8, 9, -6, -48, -20, -38, -2, 31, 38, 21, 42, -42, 11, 19, -14, -20, 42, -41, 17, 56, 56, -34, 32, -19, 74, -40, 12, 55, -57, -51, 61, -6, -54, -34, -13, -32, -33, 23, 46, 32, -31, 44, 21, -18, 7, -41, -54, -9, -49, 30, 32, 43, 50, -6, 23, 38, 28, -59, 28, 49, -38, -31, -5, -30, -12, 26, 27, 36, 52, 53, -8, 46, 37, -27, 17, -49, -38, -58, -11, -10, 28, 47, 67, -50, 57, -42, 27, -13, 33, 3, -24, 42, 18, -33, -46, -8, 25, -2, -14, 17, -40, -5, -36, 40, -30, -26, -30, 53, -15, 46, -35, -8, 45, -13, 67, -18, -24, 22, -38, -21, -14, 54, -32, 39, 24, 38, 62, -36, -55, -13, -28, 49, 16, 48, 13, 2, -41, -52, 18, 44, -53, 33, 26, -9, -49, -31, 60, -19, -56, 42, -27, -30, 13, -35, 11, -25, -15, 28, 1, -6, 33, 1, -7, -27, -46, -2, -50, 39, 16, 48, -57, 51, 4, 12, 34, -18, 17, -41, -54, -38, -22, 0, -51, -6, 6, -10, 7, 44, -20, -15, 15, -6, 45, 14, -51, -11, 5, -25, 2, -53, 47, -5, 49, -29, 68, -8, 9, -35, -49, -40, 44, 14, -36, -59, -51, -20, 35, -18, 22, 56, 20, 26, -50, -3, -44, -13, -29, -56, -31, 58, 53, 59, 0, 44, -35, -13, 6, 64, -11, 45, 29, 32, 57, -23, 12, 33, -23, -4, 6, -58, -37, -29, -26, -26, -45, -7, -37, -20, 33, -42, 32, 10, -9, -3, -19, 12, 53, 6, 47, 18, 56, 12, 24, -19, 5, 32, -62, -30, -47, -24, 35, -61, -57, -31, 8, -30, 22, -28, 39, 21, -46, -6, 44, -36, -4, 23, 53, -10, 32, 60, -16, -52, 42, 24, -27, 22, -33, 62, 46, -4, 33, -15, -33, -9, 46, 30, 32, -57, 53, 17, -13, -34, -7, -50, -21, 19, 27, -13, -32, -38, -53, -22, 45, 40, 16, 43, 60, 6, -24, -27, -38, 57, -54, 14, -55, 13, 27, -64, -54, 18, -33, -76, 6, -51, 49, -11, -29, 62, 42, 9, 3, 6, 15, 54, 30, 35, 1, 37, 49, -22, -5, 9, 24, -17, -36, -61, -52, 42, -30, -20, -33, 30, 45, 47, 28, -59, -41, -56, -44, 49, 7, 44, -22, -15, 75, -58, 8, 1, -41, -55, -52, -15, -63, 38, -21, 51, 46, -22, 63, -14, 60, -25, -40, -56, -61, 4, -35, -37, -30, 43, 20, -16, 28, 48, -13, -66, 27, -22, 47, 48, 12, -31, -53, -21, 59, -4, -23, 17, -60, -55, -55, 30, 23, -29, 45, -54, 0, -10, 53, -52, 42, 6, 48, 31, -38, -21, 29, 33, -19, 0, 18, -14, 33, 47, -38, -41, 7, -36, -43, 17, 51, 35, -6, 28, -38, 3, -2, -53, -24, -16, 61, 48, 28, 46, -48, -42, 42, 5, 29, 59, 36, 41, 59, 34, 13, -70, 54, 16, -11, 19, -31, 32, 13, -43, 42, -62, -28, -28, -9, 16, -37, -20, -10, -36, 39, 16, -7, -43, 23, -60, -57, 53, 52, -53, 10, 17, 49, 30, 56, -22, -28, 23, -38, -55, 15, -42, -37, -53, -7, -19, 65, 44, -29, 61, -9, -5, 44, 29, -4, 17, 39, -47, 51, -27, 9, -2, 12, 42, 51, 49, 61, 17, 8, 49, -33, 47, 17, 47, -22, 20, -16, -54, 35, 50, 37, 34, 26, -2, -10, 60, -25, 7, 69, 26, -28, 19, -20, -50, 60, 46, 10, -61, 55, -58, -26, -54, -54, -5, -62, 20, -38, 1, 23, 52, -57, -44, 55, 8, 55, -10, -18, -6, 7, 59, -17, -56, 43, -38, 45, -63, -34, 17, -11, -9, 17, -8, -39, -23, 38, 16, -36, -22, 58, -53, -7, -22, 39, -27, -31, -18, -3, -29, 9, -22, 13, -55, 23, -24, 14, 23, -42, 60, 26, -35, 46, 58, -59, -9, 42, 38, 8, -52, 20, 32, 59, 37, 38, -39, 28, 59, 45, 29, 24, -7, 13, 26, -5, 58, -37, 18, 3, -17, 17, -3, -41, 54, -47, -18, -23, 42, 69, -2, 14, -6, 46, 51, -53, 15, -57, 41, -52, 29, 3, 33, 36, 13, 3, 38, 58, 22, 21, 26, -43, -23, 21, -6, -20, 4, 45, 48, -28, -22, -53, -53, -55, -1, -64, 37, -11, 55, -11, 57, -42, 5, 21, 55, -17, -1, 37, -2, 37, -28, -44, -18, -61, -32, 44, 20, 37, -60, -14, 49, -41, -38, -49, -9, 26, 50, -39, 22, 24, -35, -35, 19, -32, 16, -42, -52, -59, -41, 3, -23, -42, 28, 23, -60, -13, 13, 9, 16, 56, -4, -49, 22, 16, -38, 57, -57, 47, -14, 37, -58, 50, 11, 51, 18, 9, -54, -29, 0, -5, 44, 8, -3, 52, 31, 26, -37, -17, 55, 48, 29, -21, -55, -2, -39, 26, -54, -35, -10, 23, -48, -56, -18, -25, 20, -38, 58, -44, 4, 36, -60, 50, 42, 51, 25, -3, 37, 35, 37, 28, 20, 47, -10, 3, -20, 11, 24, -30, -47, -18, 53, 1, -25, -14, 20, -10, 16, 35, 16, -27, 49, -5, 44, -36, -63, -6, 23, 4, 21, -50, -46, 8, 33, -55, 14, -3, -58, -21, -33, -23, 13, -6, -31, 60, -46, 0, 12, -15, 4, -26, 27, -27, -14, 22, -15, 8, 11, 20, 18, 49, -5, -36, -8, -7, -52, 19, 45, -34, 44, 37, 2, -42, 8, -4, 14, 34, -39, -6, -60, -58, 43, 41, -55, -57, 9, -29, -29, -47, 26, -50, 15, 29, -51, -7, -50, 22, -54, -24, -44, -59, -55, 33, 49, -13, -20, -37, -34, -32, 40, 49, 33, -59, 23, 9, -4, -20, 34, -50, 25, -43, -31, -30, -31, -23, -16, 54, -57, 54, 33, 13, 39, -6, 61, 61, -28, -33, -16, -59, 41, -34, -21, -54, 19, 23, -48, 47, 31, 25, -38, -35, 49, 33, -17, -13, -21, 15, -13, -27, 40, -59, -36, 1, -51, -28, -26, -40, 13, 46, 44, 15, -53, 23, -25, -1, 43, -44, -51, 40, 53, -3, -15, -59, -23, -20, 39, 57, -42, 49, 28, 52, -1, 15, 0, 17, 47, -20, -15, 0, -17, 58, 62, 56, 3, -7, 6, -16, -33, -50, -21, -50, -54, -28, 7, -53, -28, 7, 16, 34, -28, -4, 10, -50, -58, -46, 1, -39, -36, 30, 54, 7, 35, -55, 5, 36, -32, -45, 22, -13, -16, -24, -8, 39, -44, -53, 38, 19, 51, 16, 10, 21, -31, -33, -38, 30, -48, -54, 16, -23, 22, 21, -2, 28, 6, 58, -26, 24, 58, 20, -47, -49, 49, -8, 26, -46, 37, 1, -62, 24, 29, 43, 57, 51, -32, -12, 27, -66, 4, 50, 9, -49, 28, 50, -20, 20, 12, 36, -14, -36, -49, -30, -19, 9, -26, -39, -11, -11, -20, 17, -16, -55, 9, 33, 31, -3, -45, -24, -55, -56, 16, 50, -58, -4, 1, 33, 6, -6, 35, 0, -8, -57, -4, -56, 18, -53, 8, -4, 49, 14, -24, 49, -11, -37, -14, -53, 8, 58, 48, -42, 3, -25, 40, -41, -15, -24, 50, 34, -10, 27, -3, -8, 17, -50, -9, -13, -34, 47, 19, 50, 54, 3, -37, 51, -18, 17, -22, -19, -31, -3, 47, 57, 47, -14, 46, 3, -48, 45, 43, 4, -6, 51, -54, 12, 52, -48, 16, -2, -54, -5, 40, -59, 48, -8, 2, -16, 30, -5, 40, -31, 61, 42, -36, 42, 43, 24, -14, 37, 6, -4, 35, -54, -51, 12, -33, -59, 39, 54, 0, -31, 54, -58, 70, 35, 25, 12, -34, 43, -44, 46, 8, -42, -27, 4, 46, -46, -8, 28, 61, 53, 25, -49, -19, -27, -54, -40, 41, 39, -51, 6, 59, 34, -7, -39, -58, 31, 11, -30, -40, -47, 52, -41, -43, 12, 39, 26, 54, 58, -20, -54, -24, 42, -52, -21, -56, -53, 21, -10, -61, -44, 47, -16, 6, 9, -1, -44, -56, -9, 69, -29, -13, 20, -41, -39, 32, -29, 10, 42, 38, -60, 10, 7, -1, 56, 57, -12, 4, -49, 48, 13, -23, 44, -45, -37, 29, 3, 0, -17, 5, -13, -65, 37, -34, 40, -4, -52, -52, 32, -13, 37, 15, -18, 12, 61, 26, 60, -42, 12, -2, 2, 18, 17, -3, -39, 8, -49, -31, 20, -12, -37, -16, 45, -5, -51, 31, -53, 1, 4, -39, 0, -20, -9, 6, 27, -37, 71, 45, 53, -52, 46, -55, 1, -28, -29, -16, -48, -17, 35, 35, -26, -10, 37, 42, -25, -40, -17, 24, -56, -33, -28, -58, -11, -30, 30, 0, -61, -34, 26, 13, 42, 29, 10, -28, -27, 42, 52, -56, 55, -3, 21, -32, -20, -42, 34, -30, -37, 16, 1, -23, -60, 64, 38, -21, 2, -1, -60, 24, -26, 35, 52, -48, -36, -53, 28, -3, 11, 33, 13, 21, -56, -13, -44, -31, -1, 45, -10, 8, 58, -56, -48, 10, 52, -55, -56, 60, 7, 11, 46, 19, -18, -10, -41, 39, 55, 31, 36, 36, 35, -18, 17, 53, -59, -25, -53, -5, -19, 48, 34, -38, 27, 28, -9, -16, -41, 22, 22, 16, -36, 8, 25, -9, 50, -34, 0, -42, 30, 12, 20, -33, -41, 15, 25, -55, 35, 49, 68, -41, -2, 15, -7, -16, -3, -56, 28, 51, 50, -7, 40, -3, 11, -72, -16, 21, 58, -71, -48, -45, 29, -23, -18, -25, 11, -13, 7, -51, -14, -57, 35, 33, 3, 42, 46, 29, 59, -22, 18, 6, 2, 27, -25, 36, -21, 55, -41, 25, -53, 1, 19, -33, -9, 28, -58, -11, -34, 22, 2, 52, -17, -22, -14, 39, 23, 60, -20, -44, 32, -58, -27, -22, 14, 31, 54, -61, 41, -51, 49, -5, 54, -3, 48, 33, -12, 11, 18, 19, -14, -27, 19, 5, -27, -43, 52, -18, 25, -18, 20, -14, 28, 25, 60, 31, -29, 51, -71, -3, 11, 45, 35, -22, 48, 5, 16, 16, -11, -22, 51, 28, -21, -9, -39, 32, 17, 4, -30, 2, -32, 39, -51, 19, 31, -44, 12, -13, 35, 1, 39, -37, -40, -8, 23, -2, 38, 18, 13, -32, 11, -50, 19, 22, 61, 60, 7, -11, -3, 22, 39, -40, 2, -38, -41, 20, 48, 59, -20, -61, 23, -24, 3, -62, -9, -46, 6, -13, 58, -25, -16, 21, -8, 52, -46, -47, 9, -47, -7, -44, 6, -44, 22, 22, 42, -6, 4, -49, -20, -12, 60, -49, 6, -19, -42, 15, -41, 51, 3, 20, -58, -57, 51, -60, -53, -7, -33, 24, -22, -7, -57, -8, 33, 11, 26, -23, -2, -28, -52, 30, 56, 45, 27, 57, 46, 53, 13, -16, -33, -45, 51, 19, -38, -59, -5, -41, 8, 38, -36, 23, 38, -25, -12, 42, 27, -17, 6, 14, 55, 7, -25, 41, -53, -9, 7, -1, -55, -35, 7, 13, 31, -17, -9, 57, -1, 36, -58, -59, 42, 1, -44, 49, -15, -14, -56, -61, 49, 26, -30, -23, -30, -49, -12, -51, 35, -60, -55, 62, 42, 6, 48, -48, 35, -1, -18, -2, 15, -8, -2, -18, 3, 8, 42, -56, 12, 4, 14, -39, 11, 32, 49, 0, 23, -37, 42, 9, -58, -33, -40, -43, -31, -31, -1, -34, -31, 48, 12, -28, 54, -39, 6, -50, -56, 33, -18, -31, 18, -12, 5, 46, 48, -53, -11, 45, -7, -62, 38, -52, 33, 63, -7, -55, -6, -49, 45, -15, -13, -74, 41, -45, -33, -15, -37, 44, -54, 2, -48, -36, 55, -6, -44, -18, -26, 22, 2, -61, -7, 18, -2, -43, 47, -6, -50, -46, 63, -27, 34, -47, 51, -28, 11, -41, 41, 38, -50, -26, 25, -20, -24, 25, 47, -51, 29, -34, 27, 11, 46, 4, -17, -14, 16, -21, -6, -47, -3, 17, 61, 2, 44, -30, -20, 24, 17, -3, -16, 48, -20, 25, 54, 47, -33, -64, 41, -48, 31, -84, -11, -7, 37, 34, -30, -40, -48, -47, 29, -15, 10, -59, 1, -4, -19, -23, -27, 22, -6, -65, 0, 55, -20, -2, -18, -32, 14, -46, 19, 36, 54, 37, 3, 51, 18, -23, 58, -33, -12, -56, -4, -53, 40, 2, 41, 6, -36, -32, -19, -29, 50, -2, 27, 55, 19, 36, 60, 21, -52, -42, -35, 23, -36, -26, -51, 22, 41, -3, 40, -41, 63, 60, 4, -59, -10, -27, 27, -58, -29, 47, -46, 32, -8, 7, -27, -3, -10, -32, -39, 11, -49, -15, 3, -17, 12, 37, -15, 13, 18, -11, 49, -46, 32, -26, -40, -21, -26, -30, -21, -24, -8, 39, 14, 51, 10, -48, 33, 36, 5, 14, -1, 40, -61, -61, -4, -56, -46, -43, 40, 63, -46, 54, -24, 2, 3, -16, -55, -3, -40, 49, -20, -40, 70, -39, -50, 58, -7, 48, 54, 14, -21, 63, 8, -49, 10, -31, 25, 6, 62, 39, 14, 1, 4, 2, 47, 47, 33, 36, -12, 40, 46, 47, -62, -2, -13, -23, -60, -57, 13, -4, 4, 50, 27, 28, 49, -28, 51, -16, -36, 24, -34, 7, -30, -53, 44, 52, -13, -6, 22, -19, 46, -56, -38, 16, 17, 57, -43, -31, 34, -24, -43, 20, 51, 39, -16, 64, -22, 34, -41, -35, 59, -1, -47, 35, 20, 36, -19, -18, -18, 40, -60, -53, -30, 24, 1, 41, -44, -62, -60, 58, -2, -28, 40, -23, 54, 4, -8, -51, 14, 50, 60, 20, -20, -24, 12, -59, 19, 20, -25, 23, -54, 48, -35, 45, 21, -4, -45, 12, 12, -40, -12, 52, 4, 22, -16, -42, 45, -33, 11, -71, -15, 53, -2, 43, 0, 29, -1, 27, -40, -52, 22, -17, 50, 6, 51, 49, 18, -34, 17, 9, 61, -21, -18, 6, -59, 13, 63, -48, 38, 29, 61, 18, 10, 35, 17, -25, -24, -54, -16, -24, -53, -58, 29, 34, -11, -53, -24, -50, -63, 23, -8, 9, 4, -8, 37, 48, -5, 16, 16, 39, -1, 37, -4, 37, -61, -14, -24, 50, -31, -24, -1, 2, 38, -53, 14, -57, 11, -41, -45, -19, 21, -49, -36, -35, 41, -29, -5, 26, 50, -14, -16, 58, -46, 8, -22, -40, -11, 36, 56, -49, 38, -61, -14, -43, 32, 7, -10, 37, 13, -19, 31, 27, -4, -47, 44, 9, -63, -1, -36, 7, 10, -9, -22, 12, 0, 14, 33, -41, -55, -2, -19, -56, 8, -4, 55, 26, 11, -11, 55, -59, -31, -33, -53, 8, -10, 36, 22, 7, 35, -40, 38, -48, -46, 49, 46, 4, -17, 13, 2, 13, 11, 5, 32, 47, -26, -9, 59, -27, 31, 45, -60, -11, -43, -45, -20, -14, 0, 50, -38, -26, -63, 57, 43, 48, -36, 24, 44, 52, -17, -8, -35, -57, 25, -17, 16, 4, 52, -47, 35, -23, -15, -4, 31, 54, 9, 24, 51, 28, 63, -12, -39, 22, -64, -63, 22, -19, -15, 56, 31, -45, -30, 57, 44, 3, -14, 33, -43, -13, 2, -58, -17, 13, -58, 47, -21, 14, -33, -59, -62, 22, 33, -19, -17, -40, 21, 38, 3, -29, 57, -34, -40, 3, 61, 22, 59, 47, 47, 15, 39, -9, -19, 49, -12, 34, -19, 26, 38, 41, -8, 17, 34, 51, 2, 6, -58, 46, -11, -28, 29, 34, 34, -34, 19, 7, -62, -34, -32, 10, 43, 29, 55, -48, -2, -28, -29, -11, 25, 32, -61, -50, 19, -22, 35, -22, 46, -39, 42, 51, -11, -29, 32, -21, 21, -56, 34, -11, 38, -46, -9, 59, 57, 25, 14, 13, 54, 6, -25, -59, -4, 38, 6, -59, -19, 23, -22, -35, 50, -5, -64, -17, 59, -40, -31, 54, 31, 66, 29, 37, -42, 11, -29, 11, -50, -76, 1, 16, 31, -13, 1, -57, -19, -8, 34, -46, 9, 24, -44, 7, -24, -55, -44, -39, -42, -43, 42, -36, 24, -27, -22, -53, 36, -36, -24, -55, -22, 6, -32, 7, -14, 47, 21, 52, -24, 3, -19, -22, -32, -39, 56, 9, -6, -10, -46, 54, -8, 38, 5, 22, 57, 12, 41, 31, -5, 36, -9, 58, 49, 26, 11, -37, 36, 47, 19, 21, 20, -13, -48, 52, 27, 19, -7, -10, -63, -30, -59, -33, 38, -22, -33, 6, 26, 3, 11, -27, 51, -30, 27, -33, -42, 2, -28, 7, 19, 0, 21, 6, -11, -59, 50, -52, -27, -6, 41, 53, -33, 19, 6, -13, -50, 37, -56, -34, -51, 39, 8, 37, 33, -43, 3, 56, 43, -33, -19, 55, -15, -25, 24, -27, -58, 33, -21, -17, 28, -34, -30, -13, -56, -52, -8, 2, 40, 23, -14, -8, 43, 52, 19, 40, 34, 52, -13, -11, 18, 43, -60, 28, -7, 32, 21, 26, -61, -3, -57, -49, 48, -49, -49, -18, 12, -66, 39, -8, 68, -8, 10, 36, -61, 18, 50, -17, -5, 56, 31, 60, 13, 10, -30, -4, 36, -34, -49, 9, 27, -46, -18, -17, 8, 46, -11, 37, -23, -39, -24, -51, -22, 21, -52, -52, 61, -20, 7, 0, 3, 25, -47, -5, 42, -51, -30, -15, -1, -13, -49, -26, 4, -2, -46, -12, 3, -17, -21, 38, 40, 45, 4, -20, 15, -9, -27, 20, -4, -58, -3, 42, -61, -43, -15, -32, 18, 47, -11, -14, 2, -17, -31, -43, 48, 55, -25, 30, 21, -2, 0, 56, 7, -1, -35, 60, -57, -53, -13, -34, 43, 19, 16, 2, -11, 47, 54, -49, -40, 51, 22, 20, -21, -8, 13, -15, -48, -44, 55, 60, -44, -13, 52, 29, -51, -50, -25, 51, -47, -36, 44, -12, 18, 51, 39, 15, -51, 27, 43, 39, -51, 39, -4, -10, -50, 54, 40, 51, -34, -33, -35, 48, -1, -48, 28, -26, 0, -8, -52, 41, -55, -45, -4, 30, 47, 15, -12, 34, 57, -43, 45, 45, -63, -39, -40, -4, -7, -7, -9, 12, 5, -32, -39, -42, -54, -25, -57, 15, 11, -5, 9, -3, 18, -60, -50, 62, -27, 11, -56, 43, -43, 58, -35, -5, -11, -18, -49, 12, -45, 22, 33, 3, 19, -11, 1, 52, -36, 8, 33, 30, 43, 44, -3, -33, -18, -48, 39, 14, -46, 32, -41, 21, -43, 36, -23, -35, 10, 16, 23, -55, 61, 16, -31, 58, -18, 31, -43, 19, -11, -58, -36, 51, 22, 71, -17, -17, -35, -60, -23, -11, 45, 50, 60, -24, 10, -18, -53, 14, -51, -43, -46, 43, -48, 16, -9, 25, 24, 64, 24, 9, -52, 54, 10, -25, 22, -53, 38, -13, -55, -6, -34, 40, 34, 50, 21, 49, -38, 33, 17, 66, 0, 1, 6, -19, 35, 36, -55, 46, -53, 20, 31, -5, -52, -15, -29, -17, -67, 42, 40, -10, -20, -46, -47, -25, 16, 29, 28, 40, 18, 30, -46, 6, -4, -21, -53, 31, -17, 2, -30, 36, 51, -10, -7, -25, 56, 16, 29, -3, -19, -10, 32, 57, -51, 12, -31, -49, 44, 58, -23, -29, -34, 11, -3, -20, -24, -15, 5, 2, 27, -64, -26, -34, 54, 57, 8, 37, 48, -30, -55, 38, 42, 39, -59, 39, -32, -25, -8, 18, -19, -27, -4, -9, 55, 40, -34, -28, 33, -27, -56, 23, -53, 48, -6, 13, 0, -20, 32, 16, -48, 36, 2, -10, -39, 59, 52, 37, 45, 7, 9, -1, -47, 63, -3, 20, 32, -15, 7, -55, -54, -56, -2, 47, -54, 7, 60, -60, -38, -10, -24, 39, -35, -56, -8, -18, 20, -21, -7, -24, -62, -53, 33, -13, 42, -22, -54, -19, -53, -57, 17, -60, 54, -40, 18, 8, 19, 2, -17, -42, -39, -19, 53, -50, -15, 10, 26, -35, -39, 24, -40, -5, 24, -2, 10, -4, -9, -1, 49, -55, 45, 20, -18, 56, -24, 12, -13, -12, 10, -23, 3, -42, -53, 65, -14, -50, 24, -11, -43, 57, 49, -28, -35, -46, 51, -48, 35, 17, -3, -54, 52, -6, -42, -11, -57, -47, -9, -36, -57, -43, -18, -57, -52, 30, -32, 8, -2, -62, -37, 34, 39, -55, 53, 57, -14, -43, 38, -55, -1, 1, -9, -39, -29, -6, -29, -13, -9, -9, 11, -42, 39, 18, -37, -48, -1, -55, 46, -39, -40, -27, -47, 45, -10, -34, 39, -46, -53, 8, 1, -26, -49, 3, -9, 46, -23, -21, -33, -62, -47, 45, 25, 46, -60, 31, -35, 33, -44, -27, -22, -28, 26, -40, 31, 51, -6, 19, 41, 41, 65, 12, -1, 66, -37, 40, 4, -31, 47, -44, 11, -37, 5, -58, 6, -16, 56, -11, 50, -52, -23, -14, -55, -48, -56, -8, 29, -5, 4, -11, -53, -31, -31, 21, 12, -43, -19, 11, 53, -2, 25, 0, -60, 6, -25, 30, 1, 40, 5, 31, -17, -35, -28, 34, 55, -26, -17, -52, -60, -47, 52, 22, 33, -41, 30, 38, 5, -49, -36, -38, 49, 20, 32, -35, 8, -55, -32, 33, -26, 23, 0, 5, -51, 25, -1, -50, -24, 44, 34, 61, -51, 53, 20, -55, 18, 34, -51, -15, 59, -12, 25, -12, 16, -16, 26, -13, 35, 46, 52, -52, 24, 52, -45, -9, 46, 18, 50, -32, -38, -38, -40, 31, -15, -52, -13, 26, 24, -10, -27, 51, -23, -32, 55, -34, -43, -23, 47, -14, -10, -51, 50, 33, 54, -49, 11, -19, -10, 15, 16, -54, -44, -52, 12, 34, 31, 34, 22, -17, 49, -52, -44, -18, 40, 45, -45, -9, 66, 0, 20, -26, 15, 28, -14, 58, -1, 53, -53, -29, -26, -45, 17, 11, 72, 45, 25, -35, -33, 7, 55, 45, 33, 41, -49, -54, -52, -10, -48, 10, -20, -13, 29, 17, -39, 45, 22, -25, 35, -38, -18, -58, 16, -55, -18, -45, 5, -8, 18, -30, -5, -24, -15, -54, -39, -42, -27, 7, 19, 74, -3, 27, 42, -25, 44, -3, -46, -57, -42, -12, -15, 35, 12, -32, 47, 36, -7, -37, 44, 55, 50, -31, 39, -20, 40, -62, 6, 13, 8, -9, -56, 28, 5, 20, -13, -55, -25, 26, 25, 33, 20, 55, -32, 54, 11, -44, -24, -62, 44, -25, 9, 25, -7, -52, 38, 21, 27, 37, 11, 11, 32, -26, -58, -51, 3, 48, 31, 35, 46, 35, -25, -8, -5, 20, -51, -66, -53, -61, -32, 37, -33, 9, -3, -32, 18, -23, -31, 13, -57, 51, 3, -10, 51, 53, -50, -41, -7, 44, -21, -38, -36, -49, 10, -30, -60, 22, -35, -33, 13, -16, -49, -38, 27, 31, -47, 13, 39, -23, -16, 13, 39, -57, -56, -35, -24, 58, -48, 60, 10, 32, 27, 45, -3, -47, -26, -1, -8, -45, 30, 11, -65, -44, -6, -47, -3, -70, -9, 31, 16, 51, -7, 12, 2, -8, -6, 31, -48, -14, -20, 18, 44, 17, -15, -51, 48, 36, -5, -20, -49, 45, 56, -21, -43, 60, 35, -49, 7, -8, -9, -19, 21, -5, 7, 10, -8, 34, -40, 21, -22, -39, -43, 4, -30, 44, 8, 1, 0, -57, -28, 8, 57, -41, -29, -2, -4, -18, 31, 44, 53, 26, -4, -50, -70, -10, -17, -7, 3, 13, 11, -56, -33, 23, 8, -41, -14, 23, -55, -36, 57, 8, -25, 9, -17, -46, -39, 48, -39, -25, 48, 26, 56, 2, -34, 54, 14, 50, -20, 23, -13, -51, -1, -33, 31, -26, 9, -33, -43, -44, 8, -21, 42, 1, 53, 16, -26, 57, -43, -61, 49, 56, 32, 35, -58, -40, 47, 33, 33, -25, 41, -49, 23, -51, -9, 10, 30, -50, -15, 36, -54, -28, -15, -14, -45, 52, -17, 45, -16, -16, 24, -3, 55, 59, -51, -41, -31, -39, 17, 26, -18, -51, -30, -3, 41, -49, 58, 24, -38, 43, -35, 15, 53, 14, 26, -20, 38, -47, -64, -24, 16, -22, -51, -22, 53, -4, -1, -30, 61, -43, -12, 27, -47, -46, 27, -14, 11, -40, 18, -29, 68, 44, -22, -10, -16, -32, -33, -20, -6, 42, 33, -45, -27, -41, 59, 47, 28, -18, 19, 7, 23, 7, -53, -32, -56, 29, 57, -67, 2, -43, 22, -16, 55, 25, 40, -60, -45, -24, 5, 8, -14, 30, -26, -45, 66, -28, 17, -22, 37, 42, 31, -52, -47, 50, -46, 52, 31, 10, -2, 35, -12, 39, -57, -7, -25, -39, -6, -56, -18, -46, -47, 34, -65, 48, -15, 58, 53, 46, -7, 48, 16, -33, -63, 0, 22, -36, -23, -56, -44, 7, 0, 12, -14, -52, -55, 17, 50, 60, 12, 39, -12, -34, 2, -21, 17, 51, -1, 20, -33, 63, -20, 10, 45, -13, -21, 43, 36, -44, -3, -3, 16, 0, -19, -60, 33, -23, 65, -51, 60, -60, 41, -17, 51, 48, -56, 26, -17, -7, -39, 13, 30, 48, 0, 59, -12, -26, 20, -54, 24, 40, -29, -18, -9, 3, -37, 49, -7, 10, -41, 14, 41, -4, -3, 16, -12, 15, -42, -26, -61, -22, 44, 30, -42, -33, 62, 37, -42, 44, -46, -20, -33, -47, -32, 42, -3, 47, -12, -33, -22, 54, -65, -2, -59, -31, -30, -13, 19, 31, -27, -3, -6, -35, 43, -32, -7, 33, 46, 54, 28, 59, -23, -33, 53, 53, 21, -26, -38, 21, -36, 7, 37, 53, -15, 54, 50, -1, 49, 40, -60, 35, 45, -25, 42, 45, 29, 8, 8, 20, -3, -41, 41, 18, 21, -32, -63, 58, -59, 13, -51, -15, -34, 38, 26, -55, 5, -28, 32, -33, -10, 1, -30, 31, 15, 19, 6, 10, 46, 27, 60, 48, -23, -33, -17, -55, -59, 60, -56, 19, -42, 40, 48, 3, 49, -46, -60, 5, 40, -21, 3, 42, -46, -15, -34, 43, -20, -53, -13, -52, -25, -34, -4, -63, 58, -3, 40, -7, 7, 34, -88, -35, -54, -65, 59, 65, -41, 54, 12, 30, -45, 16, 48, -57, -53, 23, -4, 60, -32, -66, -35, 11, -39, 26, 27, -11, -32, -3, 35, 49, 44, 49, 40, 36, -32, 13, 51, 10, -29, 55, -25, -43, -59, 34, -33, 30, -1, -31, -6, -57, -49, 36, -30, -10, 37, -21, 41, 41, -56, -55, -28, -4, -23, -19, -51, 32, 48, 25, 25, -13, 2, -57, 40, 4, 21, 17, 36, 62, 13, 22, -17, -56, -76, 40, -18, 26, 11, 9, 26, -14, -35, 44, 44, -18, -13, 30, 54, 19, 18, 50, 8, 26, 31, -1, -47, -54, -37, -43, 26, -53, 1, 9, -2, -39, -16, 38, 21, -45, -13, -6, 43, 33, 57, 42, -47, 21, -49, -61, 11, -34, -54, 35, -20, -29, -61, 33, 52, 53, 62, 31, 26, -29, 2, 27, 27, -63, -8, 12, -34, -57, 16, -43, 24, -21, -27, 62, -32, -34, 66, 4, -48, 49, 56, -11, -34, -45, -44, 22, -11, 1, -52, -16, -16, 36, -38, 6, 15, -43, 15, -36, 36, 53, 10, 40, -32, -37, 57, -34, 38, -23, -39, -31, -58, 44, 29, -54, -15, 38, -25, 1, -4, 15, 62, 15, 69, 9, -6, 55, -52, 10, -47, -10, 13, -24, 62, 37, -43, -1, 54, -32, 5, 1, 57, -29, -17, -15, -43, 43, 39, 34, 49, -25, -32, -10, 41, 1, 58, -22, -7, -50, 45, -28, 54, -46, -6, -39, -11, -59, 10, 28, 20, -14, 31, -32, 26, 8, -32, -24, -7, 3, -28, 1, 15, 61, 32, 12, -25, 31, 7, 4, -3, 11, 25, 44, -18, -27, -36, -4, 36, 47, 63, -14, -24, -39, 40, 7, -46, -27, 8, 39, 48, -2, -33, 12, -61, -53, -37, 46, -24, -27, 62, 59, 29, -62, -30, 5, -42, -49, -41, 4, 8, -40, -41, -37, -7, -37, -31, -60, -23, 26, 16, -22, -35, -34, -10, -1, 48, 36, 48, 33, 13, 1, 41, 60, 21, 29, 10, 17, -43, 41, -48, -10, -44, -33, 12, -22, 32, -10, -58, -44, -31, 20, -16, 35, 14, -60, 38, 18, 27, -28, 46, 42, 55, -17, -27, 51, 32, -21, -17, 55, 16, 23, 18, -28, 51, 19, 44, -22, -27, 14, 6, 5, -34, -42, 34, 61, 26, -12, -48, -56, 5, -42, 12, 30, 6, 54, -12, -50, 61, -46, 47, 61, -45, 23, -61, 39, -12, 30, 32, 50, -47, -21, 53, -30, 7, 7, -7, 16, 55, 24, -58, -54, -21, 37, 8, -40, 4, 18, -2, 23, 39, 19, 9, 10, -9, 7, -57, -65, 24, 14, -20, -45, 47, -51, 34, -48, 58, -22, 45, -6, 39, 47, 12, 56, -18, 28, -49, -19, 20, 35, -24, 50, 39, -69, -32, -29, 46, 15, -69, -56, 46, 38, 18, 33, -28, 29, -13, 0, 38, 33, -50, -5, -5, -38, -1, -45, -80, -63, -29, -79, -13, -25, -32, 28, 97, 29, 42, -17, -4, 41, -23, -63, -13, 27, 20, -34, 38, -63, -64, -9, -41, 53, -40, 54, -20, 29, 27, 13, -38, -42, -38, 43, 61, 24, -69, 12, -38, -43, 44, -46, -32, 37, -44, 4, 19, -61, -54, -50, -13, 53, 30, -55, 17, -19, 34, -2, -13, -41, -60, -24, -49, -11, -17, -42, -33, 30, 42, 43, -44, -22, -52, -34, -35, -44, 34, 6, -6, -54, 55, -2, -14, -17, 54, 60, -16, -57, -56, -1, 57, 25, -23, 35, 5, -20, 0, 9, -12, -23, 50, 24, -7, 33, 47, -2, -60, -42, -21, -29, -22, 49, -49, -46, 16, 44, 64, 45, -42, -46, -20, 16, 17, -56, -17, -46, -9, 16, -51, -5, 22, 14, 57, 32, 54, 38, -71, 14, -20, -16, 41, 40, 8, -16, 31, -11, -12, 30, -19, 35, 28, -37, -70, -41, 50, -23, -15, -12, 15, -41, 3, -56, -7, -8, 43, -6, -10, 11, -17, 62, 17, 32, 85, 17, 65, -2, 51, 40, 22, 49, 59, -1, 41, -36, -41, 47, 50, 4, 32, -49, -24, -35, -14, 43, -45, 43, -22, 10, -50, -39, -8, -7, -16, -18, 13, -2, 47, -51, 21, 24, -31, -16, 28, -27, 40, -4, 10, 0, 6, -28, 26, -34, -36, 46, -7, 29, -13, -43, -15, 43, 28, 53, -6, -35, -14, -20, -43, 11, 32, 17, 46, 51, 5, 38, 70, -23, -27, 54, 10, 59, 31, 60, -60, 36, 57, 45, -8, -19, 21, -24, -8, -38, -7, -59, 62, 28, -8, -8, 5, -37, 9, -11, -3, -50, 52, 15, 10, 57, -34, 30, 26, -50, -23, 18, -25, 49, -58, -8, 18, 55, 39, 13, -61, -29, -21, -59, -20, 26, -22, 48, -43, 24, 11, -37, 32, -48, -1, -23, 53, -6, -24, 51, -25, 19, 6, -41, 61, 12, 42, -11, 5, 57, 5, 60, 8, -23, 39, 27, 33, -21, -38, 12, -61, 45, 4, 18, -8, 21, -10, -17, 35, 5, -27, 60, -48, -7, 32, 29, 45, -3, -28, 17, 8, -46, -56, -51, 3, 33, -2, -18, 14, -58, -59, -42, 0, -30, -37, 9, 58, -3, 56, 27, 58, -27, 16, -38, 7, 24, -25, -19, -41, 58, 16, 16, 38, 19, 25, -18, 57, 15, 9, 13, -57, -4, 57, 12, 59, 17, -60, 37, 13, 17, 26, -61, -25, 3, 8, -35, 19, -54, 51, 55, 30, -50, 10, 19, 41, -60, 12, 13, -40, 44, 26, 40, 7, -24, 50, 55, 18, 45, -18, 52, 4, -51, 13, -30, 14, 46, 41, 51, -2, 3, -33, 43, -38, 68, 63, 25, 66, -40, -19, -36, 36, 51, 11, 18, 6, -51, 51, 66, 52, -59, 32, -11, -15, -15, 41, -10, 33, -57, -73, -70, -21, -33, 22, -46, -9, -49, -50, 4, 31, 38, 44, -63, -59, -21, -20, 12, -22, 20, 14, 19, -34, -15, -48, 10, 10, 19, 29, 44, 26, 15, 23, -13, -59, -43, -21, -57, 22, -46, -21, -14, -37, 8, -8, -21, 28, 13, -62, -24, 49, -5, -49, 12, 17, -10, -35, -1, 44, -14, -49, 56, 13, 38, -1, 20, 15, 33, 51, -43, -63, -50, 2, -40, 45, -20, 20, -15, 41, -23, 28, -45, -10, 62, 31, 35, -23, 44, 14, -61, 17, 57, -40, -58, -51, 14, -46, 42, 5, 2, 35, -39, 42, -49, -21, -71, -40, -50, -37, -9, -49, -30, -36, -7, -20, 15, -43, 49, -12, -31, -57, 13, -15, 37, -45, 26, 58, 13, 8, 17, 47, -49, 18, 47, -61, -9, -46, 26, -39, 22, -37, -52, -4, 40, -33, 61, -2, -23, -26, -2, -25, 45, -31, 26, 36, 30, 21, -24, -40, -25, 61, 59, -1, 76, -12, 8, -39, -29, 39, -22, 28, 11, -56, -2, 10, 24, -46, 1, 2, -4, 59, -53, 39, -30, -57, 8, 47, 10, 20, 56, 32, -47, -24, -32, 22, 51, 29, 32, -45, -27, -7, -53, -44, -2, -36, 37, 22, -30, -26, 9, 14, -21, -20, 3, -46, -12, -28, -6, 24, 4, -18, -6, -28, -27, -61, 35, 1, -25, 59, 18, 33, -17, 21, 37, 45, 21, 40, 9, 5, 71, 35, 40, -31, 39, -16, -54, 0, 49, 15, 51, 3, 31, 48, -61, 51, -1, 19, 24, -42, 45, -10, -19, -4, -39, -47, -59, 44, -31, 20, 7, 52, 24, 5, -12, -49, 4, 36, 20, -50, 9, 44, -4, 18, 21, -41, 6, 27, 39, -43, 51, -57, -5, 27, -9, 42, -9, -31, 22, 52, -26, 36, -16, -40, 5, -27, -34, 44, -17, 4, 15, -20, -59, 3, 45, 11, 39, -61, 10, -4, 45, 68, 28, -27, 40, 40, -18, -14, -41, 62, 2, 59, -3, -4, -2, 24, 39, -30, -20, -32, -46, -65, -35, 24, -28, 29, -62, -46, -45, 13, 19, 33, 18, -55, 6, 15, 2, -27, -46, -26, -52, 44, 31, -41, 34, -15, 47, 29, -13, 22, 19, -59, 25, -8, 35, 12, 18, 20, -61, 40, -3, -11, -49, -42, -50, -60, -26, -55, 22, 38, -35, 1, 11, 18, 11, 31, -50, -41, 3, 2, -5, -32, 10, -36, -18, 24, -44, -52, 61, 34, 15, -46, 53, -56, -29, 63, -9, 46, -6, -27, 8, 27, 11, -3, 46, -53, 41, 37, -43, 9, -18, 42, -17, -1, 43, -41, 15, -36, -55, -43, -36, -22, -2, 23, -37, -42, -56, 20, -40, 46, -36, 5, -57, 24, 56, -46, -4, 40, -47, 13, 19, -43, -9, -3, -45, 35, 2, -14, 45, 7, 41, 3, -2, -31, -53, 22, -10, -30, -42, 38, -40, -52, 55, -56, -23, 1, -43, -44, 19, -39, -2, 12, 26, -11, -4, 61, 21, -20, -45, -11, -9, -23, 67, 63, -8, 53, -43, 20, -57, -36, 13, -30, -21, -4, 62, 10, -27, 48, 35, 23, -15, 15, -44, 31, -8, 29, -8, -55, 1, -24, -47, -15, -74, -12, 15, -27, -59, -32, 38, -9, -13, -41, 57, -30, 31, -55, 12, 8, 48, -10, -34, 37, -35, 54, -48, 8, -50, -65, 43, -57, -40, -20, -40, -13, -50, -15, 29, 55, 21, -43, 31, -19, 9, 56, 5, 1, 28, -22, -8, 48, 27, -18, -41, -20, 20, 5, 26, -23, -30, -52, 8, -15, -3, 6, -21, -29, 4, 42, 49, -22, 55, -26, -42, -37, 58, -57, 43, 33, 46, -4, 20, 57, 48, -16, 24, 50, -21, 4, -49, -2, 31, 33, 24, -12, -65, -6, -21, 62, 24, -20, 4, 37, 36, 5, 47, -8, 24, 49, 1, -30, 24, -48, -21, 33, 56, -1, -3, -48, -10, 42, 26, -55, 18, -55, -53, -17, 44, -4, 56, -39, 33, -39, -54, -44, 5, 8, 47, -67, 43, 16, 0, 30, 25, -10, 60, 41, 64, 52, 1, 44, 61, 3, -42, 17, 30, -12, 0, -36, 50, -16, 27, 45, 21, -1, -10, 3, 73, 21, 34, -26, -20, 31, -63, 44, 22, -43, -15, -10, -14, 4, -56, -17, -43, -49, -21, -70, 1, 29, 33, 29, -39, 15, -17, -23, 32, 4, -23, 28, -22, 47, 24, 42, -33, -6, 48, 69, -17, 43, -46, 5, 73, 36, -49, -23, 17, 5, -31, 38, 73, 47, -28, 67, 4, 47, -40, -3, 48, -35, -23, -20, 13, 5, 16, 82, -26, -19, 3, -49, 40, 59, 10, -33, 39, 60, 5, -23, -23, 19, -54, -31, -41, -46, 4, 15, -11, -5, 36, 15, 45, -33, 6, 39, 0, 53, -4, 51, 4, 64, 20, -44, -37, 17, -50, -36, -16, 23, -60, 17, 34, -20, 0, -26, 41, 2, -5, -8, -23, -77, -47, 24, -12, -55, -43, 11, -9, 43, 24, 26, 3, -16, -23, 7, -26, -36, -8, -11, -3, 15, -18, -23, 52, -18, 17, 0, -8, -16, -65, -46, 1, -27, 62, 40, 38, 58, -6, 33, -19, -9, -63, -21, -1, -13, -50, -4, 37, 13, 23, 3, 2, -16, 3, -64, 38, -29, -28, 36, -66, -60, 8, 25, -41, -42, -24, 7, 48, -14, -30, 11, -41, 38, 42, -32, -52, 49, 36, 10, 3, -51, 74, -44, -9, -50, 18, -32, 39, -18, -51, -26, -38, 38, 26, -38, -67, -17, 53, -12, 8, 40, 2, -24, 27, -67, -12, 42, -27, 33, 0, -40, 46, 9, -7, 29, 15, 5, 6, 57, 57, -3, -32, -37, 3, 61, -35, 19, 17, -51, -30, 15, 21, 35, 13, 0, -28, 12, 55, -50, 41, -19, 16, 36, 51, -43, 55, 6, -17, -40, -45, 44, -2, -20, -40, 30, 28, 16, -24, 11, 85, 28, 78, 56, 12, -46, 13, -34, 10, 59, -40, 36, -18, 54, -19, 14, 28, -10, -17, -40, 17, 56, -14, 16, 61, 29, -62, 28, -52, 33, -4, -39, 45, 4, -21, -57, -24, -5, 43, 32, 6, -37, -11, 33, 42, 10, 27, -56, -31, 13, 5, 6, -42, -56, -11, -31, -41, 14, -19, 47, 0, -4, 38, -41, 53, 42, 40, -32, -26, -20, 42, 18, 27, -54, 48, -48, 58, -48, -61, 31, 51, -12, 8, -15, -9, 41, -20, 26, -13, -59, 30, -19, 1, 38, 24, 29, -62, -9, 61, -10, 49, -26, -25, 20, 41, -4, 8, 21, -46, 28, 5, 30, -70, 15, 30, 41, 17, -48, -41, 41, -57, 4, 52, -44, -54, 57, -42, 47, -58, 55, -59, 11, -28, 2, 57, 60, 39, -16, -62, -46, 48, 32, 44, 47, 29, 56, -16, 23, -20, 38, 32, -31, 47, 1, -49, 47, 12, -43, 1, 44, 7, 24, -4, -68, 7, 49, -6, 42, -16, -14, -24, 44, 13, 42, -30, 35, -6, 14, 32, -37, -27, 12, 19, -28, 3, 18, -31, -32, 12, 29, -14, -27, 8, 49, 22, 32, 9, 7, -3, 20, -26, 58, -46, 4, 15, -21, -49, 51, -11, 41, 28, -8, -56, 55, 44, 21, -2, -53, 15, 48, -22, 38, -3, 37, 17, -17, -29, 55, 52, -26, -6, -6, 29, -43, -58, -26, 40, -31, 37, 44, 37, -18, 28, 32, -7, -57, -58, -9, 47, -8, 6, 18, -3, 38, 64, 57, -41, -3, 16, 44, -5, -45, -34, 18, -35, -31, 49, -27, -53, -46, -46, -20, 36, -10, -16, -5, 55, -58, 26, 42, -47, -9, 38, -50, -45, -31, -25, -21, 37, 54, -48, 9, -12, 3, -33, -53, -6, 38, 0, 25, -45, 52, 14, 62, 45, -18, 24, -38, 37, 34, 1, 13, 24, -26, -25, -57, 33, -41, 33, -40, 48, -47, -20, 5, -3, -19, 34, -38, -5, -21, -60, 47, 22, -14, 9, -49, 9, 37, -5, -49, -21, 24, 44, 23, 29, 35, 24, -27, -23, 14, 15, -61, 43, -15, -48, -36, 0, 4, 0, 52, -42, -11, -10, -55, 54, -28, -37, 46, -68, 44, 31, -62, -45, 29, 41, 53, -4, -8, 60, -22, 33, -34, -19, -37, -18, -61, 19, 25, 31, -11, -53, -2, -23, -2, 10, -24, -43, 2, 10, -10, -12, -59, 58, -57, -16, 14, -26, 27, -29, -14, -51, -36, -34, -62, -15, -30, 49, 45, -58, 56, 35, -47, 47, -46, 36, -43, -24, -31, 26, -17, 46, -60, -24, 26, -7, 23, 25, 22, 50, 1, 22, 14, 41, 3, -40, -21, 25, 13, -42, 1, 11, 2, -46, -28, 0, 42, -37, 2, -56, 34, -48, -12, -7, -51, 6, -36, -21, -16, -13, -11, -43, 50, 22, 36, 18, -4, -65, 49, -55, 22, 22, 42, 31, 47, -40, 4, -61, 43, 36, -27, -18, 49, -33, -20, -11, -21, 49, 21, -11, -27, -43, 3, 42, 25, 16, 45, -10, -54, 55, 30, 59, 15, -57, -18, -35, -62, 25, 18, 3, 42, -21, -15, 11, -44, -1, 32, -14, -9, -63, -7, 14, -47, 43, -16, 23, -35, 18, -7, 8, -24, 2, 46, 37, 45, -15, 19, 34, -42, 47, 49, -23, 16, 13, -43, 1, 0, -36, 51, 28, -4, 35, -18, -54, 24, -35, -31, 43, 10, -26, -57, -27, -23, -22, -11, 28, -38, -1, 28, 59, 52, 36, -2, 36, -37, 48, 0, -37, -43, 32, 33, 63, -9, 9, 52, -55, 56, 40, -42, -57, 3, -32, 43, -12, 4, -38, -10, -32, -29, -49, -34, 38, -10, -6, 36, 51, 41, -31, 12, 26, -30, -37, -47, 45, -39, 45, 35, 6, -52, -43, 59, -22, 21, -14, 25, -37, 37, -42, -37, 15, 40, -46, -57, -20, 49, -3, -38, 14, 21, -35, -63, -4, -61, -17, 51, -62, 29, 43, -11, -38, 11, -13, -50, 58, 42, 12, 3, -2, 3, -22, -37, -6, -10, 35, 33, -46, 48, -4, 0, -30, 28, 31, -35, -33, 10, -16, 3, 48, 39, 33, 46, 20, 29, -17, -8, -67, -3, -34, 17, -50, 19, -30, -5, -34, 39, -39, -11, 20, 16, -22, -48, -23, 41, 41, -54, 49, 37, -7, 2, -50, -43, -30, -36, -46, -10, -6, 36, -37, -42, -24, -20, 22, -6, -27, -13, 30, -10, -34, -15, 47, -28, 20, -56, -26, -7, -24, 28, 2, -44, 29, -23, -44, -48, 9, 7, 19, -23, 19, 13, 24, -17, 23, 1, 36, -36, 25, -12, 38, -13, 23, 35, 1, 31, 55, 39, -42, 6, -2, -1, 18, -35, -33, 57, -9, -26, -12, 29, 19, -54, -46, -45, -39, -16, -2, 8, -18, -10, -33, -39, -33, 25, 50, 31, -5, -19, -68, 18, 30, 35, 11, 12, -46, -4, -46, -56, 23, 1, -30, 37, 44, 41, -50, -26, -45, -46, 2, -20, -20, -12, -52, -35, 51, 44, -32, 15, 19, 64, -56, 42, -32, -11, -38, 58, 27, -22, -24, -50, -47, 34, -51, 43, 57, 62, 20, -36, 46, 48, -28, -57, 17, -21, 0, 17, 20, -34, 25, 36, 19, -36, 23, -11, -45, 58, 33, -42, -39, -36, -2, -27, 42, -6, -46, -24, -11, -18, 20, -5, -1, -17, -17, -3, -46, 52, -11, -3, -68, 50, -7, -51, 53, -29, -10, -22, -61, -20, 5, -55, 57, -32, -14, -7, -37, 33, -45, -46, -65, -17, -63, -50, 39, -51, 2, 40, 5, -31, 34, 48, -18, -21, 5, 20, 3, 52, 42, -34, 14, 13, 54, -49, 15, -21, 22, -55, -37, -38, -60, -44, 53, 20, 44, -38, -9, -16, 11, -2, -31, 25, -20, 17, 27, 42, 38, 7, -28, -14, 47, 11, 22, 36, -54, 59, -53, 59, -52, -57, 38, -23, -34, 29, -28, 62, 24, 2, 42, -47, -5, -23, -46, -16, -17, 15, -40, 30, 53, 36, 8, 35, 57, 53, 9, -62, 8, 11, -50, 11, 26, 13, -25, -36, 43, -63, 19, 49, 12, 3, 10, 7, 39, -64, -4, 9, -33, -60, 42, -6, -49, -45, -14, 33, -55, 27, -45, -49, -63, -50, -48, -26, -36, 44, -43, 37, -3, -6, -57, -40, -3, -40, 2, -9, -37, 34, -21, 41, -3, 10, -25, -59, 59, 26, -19, -58, -30, 5, 24, -2, 8, 7, -32, 48, -39, 30, 28, 29, 30, -51, -45, -8, -51, 22, 46, 47, 24, -1, 4, -26, -65, 24, -16, -12, 17, -36, -11, 49, -62, -14, -26, -59, -61, -72, 29, 47, -35, -35, 47, 9, -15, -50, -38, 28, 50, -38, -5, 50, 53, -22, -8, -22, 15, -35, -11, -15, -15, 55, 41, 57, 18, 6, 10, -54, -63, -29, 42, -58, -53, -29, -18, -61, 53, -42, -15, 36, -23, -61, 16, -42, -23, 21, 0, -33, 33, -9, -53, -64, -40, 47, -63, -57, -3, 49, 36, 30, 15, 18, 17, -13, 29, -33, 37, 54, -37, 12, -59, -29, -19, 24, 41, 25, 4, -26, -62, 53, 26, -48, -3, -17, -3, 4, -22, -4, 36, -26, 17, 22, -40, 57, 40, -10, -38, 38, -50, -49, -15, 17, -17, 53, 5, -52, -27, 13, -47, 39, -14, -42, 53, 49, 48, 22, -52, 34, 42, -1, -36, 50, 48, 11, -6, 6, -24, 6, 16, 16, 0, -57, 26, 46, -54, -47, 7, -55, -63, -22, -2, -50, -8, -62, -25, -46, -60, -47, 21, -43, -27, 54, -58, -18, -58, -36, 51, -8, 25, -64, -6, 19, -22, 32, 19, 25, -8, 31, -13, 32, -57, 43, -31, -12, -42, -16, 53, -48, 24, 30, -18, -47, 59, 22, -32, -10, -38, 36, -48, 3, -53, 44, 51, -28, -29, 49, 37, 6, -35, 8, 50, 54, -21, -66, 25, -61, 60, -8, 27, 51, -20, 37, -6, -63, 39, 59, 50, -3, -17, -4, 41, -9, 55, 43, 6, -10, -53, -4, -2, 25, -55, 32, 48, -26, 22, 1, 4, 30, 31, 28, 55, 22, 5, -10, 43, 29, -42, 25, -25, -48, -49, 56, -54, -42, -46, 34, 19, 12, -30, 55, -22, -54, -29, -15, 34, -64, 35, 50, -46, 60, 39, 8, 0, -13, -30, -27, 48, -20, -16, -16, 12, -40, 41, -31, -55, 50, -53, -56, 35, -40, -16, -30, -59, 51, -12, 43, 33, 14, -14, -26, -48, 33, -41, 9, 48, 50, -56, 26, -49, 35, -48, 0, -6, -41, 60, 35, 6, -15, 28, 53, 26, -32, 9, -43, 59, -24, -10, 48, 26, 34, -48, 0, -38, -32, -45, 57, -25, -16, -15, 45, -34, 16, -58, 30, 55, -28, -10, -49, -29, -3, 49, -34, 49, 0, -20, -1, -56, 50, 7, 40, -26, -14, 51, -31, 18, -19, -2, -12, -54, -39, 58, 4, -3, 53, 14, 45, 35, -20, 0, 37, 10, -10, -17, -4, 3, -15, 55, 40, 21, 5, 52, -5, -12, 41, -58, 46, 22, -63, -35, 27, -20, -49, 43, 14, 2, 40, 49, 10, -20, 25, -1, -39, -12, 11, 26, 47, -59, -27, -19, -48, -11, 4, -13, -65, 46, -43, 7, 33, 19, -15, -1, 51, -8, -26, 15, 34, -4, -24, -23, 16, -12, 46, 10, -62, 8, -36, 37, 58, 26, -36, 29, -11, 26, -9, -5, -10, 35, -59, 29, -46, 9, -21, 29, 10, -52, -59, 2, -44, 4, -57, -48, -26, 52, 40, 46, -60, 9, -52, 55, -26, -12, 6, 16, -45, 2, 32, 57, -20, -10, -49, -56, -53, -9, -22, -45, -29, -2, 12, 31, 1, -45, -14, -17, -62, 72, -10, 41, -58, 35, 28, 22, 16, -20, -45, 10, 38, -50, 19, -15, 30, 14, -48, -40, 30, 22, -33, 43, -3, 33, 41, 47, -53, -40, 27, -42, 27, -3, -54, 59, -28, 35, 55, 20, -40, 33, 7, 30, -16, 16, -10, 49, -61, 2, 46, 15, 48, -8, -62, -1, -6, -33, -29, 17, 39, 17, -44, -25, -2, -29, 46, -9, -18, -37, 1, -12, 30, 26, -8, -64, -5, -13, -17, -37, -32, 38, -58, 30, 21, -15, -45, -16, 20, 57, -30, 28, 8, 34, 30, 10, 30, 2, -58, 5, 2, 52, -24, -11, -43, -38, 60, 44, -44, 28, 16, 41, 4, 37, 22, -36, 35, -32, -14, -3, 69, 50, 50, -22, 0, -33, 23, 32, 28, 49, -38, 28, -50, -7, -42, 22, 36, 28, 32, 10, -32, -34, -28, 52, -12, -6, -62, 25, -59, -8, 34, 47, 58, -29, -19, 51, -15, -54, -56, 22, 39, -23, 10, 55, 16, 68, 25, 64, -20, -11, -4, -28, 43, -15, 37, 25, 23, 37, -53, 3, 23, 59, -8, 49, -38, 15, 43, 0, 23, 30, 3, -42, -23, 40, -55, -7, 47, -36, -50, 12, -18, -37, 41, -48, 2, -64, -38, 46, 31, 50, -1, -45, 15, -57, -49, 10, -30, -39, -12, 62, -42, 14, -40, -36, -9, 41, 42, -59, 35, 24, -58, 0, 19, 8, 32, -57, 49, 34, 8, -58, -44, -8, 39, -9, -13, -35, 50, 9, -44, -52, -41, 62, 39, 12, 67, -17, -59, -53, 13, 36, -33, -42, 57, -23, -9, -38, 6, -26, 17, 6, 63, -11, -30, -14, 53, 29, -11, 36, 5, -6, -13, 16, 9, 9, -67, 26, -51, 62, 4, -7, -59, 7, -14, -27, 33, -37, -57, -26, 4, -30, 45, -13, 4, -15, 11, -17, 21, -11, 63, -26, 16, -57, 49, 50, -59, 55, -44, -4, 36, 13, 19, 33, -17, -10, -35, -56, -61, -18, 53, -45, 25, -61, -39, -36, -16, 53, 62, 13, -42, 2, -44, 39, -7, 42, 48, 28, 1, -49, 33, -48, -45, -57, -17, 63, -57, -47, -10, 40, 29, -16, -38, 52, -4, -47, 48, -54, -18, 27, -18, 13, 56, 29, -1, 18, -63, -48, -6, 14, -13, 3, -41, 11, 51, 61, -46, -72, -58, -36, 49, -28, 50, -50, -48, 17, -49, -21, -20, 17, -27, -7, -56, 36, -20, 44, 19, -19, -5, 59, 45, 32, 23, 5, -4, -11, -65, -4, 87, -11, -53, -54, -25, -50, -17, 51, -20, -58, 33, -19, 24, -26, 63, 4, 25, -38, -8, -47, 53, 39, 21, -7, -18, 26, -29, 47, 14, -24, -21, 40, 18, -37, 35, 34, -57, -31, -46, 57, 37, 10, 50, 15, -29, -25, -25, -46, -50, -7, -10, -23, 13, -11, 56, 55, 35, 21, 63, -25, 2, 51, 48, 50, -34, -36, -7, -13, -31, 28, -43, -29, -60, -22, 52, -64, -18, 50, 27, 10, -8, -44, -53, -5, 49, -13, 2, -56, -25, -63, 49, -57, -44, -56, 16, -49, -54, 52, 27, 28, -2, 17, -10, -5, -41, -4, 12, 33, 20, 59, -9, 21, -43, 24, -3, -32, -12, 2, 32, -24, 17, -16, 48, 33, 24, -55, -2, 2, 30, 6, 8, -3, 1, 44, -10, -42, 45, 12, -7, -68, -59, 2, 57, 23, 33, 34, -20, 27, 33, -30, 54, 47, 1, 2, -65, 49, -44, -14, -22, -33, 36, 43, -57, -49, -12, -55, 33, -39, 18, 27, 6, -26, -52, -44, -7, 42, 55, -4, 52, -25, -32, -8, -22, -62, -27, 46, 31, -63, 46, 23, 42, -43, 60, -19, 47, -47, -60, 39, -8, 36, 29, 0, 40, 10, 35, 29, 29, -54, 26, -60, 12, -38, -31, 17, 21, 58, 21, 2, 35, 35, -23, -6, 13, 45, 0, -34, -42, 60, -6, -64, 2, -54, -21, 52, 3, -20, -36, -58, 44, -11, -21, 23, -20, -20, 5, 11, 42, -8, -12, 16, -19, -35, -41, -37, -41, -46, 47, 18, 25, 12, 23, 60, -49, 2, 24, 57, -38, -44, -23, -54, 31, -5, -33, -4, -1, -31, -58, -29, -59, 33, 43, 58, 34, 65, -35, 32, 6, -18, 18, 13, -66, 40, 3, 60, 55, -6, 57, -41, -42, 34, 56, -26, -64, -26, 29, -45, 7, 20, -51, -23, 54, 16, -26, 32, -19, 3, 12, -19, -28, -14, -15, 35, 20, -48, -47, -5, -10, -54, 49, 1, -33, -35, -6, -55, 27, -2, 43, -1, 52, -32, -41, -14, 11, -40, -41, -14, 2, 15, -62, 48, -32, 70, -47, -21, -40, -50, 27, 28, -25, -56, -25, -56, -45, 20, 51, -19, -3, 2, 60, -52, 61, 60, 46, 34, 29, 20, 39, -27, 4, 1, -17, 29, 14, -25, 29, 45, -9, 57, -26, 27, -43, -34, 49, 70, 34, -59, 6, 23, -48, 32, 27, -34, 11, -25, 1, -62, -52, -5, 53, -53, 42, 27, -58, -6, -21, -39, -35, -13, 61, 47, 1, 15, -49, -32, 21, -59, 48, 39, -11, -51, -20, 42, 55, 16, -38, 33, 22, -54, 7, 17, -12, -39, -32, -50, 52, 25, -26, -46, 43, -50, 42, 37, -49, -61, -14, 43, -15, -39, -15, -57, -41, 52, -43, 27, -32, -47, -16, 60, -28, -18, -57, -25, -1, 33, 11, 25, 52, 32, 9, 34, -4, 40, 1, 43, 41, 14, 54, 70, -59, 37, -41, 22, 43, 18, 9, 28, -3, 41, -13, 60, 9, 57, -22, 28, 56, 13, 52, 12, 63, 17, -22, 13, -24, -14, -39, 7, -54, 12, 59, -10, 51, -52, -9, 62, 46, 16, -22, -61, 65, -26, 14, -3, -35, 12, -5, 6, -58, -12, 30, 41, 6, 5, -30, 19, -47, -6, -49, -59, -3, 37, 17, -61, -37, 0, -4, -19, 6, 54, -34, -54, -10, 20, 40, 46, -13, -43, 60, 26, 36, 43, 49, 3, -55, -65, 53, 39, 41, -44, 51, -31, 40, 3, -50, -14, 54, -13, -29, 0, -28, 39, 31, -23, -34, -46, 53, 47, -7, -34, 51, 55, -29, -61, 20, 61, -13, 28, -60, 20, -34, -31, 6, -56, -23, 21, -22, 53, -34, 11, 32, -56, 45, -21, -17, 24, 17, -8, 1, -49, -29, -46, -2, -29, 32, -13, 16, 31, 32, -50, -5, 40, -41, 14, 59, -9, -36, -41, 52, 46, -34, 4, 53, -29, -50, 18, 24, -40, -30, 31, 23, 32, -4, 23, 47, -24, -12, -29, -60, -55, -11, 30, 36, 54, -55, -44, -43, -19, -18, 0, -11, -37, -47, -14, -56, 19, 9, 18, 48, -22, 49, -34, 6, 55, 42, 59, -37, -62, -57, -49, -50, 26, -44, -40, -22, -15, 11, -26, -57, 25, 14, -26, -22, 24, -33, 57, -39, -58, -57, -55, -47, 44, 8, 31, 8, -29, -35, 17, 13, -17, -3, -5, 61, 22, 22, 18, -65, 40, 11, 11, 56, 44, -53, -8, 6, -35, -2, -28, 15, 6, -63, 20, 24, -61, -9, -34, -51, 13, 4, 4, 17, -26, -33, -34, -31, -21, 37, -53, -51, -4, 58, 33, 46, -61, 11, -14, -15, 44, 37, 33, -19, 35, -17, -7, 45, 5, 48, 20, -17, -22, -11, 40, -15, 22, -18, -20, -39, -50, -12, 50, -39, -33, -47, -22, 58, 52, -10, -1, 58, -59, 40, -56, 12, 30, -47, 23, 5, 50, -15, -29, -51, -7, -56, -3, -5, -29, 8, 20, -1, -36, -21, 49, -32, 22, -3, 31, -15, 56, 55, -11, 30, 21, -23, 8, 55, 21, 16, 32, 37, -53, -20, 29, 61, 53, -5, -14, -45, -34, -18, -14, -52, 56, -9, 20, 22, -32, -39, -13, 35, -27, -27, -45, 41, -45, -7, -16, -30, 8, 50, -32, 20, -39, 10, -44, -38, 7, -44, 20, 57, -36, 25, -59, -12, 29, 60, -28, 44, 56, 15, 7, 41, -41, 19, -3, 19, -55, 57, -29, -29, -13, 30, -4, 50, 50, 21, -5, -8, -45, -29, -18, 56, -25, -37, -17, 26, -28, -55, -33, 41, -4, -33, -15, -37, 28, -60, -6, -39, 10, -7, 36, 52, 2, 14, -43, 8, 18, -7, 17, -38, -35, 50, 16, 47, -29, 24, 20, -12, -3, 23, 49, -31, -13, 35, -34, -44, 19, -56, -22, 30, 23, 27, -35, 45, 52, 36, 30, 52, -32, -27, -57, 48, 48, -42, 52, 4, -2, -18, -59, 30, 0, -6, -41, 45, -32, 48, 17, 8, -50, -59, 3, -36, 49, -2, -57, -51, 46, -11, 5, -9, -48, -8, -60, 32, -15, -15, -30, -33, 50, -48, -56, 59, -38, 53, -24, 40, 45, -25, -44, 19, -18, -46, 1, -13, 40, -56, 24, 46, 20, -40, 46, 24, 26, 21, -45, 39, -15, 4, 40, -8, 33, -53, 45, 18, 31, -62, -55, -50, -63, -21, -48, -11, 1, -30, -33, -46, -33, -10, 27, 54, 42, -18, 47, -39, 31, -33, 20, -4, -54, 3, -32, -43, 30, 45, -6, 8, -44, -27, 43, 21, 60, -60, 49, -49, 58, 39, -45, 57, -14, 17, -29, -54, 28, 40, -17, 30, -32, 56, -42, -25, -29, -55, 7, 20, 36, 20, -44, -39, -8, 48, 23, -35, 24, 20, 48, 46, 14, 42, -47, -27, -12, 29, -3, -2, -54, 50, -8, -36, -20, 31, -28, -21, 57, -45, 18, -2, -34, -38, 13, -36, -58, 33, -14, -39, 47, 34, -37, -43, -54, 27, -26, -44, -19, -5, -9, -13, -55, 12, -61, 24, 42, -44, 51, -62, -5, 9, -43, -34, 36, -30, 51, -2, 41, -6, -37, -8, 40, -1, -14, -42, -6, -17, 53, -30, 46, -53, -5, 60, -58, 26, 3, -44, 13, 11, 7, -35, 33, -25, -40, 31, 34, 47, -59, -50, -28, 46, 35, -39, 47, 31, 13, 31, -34, -32, 23, -28, -61, 36, -42, 47, -38, -43, -14, -28, -11, -60, -29, -12, 42, -22, -61, -60, 35, -31, 14, 37, -31, 1, -41, -18, 13, -20, 7, 32, -7, 52, 7, 31, 6, 33, 39, 42, 1, 13, 15, -26, -5, -51, 14, -38, -51, -46, 28, -13, 33, 53, -35, -37, -50, 26, 23, 42, 16, -43, 18, 14, 46, -36, -38, 54, -20, -59, 9, 8, -4, 41, -47, 15, -40, 34, 33, 7, -14, 18, -15, 49, -45, -64, 5, -6, -53, -60, 44, -10, -4, 31, 50, -1, -32, 49, 8, 34, 35, -45, -10, -44, -45, -13, 26, -26, -49, 21, 61, 7, 57, -18, -35, -44, -27, -46, 4, 30, -41, -32, -29, -20, 5, -27, 26, -41, 22, -31, 39, 2, -25, -25, -52, 31, 7, 32, -25, -4, -63, -47, 8, 34, -28, 31, 52, -26, -58, -31, -62, -50, 6, -38, 28, -45, -62, -51, -26, -31, 43, 0, -24, -47, -64, -17, 50, -63, -61, 8, -15, -47, -51, 10, -55, 20, 55, 40, -50, -32, -16, -20, -1, 10, -20, 17, 55, -49, 7, 14, -24, -31, 11, -16, -18, 17, -56, -41, -35, 21, -44, 13, 47, -42, 38, -39, -50, 55, -11, 19, 17, 11, 49, 8, 17, 38, 36, 50, 38, 42, 40, 11, 46, 23, -56, -56, -25, 58, -12, -8, -12, -47, 44, 11, 44, -57, 29, -10, -5, 7, 34, -34, -54, -25, 57, -9, -53, -61, -39, -8, 22, 54, -28, -45, -43, -57, 36, -25, -22, -40, 37, -63, 14, 58, -1, 56, 56, -25, 60, 59, -23, 20, 44, 26, 11, -4, -25, 55, 36, -43, -42, -54, 54, -17, -58, -20, -56, -4, 23, -43, -51, -4, 37, 35, -19, -34, 7, 21, 39, -53, 41, 60, 2, -40, -55, 8, -31, -41, 22, -60, -64, -61, -57, 29, 36, 2, -19, -55, -33, 21, -26, 52, 25, -61, -44, 23, -53, 45, -19, 9, 53, -63, 36, 21, 14, 28, 36, -46, -40, -8, -28, -1, -34, -9, -36, -39, -56, 36, 52, 14, 21, -24, 18, -45, -11, -36, -59, 15, -60, 45, -31, -16, 34, 11, -8, 7, -13, 35, -40, 1, 7, -16, -44, 14, 46, 33, 49, 26, 20, -9, -19, 12, -41, 53, -42, -30, 31, 17, -42, -48, 43, 25, -32, -44, -34, -41, -11, 7, -57, -48, 60, -51, 55, 40, -9, -53, -33, -52, -33, 5, -52, -8, -7, 18, 38, 6, -36, 19, -19, 45, 59, 62, -8, 41, -22, 12, -60, 18, -32, -4, 55, -29, 25, -15, -10, 60, 27, 19, -7, 12, 23, -12, 0, -21, 3, 32, -49, -48, 40, -36, -61, 35, -6, 61, -56, 57, 37, 46, -50, 55, -10, -38, 11, -15, -15, 55, 45, 22, -56, 23, 0, 35, 1, -1, -52, -33, -39, -9, 40, 19, -46, 53, -19, 26, -13, 60, -22, 13, -44, 23, 17, -31, -59, -64, -3, 20, -24, 19, -8, -53, -48, -52, -30, 8, 60, -20, -58, -37, -45, 4, 26, -6, -4, -7, -38, 57, -60, -36, -22, -12, -49, -13, -37, 59, -31, -38, 50, 14, 56, -11, -50, 22, 37, 33, -1, -34, 5, 25, 40, 32, 7, 49, -33, -49, -6, 21, 23, -19, -58, -31, 27, -25, -12, 56, 37, 48, -50, -18, 43, -2, -30, 34, -57, -43, 19, 39, 16, -42, 28, 46, 42, 9, 27, -31, 9, -26, 16, 49, 59, -13, 36, -61, 11, 41, -41, 61, 37, -21, -34, 4, 47, 65, -38, -24, 56, -47, -32, -47, -52, -41, 4, -36, -38, -26, -27, 33, -32, -30, 1, -48, -21, -71, 21, -54, 63, 54, -13, -1, -25, 15, 18, -8, -31, 32, 20, 13, 36, 3, -41, 37, 54, -22, -13, 17, -38, 11, -13, -61, -41, 0, 8, 46, -7, 14, 44, -18, -13, -27, -33, 53, -11, 3, 5, 54, 28, -24, -36, -24, 58, 28, 36, -23, 14, 5, -14, 1, 12, -31, -28, 73, -31, 30, -7, -24, -1, 50, -48, -7, 27, -54, 13, -21, 52, 30, 41, 6, -40, -56, 6, -3, 64, 56, 52, -36, -5, 31, 49, -77, 5, 69, -39, 36, -69, 19, 48, -15, 43, 45, -17, 26, 39, 25, -65, -71, -19, -74, -43, -55, -24, -42, -21, 44, 12, -24, 52, 54, -34, -51, 57, 43, 25, -55, 33, -36, -40, 44, 17, -22, 56, 14, -42, -70, 5, 1, -22, -34, -45, -15, -35, 44, 48, 39, 18, 61, -59, -32, 34, -2, 33, 14, 3, 39, 27, -60, -9, -10, 13, -19, -47, 17, -6, -14, 25, -42, -33, 10, -28, -39, 40, 23, 62, -16, 24, -29, 49, 11, 24, 47, -24, 28, 8, -42, -37, -19, -10, 50, 56, 40, 21, 56, 26, 17, -31, -14, 65, 30, 8, -11, -26, 30, -48, -58, -24, -31, 27, -49, 4, -56, 47, -28, 35, 49, 11, 57, -6, 62, -36, -29, -22, -18, -20, 61, 22, 23, 29, 27, -43, 40, -6, 2, -46, -4, 21, 44, -39, 5, 24, 61, 33, 7, 47, -10, -18, 3, 2, -42, -19, -43, 12, 32, 18, -9, -3, 42, -28, 14, 7, 57, 24, -40, 46, 45, 78, 32, 9, -40, 9, -54, -3, -48, 49, 15, -15, 4, 19, 36, -7, -40, -13, -36, 14, 38, -18, 20, -75, 6, -23, -61, 17, -29, -34, -50, -4, 41, 25, -7, -32, -5, -35, 36, 67, 4, 54, 30, -19, 56, -43, 7, -14, -44, -53, 39, 42, -96, 55, -66, 11, 13, 59, -18, -6, 16, -48, -51, -56, 48, 40, 51, -11, 60, -13, 54, 16, 12, -22, 20, -24, -26, -63, -50, -10, 54, -32, -23, 51, -31, 9, 0, 51, -53, -19, -45, 18, 60, -16, -18, 1, 76, 46, 45, -3, -31, 30, 32, 75, 75, 61, 48, 0, 43, 57, 34, 36, 48, 23, -56, -26, -23, 24, 44, 9, -12, 29, 48, -24, -59, -54, 18, -14, 3, -46, -34, 9, 8, -51, -45, 13, -58, 20, -17, 21, 2, 1, 23, -15, -9, -2, -8, 51, 37, 8, 38, -51, -27, -46, -90, -26, -21, 44, 31, 2, -30, 19, -24, -9, 13, -25, -32, 69, 63, -34, 24, 17, 14, -50, 17, 47, 44, 17, 59, 5, -30, 18, -25, -7, -45, -17, -18, -2, 54, -61, 64, 30, 48, -34, -22, 31, -32, 5, 31, 56, 45, -52, -17, -56, -93, -3, 8, 12, 57, -51, -23, 27, -18, 22, 52, 57, -73, -81, -42, 5, 64, 53, 14, 62, -12, 2, -17, -37, 51, 62, 57, -12, -46, -1, 61, 41, -35, 56, -4, 35, 14, 50, 67, 49, -17, 1, 44, 52, 41, 19, 30, -21, -35, 59, -60, 50, -12, 50, 27, 7, 9, -12, 0, -14, 58, -40, 2, 33, 77, -30, 9, 48, -11, 15, 52, 17, -23, -47, -53, -35, 27, 63, 40, -6, 29, -39, -37, 9, -101, -36, -43, 7, 49, 58, 30, 61, -19, 42, -45, 37, -3, 7, 26, 65, -47, -21, 43, 50, -36, -35, 32, 34, -33, -36, 0, 44, -62, 16, 76, 62, 43, 0, 27, -37, -2, 58, 13, 53, 37, 49, 35, 0, -44, -48, 2, -13, 20, 60, 8, -53, -39, 16, 22, -29, 42, 28, 51, 15, 71, 52, 30, 77, 26, -49, 26, -34, -49, -31, -39, 7, -47, -18, 46, 26, 35, 45, 13, 11, -6, 31, 6, -57, 47, 44, 7, 60, 27, 58, 23, -33, 8, 29, -1, -27, 50, -28, -28, 37, -39, -35, 36, 52, -15, -48, -75, -2, 55, -45, 46, 50, -41, -6, -15, -59, -1, -36, 29, -4, 13, 42, 8, -47, -23, -54, -17, 33, 18, -5, -3, 29, -49, -3, 51, -36, -66, -14, -16, 24, -10, -9, 6, -7, -5, -56, -49, -8, 8, -39, 29, 34, 54, 12, -40, 52, 70, 39, -60, -5, 29, 37, 8, 53, 15, -20, 35, -44, -11, 37, -54, -36, 39, -36, 15, -43, -62, 46, -39, 57, -51, -20, 41, -50, -49, 23, -22, 63, 14, 51, -27, 21, 0, -4, 7, 60, 36, -41, -51, -17, 6, -37, -10, 51, -11, -46, 48, 42, 29, 20, 3, -27, -32, -29, -68, -8, -59, -27, -49, -18, -20, -23, 26, -34, -60, -14, 20, 6, 99, 23, 28, 16, -50, -1, 29, 5, 54, 28, 52, -7, 18, 52, -39, -25, -19, 24, 56, -21, 36, -13, -61, 49, -20, -11, -12, -32, -57, 53, 16, -23, 42, 48, -10, -40, 47, -17, -40, 54, -36, -60, -4, -65, 47, -26, 21, 23, 40, -40, -35, -68, -2, 20, 29, -13, -1, 57, -23, -25, 0, -20, 39, 29, 9, 10, 52, 43, -1, 28, 0, 51, -42, 4, 0, 15, -26, 22, -29, 32, -15, 47, -57, -17, -20, 29, -61, 43, 37, 21, -15, -28, 29, 3, -54, -30, 32, 23, -25, -48, 56, 49, 33, -48, -27, -50, 9, 37, 42, 20, 14, 59, 54, 51, -49, -35, 16, 61, 26, -29, -16, 27, -18, -8, 12, 4, -40, 43, 8, 75, -40, -49, 61, -47, -3, 18, 25, 58, 30, -46, -42, -23, 50, 52, -3, -30, -22, 33, 19, -36, 26, -8, -44, 15, -59, 5, 43, -90, -25, -14, 31, 76, -22, 50, -20, 41, -50, 9, 12, 53, 10, 5, -3, 44, -10, -86, 32, -66, -47, 39, 47, 53, -53, -38, 57, 32, 7, -10, -57, -27, 10, 34, 24, -36, 60, 37, -61, 10, -23, 6, 56, 55, 47, 39, 48, 30, 40, -30, 61, 15, -18, 23, -16, 16, -13, 33, -54, 52, 15, 5, -4, -30, 47, -45, -44, -46, -73, 17, 35, -41, -61, -40, 75, 29, -23, 40, 1, -43, 36, -4, 55, 9, 10, -41, 48, -35, 9, -25, 36, -17, 25, -39, 4, 8, -55, -9, -28, -19, 6, 5, 60, 63, 37, 13, -10, 7, -7, -11, 51, 27, 8, -52, 17, -53, -11, 72, -35, 20, 37, 0, -34, -5, -50, -4, -62, 25, -5, 48, -16, 8, 24, -18, -65, -18, -10, -3, 65, -5, -35, 7, 73, 29, 47, -30, 21, 36, 46, 22, 48, -58, 19, -22, -28, -43, -54, 44, 52, -9, -67, -14, -11, 36, -6, -10, -23, -43, -11, -2, 3, -29, 41, -45, 15, 52, 10, 35, 35, 36, 15, -19, 39, -38, 59, -19, 61, 24, 29, -50, 17, 41, 39, 19, -14, 43, 8, 55, -3, -31, -31, -22, 55, -26, -14, 49, -49, 1, 17, 59, -44, 47, -46, 22, -5, -30, 75, 18, -17, 41, -25, -4, -20, -12, -54, -55, 12, -18, -41, -30, 20, 9, 24, 26, 15, -56, -29, 41, -8, -55, 52, -9, 4, 19, 50, -18, 58, -7, 55, 13, -36, -42, -29, 31, -52, -14, -38, 14, -23, 84, 57, 31, 34, 19, -27, 43, -46, -32, -30, 16, 40, -47, 0, 26, 4, -33, 28, -31, 72, -9, 20, -9, -7, -23, -9, 15, 53, 46, 9, -69, 35, 41, 12, 9, 30, -26, 37, 5, 41, -59, 26, -34, 42, -20, 6, 31, 21, 15, 7, -10, 8, 12, 26, -17, 11, 41, -53, -49, -3, 55, 14, 60, 32, 39, 24, -6, 46, 62, -9, -31, -38, -26, 2, 23, -49, -47, -54, -4, -40, 18, -5, -43, -42, -9, -3, 13, -31, 4, -16, 55, 8, 30, -11, 4, -60, -45, -31, -29, 25, -34, -12, -35, -2, 38, -43, -32, 30, -4, 35, -41, 53, -27, 5, 4, 20, 38, 26, -57, 18, 50, -51, -21, 41, 55, 20, 57, -24, -20, -56, -56, 15, -61, 5, -49, 2, -32, 44, 13, -28, -11, -61, 33, -4, -36, -47, -19, 45, -6, -61, -25, -58, -17, -5, -45, 45, 31, 12, 44, 30, -41, 74, -2, -15, -22, -6, 26, -29, 37, -55, -64, 48, 9, -44, -67, 9, -5, 65, 50, -52, 10, 13, 36, 51, -29, -24, -29, 17, 12, 9, 22, -32, 28, 16, -47, 58, 40, -48, 42, -53, 61, 41, -36, -30, 46, 58, 20, 41, 41, 31, -34, 12, 21, 22, -7, -5, -69, 24, 32, -53, 10, -19, 44, -21, -45, -6, -30, -6, -3, 19, -22, 2, -53, 38, 46, -39, 35, -55, 28, -51, -40, 36, 48, 8, 55, -11, 26, -4, -41, 19, -28, -4, -41, 76, 29, -22, 32, -5, -14, 23, 38, -25, -11, 11, 9, -39, -45, -5, 48, 38, 54, -36, -32, 16, 40, -52, -8, -33, 33, -40, 7, -17, -39, -10, -41, -56, 43, -66, 3, -49, 30, 30, -15, -38, -37, 55, 20, -26, 80, -3, -64, 29, -1, 55, 51, -38, 29, -8, 48, 5, -37, -6, 50, -53, 48, 27, -23, -23, 9, 4, 11, -32, -8, -41, 55, 68, -16, -21, -12, 48, -36, 1, -57, 34, 50, -18, 9, -14, -42, -53, 39, 15, -48, -39, 0, 15, -12, -6, -38, -17, 44, 18, -17, -26, 2, -37, -3, -19, -1, -3, -12, 78, -40, 25, -61, 59, 55, 32, -33, -13, 50, 61, -18, -33, -49, -16, -60, 5, -48, -60, -21, 25, 59, -7, -23, 23, -7, 13, -61, -40, 46, -27, 11, -74, 45, -31, -76, -35, 28, -41, -61, 58, 29, 40, 21, 49, 52, 45, 43, -3, 33, 0, -37, 52, 41, -39, -59, 55, 10, -61, -10, -22, 9, -26, 48, -5, -25, -52, 3, 74, 31, -13, 37, 5, 35, 66, 20, -44, -31, -33, 57, 10, -59, -36, -45, 24, -20, 2, 37, 59, -45, -8, 51, 4, -45, -13, 22, 46, 35, 28, 50, -29, -55, 12, 5, 31, 0, -2, -16, 4, -46, 1, 57, 11, -6, 40, -53, 18, 50, -25, 51, -31, 8, -70, -29, 20, 43, -25, 51, 62, 36, -30, 58, 25, 42, 36, -49, 29, -42, 60, 3, -14, 95, -25, 26, -12, -39, 17, 23, 1, -3, -47, -1, -2, 61, 46, 44, -10, 7, -24, 56, 9, -23, 43, -28, 51, -32, 51, 17, 23, 50, -31, -62, 65, 20, -22, -28, 33, -8, -33, 43, -64, -17, 30, 56, -52, -6, -23, 33, 5, 46, -44, 34, -59, -61, -25, -54, 21, -43, 65, -48, 39, 40, -14, -4, -41, -17, -23, 17, -23, -56, -39, -9, 51, 32, -41, 17, 31, 6, 10, -19, 27, 3, -38, 62, -2, -42, -52, -32, -40, -50, -61, 62, 22, 6, -39, -65, 36, -22, 5, 32, 31, 32, 46, -30, -40, -57, 47, -29, -21, 53, 53, 44, 34, 43, 67, -34, -44, 51, 46, 15, 28, -32, 36, -7, 21, -1, 17, -11, -52, 38, -55, 44, -57, -59, 59, -18, 63, -6, -60, -50, 20, -1, 50, -6, -6, -3, -16, 68, -22, 30, 2, 21, 64, 39, 2, 62, 17, 7, 33, 25, -26, -13, -13, -31, -18, -30, -7, -67, -38, 10, -80, -35, 19, 3, -21, -24, -11, -10, -12, 44, 32, 0, 29, -49, 24, -49, 27, -28, -15, -50, -45, -18, -54, -46, 52, -43, -14, -42, -23, 2, -35, 56, -22, 33, -13, -24, 7, 53, -16, 54, 15, 60, -60, 1, 60, 3, -33, -30, 7, -61, 56, 72, 32, 3, -8, -41, 31, -29, 22, -36, -35, -35, -41, -34, 25, -4, -70, -25, -60, -64, -65, 9, -6, 48, -17, -54, 31, 49, 44, -35, 28, -50, -27, 49, 36, -20, -28, -28, -64, -30, -44, 17, 37, 48, -3, -42, 22, -53, -58, 61, 54, -53, 16, 37, 26, -25, -30, 17, -50, 14, 66, 38, -23, -25, 12, 48, 3, -21, -6, -44, 44, 46, 1, -18, 42, -31, 7, 48, 34, 24, 59, -48, 20, -61, -50, -62, 57, -19, -76, 32, -41, -81, 24, -29, 11, 37, 38, -22, 7, -58, 7, -48, 24, 53, 88, -22, 28, -25, 10, 60, 45, -34, 19, 33, 54, 1, 13, -51, -47, -28, -56, 37, -43, -23, 27, -18, 32, 39, -60, 16, 17, -42, -21, -43, -51, -20, -36, -3, 67, -48, 19, -62, 23, 30, 32, -23, 26, -30, 35, 10, -23, 35, -32, 38, -36, -3, 17, 7, 27, -28, -14, -35, 15, 11, 37, -27, -46, 45, 6, -49, -12, -44, 46, -26, -1, 19, -61, 52, -9, 6, 51, -14, 53, 31, -6, 5, 41, 17, 69, -9, -50, 64, -32, -45, 21, -1, 29, -47, 15, 49, -37, 21, -20, 28, 24, -51, 26, 55, 34, 45, -1, -14, -16, 66, 2, -17, 34, 9, 10, 0, -23, -61, 7, -58, 38, 43, -45, -11, -8, 41, -15, 34, 73, -22, -12, 64, 8, -33, 60, -4, -39, -26, -28, 47, 52, -50, -29, -12, -30, -55, 35, -49, 46, 39, -4, -2, -3, -53, -22, -52, 47, 43, -19, 32, 15, 38, -7, -41, 52, -11, -47, -49, 45, 2, -39, 1, -42, -15, -67, -21, -32, 24, -34, 19, 54, 1, -25, 27, 26, 12, -16, -54, -32, 37, -11, 54, -25, 2, -31, 40, 27, 61, -41, -14, -1, -8, -49, 64, 22, -5, 13, 38, 48, -31, 10, 27, -43, -20, 54, -23, -55, -28, -28, -61, 4, 57, -23, 12, 32, 6, -18, 43, -26, 40, 36, 45, 13, 17, -64, -4, -3, -36, -39, 21, -5, 6, -4, -51, -27, 52, 44, 18, 3, -11, -42, 10, 51, 6, -45, -18, 53, -51, -31, 16, 27, -1, -19, 4, 27, 33, -32, -29, 21, 37, 50, 53, 39, 43, 12, 3, 25, -39, -41, 33, -47, -5, 9, 11, 62, -28, -53, -13, -32, 9, 15, -9, 15, 1, -56, -9, 45, -12, -24, -34, 44, 29, -50, -2, 0, -25, 48, -22, 15, 29, 1, 21, 15, 29, 37, -38, -31, 25, 45, 0, -8, -38, 15, -13, -49, -54, 22, 30, 20, 24, -24, -30, -21, 13, 60, 53, -16, -10, -16, -54, -36, -14, -25, -47, -5, -22, 54, -54, 11, 38, -66, 31, 21, -9, -17, -43, 29, -28, -11, -17, -26, 29, -8, 44, 50, -13, 8, 4, -40, 7, -47, -65, -37, -17, -79, 10, -24, -14, 20, -46, 58, 52, 31, -37, 43, -39, -1, 25, 53, 15, -40, 52, -40, 33, -40, -13, 30, -26, 30, -7, -59, 13, -1, 55, -47, 32, -8, -13, -1, -1, -34, -44, -22, 18, -63, -41, -60, -29, 45, 21, -31, -31, -38, 38, -59, 61, 13, -35, -15, -12, 6, -23, 29, 14, -13, -9, 4, -50, 33, -48, 14, 51, -42, -6, 9, -1, 8, 48, 52, -48, 38, -50, 1, 50, 19, 21, 41, -25, 1, -62, -35, 52, -23, 54, 51, 23, -4, -45, 58, -24, -19, -44, -48, -16, 45, -33, 36, -12, -21, -27, 4, -20, -29, -27, -45, -54, -2, -17, -20, 58, -1, 27, 1, -51, -56, 46, 31, -8, -42, -19, -45, -47, 29, 3, 37, 8, -23, -18, 58, -13, 55, 30, 1, -26, -25, 32, -33, -33, -51, 47, -39, -12, 0, -30, 9, 14, 17, 59, 53, -29, 2, 26, 41, -8, 50, 16, 27, -47, -13, 8, 37, 65, -32, -12, -66, -63, -42, 16, -1, -24, 20, -49, 12, -64, -4, 14, -16, -38, -56, 24, -12, -53, -22, 42, -12, -26, -33, -6, -21, -26, 6, 45, -3, -29, 21, -2, 21, -12, -1, -9, 5, -53, -42, -29, -15, 56, -24, 22, 13, -49, -7, 48, -30, 4, -17, 33, -9, -55, 62, 51, 24, 72, 2, -58, 50, -3, 56, 21, -58, -17, 16, 57, -43, 22, -54, -40, 20, -6, -58, -68, -28, 12, -47, -51, -53, 28, 13, -45, 14, -47, 51, 41, 41, 46, -47, 2, -14, -59, -44, 4, 21, 58, -44, 32, -59, 7, -53, 30, -22, -51, -46, -18, 71, -2, 34, -43, 4, -27, 48, -54, -63, -15, 27, 35, 30, 25, -45, 35, 4, 55, -37, -11, -11, 46, -6, -18, 25, 12, 44, 48, -55, -2, 63, 29, -29, 29, -35, 22, 52, -52, 36, -26, 15, 30, -41, -48, -20, -8, -39, -44, -57, 27, 45, -22, 61, -43, -5, 56, 31, 53, -12, -31, 39, 1, 13, 13, 5, -10, 1, 10, -40, 0, -5, 3, 54, 39, -27, -26, -27, 37, 25, 8, -57, 3, 2, -49, -46, -6, -43, 60, -8, -52, -64, -39, 46, 55, -16, 34, 3, 7, -32, 9, 17, -51, 62, 40, -30, -30, -61, 26, 4, 8, -15, 61, -41, 2, 44, 16, 6, -9, -15, -15, -60, 45, 39, -14, 25, -52, 12, -43, 32, 56, 57, -23, -40, -40, -37, 57, 53, -5, -52, 59, -23, 34, 8, -58, -59, -40, 43, 20, -23, -39, 19, -9, -12, 6, -4, 32, 21, -25, 24, 27, 7, -27, -33, 65, 46, -39, -1, 38, -36, -31, 20, -46, -7, 8, -23, -50, 28, 66, -71, -7, 33, -12, 20, -19, -1, 21, -56, 22, -8, 13, -45, -6, -29, 19, 33, -30, -26, -28, 16, 37, 47, 47, 16, -43, 23, -30, 39, 46, 29, 20, -40, -51, 48, -59, 60, 59, -26, 14, 57, 19, 62, 28, -55, 53, 60, -32, 35, -55, 0, 2, 33, -6, -43, -24, 43, 16, -10, 35, -36, -31, 24, -48, 43, 4, 13, -10, 7, 21, 8, 60, 50, 30, 21, 40, 1, 23, 28, -43, 15, 48, -51, -15, -15, 16, -13, 38, 55, 12, -11, 14, 23, -5, -27, 34, -49, 17, 41, -59, 30, 3, 34, -23, 61, -22, -1, 49, -15, -24, 9, 44, 23, 47, 51, 38, -33, -39, 20, 19, -31, 0, -58, -13, 48, 39, 53, -53, -17, 2, 0, -27, -57, -64, -41, 3, 51, 9, 13, -38, 26, 4, 12, -20, 74, 48, -31, 73, 52, 0, 37, -12, -23, -22, -28, 50, -50, -45, -27, 28, -3, -39, 16, 14, -7, 11, -19, 13, 1, -52, -3, 0, -22, 32, 0, -35, -11, 50, -58, -12, 24, 37, -36, 54, 53, -31, 26, 54, 48, 68, 31, 5, 1, 47, -31, 2, -46, -15, -20, -11, -8, -56, -59, 6, 38, -28, 19, -51, -20, 59, -7, -44, 57, -21, 29, -6, -26, -14, 54, 52, -1, -52, 7, 27, 61, -6, 15, -37, -48, -29, 32, -22, 20, 42, -61, 22, -42, 43, 43, 54, -53, -12, 7, -35, -11, 43, -22, -41, -25, -63, -17, -5, 25, -3, 48, 4, -26, 11, 71, -22, 61, 16, 2, -53, 45, -45, 58, 57, -35, -46, -4, -6, 19, -2, -10, 43, 17, 34, -45, 8, -36, 75, 32, 41, -51, 57, -6, 53, 36, -8, -56, 45, -50, 10, 46, -56, -48, 14, 50, 55, 21, -11, 10, 21, 12, 37, 24, -1, -24, -27, 31, -55, -32, -61, -57, -42, -1, 8, -55, 25, -48, -32, 46, 37, -55, 59, 9, 18, -8, 45, -18, 6, 19, -16, -11, -28, -7, -5, 46, -26, -7, -27, -45, 2, 38, 36, -52, -27, -30, -28, -25, 59, 27, 53, -51, 4, -6, 33, 37, 6, 6, 12, -22, 9, -6, -51, 40, -66, -47, -13, -48, -14, 0, 50, -52, -5, 36, -12, -42, 26, 2, -46, 47, 16, 54, 59, 59, 22, -44, -25, 51, -47, 32, -32, -47, -44, -11, 58, 55, 53, 39, 16, 32, 13, 42, -10, -18, 49, 27, -55, -26, 22, -6, -25, -41, -4, 32, 15, -19, 5, -9, -51, 49, 3, 33, 19, -4, -14, -8, 28, -49, -49, -5, -17, 52, 43, 31, 46, -10, -52, 0, 2, 1, 35, 21, 35, -56, -47, 61, -46, -3, 27, -4, -48, 37, 37, 37, 48, -66, -9, 53, -28, 47, 45, 29, -28, -14, -14, 44, -47, -8, 51, -53, -24, 37, -45, 57, -39, -57, -34, 61, 43, -52, 25, 6, -62, -35, -43, -57, 36, -33, -30, -53, -28, 35, 36, -48, -41, 29, 20, 45, -34, -35, 31, -44, 18, -21, -16, 43, -39, 38, 0, -44, -55, -40, 53, 61, -32, -16, -8, -60, -29, 46, -15, -33, -48, 16, -68, 32, -49, 2, 60, 21, 39, 48, 8, -57, -17, 32, -5, 30, -59, 45, 38, 1, 16, 36, -54, -5, -26, -34, -18, -16, 39, 41, 40, -22, 37, -6, 54, -20, 43, 35, -43, -6, -2, -35, -49, -15, 34, 44, -28, 58, 26, 12, 30, 25, 51, -61, 9, 46, 8, 3, -23, -50, -18, 25, -20, -26, 10, 37, 50, 26, 41, -31, -48, -12, -7, -12, 1, 14, -51, -54, 42, 21, 54, -53, -15, 44, 14, -4, -40, 52, 3, -13, -11, 19, -16, -2, 25, -25, -50, -6, -36, 61, -20, -60, 50, -58, 5, -58, -56, 34, -17, -44, -33, 3, -29, 34, -33, 43, 54, 34, -19, -62, -44, 3, 51, -17, 38, 32, -55, -53, -10, 20, 36, 57, 13, 25, -37, -11, -6, 64, -27, 47, 9, -60, -21, 19, 24, 24, -52, -7, -36, -1, 56, -39, 52, -40, -45, 39, 10, 59, 41, 9, 24, 37, -39, -26, 37, -40, -31, -23, 17, -58, -12, 49, 9, -17, 17, -36, 62, 45, -60, -43, -32, 45, -54, 18, 46, 39, -21, -45, -22, 16, -3, -26, 6, -46, -17, -29, 61, -14, 18, -29, 60, 16, 57, -36, -25, -55, -53, -24, -20, 22, 16, 43, -6, 26, 33, -64, -26, -60, 5, 62, 6, -31, -44, 23, -2, 61, -52, 51, 32, -2, 56, -60, -47, 55, -19, -36, -36, -10, 43, -16, 47, -30, 30, 55, 54, 8, -51, 42, -63, 39, -19, 3, 47, -61, 40, -36, 4, -57, 0, 1, 6, 13, 40, -51, 46, 27, 34, -1, -45, 13, -10, 22, 44, 5, -61, -7, -16, 18, 15, 46, -3, -3, 59, 49, -57, -35, 12, 46, 11, -24, -58, 8, 43, 49, 25, 39, 38, 52, 39, 1, 42, -42, -43, 19, -19, -18, 3, 23, -31, -11, 28, -14, 25, 15, 10, -44, 38, 44, 3, -40, 5, -60, 0, 33, 2, -52, 35, -25, 64, -45, -21, 10, -44, -18, -50, 42, 14, 14, -50, -29, -39, -30, -28, -23, -23, -24, -39, -32, 18, -58, 4, 15, 38, 12, 32, -47, 42, 30, 5, -3, -40, 34, -55, 27, 6, -17, 3, -6, -9, -41, 29, -23, 25, -57, -15, 16, -33, -2, -3, 40, -20, 41, 60, -24, 21, 18, -56, -37, -55, 23, 56, 14, 51, 75, -50, 70, 10, -39, -5, -3, -40, -23, -8, 36, -53, -43, -53, -24, -46, -9, 41, 2, 16, 3, -49, -44, 15, 4, -53, 56, -21, -14, -7, 59, 0, 3, -30, -37, 49, -11, -16, 58, -1, 0, 56, -37, 26, 8, -40, -56, 2, -38, 66, 0, 38, 15, 28, -2, -4, 20, -22, -28, -62, 30, -10, 13, 16, -4, -38, -58, -42, 12, 29, 62, -48, 45, 6, -1, 30, -36, 7, 25, 13, 4, -53, -2, 7, 25, -31, 18, 42, -23, -27, 38, 39, 36, -59, -50, -43, 51, -13, 33, -33, 29, 6, 36, 17, -47, -28, 59, -6, 10, 7, -25, -61, 57, -61, -47, 17, -19, 55, -44, -39, -29, -13, -36, 8, -21, -42, 50, -4, -47, -29, 4, -54, -13, 13, 36, -32, -42, 51, 37, -44, 14, 46, 19, -47, 4, -58, -10, 35, -33, 17, -1, 49, -3, -36, -25, 12, 11, 39, 15, 45, 7, -30, 29, 4, -20, -44, 2, -13, -3, -51, 8, -15, -31, 31, -13, 2, 39, 37, -57, 25, 6, 12, -47, 63, 39, 28, -45, 55, 33, -18, 14, 26, -20, 8, -52, -37, 0, 36, -11, -47, 56, 21, -14, -17, -45, -27, -31, -40, 13, 12, 71, 49, -32, 45, 55, -43, -53, -54, 12, -10, -47, -66, 60, -51, -35, 12, -56, -5, -42, -39, -7, -35, -43, -37, 41, -18, 39, -4, -7, -13, -12, -31, 9, 26, 41, 7, 30, 40, 18, 16, -57, 52, 34, 19, 19, 0, 43, 52, 36, -19, -56, 9, 48, -1, 1, -28, 47, 27, 11, 22, 18, -24, 39, 23, 12, -27, 29, 28, 15, 6, -48, -8, -8, 1, 31, -29, 22, -23, 4, 28, -52, -44, -30, -27, 32, -49, -4, -17, -42, 31, -10, -16, 15, -34, 48, -32, -1, 29, -64, -49, -8, -36, -21, 44, -39, 27, -46, -41, 5, -50, -53, 6, 16, 27, -6, -14, 2, 36, -64, -40, 42, 50, -51, 53, 10, -29, 32, 44, -20, 49, 24, 60, -32, -3, -7, 15, 46, -4, 44, 3, 44, 3, 52, -33, -14, 33, -19, -8, -48, 25, 6, -15, 15, -27, 51, -47, -16, 35, -2, -17, -28, 3, -51, -48, -1, 29, 44, -38, 37, -54, 52, 21, 14, -10, 19, 30, -16, -45, -6, -13, -28, -49, 59, 42, 43, 28, -39, -51, -19, -18, -39, -45, -54, 14, -60, 21, -40, 28, -19, 3, 33, 24, -10, -58, -45, 25, 19, -32, 38, 52, -44, 60, 33, -36, -35, -13, 42, 57, 23, 49, -43, -20, 1, 22, -7, 2, 43, 53, -45, 2, -41, -38, 12, -37, -35, 21, -15, -27, -2, 17, -7, 20, 68, -29, -3, 48, -24, -30, 24, 60, -47, 52, 4, -9, 13, -40, -18, 8, 57, 45, -1, -26, -64, -30, 59, -22, -66, 29, 47, 58, -37, 21, -37, -57, 13, 55, 7, -27, 45, 3, 22, -53, 34, 4, 46, -8, 11, 54, 57, 6, 37, 14, -40, -43, 58, -38, 40, -24, 53, 19, 60, 23, 1, -63, 52, 20, 59, 33, 62, -48, -14, 11, -54, 34, 24, 50, 13, 30, 0, -55, -44, -58, -45, -39, 11, 7, -57, -31, -55, -52, 42, -49, -37, 73, 30, 31, -57, -49, -8, -31, -5, 37, 31, 12, -22, 32, -20, -17, 19, 47, -1, 8, -19, -28, 18, -33, -46, -4, 59, 53, -36, 60, 32, -1, 34, 24, -41, 20, -45, 5, -51, -43, 41, -33, 17, 2, 13, 26, -58, 59, 44, 24, -14, -50, -5, -12, -18, -40, -3, 5, -28, -23, 1, 49, 59, -31, 8, -11, -33, 59, 62, 8, -16, 44, -32, -31, 36, 35, 17, 44, 23, -48, 12, -11, 52, 29, -49, 1, -12, 54, 23, 32, -17, 45, 38, 51, 8, -39, 18, 55, 4, -8, 48, 42, -13, -41, 40, -25, 8, -5, 53, 57, 30, 9, -43, -52, 5, 48, -51, 45, 29, 1, -7, -42, 15, 5, -45, 39, -41, 33, -19, -34, -55, -45, -35, 44, -14, 10, 51, 42, 8, 43, -18, 59, 1, 38, 23, -11, 32, 31, 27, -64, 68, -6, -9, 50, 40, -57, 4, 36, -50, -38, -22, -54, 17, -57, -49, 63, -22, 8, -53, 7, -26, 5, -50, -17, -20, 46, -4, 48, -17, -1, 47, 32, -49, -37, 18, 40, 39, 51, -35, -15, -30, 19, 47, 44, 11, 50, -10, 46, -54, -55, 6, 58, 5, 57, 45, -9, -30, 35, 31, -59, 26, -26, 20, -25, 25, 17, 55, -14, -33, 9, 37, -16, -16, -30, 23, 50, -42, -50, 41, -48, -35, 49, -24, -58, 42, -26, -2, -2, 46, -19, 42, -33, 18, -54, 25, -61, 11, 55, -26, -22, -31, 20, -37, 17, -40, 11, 20, -52, -31, -60, -19, 38, 53, -36, 48, -6, -35, 47, 7, 6, -60, -12, -20, -30, 15, 7, -15, 33, -42, -41, 39, 63, 55, -16, -50, 34, -56, -27, -52, 43, 10, -58, 45, -13, -58, 42, -33, -42, -41, -27, 40, 60, 8, -14, 42, 25, 41, -23, -62, 55, -54, 53, 61, 19, -45, 59, -17, 47, 33, -6, -19, -66, -41, -16, 38, -3, 60, 48, -2, -24, 19, -58, 1, 5, -60, 34, 53, 18, -19, -15, -17, 35, -6, 46, -53, -43, 28, 7, 31, -25, 26, 38, 22, -19, -32, -4, -55, -11, -13, 31, -56, -52, 45, -25, -23, -61, 19, -22, -26, 5, 47, 29, 0, 25, 43, 53, 34, 23, 42, 31, -60, -36, 44, 27, -6, -65, 11, 15, -45, -56, 57, 22, -44, 2, 60, 25, 15, 41, 42, 0, 2, 42, -7, -3, -15, 19, -42, -49, -29, 58, -33, 1, 34, 6, -57, -38, 45, 9, 34, -10, 48, 1, -23, -7, 1, -12, 28, 8, 7, -21, 20, 16, -47, -66, 2, 59, 3, -34, -26, 54, 26, -15, 45, -59, -30, 18, 58, 52, 23, -3, 37, -37, -46, 3, 31, -57, 3, -1, -51, -16, -40, 44, 15, 61, -44, -16, -35, 26, -8, 34, -27, 17, 4, 34, -2, 47, -38, -24, 26, -55, 59, -16, -34, 45, -46, -28, -25, 29, -30, 52, 7, 19, -53, 33, -35, 21, 7, 55, 59, 28, 49, 47, -17, -19, 37, 25, -53, 1, 47, -32, -14, 42, 44, -23, 49, 64, -21, 26, 26, -13, -13, -19, 29, -2, -12, -49, -42, -14, -47, 38, -49, -24, 56, -37, 1, 38, -20, 21, 29, 59, 49, -51, 29, -44, 59, 20, -10, 24, -57, 46, -60, -31, -61, -8, -23, -39, -26, -13, -48, -54, -35, 30, -14, 47, -18, -3, -23, 42, -25, 13, -61, 29, 5, -24, 26, -37, 21, 1, -50, 37, -54, 0, -44, -16, 35, 28, 52, 29, 36, -38, 15, -68, 24, 24, 46, 13, -12, 7, 30, 43, -52, -48, -35, -50, -12, 40, -30, 0, -7, 30, -29, 30, -58, -38, -20, 43, 39, -22, -53, 26, 20, -29, 36, 60, 32, 59, -36, -31, 27, -22, 12, 17, 23, 1, 15, -46, -44, 37, -10, -8, -32, -58, -18, 50, -60, 3, 32, 18, 60, 57, -35, -61, 49, 27, -12, 47, 31, -5, -24, -16, 12, -5, 34, -29, 53, 30, 64, -28, -24, -7, 55, 13, 52, -35, -10, 49, -14, -35, -42, -59, 51, 47, 50, -55, -10, 17, -3, -27, -37, -23, -3, -24, -19, 34, -13, 14, 33, 48, -40, 5, -13, -37, -37, -30, 1, -18, -24, -54, -39, -6, -41, -23, -29, -43, 7, -21, 28, -54, 42, 57, -27, 49, 36, 38, 37, 17, -50, 5, -61, -2, 21, 61, 58, 41, 42, 38, -23, 46, 23, 50, 53, 12, 63, 57, -4, 22, 11, -25, -14, 25, 2, -42, -23, -42, -43, 60, -62, 22, 14, -21, 15, 52, 0, -41, 40, 19, 34, 11, 54, 59, 11, -47, -19, -12, 26, -43, -34, 1, 6, -54, -53, -52, -8, -24, 46, -15, -15, 55, 21, 36, 30, -42, 44, 41, -2, -26, 60, -39, -52, 25, -62, 38, -6, -25, 25, -20, -50, -52, 42, -14, 52, 42, 56, -24, -43, 25, -19, 2, -25, 59, 45, 54, -34, 53, 53, 18, 28, -17, -56, -40, -24, 51, 28, 2, -42, 26, 67, 32, -18, 24, 48, 32, -21, -7, -39, -18, 45, 19, 56, -47, -23, -10, -5, -7, 7, -17, 5, 53, -32, -3, -8, -29, -67, 57, -10, 53, -15, 3, 22, 52, -57, -3, -49, 22, -2, -20, 10, 49, -18, 47, 55, 4, -24, -57, 1, -5, -56, -5, 5, -24, -40, 10, 54, 56, -56, 3, -22, -27, 16, 37, 15, -37, 49, 28, 15, 57, -17, -7, -48, -11, 68, 13, 10, 19, 13, 34, 36, -63, 20, -67, -45, 42, -14, -56, -8, -66, 53, -10, 6, -45, -45, -49, 7, -65, -43, -13, 6, 36, 20, -38, -7, 8, -44, 44, 54, -44, -58, 11, 58, -26, -54, 36, 34, 51, 19, -4, -33, -53, -11, -9, -54, -5, 46, -66, 41, -62, 16, -37, -22, 23, 25, 6, 48, 12, -12, 33, 44, 43, 4, -6, -49, -14, 7, -33, -1, 37, 13, 23, 2, 61, -17, 10, 18, -52, 30, -17, -57, -35, 41, -39, -34, -65, -38, -58, -48, 13, -41, -14, -50, -17, 39, 6, -32, 23, 7, 60, 16, 58, -42, 49, -57, 23, 61, 43, 35, 4, 26, 36, 16, 3, -2, -23, 50, -25, -29, 6, 23, -56, 4, 39, -55, -6, -49, -50, 15, 46, -32, 20, 23, -39, 20, 49, 60, -35, -44, -21, 40, 42, -58, 20, 41, 38, -55, 1, -2, 56, 66, 16, 51, 8, 0, -51, 34, -18, 57, -7, -59, 30, 46, 26, -17, -21, 38, -2, 21, 33, -1, -13, 47, 20, -61, 5, -18, 14, 22, 57, 41, -8, 1, 41, 64, 7, -52, -21, 22, -17, -55, -40, -54, 35, 30, 54, -56, -15, -31, -24, -28, -35, 24, 55, 20, 27, 5, -11, 57, 7, 16, 7, 30, -43, 43, 45, -60, -54, 7, -27, 36, -5, -40, 8, -43, -9, -23, 29, 15, 24, 59, 56, 2, -9, 36, 2, 41, -58, -49, 58, 56, 34, 53, 38, -55, -2, -16, 54, 22, 16, 42, -25, -8, -2, -42, -18, -8, -28, -27, -33, -61, -19, 20, 62, -13, 34, 36, -14, -43, 4, -44, 47, 26, 34, 33, 35, -3, 43, -23, -43, -54, 37, 15, 9, -49, -59, 11, 25, 59, -19, -29, -17, -25, -4, 52, 34, 45, 41, 61, 22, -4, -21, 38, 27, -34, 31, -16, 33, -31, 21, -48, -19, -45, 2, 29, 39, -20, 10, -63, 52, -15, 3, 48, 44, -43, 17, -7, 16, -59, 17, -36, 57, 50, 53, -26, -40, 25, -56, -35, -29, -30, -6, 24, -58, 2, -29, 44, -24, 59, -57, 18, 45, -45, 47, 54, 11, 2, -63, 45, -63, -20, 32, -49, 49, -22, 39, 26, -13, 42, 8, 58, 56, -32, -50, -42, 52, 8, 58, 12, -3, -23, -37, -15, -9, -42, -5, 46, -56, -1, 47, 24, -28, 63, -49, 36, -36, 33, -42, 45, -20, -18, 54, 4, -47, -17, -21, -48, 59, -27, -13, 48, 11, 56, 44, -10, 59, -40, -31, -57, -43, -48, -57, -47, -26, -1, -1, -58, 27, -59, -41, -33, -9, 8, 25, -4, -53, -44, -51, -9, -53, 54, -59, -36, 3, 31, 6, 42, -44, -14, -33, 41, -36, -26, -18, 51, 31, -40, -47, 59, -46, -44, -62, -56, -1, -8, -21, 9, 18, 52, -30, -46, 19, -21, 42, 13, 4, -15, 12, 35, 24, 17, -43, -58, -29, 12, -29, 51, -11, -34, -17, -61, -17, 38, -11, -32, -45, 23, -43, -43, -53, -30, -60, 24, -38, -31, -13, -16, 46, 13, 46, 50, -58, 2, -33, 15, -48, -70, 0, 24, -72, -5, 0, 18, -58, 24, -30, -10, -1, -39, -29, -12, -20, 51, -1, 36, -41, -31, 37, 40, 33, -15, 24, 0, -6, 37, -28, -11, 43, -57, -44, 45, -32, -5, -43, 51, -18, -42, 5, -18, -30, -7, -10, 38, 36, -19, 8, 40, -45, 37, -17, 2, -58, -8, -17, -57, 21, 45, 3, 16, -33, -45, 39, -55, -7, -22, -28, -44, -41, -5, -21, -46, 44, -2, -19, -55, -8, 15, -30, -36, 42, 4, 63, 28, 9, 7, -5, 2, 47, 57, -36, 17, 30, 43, 18, -22, -39, 51, 26, 8, -55, 33, 20, 6, 21, 57, -65, 30, 8, -1, -17, 50, 48, -54, -15, -6, -26, 3, -37, 67, -1, -54, 19, 15, 28, 39, -1, 48, -12, -58, 17, -36, -1, -34, 40, -26, 5, -40, -44, 33, 21, -29, -48, 14, -71, -16, 17, -13, 48, -38, 14, -26, -28, -23, -57, 54, 46, 2, -60, 7, 17, 8, -21, 12, -41, 6, 61, -35, -50, 15, 53, -46, -44, -33, 55, -49, -56, -17, -19, -57, -6, -14, -17, 27, -49, 32, 43, 53, -37, 49, 30, -36, -33, -43, -35, 5, -16, -31, 16, -3, 44, 17, -6, -61, -64, -16, -19, 41, -37, 7, 28, -27, 32, -34, 39, -9, 48, 56, 36, -48, 35, 11, -32, 12, -43, 44, 11, -16, -54, 42, -62, 30, -13, -46, -38, 75, 43, -35, 39, 21, 17, 27, -56, -22, 27, -2, 32, 56, 11, 26, -4, -3, 26, -53, -16, -41, 32, 25, 49, -51, -27, 38, 51, 5, -24, 59, 48, 6, -44, -48, -7, -40, 60, -51, -2, 53, 34, -67, -24, 17, -33, -8, 7, -17, -46, 48, -45, 47, 52, 48, 65, 13, -7, -18, 42, -36, -26, 54, 7, 17, -2, -27, -19, 44, 4, 24, 0, -50, -50, -54, 23, -25, 52, -13, 36, -19, -2, -10, 45, -48, 3, -19, -38, 31, -57, 50, -8, -46, -70, 35, -1, -54, 53, 44, 17, 56, 15, -10, -33, -29, -43, -9, -3, 5, -49, -3, 52, 50, 57, 56, 7, 15, 40, 54, 6, -12, -29, -33, 65, -8, -43, 46, -20, -2, 51, 9, -31, 20, -54, 19, -33, 1, 45, 16, 31, 22, -17, 16, -24, 48, 14, 28, -5, 12, 48, -30, 7, -61, 18, 14, 5, 30, 31, 31, 18, 39, 19, -53, 58, -57, 3, -47, 58, 10, -28, -61, 38, -49, 30, 33, 31, -52, 1, -34, -57, -19, -31, 14, -52, -63, 37, -49, 27, 18, 29, -34, -18, 14, 66, 38, 60, 47, -45, -42, 36, 47, -53, -33, 25, -3, -53, 40, -7, -4, 11, -45, -40, 10, -46, -61, -15, -23, 27, 8, 16, -24, -27, 0, 16, -30, -20, 7, 10, 29, 63, -53, -31, 29, 38, 58, -3, 41, 16, 8, -64, -25, -26, -9, 8, -49, 36, -46, 37, -39, 13, 0, 28, 14, 48, 50, -57, -33, -65, 49, 40, -9, -23, 30, 2, 57, 11, -6, -19, 23, -50, -32, 74, 7, 19, -31, -59, 3, 4, -60, 10, 38, -43, 20, -50, 41, -3, -34, -22, 26, -38, 13, -3, -48, -55, 38, -23, 58, -15, -16, 43, -21, 17, 32, 24, -30, -26, -7, 29, 26, -15, 36, -1, -38, 20, 44, 30, -9, -45, 4, -44, -16, -30, 10, 11, -56, -7, 24, -54, -50, -51, -25, -11, -14, -30, 30, -49, 56, -21, 54, -41, 41, -4, 51, 60, -45, -23, 6, 48, -32, -33, -49, 58, 45, -28, -28, 18, -41, -49, -27, -17, -29, -37, -6, -23, 52, -1, 38, -25, 44, -17, -17, -38, -25, 17, -40, 53, -22, -3, -49, -17, 63, 42, 49, -33, -60, -41, -27, 11, 26, -44, 45, -50, -49, 58, 28, 45, -32, -33, -24, 27, 13, -35, -44, -19, -6, 15, 32, -2, -26, 41, 8, 45, 20, -9, -16, 15, -16, -33, 15, 22, 20, 54, 36, -41, 37, -42, -1, 49, -9, -53, 47, -63, 29, -61, 20, -55, 31, -3, -41, 29, 30, 27, -52, 2, -22, -2, 43, 63, 46, -54, -47, 37, 57, 33, 31, 49, -13, -53, -57, -32, 10, 56, 23, 51, 15, -49, -20, -59, 44, 53, 10, 21, -27, 23, -78, 40, -66, 5, 26, -38, -55, -47, 8, 45, 2, 46, -60, -65, 31, 12, -5, 10, -32, 8, -11, 38, 11, -10, 29, 45, -13, -36, -57, 44, -17, -33, -12, 8, -38, -62, 6, 39, -41, 46, 5, 58, -21, -40, -3, 5, 37, 50, -8, -9, 16, 29, -45, 27, 29, -15, -60, 55, -33, 64, 42, 5, 51, 28, 30, 52, -31, -38, 47, 44, 15, 54, -54, -59, -37, 43, 59, -18, 53, -43, 61, 52, 22, 60, -32, -6, -13, -20, 28, -42, 22, -24, -25, 8, 38, 24, 21, -8, -54, 58, -41, 17, -25, -28, 27, 10, 48, 37, 33, -14, -9, 14, 28, -6, -23, -40, -14, 19, 49, 10, -2, 35, -44, 47, -3, 50, 30, -7, -18, -47, -44, -39, 31, -63, 52, -14, 35, 49, -54, -13, -42, -33, 43, 50, -24, 3, 26, 1, -2, 54, -4, -15, 34, 2, 0, -9, 25, 31, -33, 25, 47, -16, 25, -16, -27, -57, -2, 33, 47, 47, 52, 61, -25, -38, 8, -4, 51, -59, -53, 50, 40, 21, -32, 23, -37, -3, -18, 57, 58, 0, 57, -34, 18, -9, -25, -29, -50, 6, 57, -8, 14, -23, 23, -54, 38, 1, -65, -5, -4, 48, -59, 30, -38, 24, 44, -66, -25, -36, 21, -54, 35, -14, 5, 20, 3, 0, -25, -49, -55, 41, -26, 4, 41, 3, -43, 53, -14, 39, -14, 29, 23, 34, 62, -11, -10, 37, 21, -45, 7, 18, -45, 9, -21, 58, -50, 55, -25, -56, -25, 51, -16, 39, 30, 25, 10, -47, 41, -23, -48, 20, 44, 15, -30, 5, 48, 31, 25, 51, 4, -50, -22, -1, -41, -41, -23, -29, 27, 39, -9, -66, 24, 17, 57, -49, -45, -33, 48, 48, -6, -9, 34, -34, -20, 35, 22, 9, -48, -57, -49, -2, 23, -28, 40, -22, -9, -51, 32, 20, -19, -13, 65, 47, -5, -10, 4, 48, 61, -23, -53, 33, -54, 14, 55, 33, 10, 52, 35, -43, 7, -38, 26, 36, -17, 36, 30, 5, 53, -17, 6, -3, 15, 21, -12, -41, -48, 27, 54, 0, -5, -52, 38, -35, 19, -19, -21, 37, -60, -45, 37, -16, -4, -2, -19, -10, -10, 35, 56, -62, -41, -17, 13, 17, -6, 10, 5, 37, 15, -11, 43, -53, -27, 8, 2, -19, -38, -56, -54, 17, 27, 28, 13, 65, 0, 0, -53, 12, -24, -21, 27, -58, -23, 29, -53, -51, -34, -48, 43, -4, -31, 38, -42, 54, 41, 50, 30, -39, 1, -51, -49, 11, 49, -21, 59, -5, -53, 25, -60, -48, 59, 40, -1, -59, -31, 12, 19, 56, 31, 39, 24, -54, -29, 5, 54, -35, 22, 30, -7, -51, -45, -55, -8, 0, 36, 18, -29, 12, 45, -24, -46, 55, 59, 38, 37, 54, 4, 23, 50, -11, 37, 23, -25, -36, -32, -22, 24, 37, -30, -51, 50, -36, -23, 4, -53, -14, -35, -60, -48, 31, -21, -15, -5, -22, -7, -17, -15, -33, -40, 1, 59, 58, 15, -27, -53, 40, 59, 2, -11, 47, -32, 12, -38, 28, -30, -19, -21, 47, 30, 16, -34, 31, 13, 16, -50, -9, -3, 26, -32, 56, -2, 5, 1, -42, 34, 20, -30, 1, 43, 16, -29, 19, 5, -15, -49, 61, 37, 10, -54, 50, -5, -10, -15, -7, -37, 23, -59, -56, 57, -28, -5, 15, -19, 25, -16, -22, 60, 56, 61, 8, -13, -62, 8, 46, -49, 56, -7, -55, 20, 57, -25, -43, -42, -6, -49, -10, -4, -6, 55, -19, 34, -62, -59, -33, 60, 49, 60, 55, -18, -39, -14, 35, -18, -2, 22, -7, -32, -26, -55, 15, -22, 45, -30, -60, -38, -2, 12, -7, -47, -62, -9, -22, 16, -57, -7, -34, 39, -25, 6, 10, -2, -4, 45, 24, -41, 1, -9, -42, -46, -40, -59, -58, 1, 29, -45, -11, 22, 12, 48, -23, 24, 23, -62, 19, -41, 12, -46, 10, 1, 34, 7, 39, -39, 31, 22, 58, 39, 28, 28, 49, -12, -57, -36, 59, 32, 6, -22, 55, 19, 26, -5, -12, 42, -24, 17, 33, -23, 52, -9, -12, 39, 33, 10, 7, -40, -44, -33, -22, -34, -15, -46, 38, -11, 50, 24, 24, 59, -8, 31, -38, 13, -23, 38, 54, -30, 40, -7, 15, 25, 30, -21, 19, 62, -21, -1, 40, -42, 5, 20, 4, 8, -51, -29, 46, 21, 38, 39, -38, 50, -27, 54, -63, -11, 35, 10, 25, -53, -32, -39, -40, -48, 17, 34, -29, 34, -48, -34, -34, 9, -23, -55, -26, -38, -6, -5, 7, 52, -11, -29, -7, 17, 23, -40, -30, -36, 50, 37, 16, -35, 21, 50, 24, 19, 47, 12, 40, 60, 37, -47, 48, -56, -16, 25, 29, -27, -8, -37, -17, 52, -48, 19, -42, -37, -4, -58, 28, 16, -5, -30, 21, -29, 54, 25, -2, -25, 12, -39, -45, 43, 32, -5, -20, 64, 0, 48, 23, 19, 31, -36, -17, -50, -48, -42, 50, -61, 0, -58, 46, -43, -5, -39, -57, 41, -37, -44, -1, -7, 35, 45, -12, -56, -9, 8, 57, 45, -58, -49, 27, 28, 24, 50, -65, 28, -29, 24, -17, 36, 10, 48, -10, -1, -30, -46, -5, -40, -20, 44, 49, -13, 51, -42, 14, 14, -30, -19, -34, -14, -16, 20, 30, -41, -34, -56, 23, 15, -5, -5, 28, -36, -64, 37, 25, 48, -17, 10, 5, 4, 33, 25, 39, -12, 2, 6, 33, 4, -60, 35, -51, 5, -36, 44, -39, 43, -19, 13, -13, -39, -6, 17, -21, -55, 12, -22, -12, -37, 50, -19, 27, 43, -24, -23, 50, -49, 52, -48, 56, 4, 61, -42, -36, 58, 52, -14, -9, 29, -40, 57, 57, 19, 58, -6, 35, -19, 53, -42, -27, -55, -2, -11, 29, -17, -57, 31, -2, 22, -40, 49, 48, 4, -33, -38, -29, 4, 7, -30, -5, -27, 4, -8, -17, -11, -50, -43, -27, 59, 54, 35, -52, 58, 13, -50, 22, -13, 0, 60, 10, -19, 8, -53, -24, -23, -26, -58, 14, -13, 25, -55, -57, 29, -3, -4, 22, -17, -51, -38, -17, -23, 3, 58, -16, 19, -41, 15, 37, 21, 32, -60, 54, 16, 11, 44, -46, -55, 57, -49, -4, 42, -60, 4, 4, -23, 30, 13, -13, -62, -45, -16, -57, 45, 27, 33, 29, -27, 24, -31, -45, -32, -53, -34, -51, 44, -62, -42, 9, -48, 14, 25, 57, 38, 33, -33, 32, -18, -9, -42, -3, -52, 54, -27, -28, -13, 31, -38, -16, -51, 3, -5, 39, 10, 53, -44, 42, 34, 47, 24, 23, -27, 15, 14, 23, -43, -1, 58, 43, 36, -62, 5, -57, -42, 13, 4, 3, 9, -57, 28, 60, -36, 34, -3, 4, 36, -1, -3, 53, -25, 54, 8, 35, -8, 27, 38, -31, -54, 0, -27, -9, 7, 28, -20, 15, 37, 8, -60, 30, -3, 38, -37, -56, -6, 33, -48, -59, 6, -65, -32, -35, -35, 60, -61, 7, -13, 6, 25, -28, 24, -47, -24, -27, -21, -28, 60, 2, -10, 53, -11, -6, 27, 47, 18, -31, -10, -22, -1, -46, 47, 48, -47, 30, -24, 22, -19, 24, -27, 44, -25, -42, -42, 47, 39, 18, -21, 22, 11, -5, 15, 34, 21, -59, -48, 10, 5, 27, -36, -36, 37, -52, -18, 56, 42, 10, -1, 34, -25, -28, 8, 32, 57, -8, 24, -12, -16, -24, 2, -47, -53, -51, 15, -46, 15, -38, -64, -61, -28, 58, 24, -13, 24, -14, -21, 42, -61, 41, -53, -27, 58, 26, -14, -19, -35, 61, -24, 26, -36, 48, 8, -45, -58, -12, 28, -16, 59, -11, 15, 49, -44, 0, -14, 8, 44, 7, -20, -17, -36, 30, 30, -22, 16, 55, 20, -50, -10, -39, -34, -60, -45, 41, 4, 9, -51, 6, 21, 16, -41, -26, -44, 15, 42, 58, 19, 62, -42, -29, -22, -51, -36, -5, -54, -45, 6, -55, 40, -32, -29, -58, -61, -44, -19, 10, -32, 12, -32, -37, 45, 56, 7, -60, -35, -45, 51, 20, 7, 36, -25, 22, 55, -5, 55, -34, 27, -8, 18, 39, -59, -34, -24, 28, 33, 33, -10, 47, -1, 50, -39, 1, -1, -33, 7, -14, -11, -17, 53, 47, -51, -31, -30, -38, 61, -35, 2, -33, 28, 59, 24, 0, -21, -24, 54, -2, -4, -4, -17, -5, 1, -40, -50, 28, 57, -62, 0, -26, -12, -47, -2, 53, -15, 31, 15, 30, 32, 18, 55, 0, -29, -25, 55, 60, 4, 23, 45, 31, -6, 52, 14, -53, -30, -41, -56, 2, 45, 27, 56, 6, 20, 13, 8, 31, 34, -17, -28, 50, 51, -49, -59, 35, -7, 38, -18, 34, -4, -48, -10, 24, 10, -36, 54, -55, -43, 11, -3, 7, 9, -27, 8, -12, -9, -2, -3, -40, 31, 16, 60, -44, 5, 12, 5, -53, 18, 41, 33, -42, -52, 28, -50, -51, -28, 52, -36, -12, 41, 10, 40, -41, 14, -4, -48, 6, -52, 60, -50, -20, 51, -17, -48, 15, 55, 6, -9, -8, 48, 42, 57, -14, -7, 45, 43, 21, -19, -11, -54, -28, 54, 57, -36, -30, -32, -58, 42, -5, -1, 46, 60, 40, 1, -15, 17, 38, -60, -62, 21, 9, 58, -40, -44, 22, -62, -34, 42, -62, 36, -17, -46, 43, -54, -21, 25, 37, 25, -27, -43, 38, -12, 8, 57, 50, 22, -7, -52, -51, 28, 0, -7, -31, 11, -13, 23, 47, 41, -15, 31, 27, -26, -14, 26, 4, -44, 28, 29, -40, -18, -29, -17, -33, 25, -20, 14, 6, -15, -16, 10, -19, 0, -57, 5, -36, 3, -8, -21, 35, -57, 36, 28, -8, 46, 18, -17, -40, 30, 1, 8, 14, -12, -21, -12, -16, -42, 51, -13, 29, 52, 32, 45, 8, -13, -36, 54, -48, -67, -44, -36, -17, 7, 10, 50, 34, 48, 18, 35, -48, -6, -30, 13, -30, 27, -20, -22, 27, 66, 14, 36, -36, -16, -49, -42, 55, 26, -39, -53, 23, -70, 8, -44, -44, -44, 27, 53, 57, 24, -52, -14, 27, 47, -37, -44, 35, 15, -38, -55, 23, 1, -51, 37, 59, 14, -13, -13, 52, -4, -36, -14, 14, -57, -35, 1, -56, -47, 15, -39, 37, 18, 18, -29, 58, -20, -64, -42, 9, -3, 21, 12, -69, 0, 31, 4, 57, -13, 20, 2, -10, -76, -27, 30, 42, -49, 37, -11, 50, 22, 15, 22, 48, 60, -5, -31, -24, 66, 12, -43, -32, -17, -27, 63, -10, 58, -57, -43, 36, -43, -4, -53, 48, -34, -58, 15, 47, -32, -43, -35, -21, 43, -14, 40, -17, 30, -44, -59, 6, 58, 48, 30, 68, 67, 67, 69, 44, -14, -56, -62, -44, 38, 46, 50, -52, 43, 20, -11, -82, 4, -18, -18, 44, 22, -24, -5, -21, 37, -6, 38, -52, 53, -3, 26, -48, 17, -56, -36, 35, 16, 28, -8, -67, 46, 35, 57, 32, 32, 59, -58, 41, 39, 45, 27, -48, 22, 61, -28, -26, 18, -44, 16, -22, -22, 24, 45, 37, 39, -34, 23, 33, 45, -32, 42, 20, 29, -55, -46, 14, 61, 68, -51, -1, -26, -55, 0, 1, 60, -22, -17, 5, -10, 22, 16, -1, 48, 11, 14, 17, -5, -35, 57, -15, 44, -11, -55, -16, -48, -16, 64, -25, -54, 68, -63, -59, -37, -22, -15, 57, -25, -38, 35, 8, -2, 59, 25, -37, -49, -50, -16, -22, -4, -19, -53, -3, -41, 31, 50, 1, 5, -59, 54, 37, 11, -12, -21, -31, 28, -64, 57, -63, -43, -56, 8, 58, -4, 61, 67, -59, -59, -30, -35, 64, -27, 17, -30, -6, -8, 34, 37, -42, -41, 57, 21, -51, 0, 41, -39, 52, 53, -56, -27, -43, 11, -5, -56, -46, 22, 11, -9, -27, -44, 0, -10, -55, -29, 8, 1, 32, 10, -15, 12, 46, -33, 41, 26, -31, -66, 42, 16, -10, 24, -2, -56, -24, -29, -10, 4, -71, 61, -2, 4, -17, -21, -16, -7, 4, 41, 51, -64, 52, 53, 10, -27, 36, -13, 3, 45, 8, -4, 7, -9, 49, 34, -38, -5, 7, 39, -69, -17, 59, -2, -42, -25, -27, -45, -36, 2, 37, -46, -14, 21, 1, 49, 41, 2, 6, -59, 9, 32, 40, -8, 30, 18, 3, -57, 13, 56, -46, 4, 24, -74, 26, 37, 28, -55, -13, -65, 33, 77, 67, 21, 95, 38, 20, -1, -30, -9, -31, -3, 23, 38, -61, 1, -1, 42, -15, 26, 32, -16, -35, -61, -55, 29, -71, 27, -20, -7, 13, 33, 20, 30, 20, -50, -43, 6, -56, 19, -23, -25, 51, -38, -59, -1, 27, 0, -19, 71, -22, 48, -4, 36, 2, -26, -48, -8, -30, 19, -50, -27, 11, 9, 51, -48, 52, 57, 8, 48, -4, 18, -36, -7, 36, -24, -42, -88, -22, 8, 58, 27, 11, -9, 58, -54, 20, 38, 8, -41, -4, -36, 30, -33, -22, 68, 59, -23, 8, -4, -17, 48, 43, 24, 51, 16, 33, 51, -19, -5, 43, -47, 23, -6, 43, -2, 45, 54, 62, -47, 21, 20, -59, -7, -10, -74, -47, -46, -11, -50, 37, 42, -81, 54, -22, 73, 77, -6, 6, 25, -22, 40, 40, -4, 27, 23, 34, -27, -21, 33, 38, 29, 10, 13, 23, -40, 48, 9, -42, 23, -51, 48, 8, -29, -35, -9, 22, -37, -28, 58, 18, -22, 13, -64, -21, -22, 12, -12, 45, -50, -57, -35, -28, -53, 16, 15, -1, 43, 54, -53, -27, 52, 7, -61, -59, -2, 34, 51, -34, 64, -4, -42, 59, -37, 42, 19, 29, -10, 65, 8, 46, -12, -33, 26, 19, -6, -12, 28, -13, -18, 2, -54, 61, -36, 45, 0, 63, 20, 74, 11, 36, -42, 28, 51, 46, -18, 41, -24, -8, 40, 53, 24, -48, 54, -38, -40, -38, 52, 56, 37, 22, -52, -49, -26, -58, 60, -13, -49, -7, 43, 44, -31, -25, 12, 25, 7, -6, 52, 33, 56, -48, 30, 14, 50, 22, 39, 58, -44, 2, -67, -47, 49, -61, -68, -5, -1, -15, 33, -32, -1, -21, -32, 27, 40, -27, 44, -30, 40, -34, 37, -37, -23, 11, -1, 50, 26, 2, 22, 10, 55, 21, 17, 44, 40, 64, 53, 48, -14, -14, -25, 30, -12, -26, 39, 39, -12, 17, 10, 2, 33, 7, -34, -40, 44, 51, -24, -51, -59, -13, -14, -18, 39, -12, 1, 52, -21, 7, -26, 24, 21, 37, 24, -2, -34, -32, -30, 24, -56, 39, 13, -23, -1, 35, -15, 28, -32, 8, -38, 11, -27, 2, -5, 18, 9, 12, -20, 8, 85, 12, -36, 0, 85, 61, -49, -35, -23, 2, -5, 44, 7, -13, 47, -34, 0, 51, 19, -47, 10, 62, 7, 24, -35, -23, -71, -39, 51, 38, 27, 2, 0, -45, -25, -26, -15, 30, 26, 25, 11, -51, -11, 27, -23, -52, -11, -43, -30, 13, -51, 7, 50, -48, -37, 48, -18, -12, -24, -71, 10, 21, -64, -49, -3, 48, 22, -35, 39, -24, -38, -9, -12, 55, -41, -25, -12, -34, -22, -27, 7, -66, -55, 27, 56, -56, -19, -25, 10, -29, 61, -55, -38, -39, -12, -25, -59, -25, -28, -73, 28, -1, -33, 23, -10, -8, -61, 1, -47, 58, -47, -18, 13, 4, 67, 11, 23, -36, -23, -57, 29, 54, -22, -24, 4, -5, 27, -36, -36, 35, -29, -3, -50, 32, 27, 49, 44, -37, 55, -12, -29, 29, 60, -35, 64, -59, 18, -34, -18, -4, 63, 30, -78, 61, -57, -23, 9, -13, -24, 6, 58, 11, 18, -2, -23, -15, -41, 39, -1, -42, -8, -51, 35, 49, -52, -29, 32, 30, -54, 38, -2, -57, -32, -1, -24, 35, -14, 22, 51, -19, 15, -33, 4, 11, -50, 20, -52, 32, 32, -46, -21, 21, 11, 42, -22, -20, 44, -28, 19, 53, -17, 4, -12, -5, -12, -49, -36, -3, 20, 15, 11, -56, 23, 43, 39, -1, 41, -13, 47, 10, 40, 43, 20, -5, 25, -42, -48, 29, -23, -10, -13, -4, -16, 22, -39, 27, -48, -19, -48, 2, -18, 44, 64, 62, 27, 20, 5, -15, 37, -11, 3, -5, -20, -61, 39, 45, -45, 56, 19, -31, -28, -15, 47, 10, 37, -17, -54, 19, 19, 27, -54, 26, 51, 36, -28, -41, -32, 42, 4, 48, 12, -7, -6, -39, -21, 7, 25, -2, -38, 37, 45, -2, 51, 13, 13, -4, 39, 35, -36, -41, 11, 42, -64, 65, 48, 20, 28, -56, 33, 54, -24, 36, 25, 20, 23, 18, 9, -35, -47, 2, -36, -26, -32, 55, 51, -53, 3, -32, -30, -6, -16, 26, -12, -9, 31, 34, 4, -27, 12, -44, 50, -35, -39, 4, -43, 24, 47, 44, 27, -17, 8, 17, -15, -10, 19, 54, -57, -29, -39, -1, -68, -62, 48, -11, -19, -50, 8, 39, 2, -60, 27, -14, -17, -43, -24, 22, -63, 1, -8, 52, -28, -35, -27, 45, -7, -8, 53, 37, -10, -35, -51, 15, 17, -34, 60, 60, 13, -36, 23, -23, -74, -4, 21, -51, -7, -31, 49, 24, 25, -27, 1, 18, -37, -74, -13, 51, 13, -15, -65, -7, 30, -40, -19, -23, 42, 63, 47, 36, 1, 48, 38, -53, -55, 58, 3, -25, 28, 36, 11, 27, 35, 53, 8, 37, 20, -35, 43, 12, 32, 23, 20, 15, 45, -6, 31, -29, -60, 19, 7, 22, -10, -28, -9, 21, -53, -15, 5, 8, -32, 20, 4, -1, -59, -3, 40, -65, 9, 33, -44, 21, -8, 32, -73, -12, 47, 44, 45, 2, 26, -19, 16, 28, 8, 56, -45, -38, 19, -63, -6, 32, -49, -46, 35, 12, 35, 23, 49, -47, 36, -2, -49, 43, -50, -11, -29, -58, -17, 2, 31, -3, 29, 3, -24, 34, 55, 24, -15, -22, -54, -7, 37, -11, -57, 10, 47, -31, 8, 38, -30, -39, -47, 18, -25, -45, -41, 19, -28, 59, -21, 10, -41, 31, -69, -47, 44, 0, 49, -16, -32, -30, 10, -9, -7, -40, 46, 5, -5, -39, 1, 53, 37, -47, 4, 16, -52, 48, 17, -22, 82, 38, -38, -29, -53, 19, -5, 28, 5, 11, -28, -34, 13, -50, 32, -14, -4, -2, -18, 25, -37, 55, -40, 0, -42, 6, -65, 37, 22, 42, 3, -41, -39, -6, -50, 54, 15, 60, -4, 39, 10, 28, -38, -20, -38, 53, -17, -44, 41, 45, -31, -37, 58, 33, -27, 62, 30, -79, 22, -49, -9, -14, 25, -64, 8, 56, -60, -56, 45, -13, -13, -51, 16, -33, 19, -56, 8, -52, 34, -21, -53, 18, -52, 44, 2, 9, 3, -35, -54, -6, 63, -37, -3, 25, 31, -42, 42, 30, 41, 44, -31, -20, 35, -52, 57, 18, -30, -12, -19, -46, 31, -27, 22, -44, -5, -35, 50, -23, -7, -9, -63, 46, -5, -45, 9, 48, 52, -33, -30, 28, -31, 18, -29, -54, -12, -15, -43, -2, 61, 27, -38, -62, -42, 35, 48, 22, -21, 18, 14, 55, -6, -18, -52, 31, -55, 37, -19, -50, -5, -34, -50, -16, -18, 9, 54, -39, 6, -11, -34, -28, -9, -51, 51, 25, -16, 27, 2, -41, -9, 53, -28, 59, 25, 50, -6, -55, 22, -76, 17, -69, 37, 44, 50, 66, 77, -53, 22, -14, 42, 24, -13, 1, 16, -4, -40, -59, -38, -51, 66, 8, 13, 63, 27, 12, 35, 33, -54, 40, -54, -15, 44, 8, 29, 60, 10, -4, -49, 37, -29, -47, -52, -71, -54, 20, 2, -44, -30, 4, -48, -43, 23, 42, 10, 42, -7, 53, 29, -3, -12, -5, 21, -24, -29, 30, 48, 19, -60, 66, -2, 84, -1, 55, 67, 8, 4, 29, -24, 14, -22, -47, 9, -51, -31, 51, -36, -59, 51, -24, 21, 35, -55, -37, -13, -22, 38, 4, 1, 33, -40, 41, 23, -20, -39, 15, -58, 49, 41, 47, 46, 60, -12, 15, -22, 29, -51, -42, 7, 49, 41, -41, 2, -23, -50, 42, 32, -67, -38, -57, 25, 16, -24, -42, 5, 43, -17, 8, 43, -7, 38, -10, 43, -19, -49, 76, -14, 17, -42, -14, 30, 41, -31, -40, 51, -65, -72, -34, -36, -16, -5, -62, 15, -18, 21, -24, -29, 14, -28, 14, -6, 24, -46, -38, -55, -61, 28, -54, -24, -25, -15, -68, 17, 20, -50, -33, -2, 7, -38, -20, -46, -42, 50, -50, -20, 59, 61, -3, -19, -31, 46, -38, 36, 38, -40, -46, -43, 60, 42, 64, 74, -13, -42, 71, -36, -60, -8, -21, -15, 7, -9, 62, -8, 21, -12, 21, -47, 66, -3, 23, -30, -32, 46, 1, -30, -22, 5, -28, -18, -21, -19, 21, 51, -38, 2, 32, 46, 35, 22, -18, 49, 6, 48, -3, -31, -40, 59, 24, 37, 11, 13, -7, -38, -13, 0, 31, -8, -3, 34, -27, -1, -62, 40, -26, -7, 17, -11, -44, -6, 51, 22, -13, 55, 53, 18, 44, 79, -7, 12, -27, -34, 9, 17, 35, 32, 54, -56, 2, 21, -1, -25, -27, -55, 13, -35, 50, -5, -42, -11, 36, 28, -11, 2, -49, 59, 20, -3, 3, 2, -49, 18, 39, -6, 24, 16, 38, 37, 5, -1, -19, 33, -41, -14, 19, -55, -35, -47, 23, 44, -17, 42, -55, 35, -6, -1, -55, -26, 12, 1, -6, 11, -64, 43, -5, 12, 1, 16, 13, 12, -24, -22, -15, 48, 0, -49, -7, -31, 30, 38, 14, -6, 14, 25, 42, -5, -20, -12, 32, -17, 35, 51, -11, 49, 37, 42, 22, 58, -17, -55, 35, -50, -1, -10, -14, 60, -10, -48, 25, 34, -60, -12, -37, 32, -52, -30, 52, 59, 49, -58, -47, -39, 23, 46, 0, -38, -45, 41, 29, 17, 41, 6, 56, -62, -60, -62, 49, 48, -7, -2, 26, 27, 21, 53, -23, 34, 43, 26, -35, 72, -7, 34, -5, 13, -51, 28, 2, -18, -8, 17, 23, -53, -25, 60, 44, -17, 22, 35, 22, -41, 47, 4, 28, 41, 44, -52, -36, 12, -43, -18, -24, -56, 19, 51, 5, -43, -4, 52, -12, -48, 45, -53, 25, 8, 8, 18, -27, 52, -27, -22, 33, -7, 25, -22, -33, -9, -1, -4, 15, -20, -32, -50, -28, 14, 10, -25, 12, 70, -10, -12, -5, 23, -14, -61, -1, -61, -8, -51, 37, -39, 41, -49, -37, 45, 56, 21, 6, 32, -60, 11, -30, -58, 47, 41, 61, -40, -43, -30, 60, -63, 13, -2, -1, -53, 40, -25, -36, 12, 27, -24, -38, -63, 50, 23, -45, 8, -19, 11, -31, -12, 56, -1, -41, 58, -2, 14, 14, -20, -28, 22, 24, -15, 25, 50, -3, 6, 21, 38, 48, -45, -22, -27, -29, 48, 51, 50, 30, 18, 37, 23, -12, -13, -35, -22, -60, -36, -26, 39, 21, -21, 34, -39, -10, -17, 50, -10, -19, -35, 57, 32, 21, -17, 45, -29, -6, 9, 39, 25, 29, 57, -63, -60, -35, 25, -4, 55, -27, -46, 8, 17, 0, 8, 64, 31, 18, -38, -37, 4, -52, -40, 60, 19, 18, 10, 30, 48, 34, -12, 29, -48, 39, -35, 58, -28, 53, 25, -45, 11, 35, 32, -2, 2, 2, -6, -17, -6, -8, -37, -14, -36, 51, 5, -31, 31, 53, 36, -11, -21, 2, -48, 49, 19, -5, 62, -46, -32, 48, -19, 25, -5, 69, 7, -19, -53, -2, -60, -18, -20, -8, -44, 43, -52, 58, 43, 34, -34, -67, 23, -56, -5, 31, 2, 17, 51, 30, 5, 28, -15, 33, -30, -20, 28, 14, -6, 7, 6, 30, -11, -30, 16, -13, 36, -33, -16, 39, 18, -26, -3, 31, -23, 59, 0, 47, 43, -32, 44, -21, 6, 5, 6, 37, 42, -42, 38, 16, 25, -38, -32, -7, 37, -66, -36, 22, 42, -2, 47, -59, -39, 53, -34, 12, 37, 1, -36, 7, -3, -15, 47, 26, -34, 61, 50, 38, 3, 2, -13, -34, -37, 46, -4, -56, -51, -59, -9, 61, 38, 62, -4, 33, -41, 22, -20, 10, 43, -26, 16, 29, 51, 27, 14, -48, 33, -59, -29, 38, -49, 59, -21, 16, 15, -39, -36, -25, -18, -44, 51, 51, 45, -4, 52, 17, -32, -32, 5, 10, -39, -37, 6, 56, 28, 17, -11, -16, -48, 15, 26, -15, -54, -34, -51, 58, -47, -8, 35, -33, 17, -38, -27, -51, 6, 39, 39, -4, 30, -52, 5, 47, -48, -1, 14, -40, 16, 50, 48, 44, 21, 34, 12, -20, -26, 23, -20, 53, -31, -8, -41, 9, -45, -6, 53, 21, -35, -44, 22, 47, 57, 52, 34, -56, 59, -52, -26, 38, 8, -62, 22, -15, 3, -7, -44, -48, -45, -11, -8, 54, 53, -19, -30, 46, 30, 56, 19, 28, 5, -9, 19, 27, -72, -3, 51, 42, -49, 44, 6, 41, -4, 36, -7, 5, -43, -33, 43, -44, 14, 30, 13, -56, 47, 52, 45, 48, -36, 26, 48, 35, 39, -39, 22, 34, -41, -17, 44, -30, 54, 24, 75, -12, 59, 46, 67, 20, 3, -25, -26, 7, -37, -48, -15, 40, 2, -43, 26, 46, -22, 19, -28, 40, -41, -15, -33, -17, -64, 60, -45, 41, 27, 14, 13, -37, 18, -13, 24, -7, -40, 7, -33, 49, -27, 58, -27, 20, 17, 36, 54, 60, -5, 24, -11, 5, 24, -51, -4, 4, -18, -27, 59, 1, -25, 22, -40, -32, -17, 29, 49, 24, 15, 61, -2, -48, 46, 10, 41, -37, -39, -55, 34, -20, 16, -23, -33, -29, -12, -26, 46, 54, -4, 20, 2, -15, -20, -7, 46, -47, -58, -48, 59, -18, 24, 57, -58, 15, 24, -6, -32, 29, -20, 37, 47, -25, 19, 6, -35, 0, -39, -8, 38, 39, -59, 3, 14, -34, -40, 49, 32, 1, 14, -49, 32, 56, 9, 32, -4, -43, 11, -7, -38, -34, 53, 46, 48, 79, -6, 3, 31, 22, -58, -69, -59, -65, 30, -18, -38, 68, -31, -44, -30, -62, 43, -31, -36, -33, 63, 1, -16, 48, 14, -60, -30, -13, 11, 18, 40, -23, 26, 34, 11, -45, -47, -22, 34, -36, 49, 20, -10, -10, -7, 47, 13, 55, -4, -44, -43, 19, -44, -35, -35, -15, 0, 26, 53, 31, 57, -52, 42, -51, 15, 36, -1, 48, 30, 44, -41, -3, 39, -57, 15, -16, 62, 20, 53, -65, -37, -6, -23, -22, -31, -55, -65, -36, 21, 0, 5, 6, 42, 18, -34, -11, 53, -20, -6, 19, 20, 54, -15, 17, -4, -14, -24, -11, -18, 38, -19, -37, 9, -8, -12, -23, -47, -13, 13, 23, -3, -49, 18, 35, 58, 16, 20, 33, 32, 16, -24, 14, -53, -50, -41, -47, 44, 46, -34, -29, -51, 55, -56, -4, -40, 54, 56, -45, -13, -39, -5, 63, 21, -16, -20, -17, -52, -33, -4, 54, -7, 52, 10, -21, -10, -53, 44, -2, 10, 32, 6, 6, 10, 44, 44, -28, -33, -20, -28, -36, -59, 0, -8, 32, 48, 60, 30, 24, -26, 24, -31, -11, 35, 0, -27, 27, 20, -18, -6, -34, 69, 38, -27, 21, 36, -64, 45, 71, -54, 1, 40, 30, 8, -14, 2, -50, -55, 44, -62, -21, -19, -2, -43, 26, -20, -52, -30, 35, -63, -14, 43, -26, 62, -24, 51, -29, -46, 23, 5, 25, -21, 17, 60, 9, 35, 39, -39, 35, 3, 1, -9, -44, 11, -37, 34, 19, -36, 41, -41, 24, -41, -56, 27, 70, -67, 4, -63, -66, 31, -14, 42, -56, -25, 20, -34, 1, 12, 49, -86, -16, -26, 20, 30, -12, 59, -11, -6, -17, 10, -30, -47, -44, 58, -28, 48, -49, 13, -53, -47, -47, 40, -17, 25, 25, -44, 14, 51, 36, 60, -47, -52, 20, 47, 0, 13, -23, -51, 59, 24, -24, -9, 57, 63, 46, 54, -35, 2, 31, 36, 69, -21, 48, 20, -48, 68, -4, -2, -57, 41, -29, 47, 63, -10, -36, 36, 56, -32, -57, 62, -2, 25, -21, 46, 2, 47, -27, -56, -16, 19, 3, 8, 33, 27, 51, -52, 36, 2, 17, 17, 44, 5, -37, -47, -36, 18, 5, 7, 9, -13, 24, -34, -50, 2, -22, 33, 51, 44, -53, -2, 56, 42, -27, 12, -18, 70, -4, 30, 22, -32, -36, -43, 36, -14, 34, 1, 16, 33, -10, -27, 0, 54, 13, 65, -13, 50, 52, 35, 1, 4, 45, 32, -43, 15, 33, 15, -2, 38, 12, -13, 21, 63, -55, -61, -23, 54, -25, 26, -9, -75, 1, -34, 35, -52, 10, -31, -56, 11, 23, -10, -23, 55, -59, -32, 39, 42, -41, 26, 3, -23, 56, 58, 37, -55, -37, -18, -30, -37, 12, 20, -1, -19, -49, -16, 64, -26, 11, -6, 1, -54, -35, 51, -23, -47, -62, 54, 48, 45, -33, 4, 21, -47, -63, 12, 53, 10, -49, -57, 12, -16, 21, -44, -63, -27, 37, 5, 37, 27, 20, 55, 4, 21, -38, 17, 42, 23, 12, -39, -18, -37, -45, 17, -39, -6, -11, -53, 24, 44, -20, -16, -51, -36, -16, 32, -31, -20, 36, 52, -46, -42, 15, 13, -5, -10, 49, 21, 7, 29, 61, -62, -8, 53, -5, 0, -23, 21, 25, 18, -49, 50, 33, 61, -58, 9, 10, 2, -38, -9, -59, -48, -23, 30, -42, 17, -69, 38, -51, -80, -4, -3, 66, -29, -47, -7, -14, -49, 35, 32, -32, -26, -24, 14, 13, -28, -6, -13, -4, 5, -25, 4, 18, -36, 45, 8, 33, -40, -10, -42, -28, 8, 10, -28, 18, 42, -24, 51, 55, 10, -38, -14, 5, 14, 43, -18, -4, 48, -61, 16, -60, -43, 27, -37, -42, 57, -53, 24, -37, 30, 51, -12, 17, 16, -21, -64, 9, 39, -20, 57, 12, -4, -46, -24, -20, 34, -50, -15, 27, -29, 19, 48, 51, -57, 60, 33, -39, 12, 25, -16, 24, 46, 28, 29, 23, 47, 37, 24, 10, 4, 67, -1, 47, 42, 49, -21, -40, -37, 25, -2, -9, 59, -58, -60, 57, 9, -7, 34, 44, 45, -43, 45, -51, 39, 28, -41, -50, -40, 1, -29, -14, 2, -59, -4, -5, -50, 46, -33, -32, 42, -27, 29, 30, -31, -44, -29, 25, 61, 56, -16, 7, -47, 37, 29, 15, 12, -38, -30, 45, 46, -36, 40, 24, 24, 8, 43, 27, 50, 50, 14, 32, -13, -3, 32, -3, -55, -24, 21, -47, 39, -21, -51, 37, 33, -65, -7, -12, 29, 9, 16, 27, -47, 42, -20, -55, -10, 10, 45, -38, 20, 47, 13, -55, 48, 35, -6, -53, -34, -41, -8, -54, 35, 27, -46, -52, 45, 29, 31, -23, -49, -30, 25, 18, -20, 32, -53, -56, -60, 29, 42, -37, -69, 47, 14, 0, 14, 26, -38, -41, -19, -41, -33, 4, 49, -3, -16, 12, 60, -23, -6, -47, -33, 24, -53, 5, 41, 52, -15, 50, -8, 59, 60, -23, -31, -38, 0, -54, -31, 36, -52, 30, -34, -12, -46, -65, 45, 58, -41, 36, -12, -53, 34, 39, -14, 22, 30, -27, 23, -35, 36, 2, 52, -32, 56, 43, 24, -52, 54, 6, 25, -19, -27, -5, -54, 47, 10, 16, 22, -8, 23, 23, 6, -42, 3, -21, -55, -28, 28, 62, -3, 51, 50, -10, 20, -61, -55, 15, -60, -54, 39, -48, 45, 59, -6, 47, -40, 17, -58, 35, 12, 58, 44, -10, -53, -34, 32, 43, -16, -4, -52, 25, 38, -32, 31, -42, 26, 26, -34, 5, -22, -45, 3, 54, -59, -4, 17, -57, 45, 32, 18, -29, -43, 8, -9, -7, 27, -44, 50, 17, -24, 20, -32, 46, 4, -18, 42, 25, -45, 35, 24, 49, 49, -1, 43, 38, -24, -33, 12, -45, -11, 25, -41, -35, 31, 16, -17, -4, 23, 12, -30, 29, -18, 54, -22, 2, 12, 21, -39, -47, 21, 38, -16, 48, 33, -5, 9, -42, 29, 53, -48, -42, -45, -35, -37, -53, 41, 25, 62, 68, -61, -18, -56, -24, -65, -32, -16, -5, -50, 6, 2, 1, -37, 36, 47, -39, 53, 5, -39, -49, 18, 49, -35, -37, 17, 7, -5, 18, -43, -59, 46, -8, -61, 17, 29, 46, 33, -50, -21, -62, -4, 25, -58, -47, -49, -50, -7, 17, 19, 24, -58, 42, 28, 55, 9, 55, 12, -1, -51, 53, 39, 38, 24, -37, 56, -50, -19, 24, 10, -41, -24, -21, 57, 3, 7, -6, -58, -31, 27, -10, -13, -36, 1, -23, 10, 12, -57, -35, -27, -10, 22, 31, -43, 13, 33, -38, 25, 21, -9, 2, -59, 33, -31, -25, 54, 1, -55, 26, 8, 58, 9, 50, 28, -4, -41, -32, 29, 13, -43, 14, -17, -39, 3, -21, 18, 20, 45, 12, -46, 49, 50, 29, -5, -27, 28, -18, -26, 17, -38, -49, -48, 11, -35, 40, 9, -5, 31, -61, -49, 19, -2, -30, 33, -25, 37, 34, -25, -16, -29, -19, 29, 5, 23, 15, -3, 18, 8, -10, 64, -54, -44, 27, -26, 3, -41, 8, 3, 47, 11, -45, -42, -2, -64, 54, 16, 5, -12, -23, 64, -21, -21, 31, 29, -44, -43, 63, -34, 22, -41, -27, -29, -46, -61, 52, 30, -1, -61, -15, -26, -19, -23, 58, 10, -42, -11, -10, -20, -48, 46, 13, -24, -6, 51, -6, -17, 40, 50, 2, -26, -5, -57, -41, 36, -31, -7, -18, 56, 40, -25, 23, -12, 38, 31, -50, -23, -40, -35, 39, -16, -65, -26, -6, 54, 2, -35, -24, 42, 58, -42, -8, -24, 30, 51, -29, -2, -32, 46, -29, 24, -17, -24, 7, -34, 9, -43, -17, 15, 49, 4, 5, 25, 52, 12, -57, 33, -35, -5, 53, 58, 42, 14, 16, 1, -38, 6, -20, -35, 5, -9, -44, 38, -20, 56, -36, -12, 10, -51, 19, -11, 9, -53, -14, -14, -16, 20, -13, 17, -9, 27, -7, 5, 43, -40, -33, -21, -63, -1, -55, 10, 13, 45, -40, -31, -56, 45, -62, 46, -55, -21, 28, -33, 42, 10, -38, -9, 42, -60, -56, -21, -47, -1, -37, 2, 6, -11, -30, -5, 36, -23, -46, 45, 38, 42, 20, 24, 53, -25, -18, 46, 32, -46, 30, -19, -35, -57, 23, 24, -41, -46, 43, -21, -23, 45, -37, -60, -3, 14, -49, -19, 21, -24, 26, 15, -13, 34, -17, 66, 1, 19, 17, -8, -22, 22, -21, -4, -10, -21, 1, -60, -45, 14, 6, -45, 26, -25, 52, 36, -51, -40, 28, 61, 39, -57, 40, 11, 57, -3, -5, 47, 36, -27, -49, 10, 51, -47, 33, 41, -2, 47, 17, -21, -20, -40, 33, -34, -60, 20, -7, -2, -25, 48, -54, 41, -23, -24, -23, -39, 16, -12, 35, -14, 25, 1, 50, -34, -10, -57, -13, 39, -60, -32, -39, -23, -25, 23, -47, -24, 61, -27, -3, -39, 14, -23, -10, -8, -60, -48, -22, 22, -28, 35, 56, 1, -47, 32, 22, 52, -11, -25, -4, 59, 33, -2, 44, -2, -50, -25, 13, 56, -32, 0, 15, -50, -53, -7, -50, -27, -55, 45, 34, -39, -26, 59, 10, 24, -36, -20, -11, 12, -13, -30, 30, -49, 36, -5, -50, 38, 33, 5, -24, 49, -48, 46, 37, -4, 48, 23, -37, 34, 58, 9, 20, 52, 20, 28, -28, -54, -20, -37, -49, -58, -48, 44, -38, 49, -31, -34, 59, 36, -54, 49, -2, 51, 8, -50, -29, 46, -40, 10, -61, 57, -22, -47, -37, -21, 47, -48, -20, 28, 25, -43, -30, 13, 62, -14, -51, -31, 16, 53, 26, 40, -14, -11, 31, 2, 59, 36, 33, 13, 50, 7, 14, 52, 44, -26, -53, 52, 15, -47, 59, 50, -6, 16, 9, 41, 38, 35, 0, 43, 7, 38, -38, 50, -32, -18, -47, 53, -30, -42, 24, 22, -33, 38, -37, 11, -16, 5, 1, -25, 17, -9, -11, 15, -9, -51, -28, 55, 17, -17, -57, -45, -47, 53, 2, 34, -25, 33, -28, -28, 45, 41, -51, 29, -44, 51, 54, 59, -63, 1, -4, 1, 36, -12, 20, -58, 39, -62, -38, 52, 30, -58, -51, -42, 41, -54, 10, 1, -41, -19, -4, 40, 13, -41, 38, -31, -19, -12, 1, -27, 37, -55, 50, -21, -39, 30, 6, -33, 59, 42, -52, 14, 63, 52, -23, 48, 10, 2, -50, -44, -56, 12, 50, -28, -41, 36, -59, 41, -57, -44, -60, -25, 13, -18, 46, -14, 15, -2, 2, -7, 19, 57, -25, -41, -32, -57, 4, -26, 2, -61, 61, 19, 37, -59, -37, 56, 51, -3, 41, -48, -9, 51, -30, 14, 8, -13, -10, 11, -42, -38, -46, -35, -21, -43, -29, 16, -18, 15, 48, -40, -8, -53, -54, -32, 56, 16, 40, 48, -43, -64, 44, 1, -47, 41, 5, -52, 27, 13, 48, 31, 36, -28, -57, 1, -37, -39, 25, -48, -52, 34, -11, 54, -30, 36, 0, 23, -54, -8, 7, 19, -51, -14, 39, 55, 37, 34, 51, 14, 87, -39, -44, 73, -57, -54, 42, 46, -57, -8, -54, -8, -25, -21, -22, 47, -39, -20, 14, 62, 45, 62, -18, 53, 17, 46, 42, 35, 0, 23, -37, -40, -58, 24, 56, 44, 54, 38, 19, -1, -4, -3, 22, 25, -41, 24, 22, 6, 0, -62, 26, -37, 22, -32, 14, 11, -8, 31, 51, 48, -23, -57, -72, 41, 21, 17, 69, -32, 42, 59, 36, 29, 66, 25, -23, -57, 29, -50, -58, 50, -29, 31, -47, 32, -52, -62, -52, -41, 32, -33, -5, -34, 42, -38, 45, 59, 43, 44, 26, 27, -2, 10, -6, 20, -6, -47, -9, 55, 50, -24, 40, 7, -26, -13, 10, 28, 47, -14, 45, -43, -1, 16, 16, -58, -16, 39, -5, 24, -2, -5, -23, 57, -13, 29, -43, 33, 15, 29, 52, 23, -19, 31, 58, -19, -41, 35, -37, -19, 25, 44, 33, 49, -42, -43, -12, 34, -34, -22, -32, -37, -41, 14, 11, -12, 49, -38, -41, 47, 46, 4, -13, 49, -23, 14, 48, -29, -41, -50, 34, 53, 31, -22, 43, -20, -31, -16, -44, -25, 16, -31, 58, -29, -6, 15, 1, 27, 23, -35, 9, 55, 59, -67, 7, -29, -51, 43, -25, -58, 3, -19, -33, -28, -32, -14, 29, -4, 41, 17, -2, 8, 45, 53, -42, -33, 51, -2, 44, -52, -24, -50, 12, -24, -13, -48, -11, 37, 42, 19, 11, -23, 46, -39, 49, 67, 38, 54, 40, 51, -57, 43, -15, 1, 9, -6, 28, 13, -37, -44, 27, 43, 15, 43, 23, 48, 47, -39, -57, 38, -51, -34, 59, 19, 39, 2, 17, 5, 45, -35, 1, 46, -19, 9, -8, -4, -60, 36, -60, 53, -59, -38, 51, 15, 50, 24, -49, -46, -37, 25, 42, 54, 45, -15, 9, -13, 16, -7, -82, -31, -74, -48, 62, -27, -54, -9, 0, 10, 47, -6, 55, 47, 46, 39, 40, 51, -17, -56, 21, -31, -1, -22, 48, 23, 75, -2, -42, -25, -10, 3, 53, 12, 51, 33, 36, 49, -5, -38, 41, 40, 64, -21, -59, -32, -11, -18, 46, -42, -9, -32, 34, -71, -61, -35, 33, 37, -75, -55, 37, 39, 21, 24, 47, -29, -67, 0, 44, -16, 71, -54, 14, 58, 14, -39, 35, 40, 6, -42, 7, 57, 4, -52, 58, 20, 47, -49, 34, -10, 54, -31, -4, -41, -21, -4, -38, 42, -53, -13, 54, 47, 35, 50, 67, 2, -11, 29, 15, 41, -36, 6, -19, -1, -23, -26, -13, 1, -41, 7, -37, 13, 28, -16, -54, -17, -9, 50, 43, 78, 55, -57, 33, -54, -9, -41, -55, -30, 2, -1, -30, -18, -18, -72, -60, -13, -50, -6, 22, -12, 56, 53, 36, 64, -24, 3, -21, -37, -27, 1, 33, 24, 23, -25, 50, -33, 1, -8, -7, -2, 61, 5, 47, -7, -35, 48, 45, -14, -3, 71, 68, 10, 9, 41, -14, -39, 6, 18, 28, -14, -81, -3, -50, -80, -34, -21, -11, 52, 54, 37, 10, -15, -22, 41, 68, 45, 9, 97, -8, 11, -3, -37, 38, -52, -16, -3, 40, -10, 18, -54, -25, 27, 5, 18, -36, 36, 39, 59, -28, -32, 17, -36, 17, -20, 35, -27, 14, 43, -16, -17, 46, 40, 49, 19, -56, -28, 4, 5, 11, 3, 4, -25, 79, 36, -56, -10, -6, -78, 43, -41, -35, -46, -5, -35, -17, -36, -56, 7, 17, 27, -27, -38, -7, 35, -36, -11, 34, 47, 15, -9, 37, -63, -38, -12, -39, -46, -46, -44, 15, 53, 26, 39, -25, 9, 64, -8, 16, 57, -25, -28, 46, 50, -19, 36, 32, -44, -6, -16, -18, -50, 53, 12, 49, 50, 8, 34, -9, -5, -54, -27, 23, -25, -32, 28, 12, -63, -39, -38, -4, 18, 12, 23, 49, -41, 46, -57, -42, 36, -4, 8, 28, 5, -56, 28, -28, 35, -30, -9, 33, -5, 40, 31, 34, -13, -73, -16, -3, 6, 7, -23, -14, 52, -5, 8, -43, -62, -28, 31, -14, -34, 0, 30, 46, 60, 42, 31, 41, -56, -24, 25, 16, 17, 2, -37, 9, -56, -3, 4, -2, -39, 26, 36, 51, 24, -46, -55, -25, 30, -21, -55, -7, -43, -33, 12, 33, 4, 15, -35, -42, 11, -42, -38, -44, -54, 17, 28, 8, -19, -21, -76, -31, 54, -40, -25, 29, -45, 48, 34, -46, -6, 11, -52, 8, -31, -56, 37, -39, -7, 37, -17, -54, -2, 28, -26, -49, -16, 25, 35, 29, -52, 32, 29, 39, -48, -42, 26, -38, -39, -53, -31, 51, 31, 48, -37, -56, 46, -51, 42, -26, -8, -11, -22, 63, -12, -52, 25, -44, -76, 32, 4, -57, 11, 5, -5, 1, 53, 8, -48, 47, -14, -52, -2, -46, -17, -45, 17, -45, -20, -53, 33, -15, 36, -27, -60, -75, -70, 40, -26, -41, -4, -42, -27, -12, 35, -32, -40, -33, -1, 46, 33, 6, 41, 51, 46, -41, -12, -13, 11, -37, -35, -3, -13, 50, 19, -51, 46, 13, 56, -45, 7, 23, -23, -18, 24, -54, 9, -21, -25, -57, -13, 38, 21, 22, -47, -19, 34, 12, -17, 60, -32, 56, 36, 16, -1, 9, 19, -76, -81, -18, 14, -28, -11, -13, 47, 39, -22, 58, 59, -46, 16, 10, 11, -3, -37, -21, 64, -47, 0, 41, -60, 21, -26, 32, 58, -47, 4, 4, 23, 38, 36, -21, 39, 58, -30, -33, -1, 43, -11, -14, -44, 58, -7, 27, 41, 57, 19, 36, -53, 31, -9, -19, -22, -11, -30, -10, 9, -17, 2, 18, -30, 40, 4, 58, 48, -19, 15, 56, 16, -1, -7, -12, -50, 12, 45, 33, 40, -47, 1, 33, -10, 2, 63, -43, 44, 6, 2, 50, 11, 35, 2, -17, -19, 45, 42, -17, 12, 13, -13, 3, -28, -46, 33, 14, 30, 21, 64, 62, -31, -38, -52, 9, -33, -45, -5, 30, -11, -43, -1, -34, 17, 6, -18, -10, 12, 34, -64, 6, -59, -3, 50, 58, 17, 59, -3, 19, -4, 35, 24, -4, 52, -45, -53, 6, 24, 4, -2, 25, 28, -41, -36, 2, -24, 33, -4, -30, 37, -38, 16, 18, 50, -14, -33, 9, -3, -29, 11, 15, -51, -12, 30, 40, 31, -46, -50, -23, 42, -30, 15, -3, 57, -35, 27, -30, 26, 60, -37, 65, -1, 35, -4, 8, 14, 5, -30, -3, -59, 58, -39, 27, -15, -33, 25, -5, 48, 9, -28, 8, -51, 13, 57, -17, -58, 39, 28, 41, 6, 20, -52, 8, 47, -41, 31, 41, 0, -29, 46, 37, -5, -56, 15, -60, 37, 58, 19, -25, -30, -47, 25, -11, -46, 56, 5, -52, 8, -8, -57, -60, 51, -38, -24, 39, -54, -10, 2, 2, -10, 38, -9, 23, -58, 31, 51, -60, 5, 29, 55, 19, -9, -9, 38, 21, -3, 53, 31, 25, 22, -32, -29, 47, -49, -60, 39, -59, -56, 2, 11, 45, -48, 43, 32, -30, -4, 51, 55, 27, -15, -27, -12, -41, 57, -51, -48, -55, -8, -5, -44, 18, 14, -47, 30, -7, 29, -22, -61, 29, -8, 32, -1, 31, -24, 28, 59, -59, 43, -4, -42, -12, -40, -28, -9, -31, -39, -31, 61, 15, 54, -13, -60, 47, -32, 56, -57, -22, -2, -65, -51, 3, -10, -64, 12, 31, -45, -25, 24, 16, 27, 43, -38, 59, -58, 60, -57, 21, 11, 25, -62, -23, -2, 56, -46, 39, 13, 11, -29, 55, 31, -2, -10, -22, -58, -2, -61, 52, -35, -65, -20, 59, 13, -7, -16, -2, -58, 50, 24, -49, -44, -11, 58, 17, -45, -13, -28, 44, -54, -48, -17, -23, -3, -21, -37, 62, 54, -4, -48, 23, -45, 25, -18, -28, 29, -25, 31, -21, 23, -12, 49, -13, -11, -29, 12, 29, 4, 41, 21, -20, -7, 57, 29, -55, -2, 30, -32, 42, 35, 12, -21, 57, 49, 23, 5, 22, 28, -14, -13, -2, -47, -42, 49, 52, 18, -21, -37, -62, -42, -58, -57, 34, 2, -42, 6, -24, -60, 16, -6, -54, -31, -58, 40, -50, -60, 44, 33, -2, 0, 23, 5, -4, 4, -5, -61, -27, -15, 22, -49, -48, -21, -7, 11, -24, 14, 3, -2, -5, -22, -26, -37, -22, 17, 60, -37, -28, 60, -35, 42, -28, -2, -44, -24, 43, 14, 26, 34, -22, 8, 36, -60, 5, 5, -15, -15, -1, 55, -48, -61, 23, -51, -49, -38, 25, 24, -55, 9, 8, -48, -59, -59, -62, -5, 42, 57, -57, -39, 43, -10, -58, -45, -61, 41, 24, -62, 1, 33, -59, -16, -24, -15, 11, 36, 47, -7, 60, -8, 1, 19, 3, 45, 42, -21, 20, -47, -40, -23, -32, -46, 24, -13, 7, -62, -39, -44, 7, 39, -30, -30, 36, 38, -45, 53, -29, 56, -49, 34, 57, -67, -34, -39, 51, -16, 22, 0, 60, -4, 40, 57, 19, 58, 58, 20, -22, -37, -14, -18, 34, 41, -20, 25, 38, 14, -2, -54, -14, -29, 8, -28, -50, 4, -21, 28, -1, 60, 18, 16, -39, -18, -44, -22, 55, -43, 45, -3, -46, -27, 33, -39, -1, 52, -52, -44, 32, 23, -54, -56, -56, -16, -35, -53, 41, 56, 26, 28, 44, -27, -8, -14, 46, 11, -24, 22, -14, 42, -2, -17, 17, -9, 58, -49, -9, -50, 35, -34, 36, 23, -12, 41, 34, -44, 27, 22, 0, 63, -19, -59, -49, 13, -17, -6, -57, -40, -15, 26, -56, -58, -17, -40, 47, 34, 54, 60, 22, -4, 11, -27, -60, 15, -31, -57, 59, -43, 15, 51, 46, -32, 48, -3, 43, 46, -19, -28, 27, -23, 3, -23, 43, -48, -26, 56, -32, 62, 22, -3, 56, -57, 1, -50, -3, 10, 38, 36, 20, -39, 35, 61, 31, 50, -17, 0, -6, -46, -20, -15, -20, -29, 15, -37, -16, 58, -35, -14, 46, -28, -58, 39, 5, -54, -54, 55, 0, 10, -17, 12, 46, -52, -16, 46, 44, -50, 0, 13, -6, -20, -54, -10, 7, 60, -46, 35, -15, -57, 4, -33, 51, -33, 30, -4, 41, -21, 28, 13, -51, -31, 30, -21, 17, -46, 26, -38, 57, -62, -7, -28, -34, -16, -1, 19, 8, -31, 5, 8, 23, -17, 37, -28, -24, -30, 21, -33, -54, -24, -20, 60, 14, 60, -45, -62, -30, -20, 52, 9, -28, 1, 35, -52, -12, -50, -11, 17, 13, 30, -14, -42, 2, -51, -40, 45, 22, -55, -6, 11, 42, -4, 11, 50, 27, -53, 43, -17, -18, 11, 0, 3, 7, 43, -2, -56, 42, -28, -7, -17, -50, -17, 15, -2, 49, 51, -44, -9, -35, 22, -40, -52, -63, -3, -4, -6, -13, -32, -13, 42, -45, 32, 43, 27, 54, -55, -23, -30, 30, -29, 42, -11, 23, 49, 58, -35, 3, -60, -22, -53, -17, -43, -49, -33, -20, 16, 24, 3, -8, 31, 50, -47, -39, 41, 16, -9, -53, 53, -10, -23, -49, -12, -26, -54, 57, -59, 0, 54, -36, -61, -40, 43, -45, -12, 14, 32, 29, 7, 26, -45, 49, 48, 19, -23, -25, -23, -41, 41, -21, 55, -56, 47, 16, 64, 16, 12, -50, -43, -26, -22, -19, -42, -63, 39, -16, 34, -3, -6, -54, 37, -51, -20, 57, 55, 42, -5, -36, 13, -43, 32, -49, 50, -56, 32, -9, 57, -55, -12, 6, 43, -58, 47, 13, -19, 16, 25, -3, -13, -54, 39, 4, 28, -43, 38, 27, 45, -12, -45, 21, -19, -18, -7, -48, 59, -55, -4, -5, -4, -54, -35, 0, 50, 52, 0, -3, 4, 61, -8, -38, 30, 20, -15, 12, 34, -16, -43, 0, -16, -50, 8, -30, 43, 36, 11, -14, 23, 6, 29, -56, -25, 25, 54, -46, 19, 28, 10, 42, 18, -10, -15, 18, -25, -1, 57, 46, -16, -7, 28, -3, -32, -46, -12, -22, 49, -10, 59, -46, 30, 10, -38, 11, 46, 1, -43, -50, 33, -33, 29, -56, 3, 12, -38, -3, -53, 10, 22, 28, -48, -16, 58, -30, 41, -24, -24, -57, -36, 55, -46, 16, 19, 47, 3, 27, 25, 0, 15, -10, -20, -23, -38, 47, 56, 62, 44, 2, -50, -2, 42, 0, -21, 41, -10, 28, 2, 4, -44, 5, 37, -40, 53, 4, -48, 6, -43, 22, -31, -55, -49, -1, 52, 8, 4, 51, 34, 43, 4, 4, 20, 23, 6, -35, 50, 3, -59, 23, -20, -18, 17, -37, 32, -61, 47, 11, -39, -14, 13, -11, -2, -43, 39, -1, 51, -40, -26, 12, -3, -8, -44, 60, 8, 37, -8, 60, -38, 45, 42, -10, -55, -9, -12, -45, -52, 51, 46, -49, 41, -33, 5, 44, -9, -48, -47, 53, -43, 43, -15, 53, -40, -16, -30, -40, -1, 14, 28, 1, -4, 16, 58, 48, -11, 19, 61, -4, -12, 17, -60, 53, 26, 20, 41, 45, -51, -47, 14, 25, 10, 9, 4, 56, 6, 49, -15, -44, 60, 10, -62, 46, 9, 9, -57, -52, 42, -28, 7, 10, -2, -23, -24, -4, 46, -47, 37, 24, -51, -7, 47, 1, -11, -45, -49, 49, -19, -29, -40, 43, 29, -37, 45, 27, -35, 62, -58, -52, -36, -8, 12, -36, 0, -3, 36, -40, 23, 52, 15, 40, -1, 15, 36, 39, 46, -42, -1, 15, -15, -10, 31, 54, 16, 12, -42, 56, -37, 20, -42, 50, -7, 24, -6, 9, -43, -39, -41, 0, -45, 55, 58, -25, 4, 13, -3, -54, 46, -46, -8, 51, -45, 16, -5, 47, -8, 39, -9, 40, -48, -36, -13, -52, 33, -59, -53, 44, 21, -60, -20, -6, -44, 18, 58, -30, -19, 52, 17, -61, 1, 11, 18, 61, 7, -47, -46, -1, -3, 32, -50, 41, -62, -62, 6, 41, 37, 43, -63, -72, -4, 35, 19, -10, 58, 47, 22, 50, 43, -37, 2, -46, -44, -9, 5, -55, 28, 16, -12, 47, -45, -17, -45, 23, -15, -37, -26, -13, -27, 12, 26, -33, 17, -3, 23, -36, -58, 17, -11, 52, -35, -42, 37, 41, 37, 26, 33, -32, 43, -51, -36, 51, -10, -39, -31, -16, -51, 40, 11, -54, 42, 37, -10, -65, 49, 20, -36, -32, 12, 11, -41, -7, -34, -14, -21, 10, -9, -38, -46, 44, -5, 8, 18, 17, -29, -11, -22, 4, 59, 43, 2, -28, 52, -6, 5, -34, -37, 45, 20, -30, -61, -47, 42, -7, -26, 35, -22, -29, -44, 48, -1, 50, -53, -39, 16, 21, 47, -13, 55, 9, -13, 62, -13, 6, -53, -11, 32, -26, 11, 16, 8, -29, -57, -16, 15, -28, 31, -50, -50, -17, 12, -55, -24, -65, 41, 35, 25, -43, 7, -62, -23, 6, -50, 45, 17, -7, -52, 13, 49, 46, -52, -38, 59, -44, -7, 36, 18, 46, 24, -37, 42, -54, -19, 42, -54, -20, -46, 16, -30, -26, 45, -32, 45, 29, -16, -61, -34, -55, 43, 3, -6, -20, -57, -39, -42, -57, -11, 60, -37, 7, 41, -39, -58, 41, -30, 46, -59, -47, -17, -1, 40, -36, -43, 23, 6, 7, 53, -23, 5, -27, -42, 6, -9, -50, 12, -43, 57, 4, 15, -12, -20, 59, 28, 27, 47, 29, 49, 22, -17, 49, -38, -11, -42, -30, 13, -53, 9, 54, 53, 11, 13, -15, -27, 20, 8, -44, 35, -42, 53, -21, 47, 19, 60, 42, 54, -50, 49, 45, 37, 30, -11, -29, -53, -19, 30, 24, -3, 40, 56, 13, -63, -6, -32, 56, 27, 17, 48, 13, -43, -43, -16, 49, 43, 50, -53, -4, 59, 54, 46, -12, 50, 31, -48, 29, 0, 42, -10, 51, -54, -3, -3, -42, -34, 52, 40, -40, 2, -28, -41, -37, 58, -48, -36, 57, -41, 10, 39, -52, 1, -61, -37, -44, 33, -9, -35, -61, -48, 3, 28, -48, -5, -28, -6, 50, -27, -56, -63, 41, -19, -57, 0, -45, 49, 14, 63, -12, -26, 35, 29, -36, -45, -49, 42, -43, -8, 6, -8, 4, 13, 25, 44, -36, 38, -31, 51, -51, 43, -48, -65, -65, -28, 9, 16, -9, -34, -28, 26, -18, 22, 37, 53, 36, 56, -19, 23, -32, 19, -30, 17, -46, -41, -17, 26, -44, -45, -11, 19, 37, 27, 0, 62, -45, 17, -50, -47, -57, -24, 5, -14, -35, 12, -3, -56, 34, 24, -61, -8, 30, 24, 21, -56, 52, 55, -45, 50, -59, 41, 1, 14, -10, -59, 42, 54, -20, 0, 40, 48, 36, -7, -32, -20, 51, 3, -19, 17, -25, -46, 47, 54, -24, -27, 46, -18, 55, -36, 32, 18, -56, -39, 8, -40, 58, -42, -10, 48, -36, -3, -61, -34, 21, -4, -56, 38, -8, 45, -39, 8, 53, -20, -10, 46, -52, 25, 47, -21, 27, -40, 41, -1, 56, -35, -61, 25, 40, -9, -34, 5, -15, -32, 26, -31, 14, -44, 37, -37, -14, 10, 27, 38, 23, -50, 37, -18, -45, -36, -8, -48, -19, 25, -22, -40, 37, 23, 25, -9, 44, -11, 25, -13, 14, -53, -10, -25, -22, 36, 32, 10, -37, -63, -43, -35, -49, 40, 20, 49, 26, -47, -12, 50, 51, -44, 24, 22, -38, -2, -41, 38, 32, -60, 35, 1, 56, -2, 13, 43, 18, 20, -37, -44, 31, -1, 11, -59, 29, 44, -58, -14, 53, 14, -28, -6, 58, -3, -5, -33, 19, 50, -44, 20, -51, 56, 8, -24, 62, -60, 25, -58, -39, -57, 6, -21, -60, 57, -44, -37, 59, 30, -52, 35, -21, -7, -27, 55, 24, -60, -26, -69, 29, -30, 30, -9, -55, 23, -9, -48, -14, -17, 26, -30, 8, -62, -10, 31, 27, 12, 22, -1, 37, 13, 6, -4, -24, -29, -46, 10, 22, -46, -29, -61, 50, -10, -22, 36, -37, -37, 20, 43, 13, 1, -18, 14, 10, 42, 50, -19, -15, -42, -28, 36, -5, 33, -38, -54, 37, -4, -41, 37, 46, 55, 2, 49, -42, -2, 38, -1, 43, -19, 12, 39, 15, 3, 46, -38, 46, -40, 12, -33, 30, -6, 19, 10, -54, -41, -41, 30, 51, -54, -51, -51, 36, -46, -65, -27, 15, -9, -21, -33, 39, 40, -64, 35, 24, -13, -8, 59, -59, -6, 42, 17, 31, -38, -17, 23, -48, -30, 14, 60, -1, 56, -52, 47, 43, 19, 15, 5, 39, 41, 58, 5, 27, 22, 42, -27, -23, 53, 9, 35, 47, 24, -11, -55, 41, -22, -54, -36, -27, 14, 36, -28, -42, 1, 54, -38, -23, 30, -41, -44, -8, 12, 2, -47, 54, -46, 16, -14, 4, -54, 38, -60, -44, -64, -47, -18, -13, -28, -56, 8, 40, 34, 12, -19, 56, -28, -52, -53, 12, 51, -19, -55, -35, -28, 25, -21, -55, -45, -48, -47, 33, 21, -42, 59, -59, 24, 21, -62, -16, -22, 51, -4, 36, 5, 48, -26, -58, 3, -16, 15, -56, -19, -21, 23, 9, 50, 59, -1, -34, 49, 3, 5, 36, 61, -46, 18, -19, -48, -47, 44, 29, -9, 44, 21, -45, -44, -37, -12, 46, -59, 14, 28, -20, -34, -19, 30, -52, -19, -40, -23, -60, -1, 14, -18, -59, -3, -55, 23, -56, -11, 14, -10, 41, 5, -57, -7, -53, -61, 56, 52, -29, -10, -47, -60, -33, -52, -30, 51, 21, 2, 43, 28, 45, 8, 17, -29, -63, 18, -41, -27, -49, 20, -9, 21, -50, -21, -17, 31, 1, -20, 9, -32, -7, -46, -32, -17, 51, 14, -7, 56, 57, 38, -17, 11, -1, -38, -10, 40, -20, -45, 18, 41, 17, 42, -55, -44, 58, -4, 59, 48, -8, -51, -22, -7, 29, -18, 36, -41, 52, -61, -30, -19, 20, -47, 41, 44, -15, 28, -17, 28, -21, 58, 20, 39, 17, 0, -26, -59, 43, 29, -8, -62, 46, 51, -8, 48, 41, -30, -15, -26, -36, 50, 21, 15, -16, -4, -1, 41, -21, -5, 47, 1, -2, -34, 21, -29, 2, -20, -26, 4, -3, -21, -66, 34, -14, -40, -4, -47, -35, -43, 7, -44, -43, 45, 5, -25, -21, -5, -2, 26, -28, 27, 39, 45, 25, 18, -25, -38, -13, -24, 9, -62, -2, -56, -50, 58, 2, -41, -39, 33, -44, -3, -61, -61, -58, -46, 34, 24, -5, -57, 2, 42, -24, 53, -61, -4, -34, 22, 13, -16, 28, -16, 5, -9, -39, 34, -63, 54, 13, -51, 40, -41, -14, 7, -27, 7, -58, 45, -22, -25, -59, -20, -64, 20, 10, 7, 30, 14, 20, -5, 30, -41, 40, -17, -52, 48, -35, 44, 36, -15, 43, 48, 52, 50, 42, 36, -50, -41, 9, -41, -41, 5, -36, 22, 42, 42, 46, 28, -10, -35, -5, 75, 73, -17, 23, -18, 1, 45, -43, 18, -2, 58, 29, 1, -50, 23, -45, -1, 66, -32, -34, 12, 32, -77, -64, -15, 6, 36, -9, -37, 8, -21, -16, 3, -32, 30, 9, 48, 7, 7, -12, -8, 52, -27, -49, -44, -3, 26, 2, 15, 34, 44, 56, 61, 19, 25, 38, 58, -14, 41, 4, -5, -16, 25, 45, 21, -8, -60, 17, -43, -11, 51, 74, -25, 37, 66, -24, -57, 27, -15, -89, -53, -6, -52, -58, -47, -57, -42, 48, -67, -28, -12, 3, -57, 52, 30, 40, -25, -59, -28, -62, -29, 11, 15, 11, -32, 43, 5, -66, -30, -45, 46, 41, -48, -6, 7, 11, 30, 18, 30, 8, -22, 43, -61, 67, -42, -13, 38, -10, -2, -47, 2, -26, -14, -13, 16, -51, -37, 32, 26, -4, 7, -34, -27, -55, -4, -19, -18, 24, 38, 33, 7, -37, 27, -29, -50, 47, 54, -36, -22, 24, -5, 42, -36, -27, 48, 37, 10, -14, -13, -4, -14, -23, -2, 6, 62, 26, -29, 48, 6, 23, 29, -37, -50, -38, 5, -42, 45, -67, 19, 59, 50, -50, -17, 44, -48, -10, 52, 54, -24, -17, 39, 27, 46, -6, 16, 44, -45, 36, 63, 58, 34, -14, -6, -57, -51, 8, 1, -15, 25, 36, -25, -20, 27, 1, -34, 3, -14, -1, -40, -38, 13, -53, -5, 57, -5, 45, -42, -15, 38, 27, -50, -12, -7, 52, -46, 3, -10, -44, -35, 37, 44, 10, 8, -8, 27, 17, -31, -50, -59, -62, 42, -5, 32, 33, -59, 24, 14, 30, -81, 1, 55, -47, -28, 29, -50, -15, -60, -32, -11, -17, -51, 28, 36, -2, -27, 108, 51, -42, 42, -49, -9, -21, -54, 17, -51, 5, -28, -39, -52, -24, 27, 50, 60, -39, 17, 38, 94, 36, 26, 63, -65, 10, 43, 10, -37, 45, 56, -28, 57, -21, 66, -24, 53, -2, 36, 31, 75, 45, -30, 16, -21, 27, -42, -7, 2, -32, -36, 32, 58, -37, -33, -8, 13, 62, 15, -44, 38, 8, -44, -58, 36, -66, 16, -33, -30, 23, 26, -64, 57, -20, -36, -10, 19, -53, 36, 48, 30, 9, -38, -16, -59, -2, 58, 63, -54, 8, 14, 19, -27, -14, 1, 22, 58, -22, 19, -45, 7, 41, 49, 71, -40, 34, 54, 28, 32, 76, 64, -13, 72, 53, 57, -27, 45, -53, 40, 37, -21, 49, -61, 47, 1, -7, 23, -58, -59, -33, -31, 46, 53, 8, -8, 62, -1, -62, -12, 87, 10, 18, 17, 26, -56, 11, 31, -25, -31, -17, -37, -10, 43, 51, -44, -8, 29, 16, 29, 16, -42, 47, -45, 0, 18, 72, -10, 59, -40, 51, 12, 67, 84, -49, -22, 5, 57, -35, -34, -60, -6, 27, 51, 30, 13, 7, 61, 27, -24, -4, 55, 21, -3, -42, -28, 42, 63, -81, 40, -4, -72, -16, -16, 14, -33, -25, 48, 25, 26, -21, 9, -7, 57, -6, 15, 31, 12, -59, 14, -64, 34, -31, -51, 22, -10, -62, 24, -39, 42, -11, 33, -48, 63, 37, -38, 37, -62, 17, -3, -77, 17, -12, -65, -19, -24, 20, 6, -54, -55, 28, 36, 20, -35, 4, -17, -23, 21, -51, -3, 20, -12, 17, 57, -52, -69, -41, -19, -26, -38, -13, -2, 29, 56, 16, 29, 51, 6, -18, 39, 68, 53, -2, 5, 13, 28, -66, -53, -5, 48, -22, -28, -29, -50, 37, 37, 36, 76, -12, -49, -12, 42, -33, 31, 59, -30, 3, 18, 88, 1, -2, 82, 0, -71, -19, -11, -28, -36, -60, 40, 10, 52, -26, 55, -42, -10, -53, 36, -18, 58, -16, -11, -38, -36, 48, -10, -12, -27, -42, -9, 10, -63, 26, -26, -46, 19, 34, -2, -2, 85, -22, 54, -43, -49, 77, -43, -16, -23, -7, -20, 61, -10, -21, -41, 21, -20, 27, 15, -45, -57, -16, -33, 25, 21, 52, 64, 7, -25, -32, 12, 0, -25, -54, 66, -46, 61, -8, -31, -31, -21, -52, -46, 51, 62, -22, 59, -6, 3, -49, -46, -64, -21, -41, 46, 21, 5, -54, 33, -25, 53, 62, 25, 21, -51, -8, 15, 23, -41, -6, 14, 25, 10, -59, 56, -4, 28, 50, 68, -52, 74, -7, -9, -36, -9, -41, 49, 2, 62, -18, 6, -74, -30, -40, -32, 45, -14, -18, -48, 42, 51, 49, -56, 37, 51, -35, 6, -20, -11, -33, -48, -55, -5, 13, 50, 12, -9, 58, 12, 15, 4, 43, -21, -25, 32, 17, -21, 15, -25, 68, 53, 49, 44, -48, 33, -19, -36, -49, -37, 12, 49, 9, 1, 5, 44, -62, 43, 7, -54, 57, 30, 53, -59, 35, 42, 35, 56, -65, -39, 27, -31, 50, -3, 4, 25, -18, 1, -24, 26, 19, 36, 54, -2, 19, -13, 12, 19, -25, 86, 14, 40, -43, 39, 48, -47, 54, 20, -43, -44, -49, 63, 60, 61, -1, 18, 59, -35, 0, 20, 20, 67, -37, 29, -15, -26, -50, 56, -33, -18, 21, -60, 39, 52, -9, 55, 36, -52, -37, -3, -52, -47, 49, -46, -45, -74, 45, -5, 48, 40, 9, 37, 8, 18, -34, -20, -46, 6, 44, 45, 38, -30, -7, -59, -23, 6, 15, -9, 42, 33, -49, -37, -19, -50, -50, 59, 26, 53, -12, -60, 35, 33, 15, 34, 38, -55, 42, -6, -17, -37, 41, -41, -3, -52, 1, 26, -40, 51, 57, 40, -13, -19, -39, -31, -2, -1, -29, -11, -52, 9, 7, 24, -57, 27, -26, -56, 48, -9, 51, -13, 13, 25, 53, 33, -62, -50, 31, -40, 42, -50, -33, 20, -14, -30, 16, 42, -38, 57, -42, -4, 31, 43, -44, -41, 15, -25, -25, -61, 26, -8, 50, -16, 29, 44, 14, -25, -69, -52, -25, 4, -4, -14, -65, 20, -45, -51, 9, 34, -42, -34, -27, 15, 43, 38, -16, -37, -2, 42, -6, 46, -49, -45, 26, -41, 66, -1, -66, 50, -40, 25, 46, 36, 22, -21, 42, -59, 45, 35, 7, -55, -46, -9, -31, 43, -19, -8, 63, 19, -47, 13, 84, -6, 19, 56, -23, -38, -17, -18, -12, 84, 23, 37, 28, -41, 19, -13, -69, -11, -29, -12, -2, -8, -48, 20, -24, -32, 52, -10, -15, -7, 40, -39, -22, -45, -16, -41, -41, -30, 43, -12, 62, -18, -15, -22, 40, 16, 32, 5, 69, 48, 11, 24, -2, -7, 49, -29, 1, -57, -18, 28, 45, 7, 56, 8, 13, -12, -61, -30, -44, -8, -11, -33, 39, -9, 33, -38, -41, 56, -12, 56, 40, 10, 44, -7, 2, -49, 54, 60, 57, -36, -29, 44, 29, -76, -11, 53, 11, -68, 44, 34, 8, -16, -45, -31, 20, -29, 27, 73, 35, 37, -26, -50, 48, -23, 59, 39, -58, -6, 62, 22, 42, 29, -41, -51, 6, 21, -47, -47, -44, 45, -32, -64, 8, 50, -66, 46, -57, 3, -22, 42, -38, 59, -50, 22, -22, 47, 39, 50, 56, 11, 24, 44, -38, -9, 57, -44, 64, -18, -19, -52, 48, 10, -37, 41, 36, -23, 6, 17, -35, -34, 28, 39, 21, 67, 3, -4, 53, -42, 18, -51, -18, 32, 8, 36, -49, -46, 29, -10, -5, 34, 35, -25, -35, 39, -64, -34, -20, 6, 50, -49, -13, -8, 30, -24, 17, 42, 68, -55, 47, -24, -36, -16, -16, 31, 10, 29, -21, 41, 34, 43, 2, -32, 56, -12, 0, 55, 2, -58, 35, -58, 7, -33, 1, 27, 49, 44, -38, -14, -1, -5, -78, -28, -55, 32, 47, -6, 53, -26, 42, 44, 4, 48, -83, -62, 5, -63, 24, 32, 21, -60, -40, 57, -23, -15, -30, 43, 59, 49, -3, 55, 66, -8, 48, -31, 1, 19, 10, -39, -6, 72, 10, 14, -36, 51, 49, 27, -20, -27, 21, -8, -42, 30, 41, 44, 41, -3, 17, 24, -47, 29, -52, 12, -20, -10, -13, -46, 47, 51, -22, 4, -48, -55, -52, 12, 27, -55, 47, -21, -29, 34, 20, -40, -46, -15, 26, 31, 28, -7, -5, -53, -12, 29, 17, 8, -1, -41, 0, -31, -11, 3, 18, 30, -15, 43, -36, 67, 42, 32, 24, 9, -10, 9, -46, 51, -2, -18, 9, 40, -1, 47, 15, -5, 62, -53, -33, -35, 55, -33, 34, 36, 44, 8, 50, 43, 49, 18, 50, 43, -34, 0, -20, -65, -48, -60, -45, -2, -41, 28, -43, -16, 23, 44, 5, 52, 27, -58, -31, -2, -44, 1, -31, 56, -1, -22, 41, 26, 73, -1, -10, 34, -2, -45, -26, 43, 9, -36, 22, -42, -21, -14, -60, 21, -14, -22, 37, -31, 58, 10, 29, -31, 23, 55, -42, 23, 3, -39, -76, 13, -36, -50, -63, 49, 12, 34, -1, 42, -16, 13, -41, -54, 6, 41, -16, 40, -11, 37, 31, 22, -45, -38, 5, 44, -3, 9, 33, 19, 14, -44, 24, -45, -12, 1, -32, -40, 8, -59, 53, 38, 43, -43, -33, -20, 58, 19, -30, 59, -48, -27, 40, -16, 12, 42, 52, -37, 21, 56, 19, 15, -27, -1, 36, 57, -33, 3, -15, -33, -19, -39, 58, -41, 48, -55, -49, 20, -45, 15, 41, 30, 23, -9, 44, 46, 30, 52, -58, 53, -30, -58, -25, -40, -11, 35, 57, -10, 47, 12, -55, 23, -15, 52, 8, 31, -6, 54, 54, -53, 30, 58, 32, 27, -42, 50, 14, -35, -45, 35, -36, 35, -18, 24, 18, 56, -46, -34, -30, -15, -23, 50, 13, 50, -39, -40, -23, 30, -52, 0, -62, 14, -37, 38, -2, -30, 31, 37, 39, -18, -4, 41, -24, -48, -29, -1, 32, 33, -19, -39, 25, -22, 35, 12, 3, 23, -7, -32, 26, 53, 47, 7, -37, 58, 43, 15, -58, -19, 39, -52, 27, -64, 32, 37, 28, -47, 28, -5, 20, 2, -45, 36, -19, -63, -43, -16, -45, -9, 2, 52, 39, -26, 34, -1, 6, -26, 29, -52, -18, -6, -26, -35, 29, 27, -17, -43, -54, -38, 37, 22, 43, 13, -10, -9, 23, -11, 18, -44, -51, -36, 33, 18, -11, 28, -49, 44, -56, -12, -15, -32, 25, 57, 46, 63, 37, 45, -56, -41, -44, 32, 33, -11, -10, 45, -5, -29, -15, -54, 1, -23, 24, -74, -66, -26, -16, -35, 37, 65, 26, 17, -24, -14, 31, -28, 41, -53, -26, -38, -53, -38, -28, 25, 45, -47, 24, -33, 31, 17, -3, 27, 57, 15, 63, 60, 69, 45, 42, 64, 46, 66, 63, -11, 17, 37, 59, -46, 16, -54, -47, 44, -1, 34, -47, -53, -19, 15, -59, -41, 51, 18, 52, 31, -26, -47, 3, -56, -64, -23, 10, 58, -1, -8, -40, 27, -3, -51, 36, 25, -37, 22, -16, 0, 17, 18, 23, -14, 21, 1, -28, -57, 29, 42, -48, 48, -49, -20, -13, 26, -55, -45, -19, 7, 22, -27, -63, -32, -11, -44, 36, -43, 59, -58, 47, 11, 20, -22, 26, -44, -1, 32, 8, -19, 10, 48, 22, 50, -21, -55, 39, 44, 58, 52, 63, 34, 29, 10, 48, 58, -64, -19, 23, -46, 44, -1, 27, -2, -29, -75, 75, -72, -13, -65, 19, 10, -18, -9, 34, 2, -44, -6, 12, 56, 30, -24, -33, -49, 27, 15, 57, 6, -13, 1, 20, -31, -60, -41, -38, -32, 60, 16, 25, -36, -41, 7, 15, 42, -21, 57, 45, -34, 58, -24, 40, -42, 52, 49, -20, 4, 2, 15, 50, -16, -35, -23, -45, -58, -13, 41, 5, -6, 0, -32, 15, 5, -40, -23, 37, 49, -37, 35, 34, 7, -6, -21, 35, -19, -14, 7, -3, 0, 49, -29, -11, -62, 12, -57, -61, -1, -11, 7, -28, -13, 39, 11, -25, -33, 56, 42, 13, 32, 46, -12, -33, 44, -12, -8, -28, -60, -22, -2, 17, -52, 42, -60, 33, 11, -9, 58, 55, 46, -22, -37, 61, -52, 2, -4, -23, 33, 42, -65, -56, -67, 16, 8, 3, -34, 33, -27, 58, 20, 46, 42, 4, 7, -39, 0, -3, -38, 41, 0, 34, 33, 56, 55, 33, -41, 6, 2, 11, -19, -72, -15, 25, 62, -2, -32, 58, -49, -32, -31, 58, -7, -18, -56, -59, 34, -34, -57, 38, -36, -11, -55, -7, 7, -13, 31, -60, -22, 34, -5, -41, 19, 36, -52, -49, 44, -43, -43, 45, -45, 35, 65, 30, -14, 25, 42, 34, -26, -8, 63, 36, -48, 54, -16, -63, -47, 23, 32, -11, -7, -34, -52, 58, 47, -2, -51, -15, -21, 53, 18, 5, -63, -28, -70, -42, 18, -31, 54, 65, 56, -3, 14, 42, 24, 13, -54, -53, -10, -54, -23, -46, -26, 11, 36, 49, 16, -30, 12, -71, -32, -27, -26, -55, 53, -60, 4, 47, 46, -44, 30, 55, -13, -15, -25, -57, 31, -4, 28, 21, -34, 24, 8, -22, 47, -46, -31, -7, 50, -5, 55, -46, -11, -38, 3, 12, -25, 1, 22, -39, 7, 57, 54, -35, -28, 29, -47, 39, 19, 13, 30, 33, 52, 0, 50, -1, -31, -20, 61, 47, 63, -32, 2, 23, -30, 1, -40, 34, 60, 39, 1, 57, -17, 5, 58, -60, 31, 8, -11, 15, 6, 22, 5, 43, -14, 40, 19, -7, -6, 16, 15, 20, 18, 2, 8, 34, -26, 56, 19, -68, 15, 41, 57, -7, -59, 21, -23, 15, -29, 1, 21, -45, -6, 39, 8, -52, -57, 54, -31, 29, 4, 31, -44, 13, 58, -20, -47, 39, 21, -42, -47, -26, 58, -22, 42, -42, 39, -24, -31, -59, 6, -43, -30, 46, 51, 16, -9, 42, 4, -25, 20, -40, -34, -54, -39, 7, -61, -61, 60, 31, 52, -22, 50, 48, -53, -56, 13, 46, -8, 35, 43, 44, 24, -14, -29, -24, -54, -57, -15, 8, 33, -6, 17, 61, 7, -47, -45, 31, 43, -39, 17, 43, 17, -23, -17, 20, -28, 16, -22, 61, 53, -6, -58, 35, -39, -54, -28, -13, 2, -35, -21, 4, 27, -52, 60, 43, 25, -2, -26, 24, -15, 43, -8, -33, 20, 21, 54, 38, 46, -21, 51, 52, 51, -14, 39, 17, -60, -28, -4, -2, 1, -61, 59, -2, -42, -35, -30, -55, -5, 9, -16, -15, -5, 64, 22, -57, -31, -29, -57, -50, -43, 30, 55, 45, 21, -21, -40, -58, 28, -27, 3, 13, -38, -50, -37, 44, 46, -26, 14, -15, -2, 10, -2, 26, 36, -33, -19, 40, 38, 8, -57, -50, -19, 59, 54, 29, 60, 48, -13, -67, 62, -36, -15, -6, 6, -9, 34, 8, 24, 32, 57, 28, 10, 4, 51, 34, 56, 44, 36, 28, -11, -23, 38, 12, -37, 50, -18, 11, -39, -46, 4, -44, 63, -36, 59, -40, 51, -25, 21, -6, 47, -62, -3, -26, -25, 59, -40, 50, -56, 1, 9, -61, -23, 45, -9, 61, 60, -22, -30, 59, 5, 26, -15, -38, 9, -56, -60, -60, -37, 40, -1, -44, 24, 49, 10, 44, 0, -27, -43, -19, 47, 50, 7, -46, 20, -25, -13, 42, -3, -24, -29, -27, 55, 2, 56, 3, 17, 26, -38, -26, 20, 27, -8, 12, -48, -53, 16, 55, -23, 50, 60, -19, -12, 49, -24, 47, 41, 43, 6, 13, 59, 34, 45, -63, 33, -1, -60, 56, 8, 57, 35, -25, 8, -25, 58, -7, -36, 56, -14, -49, -51, -3, 48, -10, -64, -13, -12, 52, 18, 44, 53, 45, -14, 33, 6, 40, -32, -4, 53, 35, -33, 43, -43, -24, -2, -10, -31, 20, -13, -52, 31, -44, -53, -51, -40, -52, -47, -41, -28, 21, -50, 7, 28, 42, -45, -31, -12, -62, 35, -17, -1, -49, -72, -61, -30, -47, -45, -64, 16, -43, -16, 49, -19, -45, 25, -59, -67, -31, 40, 3, -66, 34, 1, -25, 46, -45, 36, 51, 19, -41, 49, 7, 7, 50, 10, -58, 59, -53, -19, -54, 38, -38, -40, -2, 34, -32, -16, -62, -36, 20, -50, -6, 2, 41, -46, -28, 29, 21, 26, -25, 45, -45, 39, 30, -7, 26, -33, -55, -28, 4, -49, 34, -37, 32, -42, 33, 62, -68, 43, -19, 27, -38, -51, 3, -27, -47, -51, 26, 45, 3, -58, -56, -11, 52, -21, -61, 59, -3, -28, 5, 61, 14, 0, -35, -20, -32, 30, -10, -32, -24, 13, 28, 62, 45, -4, 58, 67, 30, 17, 0, -8, 48, -41, 41, 50, 2, 28, 63, -4, 12, -50, -49, -43, 15, -46, -49, -53, -51, -36, -51, -38, -50, 14, 21, 10, 48, 0, -60, -40, -26, 18, -60, 4, -24, 24, -47, -40, -28, -46, 29, -38, -4, 4, -47, -23, -54, 48, -50, -45, 15, -31, -23, -10, -47, 28, 6, 34, 30, -4, -15, -27, 12, 34, 57, 34, 23, -38, 8, 55, -40, -24, 22, -57, -33, -53, 56, -39, -11, 11, -45, 56, 11, -10, 25, 37, 48, -35, 6, -25, 32, -54, -24, 0, 0, -35, -46, -50, 15, 3, 47, -57, 43, 28, 40, -13, -35, 43, -33, 23, -14, -45, -53, -28, -30, 38, 10, 32, 2, 39, 17, -28, 35, -8, -46, 46, 38, 46, -58, 7, 30, -15, 68, 44, -21, 64, 49, -53, -20, 30, -19, 63, -30, 24, -12, -42, 9, -19, -16, 4, -50, -9, -17, -24, 12, -24, -22, 68, -28, 7, 4, 25, 42, -40, 4, -3, 36, 73, -60, -42, -25, -21, 11, -6, 55, -44, -33, 3, 36, -46, -46, 52, -40, 57, -44, -36, 30, 62, -50, -11, -1, 53, 30, -1, -40, 2, -56, 24, 16, 21, 66, 22, -10, -13, -11, 57, 55, 40, 56, -30, -38, -22, 42, -72, 12, 54, 3, -53, 48, 59, -50, 77, -5, 31, -20, -32, 40, 39, -47, 26, -22, -38, -18, 56, 20, 54, 4, -59, -10, 23, 42, -21, 51, 48, 46, -43, -8, 28, 13, -7, 61, 6, 38, -55, -9, 5, 19, 38, -59, -25, -21, -34, 48, 35, -21, -18, 33, 1, -31, 69, 11, -41, -35, -20, -52, -41, 21, -46, 5, -40, -37, -23, -28, 30, -37, 11, -37, -55, 25, -53, 23, 38, 26, -57, -50, 27, 61, 17, -40, 39, -24, 27, 35, 57, 37, 9, -32, -62, -23, -18, -17, -53, 34, -45, -32, 10, -2, 33, -38, 32, 30, -59, 20, 30, -51, -30, 43, -32, -10, -51, -37, -14, 27, -36, 38, 26, 22, -42, -58, 1, -41, -32, 5, 31, 50, -57, -5, 59, -14, 11, 3, 51, -38, -14, -56, -2, 8, -6, -7, -12, -17, 15, 29, 40, -21, -64, 42, -26, 0, 55, -18, 29, 8, -27, 25, 34, 37, 21, -1, 9, 53, 0, -35, -49, 37, -50, -7, 45, -8, 39, -22, 23, -12, 39, -23, -54, 14, 17, -34, 34, 7, -30, 26, 21, 6, 48, 5, 55, 64, 58, -58, -52, -31, 21, -37, -28, 25, -71, -27, 29, -35, 14, -3, 24, 36, -20, -2, -46, 5, -24, 42, 30, -25, 6, 11, 28, -50, 70, 34, 52, -59, -4, 28, -4, -3, -17, 14, -38, 19, 6, -20, -22, -41, -41, 24, 1, -2, 35, -49, 45, 1, -39, 18, 55, 18, 20, 58, 46, 7, 25, -28, 27, 3, 37, -1, 52, 55, 48, -8, -35, 18, 58, -28, -55, -4, -32, -11, 56, -19, -52, -62, -8, -21, 4, -27, -48, -19, 61, 44, -28, 24, -24, -5, -46, 28, 19, -58, -25, 45, -48, 17, 34, 54, -45, -28, 27, -19, 19, 28, 11, -35, 30, -16, -34, -17, 61, 57, -43, 7, -41, -57, -42, 4, 38, -41, 39, -42, 31, -17, -15, -52, 35, 3, -51, 52, -58, -59, 34, -3, 42, 23, 3, -24, -1, -4, 0, -34, 60, 22, 47, -31, -34, -54, -62, -33, 62, -49, 29, 31, 38, 33, -61, 51, 25, -32, 57, -31, 5, -47, -49, -61, -7, -54, -22, 76, 50, -61, -32, 14, 46, 8, 24, -13, -9, -39, -54, 57, 52, 22, 14, -2, -20, -62, 16, -52, 6, -45, -7, 37, -21, -36, 10, 21, -14, -21, 31, 36, -9, 25, 20, -53, -4, 54, -22, -10, 8, 38, 24, 19, 30, -62, 7, -21, -32, 15, 12, -5, -25, 51, -9, 37, 48, -11, 60, 59, -56, 19, 38, -18, 51, -33, -5, -40, -34, 9, 2, -10, -52, 43, -19, -12, 41, 35, 10, 19, -39, -46, -47, 35, -27, -6, 11, 5, -9, -13, -11, -2, 36, -31, -1, 17, -41, 12, 44, -44, -60, 47, 37, 9, 5, 29, -31, -46, -29, -12, 25, -59, -24, 29, 56, 51, 12, -47, 21, 29, 56, -43, -45, -4, -10, 26, 42, -40, 4, 27, 27, 3, 20, -4, 24, 49, 54, 24, -51, 9, -20, -21, 26, 58, -37, -51, 41, 12, -61, 23, -4, 3, 18, 38, 6, 60, 47, -13, -30, 65, 38, 25, 3, -40, 10, 17, -26, -27, 2, -15, 50, -16, 4, -1, -54, -18, 38, 82, 23, -58, 38, 36, -49, 44, -2, 32, 41, 32, 18, -47, -8, -48, -35, 18, -20, 4, 19, -25, -11, -51, 47, -48, 43, -69, 8, 37, -35, -27, -16, 32, 8, -18, 31, 42, 43, -31, -22, -60, -11, 4, 41, 10, 24, 2, -50, 43, -15, 66, 35, 31, 2, -7, -4, 32, 37, 35, 0, -38, -22, 43, 38, -32, -5, 16, 35, -22, -60, -5, 32, 44, 34, -33, -11, 14, -58, -9, 16, 34, -27, -28, -28, 47, -20, 39, 16, 43, -47, -18, 34, 0, 26, 62, 39, 62, 8, 3, -11, -6, 13, -15, 4, -31, 23, -5, -24, -13, -36, -19, 7, -12, -28, -29, 40, 53, -2, -13, 54, -41, 56, -33, 54, -27, 33, 34, -30, -47, 50, -3, 29, -27, 47, -24, 26, 1, -6, 48, -47, -8, -56, -31, -59, 56, 51, -17, 4, 5, 48, -33, -31, -11, -5, 12, -34, 63, 47, -25, 29, -40, 10, -71, -35, -8, 56, -24, -13, -30, 40, 45, 36, 6, -37, -45, 40, 22, 24, 53, -63, 2, -54, -38, 7, -67, -37, 45, -42, -19, -68, 19, 55, -34, -54, 15, 11, 39, 55, -24, -64, 66, 64, 4, 71, -16, -45, -31, -1, 9, -25, -42, -18, -33, -3, 1, -31, 19, 54, -15, 48, -58, 35, 60, -41, -43, 3, 28, -5, 5, -25, -63, -16, 8, 59, -33, -21, 72, 68, -53, 43, 26, -72, -67, 40, -44, 46, -38, 5, 43, 25, 3, 38, -39, -38, 18, 42, -12, -37, -6, 37, -17, 4, -6, 9, 41, 46, -47, 57, 23, -41, -32, -22, -57, 63, -21, -50, 24, 33, -6, 40, -10, -61, -7, 2, -4, -31, -38, 4, 14, -22, 37, 19, 61, 53, 19, 67, 43, -11, 2, -62, -56, 52, -18, 54, -2, 14, 14, 18, -38, 68, -2, 27, 59, -25, 40, -58, -63, 57, -28, 10, -55, -6, 32, 63, -37, -48, 9, 44, 40, -24, 24, -62, -15, -13, 25, 65, -43, -47, 46, -35, -7, -7, 27, -41, 65, -26, -42, -20, 12, 48, 35, -20, -5, -4, -65, -81, -13, -20, -25, 60, -58, 20, -21, -36, -42, -17, -46, -25, 64, -32, 50, 37, 43, -9, -40, 60, 14, 23, 34, -9, 43, 5, 0, -32, 29, 58, -36, 44, -4, 68, 45, 5, 24, 13, 45, -54, -41, 11, -34, 15, 34, 10, 7, -31, 25, -30, -17, 24, -50, 46, 39, -55, 19, 42, -59, -68, -53, -16, 65, -57, -52, 15, 11, 25, 17, 25, -35, -24, -6, -48, -64, 37, -55, -11, -21, -6, -29, -3, -43, -51, 67, 60, -34, 18, -46, -8, -41, 15, -5, -41, 34, 19, 56, 14, -63, -54, -66, -17, -26, 55, -26, 18, 52, -6, -17, -2, 23, -6, 34, 8, 0, 6, 13, 49, 20, 66, -19, 17, -45, -47, -49, -53, -27, -9, -64, -20, 15, -17, -5, -50, 2, -2, -9, -26, 35, -26, 22, -37, 29, 17, -52, 34, 32, -31, 25, 32, 2, 9, -63, -14, -28, -10, -6, -9, -30, 58, 77, -2, 70, 47, 19, 51, 39, 25, -15, 5, -54, -52, 0, -20, -4, -21, 40, -38, -51, 5, -35, 56, 58, 20, 11, -19, 27, 4, -48, 12, -46, -11, -16, -14, -64, 27, 8, 9, -24, 39, 78, 28, -50, -68, 43, -45, 55, 28, -6, 54, 27, 13, 57, -28, -51, -31, -14, 52, 10, 10, 56, -1, -16, 54, 18, 38, 13, -27, 34, -19, -7, 39, -17, 43, 7, 21, -2, -14, 39, -28, -74, -39, 26, 17, -1, 61, 18, -30, 24, 35, 8, 14, 52, 7, -6, 75, -28, 29, 13, 67, 9, -52, 24, 40, -37, -6, 9, -34, -9, -50, -49, 54, -4, -40, 1, 8, -12, 28, 44, 39, 13, -4, -16, 50, -31, -52, 26, -50, 8, -27, -16, -11, -54, -15, 32, -32, 17, 52, -29, -8, -30, 19, -56, -12, 54, -21, -15, -51, -46, 62, -6, 58, -35, -2, 8, 54, 36, 55, -22, -41, 49, 49, 49, 22, -46, -9, 50, -51, 30, 27, 20, -14, -41, -51, 19, -52, 52, -4, 11, 15, -25, -57, -15, -16, 49, 25, 0, -45, -14, -47, -60, 8, 13, -20, 31, 10, 0, 4, 33, -31, 35, -46, 1, -30, 43, 32, 54, 47, 1, -43, -3, 59, 47, -2, -47, 31, 17, 27, -19, -20, 30, -52, -21, -7, 3, 17, 2, 46, -34, 5, 15, 10, -29, -5, -29, -4, 37, -3, 1, 44, -21, -47, 27, -69, 57, 20, -26, 45, 20, -35, 34, 10, -24, -3, 46, -12, 38, 14, 19, 15, 1, -22, -46, 47, -7, 7, 42, -12, 15, 15, -48, -34, 13, 47, -44, 20, -59, -47, -13, 61, 37, -5, 35, 49, 15, 36, -36, -22, 6, 5, 19, 10, -41, -2, -15, 26, 53, -9, 32, -57, -15, 42, -55, 17, 17, -53, -15, 54, 28, 20, -32, -15, 18, -48, -11, 13, -46, 18, 6, -36, 0, -51, -46, 55, 29, -29, 3, 42, 14, 38, -51, -57, 45, 64, 32, -16, 28, -48, 29, -58, 19, -32, -8, 51, -16, 18, 33, 29, 39, -31, 17, 21, -61, 47, -58, 47, -57, -23, -38, 35, 35, -49, -49, -34, 26, 51, 59, 60, 15, 17, -35, -21, -52, 54, -50, -67, -27, -43, 22, -40, 24, -28, 53, 8, -10, -38, 16, -48, -8, 19, -44, -48, -68, -12, 41, 8, 10, -5, -58, 22, -28, -56, 11, 15, -9, 4, 52, 36, -26, -54, 0, 51, 38, 35, 3, -31, -41, 53, -30, -37, -18, 43, -10, 36, 10, 38, 17, -39, -17, 12, 36, 29, 25, 15, -17, 24, 20, -1, 0, -27, 46, -31, -3, -18, 9, 49, -12, 75, 8, 31, 37, 31, -41, 13, 4, 42, 67, 12, -48, 29, 37, -18, 47, -14, -56, 43, 16, 26, 26, -31, -46, 40, 25, -61, -47, 12, 56, 62, 20, -18, 77, -32, 49, 24, 52, -39, 32, -20, 26, 24, -46, 44, -33, 33, -13, 0, -23, -41, 30, -1, -29, -10, -29, 39, 49, 11, 50, -9, 59, 57, 41, 35, -53, 48, -34, -40, 44, 1, 13, 18, -58, 17, -57, 12, -34, -43, -56, 67, 19, -7, -35, 44, 43, -41, 32, -13, -30, 40, 28, 19, 10, -61, 43, 47, -9, 1, -51, 1, 39, 42, -39, -8, -59, -26, 11, -20, 0, -2, 42, 46, -36, -14, -15, 30, -21, -51, -48, 53, -34, 22, -1, 35, -59, 49, 23, 51, -56, -27, 39, 55, -18, -60, -13, -31, -20, -38, 24, 32, 2, -49, -33, -24, 46, 7, 24, 10, 41, -7, -33, -44, 8, 55, -25, 49, -4, -15, -33, 7, -37, -30, 11, -20, 43, 37, 54, 57, -9, -33, 35, 14, -54, 51, 39, -38, 35, 50, -40, -22, 59, 45, 20, 40, -14, 41, 6, -44, -4, -40, 31, -15, 15, -8, 38, 65, 4, 5, -35, 53, -59, 58, -34, 50, 28, 14, -11, 28, -31, -12, -57, -20, 20, -8, 2, 50, -4, -6, 33, 15, 22, -21, 18, -24, -18, -41, -48, -36, 46, 12, 21, 4, 29, -11, -40, -62, 12, 11, -33, -27, -18, -24, -50, -3, -30, 5, -49, -53, 4, 41, -37, -69, 6, -44, -9, 36, -39, 49, -33, -57, -36, -11, -38, -36, -36, -39, 14, -61, 28, 30, -52, -12, 41, -50, -68, -16, -64, 57, 30, -5, 11, 8, -43, 43, 34, 18, 35, 52, 25, 4, 39, 45, -17, -19, 0, -16, 9, 40, -14, 16, 37, -40, 14, 55, 19, -46, -48, -50, -32, -58, 53, 7, -42, 53, -12, 41, -27, -27, 38, 9, 42, 4, 12, 41, -48, 59, 25, 44, -36, 9, -53, 73, -25, -19, -26, 44, -27, -1, -33, -53, 0, 6, 32, -26, 4, 18, 11, -1, 27, 50, 27, 25, -37, 2, -53, 1, -42, -58, 50, -1, 54, -52, -33, 53, 4, 10, 56, 53, -23, 17, -39, 24, 39, -25, 29, 19, -7, -4, -20, -56, -49, -2, 13, -14, 44, 5, -54, 3, -54, -61, 1, -61, -22, -10, -53, 26, 37, 31, 20, 45, -5, 8, 1, 12, 23, 58, 18, -37, 15, 11, -24, -48, 33, -29, 17, -29, -24, 39, 28, -2, 12, 21, -28, 19, -31, -40, -7, 0, -22, 33, -58, -56, -62, 10, 0, 20, -21, -45, -32, 10, 46, 4, -20, -28, -1, 44, 56, 23, 47, 61, 45, 9, -53, -32, -5, 51, 21, -62, 32, 31, 44, -7, -16, 20, -24, 24, -28, -63, 68, 18, -28, -29, 1, 51, -31, 68, 102, 32, 70, -18, -25, 46, 28, 40, -22, 64, 45, -31, 13, 16, -39, 23, -60, -52, 41, -2, -57, 7, 60, -26, 12, -22, -6, 23, 66, -23, 74, 38, 4, -25, -5, -49, 53, 52, -50, 55, 38, -35, -35, 5, -25, -44, -55, 32, 8, -6, 24, 63, -19, 19, 18, 14, 18, -40, -42, 24, 18, -37, 2, -45, -58, -50, -10, -28, -35, 46, -53, -45, -19, 22, -7, -29, -22, 50, 42, 5, 16, 77, 53, -50, 25, 9, -23, -11, -38, 54, -44, 36, -3, 70, 60, -16, 33, 2, 43, -16, 50, -65, 24, 18, 45, -3, -64, -39, -51, -52, -12, 49, -6, -54, -51, -1, 4, -54, 20, -7, 3, -21, -3, 36, -41, 61, -11, -39, -42, 3, -33, -49, 46, -2, -26, -55, 41, 6, 32, -21, 27, 27, 65, 39, -45, 8, 40, 28, 39, -32, 22, -29, -49, -57, 15, 2, 18, 15, 34, -30, -37, -39, -47, -43, 21, 53, 1, 45, 11, -59, 71, -30, 25, 64, -74, -52, 12, -51, 32, 21, -59, 2, 27, 53, -23, -39, -59, -56, 36, -25, 6, 24, -13, -53, -41, 31, -26, 14, 3, 6, -47, 33, -1, 11, -27, -30, -58, 54, 51, -36, -23, 26, 57, 31, -23, -38, 36, -60, 54, -44, 13, 5, -38, 50, -2, 72, -46, 49, 31, -50, 35, 4, 49, -9, 67, 15, -29, -21, -57, 10, -9, -27, 55, -34, -23, 2, 18, -16, 0, 52, 32, 50, 26, -52, 40, -19, 53, 13, 4, -41, -5, -18, 30, -40, 63, 11, -31, 27, -7, -36, -35, 45, -29, -8, -40, -48, -11, -46, 38, -20, 42, 21, -17, 50, 0, -49, -58, -31, 14, 49, -32, 42, 66, -16, -56, 22, -40, 58, -6, -41, -30, -36, -24, 21, -51, 35, -63, 42, -16, 55, 10, 5, 7, 4, 39, -20, -32, -14, -56, 57, 25, 50, -3, 29, -9, -34, -47, -72, -15, -25, -26, -16, 20, 43, 45, 5, 41, -46, -18, -38, 43, -43, -41, -15, -46, -20, -11, -38, -19, -24, -41, -23, -10, -14, -7, -39, 1, 55, 28, 24, -41, 14, -28, 36, -28, -20, 18, -32, -65, 48, 3, -11, 70, 43, 13, -54, -60, -21, -68, 34, 45, -26, 5, 41, 43, 35, 6, -49, -17, 32, -12, -71, 10, 26, 10, 18, -15, -32, 54, 26, -69, -45, 76, 10, -33, -50, -49, 12, 4, -15, -47, -21, -35, 9, -48, 9, -43, 38, -49, -8, -17, 36, -17, 51, 25, -34, 41, 40, 5, -17, 35, -56, -40, -40, -12, -59, 26, -34, 36, 9, -9, 57, 60, -52, 46, -29, -57, 18, 33, 14, 12, 45, -30, -8, -62, -11, -45, -8, 11, -21, 46, -50, 6, 20, -9, -59, 14, -74, -19, -70, -14, 15, -71, 38, -3, 32, -82, 46, -45, 36, 47, -50, -63, -4, 9, 12, 24, -67, -39, 43, -19, -20, -4, -47, 39, -36, 28, -16, 54, -45, -26, 1, -46, 28, -60, 37, -39, -38, -39, 22, -6, -34, -22, -3, -9, -48, 27, -43, -9, 50, 59, 16, 20, -16, -5, -15, -54, 30, -8, -10, 55, 1, 22, 44, -25, -41, 15, -46, 26, -74, 18, -68, 12, -42, 14, 8, -30, -51, -28, -50, -21, -56, -44, 25, 42, 11, 40, 36, 24, 14, 67, -21, -44, -11, 35, 12, -32, -3, -54, -60, 57, 14, 56, -52, -36, 19, 53, -24, 26, 55, 45, 10, 14, -6, -40, 28, 4, -8, -24, 48, -62, 41, 47, 37, 16, 73, -52, -24, -76, 45, 15, 64, -39, -31, 39, 18, -21, 55, -57, 16, -50, 40, 40, -51, 48, -48, 11, 31, 25, -27, -11, 85, -65, -19, 43, -2, -5, -39, -24, 34, -30, 5, -34, 54, -44, 45, 32, -15, -7, -33, 39, 55, 60, 26, 44, -52, 12, 54, -31, -34, -30, -58, 54, 25, 24, -18, -22, 57, -17, 32, -24, -32, 51, 51, 68, -51, -40, -61, 56, 16, -66, -48, -62, -28, 56, -44, 41, -29, -17, 33, 10, 0, 34, 41, -29, 46, 14, 26, -41, 41, -36, 4, 43, 24, -26, -17, 27, 61, 19, -32, -5, 41, -28, -32, 11, -47, -5, 31, -6, -35, 8, 7, -52, 42, 24, 43, 19, 25, 3, -60, 19, -22, -34, 22, 1, -47, -13, -35, -19, 1, 48, 51, -7, 52, -44, -41, 5, -69, 28, -22, -71, -39, 26, 34, -59, -62, -18, 26, -39, 0, -14, -7, -32, -25, 29, 5, -21, 52, -31, -55, -49, -3, 21, -52, 4, 37, 0, -27, 51, 9, 46, 57, 21, 61, -61, 54, 37, -47, -49, 57, 15, -44, -50, 33, -38, -24, -7, 11, -37, 7, 49, 26, 16, -21, 15, 39, -61, -56, -18, -2, -9, -30, 53, -41, -7, -45, 9, 6, 24, -11, 15, 40, -6, 21, -25, 18, 43, -5, 51, -47, 19, -39, 8, 49, -58, 36, -45, 44, 43, -16, 56, -41, 21, 11, -44, -3, 8, 53, 28, -44, -34, 42, -9, 36, 0, -57, 55, -3, 51, -56, 48, 5, -21, -32, 37, -19, -57, -46, -46, 55, -13, 3, -2, 39, -46, 58, -47, -46, 6, -44, -30, -44, -40, 17, 22, -34, 41, 61, -10, -49, -48, -35, 44, 42, -52, 30, 4, -51, -24, -13, 0, -59, 43, -15, 42, 16, 61, 1, 27, -47, -37, 35, -2, 22, -44, 9, -34, 5, -45, -40, 27, 26, 45, 11, 1, 42, -9, -60, 56, 8, 23, -18, -1, -40, 8, 13, -62, -29, -8, -54, -58, 26, -1, 6, -30, -43, -58, 5, 0, -33, 43, 49, 25, -19, 9, -11, 25, 54, 37, 56, -28, -13, 50, 61, -39, 6, 47, -32, 0, 45, -43, 12, -47, 51, 23, 21, 39, 34, 23, 10, -19, 38, 5, -26, -33, 6, -51, -22, -52, -41, 59, 60, -50, 7, -57, 40, -31, 58, -51, 21, 53, 1, 17, 32, 48, 28, -24, -46, -34, 53, -59, -54, -48, 22, 55, 16, -23, -22, -29, 22, -21, -43, 24, -27, -47, 3, 40, 52, 22, -16, 60, 33, -56, -36, -52, -16, 29, -26, 31, -35, 28, 25, 49, -29, 42, 12, -43, -24, 38, -46, -22, 21, 55, -46, 19, 58, 31, 54, -35, 30, 55, 45, -54, 59, 50, 15, -33, 11, -13, -30, 62, -47, -30, 7, -40, -7, 28, 32, -53, 9, -55, -3, -9, -61, -19, 51, -4, 19, -24, -55, -21, -38, -31, -59, 58, 18, -26, 14, -13, 50, -7, -35, -34, 24, -43, -19, 9, -4, -42, -42, -49, -43, 48, 23, -55, -41, -20, 34, -37, -60, -43, -44, 23, 28, 28, -1, -43, -56, -48, 22, -34, 37, -26, -58, -55, -33, 52, 12, 41, 2, -14, 59, 5, 17, -35, -17, 43, 11, 39, -42, -29, 30, 42, -52, -51, -12, 38, -12, 31, -7, 40, 20, -15, -26, 43, -33, 37, -1, 42, -39, 29, -51, 43, 49, -27, -60, -2, 62, -44, 28, 26, -52, -55, 36, -43, -48, -42, 32, 44, 34, -40, -61, 15, -30, 39, 17, -37, 20, -30, 41, 30, 42, 43, 10, -49, -42, -40, -44, 10, -46, 50, 6, -27, -9, 5, -60, -21, -48, 52, 30, 13, 8, 50, 61, 14, -24, 29, 53, -47, 61, 49, 61, 8, -22, 55, -43, 10, 15, -47, 38, 16, -15, 41, 39, 45, 24, -57, -28, -32, -3, -56, 53, 27, 40, -62, -36, -6, -14, -12, -30, 4, 32, 51, -58, 41, 18, -43, -50, 30, 45, 3, -44, 48, -19, 57, -13, -57, 0, -3, -56, -33, 48, 52, 16, -12, 19, -55, 27, -59, 43, 36, -19, 37, -35, -56, 19, 44, -28, -16, 30, 47, 31, -2, -27, 60, -16, -21, -43, -59, -59, 13, -53, -48, 49, 31, -43, 60, -39, -62, -46, -37, -48, 49, 6, 50, 21, -13, 32, -1, -65, -31, -57, -24, 39, 22, 45, 40, -20, 17, -48, -52, 47, 9, -45, -46, -21, 45, -25, -60, 35, -48, -39, -18, -48, 22, -9, 52, 33, 52, -48, -56, 2, 44, -22, 40, 61, 31, 54, -64, 58, 30, -40, 33, 18, 10, 47, 60, -57, 56, -28, -9, 43, 0, -2, 33, -49, 2, -44, -18, 9, 59, 53, 36, 0, -8, -60, -59, -22, 59, 15, 3, 44, 22, -36, -34, 61, 30, 40, 23, -27, -46, -13, 1, -11, 11, -47, 18, -19, -45, 6, -37, -1, -19, -11, 20, 21, -18, 45, -61, -23, 44, 11, 41, -20, -35, -22, 26, -10, -60, -40, -31, -5, 26, 44, 33, 29, -61, -7, 55, -43, -6, -26, 29, 48, -34, -42, -61, 29, -54, -33, 36, -35, 56, -41, -60, 59, 15, 31, 49, -32, -19, -27, -56, 52, -3, 24, 15, 40, -58, 25, 17, 21, 29, 24, 3, -45, -11, 21, -9, -41, -13, -22, 46, 63, 47, -20, 57, -49, 56, -44, 59, 10, -4, 33, -19, 21, -14, 42, 27, 1, 10, -45, -29, 33, -46, -12, 45, -20, 37, -53, -33, 15, -43, -64, 35, -56, 33, -24, 6, 39, -61, -45, -33, 9, -37, -59, -4, -60, -17, -49, -39, -30, 5, 48, 40, 38, 39, -48, -52, 29, 68, 32, -18, 28, 45, 24, 62, 27, -8, -52, 3, -4, -8, -39, -19, -41, -22, 32, -38, 7, 27, -34, -40, -61, -13, -60, 36, -59, 12, 48, 53, -22, 13, 43, -17, -30, 35, 15, -53, 51, 22, -13, -49, -53, 34, -33, -29, 0, 60, -24, 53, -58, 19, -59, 25, 0, 58, -4, 59, -43, 7, -18, 61, 49, 30, -13, -43, -51, -11, 7, -49, 20, 51, 41, -33, -26, -21, -1, -14, 42, -48, 10, -34, -2, 38, 40, 35, -16, -22, 28, 15, 3, 35, -54, -27, 25, -12, 34, 41, -42, -39, -37, 9, -60, -23, -6, -61, 1, 20, 15, 17, -35, -9, -30, -37, -40, -58, -41, -20, 40, 2, 13, 51, -61, -53, 13, -13, -42, -34, -45, -61, -52, 29, 12, -63, -45, 61, 14, 43, 18, -51, 5, -18, -19, -39, -19, -48, -3, 42, 43, -36, -17, -16, -63, 1, 58, 18, -11, -11, -48, -57, -15, 39, -1, 33, -15, -62, -26, 60, 7, -29, 21, 26, -47, 7, -25, 29, -11, -1, -62, -18, 22, -51, 40, -36, -41, -46, -41, 28, 40, -31, -57, -34, 16, 61, -29, -9, 44, -23, 37, -62, 61, 39, -34, -29, 30, -45, -14, -24, -16, 35, 48, 59, -46, -16, 28, 36, -11, 37, -38, 16, -15, 9, -33, 61, -25, 10, 41, 22, 36, 47, 45, -41, -30, -59, -18, 21, 47, -46, -36, 14, 52, -38, 38, 20, 4, 61, -28, -33, 14, -15, 16, 55, 17, -11, -51, 22, -2, 15, -7, -49, 35, 23, 34, 5, -7, 30, -7, 27, 17, -23, -12, 48, 0, -42, -7, 33, 17, 46, 2, -47, -16, -43, -48, -10, 36, -2, -20, 57, -62, -25, 25, -5, 56, -29, 46, 15, 44, 59, -3, 39, 38, 59, 2, 35, 4, 5, 12, -49, -28, 19, -35, -31, -43, -47, 65, -54, 45, -50, 1, -45, -58, 18, -28, -51, 42, -50, 32, 44, -44, 42, -3, -61, -9, -1, -32, 47, 35, 12, 31, -49, -24, 61, 57, 25, 50, 32, -14, -7, -54, -11, 24, -41, -5, 1, -35, -54, -24, 25, -15, -21, -54, -31, 39, -24, 47, 5, -56, -57, 59, 21, 16, 50, 37, 10, -12, 30, 43, -49, 41, 22, -24, -10, -26, -16, -47, -16, 58, 27, -58, -45, 41, 57, -25, 58, -41, -4, -36, 16, 1, -23, 45, -49, -12, -47, 24, -32, -50, -46, 32, -51, 6, 16, -16, 29, 34, -33, 26, 10, -46, -43, 57, 29, -51, 60, -31, 58, -14, -33, -42, -55, -51, -31, -78, 55, 28, 38, 47, -14, -9, -50, 10, -32, 7, 2, 30, -64, 60, -93, -38, -49, -8, 1, -19, -40, 102, 51, -55, 53, 23, 57, 13, 41, 16, 28, -3, 53, 2, 15, -38, 29, 24, -34, -17, -9, -21, 5, 48, 32, 65, 5, 21, 13, 46, -8, 44, 58, 45, 33, -43, 50, -59, -24, -33, 7, -54, -1, -36, -47, -32, -6, 24, 59, 32, 53, 25, -51, -41, 56, -32, -13, 30, -28, 12, -28, -32, 12, 66, -24, 10, 37, 18, 25, -51, 73, -47, -42, -35, 25, 68, 45, 37, 3, -13, -61, -42, -6, -45, 10, 73, 37, 27, -7, -92, -17, -15, 34, -42, -24, -10, 0, -20, -41, 31, 55, -11, 9, 59, -27, -78, 34, -30, -29, 81, -68, -3, -12, -21, 52, -10, -55, 24, 33, -2, -8, 29, -22, 9, -3, 48, -19, 12, -77, 63, 21, -33, 43, -32, -50, -41, -12, -34, 32, -30, 32, -11, 19, -38, -54, -33, -55, 42, -24, 11, 58, 21, 24, 19, 21, 44, 17, -55, -33, -14, -6, 34, 19, 26, 46, 2, 65, 10, 32, 59, -5, -4, -32, 27, 1, 40, -9, 27, -62, -73, -22, 39, -2, 16, 4, 19, 22, 7, -40, -23, -46, -75, 22, -39, 45, 42, 1, -45, -6, -55, -37, 10, 57, -6, 37, -21, -17, 7, 37, -12, -25, -7, -15, -48, -10, 28, -44, -53, -2, 49, 16, 29, 31, -27, 49, 48, 14, -34, 22, 22, 25, 2, 17, -33, 39, 29, 11, -59, -16, -22, -26, -17, -2, 40, 51, 3, -5, 3, -27, -56, 56, 28, -63, 11, -49, 67, 70, 41, 69, -1, -64, -2, 7, 7, 16, 31, -9, 39, 3, -42, -13, -8, -48, -19, -30, -13, 56, 7, 36, 29, 38, -32, -77, 32, 59, 16, -42, 20, -36, 80, 26, 37, 3, -28, -50, 3, -7, 30, -42, -44, -32, 33, -11, -32, 27, 23, 29, 46, 38, 19, 120, 20, 54, 109, 34, -31, -28, -58, -42, 23, -21, 14, -45, 52, -6, 57, -44, 56, 47, 27, 44, 32, -38, 38, 47, -71, -31, 44, 52, 60, -1, -11, 25, -7, 48, -1, -12, 54, -47, 24, -54, 38, 54, 40, 23, 15, -26, 32, -10, -7, 20, -8, 39, -1, -40, -43, -1, -18, 14, -1, 12, 42, 51, 21, -13, -39, -18, -17, -52, 5, 35, -6, 19, -55, -38, -49, -25, 18, -32, 5, -4, 70, 61, -20, -37, -24, -6, -39, -1, -49, 83, -16, -30, 72, 46, -13, 26, -16, 29, 44, -36, 14, 43, -5, -44, -44, -24, 13, -58, 28, 2, -23, -42, 26, 30, -9, 42, 18, 26, -53, 7, -61, -48, 27, -27, 26, 17, 63, 30, -8, -94, 53, 27, -12, 79, 35, -21, 15, 38, -5, 34, 8, 18, 70, 42, -19, -45, 1, -28, 59, 34, 27, 86, -18, -32, 79, -6, 37, 80, 10, 22, -53, -58, -30, -28, 8, 29, 3, -22, -45, -12, 27, 29, -9, -14, -4, 31, 52, 19, 32, 32, 24, 76, 72, -68, 25, -51, 11, 74, 7, -7, -23, 8, 34, 24, 33, -68, -3, -2, 24, 21, -14, 1, 8, 63, -22, 51, 50, 16, -56, 10, 1, 23, 27, -12, -34, -61, -22, -26, -47, 47, 53, -52, 50, -38, 14, -23, 22, -14, -63, -19, -23, -14, -57, -16, 72, 31, 51, 37, 10, 5, -11, 52, 4, 13, -38, 39, -55, -12, 60, -56, 6, -33, 5, -41, 1, 1, 38, -29, -18, 52, 25, 12, 59, -25, -65, 11, -28, -31, 72, 24, -23, -12, -56, -3, 54, -31, 37, 2, -39, 0, 13, 34, -52, 1, -30, -12, 71, 47, -14, 70, -6, 10, 0, -54, -37, -5, 22, -2, 1, -56, 13, 39, -29, 17, 40, -20, 6, -65, 39, -18, 27, 29, 26, 41, -57, 6, -41, -32, 14, 17, -10, -10, -51, -40, -27, 22, -76, 28, 43, -22, 40, 50, -25, 4, -30, -32, -62, -15, 36, 26, 9, -60, 17, 13, -27, -20, 23, -35, -35, 25, 56, -9, 7, 1, 6, 39, 11, 20, -42, 2, 48, 11, 45, -34, 17, 43, -63, -54, -78, 50, -34, -14, -13, -27, -26, -57, -18, 9, 13, 36, 8, -13, 7, -58, 40, -21, 8, -15, -67, -13, 31, -55, 0, 6, -11, -94, 18, 45, 59, -4, 16, 43, -18, 51, -28, 37, 46, 1, -26, 45, -7, 15, -44, 13, -9, 14, -21, -3, 35, 57, 21, 3, 40, -43, 37, 11, 13, 24, -22, -62, 39, -38, 2, 52, 34, 7, -46, 56, 58, -16, 16, 46, 5, 23, -12, -9, -42, 14, -27, 57, -12, -14, 37, 4, 36, 58, -56, 52, 28, 30, -50, 24, 4, 43, 53, 31, -78, 22, -79, -67, -25, -59, -39, -49, -24, 3, -69, 95, 2, -76, 79, -45, -13, 12, 16, 69, 46, -22, 48, -63, -14, 7, 5, -28, 30, -10, 27, -57, -54, -37, 50, 60, -22, -28, 23, 50, 26, -33, -1, -1, -45, -70, 32, -46, 4, -46, -28, 49, 46, -54, -23, -58, 4, 61, -8, -54, -20, 36, 4, 54, 23, 29, 24, 15, -47, 43, -46, -2, 4, 50, -25, 36, -37, 18, -43, 21, -29, -36, 33, 13, 19, 8, 33, -37, 41, -21, -3, 11, -16, -42, 45, 36, 47, -13, 41, 52, 50, 26, 29, 67, 0, 27, 10, 24, 51, -36, 27, -53, 11, 28, -58, 14, -44, 42, 29, -22, 13, -31, 26, 7, 59, 2, -54, -25, -6, -20, -39, 32, -39, 44, 70, 38, -22, 16, 53, -65, 30, 55, 4, -55, -52, -62, 35, 40, -1, 37, -12, -11, -24, -5, 57, 3, 21, 28, 7, 32, 107, -41, 45, -10, 3, 42, 48, 1, 14, -5, -39, 25, 15, 48, 20, 56, -29, 84, -13, 48, 32, -9, 40, -56, -63, 34, -22, -4, -35, 36, -39, 30, -46, -1, -50, -54, -26, 27, -12, 11, 29, 37, -19, 15, 53, 16, -24, 5, 65, -55, 46, -27, -35, -59, -28, -17, 16, -56, -7, 37, -38, -36, 8, 2, 5, -15, 36, -26, 48, 53, -31, 1, 8, -6, -38, 69, -8, -53, -1, 5, -3, -4, 18, 37, 4, 29, 33, 29, 28, 51, 57, 11, 39, -9, 41, 42, -70, 6, -40, 33, 34, -27, 20, -28, -36, 35, -5, -8, -15, 5, -13, 58, 67, 41, 11, 16, -43, 43, -37, -61, -48, -37, -32, 58, -42, -34, -62, -20, 56, 21, -53, -36, -33, 26, -25, 38, -16, -56, 42, -48, 51, 76, -6, -33, 39, 29, -55, -45, -48, -10, -49, -41, 52, 40, -43, -39, -55, -27, 36, 18, -60, -18, -36, -45, -43, 18, 22, -95, 15, -15, -53, -10, 14, -52, 35, -46, 14, 27, 11, 21, 11, -39, 19, -40, -60, -30, -18, -23, -50, 49, -36, -15, 29, 46, -19, -6, 0, -50, -5, -40, -17, -37, -18, 15, -43, 53, 28, 41, -7, -16, 27, 43, -39, 39, -4, 14, 64, -42, 17, -51, 47, -51, 33, 6, 39, 47, 12, -12, 54, 0, 36, -9, 61, 49, 38, -46, -47, 37, -44, 36, -25, -30, -24, 18, -34, 9, -5, 7, 16, -55, -9, 37, -35, 32, 0, 3, 11, -5, -5, -22, 1, 39, 65, 2, 11, -62, 31, 11, 46, 29, -49, -31, -4, -59, -12, 15, -2, 40, -58, -14, -43, 29, -53, 28, 42, -11, -46, 57, 45, -20, 5, 8, -40, 8, 38, 12, -20, 56, 59, 16, -6, -58, -42, -52, 21, 43, -52, 44, 34, -16, 13, 13, 34, -58, -43, -13, -23, 25, -54, -46, 7, 21, -56, -44, 59, -12, -10, 47, 55, -26, 26, -49, -40, -11, -17, -11, -38, -4, 48, 27, -37, 20, -4, -47, 40, -47, 11, 44, 35, -18, 1, -30, 17, 3, 3, 1, 40, -60, -33, 7, 13, 4, 0, -9, -55, -36, 28, 16, 4, 59, 35, 51, 8, 31, 61, 5, 21, -11, 4, 52, 35, -36, -12, 11, -19, -7, -33, 30, 30, 46, 4, -4, -6, 59, -56, -32, -12, -10, 39, -39, -34, -34, -48, -9, 18, -45, -32, -42, 3, 23, -12, 56, 5, 53, -46, -57, 42, -25, -34, -9, 13, -44, 27, -12, 64, 45, 0, 35, -45, -33, 9, -34, -51, -28, 34, -53, -28, -58, 56, -51, 13, 48, -54, 40, -30, 60, 14, 46, 19, 45, -29, 44, 23, -39, -57, 56, 16, 61, -1, 55, -47, 24, 3, -63, -71, 32, -57, -63, 47, 3, 57, 49, 18, -56, -37, -63, -14, 26, -56, 41, -15, -28, 10, 42, -28, -36, 33, -55, -14, 44, 7, -22, 41, -29, 5, -8, 54, 44, 45, 16, 44, 16, 48, 7, 40, 36, -62, 18, 51, 46, 30, -18, 32, -24, -10, -21, -18, -47, 16, -16, -26, -2, -37, -50, 14, -15, -18, -48, -48, -25, -12, 61, -51, 26, 28, -52, -61, -61, -40, -33, -57, -38, -46, -40, -8, 4, 8, 16, 28, 45, -51, 14, 4, 22, -18, -1, -2, 51, 30, -35, -26, -3, -38, 6, 54, -59, 20, -60, -34, -58, -52, 15, 8, -18, -5, -9, 29, 6, 28, 20, -23, -62, -30, -31, -17, 20, 35, 27, -24, 30, 6, -3, 30, 37, -6, 1, -21, 9, -51, -58, -44, -7, 61, 40, 38, -66, -58, 53, -9, -26, 41, 61, -33, -33, -2, 22, 53, 14, -25, -26, -23, 54, -54, -43, 42, -31, 31, -24, 51, -25, 10, 54, -7, 48, -6, -47, 36, -22, -54, -40, -17, 24, 6, 19, -20, 23, -49, -5, 4, 52, 44, -53, -23, -50, -6, 57, 52, 53, -48, -36, 31, -21, -57, 52, -43, 28, 45, 44, 45, -39, -43, 50, 21, 19, -42, -1, -43, 27, 19, 22, -16, 42, 48, -47, 56, 17, 38, -53, 1, -57, -9, -44, -37, 37, 0, -25, -39, -16, 12, 48, -23, -7, 29, -15, -23, 44, -34, 3, -22, -9, -7, -26, -17, 32, 23, 2, 42, 21, -23, 47, -39, -63, -27, -51, 44, 56, -56, 28, -50, 14, 26, 37, -47, 46, 53, 45, -40, 45, 30, -16, -29, -58, -16, -20, 41, 46, 50, 52, 59, -22, -37, -39, -41, 15, -45, 40, 12, -31, -24, 53, -62, 51, -63, -68, 22, 34, -38, -7, -57, 32, -26, 1, 33, -18, 40, 36, 33, -50, -20, 38, -10, -6, -62, -15, 47, 45, -10, 22, 16, -16, -15, -44, 21, 9, 41, 41, -45, -3, 42, 8, 27, 41, 25, -48, -37, -31, -54, -20, 37, -9, 49, 44, 16, 12, -44, 1, 52, -13, 17, -26, 51, 2, 6, 7, 18, -26, -21, -71, -6, 46, -22, 52, -24, -62, 24, -14, 47, -52, 46, -2, -33, 44, 31, -31, 0, 14, -67, 56, 14, 47, -24, 26, -39, 34, -29, -48, -12, -54, 20, -3, -2, -53, -42, -30, 18, 3, -40, -27, -7, -8, -51, 64, -2, -30, 39, 14, -46, -58, -41, 20, -12, -56, 16, -39, 52, 43, 56, -47, -56, 17, 51, -20, 29, 8, 1, -40, 16, -61, -47, -16, 48, -17, -58, -43, 18, -44, 38, -46, -19, 11, -6, 8, -23, -4, -53, 39, -11, -37, 34, 25, 31, -43, -14, -28, -34, 23, -9, -37, -51, -7, -21, -51, 10, 21, -42, -25, 0, -24, 32, -45, 41, -2, 45, -8, 25, -40, -10, -31, -37, -34, -5, -47, 46, -17, 44, 30, -35, -41, 34, 46, -28, 52, -36, -28, 6, -31, -56, 36, -50, -4, -23, 34, -35, 42, -3, -22, -13, -36, 21, -41, -16, 27, -14, -10, -19, -24, -51, -18, -11, -23, -26, 34, 41, 59, 18, 21, 65, 29, 10, 24, 15, -6, 0, 25, -14, -57, -19, -32, 35, 18, -65, -28, 41, 25, -14, -10, -23, -23, -1, -51, 34, 21, -47, -43, -55, -47, -47, -14, -38, -42, -33, 35, -41, -42, -6, -3, -41, 4, 51, -24, 6, -6, -45, -71, -20, -28, -45, 49, -2, 30, -48, 24, -4, -26, 53, -17, 26, 17, -39, 4, -26, 46, 22, -21, -17, 27, -5, -16, -43, 6, -24, 41, -9, -46, 39, 45, 58, 20, -24, -20, 38, 44, 8, -63, -44, 18, 53, 44, 36, -60, 22, 18, 33, 13, -2, 20, -12, 45, 61, -31, 2, 23, -30, 24, 55, -32, 18, -46, 33, 48, -38, -7, 15, -21, 47, 27, -39, 45, 23, 30, 41, -53, -70, 17, -6, -32, 37, 18, -48, 0, 36, -50, 46, -16, -39, 43, 9, 40, -18, -14, -7, -31, 37, 51, -11, -12, 25, 33, -10, -18, -50, 21, 5, -22, -24, -55, 20, 44, -23, 22, -28, 49, 24, 12, 38, 46, -31, -34, 19, -33, 20, -34, -45, -48, 38, -62, 41, 46, 39, 31, -12, -23, -14, -21, 48, -37, -51, 31, 22, -3, 42, -42, -12, -22, -39, 13, -29, 40, -19, -43, -18, 16, 3, 50, -53, -46, 34, 37, -5, 41, 12, -15, 12, 47, -44, -33, 55, -40, -53, 54, -64, -49, 41, -6, 17, -32, -47, 46, 38, 21, 50, -2, -31, 45, 41, -21, -21, 7, 51, 6, 9, 33, 52, -39, 36, -12, -43, -10, -48, 16, -18, -13, 9, 49, -58, 8, -51, -31, 56, 22, 59, 9, -3, 44, -49, 34, 4, -55, 7, 6, 27, -21, 39, -57, 47, -55, -44, 25, -32, -9, -33, -35, 3, -18, 65, -37, -49, 28, -36, -1, -2, -1, -32, -53, -49, -11, -16, -5, 0, -59, -53, -47, -17, -26, 14, -31, -36, 44, -60, 12, -54, -22, 56, 25, -45, -34, -53, -16, -29, 39, 35, -36, -48, 4, -23, 43, -57, 10, -56, 7, -1, -41, -54, 16, -37, 40, -51, 56, 55, 6, -37, 21, 22, 24, 8, 29, 43, -28, -3, 52, -25, -2, -14, -36, -52, 47, 45, -18, 40, -23, -38, -52, 27, 14, 8, 14, 13, -39, 10, 30, 36, 57, -26, 65, 9, 7, -22, -65, 24, -14, -3, -42, 52, -17, -52, 15, 49, 4, 25, -60, 31, 9, -65, -39, -76, 9, 25, -43, 49, 38, -56, -45, -3, 17, 41, 12, -4, 47, -69, -27, -12, 40, -18, 38, 1, -32, -18, 21, 53, -17, 21, -2, 22, -21, -48, -35, 26, -4, 29, -27, 24, 6, -12, -47, -26, -47, 36, 2, -50, 36, 15, -9, -41, 71, -18, -5, 44, -32, -25, -8, 27, -50, -21, 24, 64, 21, 31, -13, -21, 5, 5, -48, -32, 53, 49, 36, -17, 5, 53, -8, 32, -56, -4, 40, 58, 32, -61, 6, -24, 36, 38, 53, -11, -36, 13, 18, 8, 8, 2, 23, -2, 2, 46, -2, 8, 37, 37, 54, -42, 34, 51, 50, 17, 27, 37, 60, 38, 19, -53, 7, -18, -64, 11, 14, 35, -11, 41, -56, 53, 55, 2, -23, 24, -14, -31, -44, 31, -9, -62, -54, 14, 52, -18, 11, 43, 58, -24, 58, 29, -31, -29, -3, 12, -24, 51, 15, 54, 44, 45, -17, -24, 12, -36, 40, 61, -20, 27, -39, 13, 57, 9, -43, 34, -15, -13, -44, 46, 51, 32, 53, 41, 67, -1, 4, 22, 13, -19, -25, 19, 60, 22, -18, -8, -27, 25, 3, 11, 67, 30, -23, 33, -19, 3, -36, 21, 9, 9, 48, 4, 10, -45, 26, -40, -51, -59, -31, 46, 12, -16, -52, 27, 40, -19, -41, 30, -54, 23, -34, 4, -12, -8, 40, 27, 36, -6, 36, 27, -22, 1, 25, -61, 46, 5, 31, 24, -41, 24, 35, 42, -41, -25, -50, 18, -47, 65, -37, -57, 28, -52, -14, 55, 59, 28, 49, 46, 21, 11, -52, -35, -44, -48, -26, 48, 25, -20, -2, 22, 36, 27, 23, 37, 54, 28, 44, 43, -10, 39, 48, -4, -13, -22, 14, -3, 15, 37, 35, 2, 11, -58, 14, 17, 20, 12, -13, 62, -12, 21, 54, -45, -24, 0, 55, 22, 30, -32, -9, -26, -49, 6, 62, -6, -6, 12, -24, -11, 24, 57, 58, -58, 40, -53, 52, 43, -21, -22, 33, 1, -19, -59, 11, -43, -46, -44, 15, -6, -4, -12, -47, 12, -7, -9, 37, 8, 22, 17, -13, -14, 0, 33, 36, 26, 3, 5, 4, -3, 24, -18, 55, -37, 51, -30, 58, 26, -7, -56, -61, -18, -20, 14, 5, -11, 14, -2, -33, -2, 55, -51, -38, -28, 39, 54, -58, 6, -52, 42, -50, 40, 47, 41, -12, 29, -13, 27, -4, -6, -44, 45, -45, 4, 44, -51, -9, 38, -34, 9, -12, 18, 43, -33, 40, -30, 31, 39, 27, -47, -39, -13, 15, -47, -35, -29, -40, -33, -46, 5, -29, -11, -33, 27, 14, -2, 9, -11, 2, -28, 0, -64, -28, -49, -20, -26, 27, 23, -24, 51, -19, -10, 52, -50, 36, -13, 49, -29, -51, 6, -15, 26, 47, -35, 18, -1, 44, -35, 21, -35, -19, -10, 14, -26, 70, 61, -45, 59, 39, -14, -28, 38, 56, 6, -34, -36, 41, -18, 29, 51, 35, -27, -5, 62, 7, -19, 61, 35, -39, 3, 53, 46, -23, 39, -28, -63, -39, 32, 10, -34, -2, 37, 5, -12, -12, -24, -7, 45, -41, -20, -40, 34, -39, -2, -37, -9, -24, -38, 37, 35, 45, -6, 12, -20, -6, -36, 9, 24, -39, 56, -38, -36, 39, -18, 50, -19, 20, 19, 50, 5, 55, 0, 15, 14, -47, 10, 15, -38, 51, 52, -3, 23, 32, 9, 10, 9, 26, -58, -49, 49, -32, -34, 21, -19, -46, -27, -50, -15, -18, -24, 2, 50, -41, 37, -5, 26, -46, 65, -27, 37, -15, -39, 13, 19, 0, -46, 36, 36, 23, -5, 0, -25, 33, 56, -45, -46, 33, -40, -39, 47, -26, -28, 21, 45, 43, -20, 55, 38, -3, 22, -4, 35, 22, -66, -17, -18, 39, -49, 54, 0, -17, 5, 57, -42, 43, -57, -18, -21, 30, 52, 13, -20, 22, -10, -31, -44, -16, 23, 45, 47, -21, -1, -26, 67, -30, 18, 66, 4, 11, 4, 18, 13, 3, 32, 29, -50, 8, 60, -40, -47, 40, -66, -29, 16, 0, 46, -20, -23, -77, -66, 28, -9, -36, 42, 45, 25, -52, -38, 26, -25, 28, -25, -29, -30, 10, 16, -60, -16, 26, 4, 47, 42, -16, 41, 35, -8, 58, -36, 19, 14, -32, -20, 63, 29, 12, -18, -10, 18, -56, -50, 61, 54, -13, -29, -4, -4, 19, -1, -8, -7, -14, -7, -1, 30, -41, 14, 36, 13, -49, -56, -61, -20, 4, 38, -27, -1, 5, 18, 59, -2, 27, 35, -15, 22, 26, -5, -33, -43, 34, 22, -3, -50, -36, 36, 33, -30, 22, 30, 28, -18, 71, -61, 8, 4, -13, -12, -15, 5, 6, -45, 8, 58, 21, 1, 37, 29, 43, 54, 25, 59, 0, -48, 30, -15, 8, -58, -36, -45, 43, -42, 66, -14, 13, 28, 1, 55, 43, -26, 45, -34, 4, 33, 53, 51, 34, -42, 43, -48, -53, 12, 1, -17, 18, -34, 60, -30, 10, -2, -34, -40, -60, 15, 23, -19, -6, -21, 41, 32, -52, -70, -10, 27, -38, 14, 11, -43, 48, 13, 44, -64, -31, -31, 32, -16, -31, -14, -2, 36, 7, -12, -20, -4, -48, -4, -18, -50, 16, -32, -50, -21, -20, -32, 17, -33, 27, -31, 16, -51, 10, 18, 0, -31, -18, 25, 30, 23, 48, 55, -56, -10, -49, -26, -20, 13, -15, 46, 3, -20, 59, 1, 2, 52, -58, -42, -22, -49, 59, -14, 39, -57, 4, 24, 7, -41, 24, -48, 40, 33, 29, -40, 52, -45, 21, -63, -15, 13, 44, 1, 2, 64, 51, -40, 36, -18, 19, -37, -10, -35, 20, -20, 35, 43, 42, 46, -36, 28, 7, -20, -51, -43, -31, 57, -61, 50, -42, 3, 67, 12, -25, -27, -8, -28, 28, -8, -39, -8, -46, -3, 33, 13, -61, 12, 67, 48, -9, 19, -32, -6, -26, 53, 22, -37, -17, -40, 30, 23, -11, 32, 14, 3, -57, -31, -14, 32, 28, 8, 56, -39, 38, -46, -41, 40, 1, -17, -42, -6, 36, -54, 40, 27, -28, -54, -38, 59, -48, 14, 60, -49, -16, 31, 6, 12, 6, -31, -21, -1, -25, -45, 10, -3, -22, -44, -3, 55, 57, -14, 35, 30, 41, -47, -21, -12, -16, -55, 23, 50, -37, 44, -43, -30, -52, -20, 25, -17, 30, -37, 39, -52, -45, -30, 59, 7, -24, 40, -42, -3, -8, 49, -60, -19, -24, -43, -28, -68, 18, -68, -67, -16, 18, 19, -29, 30, -61, 29, -39, 24, -17, 12, -17, -51, -1, 8, 57, 45, -12, 24, 58, 51, 40, 48, 39, -76, 19, 15, -45, -48, -57, -30, 35, -57, 29, -21, -32, -17, -2, -58, 7, -16, 34, 5, -23, -25, -47, -40, -70, -30, -6, -4, 30, -43, -28, -28, -22, 1, 68, -36, 37, -3, -56, -20, 21, 27, 9, -29, -18, 21, -38, -12, -72, 37, 49, -16, 3, -32, 20, 38, -46, 44, -57, 42, -14, -8, 25, 61, 27, -3, -20, -37, -11, 4, 48, 15, -15, -18, -45, -21, -19, 6, -3, -40, 2, -24, 70, 36, 36, 24, 18, 21, -15, -9, 37, 56, 17, -14, 46, 3, 21, 57, -36, -60, 2, 16, 8, 66, 15, 55, -17, -63, 7, 66, 28, -12, -8, 3, 20, -23, 52, -15, 51, 57, -54, -48, -14, -52, 12, -30, 1, -48, 38, -4, 17, -18, -39, -57, -3, -27, 21, -55, 38, -15, -53, -31, 54, -24, -8, -18, 51, -55, 24, 17, 32, -13, -59, 53, 62, 17, 5, 19, 32, 16, -25, 15, 23, 41, 64, -28, 26, 59, 48, -57, 68, 62, -19, -48, -49, 40, 43, 24, -19, 56, -36, 6, -31, -57, 27, 37, 56, -16, -59, 4, 63, 44, -39, 69, 61, 33, 30, 44, 43, 30, 26, -35, 56, 19, 22, 13, 3, -53, -59, -43, 28, 7, 3, -20, 24, 4, -36, 36, -35, -56, -5, -16, 56, -35, 73, 40, 43, -48, 17, 23, -37, 49, -52, 26, -62, -41, 27, 33, 20, -16, -50, -3, 16, -17, 33, 3, 10, 35, 42, -13, -18, 9, 15, 10, 46, 50, -13, -19, -44, 63, 50, -42, 29, 61, -58, 9, 7, 14, -33, -1, 18, 41, 19, 34, 2, 66, 15, 55, 27, -3, -30, 68, -57, 37, -46, 32, 19, -9, -25, -33, -59, 1, 44, -53, 47, 40, -56, -55, -18, -48, 36, 44, -38, -44, -34, 54, -38, -29, 6, 14, -36, -17, 35, 7, 7, 41, 54, 21, -9, -19, -25, 37, -5, 25, 52, -31, -30, -57, 66, -45, -53, 16, -7, -24, 17, -2, 24, 6, 17, 22, -6, -37, -29, 9, 4, -36, 6, -40, -19, 2, 22, 42, -19, 15, -19, 50, 66, 42, 11, -28, -24, 49, -48, -54, 56, 31, -36, 3, 42, 2, -42, 54, -41, -4, 54, 0, 7, -53, -32, 55, 53, 28, 49, 21, 25, -37, 56, 25, -13, -30, 3, 26, -27, 40, 50, -32, 50, -4, 4, 29, -42, -47, -18, 40, -36, 61, 19, 41, -44, 40, 25, 60, 34, 7, 42, 25, -47, 38, -1, 50, -10, 21, -21, 12, 51, 35, -9, -49, -56, -24, -12, 3, 12, 32, 52, 25, -4, 9, 21, -40, -53, 50, 24, -3, 34, -19, -30, 56, 35, 48, 24, 23, -66, 21, -11, 15, 74, 34, 35, 34, -60, 31, 24, 33, -17, -10, -39, 11, 50, 11, 63, 11, 26, -56, 34, -10, -19, -57, -25, 37, 48, 56, 14, -24, 12, -34, 1, 17, 43, -22, 10, -43, 34, 31, 25, 59, 11, -7, 28, -36, -18, -32, -32, -9, -38, 43, -37, 17, 33, -50, 29, 12, -43, -26, 88, -40, -1, -32, 64, -32, 69, -48, 40, 73, -5, 49, 10, 14, 40, 4, -26, -40, -3, -19, 36, 55, -27, -12, 53, 2, 8, 18, 9, 52, -44, 13, -60, -12, 5, -32, -31, -19, -36, 47, 51, 23, 48, 23, 2, 25, 9, 48, -23, -50, 17, 51, -51, 2, -37, 23, 57, -29, 34, 3, 52, -62, 6, 16, -43, 41, 41, -53, 29, -48, -38, -57, -62, 7, 3, -17, 8, 39, 49, -21, 30, 38, -75, 52, 36, -46, -15, -49, 19, -5, -34, -26, -23, 31, 70, 40, -44, -11, 39, -47, -58, 30, 41, -55, 33, 11, -38, 51, -17, 56, 0, 4, -16, -30, -37, 40, 41, -36, 51, 8, -31, -18, -13, 65, -15, 23, -44, -52, -7, -22, 38, 25, 62, -9, 52, -26, -34, -36, 2, 40, 18, 6, -54, -7, -23, -21, 5, 58, 40, 70, 9, 1, 33, -29, -20, 53, 0, 19, -6, -31, 13, -40, 9, -13, -64, 16, -6, -56, 35, 53, 24, 43, -4, 43, 32, -32, 22, -39, 45, 46, 51, 39, 50, 13, 20, -1, 19, -45, 0, -21, 10, 44, -21, 2, 3, -19, 36, 38, 69, -25, -14, -5, -4, -16, -72, 55, -41, 62, 36, 6, 4, 30, -42, -27, -9, -36, -11, 36, 32, -16, 6, -31, 41, 15, 10, 42, 25, -7, 53, 12, 40, 45, -47, 40, -49, 26, -19, -37, -47, -20, -30, 17, 13, 68, 26, 44, 2, 50, 9, 21, -4, 26, -60, -39, -20, -7, 20, 6, 57, -43, 5, -21, 53, 12, -51, -2, 4, 27, -28, 15, -51, -5, -93, 23, -46, -22, 29, -61, -3, 52, -28, -60, 46, -55, -10, -32, 55, 75, 25, 47, -15, -21, 34, -29, 40, -32, 36, -29, 37, -45, 42, -44, -4, 57, -30, 70, -30, 22, 37, -20, -35, 1, -21, 22, -17, -49, 22, -18, 11, 23, 47, -50, -52, 40, -41, 37, -24, -26, -23, -27, 13, -46, -59, -12, -56, -11, 1, 41, 17, -11, -60, -35, 7, -4, 19, 48, 52, 8, 26, -25, 63, -12, 10, -48, 15, 65, 8, 33, 4, 15, -6, -37, -43, 19, -23, 12, 38, -18, -22, -22, -32, 33, 3, 35, 32, 44, -44, -52, -26, -18, -35, -84, -30, -37, 19, -18, 38, -56, -20, 24, 37, 27, 57, -25, 42, -61, -41, 46, 26, -44, 34, -58, -4, 61, 8, 10, 1, 33, 73, -56, 58, 30, 20, -34, 39, 19, -26, -48, -55, -59, 9, -11, -59, -54, 38, -33, -3, 58, -45, 27, -2, -23, -5, 64, -23, -65, -22, -9, 28, 23, -2, 6, 53, -25, 23, 27, 22, -49, -53, 61, -11, 9, -48, 7, 37, 29, 14, 46, -23, 0, 19, -68, 19, -51, 15, 25, 52, 38, 48, 48, -51, -29, 25, 26, 53, 43, -7, -39, -7, 52, -11, 43, 29, 32, -8, -4, 50, 39, 4, -31, -43, 27, 9, 49, -26, 6, 57, -42, 40, 63, 32, -19, 42, -24, 17, 47, -68, -7, 43, -31, 49, 15, 38, 38, 9, 7, 18, 36, -26, 40, 3, 18, -11, 11, 32, 41, 55, 18, 23, 16, -25, -44, -12, -48, -48, 23, -10, -40, 38, 45, 54, 28, -80, 6, 41, -22, -3, -20, 34, -30, -50, 59, 1, 18, 40, 55, -4, -46, 38, 32, 23, 52, -19, -34, -13, -50, 38, -28, 40, 23, 29, 27, 0, 35, 30, 30, 57, 9, 38, 29, -47, 14, 14, -30, -42, 17, 70, 39, -36, 60, -46, -12, -28, -51, -14, -20, 45, -26, 10, -24, 48, -20, 25, 44, 29, 54, 6, -27, -16, 58, -52, -39, -35, 44, -17, 19, 52, 13, 44, -43, 9, -17, 46, -55, -52, -37, 61, -47, 22, -45, -48, -29, -58, 39, 41, -26, 58, -31, 45, -46, -24, -51, 20, -53, 15, -39, 30, -46, -20, 48, 38, 0, -24, -37, -39, 27, -19, -50, -44, -36, 52, -5, 4, -29, 62, 49, -29, -25, 51, 57, -56, 24, 31, -44, 24, -40, -50, 36, 54, 0, 10, -33, -53, 12, -57, -16, 33, -28, -55, 26, 60, 22, 10, -58, 9, 1, 40, 13, 5, -15, -27, -25, -10, 10, 42, 28, -15, -38, 51, 6, -22, -21, -37, 2, -35, 46, 9, -9, -52, 59, 55, -44, 54, -52, 38, -60, -37, -31, -5, 47, 6, 7, -59, -52, -11, 40, -46, 43, -48, -32, -59, 56, 46, -29, 8, -17, -20, 4, -5, 26, -29, -8, -50, -21, 48, 30, 47, 32, 57, -54, -25, 29, 42, 16, -7, 42, 58, -13, 31, -34, -51, -59, -19, 54, 29, 32, 25, 17, 47, 14, 16, 16, -28, 12, 25, -55, -3, 17, -27, -27, 30, -53, -8, 12, 34, -63, -44, 32, -5, -19, -3, 24, 0, 48, 55, 9, 37, -1, 57, 58, 2, 53, -11, -5, 33, 44, 0, -57, 27, 39, 32, 38, 25, 6, -27, 15, 3, 7, -14, -51, 15, -12, 7, -18, -16, 15, 54, 55, 36, -42, -53, -23, -30, -7, 15, -61, -57, -10, -28, 24, 43, -24, 27, 55, -43, -52, -53, -37, -32, 29, 27, -28, 49, -35, 36, 49, 25, 36, 18, -29, 28, 0, -31, -28, 28, 19, -10, -44, 31, -8, 48, -30, -33, 6, -38, -26, -2, 22, 57, 44, -35, 5, 3, -42, 35, -4, -44, 20, -38, 2, -47, 43, 47, 0, 23, -36, 13, -54, -34, -25, -46, 55, 19, 59, 8, -59, -11, 57, 22, -21, 55, 12, 2, 58, -45, -48, 17, 32, -54, -11, 50, -28, 60, -23, 67, 47, 58, 49, 42, 16, -54, 0, -61, -53, -11, 29, -55, -7, 42, 18, -52, 44, 65, -50, -38, 49, -49, -56, -13, -47, -42, -19, -53, 21, 1, -40, -29, 4, -55, 11, 12, 33, 36, 45, 19, -58, -47, -21, 41, -28, -59, 60, 42, -50, 40, -43, 40, 15, -18, 31, 31, 8, -25, 13, -15, 34, 46, 39, -41, 21, 20, 58, 0, 26, -9, 19, -60, -39, -3, -35, 41, 58, -20, -24, 56, 27, 16, 41, 53, 15, -46, -38, 44, -4, 20, -33, 4, 49, -55, -50, 14, -10, 0, 37, -50, 38, -56, -39, 56, 14, 0, 60, 42, -27, -13, 40, 55, -12, 51, -18, 6, 56, 46, -42, -19, 42, -13, 42, -13, 24, 33, -54, -40, 48, -46, -23, 5, -9, 68, -40, 38, -57, -40, 25, 21, -23, -26, 6, 66, 45, -26, -19, 37, -41, 21, 48, -26, 19, 8, 60, -6, -19, 52, -20, -32, -7, 10, 39, 64, 22, -27, 59, -19, -21, 32, -6, -20, -60, -44, -51, 34, -55, 27, -17, 7, 47, -32, -19, 59, 10, -4, 7, -30, -21, 15, -8, -2, 53, 53, -46, 45, 1, 45, -42, -56, -61, -39, -41, 44, -2, -14, -27, -17, -25, -33, 19, 37, -23, 42, -33, 21, -56, 37, 9, 16, 36, -51, -32, -25, -42, 49, -50, 15, 7, 37, -51, -19, -7, -47, -60, -47, 14, -55, 18, 18, 1, 51, 49, 22, -20, -45, -49, 40, -34, 19, -57, 52, -36, -54, -22, -36, -30, 46, -14, 7, -40, -7, -9, -32, -49, 44, 38, 70, 49, 48, 49, 19, 45, 23, -39, 34, 38, 31, -13, 30, -1, 14, -20, -58, -57, 58, 28, -45, -14, -59, -56, -25, -57, -20, -17, 7, 56, 36, 19, -49, 42, 23, 38, -57, 39, -46, -34, -35, -25, 15, -45, -17, 57, -25, -10, 25, 13, -5, -16, 60, 60, 27, 50, 43, -13, 60, 49, -27, 44, -1, 53, -21, 21, -19, 11, 16, -45, 45, -21, 28, 13, -41, 18, -7, 32, -25, -6, 42, -1, -13, -10, -44, 30, -24, 53, -13, -32, 61, -55, -55, 45, 30, -64, 0, 10, 24, 39, 56, -53, 20, -10, 6, -20, -5, 8, -46, -9, -40, 10, 59, 58, 12, 61, 19, 23, -23, -60, -38, 0, 20, 47, 21, 43, -1, 61, 54, -17, 34, -15, 50, -56, -7, 59, 9, 32, 3, 6, 7, -53, -28, -6, 11, 12, 35, 18, 58, 19, -27, 24, -52, 45, 6, -10, -58, -39, 53, -54, 36, 62, -21, 27, 16, 4, 49, 14, 1, -33, -67, -43, 40, 27, 61, 3, -24, -39, 15, 3, 47, -60, 36, 60, 59, -44, 5, 44, -2, 52, 61, 42, 31, 33, -5, -54, -62, -26, 2, 8, 60, 60, 15, -47, -38, 60, -19, 45, 14, -37, -39, 59, -9, 5, 43, 38, -40, -44, 33, -40, -48, -19, -25, -62, 33, 2, -38, 35, 49, 48, 55, -39, 0, -31, 15, 50, -1, 37, -14, -26, 24, 36, -46, -40, 63, -20, 38, -43, -26, 10, -61, 55, 55, 17, -20, 10, 1, -10, 47, 4, -32, -38, -10, -27, -30, 55, 21, -33, 61, 23, -15, 9, 54, -13, 12, -60, -21, 12, -44, 22, 19, 11, -21, -25, 47, -1, -31, 17, -29, 45, 24, 23, 57, 47, 56, -49, -18, 60, -36, -53, -62, -53, -21, -46, -54, 10, -40, 4, 10, 1, -38, -2, -54, -14, -38, 26, 54, -42, -25, 36, -38, -26, -59, -21, -43, -13, -57, 54, -50, 39, -30, -1, -15, 8, -49, 17, -19, -10, 59, 1, 27, 12, 44, 32, -24, -49, 14, 30, -12, 23, -58, 13, 22, -5, 12, 23, -54, 42, -17, 51, 5, -42, -2, -3, -52, 44, -30, 40, -18, -16, 42, -31, 47, -2, 38, -15, 45, 3, -46, 32, -45, -59, -3, -59, -4, 51, -5, -33, 36, 14, 35, -58, -47, -48, -48, -14, 47, 54, 59, -31, -3, -6, -9, -14, 37, 8, 40, 7, -11, 18, -49, 35, 30, 37, -36, -10, -1, -26, 55, 36, 7, -61, -23, -32, -29, -55, -38, -27, -4, 41, 5, -8, -16, -47, 55, -46, 53, 26, -34, 33, -50, -23, 64, -58, 34, 15, 19, 0, -17, -9, 42, -1, 55, -42, -23, -16, -4, -18, -26, 55, 28, -21, 0, 18, 43, -62, -61, -49, 9, 18, 41, 50, 32, -17, -60, 57, 15, -28, 12, 40, 9, 3, 29, 27, -38, 49, 44, 50, 53, -5, -48, -39, -41, -51, -15, 34, -41, -21, -6, -40, -48, -9, -33, 22, -33, -28, -31, 29, 58, 51, 54, 23, -35, 11, -3, -28, 55, -5, -23, 11, 33, 38, 24, 12, 35, 50, -20, 27, 2, -24, 5, -44, -31, 32, -2, -44, -50, -26, 32, 59, 20, 17, -58, -36, -61, -19, 45, -52, 23, 24, 42, 60, 24, -8, -28, -11, -52, -47, -35, -30, 58, 1, -10, -47, 41, -18, 11, -63, -13, -16, 56, 47, -52, 49, -49, -49, 44, 3, -30, 35, -7, -8, -59, 60, 46, -29, 50, 3, -59, 52, 61, 44, -22, 21, -25, -61, -17, -55, 2, -44, -9, 13, -32, 34, -1, 57, -3, -22, 60, -51, 21, 44, 3, 56, -19, 55, -14, 11, 21, 24, -26, -30, -28, 3, -39, -45, 15, 8, -4, -50, -41, -10, -3, 20, 34, -11, -57, 27, 16, 26, -50, 18, 53, 1, 43, -52, 33, -29, -26, -25, -39, 24, -58, -21, -15, -60, -35, -32, -47, -8, 13, 26, 49, -30, -29, -19, -18, 49, 45, -6, 22, -58, -42, 3, 10, -56, 24, -19, -31, -1, 49, -3, 60, 1, 6, 37, 16, 36, -35, -27, -6, 37, -58, -28, 57, -47, 39, 25, -42, -1, 33, -63, -33, -46, -29, 4, -60, 15, 51, 12, 57, 60, 15, -59, -54, 40, 74, -62, 19, -55, -65, 19, 12, 11, -49, 34, 19, -32, 53, 22, -32, 60, -44, 32, 37, -14, 61, 19, -7, -38, -66, -12, -65, 10, -59, 24, -36, -17, -9, 19, 22, 10, -4, -7, 5, 13, -56, 60, -58, -3, 1, 37, 60, -1, -33, 9, -37, 35, 6, -19, -20, 21, 30, -15, 46, 36, 46, 32, 28, -40, -48, 52, -60, 50, 23, 7, 35, -26, -17, -27, -32, 46, 10, -27, -44, 26, -27, 58, 4, 38, 16, 0, -12, -23, -45, -52, 47, 41, -14, 6, -50, 3, 40, 13, 61, -30, -35, 53, -28, -46, 48, 4, -56, -35, -25, -49, -52, -13, 1, -16, 39, -21, 57, 47, -3, -57, 6, -31, 57, -3, -51, -43, -18, -36, -26, 6, -20, -9, -30, 58, 58, -51, -26, -38, 16, -45, 17, 50, 42, 12, -26, -58, -33, 35, 18, 42, 29, -23, -20, 49, -27, -8, -14, 46, -8, -33, -19, 57, -28, -41, 19, -56, -1, 54, 48, -45, 22, 13, -5, -41, -54, 27, -4, -24, 40, -55, -31, -54, -12, 49, 21, -54, 58, 46, 47, -66, 60, 45, 24, 52, -30, -56, -46, -52, -56, -19, 6, 16, 27, 47, 54, -48, -5, -61, -11, -29, -26, -51, -11, 36, 2, 31, -50, -23, -3, 51, 45, -5, 1, -45, -52, -52, 12, -14, 13, 61, 60, 29, -48, -64, 7, 39, -59, -23, 17, 5, 7, -26, -51, 51, 61, -9, 49, -11, -8, -53, 46, -27, 51, 32, -56, 56, -53, -54, -6, 7, -12, 39, 2, -9, 35, 13, 4, -59, 6, -20, 55, 51, 33, 49, -68, 25, 18, 60, -39, -49, -9, -43, 15, -15, -1, -37, -42, -49, -63, 58, -27, 50, 24, 12, 36, 11, 41, 56, 43, 9, 19, -29, -42, -59, -37, -36, -10, -36, 20, 23, 4, 2, 54, -24, 22, 9, 59, -11, 55, 18, -18, -51, 34, -2, 62, -37, 46, 51, 47, 12, 10, 52, -40, -22, 27, 3, 32, 29, 21, 41, 4, 11, -14, 29, -30, -1, 55, -41, 10, 21, 25, 42, -56, -36, 11, -52, 23, -36, -38, -3, -34, 23, 30, 59, 12, 32, 37, -54, -23, 1, -13, -26, -38, 43, -20, -39, -24, 58, -51, -49, -41, -18, -54, -2, 21, -13, 24, -55, -3, -59, 50, -54, 43, -46, -23, -53, -5, 0, 5, 5, -21, 33, 23, -16, -54, 25, -47, 60, 24, 26, 7, 27, -5, 7, 24, 25, 12, -40, -17, 3, 48, -38, 47, -58, 44, 17, -7, -9, 40, 43, -6, -49, 1, -45, 15, 41, 0, 37, -58, 20, -42, 35, 24, -31, -22, -50, -65, -49, -29, -15, -40, 33, 0, 30, 14, 21, -54, -40, 53, 24, 14, 3, -29, -3, -60, -36, -57, -25, 0, -35, 51, -37, 13, -42, 17, -40, 55, 16, 12, 48, 38, -49, 21, -37, 7, 43, 59, -35, 49, -9, 61, -20, 21, -39, -19, -50, 14, 3, 44, 12, 4, 45, 6, 48, -57, -15, -59, -22, -8, -8, 6, -48, -35, 30, 7, 34, 29, 38, -32, -17, -55, 51, 18, -33, -12, 6, 3, -13, -48, 9, 0, 47, 4, 55, -17, -24, 35, 3, -41, -12, 32, 7, 14, 38, 58, 27, 55, 5, -41, -27, -4, 12, 28, -33, -35, 44, -56, 27, -4, 7, -40, 7, 10, -2, -58, 28, 35, -45, -42, 30, -3, -33, -2, -5, 56, 52, 56, -15, 39, -51, 6, 21, -44, -53, 20, 33, -68, -57, -15, -57, 13, 2, -51, -38, 6, -30, -17, 44, -69, -40, 1, -34, 35, -54, -21, 49, 18, 15, -2, -21, -43, 52, -10, -16, 23, 30, 28, -1, -40, 47, -57, -43, 19, 8, -41, 45, -35, -59, 47, 10, 6, -55, 25, -21, -21, -48, 29, 25, 53, 39, 53, -24, 50, 3, 6, 13, 10, 4, 38, 8, 35, -15, 32, 28, 5, 4, 42, -6, 31, -32, 34, 56, -47, -1, -60, -53, -17, 46, -32, 38, 7, 29, -37, 28, -1, -4, 51, -9, -37, -24, -40, -27, 32, -42, 10, 0, -62, -26, -21, -38, -20, 34, 12, -55, -41, 4, 26, -55, -57, 44, -14, 35, -53, 21, -16, -31, 61, 52, -11, 11, -32, 47, -33, 31, 55, 41, -55, -3, 26, 36, 39, -49, -47, 1, -35, -59, 12, -48, 52, -25, -8, -49, 43, -11, -41, -40, -4, 34, 52, 41, 11, -45, -26, 19, 24, 40, 45, -21, 17, 45, -1, 61, 48, 5, 25, 40, 10, 9, 59, 20, -13, 8, 50, 18, -1, 29, 2, 43, -26, 25, -32, -42, -56, -38, 31, 38, -9, -41, -26, -60, -32, -31, -54, -9, -50, 33, 41, 19, -48, -23, -26, 18, -38, -30, -51, 59, -30, -26, -24, 20, 11, -3, 53, 15, 3, -10, -32, 27, 10, 35, 16, 41, 45, -28, -22, -3, 54, -25, 14, -32, 36, -34, 45, -62, 45, 19, -12, -33, -36, 4, -24, -40, -23, -35, -9, -27, 29, 4, 20, -5, -19, 3, 6, -58, 46, -43, 28, -39, -2, 29, 20, -24, -48, -4, -40, 51, -7, -45, 25, -40, 25, 41, -36, -45, 58, 4, 33, 18, 36, 31, 54, 48, -64, 61, -43, -22, 5, 3, -2, -32, 59, -37, -25, -36, 59, 39, 53, 15, -40, -39, -24, -22, -41, -57, -14, -52, -32, -60, 26, 9, -55, -8, 32, -35, -53, 37, 40, 10, 44, -39, 61, -7, -2, -49, -59, -29, 30, -61, 10, 20, 31, -43, 56, -11, 43, 5, 7, -1, -55, 38, -6, 24, 4, -7, 4, 53, -53, -63, 11, 20, -1, -40, 37, 44, 22, -21, 46, -51, -47, -56, -45, 39, -38, -41, 42, -13, 26, -19, -17, -59, 24, 0, -23, 5, 59, -61, 44, -27, 45, -59, -36, -61, -48, 51, 55, -4, -40, -17, -51, 61, 38, 60, -59, 59, 19, -42, 28, 56, -55, -37, -9, -38, -58, -55, 11, 63, -29, -17, 0, 4, 6, 43, 3, -47, 1, -52, -60, 11, -7, -61, -12, 15, -48, 59, 37, 49, -29, 57, -48, -45, 58, 22, 14, 22, 5, 68, -74, -15, -12, -12, -4, 5, 10, -48, 6, 10, -30, -55, 59, 18, -44, 28, -60, 44, 44, -59, 21, -17, 47, -26, 69, 29, -36, 14, -47, 49, -6, 41, 46, 23, 1, 24, 33, -61, 9, 41, 5, -14, -9, 7, -39, -36, -64, 14, 41, -16, -2, 34, 28, -61, -24, -13, 30, -50, 35, 39, 44, 55, 45, 49, 57, 43, -20, -20, -27, -39, 27, -39, -7, -49, 9, 42, -52, -35, 61, -61, 42, 54, 24, -1, -32, 53, 57, 41, -10, 48, 63, -41, -26, 9, 52, 12, 28, -1, -23, 33, 36, -11, 45, 13, -14, -58, 47, -21, -29, -52, 26, 71, -35, 31, -27, -16, -29, -1, -33, 41, -49, -2, 24, -17, 12, -22, 18, 58, 33, -28, -70, 8, 47, -1, 47, 5, 2, -24, 13, 36, -44, 10, -45, -36, -31, 35, -56, -28, -51, 67, -26, -46, 4, -18, -63, 50, 25, 16, -35, 36, -22, -28, -42, -18, -24, -18, -48, -43, -3, 47, 6, 11, -22, -34, 5, 21, -47, -27, -22, 45, -61, -21, -43, 45, -60, -22, -58, -28, -16, 17, 60, 33, -29, -40, -29, 65, -52, -36, -50, 22, 40, -35, -37, 13, -22, 26, 19, 15, -59, -41, 20, -12, -54, -9, 45, -39, -18, 51, -24, 33, -47, 28, -12, 4, -16, 39, -54, -46, 27, 7, -38, 56, -17, -16, -36, 8, -17, 30, 31, -60, -60, -34, -62, 38, -25, 70, -37, 54, 57, -24, 17, 4, 35, 11, -56, -15, -21, 2, -37, -24, 15, -27, 9, -16, 40, -10, 55, -60, -47, 4, 29, -47, 14, 70, 51, 0, -43, 53, 1, -26, 49, 10, -52, -36, -22, 54, -60, -4, -39, 24, -50, 49, -39, -35, -7, 26, -58, 33, -19, -62, 11, 44, -37, -25, -23, -18, -45, 37, -16, -56, 8, 46, -35, 32, 36, -34, -27, -41, 11, -60, -44, -12, -35, -38, -59, 31, -64, 51, -58, -45, 68, -63, 19, 18, -52, 57, -24, -26, 43, -1, 53, -24, -31, -36, 6, 60, -37, -49, -57, -32, 22, 26, -37, -33, 31, -14, 47, 2, 41, 50, -35, 6, -45, 5, 34, 18, 37, 56, 51, -33, 42, -6, -35, -49, 30, 3, -43, 52, -49, 30, -37, -54, 57, 53, 59, -19, -52, 6, -49, 43, -14, -47, -1, -26, -22, 16, 63, -26, 15, 34, -38, -3, -1, 50, -26, 26, 18, -42, 44, -49, 29, -40, 14, 28, -51, -34, 59, 9, 26, -25, 44, 20, -13, -4, 40, 40, -15, -49, -48, 65, 46, 34, 24, 48, 5, -63, -28, -33, 9, 19, 37, -58, 46, -60, -2, -19, 1, 6, 20, -37, -27, -22, 41, -31, -8, 41, 32, -46, 16, 18, 18, 20, 42, 45, -36, -31, 10, 8, 74, -21, 41, -28, -20, -19, 47, 18, 1, -31, -25, -36, -50, 39, 23, 2, -4, -10, 21, 7, 52, -24, 14, -30, 52, 31, 51, -54, 45, -4, 42, 49, 42, 57, -40, 30, -33, -29, 47, 5, -40, -36, 74, 28, 12, -15, -7, 15, -13, 0, 65, -18, -13, 41, 50, -6, -42, -35, -20, 27, 28, 63, -16, 16, -57, 29, 6, 12, 8, 44, -52, 46, 32, 36, -3, -24, -26, -22, 33, 28, -52, 29, -40, -21, 39, 59, 52, -3, -36, 4, 54, -29, -40, 39, 52, 72, 15, -8, -11, -33, -20, 25, 3, -32, -23, 33, 42, -33, 42, 35, 24, -31, 10, 46, -17, -46, 30, -50, 11, 29, 12, -14, -12, -56, -51, 8, -27, 37, -26, -26, -50, 37, 40, 27, 26, -58, -28, 5, 24, -4, -24, 27, 19, -5, -4, -20, 28, -56, -4, -33, 59, 8, 32, -25, 54, -11, 60, -53, -57, 51, 57, 47, 8, -56, 50, 7, -68, 26, -43, -21, 43, 16, 13, -20, 13, -31, -29, -57, -36, -31, -41, -2, -15, 10, -27, -43, 52, 16, 40, -42, 0, 4, -28, 37, -57, -36, 11, 53, 53, 51, 9, -1, -34, -23, -59, -48, 14, -30, 18, 51, -54, -57, -2, -28, 37, 22, 27, -46, -33, 8, 7, -14, -54, 18, -49, 31, 37, 41, 3, -14, -16, 11, -45, -54, -22, -43, 37, 15, 12, -42, -36, -28, -31, -59, -54, 50, -9, 40, -19, -43, 39, -15, 36, -25, 42, 49, 10, -49, -6, -12, -16, 37, -3, -14, 34, 27, -12, -58, 34, 38, 16, 39, -5, -32, -22, 41, -30, 35, -28, 21, 4, 48, 23, 30, -15, 54, 39, -32, -39, 6, -57, 22, 24, -61, 0, 14, -29, -29, 25, 44, -52, -14, 1, -52, 16, 40, 60, -8, -23, 20, 34, 12, -15, -37, -5, -45, -43, -50, 1, 5, 44, -31, 21, 41, -10, 13, -24, 43, 29, 51, -7, 37, 20, -16, -48, 0, -27, 10, 35, -20, 3, -40, 30, -63, -56, 4, -1, 12, 41, -36, 17, -45, -15, 8, 24, -58, -1, -26, -12, 45, 51, -29, 39, -6, 48, 41, -12, 53, -5, -39, 47, -22, -52, -49, 34, -42, -61, -29, 56, 50, -54, 45, 53, 10, 48, 50, 17, -41, 8, -48, -3, 34, -7, 60, -33, -34, -42, 56, 46, -49, -22, -58, 2, -6, 26, -63, -11, 4, -40, 11, -29, -5, -49, -25, 57, 30, -12, 29, -15, -3, 41, 45, -48, 40, -52, -24, -7, -41, 52, 35, 22, -42, 49, -59, 25, -10, -25, -3, 49, -1, -7, 54, -52, -51, 11, -40, 60, -50, -53, 43, 24, 41, -47, -22, 14, 31, 45, -47, 50, -33, -39, -45, 53, -5, 13, -57, 41, 55, -22, -54, -6, 54, 53, 33, -5, -50, 11, -9, -6, -44, 39, 2, 39, -14, 15, -30, -52, 6, 26, 39, -52, 49, 67, -55, -25, -41, 20, -14, 50, 55, 31, -11, 46, -11, 55, 4, 31, 21, -1, -17, 40, 4, -28, -21, -19, 20, 51, -27, -54, -46, -16, -34, -41, -27, -21, -34, 44, -43, -47, -50, 32, 16, 64, -3, -39, -45, 15, 31, 13, 58, 12, 24, 48, 23, 4, -29, -56, 16, -21, 8, -10, -4, 40, -31, 22, 34, -25, 46, 13, -23, 39, 55, -15, 51, -11, -40, 19, -18, 14, -7, -6, 51, -42, -34, -18, -23, 60, -31, 56, 56, 22, 7, 29, -15, 24, -60, -2, -47, 18, -36, -30, 10, 22, -5, -58, -58, 27, 43, -5, 9, 23, -20, 35, 43, -41, -47, 8, 42, 45, 29, -17, 6, 49, 59, -24, -51, 13, 21, 16, -22, -31, 23, -15, 16, 18, 7, -21, -25, 56, 48, 26, 23, 1, -73, -60, 53, -52, 37, 59, -41, -16, 34, 14, -41, 50, -6, -25, -10, -34, 49, -59, 37, 32, -61, -32, 40, 7, 46, 31, 43, 31, 38, -61, -25, -52, 42, -7, 30, 23, 31, -24, 7, -58, 53, -49, -46, -39, -23, 9, -42, 42, -58, 66, -62, -23, 88, 45, -27, 8, -41, 6, -34, -49, 48, 50, -6, -55, 7, 23, 51, 41, -23, -39, 0, -26, -49, -2, -25, 22, 30, 2, -38, 43, -54, 8, -39, 1, -33, 13, -21, -38, 54, 0, 15, 8, -55, 26, 45, -60, -52, -36, 40, -19, -4, -44, 62, 7, -23, -31, 48, -26, 56, 22, 16, 10, 61, -23, 4, 13, 29, 2, 43, -26, 33, -2, -17, -24, 5, -37, 13, -17, 48, 39, 67, 7, -57, -28, 43, 38, -50, -36, 0, 6, -24, -12, 13, 64, -1, -2, 29, -55, 41, 35, -25, 22, 30, 11, -27, 8, -22, -23, -28, 12, 26, 17, 34, 50, -58, -42, 25, 25, 20, -33, -51, -45, 41, 1, -16, 55, 2, -47, 34, 59, -38, -22, 41, -33, 51, -37, 18, -27, 7, -23, 48, -48, -59, 50, -46, -65, -51, 49, 39, -26, -15, 53, 24, -12, -76, -55, 23, 16, -46, -66, 56, 16, 26, 10, -22, -7, -7, 7, -5, -36, -22, 12, -20, -36, -52, -6, -11, -14, -16, 51, 59, -1, 28, -26, 34, -34, 59, 0, -29, -23, -62, 27, -57, -15, -29, -51, -47, -34, 48, -47, 60, 46, -4, 30, 40, -42, -9, 46, -45, 49, 71, 36, 16, -34, -8, 23, 58, -70, 30, -41, 13, -45, -43, -55, 47, 8, 37, 21, 26, 19, 35, -19, -2, 24, -36, -21, -45, 37, -6, -7, 53, -17, 35, -13, -43, 39, -2, -4, 56, -28, 54, -32, -34, 66, -42, 48, 28, 54, -26, -24, -20, -36, -19, 59, -8, -47, 14, 6, -41, 65, 46, -49, -6, -55, 28, 1, 8, -40, 28, 26, 1, -13, -23, -34, -7, -29, 22, -4, 40, 11, -57, -12, 34, -58, 44, 17, 25, 5, -31, 26, -12, -60, -58, 11, -52, -8, -19, -45, -65, 50, 39, 33, -77, -1, 12, -57, -30, 20, 34, 16, -49, 37, -7, 42, -39, -8, -40, -24, -26, 25, -59, -48, 65, 21, 28, -21, -66, -33, 37, -5, 7, 44, 35, 12, -8, 9, -42, -41, -6, -15, 11, 21, -37, 17, 53, -49, -46, 61, -42, 34, 49, 48, 24, -53, -65, -49, 46, 15, 37, 45, 28, -48, 54, 2, 36, -52, -5, 48, -28, -37, -9, -7, 3, -34, -35, -4, -32, -9, -5, -26, 48, 42, 10, -8, -2, -43, -36, 21, 24, 9, 30, -64, -52, 58, -21, -48, 42, -23, 32, -30, -44, 48, -55, -2, -43, 5, 26, -4, 42, -56, -35, 19, 31, 12, 52, -32, -33, 46, 39, 2, -17, -32, 54, 2, -31, 48, 35, 25, -16, -36, 43, 26, 29, -39, 24, 60, -3, -26, -55, 38, 71, -23, -9, 64, 47, -66, 13, -35, 34, -37, -63, 46, 0, 63, 20, 53, 54, -23, -2, -13, 34, 15, -36, 25, 50, 63, 56, -29, 43, 55, -45, -18, -22, 16, -47, -43, -36, 19, -4, 12, 31, -26, 13, 11, -10, -24, 9, 63, 36, 32, -60, 23, -86, 24, 10, -33, 49, 22, -51, 23, -5, -47, -6, 38, 37, -50, -58, -30, -62, 15, 14, -36, -63, -35, -40, 32, 18, -28, 48, 39, -44, 50, -22, -21, 3, -54, -31, -24, 14, -59, -17, 56, -12, -57, 23, -22, -36, -56, -24, 32, 16, -33, -52, 44, 16, -24, -30, 9, -5, 35, 9, 32, -2, -25, -52, -12, -19, 54, -47, -2, -21, -21, -18, 25, 0, 25, 6, 30, -56, -29, 21, -21, 1, -50, 43, 29, 1, 45, -15, -14, 19, -23, 12, -29, -34, 5, -4, 27, -45, -2, 25, 58, -29, 63, 35, 54, -51, -51, -43, 7, 49, -8, 38, 27, -10, 20, -38, -23, 37, 31, 21, -18, -56, -23, 16, -11, 15, -2, 31, 60, -32, 55, -23, 39, -20, 2, -9, 0, 39, -17, 9, -60, -35, -30, 18, 12, -53, 10, 61, 27, -48, -30, 42, -37, -39, 59, 45, 19, 39, -5, 74, 74, 24, -38, -70, 47, 10, 41, 56, 40, 27, -37, 63, -37, 20, 57, -64, 51, -38, 49, -16, 19, 23, 23, 27, 30, -24, 17, 15, -37, 53, -36, 10, -25, 32, 43, -34, 1, 37, -49, 13, -12, 41, 1, -57, 25, -29, -13, 10, 4, 27, -38, -78, 26, 40, 11, -55, 32, 53, 44, -17, -25, 5, 15, 41, 20, -8, -26, 51, -62, -25, -40, -58, 41, 6, 23, -4, 38, 52, 38, 34, 58, 27, -45, 42, -31, -45, -17, 22, 33, -44, -52, -28, -42, -37, -27, -20, -26, -9, -43, -60, 9, 30, -49, -43, -2, -17, -47, -48, -38, -32, 36, 3, -24, 6, 45, 57, 55, -40, -52, -51, -33, -2, -4, 58, 47, 67, -11, -22, -41, -13, 51, 2, 38, 25, -6, 60, 4, -36, 28, 12, 3, 76, -7, 12, 81, 33, 48, 24, -37, 27, -62, 10, 0, -39, -26, 42, -11, 37, 23, 43, -69, 45, -53, -44, -25, 42, 38, -38, -13, 63, 55, -16, -32, -5, 41, 17, -45, 40, -38, -38, 24, -3, 28, -45, -20, 22, 54, 46, 60, -55, -40, 33, -40, 12, 44, -16, -39, -24, 44, 10, 48, 46, 14, 50, 55, -15, -20, -56, -51, -4, 22, -53, 6, 71, 27, 15, -31, -18, -8, -58, 22, 40, 9, -6, -22, 55, -20, -13, -7, 41, 52, -18, 72, 22, 6, 65, 34, 9, 38, -19, 13, 10, 38, 42, 14, -38, 14, -46, 47, 16, -43, -61, -43, 51, -55, 29, -8, 29, -20, -25, -43, -15, 14, 51, -33, -13, 36, 21, 30, -59, -52, -15, -43, 23, -24, -58, -14, -23, 18, 19, -7, -58, 20, 28, 8, 4, 23, 5, 49, 47, 14, 24, 14, 18, 16, -65, -44, -59, -48, -7, -6, -38, 40, 23, -39, 9, 57, 57, -31, -8, -29, 22, 42, 2, -37, 30, -53, -59, -59, -54, 17, 30, 49, 12, 7, 5, -2, -11, 27, -9, -4, 63, 18, 55, -53, 32, -69, -2, -37, -50, 37, -33, -48, -48, -62, -54, -54, 61, 41, 40, 43, 37, -36, 4, 2, 62, 67, 50, -50, -26, 19, 51, 49, -19, 2, -27, -48, -43, 0, 41, -24, 23, 42, 35, 50, 23, 75, 60, -10, -26, -7, 21, -2, 59, 33, -20, -51, 38, 32, -52, -26, 42, -10, 31, -6, -17, 16, 36, 15, -5, -66, -8, -43, 27, 25, -66, -37, -65, -38, 29, -61, 1, -56, -36, 52, -7, -50, -17, -57, 21, 53, 34, -21, -55, -52, -45, -37, 49, -10, -44, -47, 61, -28, -7, 11, -43, 55, 40, -55, 31, 60, 9, 45, 29, 35, -32, -40, 56, -43, -26, 48, 31, 21, 40, -10, -49, -39, 63, 21, -61, 45, -37, -69, -15, -29, 47, 20, 11, 19, -45, -51, 69, -56, 49, 54, 6, -51, -40, 35, 44, 17, 21, -53, 57, -55, -61, 47, -44, 47, 15, 20, -47, 23, -42, 14, 18, -25, -71, 40, 50, -34, 20, 5, 42, 30, -12, -23, -52, -34, 48, -22, -51, 19, 2, -46, 48, -47, -5, -40, 24, -57, 0, 16, 65, 32, 45, -54, 44, 51, 34, 29, 41, -6, -5, -57, 16, 48, -66, 35, 22, -34, 53, -60, -53, 50, 36, 15, 49, -12, 49, 24, -61, 55, 40, -26, 20, 31, -45, 57, 27, -12, -26, -13, -46, 52, 58, 22, 30, 44, -5, 44, 13, -33, -34, 16, 5, 30, -17, 86, -25, 4, 54, -9, -21, 49, -67, 28, 36, 2, 29, -47, -8, -7, -49, 55, -51, -36, -3, 30, 15, -8, 44, -58, -61, -46, 16, -77, 35, 18, 12, 13, 53, 19, -5, 5, 31, 2, -9, -22, 54, 53, -19, -78, -17, -1, -33, -23, -16, 46, 30, -14, -5, 45, -51, 4, 58, -13, 1, -71, 11, -46, -30, 43, 28, 42, 9, 8, 70, -21, -46, -41, 36, -41, -37, 25, -26, 38, -16, 50, 47, -20, 9, 9, 44, 31, -34, -24, 50, 40, 51, 8, 27, -40, -46, 35, -40, -15, 52, 9, -54, -58, -60, -59, 43, -8, 68, -30, -8, -35, -28, -34, 33, 23, 13, 44, -17, -18, 22, -5, 35, 84, -16, 32, 33, -31, 24, -30, -21, -14, -49, -3, -50, 45, -44, -59, 53, 37, 40, 26, -2, -57, 43, 15, -37, -29, -43, 27, -19, 50, 3, 20, 13, 5, 52, -8, -54, 41, 5, 45, 26, -15, -46, -46, -43, 42, 59, -22, 53, -45, 43, 14, 32, -14, 39, -25, -48, 33, -17, -24, -48, 23, -8, 0, 42, 40, 15, 62, 3, 11, 54, 15, -12, -33, 42, -36, -1, 41, 21, 52, 32, -22, 47, -40, -2, 56, -15, 17, -46, -30, 59, 30, -13, 5, -50, -17, 3, 37, -11, -52, -30, 23, -35, 3, -7, -39, -6, -52, 20, -63, 50, -73, -20, 9, 3, -3, 30, 5, 19, 47, 8, 61, -54, 4, 52, 5, -27, 15, 15, 37, 34, 33, -28, -3, 31, 28, -54, 4, -46, -4, 55, 51, -60, 4, 44, 24, 50, -56, -34, 53, -25, -16, 19, 29, 14, -25, -12, -16, -45, 10, -54, 10, 22, -24, 23, 39, 17, -49, 20, -43, 47, 16, -49, 17, -1, -4, -51, -57, 10, -25, 40, 35, -34, 29, -8, -13, -64, 43, 48, 31, 49, -20, -32, -12, 43, -66, -26, -2, 13, 47, 59, -9, 41, -32, 6, 5, 18, 25, -63, 9, -48, -66, 0, 41, 36, 61, -20, 12, 33, -21, -24, -24, 50, 12, -28, 82, -18, -14, 21, 48, 40, -58, -14, -51, 10, -3, 25, -20, 11, 16, -14, -1, 36, 50, 23, -14, 48, -70, -39, -40, -59, 71, -37, -40, 51, -27, 7, 39, 47, -33, -8, 23, 22, 13, -10, 55, 4, 31, -37, 22, 27, -54, -20, -63, -50, -8, 1, 27, -31, -60, -54, -29, -29, -52, 48, -34, 38, 56, -36, 8, -43, 24, -25, 30, -26, 21, 56, 34, -52, 21, 48, -26, -26, -15, -50, 43, 1, 35, -34, 44, 39, -56, 1, 53, 6, 53, 11, -19, -55, -24, -58, 9, -45, -48, 33, -45, -22, 32, 17, 42, -25, 39, 24, 50, 9, -35, -17, -1, 19, -59, -32, 34, 3, 52, 37, -19, 4, -48, -50, 71, 3, 27, 25, 48, -7, 25, -63, 39, 27, -3, 46, -63, -38, -72, -65, -17, -24, 54, 9, 12, -3, 66, 18, -3, 10, 38, 6, -37, 22, 50, 59, -51, -28, -23, 47, 31, -12, 53, -6, 30, -14, -44, -29, -5, -33, 60, -9, 65, 33, -9, 11, 33, -3, -14, -59, -48, 16, 22, 53, -49, -22, -32, -6, -10, -53, -8, -35, -13, -39, 41, 14, 32, 17, 32, -4, 52, 35, -32, 3, 25, -14, -11, 0, 30, -45, 41, -41, -56, 1, 49, 57, 31, 35, 40, 56, -13, -56, -49, 6, 8, -6, 13, -26, -42, 39, -27, -33, 44, 39, 46, -50, -60, 47, -60, -17, 4, 5, 7, 21, 39, 64, -47, 92, -62, -39, 60, -57, 0, 35, 52, 46, 22, 45, -61, -31, 45, -18, 44, 26, 32, 13, -26, -61, 3, -11, 11, 16, 17, -40, -35, -28, 6, 35, 14, -8, -30, 20, -35, -3, -7, 28, 20, -1, 7, 68, 35, -17, 24, -10, -67, -22, -7, -15, -31, -17, -14, 0, -17, -78, 30, -48, 21, -2, -5, -4, -3, 46, -41, 22, 3, 60, 22, 9, 15, 53, -45, 34, -10, 20, -38, -6, -4, -23, 38, -5, 3, 1, -46, -30, -29, -39, -23, 18, 40, -37, 1, -54, 24, 49, -61, 29, -59, -64, 16, -28, 29, 2, -44, 45, -13, 2, -39, 27, -47, -21, 3, -14, -5, 56, -12, 9, 9, 72, -22, 13, -75, -30, -60, 36, -2, 5, -7, 57, -23, 19, -36, 23, -19, -43, -28, 36, -5, -52, 27, -2, -30, 37, -1, -24, -56, 4, -41, -28, 50, -36, -38, 37, -1, 19, 2, 53, 61, -15, -46, -15, 39, 16, -30, -2, -39, -76, -56, 25, 6, 57, -23, 49, 15, 59, 41, 22, -12, -52, -26, -18, 24, 57, 26, 34, -57, -12, 39, 45, -45, -39, 41, -56, 54, -31, -44, -50, -10, -48, -16, 50, -45, -16, 44, -39, 22, 22, 7, 16, 33, 45, 13, 31, 22, -3, -22, -5, -5, 29, -44, 47, 56, -38, 1, 46, 59, -63, 16, -35, 23, 6, -51, -13, -21, 0, -52, 21, 44, -32, 19, 12, -50, 46, -1, -5, -17, 32, -16, 32, -49, -15, -55, -38, -9, -51, 15, 38, 48, -21, -2, 52, -19, -38, 57, 15, 37, -39, -28, -3, -13, -35, 28, 6, -20, 44, 46, -61, -31, -15, -21, -3, 51, -21, 21, 40, 46, 25, 30, 37, 48, 17, 55, -10, -53, 44, 18, -43, 20, -24, 38, 46, 56, 27, 60, 53, -49, 45, -9, 12, 33, -6, 37, 63, -20, 0, 60, 38, -51, 47, 9, -18, -36, -3, -25, 28, -44, 29, 7, -56, -14, 2, -26, 8, -4, -20, 5, -7, 3, -26, 38, 45, 15, 4, 85, 56, 44, 10, 39, -52, 32, -18, -14, -16, 2, 23, 62, 43, 38, 36, 19, -13, 26, -20, -55, 53, -64, 22, -6, -45, 40, -52, -51, 36, 38, 64, 54, 28, -12, -16, -46, 38, -48, 38, -2, 0, -9, 36, 0, -1, 14, -29, -20, 30, -27, 28, -6, -12, -8, 23, 12, 14, -25, -38, 2, 55, 24, -13, 39, 6, -40, -19, 60, -52, 51, 48, -54, 26, 44, -62, -40, -20, -63, 15, -64, 27, -22, 5, 41, 40, -17, 48, 3, 56, 10, -35, 7, -37, -22, -4, -67, 20, 25, -22, -40, 33, 63, 47, 40, -59, -20, -21, -31, -5, 52, -43, -5, 11, -31, 58, -8, -55, 58, -50, 10, -50, -47, 50, -25, 56, 3, -16, -58, -65, -8, -18, 57, 8, 20, -43, 6, -3, -60, -26, 49, 56, 41, 47, -65, -25, 31, 43, 32, 57, 17, 0, -44, -28, -8, 48, 14, -48, -36, 1, 41, -23, -52, -28, 54, -46, 39, -17, 14, -22, 57, 38, -10, 60, -11, -38, 10, -23, -57, -12, -53, 46, -45, 48, 49, -34, 47, -35, 15, -34, -5, 38, -72, -60, -22, 23, 65, 51, -1, 52, 8, 28, -55, 6, -27, 9, -34, 2, 45, -25, 17, -57, 27, -42, 45, -2, 57, 13, -22, -3, -14, 32, -22, 9, 51, -18, 14, -14, 53, 6, 41, -3, 58, 46, -64, -48, -34, 3, 23, 29, 17, -52, 36, -21, 10, -44, -27, -31, 23, 3, 48, 47, -15, -37, -34, 76, -20, 9, 23, -73, 31, 6, 36, -16, 12, 56, 1, -8, 56, -3, 14, -11, 24, -4, 53, 2, 34, 43, -21, 8, -5, 15, -53, -24, -1, 12, 56, -32, -3, -27, -34, -7, -55, 49, 40, 37, -43, -35, -37, 31, -30, 59, -35, 19, -47, 9, -47, -12, 51, 1, 29, 32, 17, 58, -15, 46, 28, 32, -33, -34, -63, -59, 2, 3, 23, -15, -7, 43, -59, 14, -51, -38, 50, 13, 44, 12, -14, 35, 26, 28, -36, -43, -52, 19, -12, 16, 45, 27, 5, -73, 56, 29, 4, 26, 52, -3, 18, 5, 53, -38, -4, 14, 45, -5, -10, -59, 4, 47, 54, -3, -17, -31, -42, 3, 57, 9, -41, 0, -50, 60, 22, 49, 42, 21, -47, 5, -19, -29, -13, -11, 40, -16, -43, -57, 44, -24, 3, -37, 26, 36, -1, 11, -70, -45, -23, 33, -55, 0, 17, -22, 32, 12, 7, -42, -43, 38, -18, -15, -31, 48, 29, -67, 50, 19, -17, -22, 1, -39, 45, -36, -12, 31, -42, -34, 9, 37, 57, 26, 36, -12, -2, 3, 24, -12, -18, 15, 42, -29, 42, 62, 9, 61, -50, 32, -3, 7, 25, -28, 11, 71, -51, -47, 54, 41, -5, -25, 25, 59, -53, 39, 58, 27, -14, 58, -39, 56, 26, 30, -33, 30, -37, 47, -30, 2, -32, -49, -46, -13, 43, -54, 0, -51, -30, 67, -68, 30, 22, -66, -8, 32, -58, -47, 27, 14, 35, 44, 8, 44, 10, 26, -31, 52, -4, 21, -13, 53, -25, -13, 14, 48, 44, -6, -30, -46, 26, -42, 17, 22, -26, -52, 34, 49, -30, 59, 33, -14, 4, -54, -10, 28, -58, -64, -20, -68, -34, -38, 35, -55, -5, -35, 42, -22, 35, 60, 51, 48, 40, -42, -58, -30, -1, -30, 1, -9, 10, 33, 1, -28, 4, -35, -17, -47, -48, -44, 18, 38, 8, -53, 20, 35, -22, 4, 10, 33, 0, 5, 0, 9, -32, -20, -45, 6, -22, 50, -47, -54, -13, -45, 14, 21, -45, 60, -14, 31, -8, 46, 5, 11, 44, 42, 60, 1, -26, 54, 2, -15, 13, 20, -38, -11, -75, -13, -14, -42, 39, -27, -30, 75, 14, -35, 46, 21, 41, -41, 45, -57, 1, -60, -60, 1, -42, -8, -54, -20, 53, -7, -44, -35, -18, -18, -16, 36, 11, 1, -28, 50, -35, 15, -28, -3, 26, -53, -22, 49, 9, 47, 17, 40, 11, 25, -13, -53, 35, 30, 36, -51, 11, -27, -52, 37, -5, 26, -51, -45, 43, 45, -44, -32, -9, 60, -42, -16, -52, 22, 53, -7, 17, 61, -38, 8, 32, -22, 16, -46, 26, 10, 14, -7, -18, 3, 36, -29, 2, -70, 12, -52, -17, -30, 56, 22, 24, 32, 34, -25, -14, -18, -40, 39, 41, 39, -46, -38, -17, -13, -53, -7, -42, -32, -31, -15, 9, 61, -3, -30, 8, -52, -28, -57, 3, 31, -53, -2, -57, -35, -56, 4, 24, -62, -50, -6, 33, 38, -22, -1, 10, 4, 17, 24, 19, 28, 58, -14, -50, -27, -8, -32, 51, 42, -15, -48, -20, -5, 11, 23, -14, 20, -8, -21, 47, 17, -18, 30, 32, -28, 18, 23, -20, -49, -59, 20, -57, -29, -35, 0, 43, -9, 9, -60, 64, -5, 38, -34, -15, -51, -36, -37, -3, -45, -37, 0, 58, 19, 19, 10, 43, -59, -12, -12, 9, 23, -29, 59, 44, -70, -3, -23, -61, 23, -38, 11, -66, -16, 27, -22, -34, 9, -4, 5, -71, -22, -4, 15, -31, -61, 44, -58, -7, 7, 34, -32, 30, 49, 25, -18, -3, -9, 23, -16, 31, 20, -37, 55, 6, -55, 1, -30, 27, -63, 45, 20, 45, 33, -6, -26, 61, 29, -63, 6, -70, 21, 12, 30, -30, 4, 62, 30, -5, 49, 31, -61, 27, -25, -11, -4, -23, 1, 37, -41, 41, -13, -45, -44, 24, -3, -37, -13, -14, 11, -53, -26, -45, 61, -2, -55, -11, -59, -29, -35, -12, 44, 60, -9, -36, 48, 22, -62, -15, -1, -37, 7, 26, -61, 30, 37, -50, -10, 15, 1, 47, 1, -30, 32, -64, -36, 14, -55, -30, 21, -40, -24, 21, -3, -25, -25, -49, -39, 59, 54, -48, 27, -61, 9, 18, 36, -59, 8, 38, -28, -1, -19, 5, -57, -34, -37, 3, 33, -45, -40, -44, 55, 24, 6, -8, 59, -34, -21, -39, 5, -8, 25, 52, -76, 5, 2, -17, 20, -38, 13, 39, -2, 57, -35, 37, 59, -8, -15, 5, -9, 21, -25, 56, -34, -48, 36, 12, -44, -16, -3, -43, -6, -32, 53, -44, -22, 54, -9, 10, -4, 53, 54, -49, -36, -60, -33, -2, -8, -39, -58, -31, -38, -22, 40, -5, 30, 12, -54, 17, -48, 35, -57, -47, 38, -35, -62, 5, -34, 40, -60, 27, -23, 51, -21, 19, 1, -25, -20, 13, 4, 6, -15, 2, -6, 40, 46, 1, -3, 3, -3, -25, -35, -26, 11, 55, 39, -36, 3, -1, -46, 44, 15, -27, 5, 36, -50, 53, -30, 26, -19, 46, -55, -40, 20, 40, -62, -58, -2, 19, -37, -11, 27, 37, 60, 32, 5, -3, -26, 42, -29, 8, 56, -1, -45, 33, -61, 14, 9, 22, -61, -46, -47, -20, -55, -60, 55, -3, 41, -39, -52, -36, 15, -42, -29, -20, -11, 7, -44, -27, -3, 29, 36, 56, 72, 29, 13, -24, 6, 33, -40, 11, -50, -28, 47, 26, -7, -8, -5, -26, 54, -15, 29, -54, -55, -47, 46, -22, -25, 49, -8, 67, -44, 24, 35, 13, -4, 13, -27, 10, -17, 26, -66, -49, 28, -18, 31, 42, -23, 21, -34, 12, -9, 11, -7, 54, 39, 56, 17, 32, 56, -31, 49, 26, 24, 31, -29, 27, 6, -12, -34, 6, -39, -9, 45, 47, 52, -59, -54, -29, 49, 48, 31, -17, -27, 11, 0, -17, -61, 23, 45, 50, 59, 61, -53, 27, 14, -4, -6, 6, 44, -9, 40, -12, 61, -49, -14, 44, 62, 40, -42, -12, -51, 28, 21, -55, -35, 37, -15, 9, 14, -31, 44, -11, 27, -66, 35, 5, -70, -17, -44, 24, 58, 43, -56, 8, -55, 23, -6, -16, 16, -20, 47, 51, 44, 21, -50, 32, 33, -50, 49, 29, 10, -48, -44, -49, 44, -1, 41, 29, -1, 27, -14, 23, 14, -27, 12, -39, 6, -76, 8, -14, 51, -3, -9, 22, -26, -37, -56, -46, -7, -42, -6, 33, -45, -10, -7, -6, -30, -4, -18, -2, -28, 18, 45, -36, -48, 39, 17, -45, 54, -17, -39, 15, 36, -65, -25, 34, 51, -5, -60, -56, 35, -16, -31, 15, 4, 12, 66, -47, 12, 29, -9, 31, -6, 30, 12, 17, -13, -13, -47, -51, 29, 42, 42, 61, 53, 21, 21, -21, 55, 1, 37, 52, -55, -18, 30, -63, -29, -14, -58, -73, -6, -44, -53, -58, 51, 56, -1, -7, 8, -54, 30, 0, -36, 11, -15, -61, 19, -41, -13, 21, -34, 49, -58, -6, 30, 37, -46, 31, 21, -22, -16, 53, -10, 62, 52, -35, 32, -59, 37, -32, -40, 56, 36, 38, 36, 34, -51, 26, 31, 57, 44, 18, 53, 11, 34, -30, 28, -25, 19, -9, 9, 2, 17, 24, -5, -23, 64, 36, -40, -1, -25, 27, -11, -37, 51, 59, -35, -20, -31, 33, -34, -37, -55, -54, 53, -14, 48, -54, -56, 30, 41, 14, -15, -47, 9, 3, -32, -27, -10, 25, 6, -9, -11, 32, -39, -17, -26, 58, 18, 60, -4, -57, 53, -43, -21, 56, 34, 51, -5, -18, 5, -45, -22, -48, -54, -28, -34, -1, -36, -22, 57, -24, -42, -59, 10, -23, 37, -40, 8, -26, -12, 5, 38, -47, -14, 7, -13, 47, -58, -36, -22, -19, -63, 63, 6, 36, 5, 0, -62, -51, 18, 2, -55, -19, 32, 30, 55, 46, 19, 60, -36, -46, -34, -59, -17, 60, 48, 20, -47, -22, -26, 1, 27, -45, -27, 56, 62, 23, -52, -36, 11, -44, -30, -38, 11, -15, -6, 28, 29, -18, -32, -40, -41, 33, -54, 43, 1, 6, 12, 53, -48, 10, 28, -45, -33, -54, -60, 25, 61, -21, -59, 49, 7, -17, -51, -6, -44, 36, -48, -48, -52, 16, -6, -25, -47, -56, -43, 24, -24, 38, -38, 45, -46, 2, -18, 57, 6, 38, 36, 66, -2, -39, -37, -17, 12, 16, -40, 43, 54, -5, 38, 4, -54, 26, -16, -27, -36, -6, 50, -14, 63, 62, -14, -8, -30, 62, -52, -44, -6, 36, 31, -40, 46, 29, -13, -13, -27, -19, -29, -21, -33, 18, -34, 18, -51, -36, -60, 10, -30, 0, -6, -56, 54, -20, -48, 17, -31, 45, -6, 36, 4, -17, 59, 34, -21, -42, -50, -23, 40, 63, -54, 25, -49, -41, -24, -14, 52, -52, 2, -66, 18, -17, 49, -26, 15, -47, -35, -24, -37, -57, 6, 25, 32, 62, -31, -31, -19, 56, -5, 24, 25, -31, 14, 21, -7, -30, 11, 35, 47, 51, -29, 34, 13, 4, 4, -65, -35, 49, -18, 49, 59, 8, -11, -51, -24, 26, 14, -43, 34, 45, 16, -8, 26, -37, -24, 64, -55, 64, 65, -35, 0, 28, -55, -5, 30, 9, 50, 28, -44, 36, -40, -32, 23, 15, 2, 64, -43, 0, -32, -11, 3, 34, 15, 21, -53, 22, 23, -60, 40, 20, 9, 59, -23, 57, -19, 59, 28, 12, -24, -43, -24, -39, 40, 27, -43, -9, -12, 37, 23, -46, -44, -13, 15, 6, 67, 17, 3, 59, -48, 11, 16, 1, -47, 38, -47, -36, -39, -19, -12, -14, 30, -14, 54, 32, 24, -59, -6, -34, 22, 54, 31, -51, 34, -30, 41, 39, 20, -43, 50, 16, -3, 48, 2, 62, -40, -23, 27, -50, -4, -47, 50, -35, -10, 22, 47, 15, 18, 28, 44, 69, -55, -56, 28, 49, 57, -21, 50, -51, -18, -56, 30, 33, -47, -26, 9, -38, 19, 13, -61, -19, -46, 2, -61, 34, -34, 34, 35, -28, 6, -25, -23, 27, -27, -35, -33, -14, 47, -31, 23, -50, 57, -3, 2, 11, 1, -50, -30, 38, 48, -12, 38, 8, -35, 13, 30, -31, 7, -23, 18, -59, 17, -55, 3, -55, 1, -31, -52, 40, -41, 41, 55, -43, -3, -41, 44, -6, 55, 10, 61, 36, -34, 32, -29, 38, 21, -2, 69, -71, 39, -9, -50, 14, -26, 3, -47, 53, -40, -50, 52, -42, 6, -50, 9, -37, 18, 16, -11, -20, 17, 48, 16, -53, 40, 18, 49, -28, 15, -9, -52, 18, -10, -2, 1, 27, -5, 32, -1, 50, 20, -4, -7, 57, -16, -40, 51, 56, -27, -35, -24, 51, 3, 31, 29, 38, 20, -48, 13, -17, -31, 35, -25, 30, 42, -65, -33, 33, 13, 40, 41, 5, 37, -34, -27, 11, 11, -36, 50, -52, -9, 27, 33, -27, 49, -55, 16, -42, -12, 54, -8, -45, -10, 53, -46, 19, 43, 0, -12, 16, 40, 40, 28, -38, 12, 25, 31, 3, 22, 14, 38, -44, -32, -25, 48, 60, -55, 18, 45, -32, 18, 11, -49, -52, -28, -28, 2, -14, 8, 27, -45, -44, 61, -30, -68, 22, -50, 18, 11, -54, -36, -32, 0, 51, 57, -2, 22, 61, 40, -39, -36, -6, 35, 31, -1, -38, 49, 53, -6, -6, -70, -72, -35, -15, 22, -52, -30, 19, 51, 38, 3, 57, 41, -39, 6, 36, -54, 48, 39, 6, -26, -49, 15, -12, -54, -24, 10, -34, 27, -15, 16, -50, -39, -59, 7, -46, 52, 5, -39, -19, -54, -41, -1, -33, 46, -42, 17, -40, -29, 63, 11, 8, -11, 42, -42, -32, -36, -15, -20, -30, -14, -61, 2, -44, -3, -46, 44, -61, 30, 44, 10, 44, 59, 0, 13, -18, 16, 41, 22, -68, 9, 51, -38, 58, -40, -14, -59, 36, 57, 5, -18, -25, 14, -54, 59, 38, -28, 23, 56, 37, 53, 33, 1, 33, -40, -21, -47, 11, -37, 35, 11, -48, -18, 37, 12, -44, 16, 26, 45, -10, -60, 9, 18, -9, -39, -28, 55, -29, -43, 47, -2, 58, -53, 57, 22, 0, 51, -29, -25, 46, -20, 47, -51, 46, 31, 44, -45, -1, -74, -38, 48, -19, -43, 32, -35, -31, -20, -23, 16, -23, -51, 27, -50, -5, -25, -28, -57, -57, 31, 55, 42, -17, 6, 4, -58, 29, -35, 38, -4, 62, 13, 10, -34, -33, -16, -31, -46, 51, 46, 32, -15, 47, 62, 9, -40, -19, 14, 14, 47, -51, 52, -11, 49, -57, 8, 30, 9, 41, -37, 5, -47, -24, -40, 17, 0, 24, 36, 62, 17, 52, 2, 23, -39, -58, 49, -40, 31, 41, 31, 1, -16, 11, -55, -57, -39, -42, 45, -30, -27, 10, 7, 63, -7, 62, 0, -24, -50, -9, 56, -41, 32, -42, 5, -49, -39, -9, -2, -17, -26, 49, 61, 22, 7, -19, -36, 47, -56, 19, 19, 54, 61, -36, -30, 6, 14, -45, 31, 15, 43, -15, 38, -41, 19, 27, -10, 28, -12, 60, -38, 32, -30, -5, 17, 5, -52, -45, 28, -4, -57, 54, -56, 44, -54, -73, -12, -30, -7, 15, -1, 23, 0, 31, 3, -9, 46, 44, -23, 3, -51, -50, 54, 35, -52, 62, 27, 36, 42, 51, -10, 20, -42, 59, -41, 26, 55, -39, 42, -13, -20, 25, -26, -28, 39, 54, 6, -37, -11, 32, -17, 16, 63, -50, -12, 37, -32, -60, 40, 7, 40, -42, -80, 74, 48, -16, -21, -62, 2, -59, -3, -53, 15, -6, -3, -11, 5, 5, -42, 31, 42, -6, 13, 3, 58, 83, 34, -3, 52, 30, -31, 3, -60, 23, -16, 2, -57, 29, 5, -25, 16, 20, -58, -23, 39, 55, -35, 50, -2, 33, 6, -6, -58, -7, 40, 8, 16, 33, 42, -45, -59, 45, 22, 10, -10, 18, 6, 35, 34, -1, -33, -41, 45, -5, -30, -20, 8, 13, -18, -25, -61, -14, 36, -19, -61, -15, -33, -40, 27, 17, -8, -14, -39, 64, -40, 48, -48, 23, 16, -13, -9, 28, 41, 12, 2, -48, -11, -32, 42, -6, 66, 51, 31, -11, 46, 1, -34, -70, 41, -36, -48, -24, 49, 69, 49, -16, 20, 32, 30, -69, -61, 23, 4, 28, -41, -14, -7, 47, -41, 8, -43, 31, 61, -34, -14, 45, -8, 52, 1, 26, -29, -43, 22, 14, -51, 39, 14, 15, -15, 49, 46, 2, -27, -35, -19, -59, -46, -34, -46, 29, -23, 13, -30, -58, 15, -52, 35, 55, -4, -10, -39, -6, -31, -19, 3, 19, -58, 60, -3, 19, -56, -38, 30, 49, -32, -3, -59, -47, -29, -51, -4, 38, -48, 20, -29, -26, 10, -1, 42, -3, -22, -48, -30, 38, 37, -22, 5, -28, -60, -53, -59, 67, -48, -2, -9, -38, -35, 52, 29, 23, 9, 5, 41, 36, -44, -16, 14, 23, 12, -25, 72, 56, 38, 21, 0, 56, -10, -30, 69, 33, 58, -44, 40, 25, 32, 24, 37, -57, -23, 56, 1, 44, 15, 32, 9, -65, -24, 7, -35, -20, -21, -18, -48, -21, -8, 28, 14, -6, 4, 60, 7, -50, 53, -22, 13, 46, 53, -15, -53, -35, -36, -45, 19, -30, 24, -59, -38, -5, -39, -27, 65, 2, 8, 23, 20, 8, 49, 16, -72, -24, -36, -24, -19, 39, 46, -5, 32, 22, -27, -2, -44, -56, 5, -56, -4, 10, 59, -58, -20, -22, 45, 49, -41, -16, 13, -61, -26, -44, 57, 18, 16, -46, -34, 32, 46, -9, -21, 15, 2, -45, -45, -6, -11, 51, -16, -60, 52, -26, -24, -35, -30, -34, 18, 8, -44, 53, -48, -51, -30, 26, -42, -36, 38, -5, 49, 43, 36, -66, 81, 27, 34, -65, -53, 22, 33, 36, 40, -28, -15, -27, -24, -14, 52, -32, 0, -5, 49, -53, 48, -28, 43, -10, 38, 25, -16, -44, -4, 57, 49, 49, -14, -32, 54, 65, -54, -52, 7, 14, 31, -44, -1, -49, 19, 32, -44, -24, 19, 11, -1, -64, -33, 2, 27, 7, -30, 3, 23, 27, 10, -39, 61, 23, 40, -7, -13, 39, -28, -40, -65, -52, 30, -56, 22, -44, -34, -2, -12, -64, -38, -1, -40, 3, 11, -37, 34, -53, -45, 38, -26, -57, -19, -64, 28, -17, -67, 11, 22, 77, 24, -67, -51, -17, -21, 7, 31, 61, 75, -39, -20, 36, -5, 39, -34, -55, 55, -2, 20, 60, -39, 50, 77, 34, -50, 44, 24, -33, -14, -31, -50, 15, -19, 51, 29, 36, 27, 33, 10, -47, -34, 19, -70, 26, -33, -51, 37, -64, -27, 4, -58, 40, 37, 7, 27, -10, -4, 59, -58, 3, 32, 50, 48, 19, -26, -9, -51, 12, 46, -76, 4, 23, -77, 6, -25, 29, -43, -38, 23, -21, -39, -7, -35, 42, -29, 24, 0, 9, 64, 37, -1, 35, 6, 2, -29, 40, 2, -2, -10, -52, -7, -33, -37, -7, 63, 15, -3, 0, 53, 7, 23, 23, -47, 15, -31, -58, -45, -32, 4, 24, -18, -1, -40, 49, 31, 13, 55, -48, 44, 60, 21, 43, 18, 21, -13, 12, -35, 28, 20, -29, 57, -41, -19, 46, -8, -24, 48, 50, 0, -62, 49, -44, -72, -17, -43, 8, -30, 20, 1, 8, 16, 56, 35, -5, -3, -3, -79, -45, -22, 48, -42, 38, 35, 46, -5, -39, 19, 25, 8, -32, -49, 34, 40, 5, 60, 46, 5, 53, -41, 4, -29, -2, -43, 37, 15, -27, -38, 44, 63, 35, 49, -12, 40, -47, -6, 12, -15, -58, 33, -19, 32, -33, 10, -7, 39, -16, -37, 7, -21, -13, 18, -18, -7, -45, -32, -2, 12, -36, 30, -47, 6, -52, -56, 56, -12, -35, 5, -44, 36, -63, -64, -19, 8, -75, -8, -48, -45, -9, -3, -70, -41, 37, -70, 22, 55, -53, -55, 47, 44, -37, 53, -40, -9, 31, -11, 42, -50, 60, 35, -35, -15, 51, 31, 42, -7, 0, 50, 8, -32, 39, -24, 24, -34, -75, 47, -18, 30, -60, -36, 53, -33, 55, -42, 11, 17, -2, -9, 44, -6, 27, -4, -25, -58, 42, 46, 17, 59, -10, -36, 41, 42, 48, -63, -50, -9, 8, -32, 13, -37, -38, -46, 55, -8, 10, 10, -46, -47, 17, 22, 17, -8, 38, -44, -14, 5, 46, 52, 1, 25, 43, -12, 0, 1, -9, -30, 53, 63, 50, 23, 55, 38, -7, -12, 5, 39, 10, 51, 27, -23, -12, 57, -3, 20, 6, 33, -38, -14, -17, 5, 56, 21, -73, -40, -3, 20, -51, -65, 4, 40, 25, 12, -26, -9, -24, -55, 29, -21, -1, -54, 44, -50, 10, 47, 36, 4, 61, -50, -47, -42, -26, 20, -57, -51, 6, -1, -58, 4, -15, -62, -66, 39, -60, -32, -2, -25, -17, 0, 7, 25, -4, -41, 13, 24, -8, -51, -17, -39, -27, 47, -38, -32, -19, -1, -48, 16, 42, -4, 46, 25, 24, 83, -13, -60, -56, 46, -49, -24, -24, 9, 17, 26, -21, 23, 11, 5, -47, -15, -27, 16, 48, 11, -58, 10, 57, -46, -4, 62, 50, -53, -65, -15, -20, -20, -7, -50, 36, -62, -40, 26, 8, -40, -24, -15, -26, 31, -1, 57, 13, 47, 18, -35, -11, 20, 58, -30, -43, -74, 38, -8, 46, 25, -40, -13, 46, -13, 32, 49, 46, -2, 33, -50, 50, 45, -16, 25, -17, 2, -56, -53, -42, 37, 23, 65, -38, 62, -6, 3, 15, 13, 14, 52, 2, -19, -3, -4, -44, 30, 15, 36, -58, 61, -56, 0, 19, -50, 18, 9, 42, -11, 14, -15, -59, -11, -51, 3, 75, -36, 56, 22, 33, -5, 15, 11, -61, -16, 7, 33, 5, 38, -59, -11, -48, -15, -45, -32, 35, 11, -56, 33, 55, 2, -28, 15, 4, 18, 0, 0, 4, -43, -35, 17, -33, 52, 61, 28, -1, 1, -21, -30, 0, -51, -8, -24, -38, -35, -35, 41, -36, 82, -11, 40, 16, 32, -16, 104, -44, -19, -43, -61, -56, -20, 47, -4, 32, 33, 12, 49, 9, -62, 58, 20, 47, -59, 19, 7, 30, -42, 7, 52, -47, 49, 53, 62, 15, 15, -34, 22, -50, 4, 53, -57, -42, -6, -27, -59, 50, -2, -41, -5, 77, 10, 69, 20, 54, 21, -58, 15, 43, 55, -45, -9, 51, -32, 8, -45, 8, 43, 61, -38, -47, -19, -46, -32, -69, -19, 41, -24, -47, 45, 48, 52, -40, -68, -37, 15, 34, 2, 17, -41, 18, 12, 50, -61, 59, 4, 22, -54, 33, -26, -42, 55, 39, -21, 50, -35, 71, 33, -27, -36, 3, 51, -11, -40, 21, 9, 7, -2, -53, 49, 21, -11, -28, 46, 8, -1, -11, -13, 22, 35, 32, 13, -49, -71, 4, 62, -59, 2, 64, -10, 21, 28, -22, -55, -54, -25, 44, 48, 14, 70, 25, 23, 63, 38, 12, 24, 8, 13, 36, 28, 54, 54, -58, -6, 5, -33, -7, 24, 44, 60, 66, -37, 24, 30, 46, -33, -30, 4, 31, -16, -67, -53, -24, -60, 21, 40, 14, -2, 15, 47, 12, -20, 11, -26, -37, -34, -65, -6, -50, 31, -17, -53, -7, -12, 39, -6, 30, 35, -2, 23, 18, -68, -5, 22, -70, 6, -46, 39, -66, -17, -42, 10, -29, 36, -67, -51, 19, 40, 20, 50, 34, -7, 5, 45, 42, -46, -2, -26, 11, -16, 27, 36, 0, 27, 24, -34, 21, -6, -62, 20, 30, 43, 3, 15, 31, 14, -42, -15, -57, -43, 26, -8, -14, -70, -56, 15, -13, 48, 13, 56, 72, -21, -39, 19, -52, -53, -69, -24, 43, 0, -2, -7, -3, -36, 22, 43, 14, -27, 40, 54, -42, -15, 37, 34, 5, -12, -46, 19, 19, -54, -47, 17, 38, -14, -59, -21, 55, -50, 31, 28, 27, 3, -3, -2, -9, 61, 33, 44, 26, 71, 15, 30, 22, 27, 47, -9, 28, -11, -12, -36, -59, -32, -10, -17, -39, 30, -19, 12, 5, -10, 62, 57, 66, 77, -33, -17, 45, -57, -26, -25, -35, -23, 28, 22, -35, -55, 31, 20, 12, -15, 16, 6, -17, 6, 17, 54, 55, -46, -32, -58, -69, -27, 7, 10, -37, -24, 40, 10, -29, 13, 8, 21, 43, 67, 67, 41, 54, 3, 11, 43, 30, -48, 27, 9, -48, 4, 10, 67, 66, -23, -13, 43, -53, 24, -61, -38, -41, 23, 51, 40, 2, -52, 65, 20, -49, 32, 18, -56, -26, 28, -31, -3, 42, -11, -28, -30, -47, 49, 35, -25, -28, -45, 24, 34, 0, -4, -41, -13, 6, 44, 83, 5, -37, -14, -14, -33, -44, -16, -29, -29, -23, 29, -23, 25, 47, 1, 41, 44, 40, 6, 46, 33, -49, 0, 17, 36, 66, -36, -15, 43, 46, -46, 36, 34, 18, 52, -33, 12, 31, 12, 25, 51, 25, 41, 61, 74, -10, -40, 31, -11, 17, -36, -18, -19, -61, -74, -5, 47, 46, -55, -14, -34, 9, 66, -49, -3, -5, -47, 20, -37, -41, -63, -8, -28, 51, -35, -3, -28, -39, -7, 49, 34, 30, 48, -57, -56, -42, 56, 37, -18, 20, -46, -48, -76, -5, 42, -33, 25, -17, -27, -73, 11, 26, 31, 6, -22, -80, -22, 13, 28, -8, -9, 11, -3, 10, 24, 6, 15, -64, -5, -16, 38, 22, -32, -23, 8, -23, -9, 24, -4, 11, 31, 61, -25, -1, -38, 42, 33, -31, -47, -41, 2, -12, 27, -38, -63, -8, -35, -81, -5, -44, -15, 20, -14, -38, 22, -32, -29, 48, 60, 58, -37, -43, 65, -13, 12, 43, -26, 42, 10, -6, -60, 25, -30, 10, 37, 15, -36, -25, -50, 39, -50, 58, -36, 49, 14, -29, 41, -55, 28, -42, -22, 26, 42, -59, 35, 2, -66, -41, 38, 35, 71, -22, -41, -33, 38, -63, 48, 38, 33, -26, 8, -38, 13, 28, 16, 17, 5, -6, 57, -45, -11, 62, -24, 1, -2, -58, 45, 64, 16, 21, 33, 12, 27, -42, 54, 30, -52, 39, 15, 59, 50, -3, -23, -44, 51, -48, -15, 31, -21, 32, -30, -33, -46, 8, -20, -74, 11, 36, -13, -30, 69, 7, 33, 69, 5, 40, 29, -8, -61, 23, 47, -28, 15, 39, -22, 44, 45, 48, 0, -28, 32, 53, 66, 1, 22, 44, -47, 29, -7, -36, 43, 22, 35, 32, -25, -36, 13, -44, -21, 6, -60, -8, 12, 21, 43, 4, -34, -1, -23, 1, -35, -8, -2, -6, 14, -43, -35, -38, 14, -49, -19, 52, 1, 91, 60, 47, 54, -19, 63, 36, -59, 46, -53, 36, -36, 59, -34, 57, -17, -29, 20, 49, 16, 34, 12, 10, 18, -3, -43, -28, 60, 85, -52, 0, 15, -37, -10, -38, 13, 89, 35, 32, 63, 31, 13, -4, -46, 37, -30, -16, -38, 43, 38, -41, -34, -53, -45, 36, 42, 1, -29, 31, 25, -13, -26, 22, 9, 9, 2, 36, -14, 17, 44, -3, -55, 13, 57, 66, -27, 8, 46, 2, -28, -17, -17, -53, -55, -26, 44, 24, -20, 30, 34, -11, 8, -14, 23, 2, 12, -52, -1, -20, 50, 31, -38, 61, -16, 33, 9, -4, 67, 17, -40, -3, 44, 30, 32, -50, -4, -28, -18, 33, 13, -43, -47, -40, -1, 16, 32, -10, -51, 15, -26, -30, -15, -44, -16, -37, 58, 14, -47, 18, -51, -18, -49, -40, 9, 7, 18, 12, 11, -50, 12, 3, -21, 11, 43, 12, 32, -32, 15, 4, -27, 34, 33, 21, -61, -9, -11, -10, -32, -19, 17, -20, 58, -18, 13, 28, -2, 27, 21, 6, -59, 59, 46, 53, -6, 53, 25, 8, 3, -49, 41, 7, 59, 19, -2, -41, -20, 11, 11, -39, 47, -70, -11, 15, -40, 47, -28, 35, 63, 7, 45, 59, -17, 55, -41, 17, -1, 21, -33, -11, 23, -49, -50, 43, -51, -51, 9, 38, -16, 27, -6, 34, 24, 52, 54, 22, 0, -31, 54, 58, -52, 60, -23, -25, 41, 17, 19, 3, -51, 2, 0, 29, 54, 41, 49, -27, -18, -5, -6, -30, -21, 8, 7, 47, 46, 46, 60, 58, 23, -37, 39, -45, 55, 28, 3, 42, -65, -63, -29, 5, 60, 36, 10, -2, 8, -29, -16, -22, -35, -7, -11, 58, 74, 51, -25, -31, -36, 11, 10, 42, 12, -30, -29, -59, 10, 48, -13, 15, 7, -51, -12, 25, -7, -34, -46, -49, 37, 18, -4, -22, 48, -16, -29, -22, -47, 64, 12, 36, 25, 2, -39, -53, -55, -35, 22, -59, 5, 18, -25, -26, -7, -47, 0, 23, 59, 31, -33, 13, 8, -7, -44, 38, -30, -20, -8, 5, 18, 32, -54, -27, -48, 29, 43, -37, 8, 58, -36, 58, 34, 18, 11, 5, 31, 1, -4, 50, -41, -2, 24, -6, -36, -21, -22, 29, -11, -3, -16, 53, -23, 35, 7, -41, 53, 45, 13, 26, 51, 29, -7, -17, -64, -42, -16, 8, 4, -3, -20, -18, -12, -55, 15, -20, -47, 11, -6, -6, -4, -10, -16, 20, 27, -39, 4, -27, -57, -48, -35, 22, 26, -5, 58, 9, 5, -56, 7, 33, 26, -20, -14, -44, 6, -15, 8, -26, 20, -38, 37, 23, 15, 8, 42, 47, -10, 57, -62, 7, -53, 22, -71, 26, 31, -22, 10, 5, -66, 4, -49, 29, -37, 11, -49, -5, 50, 28, -40, -25, 47, -11, -4, 60, -35, -26, 24, 73, 1, -4, -34, 45, -58, 24, -17, 51, 32, 54, -39, 7, 15, -8, 25, -47, 10, -32, 32, 23, 34, -51, -14, 0, -14, -32, 31, -28, -23, 13, -39, -3, 50, -4, 15, 28, -15, -45, 27, -64, -63, 41, 11, -63, 8, -81, -16, -12, 16, 59, 54, -26, -18, -17, -55, 21, -18, 20, 55, -2, -35, 42, -42, 6, 8, -38, -14, -52, 61, 48, -19, -14, -55, 56, 68, -13, 11, -50, 5, 29, 10, -62, 67, -47, -49, 56, -56, 51, 58, 53, 39, -62, 29, 53, 12, -34, -34, 31, -34, -51, 42, -35, 20, -40, -25, 51, 56, -54, -35, 54, 33, -28, 9, -25, 40, 3, -32, 30, -36, -11, -39, -21, 32, 1, -56, 37, -6, 51, -51, 51, -28, -22, 45, 13, 15, 57, -18, 40, -2, 47, 46, -22, -56, 2, 25, 52, -14, 31, 32, -19, -18, 36, -54, -39, 29, 25, -33, 5, -28, -43, 56, -15, -50, -60, -38, -14, -33, 35, -36, 31, -53, 48, -20, 18, 61, 30, -6, -5, 42, 4, 52, 59, 63, -9, -45, 21, 18, -15, -31, -51, -24, 63, 27, 17, -32, 77, -47, 53, 4, 17, 38, -26, -19, 28, 29, 26, 23, -32, 11, -20, -49, 39, -26, -10, -24, -1, 14, 4, 8, 56, -1, 45, 57, -11, -16, 80, 0, 31, 38, -39, -24, -16, 16, -13, -15, 25, 6, -13, -53, 62, 25, 44, 3, -1, 44, -28, 23, -67, 38, -13, -14, 11, -20, -18, -61, -46, -16, -1, 56, 0, 61, 48, -11, 51, 31, 19, -40, -7, 48, -37, -35, 66, 81, 59, -50, -23, -67, 60, 23, -47, -30, 38, -35, 38, -35, -7, -14, 28, -58, 65, 26, 7, 56, -16, 47, -51, -47, -34, -31, -16, -50, -56, -21, 30, 22, 30, -50, 31, -38, 13, 13, 31, -58, -8, -8, 14, -33, -64, -6, 21, -26, -40, 60, 26, -60, 55, 41, 55, 7, -50, 8, -15, -49, 57, 5, 27, 38, -62, 36, 48, -9, -49, -13, 22, 36, 34, -38, -45, 67, 15, -16, 60, -42, -31, 36, 59, 50, -65, -35, 36, 19, -40, 33, -23, 41, 47, -60, 23, -30, -53, -47, 17, 13, -15, 31, -16, 12, 50, 29, -46, 67, -10, 28, -9, -16, -8, -8, -72, 26, -47, 44, 18, -4, -28, 34, 4, -9, -52, 47, -19, 58, -61, -5, -28, 3, 22, 6, 71, -38, 42, 11, -21, -48, -12, -36, 9, -8, -14, -40, -49, 40, -24, -30, -46, -48, 76, 35, 57, 15, -28, -32, 40, -34, 29, -15, -11, 48, 5, -8, -41, -5, 45, -49, -31, -27, -28, 17, 27, 64, 22, 20, -38, 28, 9, 38, 65, 71, 54, 47, -5, 66, 9, -61, 7, 29, -61, -45, -53, -55, 35, 40, -6, 10, -53, 11, 53, 41, 55, -56, 3, -17, -57, -14, -14, -7, 26, 9, -43, -49, 43, 35, -16, -62, 59, 19, 44, 11, -31, -12, 14, -45, 25, -5, 17, 35, 53, 21, -8, -63, 24, -9, 13, -55, 13, -23, 22, 42, 41, 17, -17, 47, 35, 43, 25, 32, -7, 38, -9, 33, -40, -27, -6, 7, 22, -12, -62, -50, -46, 36, 27, -21, -4, 67, 58, 65, 14, -21, -25, -20, -28, 34, -25, 44, 53, -25, -23, 28, 55, -24, -19, 23, -39, -52, -40, -39, 18, 7, -39, -12, -13, 3, -45, 45, -4, 29, -44, -56, 27, 8, 58, 29, -48, 46, -34, 38, 52, -17, -2, -50, -45, 23, -45, 22, -2, 6, -77, -14, 15, 49, -55, -35, 11, -39, -31, 23, 4, -13, 69, 14, 16, -26, 34, -47, 65, -27, -5, -14, 8, -34, 10, 36, 24, -5, 11, -38, -62, 4, -27, -54, -63, 43, -11, -56, -45, 19, 0, -29, -18, 42, -52, 42, 68, 54, 19, -33, -53, -3, 45, 27, 68, 58, -40, 24, 16, -10, -35, 19, -35, 19, -46, -22, -39, -28, -13, -3, -2, 18, -55, 51, 4, -26, -2, -21, 36, 51, -41, -57, 4, 20, 2, 23, 12, 30, 54, -10, 15, -34, -62, -36, -56, -66, -16, 4, -20, 30, 59, 36, -20, 3, -23, 4, -16, 23, 18, 5, 37, 30, -43, 72, 5, 8, 54, 44, 47, 16, -17, 62, -45, 54, -2, -48, 15, 51, 5, 10, 48, -27, 48, 1, -49, 10, 27, -14, -11, 31, -33, -5, -32, -13, -43, 13, -54, -30, 17, 51, -36, 28, 65, -12, 26, 14, -49, 49, 32, -48, -58, 46, 41, 5, 28, -39, 50, 42, -43, -64, -51, 39, 1, -8, 52, -13, 3, 36, 15, -3, 1, -56, -30, 21, -10, -68, -8, 47, -6, -21, -60, 5, -62, -20, -42, -40, 57, 34, 12, 31, -18, -23, 16, 22, -56, 47, -3, -52, 17, 11, 56, -24, -57, -8, 27, -26, 26, -39, -22, 38, -66, 52, -19, 13, -58, -35, 41, -30, -47, -1, 47, 42, -9, -16, 14, -5, -50, 29, -29, 50, -23, -18, -42, 9, 17, -17, 9, 43, -27, 42, 18, 81, 0, -45, 14, 61, -20, -29, -31, 33, 41, -31, -37, 42, 33, -48, -9, 11, -16, -27, 59, 57, -3, 62, -43, 37, -58, 39, -13, -33, 50, 5, 55, -58, -46, 24, 46, -40, -30, -11, 36, 32, 6, -37, -31, -62, 19, 20, 49, 13, 61, -8, 59, 31, -26, -24, 22, 36, 46, 4, -51, 16, -45, 13, 34, 40, 56, 25, -34, -23, -8, -2, -27, 24, 22, 58, -54, -34, -16, 49, -8, 29, -29, 57, -43, -40, -51, 2, 57, -29, -54, -25, -13, -57, 26, -25, 22, -1, 11, -60, -60, 20, 6, -7, 48, -44, 31, 21, 34, 57, 33, 13, 35, 38, 28, -41, 11, -16, 12, 23, 40, 15, 19, 61, -50, -4, -15, -59, 22, 45, -31, -3, -64, -31, 35, -55, 23, 16, 38, 29, 13, -29, 48, -20, -33, -20, -12, 27, 9, -4, 24, -60, 30, 26, 45, 42, -8, -43, -57, -4, -67, -51, 39, 17, -38, 0, -7, 41, -1, -56, -40, -42, -46, 17, 5, -19, 43, 1, -26, -32, 47, 20, 6, -40, -33, -27, 25, -23, -45, -52, 24, 53, -11, -35, 47, 4, 13, -6, -12, -61, 39, 30, -21, 57, -13, -43, -55, -54, 7, -31, 4, -29, -13, 57, 23, -41, -36, -13, -7, 51, -15, -11, -49, 40, -45, 36, 11, -41, -38, -22, 54, 58, 5, 32, 52, -16, -16, -8, 34, 21, -13, 13, 5, -26, -40, 60, 58, 4, 25, 53, -51, 37, -60, 53, 46, -30, -3, -24, -55, 8, 29, 39, -60, 26, 22, 36, 25, 46, -20, -42, -61, -43, 5, 18, -55, 27, -62, 25, -3, -1, 31, 47, 50, -21, -59, 47, -25, -45, 54, -37, -44, 59, 41, -43, 52, -8, -33, -51, -42, 34, 47, 47, -34, -30, 12, -61, -30, 31, 1, 60, 35, 36, 59, -52, -17, -4, -55, 16, 34, 56, -30, 2, -41, 46, -8, -46, 17, -49, -2, -24, -14, 5, -3, -9, 17, 31, -24, -16, -29, -64, 37, -43, 5, -56, -42, 37, -60, 45, -30, -65, -19, 49, 48, -52, -43, -3, 61, 32, 54, -53, -38, 35, 52, 30, 15, 22, -60, -52, 54, 16, -11, 22, 47, -6, 55, -41, -53, 50, -47, 56, -40, 41, 15, -42, -12, 11, 25, -11, -47, -24, 25, -59, -39, 19, -59, 12, -50, 49, 40, -39, -1, 21, 2, -18, -29, -34, -60, -20, 56, -62, -61, 8, -26, 29, -24, -47, 22, -59, 20, -41, 25, 11, -30, 51, 33, -24, 7, 28, 6, -1, 24, 58, -21, 22, -20, -39, 23, -52, 30, -14, 2, 26, -23, 22, -14, 5, -48, 10, -60, 22, 7, 21, 37, -19, 18, -44, 43, -13, -23, 54, 5, -37, -53, 38, -5, 1, -38, -42, -42, -47, -18, -35, 34, -21, 16, -35, -47, -55, 54, 24, -12, 13, 44, -7, -31, -34, -54, 45, -25, -46, -38, 12, 28, -24, 31, -27, 8, -46, 46, -17, 51, 56, 42, 33, -4, -56, 58, 14, 49, -50, -27, 54, -14, -54, 18, 18, -54, -24, -53, -51, 51, 23, 1, -45, -33, 1, 43, 29, 10, -21, 22, 11, -9, 48, -5, -3, -58, -46, 18, 25, -20, -26, 61, -14, 39, 37, 30, 24, -51, 54, 33, -56, -51, -18, 3, -59, -55, -53, 1, 19, 9, 50, -4, 37, -17, -19, 29, 14, 12, 60, -60, 52, -27, 14, 1, 36, -41, 13, -31, -26, 46, 21, -23, -7, -25, 42, 26, 33, 51, -4, 26, 3, -22, -45, 55, 32, 14, -24, -26, -24, -54, 36, -45, -15, -33, 16, 23, 36, -24, -40, -29, -36, 49, -2, -9, 30, 23, -54, -47, -13, 12, -61, -14, 33, -16, 16, -50, 37, -56, -32, 10, -48, -48, -38, 60, 47, -33, 57, -9, 28, 58, -15, -41, -17, 43, -35, 25, -4, 37, 20, -25, -48, 46, -16, 20, -32, 60, -28, -6, -48, 12, -65, 28, 7, -41, -59, -34, -34, 48, -37, 45, 42, 48, -36, -23, -25, -57, -47, 52, -40, -45, -5, 4, 56, 25, -39, -16, 52, -5, 26, 20, 43, 48, -3, -9, 23, -8, -41, 60, 41, -27, 2, 36, 15, -1, -14, -55, 38, -47, 24, -21, 62, 50, -4, 54, -11, -1, 28, -45, 0, 54, -51, 7, 55, 29, 31, 3, 42, 10, -30, 5, 10, 19, -18, -15, -2, -11, 51, -21, -18, -22, 1, -6, 7, -16, -53, 45, -50, -54, -55, -40, -47, 4, -26, 36, 21, -55, 26, 0, 26, 52, -11, -20, 55, -30, -13, 56, 31, 16, 56, -12, 22, 42, 19, 21, -60, 45, 38, 39, 42, -18, -25, -50, 34, 53, -53, -28, 18, -27, -17, 18, -36, -36, -24, -42, -36, -49, -52, 48, 16, -44, 44, 48, -5, -58, 32, -15, -33, -23, 14, -39, -60, 45, 33, 1, 24, -37, 13, 42, 1, 3, -43, -27, 12, 52, 41, -37, 35, 0, -29, -51, -27, -46, -23, -43, 52, -18, -39, -37, -32, -18, 7, -8, 10, 2, -37, 30, -21, 28, -58, -60, 29, -41, -60, 32, 18, -25, -27, 23, 60, -45, 3, 38, 54, -26, 56, 17, -2, -10, -61, 58, -19, -17, -22, -15, -2, -8, 12, 48, 24, 23, -47, -47, 53, 60, -26, -43, 3, -2, -61, 34, 30, -10, -29, 56, 38, -51, -2, -52, -24, 58, -18, -24, 9, 50, 39, -19, 44, 11, 25, 30, 42, -51, -46, -52, -63, 42, 18, -31, 8, -29, 35, -66, -48, -55, -13, -53, -58, 4, 39, 38, 17, 48, -54, 42, 9, -25, 10, 20, -10, -19, 54, -57, -55, -50, -40, 23, -49, -4, 48, -24, 61, -7, 7, -37, 43, 25, 1, -33, 16, -5, -46, 21, 2, -2, 29, -4, 24, -8, -10, 49, -12, -2, 32, -42, -49, 40, 9, 1, 10, -50, 15, -38, 47, 42, -23, 27, 61, 59, -53, 9, 24, -14, -11, -19, -12, 35, 42, -24, -51, 59, -22, -33, 53, -13, 20, 37, -62, -54, -43, 61, 51, 3, 26, 16, -3, -60, 48, -38, -33, -30, -4, -44, 5, 30, 15, -55, 52, -16, 57, 14, 52, -12, -35, -45, 4, 24, -6, 44, 42, 14, -58, -9, -5, -33, 36, -19, -26, 30, -51, 48, -42, 46, -53, 23, -61, 52, 21, -33, -43, 21, -47, -2, -41, -7, 59, 47, 27, 5, -7, -34, -61, -12, 56, -6, 61, -59, 33, -44, -49, 37, -30, 33, -12, 36, 58, 12, -61, 55, -23, -16, 26, 45, -8, 0, 7, -22, -15, 50, -28, -7, -31, 32, 15, 43, 35, -1, -58, -60, 9, -46, -21, -7, -60, -28, 35, 37, 53, 14, -17, -7, -40, 8, -44, 35, 14, -1, -60, -28, 57, 5, 37, 57, 49, 21, 13, -8, -51, -55, 29, -48, 12, -62, -35, 33, 23, -6, 55, 17, 6, -23, 36, 0, -50, 35, -22, 36, 13, -24, -1, -54, 47, -4, 34, 56, -11, 31, -31, -60, 4, -11, 47, 9, -42, 61, -7, 6, -32, -21, 17, 62, 53, 49, 18, -9, -61, 23, -10, 10, -21, 32, -36, 15, -13, -50, 8, -59, -60, -22, 26, 18, 32, 3, -40, -46, -10, -56, 58, 47, 44, -44, 28, -58, 59, 61, -3, 44, -60, 21, 26, -55, -33, -35, 25, 41, -42, 59, -51, -29, 54, 8, 54, -50, -18, 53, -41, 30, -56, -27, 45, 29, -31, 34, -49, -7, 5, 40, -16, 23, -48, -61, 24, 16, -9, 46, -3, -22, 56, 5, 17, 45, -23, 41, -29, -32, -26, -39, 41, 59, -19, 7, 4, -24, 26, 30, -42, 20, -26, 34, -29, 60, 61, 30, 8, 8, 12, -46, -37, 15, 45, 7, 53, -23, -59, 10, -17, 52, 29, -9, 11, -18, 57, -27, -53, -7, -25, 27, 8, 13, 37, 57, 60, -48, -10, -2, 24, -58, -45, -36, 51, -13, -13, 0, -62, -10, -32, 49, 60, -31, -53, 27, 4, 35, -47, 46, -46, 27, -9, 34, 36, -54, -27, 57, -52, -39, -14, -11, -64, -5, -17, 41, -6, 50, 54, 32, -1, -32, 51, 31, -61, -46, 27, -64, -8, 47, -6, 35, -25, -39, 13, -32, -44, -21, -63, -38, 47, 35, -48, 12, 42, 29, 53, -60, 48, 14, -60, -49, -46, 59, -29, -8, 14, 34, -4, -22, 27, -23, 64, -43, -6, 26, 26, 23, 58, 44, 26, -22, -12, -41, 40, -65, 35, 3, 28, -2, 38, 29, 47, -1, 19, -34, -45, 6, 0, -6, -23, -9, 10, 41, -64, 58, -55, -6, 39, -56, -38, 46, -51, 49, 43, 63, 39, 22, -42, -37, -55, -62, 26, 29, 53, -28, 23, -51, 47, -1, 22, 13, 16, 44, 52, -29, -35, -22, -52, -62, -19, 30, -2, -50, -55, -14, -15, 36, -35, 22, -24, 11, 6, -55, 52, -45, -14, 32, -12, 53, -17, -7, 26, -59, 18, 23, 38, -48, 16, 39, 58, -41, -19, -19, -20, 17, -68, -12, -44, -53, 1, 24, -26, 59, -27, 6, 15, 40, -18, -34, -48, 26, -45, 48, -28, 49, 54, 18, -37, 34, 18, 21, -30, 53, -23, 35, -4, -63, -8, -37, -17, 0, 44, 26, -7, 11, -24, 36, -61, -60, -51, -16, 70, 40, 52, 68, -17, 33, 40, -18, -18, 46, 22, 59, 35, -11, 58, -16, 58, 33, -11, 2, -55, 24, -57, -18, -48, -39, 45, 5, -19, 49, -52, -48, 41, -19, -54, 50, -16, 1, -18, 51, -30, 5, -41, -32, -40, 63, 34, -28, -26, -25, 28, 10, -35, 49, -10, 15, -9, 49, -5, 46, 26, -54, 25, 52, 59, 27, 6, 48, 26, -69, -25, -34, 57, 53, 71, -21, -46, -66, -2, -8, -2, -39, -42, 57, 2, 34, 5, 11, 69, -36, 5, 8, 58, -58, 39, -11, 46, -27, -60, 38, 48, 2, -10, -9, -18, 23, -58, 59, -30, 18, -57, -20, -45, -17, 24, 43, 2, 31, 16, -28, -27, -13, 51, -51, 41, 21, -24, -43, -21, 21, -53, -24, 57, -46, -8, 0, 29, -44, -35, 42, -61, -47, -13, 42, 3, 55, 42, -47, -20, 41, -40, 30, 2, -38, 60, 56, 10, -33, 8, 14, -26, -4, 26, -7, -48, -33, -30, 14, 8, -42, 5, 63, -41, 13, -24, 12, -22, -14, -55, -48, -17, 53, 20, 21, -6, -62, 15, -23, -28, -62, -38, -20, 34, 31, -64, 20, -50, -7, 47, -32, -51, 62, 53, 60, -18, -16, -31, -47, -9, 60, -12, 8, -55, -47, -36, 22, -38, -26, 49, -30, -34, -24, 57, -11, 36, 16, 3, 10, 47, -36, -38, 30, -54, 35, 36, -17, 56, -1, -33, -30, -53, -51, -12, -37, 50, -41, -13, 40, -34, -16, -10, 36, 4, -31, 56, 41, 19, 14, 46, 54, -26, 7, 18, 10, -52, -9, 33, 45, -24, -60, 49, -44, 14, 52, -14, -12, -21, -20, -1, -31, 35, -5, -38, 43, 16, 27, 7, -49, -4, -42, -14, -4, -33, -6, -45, 51, -11, -36, -48, 95, 36, 29, -12, -31, -48, 3, 50, 6, 41, 23, 61, -11, -37, 44, 40, -61, -12, 34, 35, -14, 53, -13, -63, 31, -34, 13, 46, 0, 10, -21, -40, 29, 0, -54, -6, -15, -23, 6, 20, -58, -40, -6, 69, -21, -30, 4, -9, 51, 34, -43, 31, -10, 42, -20, -14, 28, 38, -10, 63, 63, -67, -47, 24, -44, 45, -55, 9, 45, -40, 42, -8, -7, -38, -18, -1, 39, -9, -26, 49, 14, -20, 21, 40, 27, -2, -23, -61, 65, -64, 63, -15, -44, -50, -64, 41, 70, 38, 51, -60, 59, -46, 52, 23, -6, 22, 44, -29, -31, -26, 34, -27, -6, 56, 51, 8, 33, -10, 14, 28, 34, 33, 8, 21, -19, 36, -54, 47, 35, 25, -28, -50, 8, 33, -34, 33, 41, 7, -23, 7, -49, -45, 37, 15, -6, 53, -9, 53, 46, -19, -53, -15, -40, 57, -10, 48, -32, -78, -62, 33, 42, 47, 0, 44, 19, 17, -59, 50, -47, -31, 45, -26, 17, 31, 53, -12, -6, 25, -25, 33, 33, 13, -7, 11, -42, 8, -61, -32, 36, 20, -13, 6, -21, 49, 25, 1, -52, 62, -54, 24, -22, -27, -44, -16, -29, 21, 35, 35, -32, -24, -18, 45, -16, 37, -16, 19, 30, 48, -24, -18, -41, 20, -36, 44, 31, 18, -27, -37, 30, -78, -66, -34, -5, 18, 26, -25, 2, -59, -49, 39, -33, 59, -51, 58, 1, -60, -53, 56, 9, 24, 58, 3, 7, 29, 36, -54, -26, -10, -5, -26, -5, -60, 31, -43, -27, 10, -13, -1, -34, -40, -65, -45, -43, -51, -20, -51, -9, -13, 52, 1, -51, 36, 18, 37, -12, -16, -9, -17, -5, -33, -58, 26, 42, 50, 41, 35, -1, -53, 63, 7, -49, -54, 63, -33, -21, -19, -23, -45, 24, 4, -59, -35, 43, -38, 17, 31, 61, 3, -41, -30, 42, 55, -58, 31, -75, -18, 40, -38, -30, -13, 36, 33, -37, -14, 54, -35, -26, 20, -39, 42, -2, -36, -54, -63, 42, 63, -46, -19, -13, 58, 34, -45, 37, 13, -37, 34, -46, 17, 50, -47, -27, 16, 20, -39, 39, 48, 18, -26, -33, -61, -42, 2, 22, -44, -10, 31, -16, -46, -39, -70, 45, 6, -56, -28, -55, 22, -50, -41, 42, 21, 43, 23, 59, 43, 17, -29, -35, 29, -42, 31, -49, 55, 45, -21, -21, 6, 29, 11, -44, -39, -34, -45, -25, -37, 40, 18, 26, 36, 43, 19, -37, 23, -47, 33, -21, -2, 30, 40, -21, -63, 2, 45, 3, 14, 19, 13, 26, -25, 30, -2, -37, -41, 38, 34, 33, -57, 20, -14, -29, -34, 43, 44, -12, -35, 32, 34, 49, -51, 26, -65, -1, -8, -40, 13, 8, 2, -32, -7, -7, 40, 48, -55, -47, -57, 12, -12, -51, 22, -51, -27, -21, 20, -9, 32, -8, -58, 23, 2, -37, 22, -2, 0, -15, 27, -42, 9, 13, 52, -65, 15, -41, 5, 35, 58, -31, 34, 55, -4, 8, -49, -53, 42, -29, -27, -24, 57, 9, -60, 33, -38, 59, 19, 10, -29, 31, -14, -31, -11, 39, -25, -4, -59, -46, 45, -38, -19, -3, -15, -15, -53, -66, 28, -21, -57, 50, 16, -7, -53, -31, -31, 12, -28, 37, -49, 68, -5, 20, -59, -9, 40, 59, -21, 12, -40, -28, 27, -8, 7, 60, -44, 39, -16, -66, -7, 48, -1, -5, 45, 32, 28, 27, 60, 11, -45, -7, 50, 48, 40, -5, -59, -16, 28, -3, 27, -19, -2, 30, -45, 18, 48, -32, -18, 23, -4, 31, 18, -22, 31, 48, 39, -35, -29, 53, -52, -37, 52, 38, -59, -47, -60, 5, -53, -18, 30, 31, -45, 10, -4, -14, 10, 66, 2, 34, -60, 42, -53, -10, -53, -25, 8, 27, 1, -37, -43, -14, 35, -57, -9, 55, -14, 45, 13, 1, -26, -20, 22, -10, -62, 35, 10, 36, -21, -34, 40, -27, 31, 24, -29, -8, 69, -51, -27, 22, -1, -44, 36, 18, 8, -54, -41, 53, -14, 29, -12, -41, -18, -43, -46, 7, -34, -33, -30, -36, 48, -28, -31, -36, -46, -34, 18, 0, -12, 11, -15, 25, 51, 25, 59, 12, 28, 29, 31, -44, 28, 28, 16, 4, -1, 71, -51, 43, -11, -10, -42, 10, -5, 36, -2, -44, 41, -37, -26, 91, 52, 5, 14, -10, 31, 4, -37, -53, -26, -8, 72, 33, 2, 35, 54, -41, -54, 40, 24, 32, 30, -40, -7, 39, -34, 18, 3, -34, -36, 6, 3, -26, 1, -49, 51, -36, -48, -24, -10, 43, -30, -53, 48, -25, 44, 37, -31, 27, 6, -36, -51, 16, -8, -58, 31, 47, 18, 55, 15, -48, 20, -28, -14, 1, -39, 87, 3, 29, -20, -48, -28, 37, 26, 45, -14, -41, -13, -19, -11, 0, 50, 12, 43, -42, 32, 1, -24, -28, -23, 50, -27, -6, -18, 45, 16, -42, 3, -41, 25, 40, -59, -4, 36, -46, -23, 40, 10, -51, -22, -9, -57, -34, -13, 40, -4, 58, -9, 1, -27, 43, 1, 10, 26, 22, -37, 75, 3, 13, 6, -22, 59, 33, 3, -65, 32, 14, -34, 50, 42, 64, 45, 17, 19, -53, 54, -52, -13, 29, -17, 12, -4, 37, -15, -41, 17, 17, -34, -3, 63, -2, -39, -48, -56, -41, 4, 52, 57, -40, -8, -14, 54, -33, -42, -42, 7, 24, 45, -18, -9, 59, 38, 48, -29, -29, 14, -7, 13, 30, -22, 78, -51, -55, -28, -94, -3, 4, 23, -16, 22, -14, -46, -4, 11, 62, 53, 21, 43, 57, -22, -49, 61, 70, 44, -19, -37, -47, -5, 49, -6, 16, -7, 7, 59, -59, 41, -30, -58, -2, 27, 9, -46, 62, -57, 28, -38, 60, 36, 52, 31, -31, -36, 4, 25, 46, -41, -25, -13, -35, 34, -57, 36, -36, 23, 10, -27, 60, -7, -14, 16, -48, -5, -30, 11, -47, 15, 38, 50, 52, 25, 40, -5, -53, 40, -55, 47, -13, -3, -29, 41, -49, 31, -39, -2, -12, -18, -66, -23, 12, -51, -55, 11, -22, 1, 21, 37, 57, 3, -55, 24, 42, -62, 6, 5, 15, -23, -52, 40, 41, 47, -28, -56, -65, 35, 4, -8, -1, -3, 15, 11, -10, 46, 31, 51, -56, 4, 40, -8, 41, -50, 29, 44, -15, 14, 41, -13, 31, -53, 19, -29, 52, 31, -1, 9, -16, -8, -54, -56, -30, -48, -6, 31, 51, 35, -42, 55, -52, 23, -14, -62, 21, 14, -22, 11, 36, 9, -53, 22, -21, 42, 55, -13, -51, 29, 49, -9, 27, 36, -13, -28, -48, 30, 5, -55, 53, 33, 41, -23, 20, 30, 17, -51, -39, 33, -5, -59, 42, -7, 0, 19, -42, -46, -11, -7, 18, -25, 58, 53, 51, 55, 47, 45, 40, 85, 65, 58, 35, -6, -73, 4, -15, -82, 27, 22, -57, 39, -9, 54, 21, -48, 49, 5, -59, 0, -47, -38, 6, -6, -58, 41, 3, -22, 28, 32, 36, 40, -41, 64, -46, 44, 8, -45, 10, -7, 34, 41, 50, -53, 45, -7, 30, -45, -26, 47, -54, 7, -35, 54, -19, 47, -3, -33, -27, 22, 41, 48, 20, -31, 3, 7, 41, 25, 29, -13, 23, -30, 25, -21, -49, 2, 10, -28, 44, -53, 7, 66, 40, -8, 56, -15, -3, -8, -23, -32, 38, 32, -40, 47, 15, 37, -38, 38, 14, 14, 36, -3, -58, 1, -26, -12, -25, -20, -37, -3, -45, 7, -33, 30, -27, 50, -38, 36, -2, 7, 9, 48, -47, 60, 30, -45, 27, 1, 5, 51, -27, 5, 4, -6, -33, -42, -9, -15, 42, 17, -6, 64, -30, -31, -30, -51, 58, -18, 32, -54, -38, -9, -54, -56, -12, 1, -5, -13, -54, 1, -12, -6, 28, 46, 53, -22, 24, -11, -5, -39, 18, 19, -39, 36, 32, 63, -6, 34, 57, 46, 3, 63, -16, -64, 0, -37, -18, 15, 17, 45, 32, -27, -37, 18, -32, 24, 57, -46, -2, 12, -59, -25, -28, -3, 12, -22, -26, -49, -45, -62, -51, -27, 28, 56, 31, 62, 9, 35, -28, -43, 34, -57, 9, -28, -3, 60, 4, 2, -4, 23, 25, 16, 16, 39, -20, 63, -41, 32, 10, -31, -40, 32, 47, -53, -51, 8, 27, 1, 6, -10, -13, 8, 59, 30, -32, -16, 3, 25, -7, -42, -55, 29, -43, 28, 50, 36, -18, 0, -56, -47, 56, 28, 2, 47, 22, 35, -36, -13, -3, 33, -7, 1, 44, 7, -37, -21, 30, -66, -21, -13, 39, -12, -5, -3, -21, -35, -26, -50, -59, 22, -44, 25, -49, 39, -55, -9, 59, 57, 25, -41, 15, 65, 11, 32, 2, 28, 23, -51, 36, -48, -31, -13, -25, 16, -72, 37, 16, 1, 43, -23, 21, 49, -54, -20, -39, 21, 26, 53, -35, 7, -7, -8, 56, 22, 13, 42, -42, 53, 16, 29, 48, 15, 40, 24, 41, 48, -13, 23, 0, 37, -33, 7, 22, -38, 52, -27, -45, -11, 10, 6, -5, 3, 6, 32, -47, 43, 50, 22, 36, -51, 17, -23, -32, 31, 10, 13, -3, -21, 47, 8, -32, -5, -7, -24, -41, 49, -8, 40, -4, 37, 48, -38, -5, 18, -35, 25, -29, 45, -26, 36, 15, -52, 1, -10, 35, -14, 25, -38, 44, -37, 8, 7, 40, -19, 44, 45, 43, 55, 56, 1, 19, -42, -61, -38, 8, 17, 14, -51, -2, 10, -50, -1, -59, -24, 1, -40, 30, -2, 26, 59, -30, 50, 12, 57, 14, 12, 30, 23, -2, -30, 23, -35, 10, -19, 41, 52, 10, 2, -40, -37, 61, 52, 59, -24, 55, -48, 50, -54, 9, -45, 44, -44, -64, 50, -3, -23, 13, 24, 4, -41, -33, 28, -21, 28, 7, 36, -14, -62, 17, 2, 49, -49, 3, -43, -38, 42, 29, 16, 32, -43, -50, -11, 60, -2, -27, 62, 54, -20, 25, -39, 20, 13, 41, -30, -40, 2, -35, -52, -53, -38, -11, 53, -12, 19, 59, 31, 24, 12, -47, -56, 18, -21, 58, 63, 61, 32, -57, 37, -46, -31, 41, -48, -53, 39, -46, 43, -9, 23, -52, 51, -30, 8, -56, 16, 15, 58, -1, -39, -43, -22, 54, 12, -26, -62, -27, -27, 29, -31, 19, -43, -19, 52, 36, 25, 48, 46, -12, -55, -2, 6, 17, 44, 20, 55, -17, 17, 7, -17, -10, 33, 13, 47, 20, 45, -47, 28, 36, -6, -15, 47, 3, 21, 17, 6, -33, -18, 36, 36, 33, -35, -1, -21, -47, 40, 34, 50, 49, 15, 19, -50, 22, 49, 65, 28, 31, 14, 1, -15, 56, 15, -39, 53, -24, 17, 54, -19, -16, 41, -8, -33, -20, -38, 59, 29, -25, -19, -55, -68, -74, 18, -29, -41, -7, -59, -67, 18, 57, -61, -14, 22, -8, 61, 41, 21, -45, -8, -24, -80, -77, -20, -75, -41, 8, -53, 33, 32, 4, 42, 45, -11, 65, 16, 19, 13, 22, -56, -24, 51, -34, 16, 36, 19, 42, 37, 4, -30, -28, 42, -11, -20, -14, 40, -27, 60, -51, -14, -46, -34, -45, 14, -31, -13, -31, -3, -25, -8, 48, 47, -16, 4, -66, 16, -47, -46, -24, 41, 18, -25, -44, 11, 30, -38, 16, -46, 75, 40, 42, 12, 34, -18, -16, 38, -16, 20, 28, -42, 42, -27, -35, -22, -46, 26, -1, -11, -67, 26, 43, -54, -60, 11, -43, -47, -38, 56, 49, 29, 43, 48, 46, 29, -54, -39, -18, 5, 45, 47, 25, -15, 27, -49, -25, -59, -36, -48, -26, 42, -59, 18, -34, -15, -57, -6, -16, -54, 11, 32, 18, 30, 28, 21, -27, 32, -41, 22, 69, 54, 28, 9, -17, 11, 3, -31, -3, 24, 54, 4, 52, 22, 18, -53, 51, 52, 54, 16, -50, 12, -53, 43, -3, 12, 27, 5, -36, -11, 58, -65, 23, -37, -47, -14, 4, -20, 33, 24, 7, -6, 9, -4, -57, -46, -65, 35, 53, 58, 3, -62, 57, -11, 17, 50, -36, 50, -62, -34, 37, 8, -22, 18, 0, -45, -51, -9, 34, 64, 9, 59, -31, 31, -8, -47, 20, 31, -30, -32, -63, 2, -36, 43, -62, -34, 36, 9, 54, 31, 31, -20, -45, -60, 21, -52, -18, -48, 53, 2, -4, -49, -43, -10, 59, -51, 11, -58, -40, -51, -28, -40, -58, -28, -41, 6, 33, 0, -27, -32, 60, -34, 5, 17, -28, -53, -18, 48, 33, 18, 75, -52, -11, -9, -10, 58, 3, 9, 61, 48, 47, 29, -34, -40, 2, 9, -26, -44, -55, -31, -40, 11, 31, -42, -25, -8, -1, -13, -26, -9, 55, 52, -13, -42, -4, 61, -39, 1, 61, -27, -14, 11, 32, 24, 34, -43, -26, -37, 66, 25, 30, -66, 23, -5, -5, 55, -45, -5, -14, 15, 44, 1, -41, 56, 12, 7, -56, 19, -54, -11, -32, -59, -46, -18, 37, 57, 30, -8, 54, -22, -34, 2, 39, -60, 50, -27, 55, 48, -13, 14, -46, -7, -33, 22, 18, 59, 22, 40, -23, 12, -18, -47, -47, -11, -43, -20, 54, 7, 0, -47, 43, 39, 32, 18, -15, -55, 2, 15, 13, -12, 23, 27, -59, -9, 23, -57, -35, 14, 58, -22, 37, 24, -52, 26, 53, 23, -1, 31, 73, 33, 61, 11, 44, 2, -14, 18, -60, -22, 27, 34, 43, -55, -12, 4, -12, -19, -60, 34, 62, 41, -21, -52, -2, -21, -36, 45, 54, 12, 49, -21, 35, 38, 70, -10, 58, -22, 15, 69, -6, -41, 34, 19, 2, -85, -77, -12, -23, -63, 45, 33, 40, 49, -27, -40, 40, -38, 4, -27, 39, -32, -10, -64, 58, 9, -25, 8, 64, -59, 15, -55, 45, 15, -39, 75, -48, 34, 23, 27, -24, -57, -33, 20, -38, -71, 21, 24, 52, -36, -1, -69, 8, 51, 49, 1, -59, 1, -55, -69, -52, 21, 22, 18, -55, -19, -52, -50, -27, -25, 10, -33, 36, -11, 5, -19, -66, 16, -10, 7, 18, 54, -39, -27, -6, -44, -12, -50, -14, 41, 25, -47, 55, -31, 48, 24, 29, 53, -19, 6, -50, -50, 68, -20, 21, 58, 54, 23, 30, 21, -2, 38, -18, 23, -27, 39, -44, -10, 3, 55, 37, -51, -63, -12, 33, 18, 17, -26, 24, -34, 52, 35, 61, 24, -5, -60, -9, 17, 28, -23, 3, -55, -14, 36, 31, -41, -37, 24, -30, 53, -53, -30, 22, 16, -36, 9, 43, 11, 28, -8, 21, 48, -39, 58, -20, 28, 47, 36, -10, -5, 25, -33, 27, 30, 0, 33, -68, -40, 12, 43, -71, -40, 57, 1, 31, -33, 40, 42, 67, -27, -51, 36, -54, 48, -18, 28, 54, 47, 27, 7, 42, 0, 44, -42, 54, 3, 41, -9, 49, 35, 52, -43, -43, 3, 49, 14, -50, -55, -22, -16, 57, -30, -36, 3, 0, -39, -26, 18, 19, -3, 41, -23, -52, 52, 56, 21, -49, 3, -41, -13, -2, -21, 33, -36, 31, 36, -32, 0, -18, -13, -38, -40, 2, -23, -30, -15, -4, 32, 18, -51, 32, 12, 50, -43, -4, 2, -3, -44, 11, 25, 34, -19, -6, 14, 61, -4, -8, -44, 20, -43, 55, 13, 41, -37, 60, 47, 4, -29, -18, -31, 37, -7, 4, -31, -35, 14, 31, -62, 55, -10, -26, 24, -49, 3, -63, -34, -11, 58, -44, 32, -17, 46, 22, -29, 49, -14, -36, 22, -21, -37, 2, -45, -52, -63, -13, -7, 6, -23, 35, -45, 25, 48, -39, -25, -5, 62, 43, 38, 14, -5, -12, 43, -23, -18, -18, 37, -2, 31, -25, -31, -35, -26, -2, 60, 18, -54, 26, -24, -15, 4, -48, -62, 40, 50, -11, -45, -54, -55, 30, -63, 16, 37, 26, 20, 55, -48, -2, 55, 55, -32, 13, -7, 53, -76, -31, -7, -17, 31, 38, -7, 9, 60, -1, 59, -57, -60, -23, -38, -49, 38, 10, -26, -6, 10, -11, 3, -36, -6, 28, -35, 51, 18, 32, -18, -14, -63, 29, -26, -6, -46, 15, 34, -11, -19, -13, 46, 24, 30, -51, -69, 49, 24, -31, -13, -1, -29, -17, -46, 15, 42, 42, 21, 55, -44, 41, 0, 60, 29, 36, -16, -28, 59, 50, -52, -11, -47, -57, -6, -57, 25, 51, 22, 25, 12, -26, 0, 26, -48, -26, -20, -24, 6, -5, -53, 17, -15, -48, -56, 25, -10, -8, 43, -57, 47, 8, 16, -50, 30, -33, 25, -37, -15, 28, -12, -46, -33, -26, 54, -20, -25, -63, 34, 36, 41, 46, -36, 4, -42, -10, 6, -47, 34, 2, -23, 16, 45, 21, -41, -45, 3, 11, -25, 49, -48, 58, 30, 40, -62, -14, -21, 11, -60, -22, -7, -42, 26, 25, -56, 0, 47, 3, 58, -34, -2, -49, 7, 61, -50, 13, -10, -15, -52, -39, 18, 66, -15, -22, 46, -38, -4, -15, -30, -36, 14, 10, 4, -21, -19, 46, -43, -18, 44, -9, 43, 15, -15, 43, -39, -42, -48, 34, -21, 0, 33, -18, 14, 41, -29, -15, -50, -20, 24, -59, -59, -62, 30, -26, 29, -7, -15, 48, -10, 39, -58, -20, -5, 50, 61, 53, -16, -40, -10, -14, -39, -55, 27, -40, -24, -20, 23, -15, -56, -35, 40, -1, 3, 31, -3, 42, 39, 25, 41, -15, -69, 24, -25, -54, -46, -46, 8, -4, -61, 42, -60, -11, 7, -21, -10, 29, 45, 24, 39, -12, -17, -11, 51, 28, -36, -6, -8, 14, 57, 46, -60, -58, -42, 13, -55, -56, 22, -27, 34, -27, -10, -13, 7, 2, 0, 38, -32, 61, 35, 29, -55, -5, -54, 46, 34, 9, -45, -8, 4, -15, -42, 21, 5, 43, 44, 33, 2, 63, -9, -53, -56, -44, 13, 61, -38, -56, -14, 41, -23, 64, 10, -48, 9, 28, 5, -43, -19, 47, 45, 23, 14, -31, -26, 45, -16, 62, 32, 19, 52, 37, -54, 62, 33, -19, -63, -8, 3, -49, -57, 32, -29, -22, -17, -16, -53, 11, 58, -30, 26, -21, 29, -57, -37, -39, 34, -24, 56, 42, 41, 2, -22, 44, 13, 34, -63, 1, -17, 23, 57, 30, -25, -28, 6, -11, 50, 34, -7, -25, 47, -43, 22, 22, 32, 5, 1, -41, -4, 56, 36, 0, 7, -44, 28, -31, 12, 8, 2, -55, 0, -4, 8, -25, -14, -2, 43, 33, -49, -13, 2, -34, 30, 47, -14, -44, 56, -39, 25, 14, 37, -38, 50, -44, -2, 41, -17, -53, -23, 3, 65, -30, -47, 1, -56, 34, 56, -11, -40, -9, -75, 58, -11, -55, 28, -13, -11, -44, -40, 25, 34, -32, 58, 12, -21, 10, 14, 30, 60, 41, -10, -12, -34, 55, -53, -19, -59, -42, -56, -39, 30, -12, 28, -28, 11, 55, -8, 27, 14, -15, -28, -36, -35, 13, 8, 2, 54, -49, -7, -28, 52, -58, 1, -39, -28, 57, 22, -49, 19, -55, 37, -23, -21, 22, -17, -21, 52, -49, 54, 7, 11, 42, -35, -41, -55, 35, 42, -56, 38, -3, -59, -2, 26, 34, -38, -28, -39, 58, 35, 15, -42, 11, -61, -47, -52, -32, 25, -53, 22, -54, 12, -46, 37, 13, -53, -46, -53, -24, 45, 55, 24, 40, 16, -38, -9, 19, -13, 59, 55, -31, -34, -30, -50, -59, -15, 54, -31, 60, 12, -4, -22, 7, 44, 42, 39, 43, -36, 12, -6, 53, 42, 37, -39, 37, 27, 36, 61, -7, -4, -19, 1, 41, 11, -3, 37, -64, 74, -47, 29, 53, -51, -26, 53, 40, 8, 39, -27, 18, 27, -52, -11, -45, -41, -11, -55, -19, -2, 5, 56, -31, -37, -25, -36, 52, 1, -10, 34, 28, -7, 36, 15, -28, -48, -22, 1, 21, -56, 28, 41, 24, -54, 49, -47, -10, -60, -14, 9, 7, 31, 13, 16, 59, 53, -47, 7, 51, -35, 4, 13, 54, 45, 47, 57, -47, 47, 50, -36, 35, 29, 52, 6, -12, -23, 36, 30, -41, -36, -41, 26, -45, 6, 61, -32, 32, -53, -24, 23, -8, 64, 41, -50, 29, 39, -13, -25, 47, -22, 51, -9, 27, 22, -37, -31, 10, -46, 10, 55, -18, 39, 23, 36, 22, 10, 21, -17, 27, 16, 3, 57, 49, 58, 9, 37, 46, -49, -53, 61, -48, 28, -23, 7, 26, 27, 38, 18, 22, -63, 22, 0, 0, 37, 3, 43, 42, -56, -46, -60, 19, -53, 26, -9, -6, 17, 4, 61, -56, -19, 20, 30, 57, -47, -26, 48, 37, 13, 36, -32, 34, -6, 46, 21, -56, 45, -11, 3, 49, 30, 22, -55, 51, 26, -57, 27, -42, -37, -47, -33, -65, -20, 7, 13, -20, -32, 31, 39, 1, 39, 21, 21, 23, 40, -43, -4, 13, 20, 13, -5, -51, -21, 57, -22, 24, -65, -19, -58, 19, 5, -49, 52, 53, -30, 0, 48, -25, 4, -48, 23, 44, -19, 27, 34, -45, 38, -4, 51, -13, 0, 51, -30, 16, 4, -58, -53, 42, -13, -38, 40, -14, -24, -58, 40, 27, -13, 22, -39, -16, -41, -34, 45, 18, 7, 12, -48, -48, -54, 0, 19, 34, 7, -48, 29, -52, 18, -23, 6, -24, -12, -32, -43, 49, -16, 20, -17, 57, 16, -31, 19, 49, 21, 44, 46, 31, 15, -46, -24, 20, 32, -21, 47, 13, -10, -34, -50, -39, 57, -45, -9, -30, -15, -50, 39, 9, 10, -39, 17, 35, 15, -44, -8, 12, -39, -22, 28, -62, -12, -54, -24, 33, -58, 15, -4, -36, 8, -43, 32, 44, 52, -52, 30, 37, -25, -25, 8, -17, 9, -2, 42, -19, -51, 26, -64, 14, -15, -11, -25, -41, 48, 46, -31, -42, -6, -15, 6, 30, 16, 59, -53, 43, -60, -39, -44, 54, 8, -16, 3, -14, -31, 53, 51, 46, 12, 43, 26, 52, 16, -20, -48, 39, -43, -22, -19, 43, -1, 24, -6, 22, -11, -58, -63, -49, -58, 47, -13, 39, -51, 22, 35, -43, -27, -6, 46, 35, -42, 17, 37, -35, 32, -45, -41, 30, 13, -12, -9, 35, -60, -48, -10, 40, 57, -56, -45, -46, -40, 15, 50, 48, -51, -1, 50, 2, -59, 7, 5, -17, -26, -18, -64, 60, 4, -17, 18, 5, -51, -17, -17, -11, 36, 54, 39, 3, -47, 58, -49, -20, 28, -16, 7, -14, -53, 39, 61, -39, 20, -55, -19, 32, 27, 12, 54, 6, 25, 16, 23, 8, -45, -48, -13, 12, -8, 13, 48, -42, -14, -33, -44, 32, -1, -31, -35, -22, -47, -40, 7, 43, -7, 14, 58, -47, -30, -51, -2, -36, -9, 34, 43, 37, 52, 14, -3, -13, 14, 11, 19, 56, 29, -40, -59, -19, -54, 27, -24, -13, 53, -37, -31, -19, 33, -57, 4, 61, 12, -5, 59, -53, -63, 10, 46, 10, -22, 27, 50, 42, 46, 26, 34, -31, 54, -52, -25, 23, -41, -47, 3, 0, 45, -16, 9, 18, -11, -10, 47, 53, -57, -19, -43, -29, -36, 20, 13, 9, 21, -3, -25, 21, -32, -32, 37, -10, -48, 3, -16, 36, -56, -35, 6, 21, -14, 22, -10, -1, 21, 31, -47, -62, -61, 36, -4, -42, -34, -2, -48, 35, 39, 15, -53, -26, -13, -50, -27, -41, 16, -27, -22, -45, -44, 17, 25, 40, 2, -32, -43, 44, -20, -18, -56, -28, 28, -27, 8, 51, 15, -36, 22, -55, -17, 37, -55, 14, 18, 7, 21, -51, 16, 37, -20, -47, -39, -24, -25, -17, 43, 28, 35, 18, 18, 39, 5, -7, 44, 48, -45, 30, 24, -29, 26, 54, -53, -4, -16, 0, -31, -13, 0, 3, -29, -13, -52, 14, 43, -52, 2, 4, -37, 18, 29, -36, 0, 60, 62, -12, -11, 58, 18, -6, -62, -40, -28, -43, 21, -37, -15, -23, 34, 27, -33, 37, 40, 50, 44, -48, -29, -33, -49, 49, -44, 51, -41, -45, 19, 29, -42, -52, 3, 33, -32, 19, 31, 45, 19, 62, 17, 61, -33, 54, 1, -13, -52, -40, -32, -55, -17, 31, -12, 57, -56, 11, -4, 55, -12, 28, 50, 40, 40, -52, 47, 8, -5, -30, -18, -30, -32, 5, 60, 10, 0, 57, 33, 33, 57, -25, -53, 1, -46, -40, -23, -38, -20, -41, 17, 61, 33, 55, -38, 13, -50, -54, 48, 8, -31, 39, 57, -20, -16, -21, -19, -20, -12, 64, 54, 53, -56, -51, 29, -46, -48, 0, -23, -9, -31, 21, 19, 56, -45, -5, -38, -57, -28, 17, 34, 29, 23, 36, 0, 14, 30, 59, 14, 19, -8, -46, 11, 25, 25, 7, 25, -32, -28, -24, 2, -53, 28, -26, 30, -63, -34, 31, -11, -70, 31, 67, -11, -34, 21, 48, -21, -40, 24, -41, -53, -29, 54, 6, 51, -55, -20, 51, -26, 58, 54, 46, 20, 48, 42, 9, 26, 41, 17, -69, 3, -24, -28, -47, 31, -47, 53, 59, -54, -25, -61, -7, 6, -22, 19, 26, 29, -32, 23, 4, -52, 1, -30, -46, 28, -24, -9, -12, -38, 4, -31, -29, 18, 15, 21, -17, 41, -51, -23, 8, -50, 3, 9, -21, -24, -49, -11, 44, 11, 33, -7, -1, -3, 23, -7, 4, -8, -32, -24, 44, -19, 50, -41, -5, 77, -30, -11, 14, 55, 36, -44, 44, -17, -60, -46, -9, -10, -6, -38, -25, -54, 17, -22, 24, 44, -55, 18, 24, -56, -8, 24, 22, 58, -16, 49, -77, 14, 32, 0, 55, 41, 11, 66, -89, -28, -33, -83, 58, 20, -23, -18, -3, -6, -64, 22, -47, 24, -56, 3, -25, -35, -41, 23, -20, -26, 31, 61, -56, -1, -43, 29, 27, -21, -18, -26, 33, -46, -41, -45, -10, -12, -25, -21, -9, -10, -19, 41, 52, 45, 14, 69, -11, 28, -3, 22, 43, -1, -45, 3, 30, -22, 37, 35, -42, 3, 5, -46, 45, 28, 5, 49, -4, -30, 28, 14, -11, -45, 10, -39, 18, -48, -2, -22, -14, -57, -68, -33, 40, 36, 30, -18, -55, -48, 28, -23, 26, 9, 7, -8, -46, 48, 50, -58, 11, -42, -30, -34, -47, 40, -56, 11, -9, 34, -15, -22, 35, -38, -9, 23, -8, 49, -54, 17, 26, -9, 36, 19, -29, -7, 16, -29, 48, 64, 24, -31, 40, 22, 15, 76, 52, -11, 25, -35, 55, -17, -33, -47, -51, -11, -48, 53, 6, 16, -39, -49, -27, 67, 17, 51, 35, -14, -40, -26, -54, 45, 39, 11, -64, -5, -18, 41, -28, 1, 49, -54, -33, -19, -64, -16, 60, 33, 3, 46, 43, 78, 6, 71, 1, 25, 50, -15, -54, -41, 9, -44, 29, -4, 34, 20, -19, 5, 37, -22, 55, 26, -13, 59, -36, 20, 25, 15, -26, 18, -54, -17, 50, -80, -24, -35, -29, 38, 51, -40, 25, 27, 50, -30, 33, -36, 19, 59, 48, 56, -1, -52, 57, 40, 26, -47, 32, -63, -41, 51, 33, -29, 54, 37, 11, -30, -29, 17, 46, -48, -17, -48, 55, 40, -19, -2, 26, 32, -47, -45, 2, -38, -6, 53, 57, -10, 55, -25, 0, 34, -50, 39, 92, 3, -27, -31, 57, 45, 58, 94, -22, 46, 34, -21, -21, -56, -17, 8, -6, 29, -23, 64, -20, 24, -25, -51, 33, 25, 42, 35, -25, 40, 1, -38, 49, -10, -67, 19, -23, 19, -3, -61, -16, -12, 11, 1, -47, 21, -34, -18, 45, -10, 19, 57, 7, 21, -48, 7, 12, 16, -11, 3, 0, -33, -26, 7, 43, 55, -5, -9, 24, -55, 28, 28, -2, -53, -13, -41, 56, 30, -52, 71, 39, 5, 59, 19, 27, 19, 14, 62, -24, 54, 67, -23, 14, 34, 0, 26, -35, -37, 28, -11, 3, -4, -27, 10, 31, 19, -14, 17, 20, 26, -36, 18, 61, 58, 3, 4, 43, 48, -36, -20, -14, 62, 35, 32, 11, -63, -15, -46, 10, -31, 10, -71, -67, -36, -37, 9, -6, 2, 28, -8, -41, 7, 37, -9, 67, -19, 8, -22, -8, 25, -17, -38, -45, -43, 51, 14, 27, 20, -30, 63, 56, -12, -69, 45, -6, -49, 58, 54, -41, -9, -24, -30, -24, -68, 18, -15, 55, 18, -51, 24, 5, -41, 12, -25, -41, -30, 43, -59, 34, 27, 12, -20, -43, -14, 24, 27, 40, 41, 24, 41, -58, 35, -14, 42, -1, -43, 52, 13, 7, 40, -46, 44, -8, 28, -18, -60, 16, 4, 32, -54, -41, 46, -9, 0, 23, -54, 4, 6, 59, 49, 14, -56, 54, -45, 36, -33, 29, -44, -24, 39, -57, 42, 6, -20, 14, -59, -8, 52, -54, 42, -63, 24, 22, -55, -40, 33, 44, -12, -51, 54, -33, 50, -45, -16, -54, -22, 0, 38, -41, 26, -7, -12, -46, 56, 53, 29, -24, -84, -28, 51, -73, 1, 7, 49, -1, -24, 2, 12, -2, 13, -42, 14, 26, -26, -26, -28, -14, -20, -2, 47, 61, 20, 5, -34, -27, 53, 26, 21, 0, -19, -52, 17, 8, 43, 2, -14, -28, -49, 16, 7, 56, 44, -28, -32, 53, 33, -34, 42, -47, 56, 0, -10, -32, 14, -55, -13, 15, 9, 1, -39, 30, -5, -45, -17, 3, -34, 41, 43, -6, -31, 24, -22, 20, -24, -53, 45, 48, -59, 58, 50, -31, 41, 45, -29, -25, -18, 43, -34, -14, 16, -21, -50, -42, 47, -20, -50, -11, 49, -23, 36, 37, -60, 29, 77, -9, 7, 11, 0, -41, -2, -12, 19, -59, -16, 25, -33, 13, 4, -69, 51, 37, -13, -21, -4, 8, -23, -37, 26, 29, 55, -45, -11, 29, -34, -56, -60, -47, 39, -16, -34, 4, -45, -58, -7, -2, -38, -24, -41, -61, 29, 32, -51, 7, -48, -7, -27, -21, 20, -48, 2, 11, 60, 52, -44, -22, 50, 18, 16, -34, 76, 20, -19, 82, -15, -67, -41, 55, -33, 41, -14, -35, 4, -6, -54, 12, 6, -1, -51, 0, -42, -45, 48, 93, 34, 18, 52, -59, 30, 13, -42, 22, 39, -9, -30, -61, 7, -24, 47, -44, 13, -11, -8, 28, -31, -42, 31, 31, 2, 49, -8, 39, 38, 67, -42, 3, -25, -3, -21, 80, 15, 47, -60, -36, 47, 32, 22, 27, -23, 33, -19, 55, 54, 40, 56, 3, 20, -31, 12, -6, 2, -46, -47, 70, 11, -11, 45, -45, -24, -60, 32, -48, -2, -42, -44, -22, -34, -6, -16, -59, 33, -17, 41, -34, 61, 32, -61, -32, 15, -32, 14, -33, -41, 48, 34, -30, 26, 5, 52, -25, 17, -18, -15, 16, 46, -65, 65, 37, 46, 21, 18, -49, 36, 15, -9, 57, -13, 45, -18, 39, -49, 34, 27, 11, -3, 32, -47, -47, 47, -46, -5, -27, 16, 17, -46, 61, -5, 3, 16, 14, -39, 38, 65, -29, -38, -36, 56, -3, -18, -10, -51, -50, 5, -28, 27, -30, 31, -31, -44, -50, 0, -36, -13, -4, 49, 32, 60, 1, -24, 39, 20, -71, 59, 21, 20, -4, -26, 45, 34, 22, 47, -13, 26, 8, 1, -20, 19, 6, -16, 13, 36, -21, -42, -46, -40, 27, 51, 20, 36, -49, 55, -18, -5, 56, 0, -27, 34, 59, -23, 50, 64, 48, 21, 49, -43, -23, 40, 24, 32, 16, 42, 39, -51, -16, 74, -36, -39, 42, -12, 57, -50, 47, -46, 41, -36, -12, 13, 27, 34, -50, -47, -4, 42, -20, 58, 47, -57, -61, -43, -24, 31, 27, 3, 50, -60, -45, -18, -33, 45, -30, -36, 16, 21, 25, 0, 55, 9, -3, -3, 10, 38, -33, 0, 25, 50, 36, 15, -20, 52, 47, 24, 67, 49, 36, -24, -53, 57, -2, 33, -16, 15, 6, -23, 1, 51, -37, 57, 9, -13, -47, -50, 41, -31, -1, 4, -45, 18, 19, -12, 35, 53, 34, 23, -11, -53, -26, 36, 31, -35, -18, -52, 34, -15, 26, 23, -28, -30, -53, 34, -31, 60, 63, 3, -28, 5, -14, 22, -7, -13, 18, 12, 18, -68, -26, 3, 40, -23, -47, -40, 40, 23, 53, -15, -12, -19, 17, 28, -52, -32, -48, -26, 71, 20, -34, -18, 42, 50, -28, 2, 14, -57, 45, 55, -30, -43, -19, -61, 26, -23, 3, -47, -43, -36, -64, -52, -34, -38, 2, -10, 25, 57, 39, 0, 29, 35, 26, -31, -12, 19, -28, 0, 45, 52, 11, -3, -46, -26, -10, 6, 1, 39, -1, -8, 59, -6, -40, -16, 26, 35, 19, -57, 10, 2, 43, 0, 15, -40, -7, 3, -61, 59, -37, -50, -40, -5, -26, -17, 9, 1, 15, -37, 14, 21, -30, -46, -23, 43, 27, -52, -56, -9, 24, -52, -58, 28, 62, 28, -27, 15, 32, -39, -47, 39, -40, -56, 10, 42, -36, 49, -30, -57, -43, 30, -47, -29, 45, -40, -47, 27, -34, 45, -31, -15, -34, 33, -59, 30, 20, -40, 4, -35, 56, 60, -43, 49, -40, 51, -57, -53, 12, -39, 0, 23, -27, 3, 37, -30, -47, -38, 8, -4, -7, -7, -3, 54, 9, -61, 60, 13, -4, 52, -24, 38, -44, -43, -14, 57, -1, 3, 18, 47, 3, -10, -31, -20, -7, 31, -58, -7, -1, -21, 44, 6, -17, -44, 13, 42, -31, 37, 45, 57, -27, -51, -46, 2, -42, 33, -38, -7, -39, 37, 5, -15, 31, -54, -29, -53, 63, -38, -51, 83, -22, 21, -10, 45, 8, -37, 53, 31, -35, -28, -22, -44, 15, -59, -12, -46, -21, -19, 57, 4, -30, -22, 39, -9, -2, -54, -25, -31, -8, -48, 7, 11, -46, -32, 21, -61, -17, 48, 47, -56, -33, 2, -2, -5, 37, 45, -16, -47, -42, 53, -18, 18, 22, 54, 1, 6, 30, 39, 5, -60, 38, -32, 50, 12, 42, -50, -16, 0, -47, -28, 54, 30, 9, -37, 53, -43, -21, 36, -37, -11, -14, -45, 3, -25, 58, -22, 21, 35, -38, -29, -35, 16, 5, 6, -23, 51, -16, 29, -8, 42, 44, 56, -2, 11, 29, 51, 4, -45, 0, 56, 1, 39, -6, 54, -49, 17, -49, -14, -58, 8, -52, -16, -39, 48, -45, 62, 41, 4, 7, -42, 48, -13, 62, -45, -58, 41, -49, 14, 10, -1, -49, -3, 49, 51, 56, 6, -51, 67, -23, 59, -34, -17, -52, -31, 43, 35, 48, 5, 14, 9, 26, -50, -48, -41, -37, -4, 33, -55, 47, -16, -4, 23, -13, -16, -20, -18, 28, -23, 33, -45, 43, 0, -40, -20, -12, 27, -80, 9, 64, 45, -15, 6, -12, -4, -11, 4, -24, 61, 24, -3, -47, -46, -50, -3, 55, -13, 45, -14, -48, -5, -14, 40, -49, -8, 49, 44, -37, -44, 0, -60, -37, -35, 5, -54, 23, -10, -53, 4, 41, -18, 8, -13, 2, 37, 9, 37, -16, 41, -32, -50, 41, 20, -43, -37, -39, 27, -44, -42, 38, 10, 19, 31, 50, 41, 6, 18, -55, -44, 19, -29, 25, 48, -5, 17, -17, 33, 22, -59, 44, 3, 35, 20, -14, 12, 36, -52, -21, 39, 11, -46, 42, -12, -56, 22, -1, 40, -27, -49, 50, 39, 30, 15, 9, -2, 26, -39, -33, -27, -44, 24, -17, 6, 8, 22, -25, 52, 35, 2, 2, 58, -38, -21, 53, 43, 29, 31, -55, -57, 6, -36, -42, 24, 16, 13, -30, 19, -56, -21, -36, -49, 29, 0, 67, -41, -38, 50, -14, -35, 9, -19, -53, -46, 33, 36, 47, -4, 40, -59, -57, -68, -3, -54, -45, -32, -20, 45, 39, -60, -41, 6, 4, -5, -47, 29, -23, 34, -55, -21, 7, -43, 4, 14, -17, 58, 53, 60, -30, 54, 10, 20, 49, -38, 43, -44, 42, -50, -12, 51, -42, 14, -25, -59, 3, 58, -21, -21, 3, 65, -43, -8, -7, -55, 7, -42, 2, 9, -63, -36, -15, -22, 32, 26, -2, -23, -31, -65, -36, -51, -6, -67, 37, -50, -31, -2, -19, -52, 49, -20, 61, -5, 2, -58, 60, -56, 54, -58, -32, 31, 4, 29, -48, -10, -10, 43, -24, 47, -60, 9, -16, -26, -9, -25, -43, 28, 49, -59, 13, -58, -6, -57, -6, -39, 26, 37, -47, -60, 22, -50, 20, 5, 67, -37, 26, -42, 40, -31, 25, 36, -13, -33, -58, -5, 36, 5, 54, 9, -60, 15, 6, 33, -41, 29, -53, 25, 37, 3, -8, -15, -38, -69, -31, 2, -18, -36, 42, 8, 23, 53, -44, 1, -29, -46, 8, 45, 41, 21, -20, 0, 31, 24, 24, -27, 58, 59, -30, 27, -30, -48, 15, 33, 28, -60, 22, 45, 13, -9, -12, -9, 10, 53, 53, -44, 41, 55, -30, 27, 18, 20, 42, -41, -1, 54, -10, 40, -17, 47, -7, 29, -30, -53, -24, -4, -8, -67, 34, 58, 29, 50, -42, -37, 1, 32, -2, 27, -9, 41, -52, -3, -24, 37, -41, -10, 76, -34, -23, -2, 25, -11, -55, 2, 27, -21, 53, -23, 4, 2, 16, 25, 22, 29, 48, 32, 17, 37, 30, 24, 18, 37, -4, -17, -36, -22, -4, 19, 24, -23, -9, 60, 7, -16, -12, 21, -30, 13, 50, 29, -32, -30, 25, 53, 8, 28, 50, -28, 10, 40, -2, -57, -55, 58, 8, 32, -34, -20, 67, 71, -49, 28, 37, 45, 28, 21, 56, 35, -17, -16, -16, 42, 2, -49, 59, -8, -31, 38, 7, -10, -13, -16, -29, 53, -53, -12, 48, 56, -17, -27, 57, -55, -13, -57, 33, 43, 18, 2, 26, -14, -56, 5, 56, 55, 3, 37, 22, -5, 2, 27, 48, 13, -10, 28, -58, 2, 47, -60, -59, -44, -24, -58, -14, 50, 0, -52, 26, -13, -15, 66, -38, 59, -21, -58, -56, -56, -45, 31, 6, -27, -46, 51, -13, 19, -25, -23, -57, 41, 16, 15, -52, -57, -43, -54, -46, -55, 14, -58, 57, 28, -29, 56, -20, 5, 63, 48, -33, -37, 19, 62, 41, -26, -51, -47, 32, 72, -39, 3, 52, 62, -15, -57, 35, 57, 14, -60, 7, -22, 34, 34, 12, -46, -55, -30, 40, 6, 25, -48, 26, 9, 27, 23, 23, -59, 27, 58, -52, 4, 42, -29, 10, -35, -34, -16, -51, 11, 37, 7, -25, 35, -32, 45, -56, -6, 13, -51, 44, -52, 49, -13, 15, -25, 48, -39, 13, -14, 16, -21, -28, -29, -58, -2, -18, -33, 41, 44, -37, -37, 16, 54, 6, -39, 28, -45, -17, 30, 55, -6, 57, -36, -19, 14, -18, -19, 36, 8, 52, 3, -38, 50, 15, 51, 31, -56, -45, 26, 31, -37, 2, -34, -8, -11, -1, -54, -10, -6, -27, 5, -22, 34, 35, -48, -50, -57, -39, 10, -40, 20, 9, -21, -19, -32, 20, -19, -59, 45, 54, -41, 56, 32, -47, -42, 17, 24, -53, 48, 27, -1, -57, 27, 1, -48, -57, -59, -59, 53, -4, -3, -45, 24, -21, -25, 52, -45, 41, -40, -3, -29, -59, -23, -55, 5, 26, -58, -59, 18, -3, -31, 36, -47, -54, 24, -16, -13, -27, -56, 13, -27, 13, -8, 22, 34, 28, 14, -43, -21, 46, 5, 15, -11, 21, -13, -8, 17, -6, -48, -5, 59, -21, 24, -18, 31, -52, 17, -61, 53, 50, -18, 23, -28, -18, -52, 50, -59, -24, -41, 17, 8, 29, 18, 24, 9, -49, 46, -25, -36, 31, -55, -39, -28, 50, 48, 57, -15, -49, 23, -18, 2, -61, -59, -15, -62, -55, -44, 21, 54, 48, 55, 5, 56, -31, 21, 21, -53, 23, -28, -15, -45, 15, -13, 31, -31, 38, -23, 45, 19, 3, 51, -65, 21, 44, -21, -45, 15, 37, 11, 26, 29, 54, 40, 41, -12, -29, -11, -41, 53, -17, -22, 37, -4, -58, 38, -16, 42, 38, -48, -13, -16, 33, 28, 6, 16, -15, -37, -38, -30, 45, 1, 57, 8, -37, 43, -8, -8, -28, 60, 52, -41, -58, 46, -41, -36, 37, 11, -25, 7, -49, -60, -10, 21, -43, 56, 22, 35, 23, -3, -26, -19, -18, 24, -56, -35, 46, -7, -47, -17, 24, -3, -7, 54, 53, -55, -20, 50, 24, 8, -60, -35, -8, 39, 14, -48, 18, 18, 3, 3, -17, 11, -21, 4, -23, -9, -26, -15, -49, -61, -20, -26, 34, 38, 44, 40, 55, -28, -14, 33, 7, -16, 43, 35, 7, 1, 14, 2, -58, -53, 16, 12, 48, 13, 57, -52, 30, 29, 25, -37, -21, 15, 53, 44, 43, -9, 36, -50, -43, 8, -30, -5, 13, -62, -35, -22, -45, -1, -28, 32, -28, -32, 21, 27, -29, 34, 47, -14, 35, 8, -57, -36, -16, -59, 25, -22, -35, -26, -31, -24, 29, -16, -40, -39, -35, 50, -28, 53, -49, 31, -16, -14, -41, -21, 4, -61, 17, 16, 33, 16, 30, -61, 56, -10, -23, -33, 43, 40, 5, 13, 53, -39, -50, 37, 16, 30, -41, -50, 25, -40, -14, -30, -17, 42, -47, 2, -31, 41, 0, -26, -7, 19, 56, 49, -48, 0, 59, -14, 47, 33, -55, 35, -40, 26, -44, -49, 45, -59, -8, -16, -27, 12, 54, 5, -43, 60, -9, -38, 19, 32, 52, 48, -4, -45, -24, 13, -36, 35, 58, -31, -14, -51, -42, 13, 56, -50, -48, -64, -6, -5, 50, -60, 1, -58, 9, -21, -32, 5, 36, 16, 60, -14, -51, -49, -56, -26, 22, 56, -12, -14, -41, 51, -27, -39, 52, -46, 37, 52, -36, -57, 24, -41, -59, 44, -52, 34, 41, -33, 16, -19, -11, 1, 37, 16, -21, 37, -30, -61, -53, -44, -43, 8, 20, 46, -47, -8, -53, -26, 47, -41, 8, 49, -46, -31, -11, -26, 42, 46, -33, -9, -35, -19, -30, -11, 10, 19, 39, -57, -10, -27, -11, -31, 13, -39, -25, -36, -59, 3, -38, -21, 53, -23, -48, 7, -53, 42, -41, 3, -32, -46, 10, 2, 38, -50, -20, 15, -37, 11, -34, -4, -48, -39, 20, 8, -38, 36, 56, -62, -53, -23, -34, -21, -7, -26, 44, 5, 0, 33, -30, -62, 32, 9, 56, 43, -25, 39, 57, 26, 60, 50, 46, 46, 20, -47, -2, -61, -11, 10, 7, -57, -59, -14, 35, 10, -11, -14, -20, 48, -59, -13, -10, -5, 17, 56, 26, -11, -33, -24, 12, -37, -57, 20, -12, -31, -56, -20, -50, -44, -7, 2, -54, 60, 5, 3, -53, -36, -41, 7, -22, 14, -42, -42, -36, -2, 45, -10, 24, -53, 34, 36, -45, 59, -59, 31, 34, 24, 54, 12, 6, 19, -39, 35, 52, 18, 33, -36, -45, 30, 5, 9, -54, 5, 27, -24, 20, 43, -52, -47, -3, 53, 60, 11, -16, 30, -51, 24, 22, 43, -30, -35, -31, 44, -60, -59, 60, 1, -22, -33, -56, -26, -18, 56, 2, 26, -17, -45, 58, -31, -20, -1, 0, 2, 15, 40, -31, 7, 49, 49, 60, 4, 55, -58, -19, 31, 22, -43, -42, 3, 39, 18, -35, -18, -38, 19, -47, -15, -50, 24, -48, -42, -40, -29, -5, -5, 32, -20, -17, -50, -58, 51, 22, -26, -49, 16, -43, -13, 57, -16, 52, -20, -50, -26, 10, -67, 5, -8, -23, 19, 10, 14, 56, -26, 25, 50, -9, 15, 34, 11, 60, -26, 37, 42, -42, 34, -50, 10, 25, -44, 11, -16, 13, -28, 52, 11, -13, -11, -14, -26, 35, -24, -65, 49, -21, 14, 57, 33, -50, -22, 3, 47, 46, 28, -24, 45, 56, 14, -9, -50, 47, 54, 39, -1, -7, -28, 10, -5, -30, -6, -18, -8, -55, -40, -50, 22, 57, 56, -60, 55, 46, -8, 10, 60, -60, 29, 10, -54, 37, 48, 10, 27, -25, 11, -50, -17, -18, -39, -53, -38, 13, 41, -34, 57, 38, -24, 4, 55, 42, -54, 44, 20, -42, -52, -59, 44, 51, -29, -40, -22, -47, 9, -31, 55, -20, 55, 44, 49, -38, -61, -18, -60, 42, 10, 34, 5, -61, -30, -58, -45, -45, -51, -41, -29, 17, -39, 16, 35, 55, 5, 6, -33, 49, 20, -46, 41, -59, -57, 4, -33, 28, -35, 58, 25, 20, 61, -57, 20, 6, -17, -56, 42, -15, -37, -60, 15, -57, -15, -27, -12, 29, 45, -58, 43, -7, 15, 40, -34, -35, 37, 6, 8, -8, -65, 20, 57, 14, 21, -46, -30, 1, -50, -13, -62, -7, -35, -61, -23, 45, -26, -3, -43, -44, 41, 31, 29, -36, 6, 45, 48, -59, 36, 52, -56, -63, -34, -61, -30, -1, -40, 5, -62, -43, 28, 0, 52, 51, 25, -58, -14, -34, -3, -51, -57, -25, 13, 36, 13, 38, -49, -31, -39, 9, 10, 32, 17, -4, -62, 26, 51, -60, 61, -48, -22, 9, 19, -14, 50, -12, 17, -21, -20, -57, -28, 37, -50, -15, 17, -23, 46, -27, 46, -45, -29, -56, 56, 20, -35, 33, 27, -31, 60, 53, 42, -27, -56, -8, 19, -37, 58, -11, -53, 60, -41, 55, -36, 34, -29, 1, -59, -63, -16, -28, 18, 30, -10, -50, -59, 4, -30, 1, -10, -9, -36, -31, 13, -34, 15, 15, -57, 3, -42, -5, -29, 30, -4, 47, -63, 30, -17, 7, 46, 28, -6, 65, -9, 47, -13, 21, 10, 47, 36, -32, -33, 7, -54, -62, 28, -11, 58, 53, 45, 19, -41, 19, 52, 16, 20, -54, 27, -43, -44, 2, 32, 28, 51, 30, 8, 25, 61, 34, -42, -33, 32, 53, -6, -29, 9, 9, 2, 16, 10, 28, 39, 9, -64, 2, -54, 26, 30, -6, 17, -19, -16, -34, 56, 5, -25, 8, 40, -48, 45, -26, -27, -2, 53, -19, 61, -45, -48, -46, -4, -6, -44, -40, -38, 57, -22, 44, -37, -18, 56, 27, 51, 29, -30, 37, 8, 6, -5, -28, -52, -20, 19, -29, -67, 36, -6, -55, -41, 1, -48, 16, -16, 26, 32, -11, 20, 51, 34, -5, -25, -17, -28, 2, 18, -1, 42, -10, 1, -2, -46, -26, 32, 63, -60, 62, -31, -35, 19, -20, -6, -70, -62, 55, -50, 14, 56, 40, -3, -35, -24, -42, -49, 5, 4, -30, 33, -42, -28, 15, 45, -56, -42, 55, 26, 37, 6, -32, 28, -23, -62, -50, -40, 1, -26, -58, 3, -58, -42, -25, -18, -49, 36, -30, -51, -34, 26, -3, -8, -5, 33, 28, 18, 60, -25, 33, -36, 46, 13, 2, -12, -50, 41, -58, -10, 41, 19, 6, -42, -5, -13, 29, 17, -20, 42, 27, 18, 59, 22, 19, -44, -15, -59, 42, 52, -3, 50, -7, 26, 38, 61, -49, 2, 11, 39, -6, 11, -2, -10, 20, 16, 54, -2, -40, 42, -12, -61, 34, -42, 19, -51, -38, -26, -32, -35, 26, 3, -5, -53, 33, -33, -3, -44, 12, 8, -7, -37, 57, 33, -54, 60, -60, -16, 1, 31, -41, -49, 2, 27, -25, -52, 53, -55, 3, 43, -31, 16, 35, -57, -8, 17, -58, 6, -11, 57, 31, 8, 31, 30, -22, 5, 42, -5, -30, -5, 36, -22, 56, -5, 14, 5, -55, 38, 31, 44, 30, -22, 53, -38, 41, 6, -7, -5, -50, -6, 32, -59, -32, 31, 38, -9, 10, 54, 47, -10, -11, -10, 32, -21, 56, 47, 52, 55, 12, -41, 36, -60, 41, 35, 38, 39, -49, -67, 0, -10, -43, 38, -37, -28, -23, -2, -11, -65, -19, -50, 34, 54, -20, 65, 45, -50, -10, -23, -11, 21, -47, 13, -1, 22, -7, 22, 6, 48, -58, 30, -24, 31, 38, -16, 23, 18, -50, -31, -43, 60, 64, 9, 14, 30, -49, 34, -31, -16, -39, 50, 12, 11, -13, -49, 55, -39, -4, 50, -20, -10, 48, -15, -1, -1, 10, 48, 25, 17, 18, -34, 35, -21, 26, 53, 51, 50, -63, -29, 6, -34, 23, 45, -59, 43, -36, 13, 9, -56, -51, -27, -42, -13, 6, 2, 17, 13, 2, 30, 7, -34, -42, -48, 19, 5, 3, -63, -17, -28, 25, -16, -38, 39, -28, -21, -21, -35, -48, 9, -57, -35, 27, -3, 3, 16, -58, 38, 36, 14, -5, -28, 26, -45, -51, 21, 51, 9, 48, 30, 31, 57, -15, -7, 0, -52, -21, -56, 31, -55, 22, -9, 13, 30, 16, 59, -57, 29, -18, 46, -58, -54, -22, 19, -28, 12, 10, -55, -7, 10, 57, 30, -24, 0, 32, 23, -33, 52, 5, 56, 37, 45, 64, -25, -51, 1, -10, -2, -28, -10, 45, -1, -47, 41, -8, 21, -31, 46, 19, 26, -39, -56, -50, -51, -50, -54, 8, -47, -59, 58, 2, 21, -44, -58, -35, -40, -51, -45, 60, -41, 7, -31, 19, 26, -48, 33, -17, -39, 54, -14, 46, 4, 63, 20, 39, 39, 17, 3, -49, -54, -9, 57, -33, 19, -48, -42, 27, -34, -5, -46, -35, -6, -61, 7, 17, 47, 38, 7, -55, -19, -21, -3, 5, -15, -47, -23, 49, -32, 38, 5, 42, 30, -28, 13, 24, 33, 40, 20, -53, 19, 47, -48, 15, -32, 4, 56, -53, 60, -20, -27, 41, -52, -10, -17, -50, 52, -22, 49, 53, 5, -25, 32, -12, 51, 26, -28, -4, 61, -58, 35, -27, 17, 55, -15, -54, 44, -45, -50, -16, -15, -8, 32, 4, 32, -59, -19, 13, -33, 34, 20, 37, 44, -39, 5, 25, 10, -38, 26, 8, -7, 31, 40, -57, 28, 18, -13, -12, -56, 40, -57, -41, 30, 23, 25, 49, -26, -11, -4, -23, -49, -10, -8, -7, 10, 57, -4, 19, 55, 54, 1, 54, -21, -55, -39, 39, 48, 21, 60, -26, -59, -41, -45, -38, 44, 29, -6, -51, 17, -59, 62, -47, 28, -27, -15, -51, -35, -22, 4, -1, 41, 11, -6, 4, 1, -31, -17, 46, 49, -32, -3, -30, -36, -8, -62, 40, -37, -23, -18, -51, -60, -53, -52, 15, 60, -54, 56, -59, -30, -41, -11, 38, -21, 15, -30, 25, -58, -36, 5, 27, -44, 47, 62, -23, -17, -17, -50, 16, 25, -40, -3, -23, 23, -39, 44, 49, -61, 46, -33, 56, 49, 22, 11, -40, -42, -37, 60, -24, -52, -39, 53, 31, 24, -60, 28, -5, 13, 24, 45, -34, -48, -37, -3, -29, -15, -20, -4, -3, -46, 18, 14, 56, -51, -2, -17, -2, -41, -51, 17, 25, 51, -4, -39, -31, 39, -44, 52, 17, 5, -54, 14, 6, 13, -8, -59, -28, 21, -15, -26, 36, -54, -23, 17, 29, 12, 32, -27, -14, 62, 27, 13, -59, -59, -41, 19, -56, -20, -29, -39, -26, -31, 45, -55, -33, -7, -45, 35, 61, -18, 7, -39, -19, -6, -58, -41, 11, 59, 46, -13, -46, -7, -25, 48, -40, -43, -17, 43, 39, 6, 21, 42, 65, -60, -24, -11, 13, 12, -11, 56, 39, -53, -26, -57, 10, 52, -59, 29, -58, -30, 43, 49, 49, -17, 14, -6, 51, 57, 54, 30, -47, -14, -23, 51, 15, 57, 24, 59, -59, 41, 63, 28, 49, -64, 20, -13, 9, -43, -63, 13, 17, 10, 48, 4, -33, -34, 1, -35, -62, 58, -32, -41, -1, -54, 10, -40, -43, 57, -34, 25, 36, -20, 41, 50, 5, 14, -6, -49, -45, -59, -40, -60, -16, 46, 33, -40, -56, -50, 36, -24, 19, 47, 32, 29, 39, 31, 15, -14, -25, -6, 23, 34, 12, 39, 60, 53, 16, 24, 5, -36, -30, 43, 13, -50, 28, -5, -48, 32, 41, -31, -6, -48, -50, 55, 13, -54, -4, -7, 8, 54, -19, -13, -60, -30, -3, 35, 52, -38, 7, -7, -14, -43, 18, -19, -8, 20, 10, -58, -35, -64, 19, -8, 37, -23, -28, 48, -56, 11, -31, -19, 56, -41, 64, -54, 35, 19, 39, -56, -15, -34, -53, -2, 22, -10, -29, -31, -28, -60, -57, 54, 46, 54, 20, -54, 55, 3, 53, 36, -26, -21, -36, 54, -26, 49, 54, 41, 54, -7, 46, 20, -23, -5, -27, 8, 56, 18, -59, -2, -24, 58, -29, -46, -48, 58, -49, -57, -34, -32, -37, 14, -38, 10, 54, -5, -42, -51, 0, -40, -13, 9, 42, 50, 39, 47, 10, -6, -26, -56, -37, -4, -13, 40 };
signed char f62[16384] = { 43, -57, 74, 24, 23, 65, 52, -50, -43, -12, 23, 0, 100, -1, -13, -29, 67, 67, -62, -12, 34, -87, 47, 60, -103, 60, 28, 97, 72, 57, 65, -19, -62, -74, -63, -41, 58, -12, 77, -90, 70, -74, 22, -82, -77, 22, 69, -71, 0, 11, -44, 46, -53, 10, -11, -65, -30, 89, -29, 79, 38, 52, 12, 53, 49, -36, 95, 7, -34, -61, -79, -66, -4, -78, -65, -46, -33, -58, -36, 19, -67, 42, -6, -39, -32, -19, -51, 79, 66, 26, -38, -8, -60, -31, 4, -40, 72, -34, 90, -53, -77, 64, -43, 89, 6, 98, -10, -98, -58, 77, 12, -77, -38, 94, 1, -94, 71, 86, -53, 54, -51, -33, 57, 56, -17, -49, -52, 1, 11, 0, -3, -73, -41, 96, -95, 97, -5, -51, 53, -72, -83, -74, -27, 75, 54, -78, 9, -89, -102, 21, 11, 60, 19, 23, -36, -74, -85, -100, 32, 76, -98, -5, 88, 81, -25, 11, -114, -70, 77, -44, 14, -77, -13, -25, 67, -71, -23, 44, -80, -86, 32, 0, -35, 76, 16, -46, -84, 23, 3, 50, -113, 4, 98, -75, -15, 107, -1, 79, 52, 92, 91, 84, 13, -101, -50, 39, -93, 56, 0, 32, 16, -10, -97, 61, -41, 12, 69, 65, 40, -15, 20, 80, -70, -95, -17, -64, -34, 49, 28, -67, 104, -90, -71, 64, 96, -25, -84, -34, 72, -80, -35, 11, 33, 4, 68, 71, -66, 65, 33, -103, -36, -103, 90, 45, -9, -25, -37, 16, 73, -40, 70, -51, 69, 19, -110, -26, -75, 50, 43, -85, -20, -19, -75, -96, 53, -16, -66, 75, -36, 57, 39, 18, -24, -41, -62, -35, 35, -71, -70, -37, -97, 40, 6, 93, 58, -24, 76, 14, 10, -22, -8, -37, -88, 24, 61, 33, -41, -89, 7, 22, 5, 6, 44, 74, -28, 91, 79, -38, 98, 65, 69, 98, -68, -7, 59, -86, -96, -24, 93, -1, -69, -48, 58, -59, -80, -52, 88, -30, -27, 38, -4, 46, 101, -58, -16, -76, -31, 23, 24, -30, -47, -64, 38, 19, 69, -32, 73, 45, 32, 59, -40, 65, -58, 39, -39, 60, -58, 69, 31, 77, 97, -18, 19, 73, -33, -72, 1, -105, -99, 23, 17, 58, -87, -12, 32, -23, -25, 68, -68, 88, 59, -81, 68, 39, -93, -73, -62, 59, -103, 63, -98, 33, -45, 85, -92, -3, 89, -36, -10, -27, -55, -95, 93, 58, 90, 33, 33, 30, -17, 3, 17, -19, -101, -7, 86, 50, -29, -91, -81, -100, -34, -1, -65, 81, -95, -80, 8, -100, -79, -13, 64, -75, -103, 43, -57, -94, -46, 54, 64, 10, 96, -50, 8, 84, 68, 73, 27, -77, 32, 91, -14, 0, -77, -55, -28, 18, -35, 3, -10, -109, -8, -67, 24, 72, -97, -67, 46, 94, -48, -61, 51, -8, 8, 107, 80, 77, -28, -58, -50, 73, 95, -67, -111, -57, 73, -52, 91, 47, 4, -34, -85, 31, -21, 21, 107, -44, -69, -95, -9, -12, 23, 65, -96, 20, 6, -13, 57, 35, 90, 80, -107, -3, -62, 35, -94, -24, -75, -77, -11, -40, 70, -67, 74, -22, 17, -94, 15, -88, -21, 11, -60, -3, 5, 51, 79, 82, -54, 15, 9, -9, -52, 81, -5, 10, 74, -69, -91, 55, -50, 55, -40, 3, -5, 47, 32, -19, -25, -70, 74, -53, -14, -24, -98, 41, -40, 71, 21, -74, 87, -76, -88, 23, 73, -88, -23, 98, 23, 45, 36, -92, -59, -1, -29, -34, 49, -55, -8, -62, 25, -63, -101, -30, -69, -56, -59, 37, -1, -58, 2, -58, 72, -52, 72, -23, 50, -39, 35, 57, -19, 89, 22, -88, -34, -100, -17, 43, -84, 19, 11, -30, 52, -100, -17, 88, 90, 82, 73, -42, -79, 32, -103, 62, 45, 46, -13, -24, 10, 36, -11, 28, -92, -76, -5, -68, -54, -62, -5, 94, -56, -40, -76, -56, -19, -75, -48, 30, -20, -23, -97, 38, 36, -25, -28, 82, -25, 27, 6, -10, -33, -23, 35, -6, -84, 52, 23, 57, 62, -95, -25, -71, 84, -44, 55, 79, -37, -25, -62, -11, 61, 47, -1, 19, -62, 1, -2, -3, -96, 91, -38, 35, -38, -56, -49, -94, 86, 44, -23, -98, 21, 29, -75, -38, 2, 60, -34, -50, -19, 2, -93, -83, -70, -7, -53, -66, 69, 4, -30, -22, 59, 29, 88, -48, -100, -54, -60, -90, 43, 38, -30, 25, -65, -16, -27, -82, -98, 35, 66, -72, -45, -10, 100, 22, 35, -85, -49, -58, -91, -98, -24, -44, -5, -71, -53, -72, 29, 15, 60, 3, 15, -79, -35, -79, 18, 8, -1, 56, 40, 66, -22, -80, -90, -89, -22, 50, 72, -9, 49, 1, 44, 16, 44, -32, -91, 65, 70, -13, 31, -37, -83, -65, -92, 97, 3, -19, -72, -19, 14, 54, -58, -90, 20, -42, -12, 58, 2, -18, -31, 35, 96, -12, 31, -37, 34, 48, 2, -56, 32, -5, -90, 17, 60, 65, -5, -88, 25, 98, 57, -85, -58, -44, 69, 21, 33, -37, 41, 94, -67, -27, 63, -44, 82, 12, -17, 37, 83, -14, 32, 47, 92, -12, -92, -31, 18, -97, 28, -33, -79, -25, 49, 15, 8, 57, -18, -61, 72, -22, 11, 62, -9, -41, -14, -51, 70, -8, 14, 1, 23, 55, -40, 24, -84, -35, -32, 64, -73, 2, 82, -66, -85, -72, 50, 80, 15, 62, 94, -23, 100, -75, -89, -70, -110, -16, -29, 98, -34, -35, -31, -63, -7, 55, 60, 44, 51, -50, 10, 58, 102, -13, 62, -55, -26, -65, -39, -21, -22, -107, -85, -58, -96, -20, 58, 0, -45, -103, -55, -8, -67, 19, 94, -2, 65, -83, 104, 70, 15, 7, 58, 78, 22, -98, -88, 16, 25, -95, 91, 73, 54, 39, -2, -51, 68, 45, 53, -8, -53, 42, -102, -90, -32, 9, -61, -98, -20, 21, -85, 83, -53, -53, 4, -105, 90, -86, -68, 20, -53, -3, 71, 44, 104, 76, 73, -77, 74, 18, 77, 20, 70, -90, 5, -46, 84, 50, 18, -60, -47, 16, 33, -48, 39, -20, -56, -22, -90, 77, 77, -101, 65, -73, -83, -89, -45, 51, 89, 19, -55, -82, 106, 40, -26, -7, 17, -85, -64, 65, -6, 17, 97, 19, 86, 49, 93, 89, -81, -6, 81, -34, -7, -84, -7, 79, 54, 39, 30, 98, -7, -2, -19, 23, -107, 27, -84, -89, -2, 41, 45, 40, 3, 49, -70, 96, -69, -45, 78, -28, -33, -62, -106, 58, 19, -80, -94, 24, -99, 55, -86, -73, 13, 12, -27, 33, 14, 85, -37, -4, -79, 98, 46, -31, 6, 50, 53, -70, 3, 23, -51, -70, -43, -30, -97, -42, -18, 69, 10, -65, 31, 34, -104, 92, -57, 9, 69, 72, 94, 0, 106, -102, 58, -53, -11, -86, -82, 95, -50, -46, -103, -63, -42, 37, -85, -17, -10, 43, -38, 40, 17, 57, 58, -70, -53, 13, 81, -83, 49, -33, -6, -87, -108, -85, 56, -96, 36, 70, 3, -67, -100, 39, -12, -39, 90, 70, 72, 14, 0, 56, 20, 29, 74, 70, 68, -40, -100, 67, -33, -2, -34, -87, 13, 56, 77, -35, 28, -16, -26, -81, 5, -15, 59, -23, 14, 24, 95, 13, -96, 22, -55, -57, -60, -8, 61, -51, 32, -92, 67, 81, 39, -48, 82, -60, 96, 56, -48, 49, 92, 39, -66, 31, 62, 94, -71, 97, -97, -75, 44, 104, -14, -46, -66, 86, 7, 73, -99, 43, -4, 48, 75, 94, -70, -47, 7, -109, -66, -26, -19, 10, 63, 76, -50, 90, -59, -66, 58, -101, 85, -16, 58, 4, -14, 75, -42, 4, 64, -98, -13, 22, 12, 74, 2, 23, 50, 54, 1, 53, 28, -23, 24, 52, 8, -17, -53, 19, -1, 26, 75, -71, 61, -62, -41, 58, -47, -48, -25, 14, -66, 48, 44, -12, 45, -61, -14, -65, -20, -72, 79, -70, 44, 31, 26, -66, 6, -100, 101, -51, 15, -85, -87, -34, 45, 60, 3, -12, 3, 23, -100, -31, -35, -95, 5, -63, 86, -60, 58, 91, 68, 41, -64, -19, 92, -7, -60, 23, 72, -74, -97, -35, 33, 46, -15, 30, -46, -85, 77, 73, -44, 33, -4, -99, -12, -83, 34, 44, 1, 27, 96, 72, -20, -51, -61, -56, -8, 91, -74, 90, 51, 2, -94, -63, -62, 12, 20, 81, -103, 88, -9, -23, -27, 65, -73, -18, -58, 45, -73, -102, -75, -64, -50, 94, 102, 94, 30, 16, -77, -38, -85, -36, 84, 85, -38, -86, -94, 87, 54, -47, -86, 13, 3, 62, -97, 65, 83, -62, 3, -39, -96, -55, -80, -52, 96, 58, -71, 11, -52, 84, -99, -41, 54, -101, 81, -35, 84, 42, -64, 45, -88, 76, 52, 28, 98, 25, -93, 65, -41, 31, 47, -25, -5, -23, 20, 48, 96, -21, -90, -98, -103, 16, 10, 56, -99, -95, 26, -60, 22, 76, -1, -57, 10, 21, 101, 38, 53, 38, 73, 91, 60, -98, -103, 68, 11, -79, 7, -9, -86, 19, -37, 92, -29, -116, -7, -71, -86, 84, 55, -83, -52, -103, -19, -26, -15, 20, 64, 39, 66, -78, -41, -77, 28, 74, -6, -105, -12, 81, -46, -61, -11, 55, 99, -76, 62, -85, -4, 48, -27, 15, 55, -18, -36, -34, -84, 71, -21, -101, -66, 25, 40, 27, 76, -87, -71, -58, 101, 67, -32, -19, 41, -53, -70, 93, -14, 27, -83, 44, -9, -62, 19, -24, 87, -109, 1, -28, 43, -12, -26, -48, -8, 3, -75, 22, -69, 6, 84, 8, -24, 33, 23, 7, -95, -15, -67, 52, -6, -28, -23, -28, -52, 8, -57, -51, -57, -6, -18, 5, -100, 7, -36, -20, -43, -14, -60, 4, 94, -98, -95, -97, -97, -14, 58, 54, -2, -48, -89, 29, -16, -51, 85, 11, -86, 84, 57, 33, 30, 22, -21, -81, -69, 84, -25, -74, 23, 95, 99, 73, -32, 76, 31, 23, -66, -47, -92, -49, -91, 43, 73, -36, 41, 82, 25, 56, -20, -49, -39, -71, -28, -99, 96, 23, -27, 42, -59, 5, 18, -48, -98, -94, 79, 80, -95, -48, 73, 67, 2, 64, 17, -33, 12, 57, 55, 28, -41, 68, -33, 43, -50, -5, 38, 18, -21, 64, -29, 79, 98, 5, 77, -88, 21, -77, 28, -4, 12, -71, 41, 96, 86, -91, 84, 88, 43, 16, -10, 67, 69, 21, 91, 65, 92, 13, 88, 84, -88, 81, -58, 83, -84, -10, 75, -7, -19, -17, 17, 40, 91, -96, -66, 73, -73, -14, -20, 96, -72, -108, 3, -26, 63, -20, 26, -29, 47, -40, -82, -99, 81, -25, 5, -70, -38, 34, -43, 42, -30, 32, -83, -72, 52, -80, 25, -49, 57, -13, -43, -8, 30, -36, -76, 14, 11, 21, -43, 2, -71, -58, -98, 92, 44, -63, 1, -73, -50, 6, 58, 14, -73, -12, -42, 31, -73, -71, 43, 26, -39, 30, 78, -71, -59, 95, 4, 36, -63, 41, -7, 81, -57, -28, -3, 38, -59, -66, 77, -85, 31, -85, 21, 90, 73, 19, -59, -18, -98, 25, -55, -60, 26, -25, 52, -94, 78, 79, 14, 54, 39, 49, 14, 64, -39, -39, -75, -93, 31, -40, 55, -30, 44, 36, -41, -99, -95, 22, 94, -91, 42, 46, 66, -87, 13, 7, -91, 14, 100, 22, 10, -59, 49, -87, 79, 8, 93, 44, 75, 64, -42, 47, -74, 26, 19, 71, -40, -41, -1, 97, 43, -10, -11, -4, 57, -5, 11, 7, 98, -21, 6, 71, 16, 39, 4, 72, -2, -49, 55, -91, 50, -91, 47, -3, -81, 81, -38, -92, -55, -4, -82, 69, -71, 68, -105, 48, 53, 25, 36, 83, -88, -84, 29, -96, -19, -13, -31, 71, 94, 87, -94, -100, -67, 28, 89, -71, -10, -74, 39, -61, -75, -25, -16, 23, 94, -27, 46, -56, 21, 18, 77, -16, -49, 61, -96, -71, -61, -65, 63, -29, -15, 102, 88, -77, -42, 42, -61, -81, 22, -51, -14, 52, -99, -30, 102, 95, 44, 67, -77, 83, 33, 42, 74, 11, -79, 66, 39, 74, 91, 45, 91, 18, 49, -43, 79, -45, -19, -11, 52, -39, -90, 13, -100, -79, -12, -70, -44, -68, 25, 101, 51, -12, -34, 62, 96, 10, 85, -36, -69, 116, 25, -71, 87, 83, -92, -81, -55, 8, -73, 89, 45, 21, 56, -14, 75, -32, 11, -21, 61, -105, 52, 17, 77, 79, 44, 26, 102, -38, 37, 30, 110, 88, -25, -69, -11, 20, 54, 29, 102, 37, -104, 83, -74, -36, 43, 22, 82, -41, -120, 36, -33, 3, -51, -71, -73, 6, 38, 55, 71, -33, -75, 27, 83, -23, 21, -63, -34, -96, 92, 83, 35, 75, 49, 89, -15, -39, -92, 44, -98, 67, -55, 20, -67, -26, 20, 52, -32, 89, -38, -90, -78, -15, -2, -6, -106, -31, -95, -82, 51, 53, 99, -13, 69, -85, -5, -26, 30, -68, 29, 12, 46, 92, 8, 2, -68, -90, 2, 85, 10, 32, -55, 31, 10, 9, 26, -98, -42, 44, 106, -73, -45, 33, -58, 59, -94, 54, -51, 73, -66, -5, -16, -27, -96, -6, 92, 9, 45, -50, 21, 50, 74, -102, -4, -12, -88, 79, -38, 78, 15, 58, -83, 52, 47, 73, -3, 64, -11, -66, -16, -94, 16, 85, 25, 6, -47, 73, -35, -92, 87, -21, -66, 45, -90, 16, 41, 72, -31, -97, -6, -34, -41, 0, 33, 78, -11, 63, 63, 55, 48, 75, -64, 27, 88, 40, 41, 50, 90, -74, 78, 49, 7, 14, -6, 23, 65, 24, 70, 49, 10, 8, -70, -15, -89, -46, -62, -14, -97, -94, -70, -50, -5, 9, 72, 97, 69, 3, 45, 63, 35, -25, -79, 63, -23, 42, -61, -11, -95, -61, 88, -70, 65, 92, -74, 33, 5, 8, -7, -24, 32, -58, 77, 34, 23, 73, -39, 3, -62, 99, -36, -65, 90, 2, 61, -21, -57, -90, -44, -53, -98, 19, -5, 71, 70, 15, -41, -32, -15, 0, -92, -84, 26, -44, -66, 28, -76, -98, -67, -40, -18, 86, -32, -58, 101, -103, -95, -86, 39, 18, 99, 57, -77, 38, -32, -96, 85, -36, 66, 87, 45, -65, -69, 20, -84, 69, 97, 43, -34, 78, -58, 41, -72, -45, 56, -95, -4, 56, 45, 20, -4, 72, 60, -102, -23, 86, -8, 62, 87, -85, 60, -100, 6, -101, 60, -19, 60, -15, 5, -99, -79, -8, -46, 64, -51, 72, 86, 39, -101, 93, 59, 61, -75, -62, 91, -43, 79, 52, 101, 52, -48, 4, 54, -75, 82, -80, -70, 42, 59, -79, 93, 98, -70, 54, -88, 54, 14, 99, 4, 89, 77, -57, -5, 52, -78, -102, -18, 42, 2, -58, -46, 65, -71, 6, 8, 32, 7, 56, 25, -72, 32, 83, -43, -22, -65, 73, 40, 85, -8, 23, -56, 44, 27, 90, 46, 55, -10, -59, 91, -26, 85, -50, 77, -88, -55, -95, 53, -3, 34, 97, -89, -34, 11, -53, 101, -21, 61, 16, 59, 31, 23, 13, -93, -92, -110, 78, -17, 80, -34, 18, -89, 85, 49, 57, -23, -82, -94, 79, 24, 11, 30, 37, 49, -29, 87, 69, -103, 86, 86, 29, -26, 6, -111, 31, 70, 15, 103, -50, -36, -50, 100, 57, 54, -33, -18, -84, -67, -9, 77, -36, -81, 56, -35, -34, -38, 48, 12, -88, -1, -46, -109, -43, -83, 95, 17, 58, 46, -26, -42, 25, 0, 47, 3, 102, 82, -9, 2, -35, 18, -75, 57, -53, -94, 57, 31, 28, 58, 54, 20, 43, -33, 92, 11, 17, 13, 88, 94, 45, -40, 52, -67, -98, -25, 49, 29, -38, 2, 19, 49, -42, -50, 8, 64, 90, 44, 52, 4, 60, 82, -24, 93, 87, 86, -53, -24, -36, -27, -32, 76, -24, 72, -75, 47, 92, 74, 26, 31, 98, -18, -60, -29, 80, -17, 9, -9, 69, -76, 25, 106, 90, 14, 101, -93, -15, -76, 21, 66, 84, 68, -57, -27, -79, 40, -17, 72, 66, 11, -17, -37, -87, 15, 91, 60, -19, -11, -68, -46, 66, -88, -30, -34, 16, -57, -28, 31, 96, 40, -38, 28, 25, 69, -7, 99, -67, -92, 29, 96, 31, 53, -75, 77, -45, -52, 7, 7, 58, -29, -86, 82, 11, 88, -69, 48, -75, 80, 55, 49, 1, 65, -89, 91, -46, -91, 26, 78, 74, -59, 66, 62, -93, -91, 48, -100, 6, -62, 8, 15, 56, 12, -69, -11, -75, 15, 9, -2, 82, -68, 71, -43, 22, -63, -33, -26, 77, -80, -29, -45, 105, -55, -85, 59, 11, 91, -11, -62, -2, -50, 61, -71, -30, 46, 42, 1, 12, 3, -58, -52, 45, -54, 30, 62, 22, 80, 0, 4, 70, -44, -25, -65, 17, 100, -16, -101, -82, -16, 67, 51, 8, 90, -47, 9, -14, -66, -29, 43, -25, -17, -101, -42, 84, -1, -92, -82, 29, -54, 29, 72, 58, 46, 87, 86, 26, -40, 34, 27, -68, -62, -45, 18, 62, -12, -54, 103, -77, -31, -58, 80, -96, 92, -5, -13, -8, -65, -47, -3, -91, -67, -78, 69, 4, -33, 50, -95, -43, -55, 84, 63, 74, -74, 12, -47, 72, 17, 49, 44, 30, -55, -5, 0, 97, -5, 89, 23, 26, 91, 87, 33, -108, -77, -44, -3, -65, -94, -12, -38, 9, 1, 47, -70, -78, 19, 66, -23, 86, 15, 77, 86, -4, 9, -19, 23, 31, -60, 95, 34, -49, -84, 86, -5, -15, 10, -67, 55, -75, -74, -85, -99, 106, 26, 70, -34, -35, 74, 61, 8, 81, -15, 106, 66, 56, -34, 32, -49, 95, -19, 11, -21, 11, 47, 90, -40, 22, -11, 89, 48, -6, 32, -4, 69, 44, -78, 39, -98, -65, 47, -16, 72, 100, 26, -34, 38, -45, -12, 97, 0, 8, 59, -78, -31, -102, -32, -39, -57, -7, -74, -18, 54, 46, -31, 40, 40, -49, 70, -21, -85, 88, -6, -29, 98, -86, 8, 57, 80, -73, 86, 40, 105, -68, -34, -23, 92, -1, 102, 79, 103, -46, -13, -68, 36, -47, 39, 29, 28, 30, 28, -14, -28, -79, 55, -33, 27, -69, -57, 80, 42, -10, 1, -26, 85, 53, -54, 47, 96, 10, 85, 48, -16, -71, -20, -46, 82, 21, -25, -103, 37, -66, -50, 68, 63, 41, -56, 88, 37, 7, 1, 80, -14, -23, -17, 30, 79, 7, -8, -14, 64, 10, 45, -99, 76, 88, -69, 22, 32, -39, -104, -23, 98, 1, 2, 63, 22, -86, 47, -24, 75, -94, 0, -13, -37, -47, -17, 76, -53, 92, -32, -53, 0, -96, 85, -12, -43, -44, -38, 48, -75, -5, 57, -45, 39, 20, -9, -54, 27, 72, 57, -65, 40, -83, 64, -30, 48, -5, 70, -30, -62, 19, -94, -89, 32, 9, 44, -4, 65, -52, 6, -54, 52, -87, -67, -29, 12, 97, -86, 13, 26, 36, -14, 55, 59, 11, 80, 33, -36, -7, -58, -58, 53, 7, 74, -38, 26, 9, -48, 88, -35, 64, 105, 56, -18, -3, 96, -17, -58, -39, -73, 38, -3, 74, 70, 102, -49, -43, -44, -58, -19, -100, -76, 1, 35, 11, -41, -90, -65, -73, 14, 89, 55, -74, -29, -76, 34, -2, -74, -77, 36, -20, -27, 5, -55, 70, 48, -22, 62, 15, -18, -56, -8, -18, -53, -59, -23, -21, -49, 2, -18, 59, 100, 42, 6, 5, 44, -54, 32, -23, 37, -67, 59, -42, 85, -66, -20, 21, -39, -57, 88, 7, -81, -47, -34, -74, 58, 95, -53, -70, -36, -15, -46, 46, -58, -22, -70, -81, 59, 15, -40, 17, 44, -48, 19, -57, 64, -73, 39, -44, 26, 48, -11, 63, -24, -78, 62, 66, -43, 78, 43, 44, -41, 34, 85, -8, -97, 51, -62, 68, -94, 89, -9, 53, 18, 81, -67, -41, 84, -14, -74, -63, 100, -18, 91, -81, -84, -81, -51, -103, 22, 80, 63, -75, 18, -26, -11, -84, 51, -54, -2, 31, 0, -100, -12, 64, -56, -83, 54, -47, -12, 58, 9, -22, 46, -81, -102, -96, 70, 31, 34, 54, 90, -35, -81, -87, 26, -13, -75, -11, 26, -75, -87, 51, -19, 79, 46, 39, -59, -97, 76, 95, -94, -90, -87, -34, 20, 3, -1, 48, 60, 37, -34, -30, 14, -61, -19, -70, 47, 65, 81, 100, -73, 48, 98, 38, 51, -12, -28, 76, 73, -101, 7, -80, -98, -74, -19, -89, -13, 88, -100, 61, -93, -92, 58, -64, 43, -84, 35, -27, -96, 77, -91, -87, -66, -41, 97, 79, 27, 70, -86, -6, 73, -47, 2, 49, -26, -56, 88, 77, 68, 27, -82, -31, -31, 80, 54, -81, 55, -56, -51, 18, 13, -29, -85, 71, -14, -89, -44, -34, 58, -53, -17, -43, -51, -97, 81, 25, 76, -1, -32, 86, 110, 94, -46, -14, 6, 12, 82, -63, 90, 69, -42, -40, -74, 9, -96, -20, -73, 38, -76, 81, 23, -41, 88, 33, 18, 85, 59, 1, 6, -51, -86, 105, -71, 6, -3, 26, 57, 72, 14, 66, -20, -57, -84, -91, 33, 56, 45, -23, 91, -17, -50, -41, -105, 25, -62, -66, 31, -28, 33, 67, 67, 60, -65, 6, 56, -52, -57, 66, -50, -31, 68, 76, 47, 35, 46, -7, 37, -34, -32, 5, 48, 76, 79, -72, 45, -8, -16, 60, 18, 103, 66, 112, -98, 39, -26, 0, -66, -73, 52, 37, -83, 15, -62, -23, -67, -3, 2, 16, -19, 83, -69, -64, -57, 46, -67, 38, 92, 76, 66, -6, 63, -11, -43, 20, -40, -57, -1, -44, 4, 91, -84, 61, 48, -2, 95, -24, -61, -75, 35, 38, 13, 35, -52, 56, 19, 46, 22, -38, -35, -13, 36, -81, -53, 66, -11, -50, 12, -14, 53, 43, -108, 51, -8, 26, 82, 22, -68, -48, -29, 6, 0, -56, 76, -51, 79, 51, 74, 84, -68, 87, -87, 4, 2, -67, 29, -95, -11, -27, -52, 78, 57, 55, -34, 81, 25, 81, 9, 51, 72, -101, -80, 11, -60, -29, -35, -29, -71, 36, -89, -79, 80, -113, -69, 92, 63, -22, 38, -9, 51, -91, 37, 79, -79, -39, -4, 36, 28, 44, 62, -28, -54, -36, -53, -13, 52, -72, 26, 39, 86, 46, -78, -36, 66, 36, -16, 28, -53, -90, -30, 36, 63, 39, 84, -12, -1, -104, 59, -97, -12, 13, -4, -22, -81, -4, -42, -103, 15, -87, 74, 46, 10, 27, 69, -14, -3, 85, -75, -36, 88, 4, 65, 61, 59, 10, 88, 15, -22, 56, 53, -94, -31, -89, 39, 87, -24, 78, 52, -98, -88, -63, 38, -43, 27, 47, 55, 22, -93, -25, 83, 67, -30, -103, 46, -1, -20, -17, -72, 98, -26, 82, 30, 22, -47, 100, -2, -2, -21, 66, 16, -50, 11, 53, -15, -46, -17, 66, -76, -60, 62, -78, -54, -37, -61, 69, 25, -74, -9, 51, -64, -79, -86, -69, 41, 60, 35, 16, 30, 51, -12, -70, -18, -90, -80, 25, -62, 2, -11, -12, 82, -27, 2, 11, -68, -91, -88, -65, 62, 31, -73, 18, -12, -54, 1, 52, -10, 43, 57, -11, -93, 59, 77, -78, 39, 72, 64, 53, 19, -44, -34, 73, 6, -97, -70, 1, -39, 16, -19, -49, -58, -92, 56, 68, 64, -2, -90, 15, -23, 66, 23, -49, 5, -11, 83, -75, -74, 54, -36, 80, 22, -46, 60, 38, 51, -83, -85, 27, 27, 74, -14, 40, 55, -26, -52, 74, 90, 71, 76, -83, 35, 42, -42, -10, 73, 98, 17, -51, -56, -32, 36, 93, -2, 56, -21, -20, -76, 62, -87, -41, 48, 44, -74, 93, -51, -2, 74, 8, 40, -30, 45, 47, 87, -73, 49, -10, -52, 91, -6, 46, 50, -23, -40, 13, 17, 16, -14, -108, -57, -5, 80, -3, 74, -95, -21, -39, -85, 54, -5, -49, -83, 86, -30, 6, 20, -25, -65, -103, 8, 43, -4, 14, -23, -55, 84, 43, 61, 22, 25, 53, -57, -79, 26, -24, 37, 44, 40, -45, 10, 59, -68, -11, -66, -88, 32, -9, 43, -54, 4, -15, 55, 74, -96, 22, -43, 70, -38, 85, 3, -63, 94, 88, -56, -81, -70, 85, 25, -101, -50, 63, 84, 28, -15, 49, -124, 69, -1, 99, 73, -39, 89, 93, 6, 62, -27, 34, -56, 47, -29, -93, 33, 21, -70, 11, -10, 64, -10, -25, 92, -50, -47, -46, -96, 60, -90, -59, 37, 83, -8, -90, 106, 85, 68, 80, 92, 83, 68, 40, 27, 74, -88, -81, 67, 44, 92, 41, 11, 95, -37, 49, -31, 101, 56, -77, -27, -50, -13, 90, -109, 21, -81, 38, 60, 90, -25, -26, 96, 68, 85, -49, 6, 5, 18, -87, -52, 102, 45, 8, -57, -89, 42, 58, 56, -25, -98, 27, -90, -89, 14, -71, -103, 96, -68, -75, 35, -53, -64, 72, 45, -31, 63, -46, -1, -93, 23, 20, 17, -4, -92, -45, 26, 57, -84, -34, -83, 62, 86, -73, 85, 57, 76, 11, -33, 53, 85, -66, -18, 52, 29, -56, 8, 0, 95, 88, -37, -92, -70, 3, -27, -43, 54, 48, 50, -80, 56, 87, -75, 37, 86, -104, -61, -63, -2, 49, -85, -6, -52, 94, -50, 1, 35, -72, 24, -78, 91, 3, 73, 26, -38, 98, -16, -56, -54, 72, -53, 60, -61, 72, -45, 21, 70, -25, 36, 79, 38, -17, -48, 32, -27, -43, -46, 63, 62, 45, -75, 5, -78, -87, 42, 26, 77, -45, -19, -27, -76, 64, -47, 46, -2, -47, 73, -68, -11, -69, -98, 76, -16, 79, 45, 104, 30, 2, 95, -89, 39, 58, 70, -85, 11, 67, -57, 11, 34, -18, -57, -99, -5, -59, 19, 2, 100, -100, -28, 28, -99, -16, 22, 32, 88, -3, 93, 96, -86, 48, -83, 36, 25, 60, -74, 38, 10, 77, -81, -41, 19, -31, -85, -13, 26, -33, 59, -45, 37, 74, -21, -89, 37, -97, 97, -47, 89, 19, -98, 58, -89, 98, -10, 13, 57, -7, -43, 24, 62, -84, 88, 82, -43, -97, -19, -64, 66, -47, 28, -24, -47, 83, -100, -11, -67, 80, 36, -86, -28, 32, -33, 36, -48, 84, 38, 14, 23, 62, 63, -103, -33, -97, 64, 83, -47, -18, -26, 63, -70, -61, 18, 39, 19, -15, -6, 54, -90, -14, -84, 78, 73, 71, 18, 61, 68, 34, 37, -39, -6, -26, 74, -55, -2, -51, -35, 94, -25, -4, -33, 28, 16, 0, -90, 23, -32, 22, -76, 80, -51, 33, 87, -22, 6, -60, -64, 96, -95, 46, -57, 8, -29, -67, -89, 34, -49, -73, -11, -61, 76, 57, -103, -98, -7, -63, 103, 82, -85, -90, -58, 89, -89, -66, 39, -18, 81, -38, 100, -48, -80, -69, -65, -72, 65, -79, -75, -81, -67, -48, -58, 80, -79, 89, 16, 53, 51, 75, 89, -61, 19, 92, -53, 49, 7, -88, 6, -29, 71, -69, 45, 70, 83, -79, -58, -48, -51, -79, -92, 72, 26, -85, 96, -3, 54, 52, 56, 101, -92, 9, 79, 17, 38, -34, 85, -71, -20, -38, -50, -63, 1, 3, 72, -69, 59, -91, 35, -46, 53, -16, 82, -54, -14, 50, 95, -105, -1, -2, -53, 13, 49, 56, -11, 43, 84, 10, 87, -61, 66, 23, -26, 40, 31, -29, 97, 22, -73, 64, -25, -78, -13, -45, 63, 73, -63, -12, 76, -25, -33, -74, 47, 46, 37, -17, 85, -50, 80, 25, -45, -43, 60, 92, -38, -81, -84, 24, 24, 88, -19, -45, -35, 48, 15, -30, -82, 67, 35, -29, -36, 60, 29, -69, -42, 89, -101, 50, 62, 13, -94, 50, 107, -55, 69, -83, 47, 42, 79, 50, -24, 95, -32, -27, -43, 38, 88, -48, -64, -73, 78, -37, 78, 68, -90, 2, -70, -46, -62, -57, 72, 24, 27, -103, -56, 76, -64, 41, -93, 35, 50, 14, -108, -36, -57, -12, -80, 30, -79, -3, 78, 35, 101, -10, -31, 33, -80, 13, -32, 14, -43, 54, -100, -94, 9, -46, 23, -43, 23, 98, -94, -3, 72, 34, 59, 53, -48, 38, 33, 48, -68, -49, 33, -36, -89, -58, 87, -25, -62, 73, -26, -9, 42, -87, -104, -98, 7, 61, -8, -65, -79, -89, -35, 76, 74, -16, -94, -9, 58, 29, -90, -14, -23, -9, 28, 58, 60, 109, -2, -92, -95, -30, 41, 80, -59, 107, -89, 2, -50, 86, -75, -66, -17, -29, -33, -79, -48, -40, -85, 23, 20, 4, -8, -75, -32, 1, 91, 88, -76, 65, -73, 29, 9, 39, 76, 115, 92, 99, -82, -48, 29, -87, -51, 44, -2, -59, -82, -62, 5, 24, 90, -50, -101, -6, 91, -45, -33, -69, 31, -102, -97, -65, -19, -86, -65, 43, -71, 71, -94, 10, -69, 12, 82, -66, 95, 56, 89, -18, -14, -9, -85, 38, -71, -69, 25, 18, -57, -29, -62, 61, -31, 97, 68, 21, -44, -79, 38, 23, -98, -31, -1, 79, 24, -96, 34, -70, 89, -85, 49, 42, 33, 28, 58, -34, 28, 98, -2, -50, 23, -16, -24, 93, -87, -70, -78, 13, 77, -99, 83, 3, -96, 5, -103, 51, 68, 83, 74, -44, -18, 71, 86, 12, -99, -15, -96, -62, -7, 18, -13, 72, 98, -39, -17, -21, -23, -90, -24, -55, 76, 92, -23, 105, -89, 57, -9, 5, -71, 34, 1, -32, -65, 28, 9, -49, -15, -81, 102, -69, -15, -47, -77, 30, -77, 90, -30, 63, 113, -6, 64, 67, -22, 46, 62, 43, -74, 9, -42, 102, -8, -36, 42, -98, -68, -86, -1, -25, 2, -39, -12, -27, 91, -14, 102, -4, -92, 73, 44, 103, 78, 69, 98, 55, 27, 80, -94, -50, 95, -54, -68, -6, -70, 81, 19, 19, 39, 69, 55, 77, 46, 64, 86, 78, 44, -57, 50, -82, -43, 42, 67, -2, -49, -72, -58, -59, -78, -64, 94, 27, -53, 66, 68, -21, -101, 53, 18, -46, 33, 50, -49, 7, 16, -74, -44, -22, 29, -81, 18, 1, -25, -89, 28, -93, -43, -38, -61, -88, 39, -27, -50, 35, -79, -50, -86, 58, 17, -76, 72, 61, 25, 5, 50, -69, -52, 34, 24, -47, -90, 18, 88, 81, 71, -52, -36, 88, 34, 5, 17, 63, 51, 32, 75, 65, -46, 63, -100, 43, 81, 96, 96, -81, -65, 83, -30, -80, 11, -7, -61, 89, -41, 35, 87, 9, 52, -65, 79, 0, -92, 18, 49, 91, 92, -28, -62, 72, -39, -94, -2, 93, 56, -18, 49, 12, -38, -85, -35, 33, 66, -4, -25, 43, -59, -102, -43, -55, -93, -79, 65, -43, -57, -83, 84, -33, 102, -36, 17, -84, -30, 57, -13, -58, 94, -20, -52, -14, 23, -12, -58, 75, -55, -4, -47, -5, -60, 32, 14, 113, 66, 35, 30, -71, -80, 40, 20, 25, 81, -18, -100, 11, -58, 88, -21, 113, 59, 101, -39, 73, -25, -12, 2, -42, -32, 63, 70, -53, -99, -8, 32, 3, -2, 72, -100, -35, 83, 92, -33, -9, -14, 31, 22, -17, 13, -68, 52, 81, 19, -80, 52, -23, 51, -55, 50, -9, -32, 26, -68, -37, -45, -1, -35, 59, 25, 43, -1, -58, -35, 6, -95, 69, -14, 45, -13, 7, 104, -65, -98, -28, 3, -15, -86, 2, 96, 13, -58, -41, -9, 92, -15, 51, 84, 8, -87, -65, -83, -55, 36, -11, 103, -86, 5, -97, 75, 64, -69, -70, 47, 15, 27, 0, 84, -14, -19, -27, 12, -66, -79, 30, -15, -45, -85, -68, 80, -26, -40, -34, 71, -22, -45, 84, -65, -75, 98, 83, 80, -103, -89, 10, -100, -49, -49, -34, 81, -35, 14, 87, 14, -9, 57, 47, 70, -83, -6, 72, 43, 39, -99, 99, 37, 103, -29, 39, -43, 71, 6, -84, -89, -96, 50, 80, -39, -14, -41, 12, -51, 71, 67, -36, 6, -73, 74, 25, -103, 23, -74, 102, 41, 54, -64, -31, -98, -85, -5, 24, -56, -55, 52, 1, 88, -18, -31, 101, 63, 76, 0, 67, -59, 43, -85, -51, -4, 12, -38, 34, -59, -14, 5, 50, -9, -76, 103, 43, -18, -95, 103, 29, 50, -27, -47, -81, 73, -48, 30, -24, -50, 87, -17, 22, 36, 13, -63, 42, -60, -84, -73, -89, -73, 0, 82, 11, -83, 92, -57, -24, 57, 3, 56, 96, -4, -36, -1, 69, -40, -32, -88, 102, 75, 35, -56, -13, -66, -71, -29, -59, -73, 82, 9, 101, 41, 93, 88, 54, -113, -90, -52, 90, -22, -94, 74, 73, -64, -19, -22, 75, 53, 82, -102, 39, -25, 63, 102, 12, 38, -70, 45, -89, -55, 36, -82, 35, 3, -45, -29, -33, 12, 15, -81, -84, -45, -22, -50, 3, -56, -8, 85, -22, 16, -97, 92, -56, 42, -47, 31, -96, 51, -100, 76, 93, 17, -69, -29, -77, 18, -68, -56, -57, 9, 10, -47, -13, -16, -12, -23, 80, -28, 79, -89, -61, 13, 60, 92, 47, 86, 87, 58, 17, -79, 57, 0, -97, 75, 69, -51, 57, 11, -54, -76, 41, -107, 59, -53, 46, -58, 56, 48, -86, -94, -68, 26, 6, -26, 26, -37, 79, -66, -77, 28, 30, 63, 77, -80, 92, -96, 41, 19, -29, -82, 6, -53, -24, 30, -95, -77, -13, 74, 78, 19, -93, 5, -20, 91, 75, -75, 59, 80, 61, 68, -81, 91, 36, -86, 44, 14, -40, 33, 43, 63, 87, -13, 92, 53, 16, 89, -14, -70, 41, -94, -6, -34, 23, -103, 36, -3, -3, -29, 29, 69, -31, -96, 10, 47, -107, 82, 87, 50, -40, -35, -49, -30, -73, -49, -21, -77, 72, 7, 29, -31, -52, -79, -38, -79, -51, -62, -27, 77, 8, 22, -13, -34, 55, -32, -23, -48, -48, -44, 89, 7, 31, 89, 22, -4, -63, 58, 38, 66, 36, 69, 13, 70, 18, 33, -7, 94, 12, -72, 102, 28, 10, -22, 97, 87, -32, -39, 70, -81, 33, -51, -4, 61, 7, -95, 68, 79, 52, -68, 55, -66, -54, -35, -41, 94, 38, 64, -65, 31, 48, -46, -75, -72, -2, -25, -76, -61, 58, -32, -42, -59, 78, 80, 55, -14, 50, 46, 21, 6, -51, 98, -67, -105, -34, 65, 36, -36, -74, 58, 12, -13, 16, -85, 108, 20, 117, 4, 8, -4, -61, -22, 27, -30, -82, -102, -81, -93, 27, 48, 45, -74, 13, -32, -102, 1, 65, -100, 67, 38, 52, -30, -40, -62, -58, -48, 10, 88, -30, -13, -38, -20, 60, -19, -76, -24, 57, -40, -64, -30, -32, -71, 83, -54, -94, 47, 10, -23, -76, 23, 64, 75, 78, 55, 48, -70, -52, 83, 24, 63, -42, -50, 72, -79, -55, 24, 75, -20, -78, -61, 68, 23, 79, 70, -27, -55, -90, 59, 31, -21, 76, 67, -35, 40, 13, 9, -63, 7, 49, 60, 74, 49, 91, 60, 48, -20, -39, 73, 18, 71, -44, -17, -10, 73, 6, 39, 88, 65, 59, 10, 8, -81, -36, 67, -92, 86, -64, -33, -8, 94, 79, 78, 52, 95, -21, 91, -60, 81, 101, -66, 88, 17, -93, -86, 9, 94, -100, -40, -60, 73, 43, -64, -25, 1, -60, 60, 88, 61, -36, -25, -19, 83, 17, 34, -50, -84, 49, -50, -68, -74, 20, -36, -38, -11, 96, 47, -14, -76, 6, -20, 62, 28, 16, 27, -89, 95, -63, -42, -100, 85, 85, 99, 68, 96, -48, 64, -84, 14, -1, -68, 18, -83, -42, 6, -95, -37, 26, 87, -57, 89, -56, 27, -39, -86, -76, -6, -70, 29, -82, -43, 5, -28, 34, -87, 60, 75, 77, -18, 50, 10, 45, -78, -84, 40, -55, 17, 88, 39, -74, -75, -76, 41, -75, 88, -49, -44, -66, -102, 30, -45, -97, -85, 100, 10, 67, 22, 92, 97, 49, -66, 95, 61, 4, -7, -67, -9, -81, -24, -41, -66, 2, -46, -64, -8, -79, -49, 57, -77, -44, -63, 77, 5, 92, 5, 92, 25, 74, 59, -1, 60, -87, -95, -40, -35, -72, -91, 16, -9, 59, 10, 21, 62, 60, 29, -61, -22, 93, 2, -19, 87, -85, 17, 74, 26, -66, -47, 4, -34, -39, -97, -73, -77, 55, 43, 89, 27, 88, -15, 86, -31, -78, 55, 21, 53, -78, 62, -40, 78, 51, 73, -5, 32, 33, -27, 111, 44, -94, -41, 31, 32, 25, -14, -78, -85, 63, -60, 97, 94, -19, 6, 100, -39, 12, 49, -66, -72, -57, -14, 31, 40, -35, -87, 10, -5, 88, -20, -24, 57, 113, -77, -42, -54, -28, 6, -11, 28, 105, -51, -42, -27, -69, 100, 5, -71, -87, -40, -79, -18, 86, 29, 76, 99, 55, -12, -6, 26, -101, 79, -7, 72, -40, 81, -23, -42, -36, -84, -12, -14, -6, 10, -83, 14, -5, 26, -93, 26, -63, -86, -56, -96, 56, -39, -44, 45, -60, -12, 57, 27, -65, -55, 71, -70, 11, 54, -41, 60, 14, -41, -57, 101, -103, 97, -29, 1, 39, -76, -31, 68, 50, 32, -66, 91, 66, 2, -83, -102, 29, -1, 12, -75, 100, 22, 29, 64, -18, -96, -79, -82, -53, 7, 22, 17, 69, -49, -22, -69, -5, 110, 89, -27, -30, -36, -6, 29, -86, 70, 38, -38, -53, -48, -3, -80, 86, -36, 16, -75, 70, 76, 99, -7, -7, 78, 47, -44, -27, 103, -8, -12, 2, 14, -96, 17, 46, -66, 114, 95, 70, -9, -45, 86, 102, -45, 34, 25, 51, -95, -103, -6, 2, 45, -96, -39, -72, -72, -34, -79, 46, 62, 60, -24, -87, 86, 77, 1, -72, -51, -62, 36, 63, 102, 15, 16, 71, -82, 72, -60, 56, -57, 101, 25, 17, 71, 79, 96, -81, 15, 27, 45, 22, -69, 31, 87, 52, -82, -64, 51, 20, 51, 50, 60, 88, -81, -67, -15, 11, -55, -23, -58, -44, -4, 21, 63, -50, -48, -97, 58, 85, -80, 25, -96, -5, -96, -26, -70, 97, 10, -3, 75, -41, 6, -74, -79, -65, 60, 84, 40, -15, 28, 60, 35, 15, -26, 15, -13, -22, -65, 86, 0, -40, 32, 3, -23, 102, 29, 82, 1, 92, 36, 105, -23, 97, 98, 25, -80, -21, 70, 31, 83, -62, 88, 31, 81, 55, -31, 44, 100, 26, 7, -51, 26, -20, -60, 51, 74, 27, -1, -3, -71, -36, -54, 14, -33, 75, -77, -92, -100, 52, -96, 37, -91, -46, -8, -3, -59, -78, -36, 24, -11, -4, 91, -66, -61, -104, -72, 97, 43, 41, -2, -61, 93, 72, 74, -78, 65, -84, 33, -92, -19, 21, -95, 37, 56, -91, -96, 77, 61, -48, -29, 65, -11, 97, 43, 4, 14, 107, -39, 47, 10, -75, 57, -31, -57, 4, -66, 44, -82, 70, 54, -20, -54, 33, 30, 46, -40, -100, 54, 11, 52, -40, 46, -88, -50, 47, 91, 62, -92, -28, 97, 61, -11, -73, 52, -70, -55, -85, -37, 15, -18, 76, 87, -78, -65, 78, -33, 21, 85, 4, -56, -84, -9, -45, 43, 37, -49, -29, 96, 37, -72, -61, -2, -75, 74, -10, 36, -94, 33, 77, -47, -98, -38, -80, -46, -4, -67, -37, 55, -97, -94, 7, 38, 71, -11, -16, -57, -101, -53, 35, 5, -38, -64, -63, -83, -71, 0, -30, 89, -24, -5, -54, 36, 73, -100, 82, 98, -62, -31, 10, 21, -63, 55, 95, 86, 85, 32, 6, 38, -10, -7, 38, 88, 71, 39, -108, -29, -33, 45, -90, -7, 7, 7, -43, 31, 16, 2, -47, -36, -9, -39, 49, -87, 100, 72, -39, 103, 20, -104, -28, 25, -70, -83, 103, 90, 31, 15, 59, 21, 44, 21, 81, 8, 8, 90, 20, 96, -30, 51, 83, -37, 80, 84, -59, -54, 56, -75, 62, 30, -13, -18, -45, 71, -24, 29, -57, -40, 97, -71, -7, 81, 97, 100, -9, -29, -83, 68, 25, -1, -3, 54, -34, 16, 9, 81, 36, -1, -65, 80, 59, -36, -68, -1, -64, -72, -1, 29, 62, 89, 16, 92, -27, -90, -84, 13, -78, 61, -81, 83, 70, 91, -59, -3, -64, -79, 11, -17, -33, -64, -16, 1, 69, -103, -25, 42, 46, 65, 47, 57, 60, -7, 59, -57, -63, 15, -62, -97, 79, -1, 9, 62, 80, 81, 59, 95, -91, -55, 55, 11, 99, -29, -48, 57, 2, 60, -82, -44, 17, -13, 11, 101, 102, 57, 24, -43, 52, -87, 20, 46, -28, -76, 11, -2, -111, -59, -18, -6, -82, 47, -27, -74, 40, 56, 12, 55, -86, -5, -39, 9, -78, -66, -17, 48, -81, -61, -72, 70, 64, 27, 6, 10, 78, 30, 94, 3, 98, -70, -62, -88, 63, -49, 69, 7, -60, -105, 9, -77, 60, 82, -102, -3, 50, -62, -17, 32, -81, 80, 49, 67, 73, 20, 103, 14, 7, -103, 54, 7, -48, -29, 67, -69, -54, -104, 18, 27, -41, 19, -65, -88, -39, -56, -52, -71, -60, -85, 23, -70, 16, -85, -58, 21, -46, 20, 64, -3, 11, 47, 1, 73, -21, -90, -59, 61, -25, 39, 7, -26, 7, -61, -80, 58, 15, -11, -23, 21, -1, 40, 23, 11, 29, 98, 63, 16, 38, -2, 82, 45, -14, -31, 67, -100, 21, 36, 12, 29, -43, 50, -13, 70, 3, 69, 33, 63, 64, -93, -18, 86, 37, -17, 38, 82, -84, 36, -52, 61, -19, 80, 69, -61, 1, 64, -97, 83, -14, -5, 35, -7, -85, -85, -104, -32, 8, 73, -69, -85, 20, -18, 76, 20, -37, 43, -90, -47, -77, -67, 69, 76, -113, 105, 75, -36, 78, 76, -4, -46, -11, 55, -35, -68, 55, 82, 33, 18, 30, -16, -18, 2, -80, -10, -39, -55, 92, -85, -23, -49, -70, -84, -86, -102, -61, 35, 79, 66, -57, -17, 0, 55, -102, -15, -10, -33, 27, -10, 9, 21, 90, -19, 60, 90, 50, 57, -47, -78, 34, -47, 35, 76, 60, -31, -92, -26, 1, 48, 39, 68, 41, -25, -1, -71, 76, -70, -36, -77, 43, 59, -49, -30, 102, -4, 44, 93, 81, 32, -52, -65, -108, -20, 29, -98, -74, 22, -34, -63, 65, 91, 98, -100, 65, 81, -79, -17, -20, 17, -66, -101, -33, -8, -68, -22, 5, -30, -59, -68, -26, -51, -39, 47, -49, -81, -53, 28, -19, 24, -53, -27, -51, 50, 50, -77, -2, 48, 19, -91, 74, 69, 64, 62, -21, -97, -77, -67, 100, -94, -23, 65, -14, -98, -49, 20, -78, -63, -60, 80, 67, -75, -46, 26, 75, -5, -34, 101, -84, -50, 34, 51, -30, -50, -77, -95, -5, 49, 28, -85, 13, -66, 58, 67, -92, -40, 6, -105, -5, -17, -71, -62, 102, 78, 27, 31, -17, -7, 0, 18, 29, -78, -30, -75, 14, -22, -48, 1, 79, 78, 36, -9, 85, 11, 22, 92, 46, -50, -40, -3, 68, 82, 19, -64, -73, 7, -67, 26, -94, -57, 93, -25, -37, 44, -100, -75, 19, 33, -62, 39, 19, 89, 46, -32, -80, 64, 93, 58, 94, -78, -30, 58, 30, -33, -43, -62, -78, -86, -62, -83, 9, -53, -48, -19, 4, 68, -99, 84, -79, -70, -96, -73, 84, -63, -77, 15, -51, -14, 71, -51, 61, 68, -65, -92, 88, 73, -100, -50, -13, -85, -20, 10, 54, 69, 83, -31, -30, 31, -26, -24, -57, -39, -35, 24, -19, -48, -1, -58, 95, 90, 83, 45, -64, 41, 69, -67, -6, 86, 81, -91, -100, 33, 16, 5, 90, 96, 80, -45, -35, -25, -15, -84, 33, -60, 93, -74, -48, -77, 24, 29, 74, -31, 90, 33, -103, 57, -71, 52, 21, -14, -72, -59, -23, -75, 67, 11, 86, 37, 26, -87, 34, 32, -64, -115, 84, -30, 8, 4, 43, 7, -34, -86, 21, 59, 3, -35, -83, 18, 70, 24, 62, 67, 34, 92, -78, -32, -22, 67, -98, 18, -24, -17, 17, -79, 42, -74, -86, -82, -16, 81, 89, 94, -65, 65, -47, -14, 60, -14, 19, -77, -12, 64, 64, -9, -8, -77, 6, -35, -6, -93, 45, -64, -52, -1, 16, 25, -39, 85, -30, -9, 40, -16, -60, -86, 82, 79, 56, 61, -70, 60, -98, -52, 99, 35, 86, 62, -15, -50, 80, 0, 62, -10, -95, 52, -14, 11, 13, -88, 20, -93, 17, -98, -92, -27, 69, -5, 19, -12, -100, -57, -60, -80, 37, 29, -99, 11, -88, -77, 69, 52, -4, -45, 87, 98, -44, -65, -14, -37, 53, 11, 43, 19, -36, 38, 33, 51, -63, -101, 14, 97, 48, 4, -53, 32, -17, -51, 62, 84, -9, -23, -65, -74, 33, 76, 35, -14, -46, 58, -36, -79, -75, -71, 61, -72, 73, -7, -80, -4, -44, -74, -70, 18, -98, 87, -1, -74, 6, -74, -61, -92, -16, -77, -34, -52, -73, -66, -32, 80, -17, -19, -103, -81, -10, -102, -62, -20, -29, 64, 97, 29, 41, 50, 83, -43, 74, 43, 10, 31, -102, 48, 53, 10, 4, 3, 27, 68, -58, 91, 29, -94, -56, 21, -83, -3, -65, 53, 49, -12, -103, 14, -102, -38, -33, -96, -43, -87, -47, -29, -42, 50, -63, 88, -35, -4, -46, 46, 33, -20, 51, -77, 99, 56, -35, 60, 31, 81, -91, -41, 78, -72, 46, 69, 26, -20, 32, -80, -90, 82, 34, -76, 49, -8, -43, -107, 17, 86, 89, 43, 93, 73, 86, -19, 26, -52, 41, 25, 86, -94, 27, -67, -16, 66, 37, 4, -19, -72, -53, -27, 29, -31, -7, 42, 9, -28, 45, -53, 6, -68, 101, 96, -53, 35, -1, 74, -114, -52, -25, -94, 26, 91, -73, -52, 29, -34, -40, 49, -86, -97, 87, -3, 17, 73, 20, -67, 35, -70, 81, 17, 90, -83, -87, -18, 33, 23, 84, 85, 75, 70, -99, 9, -5, -70, 15, 70, -61, -48, 48, -63, -81, 53, -69, 90, -70, 58, 82, 54, 33, -41, -9, 100, -43, 41, -95, -63, -103, -110, 91, -43, 60, -76, 52, 16, 14, -77, 51, 41, 60, -38, -54, -25, 13, 22, -33, -84, -74, 70, 19, -36, 101, 75, 68, 94, 70, 1, 97, 8, -52, 51, -1, -3, -98, 95, -105, 32, -32, 38, -28, -49, 70, 26, 26, -10, 47, -37, -87, 96, 39, -17, 14, 93, -45, -106, -32, -64, 39, -17, 68, -1, 54, 95, -10, 46, 47, 39, -58, 2, 10, -37, -45, 28, -99, 48, -5, 49, -69, 47, 55, 83, -66, -62, 59, 74, 36, 21, -49, 37, 105, -19, -38, 33, 49, 16, -33, 95, -36, 70, -83, -6, -55, 101, 7, -57, -33, 50, 60, 52, 78, 91, -44, -77, -54, 37, -83, -11, 51, 1, 76, -73, -5, -14, 0, 78, 72, 98, -79, -36, 81, 96, -40, -69, -27, 82, -21, 59, 80, -87, 94, 69, 84, -81, -57, 19, -47, -89, -39, 20, 15, 21, -75, -64, -78, 13, 31, 49, 96, 47, -33, 53, -57, -95, -99, 43, -55, -10, -10, -15, 29, 91, -48, -74, -1, -65, -69, 51, 82, -12, -35, 15, 57, 94, -34, 1, -42, -1, -94, -2, 73, -94, 84, -1, -52, -70, -87, -14, 38, 80, 13, 24, -32, -72, -4, 37, 45, 88, -60, -29, -39, -62, -51, -39, -12, 60, -74, -20, 14, 21, 0, 67, -11, 56, 43, -5, -59, 99, -73, -47, -28, -91, 3, -82, 63, -29, -39, -22, -51, -31, -8, 28, 89, -8, 81, 41, -7, -40, -70, 56, -92, -37, -70, 82, 48, -26, 11, 42, -64, 44, 38, -12, 25, 72, 76, 80, -66, 1, -18, -83, 70, -42, -39, 31, 7, 23, -20, -37, 2, -13, -46, -75, -50, -5, -7, -19, 14, -43, -37, -96, 54, -18, -64, -52, -19, -101, -39, 62, -83, -44, -40, 94, 38, -19, 63, 95, -99, -57, -9, -12, -19, 97, -80, -21, -90, 45, -93, -27, -92, 13, 79, 59, 32, -63, 11, 81, -55, -9, -35, -12, -6, 65, -4, 37, -65, -50, -72, 38, 26, -58, -59, -78, -63, -55, -42, -1, 92, 79, 55, 72, -35, -58, 67, -16, -24, -16, 67, -85, 61, 31, -9, -62, 93, -62, -100, -13, 2, -95, -56, -27, 6, 9, 98, -54, -47, -13, -10, 3, -77, -31, 32, 45, 29, 20, -32, 59, 54, 5, -97, 18, 29, 95, 81, -72, 43, -88, 18, -40, 43, 60, 30, 33, 91, 21, 15, -97, -49, 88, -55, -69, -56, -12, 97, 19, 75, 32, -100, -54, -65, -46, 16, -12, 18, -26, -77, -72, 108, -22, -5, -30, -72, 52, 64, -6, -51, 36, 83, -10, 49, -16, -29, 19, -79, 53, -59, -74, -1, -92, -74, -78, -72, 48, 5, 2, 72, -103, -3, 101, 30, 56, -73, 34, -47, 40, -61, -64, 83, 55, -8, 35, 10, -7, 20, -57, 18, 25, -45, -40, 41, -101, -91, 31, 8, -68, -31, -63, 10, -17, -26, -11, -76, -19, 109, -97, -92, 27, 13, -89, -108, 76, -78, 89, 81, -28, 40, -7, -70, 53, -36, -85, 83, 15, 101, 82, -85, 88, -17, 53, -62, 33, 5, 92, -15, 12, -75, 27, 1, -90, -102, -75, -81, 33, 39, 3, 52, 35, 70, -80, -58, -59, 92, 0, -69, 3, -44, 57, 67, -18, 68, 23, 35, -48, 4, 55, -79, 88, 42, 24, 68, -59, 82, 4, 106, -35, 77, 43, -59, -23, 81, 82, 33, -88, -30, 60, -83, -14, 60, -96, 8, 49, 10, -52, -63, 83, 83, -27, -74, -12, -34, -1, -28, -25, -29, -87, 83, -55, -42, 43, -62, 13, -94, -45, -68, 77, -52, 45, -102, -4, -65, -68, 86, -12, 48, 27, -90, -71, -75, 71, -5, -67, -57, 20, -29, -35, 29, -91, -46, -22, -26, -45, 12, 77, -58, 37, -85, 107, -36, 22, -76, 26, -41, 13, -40, -55, -48, -97, 9, 4, -12, -11, -10, -31, 20, 83, 36, -41, -52, -37, -74, -27, 89, 17, 30, 100, -5, 53, 38, 9, -67, -47, 5, -48, -15, 10, 82, 19, -20, -48, 54, 8, -30, -61, -97, 69, -46, -74, -37, 0, -63, 62, 11, 7, 48, 25, -90, -61, 3, -54, -64, 67, -22, 103, -74, -96, 84, -2, -101, -63, 68, -53, -72, 10, -89, -55, -71, 81, 58, -20, -12, 5, -92, -72, 14, -70, 70, 71, -40, -80, 77, 50, -88, -43, -85, 8, 16, 56, 3, -95, 11, 25, -63, 45, -78, 29, -29, 4, -36, 65, 14, 41, 80, -63, -39, -37, 101, 76, -9, -65, 76, -100, -69, 30, -56, 15, 25, 84, -12, 91, -12, -83, -53, 65, -29, 86, 59, 68, 102, -80, 4, -20, 44, 35, -41, -43, -74, 43, -72, -61, 34, 75, 82, -72, -20, 77, -56, 66, -89, 96, -90, -91, 39, -2, -24, -14, 98, -6, 101, -98, -24, -33, 49, 17, -40, -68, -84, 78, 6, -47, 4, -70, -7, 16, 10, 24, -13, -51, 39, 8, -19, 8, 40, -52, 27, -41, 17, -30, 46, -43, -14, -43, -93, -39, -89, 8, -3, -55, -26, 89, 31, -62, -67, 96, 1, -15, -21, -94, 89, -13, 91, -36, -67, -69, -13, 26, -79, -46, -48, -21, -95, 55, 56, -41, 102, 49, -81, 49, 22, 67, -20, -51, 77, -86, -74, 73, 108, 71, -94, 35, -78, -40, -65, -35, 57, 18, -59, 23, -32, 31, 41, 67, -60, 58, 22, 46, -62, 5, -51, -70, -29, -32, -42, 20, 63, -11, -10, -39, -24, 88, 5, 28, -42, -64, -11, 17, 90, 12, 72, 60, -64, 17, -18, -62, -11, 38, -56, 85, 24, 35, -46, -102, 77, -41, -91, 2, 89, 62, 66, -86, -89, -8, -104, 64, -2, 92, -53, 63, -7, 17, -92, -35, -16, 85, -76, 5, -30, -93, 41, -76, -18, -7, -45, -54, -101, -106, 30, 33, -98, -26, 19, -83, -21, 11, -63, 10, 3, 62, -11, 85, -60, 36, 97, -32, -103, -63, 32, 23, 3, 1, 84, -77, -97, -39, -13, 69, -57, 80, 102, -70, -30, 88, 20, 23, -23, -73, -92, -70, -6, 31, -94, 86, -20, -48, 90, 93, -35, -51, -53, 26, -35, -69, 36, 25, -15, 69, 96, -48, 36, -2, 88, 30, 43, 15, 18, -27, -47, -26, 62, 13, 52, 58, 69, -64, 55, -29, 48, 78, -96, 69, -102, 95, -9, 11, 20, 75, 88, 39, 4, 108, 47, -21, 48, 1, -107, 85, 70, 55, 63, -32, -35, 87, -75, 59, -23, 56, -90, -48, -53, -11, 75, -17, -24, -38, 40, 33, 43, -88, -14, -55, 33, -84, 23, 80, 55, 36, 46, 90, 95, 41, -48, -34, -22, 70, 40, 2, -81, 85, -60, 35, 97, 57, -11, 64, 45, -30, 45, -15, -99, 85, 99, 82, 78, -81, -118, 48, -85, -87, 3, 63, 70, 15, 74, 24, -69, -65, -43, 56, -19, -34, -94, 62, -102, 84, 1, -83, -58, -97, -73, 7, 9, 59, 82, 20, -94, -53, -43, 0, 40, 64, -64, -8, -21, -67, -67, -28, 92, -59, -53, -37, -94, 99, 69, -39, -93, -10, 32, -84, -8, 12, -97, 18, -75, -9, -31, 59, -100, -18, -97, -12, 49, 40, -14, -31, -99, 42, 2, 36, -77, 48, 17, 20, -49, -38, 64, -69, 35, 76, -44, -38, -75, 66, -13, 4, -24, -54, -56, 3, -1, 91, 96, 18, -60, 53, -96, -73, 28, -50, 80, 42, 86, 19, -86, -3, -20, 10, -29, -16, 32, -18, -90, 34, -16, 71, -16, 70, 88, 31, 36, -45, -15, -10, 42, -84, 54, -51, 92, -40, 98, 57, 15, 63, -82, -47, 26, -76, 20, -76, -24, 4, 75, -49, -71, -90, 2, 88, -9, 60, -40, 51, -85, -5, 77, 67, 28, -22, -62, 97, -37, -45, -69, 85, 23, 110, 45, 17, -86, 87, 13, -92, -10, -43, -9, 39, 43, 1, 81, -38, 79, 75, 10, -10, 73, -74, -57, 66, -44, -28, 7, -96, 42, 81, 65, -56, -17, -71, -79, -34, 65, -74, -94, 51, 50, 25, 6, 71, 50, -61, -83, -58, 77, -20, -83, 33, -51, -27, 69, 42, 67, 89, -64, -101, -25, 48, -41, -82, 40, -101, -69, -16, 31, 33, 43, 34, 62, -66, -88, -82, -18, -91, 80, 98, 64, -71, 67, 37, -13, 10, -71, -85, -5, 55, -27, -33, 3, 81, -72, -57, 7, 5, 97, -5, 89, 72, -71, 32, -82, -38, 16, -56, 21, -14, -27, -12, -52, 23, -65, 88, 49, 70, -47, 37, -75, -63, -7, 71, 10, 92, 27, -21, 74, 24, 86, 71, -84, -75, 87, -19, 21, -3, 24, -33, -27, -48, 30, -22, 9, 90, -22, -57, 24, 85, -46, 75, 36, 73, -53, 60, 60, -101, -28, -56, -110, 36, 24, 23, 9, 0, 101, -99, -55, -8, 36, -4, 87, 74, 77, 30, 3, 86, -13, 53, -83, 22, 15, -15, 16, 30, 26, 17, -27, 36, -83, -85, -27, -59, 87, -82, 80, -86, -7, -99, -67, -58, -67, -16, -27, -75, 72, 74, 71, -41, -90, 108, 70, 71, -69, 103, -19, -94, -25, 91, -58, 64, -49, 74, -59, -7, 0, -51, -32, -4, 8, 7, 75, -59, -28, 89, -29, 67, 34, -79, -46, 51, 7, 44, 82, -46, 74, -54, 24, -10, -56, -5, 24, -97, 74, -38, 37, 61, 33, 54, -45, -71, 88, 61, -71, -12, -99, -99, 37, 64, -97, 46, -86, 92, 28, -59, 4, 83, 33, -55, 58, -80, -65, 0, -64, -3, -94, 8, -86, -70, -66, 84, 0, 71, 36, 48, 28, -71, -19, 102, -87, -11, -4, 60, -73, -39, 45, -82, -42, -40, -26, -97, 89, 15, -64, 21, -54, 80, -73, 33, -57, -62, -85, 0, 31, -61, 30, -21, -11, -26, -3, -44, -42, 14, 34, 78, -54, -2, 80, 79, -29, 14, 37, -50, 29, -53, -73, -19, -1, 32, -8, 70, 70, 96, -100, 11, 24, 84, -99, -77, 63, -34, -18, -97, 31, -66, -22, -13, 95, 82, 91, 22, 12, -48, -13, -72, 95, -7, 51, 58, -98, -2, 8, -30, -73, 45, -3, -86, 19, -26, 29, 50, -51, -24, -20, -81, 69, 17, 13, -71, -83, -45, 20, -22, -56, 90, -19, -57, 56, -99, 30, 54, 47, -11, -54, -36, -36, 19, 30, 36, 91, 25, 47, -92, 50, 74, 112, 98, 99, -70, -61, 76, -52, 52, -50, 11, -71, 85, 39, 71, -44, 13, -16, 65, -54, 51, 76, -29, 90, 39, -84, -92, 21, 0, -90, -13, -6, 29, 21, 44, -81, -88, -29, 14, -96, -66, 28, -21, -74, 75, -100, 8, -54, -22, -52, -37, -69, 43, 23, 56, 41, -52, -61, -39, 17, -59, -101, 70, -15, -13, -40, -31, 48, -97, 63, 79, 11, 78, 89, -102, 50, -57, -6, -76, -21, -106, 0, -10, 99, -59, -78, 18, -86, -72, 50, 15, -16, 71, -91, 55, 49, -69, 94, 29, 22, 77, -18, -29, 78, 52, 84, 83, 39, 34, 96, -79, 38, 12, 2, -74, -91, -19, 94, -96, 0, -83, -71, -98, 8, -57, 24, -94, -15, 75, -124, 93, -82, -35, -36, -72, -39, -74, 96, -2, -102, 51, -33, -13, 15, -10, -81, 68, -55, 39, -77, 95, 81, 8, 6, 23, -87, -16, 53, -77, -42, 86, -42, 2, -64, -28, 31, 74, -60, 85, -8, 3, 23, 103, 13, -17, 62, 86, 10, 69, -96, -78, -19, 46, -22, -11, 43, 65, 78, 1, -91, 5, 75, 86, 75, 53, 22, 42, -76, 17, 80, 32, 49, 57, 60, 29, 88, -34, 49, 9, -89, 20, 51, 24, -91, 3, -24, 54, -48, 14, 0, 70, -67, 21, -12, -2, 38, -13, -79, -92, -29, -79, -16, 91, -17, 37, 88, 91, -22, 37, 79, -19, 5, 43, -70, -8, 20, -63, -35, 80, 49, 22, 98, -83, 39, -76, 23, 16, -94, 47, 57, 4, 21, -76, -88, 45, 26, 84, -24, 78, 46, -46, -77, -7, 3, 6, 101, -67, -21, 17, 76, -60, 58, -23, -19, 43, -34, 13, 54, 3, 8, -20, 53, 89, 73, 16, -9, -93, 21, -92, -19, -38, -45, -73, -11, -39, 68, -92, 77, -74, -3, 42, -88, 3, -78, -85, -64, 88, -12, -31, -62, 1, 50, -46, -85, 8, -13, 87, 66, -83, -16, -62, -74, -62, -64, -30, 91, 10, -63, -71, -94, 71, 17, -76, -96, -3, -53, -66, -36, 44, 94, -48, 63, 103, 14, -93, 98, -30, -41, -3, 85, 22, -71, 77, -7, -20, -94, -101, 68, 89, -47, 64, -16, 78, -103, -95, -88, -3, 38, -64, 33, 31, -27, 28, -43, -29, -43, -20, -97, 38, 25, -78, -40, 17, -95, -97, -75, 38, 88, 57, 51, 48, -36, -6, 34, -27, 61, 77, -10, -4, -14, 35, -90, 96, -15, -40, 69, -15, 0, 69, 73, -85, -47, -33, -50, 89, 60, 64, -62, 97, -37, -7, 55, 89, 2, 11, 3, 64, 81, -81, -24, 29, 28, 82, -92, -8, -4, -48, 26, -103, 70, -64, 53, -56, 33, 63, 7, -82, 90, 46, -107, 99, -61, -10, -99, -53, 37, -70, -38, 28, -81, 56, 56, 91, 8, -102, -81, -31, 77, -28, -13, -72, 58, -7, -38, 38, 90, -35, 44, 86, -80, 81, -85, -42, -23, -2, 76, 11, -43, -66, 43, -80, 65, -37, 56, 38, 56, 75, 54, 89, 97, -104, -51, 26, 48, 54, 65, 47, -12, 48, 5, -80, -45, -28, 42, 84, -40, -5, 52, -64, 20, -34, 61, -46, -77, 41, 6, -100, -23, -40, -20, -10, -48, 26, 15, -89, 98, -33, -101, -72, 16, 25, 92, 54, 37, 41, 83, -42, -17, -54, -94, -103, 17, 16, 2, 77, 8, 51, -9, -67, 94, 4, -92, -61, -75, 94, 82, -77, -11, 20, -47, -38, -25, 82, 16, 74, 81, 55, 61, -34, -17, 23, 80, -55, -14, 65, 15, -98, 15, 41, -36, 20, -4, -97, -59, 5, -58, 69, 102, 59, 50, -66, -49, -88, 51, -7, -22, -60, 72, 22, -94, 46, -57, 98, 5, 58, 90, -86, -30, -92, 32, -57, -14, -32, 86, 71, 8, -78, 20, -50, -59, -61, -47, -54, -90, 44, 2, -100, -78, -23, -56, 55, 66, -52, 78, -89, -70, 56, 37, -34, -38, -59, 52, -63, 6, -22, -34, -64, -70, -80, -20, -49, 45, 11, 102, -80, -40, -69, 16, 39, -53, 87, -88, -11, 63, -48, -28, 6, -103, 90, 104, 15, -102, -1, 46, -16, -26, -6, 19, -2, -6, 24, 47, 94, 75, -26, -12, 27, 20, 45, -60, -5, -18, 16, 49, -50, -17, 8, -59, -73, 31, 90, 49, -59, 31, 97, 44, 83, 82, 29, 14, -93, 38, -18, 49, -8, -61, -58, -44, -12, 64, -46, -79, -54, -19, 75, -24, 36, 23, -76, 45, 84, -34, -33, 55, -9, -56, 1, -56, -42, -70, 71, 103, 68, 51, -64, 6, -64, -4, 107, -62, -32, -35, -12, -83, -96, 15, -62, 69, -14, -47, -97, 99, -24, 54, -10, 31, 75, -52, -39, -103, 7, 39, 68, 59, -6, -75, -91, 15, 11, 89, -5, -3, 4, 58, 93, -91, 18, 19, 42, 93, 66, 89, -43, -38, -27, 27, 13, -48, 63, 57, 13, 27, -84, 60, 2, -48, 88, 53, -29, -95, 39, 50, -101, -80, -17, 84, -26, 94, -3, -17, 39, 44, 42, -57, 81, 77, -35, 83, -83, 18, -71, -53, 59, 85, -35, -78, -43, 37, -46, 89, 56, 50, 94, -46, 89, -45, 58, -14, 13, 64, 60, 21, -51, -40, 96, 95, 38, -23, 37, 34, -99, -100, -68, 86, -80, -83, 76, -1, -46, 9, 62, -62, 14, 15, 46, -68, -9, -78, -68, 40, 71, -106, 39, -56, -13, -24, 91, -58, 70, -48, -72, -1, 14, -66, -98, -81, -43, -30, 2, -19, -51, -60, -59, -22, -109, -13, 34, -65, -7, -33, 51, 69, 1, 75, 93, 98, -20, -17, 28, 70, 101, -26, 78, 21, -77, -20, -74, -76, -80, 21, -60, -24, -95, 71, -61, 60, 89, 22, 11, -83, 48, -5, 46, 42, 9, 10, 77, -63, 22, -33, -13, 50, -66, 23, 30, 78, -20, 51, 22, 21, -81, -93, -14, -30, 59, 76, 53, -2, 35, 63, -3, 38, -45, -40, 66, 88, -8, 67, 27, 27, 12, -44, -9, -104, 5, -79, -37, -67, 24, 72, -42, -77, -73, -7, 68, -66, 89, 57, -37, 15, 48, -54, 29, -16, 47, -45, 38, -16, 51, -60, -44, 18, 34, -13, -39, -38, -49, 34, 33, 54, 22, 85, -106, 91, -50, -64, 59, -60, 68, 104, -15, -64, -47, -21, 15, -32, 85, -53, 5, 74, 43, -64, 15, -77, 95, -40, -20, -6, -58, -67, -83, 66, 16, 85, -14, 45, 4, -60, -60, -7, -82, -100, -94, 60, -18, 50, -6, -15, 60, -78, 86, -7, -55, -13, 4, -74, 55, 77, 81, -27, -52, -99, -16, 89, -94, -23, 9, 79, 101, -39, -9, 45, -7, -88, 83, 98, -76, -22, -101, 79, -9, 102, 3, -5, 101, -79, 10, -56, 101, 10, -40, -91, -92, 3, -23, 80, 88, 101, 39, -75, 14, -28, 27, -18, 87, 43, -75, 103, -68, 32, -40, -89, -92, 32, -20, 41, 47, 95, -85, 7, 51, 79, 97, -100, 19, -71, -6, -12, 58, -5, -12, -38, 38, -10, 2, -76, -13, 60, 76, -65, -20, 28, -57, 84, -2, 77, 43, -74, -23, 74, -48, 94, -42, -11, -55, 31, -58, 30, -5, -41, 21, 41, -33, -44, -99, 99, 2, -95, 92, 96, -43, 3, -97, -19, -11, 27, -94, 82, -102, -55, 84, 55, 5, -45, -95, -8, 81, -46, -27, -18, 68, 43, -53, 33, 17, 63, -71, -41, 61, -69, -65, -60, 68, -28, -45, -104, 24, -64, 65, -89, -90, 30, -50, 82, 37, -36, -52, 32, -102, -56, -22, 19, 11, -8, 52, -84, 27, -88, 86, 86, -68, -68, 66, 59, 23, -26, -94, 38, -79, 76, -16, 89, 97, 83, 60, 67, 91, -53, -16, 7, 96, 71, 51, 81, -67, -16, -54, 84, 79, -26, -69, -70, 56, -37, -66, 91, 23, 23, 97, 43, -86, -30, 25, -96, 29, -43, -78, 2, -13, 8, 39, -69, -42, 46, -2, 13, -74, -36, 60, 35, 58, 21, -10, -62, 15, 97, -54, -40, -23, -67, 70, 62, -62, -21, 46, 97, -48, -60, 78, 15, -66, -37, -71, 23, 85, -87, -47, -63, 24, 52, -99, 33, -99, 49, -81, 11, 31, 55, -17, -49, -93, -2, -75, -67, -62, -46, 12, 42, 52, 73, 80, -65, 40, 54, 27, -4, -48, -11, 33, -5, -51, 91, -8, -25, 34, -5, -91, 2, -11, -98, -102, -40, -76, 41, 58, -8, -36, 3, -52, -7, 52, 77, -72, -89, -51, -30, 15, -4, 88, 44, -100, -81, 24, -2, 97, -15, -25, -63, 33, 70, -83, -74, -50, -91, 99, 0, 93, -94, 5, 4, -12, 67, -68, 13, -12, -86, 12, -96, 23, -50, -37, -51, 82, -54, -21, -42, 70, -80, -102, -58, -16, 36, 28, -66, -48, -11, 86, -92, -1, -7, 94, -102, 49, 91, 39, 40, 33, 28, -34, -90, -59, 2, 72, -94, -63, -56, -17, -98, 78, -71, 42, -100, -45, 87, -73, 46, -14, 50, -16, -62, -70, -71, -46, 41, -37, -102, 30, -95, -85, -78, 74, -46, 55, 96, 76, -69, 1, 90, -68, -91, -34, 76, -65, 29, -15, 4, 46, 5, 46, -47, 38, -26, -20, -26, -83, 1, 4, -50, -84, 10, 100, -71, -83, 25, 84, -47, -44, -35, 9, 51, 32, -44, -27, -38, -8, -60, -58, -87, -33, 23, 17, 78, 76, -83, 38, -79, -35, -96, -79, 77, -1, -5, 43, -97, -26, 96, -30, 44, 61, -89, 46, 74, 98, 18, 102, 12, -82, 54, -8, -31, -99, 91, -92, 78, -53, -26, -94, -83, -25, 89, 33, 98, -1, -47, 77, 35, 16, 68, 78, -83, -14, -31, 58, -59, -17, 92, 44, 25, -40, 84, -86, 34, -91, 73, 0, -10, 79, 12, 2, -103, -73, 23, 33, 18, -50, -46, 66, 18, 86, 15, -59, 66, 82, 32, 110, 32, 51, -95, -91, -80, -30, 56, -52, -68, -61, -69, -23, -101, 62, -95, 81, 69, 13, 1, 6, -97, 57, -96, 111, -61, -14, -80, -89, -1, -48, -54, 9, -58, 82, -34, 106, -101, -71, 3, 0, -15, 101, -81, -10, -80, 85, 77, 67, 40, 77, 100, -34, 12, 37, 103, -62, 93, -103, 69, -79, 111, -45, 6, -85, -67, -95, -60, 94, 21, 1, -96, -32, 54, -82, -15, 86, 29, -52, 54, -50, 53, -71, -90, -11, -20, -114, 58, 48, 50, -15, 29, 94, -29, 53, -20, -89, 71, -27, -31, 20, 24, 6, 101, 11, 27, 65, 93, -2, 16, 77, -52, 69, -78, 67, -17, -63, -66, 36, -35, 25, -52, 53, 95, -10, 77, 4, -43, -52, 39, -88, 89, 82, 7, -31, -10, -89, 92, -64, -4, -40, 82, -60, 89, -8, -78, 39, -48, 46, 38, -64, 50, 21, 2, -92, -71, -43, -103, -100, 0, -16, -102, -77, 20, -82, 106, -6, 8, -63, -68, -23, 89, 89, -6, 53, -42, -26, 55, 57, 104, 49, 81, 86, 13, 28, -26, -3, 94, 94, 78, 32, -11, 22, 53, -38, -1, 66, -24, -40, -72, 25, 16, 33, 58, -5, -18, -66, -13, -112, 23, 43, 87, -56, -78, 57, -22, 65, -55, 71, -52, 81, -25, 76, 86, 24, 18, -76, 39, 14, 15, -38, -1, 7, -91, -52, -31, 71, -102, -90, -14, 40, 40, 12, -95, 40, 29, -67, -36, -5, 10, 0, 88, -53, 22, -87, 49, -48, 0, 14, -26, -54, -62, -90, -85, -25, 91, 89, -32, -49, -59, 45, 0, -44, 95, -15, -81, 10, -86, 14, -31, 12, 47, 82, -94, 8, 74, 68, 9, 79, -53, 83, 73, -106, 39, 92, 13, -25, 94, 92, 73, 35, -11, 79, 77, -81, 20, -1, -87, 67, 67, -11, -18, -21, -68, -101, -83, -37, -97, -63, 68, 37, -20, 73, 10, 46, 53, -76, 96, 63, -40, 69, -20, -5, 14, -81, 89, 72, 53, -74, -33, -3, -28, -62, 91, -56, -70, 33, -35, 31, 92, -92, -79, 91, 41, 76, -12, 39, -19, -56, 51, 81, -82, -59, -79, 63, 14, 19, -4, -65, -42, 18, 43, -15, -54, -56, 93, 23, 104, -16, -45, 1, -104, 34, -62, -84, -22, 94, -82, -29, 25, 58, -65, -80, -59, 43, 91, 12, -62, 17, -48, -93, -80, 19, -1, -62, 94, 63, 77, 103, 15, -7, 48, -73, -46, -60, 50, -54, -31, 35, 83, 52, -17, -22, 69, 25, 4, -78, -84, -46, -28, 21, 55, -60, -78, 9, -51, 112, -83, 26, -19, 46, -70, 100, -51, 56, 105, 89, 92, -72, 25, 96, 31, 104, 23, 16, -29, -10, -50, -48, 76, -53, -62, 103, 52, 85, 21, 10, -87, -12, 85, -74, 9, -43, -93, -61, -77, -68, 45, -85, 73, 48, 98, 85, -61, 27, -29, -4, -89, -43, 96, 71, 73, 26, -79, 19, 64, 61, -100, 46, 33, -99, 9, 87, 26, 27, -96, 73, -74, 97, -73, 32, -96, -3, 33, 18, 89, -28, 92, -69, -10, -79, 77, 12, -97, 7, -72, -17, 2, 13, 21, -3, -78, -21, 25, 24, 93, -29, -6, 69, -31, 88, -67, -19, 35, 85, 33, 61, 87, 84, 87, 81, 38, 100, 78, 61, -39, 65, 55, 68, 7, 78, -42, 52, 90, 85, 79, 58, 89, 80, -45, -77, -54, 28, -94, 16, -93, -66, 40, 57, -93, -20, -22, -10, 71, 47, 51, -80, -30, 8, 48, -97, -46, 34, 24, -42, 3, -78, -11, 12, -83, 38, 4, -84, 87, 110, 70, -52, 33, -91, 6, -13, -29, 52, -13, 3, -60, -102, 5, 24, -12, 75, -28, -63, 42, -8, 81, 12, -97, -3, 29, -17, -29, -17, 35, -3, 15, -93, -42, -95, 87, 77, 7, -79, 67, -47, -80, -2, -66, 60, -36, -31, 83, 88, 27, -58, -27, 55, -46, 42, -81, -26, -102, 64, -47, -16, 59, 0, 99, 82, 75, -81, -69, -18, -4, -86, -36, -13, -40, -87, -6, -27, -68, -56, -34, 16, -52, -69, -33, -19, 18, -37, 15, 44, 10, -92, -96, -65, -31, 73, 65, -69, 72, -55, -2, 82, -18, -40, 48, 8, 43, -21, 19, 57, 92, -12, 64, 72, -87, -24, 43, 27, -31, -60, 44, -90, -25, 67, -71, 40, 100, -43, -71, -40, 87, 18, -13, 51, 68, -2, -93, 72, -69, 65, -5, 88, 72, -12, 46, 91, 100, -48, -91, 85, -20, -39, 72, -28, -102, 65, -67, -75, 19, 13, 63, -44, 16, -5, -41, -62, -48, -50, -19, -5, 31, -5, -45, -94, 42, -23, 63, -14, 63, -3, -94, -14, -90, -30, -16, 65, -66, -10, -88, -65, 57, 82, 87, -94, 24, -6, 84, -80, -40, -69, -96, 41, -8, 27, 65, -65, 93, 5, -4, 72, 57, -8, -12, -106, 87, 57, -63, -28, 93, -21, -76, 21, 43, -86, -22, -51, -90, -19, 15, 25, 59, 81, -90, -89, 101, -17, 30, -101, 61, 24, 28, 82, -84, 76, -87, -18, -16, -50, 31, 37, 25, -105, 66, 50, 15, -70, 21, -66, 76, 67, 21, -46, -20, -47, -62, 97, -44, -60, 102, -82, 27, -17, 61, 93, 75, 33, 101, -93, -28, 4, 98, -4, -78, -21, -66, 72, -87, -31, -24, 36, -56, 76, 65, 72, -37, 37, 22, -5, 76, -33, 19, -33, -74, 62, -85, -46, 69, 83, 53, -60, -98, -28, -60, -42, -36, 30, -88, -26, -98, 97, 10, 75, 90, -16, -23, -64, -52, 41, 95, 34, 35, 64, 84, -43, 17, -52, -43, 5, -35, -53, -29, 95, -36, 56, 93, -28, -22, 51, -84, 44, 100, -2, 11, -17, -89, -85, -77, -104, 30, 97, -85, 76, 37, 11, -78, 69, 71, -66, 26, 37, 28, 29, 66, -51, -5, -60, 75, -21, -30, -88, 74, -86, 7, 48, 88, -93, 89, -75, 71, -46, -30, -20, -82, -69, -57, -77, 56, -43, 28, 6, 4, 93, -8, -73, -66, 58, -85, -10, -17, -59, -8, 66, -49, 44, -1, -69, 97, -98, 21, 12, 24, 51, -68, -12, 33, -38, 75, 28, -71, 102, -105, -19, 85, 79, -70, -29, -60, 51, -82, 48, -26, -61, 76, 27, 5, -103, 93, -75, 77, 88, 71, 73, -65, -100, 78, -10, -62, -11, -56, 92, 28, 96, 37, 44, -41, -91, -89, -25, -46, 0, 100, 64, -60, -24, 91, 43, -43, 77, 84, -26, 90, 74, 72, 33, -33, -53, 55, 88, 12, 100, -70, -10, 92, 72, 64, -77, 85, -58, 70, -46, -73, -91, -89, -9, -30, -78, -21, 15, -86, -53, 6, -51, -30, -16, 18, 4, 48, -39, -93, -36, 46, -44, 81, -66, 35, -66, 73, 47, 88, 62, -100, -21, 92, 60, 80, -8, 88, 81, 95, -30, 14, -74, -94, -25, -105, 96, 49, 16, 24, 15, -75, 12, 88, -20, -36, -36, 45, 90, 22, 68, -66, 96, 37, 8, 75, -25, 66, 26, -60, 6, 14, 37, 95, -88, -37, 56, -39, -78, 14, -74, 71, 18, -55, -50, 77, -80, 75, 70, 44, 16, -15, 59, 93, 19, -34, 80, 10, -72, 57, -12, -52, -31, 69, -100, -90, -9, 95, 20, -97, -39, -17, -1, -47, 54, -38, -86, 55, -47, 34, 0, 64, 8, -45, -45, 39, 58, 73, -46, -90, -84, -26, 58, -62, 62, 65, -13, 31, -49, -77, 43, 21, 11, -62, -38, -49, -61, 28, -11, 79, -20, -49, 104, -91, -30, 1, 96, 61, -55, 18, -21, 39, 13, 89, -61, -96, 2, -23, 104, -32, -80, 51, 68, -32, -9, -74, 89, 18, 13, 16, 94, 5, -83, -79, -31, 101, 4, 34, 40, 79, -10, 98, -40, -34, -69, -91, -7, -29, -61, 87, -78, 93, -87, -35, 16, -61, -88, -12, -76, -51, 19, 46, -47, 48, 55, 45, 30, 101, -18, -58, -11, -71, 98, -91, 69, 71, -26, 95, 57, -22, 102, 30, -30, 4, -15, 68, 93, 7, 96, -101, 86, 69, 94, 20, -94, 106, -65, 0, -48, -85, 14, 41, 80, 37, -99, -8, -72, 50, -101, 69, -21, -31, -24, 41, -27, 9, 48, 67, 30, -45, -37, 8, 103, 68, 9, 2, 78, 52, 10, 14, -81, 55, -54, -90, -59, 17, 84, -88, -24, 92, -52, -71, 24, -35, -15, 76, -89, 94, -64, -1, 72, -4, -69, 70, -65, 86, -7, -69, -89, -93, -18, -23, 36, -58, -89, -99, 72, 12, 70, -9, -22, 17, 7, 29, -4, -57, 56, -105, -82, 8, 0, 34, -13, -42, -74, -91, 99, -46, -58, -112, 68, -58, -30, -99, -14, 25, 54, -79, -89, 15, -46, 95, -81, -81, 14, 98, 34, 12, -49, -67, -4, 86, 67, 10, 50, -46, 93, 93, 84, -92, -98, 59, -74, -48, -59, 14, 43, 87, -18, -69, -61, 44, 11, -56, 60, -3, 63, -10, 57, -14, 102, 59, -105, 15, 41, 93, 17, 45, -1, -25, 62, 83, -58, -95, -42, 28, 24, -89, 15, -88, 20, -28, 22, -40, -10, -46, 75, -30, 85, -76, -87, -87, -98, -82, 54, 5, -24, 28, -103, 100, -6, 21, -57, -14, -17, -78, 18, -79, 23, -67, -82, 61, 90, -101, -89, -54, 32, -10, -13, 96, -32, 34, 22, 51, -78, 44, -18, 37, -56, -97, 89, 31, 58, 37, 59, 39, -34, 82, -63, 54, -58, -52, -80, 54, 96, -100, 2, 85, 15, 29, 38, 54, 61, -60, 83, -78, -72, -19, -82, -65, -57, 94, -16, 81, -101, 28, -73, 0, 86, -25, -71, -7, -15, -50, 30, 38, 18, 71, 1, 45, -8, -82, 1, 78, 64, 92, -14, -36, 56, 85, 5, -47, 100, 46, 58, 54, 58, -82, -65, -6, 58, 76, 45, -80, 3, -87, 23, 75, 8, 39, -82, -49, 12, -16, 99, -53, 49, -31, -83, 11, -79, 2, -97, -46, -100, -96, -102, 15, -80, 101, -45, 4, 43, -59, -87, 74, 29, 87, -101, 59, -86, -71, -62, 8, -37, -56, -46, 64, -56, -94, -54, 73, -46, 85, 75, -38, -69, 28, -46, 62, -54, 48, -36, 97, -49, 28, -5, 80, 51, -10, 78, -7, -21, -42, -4, 26, 70, 18, 32, -68, -68, -63, -69, -12, -18, 31, 68, 74, -45, -98, -86, -17, 10, -33, -74, 59, 35, 96, 6, -2, 47, -7, 45, 101, -59, 105, -88, -39, -47, 13, 31, 82, 46, 76, -43, -50, -86, 70, 75, -89, 84, -24, -8, -51, 38, -19, -80, 56, -46, 51, -103, 18, 26, 101, 36, 41, -59, -69, 99, -2, -61, -10, -37, -87, 16, -87, 73, 79, -100, -95, 77, 104, -70, 53, -35, 47, -61, -35, 61, 49, 0, -7, -85, -92, -52, -93, 95, -77, -50, 31, -94, 37, 55, -34, 81, -45, 83, 9, -56, 0, -44, -56, 77, 5, 80, -32, -99, -94, -19, -22, 64, -19, 25, 95, -33, 94, -61, -42, 63, -94, 6, -58, -53, -59, 9, -26, 67, 91, -62, -22, 33, -48, -14, 50, -25, 78, 65, 54, -23, -80, 70, 94, 68, 67, 84, -57, -47, 5, -80, -5, -7, -96, 29, 45, 80, -73, -73, -90, 50, -42, 34, -99, 28, -65, 37, -68, 54, -33, 98, 17, -11, 95, 67, -11, 98, 72, 32, -24, -20, -106, -69, -81, -2, -3, -36, -67, -36, -92, 55, -20, 26, -104, -102, -59, -26, -10, -96, 95, -52, 16, 0, 50, -52, 52, -87, -33, -100, -27, 7, 51, 21, 37, 36, 78, 26, -43, -99, 88, 100, -102, -32, -26, -90, -61, 29, 6, -14, 25, -46, 65, 51, -99, -75, -5, 64, -39, 56, 11, -66, 47, 79, -80, -81, 43, -72, -58, 4, 92, -53, 48, -98, -3, 94, 53, -92, -61, -87, 100, -43, 58, 12, 56, -8, 35, -100, 19, -44, -98, 43, 18, -39, -68, -35, -48, 21, 0, 29, -57, 33, 42, 76, -64, 22, -79, -28, -89, -94, 74, 51, -90, 2, 82, 29, 48, -84, 101, 99, 94, -66, -32, -31, 81, -29, 12, 7, 98, 85, -78, -82, -89, 80, -22, 54, 85, 23, 83, -37, -90, 22, -40, 63, 101, 42, 33, -12, -64, 97, -4, 14, -41, 43, -42, -73, 108, -36, 90, 67, 26, 16, -86, -89, 91, -97, -64, 100, 33, -16, 14, 63, -8, 66, 12, -64, 101, -87, -14, 92, -90, -33, 86, -18, -79, 16, -21, 81, -57, -69, -31, -28, -24, -23, -38, -63, -9, -13, -79, 83, -71, -19, 93, 51, 66, -70, -24, 40, 29, -16, 36, 65, -55, -55, 42, -49, 18, -62, -31, -82, 53, -92, 28, -3, -98, 8, -42, -1, -28, 48, -72, 59, -60, -19, 73, -83, -7, -2, 21, -69, 58, -92, -85, -75, 77, 11, 71, -19, -39, 27, -47, 49, 52, 55, -71, 49, -20, 13, -99, -91, 19, -31, 40, 22, -76, 27, -29, 33, -19, 99, 49, 75, 22, -37, -5, 76, 64, -95, 101, 95, -4, 52, -72, 82, 65, -39, 53, 83, 22, -64, -87, 65, -62, 96, -48, -20, 19, 44, 31, -86, -71, 22, 6, 65, 34, 62, 9, 15, 108, 7, -74, -55, -95, 56, 92, 31, 24, 20, 99, -67, 8, -50, -51, -95, -11, 60, 85, 86, -3, -33, -32, 1, -90, -93, -72, 4, 7, -104, -47, -49, -22, -97, 24, 96, 32, 76, -29, 6, 26, -87, -17, 24, -54, 35, 74, -71, -96, 24, -4, 11, -88, -45, -27, -93, -64, 3, -12, 12, 80, 28, 80, 55, 35, 36, -53, -71, -28, -66, 48, -96, -31, 24, -47, 29, 14, -81, 16, 47, 93, 54, -69, -89, 77, -35, -40, -31, -37, 63, -31, -54, 65, -33, -5, 94, -19, -41, 70, -22, -18, 18, -101, -59, 33, -22, 25, -6, 69, -41, 85, -75, 4, 59, -41, -20, -98, 45, -7, 73, -18, 82, -43, -77, 42, -43, -60, 19, -48, 25, 91, -38, -34, -48, 33, -90, 86, -26, 89, -85, -55, -38, 27, -98, -56, -78, 8, 46, -71, 41, 88, 81, -66, 37, 26, -70, -53, 67, 20, -98, -48, 57, -76, 12, 29, -52, 50, -75, -68, 60, 47, 30, 32, -37, 80, -14, -54, -9, -14, 62, -87, -13, -8, 64, 24, 95, 15, 6, 11, -90, -74, -54, -56, 38, -62, 8, 55, 30, -56, -101, -20, 22, 65, 6, 81, 89, 56, -76, -5, -92, -53, 21, 114, -19, -77, -88, -58, 89, -18, -85, 102, 28, -8, -75, 5, 37, 93, -70, -49, -81, -12, -29, -99, 42, -90, 8, -35, 88, 89, 35, -5, 4, -78, -75, 65, 75, 32, 102, -68, 71, -53, 63, 13, -75, -44, -15, -18, 9, -11, -53, -4, 40, -26, 87, 54, -96, -21, -31, -45, -67, 37, -3, 20, 56, 62, 51, -26, -27, 94, -96, 9, 52, 6, -46, -42, -75, -35, 56, 10, -48, -10, 54, 102, 50, -22, -51, 101, -20, 10, -19, 13, 33, -20, 27, 73, -46, 10, 69, -10, 32, 102, 64, -70, -93, 113, -21, -39, 96, 78, -55, 15, -35, 28, 37, 36, 81, 102, 98, -42, -39, -12, -7, 12, 52, -103, 6, 51, 92, 16, -47, -4, 73, 53, 33, -19, 82, -49, -17, -40, -25, -13, -8, -86, -49, -100, 82, 89, -82, 69, -59, 66, -22, 32, -58, 32, 34, 81, -33, 45, 6, -21, 86, -80, 97, 100, -74, 36, -6, 94, -26, 56, -90, -94, 30, -79, 58, -48, -5, -85, 18, 81, -85, 76, 77, -49, -34, 17, 0, -63, -46, -3, 71, -4, 40, 1, 52, 22, 51, 12, -31, -35, -62, 75, -88, 53, -55, 92, 60, 52, 17, 77, -15, -31, 2, -33, 65, -76, 87, -87, 103, -85, 9, 31, 55, -37, 46, -40, 58, 6, -5, 102, 103, -63, -77, 82, -1, 89, -54, -81, 96, 91, 67, 57, 50, -99, 37, -61, 41, 104, 79, 40, 54, -19, -75, 58, 12, -69, 30, -39, -101, 78, -54, 25, -80, 94, -44, -10, 8, -52, -14, 9, 73, 37, 0, 36, 18, 15, -40, 36, 40, -59, 58, -17, -5, 19, -52, -96, -64, 95, 29, 90, -80, -6, 89, 71, 39, 32, 21, -66, 77, -86, 3, 37, 4, -23, -79, -10, 91, 66, -58, -27, -97, -37, 83, -1, -60, 76, -42, -7, 80, -3, -31, -101, 73, -78, -23, -97, -84, -44, 68, -23, -38, 69, 37, 65, 37, -52, 61, 70, 32, 88, -8, 89, 69, -66, -61, -44, 14, -82, 10, -10, -60, -18, 9, 40, 35, 20, -61, -45, 33, -35, -12, 78, 43, 65, 6, 76, -79, -10, 27, -81, 48, -69, -8, 99, -64, -27, 30, -2, -6, 85, -18, 2, 101, 83, 98, -15, -77, -89, 82, 92, -33, 82, -82, 6, 54, -66, 9, 103, -93, 76, 85, -72, 80, 36, 81, 77, -59, 9, -55, -94, 1, 23, 67, 86, -31, -103, 39, 54, -59, 90, -43, 48, -58, -16, 56, -69, 15, -33, 63, -37, -65, 65, 28, 47, -94, 31, 2, -42, 66, -29, -43, -115, 14, -32, 86, 82, -1, -104, -53, -13, 49, -90, -48, 78, 101, -34, 76, -46, -80, 36, -26, 9, -44, 16, -25, -85, -66, -36, -47, 15, -4, -39, 15, 0, -62, -11, 51, 15, 73, -30, -98, 37, 45, -19, -88, -76, 92, -110, -1, -15, 5, 1, 28, 54, 76, -39, -98, -70, -95, -87, -114, -42, 4, -89, -114, 73, 83, 100, 93, 97, -70, 62, -96, -35, -63, 29, 36, -47, -5, 17, -50, -19, -50, 100, 28, 85, -49, 80, -50, 106, 69, -62, -48, 83, -87, 47, 124, -61, 4, -111, -74, -25, -3, -37, -49, -49, 67, -11, 56, 5, 91, 102, 111, -44, 109, -80, -78, 39, 91, -86, -23, -93, 109, -110, 2, 97, 5, -34, -63, -64, -30, -46, 17, -85, 37, -60, -70, -106, 40, 35, 45, -104, 48, 116, -54, -39, -95, -92, -77, -60, 76, 106, -87, -21, -101, 59, -21, 104, -30, 31, -114, 58, -67, -102, -102, 69, 3, 71, -23, -25, -66, -40, 53, -84, 57, -8, 30, 66, 41, -92, 104, -20, 4, 12, 64, 49, -62, 99, -26, -19, -28, -76, 33, 49, 23, 62, 105, -44, 77, -40, 109, -3, -67, 71, 65, -38, 52, 38, 13, -44, 89, 51, -3, -78, -90, 85, -3, 33, -43, 95, 98, -6, -23, 82, 9, 76, -29, 17, 29, -27, 6, -10, 5, -36, -22, -13, -1, 3, 18, 23, 42, -65, 2, 9, -59, -11, -45, 15, -22, -28, 3, -105, 75, 83, 60, 85, -23, 39, -86, 39, 37, 53, 103, 4, -75, -57, 41, 69, -16, -22, 3, 9, 64, 79, -37, -58, -49, -98, -31, 48, 24, 92, 48, 0, -66, 38, -63, 10, 70, 88, 51, -78, -48, 18, -81, -38, -13, 57, -52, 42, -101, 108, -94, -59, 5, 54, -83, -44, -49, -2, -23, -22, -89, 103, 30, -92, 24, -80, -44, 29, -23, -28, 83, -15, 39, 84, 0, -88, -71, -40, 12, -37, 92, -85, -50, 59, -81, 36, 14, 24, 76, -3, 79, 95, -87, 75, -89, -84, -68, -73, 22, 95, -57, -67, 45, -17, 81, 20, -28, 36, 20, -76, 87, -54, -86, -93, -33, 65, 9, 6, 5, -3, -15, -35, -70, 92, 67, -17, -71, 86, 76, -88, 48, 10, -25, -31, 89, -8, -44, -48, 59, 48, -28, 82, -8, -42, -29, -8, -1, 49, -56, -41, 40, 101, 77, 88, -96, -71, -62, -48, 3, 87, 5, 16, -95, -51, -98, -48, 10, 53, -41, 38, 32, 48, -30, -69, 87, 58, 99, -36, -27, -33, 50, 73, -57, 45, -102, 58, 60, 28, 72, -5, -82, 23, -43, -66, -21, 24, -82, -65, 79, -71, 56, 84, 6, -75, 49, -60, -15, 77, 0, -59, 14, 25, -26, 90, -68, -79, -17, -92, -39, 38, 6, 56, 46, -42, -65, -19, -82, 96, -18, 26, -84, -45, -23, 95, -73, -65, 68, -89, -58, 92, 62, 2, 61, -75, 21, -62, -22, 83, 33, 23, 5, -77, 32, -95, -62, -4, 30, -20, -33, 68, 36, 32, -80, -14, 32, -80, 100, 47, 35, 43, 75, 31, 47, -55, 88, 99, 79, 91, -99, -32, 90, -76, -81, -15, -13, -89, -49, 88, -46, 88, -66, 2, 61, 13, -51, -9, 95, -78, 62, -66, 34, 11, -29, 91, 97, -58, 76, 22, -43, -46, 105, 50, 38, -97, -76, -53, -46, 4, 55, 75, 19, 58, 39, 31, 89, 88, -24, 50, -5, -88, -55, -45, -94, -44, 63, -32, -74, 87, -43, -87, -86, 49, -35, 63, 75, -33, -16, -34, -53, 83, 68, 75, 89, 95, 47, 57, 6, 85, -67, 47, 69, 80, -5, -63, -19, 41, 86, 83, -61, -107, 68, 70, -20, 12, 50, -85, -111, -17, 26, -47, -80, -7, 4, 33, -46, 11, -91, -83, -31, -48, 80, 61, -78, 5, 92, 74, 58, 85, -59, -11, 55, -38, 80, -125, 85, -41, -9, 62, -80, 63, 88, 86, 39, 33, -26, 16, 52, 76, -100, 57, -101, 21, 69, 7, -23, 45, -78, -4, -2, 66, 9, 29, 94, -2, 89, 74, 30, 85, -42, 63, 49, -23, -51, 51, -70, 60, 91, -93, -14, 34, -10, 38, -78, -36, 38, -14, 15, 26, -93, 57, 56, -80, 81, -72, -54, -64, -20, 76, 50, 74, -10, 63, 1, -30, 2, -36, 46, -44, -43, -73, -15, -8, 50, -15, -20, 86, -85, -85, -10, 54, -6, 36, -1, -63, -40, 29, -90, -108, -54, -29, -52, 33, -55, 5, 66, 51, 3, -36, 4, -31, 83, -38, -43, -37, 61, -47, -51, -56, -11, -53, -95, -54, 36, 91, -40, -12, -53, 10, 12, 35, 15, 83, -48, 55, -54, 72, -98, -35, -59, 10, -94, 3, 76, 40, -73, -90, 84, -43, -48, -18, 14, 13, -67, -38, 85, -44, 36, 14, 28, 9, 103, 70, -85, -50, -13, 74, 93, 82, 93, 9, -63, 22, 99, 85, 55, -31, 54, 99, 37, 21, 41, -39, -89, -61, 38, 77, 95, 48, -31, 47, -28, 52, -7, -6, -70, 73, -8, -92, -25, 9, 69, 3, 19, 59, -89, -87, 42, 84, 44, 87, -65, 46, 80, -90, 59, 57, 7, -9, 5, 32, -17, 39, 40, -91, 53, 16, 49, -76, -73, -9, 67, -28, -98, -9, -27, -32, 68, -98, 67, 87, -7, 86, 62, -32, 11, -112, 78, -40, 61, 19, -56, -9, -58, 31, 80, 15, 54, 33, -3, 32, -56, 91, -8, -51, 35, 27, 21, 28, 36, 9, -103, 69, -33, 47, -46, -63, -61, 27, 90, 38, -1, 20, -26, -32, -42, 69, -82, 86, 34, -54, -66, -95, -42, -85, -51, -73, -47, -20, -89, 56, 94, -37, 43, -59, -94, -57, 45, 5, 71, 3, 59, 77, -57, 59, -82, 77, -50, -29, -95, 5, 3, 75, 64, 40, 23, -39, 59, -18, -73, 57, -52, 42, 56, -62, 45, -20, -73, 64, 18, -59, -96, -95, 86, -71, 36, -41, -45, -57, -13, -97, -74, -22, 21, 39, 70, -83, 37, 88, 59, -89, 5, 59, 20, 81, 69, -7, -12, 25, -24, -8, -10, 37, 63, 14, 65, 37, -77, 64, -42, 81, -104, -11, -30, -36, 85, 97, -23, -8, -97, 93, -50, 45, -60, -73, 87, 65, 73, -75, -42, 96, -49, -35, 40, -62, 83, 27, -63, -65, -66, -20, -27, -75, 22, 64, -89, 40, 73, 54, 15, -69, 70, -90, -61, -92, -5, 54, 24, -6, -39, 26, 30, 47, 84, 17, -8, -59, 99, -57, 68, -67, 37, 3, -36, -2, -29, 9, -75, -19, 58, -91, -102, 12, 3, -100, -61, -77, 38, 98, -101, -99, 36, -58, -10, -63, -70, 19, -6, -20, 33, 34, -14, -39, -4, -64, 7, 75, 40, 85, 26, 2, -109, -73, 68, -42, -100, 34, -38, 35, -13, -92, -90, 2, 43, 17, 61, 78, 27, -25, -100, 40, -2, -61, 13, 47, -8, 16, -14, -101, -24, -25, -105, 75, -48, -84, 67, 5, -56, 61, 43, 14, -12, -54, -53, 98, -74, 97, 49, -68, -83, 107, -30, -8, 41, 58, 30, 54, 77, -49, -59, -4, 34, -57, 58, -63, -10, 64, -56, -24, -79, -24, -13, 19, 103, -15, -40, 86, -97, 29, 70, -89, 91, -104, -4, -46, -20, -82, -24, -83, 36, -67, 68, -83, -13, -9, -36, 10, 12, -68, 40, -72, 17, -78, 33, 17, -90, 102, 64, -93, -102, 75, -27, 62, -29, -106, -68, -10, 54, -11, 38, 76, -12, 36, -68, 82, 19, -1, 46, -17, 34, 54, 56, 43, 85, -13, -4, 12, -95, -10, 58, -62, -35, -26, 13, 94, -2, -10, 101, -61, 49, 62, -61, -17, -103, 18, 38, -62, -2, 71, -16, 103, 40, -24, -102, 27, -93, 62, 61, 24, 16, -2, 108, -34, 5, -57, -62, 32, -7, 64, 28, -18, 38, -29, -54, -88, -83, -81, -28, -17, -66, -98, 127, 19, -62, -18, -47, 80, 84, 66, 82, -29, -35, -52, -6, -59, 65, 25, 19, 52, 73, 20, -31, -77, -47, -4, -106, 49, 96, 24, -61, -53, -77, -55, -71, -27, -90, 94, 47, -4, 63, 42, -99, 5, 64, 74, 62, -12, -96, -68, 103, -66, -29, 43, -8, 60, 4, -68, 56, -31, 96, 38, 75, 6, 33, -47, 48, -11, -75, 31, -88, -46, 5, 15, -51, -15, -14, -82, 95, -59, 97, -31, 2, 46, 53, -36, -58, -24, 99, 21, 67, -34, 69, 63, 67, -60, 105, 67, -74, -61, -21, -33, -33, 16, -32, 17, -101, -88, 13, 6, -18, 85, -21, 39, 68, -57, 90, 47, -10, 90, 80, -85, 24, 95, 44, -90, -40, 8, -99, -90, 25, -20, 74, -99, 38, 19, 77, -21, -98, 37, -96, 21, 10, 70, 40, -14, 85, -94, 84, -97, -29, 98, 54, -68, -97, 10, -91, -33, 92, -94, -20, 7, 2, -22, -75, 30, -93, -97, -5, 89, -47, 92, -72, 69, -55, 17, 87, 64, -4, -45, 3, -42, 43, 47, -47, -82, 43, 101, -92, 31, 68, -37, -30, -74, -4, 52, 28, -44, 54, 101, -38, 93, 69, -3, 11, -42, -84, 86, -35, -83, 36, 49, -30, 2, -6, -48, 0, -54, -59, -18, 7, 50, -14, 65, 65, -62, 8, 11, 27, -64, -54, -60, 88, 77, -74, 65, 32, 43, 10, -35, -78, -20, 61, -15, -81, 6, -90, -77, 84, 93, -20, 84, -63, -24, 30, 23, 85, 96, 92, -31, 57, -85, 68, -100, 59, -45, -98, -38, -2, 87, 12, -102, 84, 26, 85, 54, 69, 8, -71, 9, 20, -59, -24, 56, 76, -71, -51, -93, -66, -86, 26, 74, 78, -46, -53, 60, 61, -26, -75, -68, 4, -82, -69, -37, -52, 11, -11, 42, 76, 23, 8, 88, 3, 63, 47, -103, -33, 69, 19, 41, 85, 34, -56, -74, 67, 1, -35, -59, -30, 93, -104, 0, -37, 71, 65, 29, 63, 43, -74, 45, 64, -101, 7, 94, 43, -58, -79, 41, 40, 40, 12, -79, 13, -68, 45, -66, 7, 30, -92, -81, 30, 17, 24, 15, -7, 9, 57, 73, -66, 64, -10, 87, -3, -72, 49, 64, 61, -90, 94, -112, 43, 45, 86, -92, 28, -77, -16, -49, -14, 89, 105, -3, -43, 78, -65, -15, 102, 59, 22, 63, 47, 83, -60, 64, 91, -100, 45, -54, 42, -46, -23, -30, -26, 35, -60, 22, 40, -93, 9, 63, -19, 100, -50, 94, 49, 20, 14, -98, -47, -44, -76, 32, 50, 81, -21, 95, 56, -27, -34, 97, 84, -49, 79, -37, 76, -40, -49, 51, -66, -39, 103, -8, -104, -107, 2, 37, -55, -31, -74, -73, -28, -74, -10, -11, 17, 8, 82, -17, -17, -57, 62, -90, 26, -86, -83, 52, 8, 65, -15, 74, 94, 14, -4, 40, 68, -32, 93, 49, -47, 27, 14, -56, -70, 64, 68, -40, 21, 66, 23, -89, 19, 93, 29, -9, -95, 79, 61, -16, -88, -76, -96, 37, -64, -5, -83, 66, 101, -86, 68, -18, -38, 31, 95, -90, 39, -43, -92, 39, -55, -91, -22, 91, -4, 14, -67, -35, 65, -75, 17, -86, 19, 20, -91, 1, -48, 86, 44, -37, 85, 40, 49, 35, -36, -92, 46, 64, -35, -12, 63, -16, -16, -101, -33, 35, -47, 42, 2, 13, 81, 94, -37, 74, -35, 52, -27, 2, -21, -87, -1, -39, 93, 49, -33, 37, -77, 69, -67, -83, -96, -81, -79, 20, -88, 56, 37, 76, 19, -44, 27, -11, -18, -25, 52, 13, -87, 55, -85, 95, -68, 74, -93, 42, -45, -68, -51, 94, -76, 31, 14, 82, 35, 93, -22, 88, -37, 94, -87, -42, 3, 63, 91, 38, -36, 61, 23, 100, -10, -89, -41, -3, 88, -21, -50, 77, 30, -57, 77, 65, 81, -83, 90, -71, -6, 71, -58, -53, 36, -100, -39, -47, -86, 76, 17, 62, 96, 21, -108, 34, -62, -86, 93, 65, 54, 36, 14, -16, 45, 50, 95, -73, -31, 39, -50, -76, -78, 2, 68, -27, 82, -29, 37, 59, 0, -65, 65, 92, 63, -68, -94, 32, 48, -46, -17, -77, -79, 77, -8, -38, 27, -34, 54, 78, 43, 54, -98, 75, -69, -78, 50, 16, 64, 58, -79, 17, 89, 71, 86, 7, 40, 74, -24, 69, -6, -87, -35, -33, -50, 76, -23, -9, -12, 23, -5, -46, 21, -90, -55, -56, 75, -81, 43, 77, 62, -79, -73, -28, -46, -94, 40, 28, 63, 18, -62, -8, 62, 7, -95, 20, 14, 91, 21, -11, 31, 83, 56, -110, 86, 21, 8, 79, 106, -40, 79, -15, 80, -96, -45, 3, 81, -62, 81, -8, -50, 59, -96, -79, -49, 99, 96, -1, 55, -26, -54, -30, 93, 59, -57, -52, 53, -73, -31, 20, -100, -63, 33, -49, -53, -92, -22, -56, -40, 42, -13, 11, -86, -50, -91, 74, 18, -28, 5, -87, 32, 74, 6, -23, -97, -38, -22, 25, 65, -16, 50, -91, -99, 24, 1, 17, -31, -8, -18, -97, 54, 76, 3, 44, -68, -18, -29, -73, 51, -93, 93, -75, -17, -57, -91, 83, 85, -75, -100, 92, -98, 34, -59, 45, 29, 51, -96, 37, -37, -69, 40, 28, 76, 4, -13, -18, 62, 15, 46, 13, 42, 59, -67, -28, 44, -41, 7, 66, 10, 10, 76, 83, -46, -55, -17, 51, 9, 42, -40, -63, -34, 38, -78, -17, 29, -16, -82, -30, -86, -98, -19, 77, 61, -82, 103, 48, 99, -63, 94, 5, 31, -26, -71, -27, -86, 40, -48, -43, 79, 87, 65, -59, -74, -6, 72, -96, -102, -42, -15, 98, -49, -44, -8, 16, 72, 65, 53, -32, -46, -71, 26, -58, 46, -100, 89, -23, -68, -21, 53, -70, 87, -20, 35, -83, -49, 76, -53, -44, 4, 64, -53, -93, 71, -82, 97, -88, 2, -74, 47, 59, -8, -56, -62, -35, -84, -102, -68, 26, 65, 64, 34, 50, -66, -58, 38, 39, -50, 34, -32, -39, -44, -11, 90, -12, 67, 23, -76, -74, 86, -78, -62, -63, -71, 79, -87, 48, -74, 42, 54, -67, -61, 75, 5, 2, -45, 100, -62, 92, 86, 15, 43, -22, 28, 45, 1, 19, 5, 43, -9, 103, 1, -47, 39, -71, 33, 85, -21, -39, 14, 18, 0, -98, 30, -51, -45, 71, 32, 16, 41, -34, -51, 26, 39, -77, -17, 54, 93, -10, -2, 6, 94, -94, 47, -18, 85, 58, 17, -66, 52, 69, -50, -29, 100, -92, 89, 90, 97, 5, -10, 100, -46, 21, 100, -90, -61, -16, -16, 61, 99, -34, 51, 18, 69, 1, -52, -59, 58, 32, -32, -78, 79, -28, 96, -95, -60, 78, 88, 33, 81, -66, 66, -42, 65, 64, -104, 34, -100, -83, 38, 31, -41, -8, -95, 18, 61, -86, 61, 86, 2, 69, 92, 70, -101, -40, -9, 80, -99, -33, 86, 79, -12, -34, 56, -29, 5, -35, 26, -33 };
signed char f63[147456] = { -64, -4, 45, 67, -40, 1, -7, -30, -58, 54, -70, -3, -46, -17, -29, 21, -45, -10, 47, 11, -50, -48, 0, -56, -48, -32, -24, 44, 77, 28, -48, -47, 53, -63, -30, -32, -26, -46, -39, 50, -80, -28, -61, -30, -16, 62, -37, -45, 2, -45, 60, 28, 43, 22, -4, 4, -42, 30, -34, -27, -42, -27, 42, -30, -61, -44, 23, 6, 2, 30, -57, 9, 54, 52, 28, -11, 36, 4, 29, 4, 48, 16, 46, -13, 30, 23, 52, 26, 48, -57, -31, 43, -11, 14, -52, -2, 55, -67, 34, 48, -52, -26, 4, -8, -53, -3, -25, 16, 46, -31, -15, 5, -33, 24, 3, 20, 56, -27, 9, 38, 33, -29, -44, -64, -28, -28, -17, -51, -9, 54, -43, -51, -50, 46, 60, -31, 28, 36, 20, -61, 41, -75, 30, 3, -25, 0, -6, 36, 24, -55, 11, 15, 58, 9, 12, 3, 35, 16, 56, 21, -12, -42, -31, -35, 0, -15, 57, 39, -22, -12, -34, -42, -29, 6, 40, 34, 59, -47, -3, -6, 69, 0, 18, 52, 3, -9, 14, -8, -15, 4, 21, -6, -11, 22, 2, -25, -25, -3, -18, 34, 67, -23, -2, -4, 56, 21, -32, 70, -11, 7, 47, 61, 34, 3, -64, -56, -52, -17, 53, 29, 42, -5, 30, 17, 7, -10, 5, -46, 34, -11, -24, -27, -26, -42, 38, -36, 51, 14, 25, 30, -14, -13, -44, 39, 58, -4, 69, -35, -14, -5, 59, -27, -35, -63, 19, -48, 42, -56, -10, -17, -59, -30, -6, -11, -62, 32, 9, -24, 54, -30, 38, -35, -14, -39, 26, -4, -5, 0, -28, 30, 9, 20, 4, -23, 46, 50, 35, 35, -30, 15, -23, 48, -17, 77, -35, -19, -22, 74, -34, -43, -7, 8, -8, -7, 13, 32, 44, -48, 13, -54, -5, -41, 40, -20, -7, -60, 34, 45, -3, -24, -12, -67, -6, -50, -55, 17, -3, -38, -39, -32, -53, 51, -24, -39, -37, -20, -18, 45, 12, 18, -7, -36, -63, -55, -62, -7, -68, -54, 29, -31, 30, -31, -18, -46, 35, 29, 37, -42, 52, 12, -14, -47, -52, -33, 40, 5, 37, -12, 54, -4, -49, -57, 36, 46, 5, 51, 62, 57, 57, 19, 10, 62, 52, 59, -2, 34, -53, 59, -47, -29, 50, -53, -28, 39, -29, -29, 1, 33, -18, 15, -42, 9, -45, -41, 68, -40, 26, -39, -55, -27, -25, -56, 21, -13, 62, -56, 47, 33, -56, -3, -40, -10, -23, -36, -20, 37, -41, 58, 16, -18, -79, -51, 6, -41, 31, -79, -72, -20, -41, -88, -72, 57, -18, 3, 70, 34, 3, 61, 23, -35, -5, -25, -11, -4, -48, -7, -20, -14, 2, -61, -15, 43, 0, -32, 27, -66, -26, -41, 55, 25, 11, 7, 29, -45, 21, 46, 0, -23, -23, 54, 45, 60, -42, -86, -40, -74, 6, 51, -54, 27, 8, -30, -53, -34, -52, 45, -23, -18, 66, -7, 57, -21, -46, -63, -25, -21, -11, 59, 39, -9, 42, -62, -32, -60, 12, -63, 39, 38, 0, -14, 32, 10, 58, -20, 67, -53, 22, -46, -34, -59, -56, -54, 28, -28, -50, 43, 28, -21, -30, 27, -42, 37, -44, 50, 39, -32, 53, 24, -60, 42, -3, -44, -22, -57, -37, 12, 10, 33, 49, -48, 6, 1, 40, 54, 18, -61, -24, -13, 61, -38, -58, 33, 23, -44, -11, 5, -28, -19, 44, 60, 24, 21, 53, -19, -57, 12, -54, 53, 1, 14, -56, -48, -31, -58, 32, 60, 25, -48, 63, 40, -46, 36, -50, -1, -55, -16, -17, 23, 37, 38, -48, 4, 57, -28, 31, 18, -33, 10, 43, -2, -38, -17, 24, -16, 38, 6, 33, 57, 63, 61, 7, 13, 64, -12, 33, -51, 27, -74, -38, 13, -50, 58, -53, 51, 47, 55, 67, 13, -54, -12, 3, -51, -26, 46, -26, 68, 11, -35, -29, 18, 24, -23, -5, -8, -29, -52, 31, -56, -14, 24, -86, -39, -41, 22, 37, 11, -49, -52, 26, -18, -29, 47, 64, 29, -41, 61, -40, 29, -25, -15, -6, -2, -52, -8, 58, -30, 15, 70, -38, -49, -42, 32, 15, -19, -6, 5, -8, -50, -36, -32, 56, -53, -65, 46, -49, -26, -51, 53, -9, 46, -52, -60, -69, -48, 37, 31, -44, 40, 31, -1, 34, 41, 5, 13, 71, -25, 67, 6, 24, -23, 13, 51, -51, -58, 42, 58, 36, 33, 84, -65, 17, -22, 40, 7, -34, -2, -8, -32, 6, -50, 11, 59, 55, -4, -53, 4, -36, -20, -52, 59, -11, -21, 14, -7, 32, -70, 38, 22, -20, 3, -49, 1, -50, -4, 52, 46, 40, -4, 34, -7, 6, -28, -62, -15, -26, 7, 18, -39, 13, 23, 17, -34, -30, 20, 53, 52, 9, -9, 47, 12, -24, 72, 43, 34, 65, 26, -53, -13, -32, -68, 35, -24, 54, -42, 33, -35, 19, 66, 22, 65, -35, 28, -21, -55, 46, 37, 50, 14, 27, 37, 20, 8, -31, 60, 57, -61, 36, 24, 58, -1, -40, -14, -42, 65, -39, -22, -14, -51, 29, -35, -36, -30, 61, -44, -32, -52, -9, -9, -30, 28, -67, -2, 37, -3, 35, 22, 43, -55, -13, -20, 14, -40, -3, -53, -2, -15, 51, -46, -41, 38, -29, -16, 56, 27, -5, -26, -7, 44, 12, 0, -30, 23, 32, -26, 19, -28, -7, -3, 41, 47, -12, 54, -58, 54, -25, 62, 50, -22, 49, -52, 74, -54, -26, 12, 66, -6, 59, -72, -4, -39, -47, 10, -70, -26, -73, -69, -37, -50, 38, -37, -21, -20, 54, -16, 53, 47, -9, 33, 68, -33, 54, 30, 2, -3, -18, -31, 59, 9, -8, 35, -30, 0, -2, 13, 16, 54, 41, 40, 30, -34, -73, -10, 5, -65, 1, -4, 18, 0, 65, 33, 14, 56, -7, -4, 22, 19, -55, -41, 42, -2, -3, 42, -32, -30, -22, 10, 17, -8, 9, -14, 72, 55, 63, -41, -1, -15, 34, 48, 43, 29, -10, -7, 71, -26, 76, 19, 8, 23, 49, 54, -21, -70, 17, -57, 20, 42, 21, -46, -28, 66, 14, 10, 5, -45, 22, 8, -36, -19, -24, -55, -62, 59, 15, -21, -10, 65, 41, 51, 6, -67, -34, 14, 4, 88, 93, 4, 46, 42, -31, -12, 3, 66, 61, -12, 36, 62, -20, 38, 38, 75, -29, -1, -16, 51, -28, -55, -24, 5, 41, -29, 14, 43, 9, 58, 65, 7, -52, 60, 57, 68, -9, 35, 49, 33, -37, 18, 26, -22, 39, 34, 12, -20, 12, -49, -3, -17, -61, 27, 60, -47, -20, -21, 48, -50, -16, -30, 32, -8, -14, 16, -59, -5, 10, 28, 61, -20, -52, -11, 25, 59, -54, 37, -55, -11, 20, 27, -61, -58, 11, -18, -9, -26, -34, 56, 69, 1, -44, -8, 28, -37, 46, 48, -39, 35, -20, 18, -40, -23, -51, -33, -25, 46, 57, -47, 58, 21, 35, -44, -4, 63, 9, 49, 10, 48, -42, -6, 12, -33, -47, -30, -69, 52, 3, 65, 36, -8, -23, -47, -1, 61, 14, 5, 2, 32, 24, -4, 52, -41, 1, 60, -18, 3, -28, 55, 40, -30, -52, -47, -4, -5, 26, 18, -25, -9, 63, -29, -25, -5, -2, -7, -24, -23, -33, 4, 42, 41, 52, 15, 43, -34, -41, -14, -42, -59, 2, -58, -5, -26, -58, -10, 11, -9, 31, -31, -46, -11, 52, -38, 29, 58, -28, -9, -62, -32, 45, -26, 16, 1, 37, 39, 3, -1, 53, -61, 38, -64, 20, 55, -29, 33, 3, -58, 37, 11, 11, -22, -40, 13, -30, 32, 20, -42, -20, 0, -43, 15, -43, 4, -37, 48, 16, -63, -28, 3, -56, 17, -59, 56, -10, 40, 63, -42, -22, -55, 4, 23, -56, 50, -18, -21, -17, 23, 25, 31, 22, -37, -46, -8, 54, -27, 61, -57, 20, 46, -42, -51, -33, 32, -6, -33, 40, 5, 41, -65, -65, -67, -27, 45, 43, -29, 38, 38, 40, -43, 30, -24, 1, 21, 52, 50, -11, -30, 20, -26, -49, 57, -27, 14, 12, 28, -1, 31, -55, 25, 14, 49, -71, 21, 47, 25, -35, -26, -25, 45, -66, -53, 34, 24, 24, 10, 13, 42, 38, -29, -2, 48, 14, 56, -21, 4, -60, 51, -29, -10, -19, -75, -70, -36, -19, -43, 32, 43, 23, -44, -55, -42, 9, -55, -35, -52, 9, -22, 36, -37, 37, 0, -36, 18, -57, -9, 29, 61, 15, 43, -43, 18, 14, 53, -64, 22, 24, 57, -52, 29, 28, -6, -22, -54, -57, 60, -37, -15, 32, 43, -38, -31, 46, -44, 8, 2, -4, 30, -14, 11, -28, 15, 53, -48, 28, 16, 28, 24, -19, -34, 18, 37, -63, -57, -1, 45, 49, 50, -25, 44, -25, -26, -53, -64, -19, 30, -62, 1, -6, 12, 25, -17, 48, -21, -29, -31, 19, -5, -33, 45, -35, -54, 44, 57, 55, -63, 24, 4, 32, 41, 28, -29, -59, 35, -22, -39, -19, -16, -2, -40, -36, -38, 20, 29, 28, -48, -37, 19, 45, 45, -11, -33, 42, -25, 38, 58, 52, 50, 63, -61, -64, -10, 38, -37, 24, -42, -25, 23, 28, -54, -22, 41, 58, 49, 34, -2, 57, 14, 60, -22, 29, -63, -18, 17, 11, 8, 34, 29, 35, -52, 2, -58, -31, -15, 25, -10, -43, 48, -62, -54, 60, -39, 31, 57, 37, -41, -21, -57, -37, -28, -28, -2, 15, -5, -49, -58, 6, -41, -34, 59, 61, -10, -21, -33, -31, 8, -4, -63, 58, 57, -13, -8, -7, -12, -18, 47, -18, 6, -69, 46, 11, -17, 6, -39, -31, -25, -60, -57, -41, 25, -5, -13, -34, -52, 51, 32, 8, -49, -59, -18, 54, -65, -48, -57, -1, 59, 3, 17, 30, 25, -6, -28, 42, -61, -11, 56, -51, 54, -24, -43, -48, -34, 25, 45, -54, -29, 12, 13, 56, -36, 21, 28, -62, -35, -58, 49, -38, 5, -49, -19, 9, -38, -61, -35, -6, 64, -21, 25, -40, -21, 6, 49, -16, 11, -24, 32, -52, 28, 34, -17, 30, -64, 37, 42, -5, -18, -61, -37, -13, 5, -34, -16, 4, -62, 15, 19, -41, 25, -38, -60, -28, 10, -51, -29, 5, 30, 8, 38, 51, 8, -36, -61, -41, -20, 6, 7, 48, 15, 37, 42, 37, 53, -35, -47, -19, -25, -32, -63, 25, 18, 7, 7, -34, -35, -42, 31, 35, -36, -9, -30, -44, 4, -63, 64, -55, 3, -24, 4, 37, -58, -16, -47, 25, -25, 0, 58, 52, -50, -21, 56, -31, 7, -1, -57, 45, 9, 56, -60, 15, 30, -4, -12, -8, -5, -57, -12, -3, 43, -32, -44, -6, 1, -22, -12, -17, -11, 57, -16, -6, -45, 62, -33, 16, -61, -49, -36, -60, -10, 19, 23, -27, -32, 31, 27, 3, 3, 23, 8, 33, -50, 22, -41, 30, -37, -62, -14, 13, 9, -39, 37, -11, -48, 7, -40, -26, -34, -26, 43, -52, -31, -26, -43, 37, -61, -5, 50, 22, -48, -8, 54, 36, 36, 22, -21, -3, -36, -19, 57, -13, -2, -52, -67, -35, 48, 49, -24, -26, -9, -19, 4, -51, 22, 2, 7, -14, 42, -2, -10, -8, -34, 10, -31, -41, 54, 5, 34, 59, -48, -5, 50, -21, 28, -33, -61, 15, 30, -51, 11, 43, -31, 4, -17, 24, -32, -49, 15, 11, 45, 28, -2, -57, -46, 61, -55, -6, 47, 8, -39, 17, -51, 58, 46, -37, -66, -52, 36, 4, 27, 55, -1, 46, -47, -9, -29, -28, -57, 13, -62, 39, 25, -52, -38, -60, -54, 61, 35, -56, -14, -11, -54, -48, -45, -11, 17, 15, -15, 35, 57, 29, -63, -46, -13, -13, 58, 3, -39, -19, 5, 6, 13, -59, -3, 35, -37, 11, -14, 56, -33, -33, -8, -22, -40, 10, 52, -32, 46, 4, 19, -5, 27, 38, 50, 20, 44, -53, 60, -50, -9, 60, 37, 37, -2, 14, -43, 39, -38, -15, -32, -3, 51, -23, 16, 4, 27, 20, -2, 1, -8, -13, -33, 57, -43, -42, 39, 15, -24, -59, -32, 54, -1, 21, -14, -7, 17, -58, -42, -37, 46, -2, 13, -43, -36, -5, 55, -58, -50, 36, -48, 9, 55, -63, -18, 53, 27, -32, -53, 48, 15, -57, 20, 32, -61, -7, 47, -23, 9, 18, 12, 31, 31, 27, -23, -42, -2, -11, 38, -64, 12, 4, -63, -49, 35, -23, -38, -41, 41, 46, 33, -32, -30, -39, -63, 8, 52, 52, -25, -44, 5, 1, 35, -44, -13, -46, -64, 50, 52, -60, -30, -1, -60, -25, 37, -59, 9, -48, 3, -52, -32, -42, 5, -21, -50, -36, -58, 44, 33, 37, 60, 30, 22, -64, -59, -5, -28, 16, 12, -36, 19, 40, 31, -13, 8, 14, 16, 4, -24, -13, -58, -20, 13, 8, 29, 23, 13, -21, 13, -56, 40, -1, 22, 46, 26, -61, 2, -17, 64, -49, 50, -36, -1, 63, -35, 32, -1, 26, 57, 17, -23, -16, -52, 20, 1, 7, -2, 14, 42, -21, 28, 1, -50, 22, 49, -43, -45, 20, 30, -22, -43, 51, 52, -13, -25, -23, 19, 3, 34, -63, 31, -37, 39, -50, -65, 42, 10, -5, -19, 23, -65, -45, 0, 63, 30, 30, 59, 23, 40, 15, -65, 33, 25, -9, 12, -44, 34, 55, -10, 60, -41, -24, -68, 21, 28, 24, 43, 17, 21, -3, 47, -20, -17, 34, 57, 42, 23, -54, -47, 54, -34, 5, 30, 50, -21, 56, 9, -27, -63, 45, -8, 20, 47, 46, 32, -32, 36, -41, -25, 12, -9, -34, -45, 3, 24, -46, -16, -37, -39, -10, -17, -21, 43, -17, -37, 8, -47, 4, -38, -68, 20, 51, -42, 25, 0, 17, 28, 20, -8, 51, 14, 58, -49, 34, -61, -47, -75, -56, -50, 51, 12, -2, 37, 60, -19, 40, 57, 23, 38, 27, -10, -46, 18, -62, 18, 37, 10, 24, -44, 35, 40, -57, 25, 59, 16, -6, 53, -29, -6, 58, 60, -36, -31, 55, 52, 48, -23, 20, 45, 24, 28, 55, 40, -56, -45, 35, 15, 9, -9, -57, -43, -38, 4, -46, -45, -3, 67, 19, -39, 42, 6, 32, -39, 32, 24, -53, 28, -5, 9, 54, 61, 1, 54, 24, -43, -26, 63, -5, 53, -55, -48, -33, 44, 54, 8, -23, 35, 2, 35, -39, 18, -8, -29, -48, 17, 41, 57, -2, -57, -54, -30, 0, 7, 18, -17, 10, -15, 46, -8, -3, 23, -25, -8, 46, -51, 39, -7, -5, -13, -43, -36, -2, 54, 9, -26, 29, 29, 70, 25, 46, -6, -19, -17, -54, -39, -26, -4, -18, -67, -21, 9, 5, 19, 61, -37, 43, -17, 4, -7, 27, 32, -59, 29, -9, 44, -62, -52, -35, 29, 42, -20, 5, 66, -25, 42, -24, -38, -32, -34, -41, -7, -35, -13, -53, 10, 39, -34, -40, -70, 23, 66, -20, -52, -38, 33, 4, -13, 26, -45, -5, 29, 27, 2, 47, 23, -30, 23, 44, 38, 47, -43, -59, 33, -24, -4, 27, 52, -19, 21, -32, -43, -3, 40, 40, 10, -53, -34, -8, -54, -32, 22, 45, -44, -24, -39, 31, 40, -34, 30, 44, 8, 15, -71, 17, -18, -4, -33, 56, 49, 55, 21, -12, 23, -33, -21, 18, 4, -6, 21, -6, -58, 3, -43, 53, -14, 55, 7, 7, -9, 22, 52, -2, 20, 39, 52, -62, 57, 61, 40, -3, 3, -1, -44, -11, 41, -33, -30, -70, -47, 54, 39, -21, 53, -20, -47, 36, -81, -45, 13, -43, -27, 54, 61, 0, 37, -52, 35, -54, 3, -6, -10, -7, 37, -55, -47, 2, 22, 37, 52, 26, -69, 36, 9, 42, -5, 41, -18, -1, 26, -53, 34, 25, -5, 32, 26, 35, -20, 19, 31, 59, -68, -63, -35, -53, 22, 35, 48, -48, 14, -32, 17, -52, 21, -67, 50, -30, 15, 63, -51, 35, -33, -29, 58, 28, -19, -33, 36, 60, 36, -1, 52, 39, -38, -17, 15, 54, 19, 6, -27, -26, 3, 33, -44, -35, 8, -52, 14, -4, -13, -41, 51, -60, -28, 6, 35, 22, 3, 54, 13, 44, 21, -54, -25, -20, 55, -4, 62, -3, 15, 6, -41, -18, 2, -49, -32, 28, 12, -13, -32, -54, -5, 18, 34, -38, -44, -14, 11, -26, -31, -24, -12, 23, -64, 20, -44, -32, 18, -23, -54, 8, 37, -13, -44, 26, 30, 21, 4, -28, 12, 28, 12, -22, 42, -33, -3, 36, 3, 25, 35, 21, -21, 52, -22, 41, -3, 35, 43, -41, 0, 65, -28, 18, -9, -72, 26, 25, -37, 3, -47, -48, -33, -37, -25, -50, -11, 15, -77, 67, 14, 30, -51, 11, -60, -38, -58, -5, 53, 1, -15, -11, -50, -48, 50, -38, -52, 47, -29, 51, 60, -10, 21, -42, -21, -50, 0, 24, 61, -31, -10, 19, 31, -4, 26, -26, -3, -51, 30, 68, -3, -6, -29, 32, -10, 14, 63, 19, 17, -43, -61, 4, -53, -32, 50, 14, 11, -50, -29, 31, -1, 46, -55, -57, 35, -2, 58, 31, 28, -6, -18, -41, -56, 7, -52, -56, -20, -26, 37, -13, -25, -45, 6, -44, -40, 4, 6, -8, 19, -4, 24, 23, 1, -34, 47, -16, 9, -44, 21, 27, 13, -4, -64, -28, -15, 36, -65, -27, -28, -48, 12, 2, 44, 35, 53, 13, -36, -2, -6, 65, -42, -6, -51, -66, 23, 42, 49, 62, -51, -18, 36, 34, 30, 40, -40, -11, -35, 14, -44, 7, -44, 17, 18, -24, 27, -29, -12, -45, 12, 44, -16, 30, -57, -34, -18, 27, -53, -23, 59, -52, 46, -1, 8, 17, -59, -13, -37, -26, -61, 21, 10, 54, 30, 25, 40, 50, 48, -17, -3, -15, 27, -16, 44, 21, 24, 21, 42, 5, 15, -53, -38, -11, -53, 35, 42, -31, -38, 50, 47, 28, 60, 21, 47, -14, -9, -45, 20, -34, 43, 38, 45, 28, 19, 59, -37, -20, 2, -22, 45, -36, -18, 32, -20, -5, 16, 31, -13, -38, -39, 44, -3, 38, 30, -45, 15, -5, -45, -58, 2, -38, -38, 33, -9, -55, -56, 19, 21, 59, -7, 23, -56, 11, 11, 35, 2, 43, -23, -12, -3, 29, -2, 45, -4, -42, 57, -44, -8, -47, -3, -31, 42, -60, 53, 39, 8, 24, -49, -58, 25, -20, -36, -51, -46, 45, 0, 13, -93, -48, -21, 15, 35, 30, -21, 4, 23, -70, 53, 46, -6, 40, 0, -10, -19, 56, 21, -35, -25, 20, 29, 35, -6, -17, 64, -4, 29, -49, -5, -45, -37, 37, 37, -25, -23, 11, 4, 34, -52, -11, 45, 2, 15, -54, -70, 38, 18, -32, 43, 6, 16, 26, 6, -20, -5, 49, -59, -53, -8, -20, -17, -31, 25, -20, -18, -33, 38, 37, -43, 29, 51, -58, -42, 37, 35, 30, -29, -51, 9, 26, 53, -50, 55, 36, 37, -7, 10, -9, 45, 31, 9, 16, -42, 56, 16, 51, -9, 23, -20, 3, 23, 32, -11, -48, -40, 13, 9, -5, -3, 13, -55, -59, -8, 20, 35, 31, -46, -56, -59, 31, 0, 13, 1, -42, -57, 24, 29, 29, 50, -19, 33, 24, 23, 49, -15, 52, -47, -51, 16, 45, -3, 7, -32, -5, 45, -4, -43, -26, -43, -30, 2, 38, 15, 41, -10, 2, -3, -26, 39, -57, 10, 29, 23, -69, 25, 4, -1, 20, -72, -62, -41, -34, 42, 46, 32, 48, -43, 40, 41, -3, -72, -52, -23, -75, -50, 5, -2, -59, -39, 25, -10, -66, 17, 35, 36, 59, -68, 43, 28, -39, -41, 40, -53, 50, -57, -66, 37, 26, 14, 56, -23, 53, -41, 46, 46, 83, -4, 51, -54, -32, -36, 32, 6, -3, 30, 43, -67, 63, 55, 19, 14, 66, 15, -3, 32, 63, 21, 43, -80, -5, -15, -29, 29, -23, -25, -16, -11, 49, 50, -37, 58, -28, 51, -46, 55, 49, 17, 13, -30, 26, 12, 54, 44, -45, -1, 3, 52, -32, 30, 9, -50, -27, -66, 38, -5, 34, 24, -19, 2, -18, -60, 17, -65, -12, -7, -5, 40, -21, -32, -12, -34, 15, 23, -19, -53, -2, 24, -50, -39, -53, 45, -53, -25, -32, -6, -5, -18, 62, 13, 3, 69, -70, -33, 33, -40, -47, -66, 46, -47, -60, 36, -10, -5, -52, 6, 46, -38, -50, 60, -8, -29, 58, -42, -55, -37, 38, 34, 7, -15, -58, -13, 37, 22, 54, -2, -38, -24, -26, -42, -10, 28, 44, -39, 22, -22, 60, 46, 55, -3, 56, -24, 32, -23, -18, -38, 6, 34, -41, 46, 44, -11, -36, -11, -16, 8, -47, 43, 61, -32, 29, -33, -65, 9, -44, 32, 6, 63, -9, -40, -4, -46, -53, 17, 19, 33, -28, -20, -45, -52, -15, -54, 32, 30, 11, 53, -30, -69, 52, -63, 28, 34, 25, -51, 2, 55, -56, -46, -34, -49, -30, 37, -46, 62, 4, 29, 4, -29, 49, 2, -17, 24, -2, -20, 22, -26, 11, -17, 1, -20, -13, -28, -18, -9, -55, -42, -38, 35, -67, -63, -9, -60, 61, 3, 2, -21, -11, -19, 35, 19, 35, 62, 12, 18, -10, 1, 7, 51, -7, -22, 4, -46, -37, 30, -47, -46, 36, -32, 27, 3, -57, -29, 10, -21, 24, -38, -73, 4, -5, -39, 57, -26, 33, 14, 10, -55, 62, -5, 63, -21, -54, 53, 31, 14, 23, 15, -43, 9, 17, 56, -55, 10, 47, 60, -45, 43, -20, -44, -49, -32, -21, -34, 40, -1, -40, -44, -32, 21, 31, 46, 50, 58, -37, -6, 17, 47, -55, 36, -60, -58, -24, 34, -57, 15, -73, 31, -10, 28, -12, -19, -6, -67, 51, -8, -37, 3, -48, 64, 38, -57, -50, 27, 11, 48, 51, -28, 30, -54, 3, -13, -7, 26, -30, 70, -32, -39, 42, -20, -57, 16, 39, 31, -18, 54, -40, 65, 29, -26, -44, 12, -37, 58, 25, 0, -7, 2, 42, 5, -54, -51, -9, -17, 37, -46, -35, -19, -22, -24, 31, 48, -30, 1, -59, -54, 31, -48, -21, -2, 61, 5, 61, 22, 57, 22, -14, -25, -38, -8, -2, 66, 43, -63, 58, -2, 59, -49, 57, -35, -45, 34, -5, 17, -11, 25, -51, 54, -34, -42, 57, -47, -19, -47, -7, -5, 26, 26, -46, -42, 29, 18, -25, -34, 34, 9, 23, -67, -10, -35, -82, -56, -57, -38, 34, -1, 32, 51, 3, -48, 46, 0, 15, -11, 35, 13, 37, -41, 16, -45, -32, 6, -60, 0, 26, -29, 38, -45, 45, -62, -29, -57, -7, 37, 51, 49, 49, 46, 4, 55, 17, 28, 15, 33, 23, -52, -44, 49, 0, -1, 4, 23, 87, 49, -1, 10, 2, -56, 26, 12, 63, 44, -51, -34, 23, 41, -8, 5, 17, 25, 23, 28, -13, 36, -41, -56, 49, 28, 54, -40, -11, -4, 51, -35, -14, -30, 43, 22, 12, -10, -49, -53, 9, -7, -10, 27, -16, 55, -63, -13, -54, -51, -29, 57, -27, 9, -6, 3, 22, 29, 47, -23, -57, -32, 52, 27, -45, -21, -46, -1, 2, 22, 31, -56, 44, -27, -49, 21, -27, -34, 13, -22, -38, 5, 32, 45, -47, -35, -33, -54, -18, 32, -65, 39, 10, -3, 15, -32, -19, -44, 21, 44, 30, 55, -25, -48, 5, -36, 18, 50, 11, -26, -71, 42, 35, 29, -52, 8, 43, -1, -54, -44, -3, -28, -9, -30, -6, -16, 59, -56, -43, 32, 46, 56, -46, 1, -38, -7, -5, -62, -71, -37, 54, -52, 5, 13, -53, 19, 28, -47, -41, -37, -14, 19, 44, 4, 13, -26, 28, 63, -28, 51, 6, 33, 65, 54, 22, 60, -60, 33, -52, 23, 12, 17, -50, -10, -40, 46, -21, 43, 62, 32, -4, -10, -45, 26, -46, -2, 48, 41, 38, -50, 24, -72, -44, 39, 37, -23, 30, 31, -17, 55, -10, -62, -9, -4, 1, 63, 61, -40, -4, -16, -47, 63, 13, -24, -7, -55, -47, 6, 62, -25, -51, 20, -14, -21, 60, -5, -8, -17, 6, -14, -33, -8, -19, 11, 16, 39, 53, -43, 61, -46, 36, 50, 6, -64, 9, -53, -64, 10, 22, -34, 23, 54, -6, 3, 41, 43, 33, -48, -49, -18, -45, 35, 5, 35, 17, 12, 5, 18, 13, -18, -40, -13, -22, -57, -34, -23, -26, -35, -9, 7, 18, -49, -19, -59, 47, 52, -19, -28, -24, -19, -51, -70, -33, -7, -52, -31, 27, 58, -52, -10, 5, 52, 10, -45, -18, 47, 36, 3, -2, 23, -43, 56, -48, -80, 28, -42, -49, -42, -42, 64, -19, -41, -39, -9, 2, 31, -33, -22, 17, 26, -3, 18, -28, -41, 49, 35, 5, -21, 54, 39, -39, -43, 17, -2, -3, -27, -9, 22, 12, -20, -12, -48, -22, 34, -34, -61, -3, -19, 30, 34, 57, 17, 1, 11, -71, 11, -27, 49, -20, -26, -29, -15, -47, -17, 12, -3, 5, 3, -34, 48, -31, -20, 20, 9, -34, -50, 32, -45, -60, -9, -26, 12, 59, -46, 23, 28, 57, -35, 44, 13, -37, 24, 58, -5, -34, -33, -50, -59, 6, 55, 27, -21, 2, -51, 27, -50, 16, 51, -57, 43, -5, 31, -43, 22, 19, 58, 13, -3, 49, 26, -49, 47, 62, -63, 39, -38, -56, -27, 11, -19, 49, 45, -44, 53, 8, 50, -31, -42, 14, -22, -41, -73, -62, -47, -30, 17, -22, 74, -9, 28, 17, -55, 1, 19, 29, -30, 7, 26, 25, -27, 26, -32, 23, 61, -60, 11, -29, 43, -24, -8, -12, 5, 46, 31, -59, -48, -38, -25, 9, -52, -13, -62, -37, -11, 38, -10, -2, 46, 40, 55, -44, -8, 0, -17, 1, -15, 6, 60, 42, -34, -53, -28, 13, -48, -6, -55, 10, -29, 14, -61, 36, 70, 31, -53, 14, 6, 50, 43, -52, -19, 2, -5, 56, 56, -38, 22, -20, -46, -38, 13, 42, 30, -17, 52, 56, 48, 38, -4, -34, -45, -61, 23, 59, -27, -19, 42, -32, 22, -24, -3, -52, -4, 56, 38, 1, 35, -48, 38, -63, -7, 3, 16, -30, -1, 39, 51, 43, 5, 46, -24, 20, 17, 55, 5, 22, -18, 28, 14, 13, 3, -26, 23, -41, 14, 28, -5, 18, -49, 35, -59, -1, -69, -16, -31, -35, 9, 56, 60, 51, 12, -31, 6, 10, -14, 42, -36, 39, -34, 29, 36, 5, 55, 50, -21, 63, 46, 47, -8, -60, 65, -9, -7, 13, 20, -14, -50, -26, -5, 3, -19, 28, 35, 63, 56, 28, 34, 37, -62, -12, -57, 8, -46, -11, 53, 49, -43, 34, -15, -51, 12, 3, 29, 50, -55, -24, 17, 3, 59, -14, 15, -72, -6, 1, -34, 24, -20, -25, -53, 27, 52, -13, 25, -3, 2, -53, -18, -15, 55, 22, -28, 10, -31, -41, 18, -15, -65, -18, 33, -59, -5, 5, -54, 3, -34, -6, -36, -14, -2, 13, -49, 17, -2, -18, 26, -4, -57, 58, 44, -41, 29, -38, 2, 36, -15, -4, -53, -14, 66, 53, -54, 1, -13, -15, 19, 35, -28, 15, 4, 20, -71, -36, 22, 17, -39, 0, 44, 60, -1, -31, 36, -13, -32, -11, -55, 47, 26, -4, 20, -15, 32, 0, -40, -15, -63, -33, 43, -49, 6, 5, -37, -46, -24, 21, 5, 55, 24, -21, 6, -45, -38, -62, 57, 12, 20, 13, 48, -56, 35, -54, -8, -50, 49, -61, -13, 7, -40, 48, 52, -12, -1, 34, -3, 11, -46, -33, -51, 72, 67, -23, 19, 4, -17, 4, -22, 10, 51, -17, 8, 46, 67, 26, 18, -13, 13, -8, -10, -31, 0, 34, -51, -3, -12, 16, 16, 75, 29, -31, -8, -5, 62, -27, -18, 65, 53, -28, -25, 42, 12, -2, 38, 0, 44, 0, 15, -15, 23, 20, -22, -60, 31, 48, 7, 57, 19, -24, 71, 43, 55, 15, 41, -56, -48, -5, -42, 43, -32, -46, -21, -5, 13, -57, 13, -5, -50, 45, -55, 49, -18, -59, -6, 48, 8, 5, -41, -32, 53, 10, 36, -56, 59, 1, 23, 46, 34, -48, -7, 38, 18, -4, 37, 3, 60, 25, -64, -57, -73, 54, 16, 8, 7, 33, -51, 17, -4, -8, 21, -54, -6, -60, 3, 4, -19, -32, -16, -24, 22, 29, 33, 60, 11, -55, -38, 17, 46, 35, 17, 31, 62, -48, 21, -40, 48, -46, 30, -44, -43, 21, 68, -35, 34, -39, 64, -21, -6, 8, 19, -24, 45, -39, 34, 24, -56, -18, -13, -12, -26, 19, 54, 27, -30, 16, 28, 13, 20, -37, 12, 62, -42, 13, -30, 7, -47, -44, 28, -67, 33, 28, 30, 30, 30, -6, 52, -43, 30, 18, -26, -51, -1, 45, -32, 46, 21, 52, 62, -40, 38, -7, 34, 30, -32, -28, 54, -51, 46, -8, 0, -25, -22, 54, 44, -6, 11, 13, -56, -59, -2, -1, 57, 40, -45, 23, 20, -5, 53, 42, 5, 15, 32, -72, -10, -45, 45, 11, -58, 19, -60, -55, -19, 57, -45, 60, 51, 30, -7, 50, -44, -27, -51, -62, 11, 52, 0, -33, -7, 47, -39, -64, -47, 55, 28, -31, -24, 15, -18, 16, 19, -23, 6, 23, 46, 7, 51, -8, 34, -33, 50, 9, 17, -49, 65, 54, -22, -28, -69, -45, -14, -92, -41, 52, -44, 3, 25, 61, -5, -26, -48, -28, 0, -49, 6, -6, -6, 40, 43, 35, 40, 25, -51, -22, 57, -3, -59, -34, -19, -10, -63, -20, 2, -60, -40, 28, -2, 45, -15, 6, 22, -5, -29, 56, 74, 15, -25, 71, 53, -1, 66, 38, 17, 18, 51, -33, -14, -15, 48, -20, -26, 27, 65, -19, 52, -18, 38, -40, 14, -1, -59, -38, 59, -50, 55, 5, -55, 15, 63, -47, -61, 22, -34, 7, 60, 27, -37, 14, -7, -19, 54, 40, 62, 10, -28, 41, 58, 25, -37, -81, -71, 74, -21, -30, 9, 22, 13, 17, -67, -4, -54, -30, 47, -15, -46, -17, -61, -32, -19, 13, 39, -32, -59, -17, -35, 45, 28, 31, 47, 27, 48, 4, -32, 9, -38, -23, -51, -34, -28, 61, 14, -30, 33, 65, 59, 24, 34, 6, 5, 35, -63, -60, 43, -44, 2, 66, 34, 33, 22, -15, -30, 44, -67, 43, -37, -43, -26, -1, -38, -5, 48, 31, -36, -15, -33, -28, -22, -19, 61, -19, 0, 24, -36, 60, 3, 43, 19, 3, -54, -23, 36, -35, -57, 46, -41, 68, -6, 30, 19, 38, -51, 54, 53, 46, 32, -15, -4, 7, -12, -46, -55, 34, 8, 36, -10, -52, -41, 52, -44, -20, -63, -7, -39, 58, 53, 52, 18, 45, 49, 7, -53, -62, 24, -36, -20, -5, 15, -49, -18, 44, -23, 65, 25, -19, 63, -17, 55, -19, -33, -59, -28, -59, 37, 49, -6, 46, -11, -1, 30, 2, 13, -8, -63, -3, 32, -51, -3, 56, 43, 33, -54, 63, 52, -7, 16, 14, 7, -46, 5, -42, 25, -49, -56, 4, 44, 14, 13, -2, 9, 52, 48, 33, -20, -42, 28, 69, -1, 57, 8, -4, 17, 30, 34, 3, -8, -24, 28, -43, 11, 50, -20, 35, 2, -57, 64, 67, -39, 29, -48, -55, -59, -49, 2, 47, 38, -61, -11, 21, 6, 43, -49, -8, 38, -7, -10, -64, -33, -22, -67, 22, -13, 40, -54, -61, -46, 56, 27, -33, -38, 15, 19, -30, 61, -44, -61, 41, 15, -74, -63, -68, -7, 48, 42, 11, -54, -73, 19, 12, -42, -26, 58, 4, -64, -57, 42, -66, -31, 41, -46, 1, 31, 59, 53, -60, -28, 43, 23, -21, -48, -33, -41, -59, -44, 55, 2, -23, -40, -48, 40, -52, -56, -48, -31, -54, -53, -58, -33, 1, -35, 26, -60, -3, 24, 41, 36, -4, -43, -60, -1, 25, -72, 36, 19, -45, -18, 44, 24, 22, -44, -71, 46, -18, 2, 15, 44, 15, -8, -50, 12, 17, 10, 50, 37, -16, 46, -51, -39, -20, 46, -3, 20, -46, -55, -45, 1, -14, 21, -31, 59, 48, 18, 60, -50, -5, -52, 11, 54, 23, -35, -9, -13, -31, -24, 31, -42, -24, -38, 54, 37, -24, 41, -61, -46, 45, 1, 38, 43, -60, -2, -25, 14, -25, 45, -26, -49, -31, 10, 42, -43, -27, -42, 7, -23, 3, 3, -25, -57, 42, 43, -43, 4, -46, 68, -23, 56, 23, -56, 12, -47, -44, -2, 52, -18, -54, -19, 54, -6, -19, -27, -32, 49, 34, -56, -3, 13, 51, 53, 19, -19, 22, -47, 34, -45, -31, -62, 31, 51, -35, -5, 8, -56, 7, -55, 23, -50, -18, -57, -25, 4, 36, -55, -2, -21, 46, -15, 39, -48, 25, 33, 0, 2, -29, 18, 52, 16, -58, -60, 38, -10, 52, 67, 31, -6, 72, -12, 63, -43, 36, -21, -14, -37, 39, 53, 23, -64, 45, 33, 27, -58, -24, 18, 3, -23, 62, 47, 58, 27, 26, 1, 52, -49, -12, -43, -9, -5, 39, 22, 42, 23, 28, -54, -20, -50, 4, 14, -11, -37, -46, -30, 3, 26, 44, -11, 51, -2, 7, 14, -50, -39, 48, 23, 20, 26, -25, 11, 12, -6, -35, -78, -50, 55, 29, 4, -9, 78, -5, -2, 90, -4, 0, -23, -21, -29, -15, -52, -5, -16, -22, 14, 7, 15, 30, -22, 23, -27, 49, -19, 47, 46, -53, -11, -17, 31, -59, -25, -32, -41, -26, -5, -73, -53, 52, 45, 26, -20, -15, 8, 9, 32, -24, 13, -58, -61, -58, -46, -7, 63, 9, 67, 16, -67, 39, -34, -8, -51, 29, 34, 48, 74, -32, -33, 36, 57, 58, 25, -57, 3, -25, -42, 31, 4, 6, -7, 3, 30, 33, -46, -25, -52, 44, -22, -32, -33, -15, 56, 19, 2, 54, 40, -6, 27, -22, 32, 38, -22, -5, 0, -7, 16, -34, 13, -56, -33, 9, 31, -64, 48, 40, -11, -17, 48, 53, -18, 2, 38, -51, -32, 57, -32, 45, 26, -56, 16, 33, 38, -24, 6, -12, 49, 55, 9, -45, 42, -14, -27, -15, -54, -16, 41, 17, -2, -65, -73, 48, -29, -31, -30, -19, 48, -26, -51, -35, -51, -31, 29, 62, 20, 42, 40, 57, 24, 4, -62, 29, -30, -41, -26, -28, -56, 5, -8, -48, -33, -63, 48, -60, 43, 42, -50, 41, -42, 34, -6, 72, 4, 35, -41, -32, -35, 39, 38, -43, 51, 49, 39, 17, 34, 43, -56, -60, 46, -56, -58, 56, 40, -57, 52, 38, -28, -41, -35, 55, 34, -36, 14, -32, -45, -72, -9, 9, 4, 33, 34, -33, -9, -63, -11, -42, -28, 17, -50, -22, -44, -28, -35, 26, -56, -2, 10, 16, 31, 64, 3, -28, 64, 58, -57, -4, 51, -55, 7, -1, 52, -13, 6, -42, 59, -14, 54, -53, -62, -30, -73, -26, -8, 12, -42, -16, -4, 18, 27, -11, 16, 2, 21, -3, -18, 15, -28, 51, 5, -24, 19, 0, 57, 33, 59, 56, 21, -31, 7, 8, -28, 4, -26, 14, -22, -58, -13, 23, 38, -61, 38, 9, 19, 36, -57, -56, -23, -33, -3, -46, -18, -19, 6, 56, -26, -28, 51, 13, -57, 54, 37, -4, 35, -21, 45, 47, -6, 44, 30, 29, 12, 9, -30, 57, -43, -16, -55, 60, 53, -51, 42, -28, -57, 16, -1, 8, -21, 35, 37, 27, -35, -51, -37, 58, 12, -49, -48, 7, 5, 35, -45, -19, -11, -4, 19, -35, 3, 7, 45, -67, -33, -45, 1, -18, -34, 50, -9, 57, -58, -30, -16, -49, 62, 54, -60, -52, 18, 24, -50, -50, -9, 60, 57, 45, -39, -51, -35, 0, -26, 46, 36, 25, -17, 53, 35, -16, -7, 39, -30, 19, -62, 12, -31, -60, -47, 12, 6, -30, -13, 58, 2, 30, 5, 49, 11, 9, -7, -44, -55, 35, -24, 4, -23, -38, -2, -59, -64, -32, -36, -29, 2, -39, 38, 57, -5, 29, 48, 39, -53, 64, 40, 5, 7, -35, 49, 20, 18, -24, -28, -15, -28, 63, -48, 25, -34, 31, 12, 20, 73, -29, 52, -55, -33, 3, 47, -61, 28, -41, 32, -59, 36, 13, 30, -62, 36, 25, -37, 67, 1, -71, -14, -24, -66, -23, -17, -39, 6, -16, 59, 36, 43, -25, -37, -24, -56, -28, 7, -12, 24, -20, -38, 33, -64, -56, 2, -9, 50, 23, -19, 48, 23, 34, -47, 22, -24, 38, -6, -39, 32, 32, 49, 2, -29, -16, 20, 62, 34, 49, -15, 35, 23, 59, 37, -21, -41, -22, -51, 44, 33, 16, 31, -72, -17, 47, 11, -15, -25, -11, -34, 14, -54, -30, -4, -12, -21, 54, -52, 19, 39, 19, -18, -18, 14, 25, 61, 26, 8, 17, -7, -28, -36, 17, 50, -9, 40, -6, -36, 0, 5, 57, -45, -56, 29, 34, -31, -47, 14, -52, 20, 30, -2, 26, 10, -53, -36, -41, -42, 48, 36, -55, 58, -38, -6, 66, -52, 20, 17, -48, 36, 50, -23, 3, 47, -11, -3, -37, -60, -13, -70, -55, 2, -21, -55, 26, 19, 38, 18, -31, -58, -4, 22, -11, -16, 27, 17, 54, 47, 26, 56, 5, -5, -54, 49, 20, -49, 72, 69, -49, -34, 13, 16, 18, 63, 42, -53, -64, -67, 1, 2, 7, -63, -35, -27, -46, 22, -28, -21, 34, -50, 61, 37, -59, 41, 18, -18, -54, 52, 20, 22, -49, 45, -15, 51, 55, -31, -24, -45, -14, -37, -52, 51, 2, -30, 36, -26, -1, -56, 49, 45, -23, 22, -43, -44, -52, 9, -28, 46, -55, -5, 41, 11, -23, 45, 29, -33, 46, 33, -28, -85, 55, 36, 42, -33, 30, -10, -24, -54, 50, -59, -11, 67, -61, 33, 46, 2, 13, 12, 0, 28, -2, 23, -37, 39, 42, -16, 9, 10, 61, -29, 10, 0, 50, -51, -18, 8, -58, -17, 19, -46, -38, 41, -1, 26, -11, -57, 40, -2, 21, -60, 27, 59, -12, 54, 7, -3, -17, -36, 7, 31, 3, -53, 41, -30, -59, 63, 52, -59, -57, 44, -30, 55, -9, 35, 35, 8, 29, -13, -11, -19, -7, -60, -17, -9, 34, -3, -32, 62, -17, -59, -56, -63, 10, 31, 4, -4, 38, -6, 2, -39, -21, 8, 21, -52, 0, 50, -7, 37, -45, -2, 54, 58, 43, 5, -35, 58, 19, -17, -38, 14, 60, -56, 3, 51, 15, 49, 74, -21, -9, -8, 6, -46, -20, 0, -49, -34, -58, -44, 62, -23, -42, -24, -21, 49, -34, -46, -15, -45, 10, 1, 2, -64, -28, -43, -12, 54, -20, 12, -40, -54, 11, -33, 52, -20, -62, 2, 9, -51, 43, 32, 49, 34, 59, 32, 43, 0, 6, 36, 60, -31, -22, 53, -52, -20, -58, 12, 43, -4, -10, -46, 40, 54, 30, 20, -35, -2, 26, -56, 36, -20, 16, -41, 53, 36, -5, 54, 67, 53, 14, -38, -49, -24, 31, -9, 52, 45, -38, -2, 48, 54, 45, -19, 49, 13, 35, 32, 32, 6, 6, -41, -37, 50, 7, -24, -11, -14, 33, 26, 18, -20, 10, -23, -25, 28, -1, -57, 38, 30, -59, -60, 15, -25, -54, 29, -40, 27, -64, 9, 24, 58, 15, 21, 82, 60, 57, 1, -20, -65, 28, 24, 61, -38, -60, 13, 41, 53, -52, -12, -63, -52, 45, -1, 62, -32, 3, -9, 9, -9, 61, 20, 47, 12, -28, -6, -33, -14, 18, 10, -51, -32, 38, -5, 26, -53, -35, -45, 19, -41, 19, 37, -46, 62, -36, -48, 42, 43, -57, 39, 17, -30, -4, -38, 36, 6, 49, -49, 13, -12, 5, -1, -63, 15, -34, 10, 46, -32, 17, 34, -29, -21, 12, 8, 22, 61, 8, -34, 18, 5, 20, -60, -58, 43, -37, 13, -39, 29, 5, 22, 22, 17, -29, -57, -31, -18, -37, -51, -23, -31, 22, -19, -17, -5, 45, -8, 25, -15, -16, -50, 28, 38, -58, -59, -51, -5, -47, -48, -7, -30, 2, -63, -17, -3, 5, -36, 31, -15, -22, -16, 36, 10, -36, 53, 51, 24, 18, 44, -6, -26, -11, 27, 4, -46, -12, 42, -23, -55, -67, 26, -30, -39, -31, 38, -25, 72, 9, 41, -14, 22, 18, 38, -8, -48, 33, -54, -36, 8, -7, 16, 57, 89, 49, -27, 26, 81, 86, -16, 10, -21, -11, -20, 18, 27, -71, -15, -52, -37, -25, -14, -57, -16, -24, -50, -51, 60, -59, -67, -18, 22, 61, -12, -2, 1, 6, -38, 45, 10, -30, -36, -43, -56, -19, -3, -3, 2, 18, -52, -38, 7, 0, 38, 56, 18, 43, 47, 1, -13, 13, -8, 29, -57, 47, -53, 4, 13, 37, -45, -4, 47, 14, 66, 18, 34, 38, -43, -53, 35, -10, -21, -38, 48, -1, 26, -6, 12, 19, -2, -3, 19, 9, -49, -55, 44, -34, -27, -6, 11, -57, 7, 21, 8, 8, 25, -3, -13, 48, 64, -26, -16, 14, 30, 38, 41, -46, -2, 8, -28, 3, -12, -39, -45, 10, -51, 19, 42, 32, -28, 17, -12, -9, 48, -8, 26, 52, 33, 23, -19, 45, -55, -63, -32, -41, -4, 0, 21, 9, 43, -45, 16, 0, -18, 31, -30, 18, 10, -30, 25, 40, 52, 61, -51, 5, 62, 36, -21, -53, 51, -42, 6, -58, -17, -45, 5, -23, 26, 4, -18, -49, -48, 58, -24, -28, 10, 13, -70, 11, -37, 36, -63, -20, 43, -9, -22, -48, 52, 26, 30, 51, 2, 42, 53, 54, 3, 48, -42, -25, -5, -60, 28, -5, 3, -37, 16, -41, -11, 49, -52, -62, 61, 38, 58, -6, 26, 53, -46, -33, -29, 39, 68, 36, 56, 29, 33, 31, -23, -51, 37, 5, -51, 31, -66, -23, 6, -10, -60, -10, -42, 37, -3, 39, 24, 42, -60, -14, 5, -34, 9, -46, -54, 39, -47, 0, -45, 24, -21, -47, -6, -6, -31, 51, 51, -48, 30, -22, -15, 10, -12, -71, 8, -26, -46, -47, 43, -9, 27, 33, -42, -19, 26, 24, 56, -7, 24, -14, 51, -12, -13, -53, -6, 23, 5, 48, 47, 25, 54, -1, 67, -48, 15, -53, -20, 47, -7, -10, -74, 28, -66, 31, -4, -55, 30, 70, -39, -23, -7, 2, -29, 15, 10, -24, 61, 55, -40, 1, 48, 25, -59, 19, 37, -51, -36, 14, 46, 52, -65, -6, -66, 4, 34, -39, 29, -26, 51, 40, -44, -42, 45, -57, 29, 8, 11, -13, -36, -39, 16, -3, 28, -65, 21, 56, -17, 29, 47, 44, -44, 23, -1, -25, -7, -39, -1, 36, 12, 17, 30, -5, -23, 11, -37, 18, -29, 41, -61, -54, -17, -29, 37, -26, 11, 43, 6, -44, 49, 44, -4, 6, -59, 14, 28, -30, -17, -34, -27, 10, -30, 39, 42, 17, -70, 25, 40, 35, -45, -60, -11, 59, -29, -45, -33, -32, 17, 42, 66, 36, 35, 54, 19, -51, 5, -61, 49, 35, -29, -23, -6, -26, 52, 0, 63, -46, -16, 20, -57, 14, -13, -11, 4, 5, -13, -70, 8, 7, 12, -18, 1, 2, 58, -46, -67, 57, -68, -58, -13, -69, -54, 13, 9, 27, -2, 32, -22, 53, -30, 46, -18, 58, -28, 36, -35, -25, -29, 4, 42, -70, 24, -62, -20, 45, -33, 0, 0, 36, 4, 40, 6, -51, 0, 2, 12, -12, -45, 65, 56, -1, -5, -15, -26, 30, 58, -57, -32, -10, 13, 61, -42, -48, 41, 59, 14, -51, 63, -7, -49, -29, 1, 32, 31, 44, 48, -14, 4, -7, 30, -10, 20, 49, -38, 44, 43, 52, 51, 61, -25, -26, 49, -19, 58, -17, 6, 15, 50, 37, -56, 55, -36, -31, 64, 43, 32, -25, 44, -16, -24, -17, -10, 62, -33, 9, 30, 40, 48, 38, 56, 75, -42, 63, 16, -2, -16, 22, -36, -48, 62, 38, -1, -37, 5, 48, -60, -22, 48, -47, 12, 1, -24, 7, 29, 47, 30, -11, 36, 17, -39, 38, 12, -41, -50, -50, -16, 65, 12, 14, -66, 2, -50, 49, -34, -10, 14, -46, 55, 32, -31, 28, -20, -30, -43, 20, 20, 35, -10, 25, -9, -33, 45, 48, -58, 6, -44, 53, -32, 45, -56, -21, 43, -9, -31, -56, -10, -30, 57, 13, -7, -19, -41, -20, 26, 20, -26, -30, 0, 73, 58, -20, -60, -46, 52, -35, -44, -11, -52, -53, 29, -54, 60, -63, 27, 21, 45, -8, -34, -13, -8, -21, 30, -35, 50, -11, 56, 18, -3, -3, 36, -61, 8, 32, -18, 12, -37, -42, 42, -23, 48, -47, 45, 4, -51, 0, 52, -12, -8, 20, -20, 61, 42, -5, -42, 2, -17, -25, 37, -32, -57, 17, -43, -14, 15, 36, -33, -9, 58, -64, -70, 46, -36, 54, -6, -26, 63, -7, 52, -2, -32, 9, -24, -30, 40, 30, 4, -60, 21, 31, 8, -39, -41, 18, 30, -44, -38, 21, 24, 38, 72, -26, -25, 36, 47, 24, -54, 1, -32, -57, -13, -38, 49, 42, 10, 3, -52, 10, 64, -37, 34, -56, -58, 0, -30, -54, 8, 55, 45, 30, 14, -50, -28, -13, -18, 40, -20, -21, 53, -39, 42, 61, 16, -25, -50, 34, -34, 36, -20, -55, 53, 63, -29, -35, -44, 39, -34, -56, -6, 43, 55, -19, -25, -38, -49, 15, 23, 25, -52, -21, 30, 13, -1, 42, 45, 24, -67, -6, -21, -37, -50, -38, 62, 56, 59, 48, -50, -38, -7, 5, -38, -31, -2, -38, -36, 22, 4, 10, -1, 19, 60, 42, 4, 24, -3, 38, 61, 33, -23, 59, -23, -18, 33, -18, 15, -36, -15, 18, -18, 36, -51, 5, 15, 39, -63, 14, 55, -35, 33, -16, -54, -7, -57, -49, 7, -26, -59, 48, 13, 18, -16, 16, -32, 52, 27, 17, 7, 64, -70, -53, -66, 48, -45, 2, 28, -32, 1, -55, -42, -24, -21, -63, 37, -37, -13, -58, 14, 46, -7, -38, -53, 44, 36, -56, -67, -11, 2, 24, 26, -9, 45, 26, 10, 66, 11, -52, -44, 37, 35, -10, -54, 10, -44, 9, 27, 30, -15, 52, 4, -21, -59, -19, -42, 34, 31, 53, -25, 5, 38, -3, -15, 7, -64, -45, -55, -51, -61, 29, 51, 15, 38, 60, 56, -24, -55, 5, -57, -3, 40, -57, 5, 31, 53, -52, 3, -22, -17, 16, 39, 51, 38, 27, 1, -52, -6, 16, 13, 62, -7, 45, 16, 23, 29, -12, 25, -30, -37, 1, -60, -19, 10, -19, -40, 17, 46, -55, 29, -43, 2, -47, -11, 58, -44, 8, -38, 59, -33, -54, 8, 31, -33, 15, 56, -20, -52, -60, -53, -48, -57, 5, -10, -52, 22, -3, 33, 53, -41, 31, -20, 43, -1, 30, -20, 31, -35, 58, -24, 63, 30, 33, 47, -2, 39, 35, -40, 56, -51, 15, 61, -52, -61, -30, -45, -26, 37, -59, -37, -34, -21, 9, 11, 44, -50, -40, 10, 15, 10, -25, -35, -7, -40, 50, -38, -13, -65, 37, 2, 26, -47, 54, -9, 8, 22, -20, 28, 30, -2, -9, 73, -48, 56, 43, -39, -33, -50, -34, -21, -51, -33, 44, 15, -64, -20, 21, 18, 70, 8, 4, -40, -33, -6, -31, 49, -6, -50, -35, 11, 11, -28, -31, 35, -30, 47, 22, 25, 41, -57, -16, 42, -47, -12, -54, 53, -51, -34, 44, 44, 10, 10, -12, 58, -2, 19, -4, -40, -50, -13, 40, 14, -1, 0, -26, 59, -11, -32, 10, 58, 50, 25, 10, -55, 39, 3, 55, 25, -40, 16, 35, 21, -28, -48, 26, -52, -51, -43, -11, -53, -28, -48, -44, -60, 59, 13, 15, -63, -1, -23, 68, -11, 15, 68, 56, 1, -43, 43, 14, 58, -47, -29, -14, -28, 16, -26, -11, -30, 34, -6, 43, -58, 38, -16, -57, -1, -1, -47, 30, 61, 23, -23, 56, 55, 26, -61, 12, 14, -66, -53, -9, 1, 52, 20, -68, -39, 3, 36, -7, 8, 35, 15, -51, 11, -31, 33, -49, -67, -23, -5, -10, 25, 39, -4, -13, -53, 38, -47, -33, -37, -19, 22, -48, -58, 12, -13, 61, 17, -32, -50, 32, -33, 55, 62, -26, 8, -30, 8, 21, 50, -27, 7, -43, 42, 54, -52, 20, -25, 48, -56, 47, 3, 47, -27, 33, 48, -49, -7, 33, -28, 44, -55, -12, 12, 12, 33, 5, 55, -14, 35, 64, 18, -13, -24, -32, 30, 30, 20, 8, -47, -59, -28, 36, -61, -71, 9, 31, -62, 57, 32, 47, 32, 25, 41, 30, -50, -17, 42, -25, 58, 7, -60, 48, -41, -31, -38, 46, 26, 5, -13, 52, 27, 24, -35, 50, 40, 36, 21, 13, -8, 15, -52, 11, -43, 16, 60, 64, -33, -44, -58, -35, -28, -65, 3, -45, 63, -10, 52, 7, -27, -28, -49, -13, -45, 23, 40, 6, -47, -24, -36, -21, -1, 32, 9, 28, -62, 35, -59, -46, 29, 19, 52, 57, 39, 36, -34, 25, 53, -43, 4, 46, 3, 27, 49, -47, -46, -43, 3, -20, -47, 7, 11, -25, 28, -44, 2, 7, -25, -28, 5, -48, 50, -46, 22, 23, 26, -12, 12, -49, -57, -52, 52, -46, -27, 26, 36, -46, 46, -31, -12, 50, 18, 11, -6, 10, 53, -6, -34, 0, 63, -53, -29, -34, 20, 8, 4, 37, 3, -46, 24, 33, -30, 10, 7, 32, -39, 23, 41, 33, 2, -49, -45, -9, 44, 9, 65, -38, 3, 20, 59, 39, 31, -9, 42, -5, 18, -22, -67, 58, 0, 13, -58, -61, 25, 64, -9, -32, -58, -45, -40, 44, -17, 39, -37, -7, -39, 51, 10, -34, -59, 44, 24, -44, -34, -7, 59, -51, -46, -49, -73, -2, 3, 42, 4, -61, -39, -13, -56, 2, -27, -53, -3, -33, 21, -61, -26, 2, -14, -6, -23, 53, -1, -7, -62, 5, 38, -41, 16, -54, -26, 7, -15, 26, 9, -44, 53, -41, 14, -41, -13, 40, -22, -48, -11, 59, 22, -73, 48, 34, -70, -32, -5, 21, -3, -26, 18, 49, -41, -36, 56, 51, -36, 48, -16, -3, 3, -54, -32, 40, 24, -55, -16, 56, -38, -2, 20, 34, -34, 13, 24, -35, -45, -38, -56, 0, 33, 5, 49, -62, -6, 11, 4, -48, 23, 55, 64, -19, -27, -22, 42, -65, 9, 20, -14, -12, 58, -18, -16, -20, -44, 30, 14, -20, -12, 71, 6, 17, 18, -65, 65, 15, 8, 38, -40, -7, -11, 64, -18, 49, 47, 27, -14, 9, 39, 27, 7, -48, 11, 48, 30, -26, -6, -37, 28, 24, -1, 61, -15, -16, -65, 64, -18, 49, 24, -46, -34, 13, 32, 11, 6, 2, 9, -57, -41, 0, 40, 26, -57, -6, -52, -60, -17, -50, -15, 33, 6, -16, -48, 0, -4, -30, -38, 57, -53, -48, 52, 36, 68, -12, 36, 27, 30, 2, 1, 18, 12, -68, 43, -59, 55, 65, -56, 15, -4, -20, -48, 61, 37, 52, -16, -24, -53, 32, -47, -26, 31, -79, 53, -56, 18, -53, -20, -48, 36, 47, -52, 31, 24, -52, -36, 10, -59, -54, 3, 32, -8, 26, -21, 46, 30, -69, 61, -6, -21, 0, -26, -15, 59, 0, -49, 39, -12, -13, 54, -6, 22, -14, -13, -45, -16, -32, 17, -37, 9, -4, 16, 30, 61, 5, -21, 62, 17, 49, -50, -18, 54, 52, -26, -53, 62, 37, 14, -8, -18, 63, -19, 57, 12, -30, 65, 1, -30, 19, -28, 8, 10, 1, 5, -11, -33, 49, -28, 4, 51, -56, -48, -51, -46, 60, -4, 5, 47, -11, -35, -51, -50, 11, -60, 10, -9, -55, -51, -23, 19, 1, -39, 1, -21, -26, -15, -65, 23, -27, 53, -31, -61, 57, 1, 41, -32, -19, -28, -7, -46, -41, 35, 42, 12, 51, -73, 49, -49, 45, -10, -11, -29, 13, 53, 48, -60, -4, 53, 57, 56, 35, -42, 32, -48, 8, -21, 15, -58, -51, 60, -33, 13, -12, -61, 39, -63, 61, 59, -24, 14, -2, 66, 15, -15, -33, 16, -79, -59, -48, -11, 37, -54, -70, -26, -37, 46, 43, -29, 23, -39, -34, 27, -21, 62, -29, -62, 62, 25, 7, -45, 27, 29, 22, 9, 45, 15, 2, -36, -58, -38, 32, 2, 12, -35, -16, -34, -46, -15, -39, -4, 36, 8, -43, -7, -50, -15, 21, 43, 60, -53, 61, -59, -22, 49, -48, -14, 2, 15, -53, -60, 35, -10, -37, -51, 42, 11, 32, -29, -46, -57, -17, -38, 26, -1, -8, -28, 18, 39, -36, 40, -58, -39, -27, 23, 26, 43, -42, -54, -31, 36, 15, 32, 21, -31, -5, -8, 50, -25, 51, 40, -15, -6, 54, -49, -55, 0, 31, 7, -3, 23, -59, 6, 11, -8, -32, 9, 21, -4, 44, 8, 59, -24, -9, -41, -13, -38, 47, -16, 24, -12, 49, 16, -41, -61, -5, -34, -23, -67, -6, -27, -44, 32, -78, -47, 21, 50, -9, -67, 57, 57, -3, -11, -48, 13, -58, 26, 12, 20, -6, 18, 29, -28, -17, -2, 60, -34, -3, 45, 16, -31, -39, 35, 44, 26, 22, -2, 55, -57, -37, -1, -18, -56, 34, 37, 22, 38, -25, -30, -45, -30, -52, -9, -35, 23, 41, 43, -5, -5, -18, 36, 52, 25, 16, -64, 54, -21, 56, -59, -37, 65, 35, -45, -11, -2, -35, -47, 25, -55, -12, -42, 36, 24, -4, -38, -48, 10, 33, -44, -55, 13, 14, -23, 33, 37, -24, -10, -26, -10, 28, -56, 20, -63, -56, -30, -16, 30, -52, 24, 17, 17, -27, 26, 18, 32, 26, -8, 16, -30, 61, -51, -18, -37, 22, -24, 35, 25, 32, -50, -36, 30, -13, 32, -53, -32, -6, -22, 32, 6, -37, 40, 31, 53, -15, -57, 10, -46, -4, 8, 32, 14, 0, 42, -1, 35, -64, 17, 8, -30, 7, 18, -23, 7, -30, -63, -52, -41, 64, 46, -6, 22, -25, 49, -40, -33, 37, -49, -29, 5, -71, -29, -40, -62, 66, 12, 47, 23, 7, -61, -33, -55, -56, -16, 40, 5, -6, 51, 12, -42, 6, 47, 25, -7, 59, 0, -6, -43, -55, -51, -16, -1, 16, -37, -63, 55, -20, -8, 36, 60, 1, 37, 39, -1, -43, 54, 54, 51, -55, -17, 44, -11, -15, -54, -12, -84, 14, 62, 28, -29, -58, 31, 60, 49, 23, 53, 48, -17, -33, 21, 5, -28, 52, 42, -27, 14, -4, -32, -54, -52, 13, 59, -29, 51, -16, 31, -4, -19, -15, -19, -27, -32, 7, -42, 31, 44, -19, -7, -26, 37, -49, -4, -59, -45, -34, 36, -65, -29, -27, -52, 23, 58, 3, -18, 19, 24, 16, -15, -39, 6, 41, -37, -55, 37, 6, 44, 43, -42, -38, -7, 63, -54, 44, 13, -67, 53, -5, -20, -6, -62, -18, -48, 2, -24, -14, 10, 39, 0, 10, 14, 34, -26, -17, -54, -48, -53, 42, 62, -48, 33, 55, -45, -36, 25, -48, 63, 2, 41, 35, 62, 41, -46, 39, 5, 36, 59, 0, -19, 22, -43, -41, 49, 58, -30, 37, 16, 59, -39, -54, -17, -72, -9, 42, -50, -35, 22, -30, 47, 7, -32, 7, 39, 13, 33, -17, 21, -58, -1, -44, -27, -29, 7, -24, -36, 20, -30, 37, -59, 9, 57, 72, -75, 20, -51, 52, 10, 0, 30, -65, 28, 35, -1, 48, -57, -56, 36, 35, -36, -28, -58, -39, 16, 48, 53, 42, -28, -27, 53, 42, -20, -30, -2, 24, 11, 19, -20, 12, -6, -11, -24, 8, -48, 45, 56, -34, 30, 5, 21, 61, 12, 4, 12, 20, -25, 11, 61, 40, -57, 31, 49, 33, -39, 50, -19, 22, -14, 12, -59, 12, -5, 42, -11, 38, -52, -8, 54, -48, 17, 59, 51, -32, -7, -47, 51, 21, 53, 31, -42, 58, -57, -15, -59, -34, -56, -18, -5, 59, 44, -35, -22, -57, -1, 54, -56, -31, -2, 22, -32, -26, -52, 34, -65, -38, -44, -13, -62, 37, -25, -49, -55, -49, 19, -15, -2, -15, -2, 22, 51, 14, -23, -52, -45, 27, 48, -28, 27, 29, 45, -6, 32, -18, -53, 55, 62, 54, -22, -49, 59, 22, 6, -26, 13, 38, -12, 9, -13, 56, -38, 9, -1, 64, 22, 43, 37, -58, 52, 51, -27, -57, -40, 11, 66, -61, -16, -66, -51, 43, -45, 54, 14, 68, -15, -57, 33, 32, 1, 45, 53, 7, -3, 4, 41, 22, 51, 27, -5, 7, -39, -62, -16, 15, 3, 30, -25, 19, 44, -22, 60, -29, 46, -42, 56, 16, -28, 51, -33, -28, -21, -43, -15, -62, 39, -39, 45, 13, -6, -30, -54, -26, 51, 32, -47, -10, 44, -14, 29, -20, -4, 18, 2, 12, 56, 60, 12, -61, 9, 60, 41, 2, -35, 48, -1, -53, -40, 64, 8, -32, 58, -54, 28, -41, -55, -24, -3, -52, -62, 23, 53, -79, 45, 33, -18, -36, -11, 7, 42, 40, -49, -63, -16, -30, -1, -63, -45, 63, -3, 4, 52, -23, 5, -32, 54, 39, 21, -57, -11, 39, 41, -31, -43, -32, -20, -14, -38, -28, -16, -19, -25, -31, 4, -14, -4, -34, -47, 13, 39, -62, 2, -6, 29, 48, 29, 59, -12, -22, 2, 31, -27, 49, 17, 10, 60, 32, 42, -45, 26, -51, -52, -7, -33, -66, 3, 27, 0, -1, -45, 27, -2, -41, 6, -11, -44, 11, 54, -19, -27, -6, -43, -41, 58, -62, 15, -45, 30, 34, -37, 11, 11, 4, 47, -11, 54, -38, 10, 17, -50, -28, 18, 23, -2, -40, -66, -3, 32, -25, 48, 41, 19, 24, -36, 45, -1, -21, -61, -16, 0, 43, -2, -15, 21, 45, 6, 13, 10, -13, 39, 48, 33, -53, -8, -51, 7, -58, -52, -60, -66, -28, -5, 19, -18, -6, 67, -19, 2, -71, -52, 18, -26, 43, -37, -52, 20, 11, 44, -46, -43, 10, -62, -37, -27, -60, 36, -5, -61, -48, -16, 6, -50, -45, 52, 1, 25, -9, 23, -66, -19, 3, -59, -7, 1, 29, 4, 0, -50, -56, -56, 19, 2, 1, 13, 46, 18, 29, -8, 35, 0, 42, -31, 18, -55, 38, -54, -37, 16, 28, -46, 62, 59, -14, -61, 47, 39, -13, 33, 7, 1, 10, -1, -42, -34, 58, 43, 20, -22, 62, 9, 35, 24, -26, 55, 30, 1, -42, -69, 33, -11, -56, 53, -52, -69, -60, 23, -21, -54, 43, 31, -38, -26, -18, 16, 33, 25, 25, 20, 34, -56, -10, -24, 46, -55, 58, -46, -60, 9, 46, 34, -29, 10, 5, 13, -60, -63, 60, -16, 22, 12, -1, 43, 29, 37, -5, 57, 49, 22, 28, -6, 26, 8, 66, 55, 32, -56, 36, -46, -12, 25, 1, 40, 26, -8, -2, 45, -13, 38, -60, -19, 50, 13, 33, 51, -59, -26, -10, 4, -25, 17, -63, 44, -62, -32, -45, 46, -47, -11, 2, -30, 37, 65, -5, 7, 51, 41, 8, -27, -14, 37, -58, -52, 62, -12, -1, -4, -27, 52, 4, -65, 45, 4, -33, -55, -21, -60, -28, -7, 39, 23, -49, -49, -37, 0, -26, 40, -7, 59, -37, -18, 66, -35, 14, -39, -23, -11, -32, 14, 15, -5, -58, 47, -31, 27, -59, 13, -33, 21, -53, -51, -6, 29, -9, -7, 9, -13, -39, -43, -3, 50, 27, 44, 39, -63, 16, -5, -12, 5, 61, -13, -26, 57, -21, 1, -9, 53, -61, -42, 12, -36, -2, -4, -34, 30, 6, -38, -29, 63, 26, 49, -16, 32, -58, 20, -53, -44, -64, 35, 13, 19, 43, -32, 56, -13, 57, -11, 21, 50, 19, -62, -56, -24, 26, -7, -49, -61, 12, 24, -12, -25, -47, 63, -59, 50, 2, -31, -60, 39, -57, -46, -45, 41, -17, 36, 45, 44, 18, 36, 46, 14, -67, 23, 44, 0, 30, -2, -3, -7, -57, -44, -34, 4, 21, 61, 43, 4, -25, -52, -58, 50, -2, 38, 36, -34, -28, -28, 40, -51, -18, -42, 15, 10, -58, 62, 24, 10, -44, 24, 26, 35, -9, 46, 69, -51, 34, -59, -39, -48, 16, -13, -1, 44, 52, 20, 5, -51, 4, 35, -52, 4, 45, 23, 26, -30, -7, -41, 47, 51, 52, 33, -9, -16, -31, 57, -46, 34, -11, 11, 54, -11, -62, 59, 29, -50, 55, 1, -28, -29, -51, 41, -36, -55, 1, -20, -22, 35, 39, -52, -61, 30, -58, -8, 27, 63, 12, 48, -42, 2, -54, -15, -12, -23, -21, 37, 15, -20, 8, 12, 0, -35, 36, -56, 11, -1, 17, 13, -36, 55, 2, 0, 21, 21, -59, -21, -58, 6, 38, -1, -4, -5, 14, 38, 37, -58, -32, 50, 12, 3, 20, -9, -27, 2, 51, 2, 0, 37, 5, -42, 5, -16, 32, -45, 49, -38, 39, -48, -58, -37, 33, -34, -31, 30, 51, 29, -7, -61, -8, 54, 32, -57, 8, 49, -25, 37, -37, 26, 27, 39, 2, -13, 34, 2, -7, -39, -58, -14, -57, 19, 56, -47, 5, -47, 45, 53, 12, 2, -46, -40, -54, -18, 46, -32, 15, 53, -10, 25, 1, 30, 29, 54, 44, -22, -12, -11, -21, -20, -31, 21, 19, -45, 15, 0, 38, 0, -63, 48, -11, -33, -32, 15, -41, -48, 39, 3, 53, -64, -5, 58, -1, -15, 51, 35, 49, -60, 39, 4, 1, 57, -50, -29, 31, 38, 36, 25, 44, 56, -2, 2, -14, 23, 38, -11, 47, -40, 43, 14, 20, 54, -46, 11, 33, 11, 50, -1, -61, 26, 52, 55, -21, 0, -32, 41, -24, 21, 14, 32, 32, -18, -35, -2, 60, 37, 5, 54, -8, 43, 48, 34, -44, 26, 74, 38, -43, -44, -31, -55, -47, -53, 15, -13, 13, -46, -44, -45, -23, 41, 62, -47, 13, -35, 20, -57, 19, -28, -6, 4, 2, -56, 54, 27, 16, 33, -29, 27, -4, -24, -54, -22, -59, -1, -23, -2, 41, -62, -56, 28, -61, -34, -17, 4, 5, 20, 18, -62, 55, 3, -16, 54, 9, -53, -14, 26, -54, 36, 24, -33, 17, -14, -3, 22, 1, 37, 37, 33, 34, 57, -63, -12, 7, 49, 27, -34, 27, -68, 58, 19, -65, 37, 9, -46, 7, 3, 12, 53, -65, -56, 24, -12, -61, -9, 23, -2, 41, -24, 11, -36, -40, -37, 45, 1, -53, 47, 9, 13, -50, 16, 25, -23, 41, -34, -48, 13, 31, 5, 57, 10, -27, -19, 22, -59, 54, -6, -21, -40, 45, 52, 25, -41, -40, -21, -60, -62, 31, 39, -18, 56, -19, -64, -35, -61, 5, 51, -45, -61, 37, 32, -40, -27, -61, 18, 55, -1, 32, 42, 5, 27, 25, 16, 39, 14, -50, 52, -4, 6, 53, -37, -47, -33, 27, -37, -16, -32, -53, 60, -16, 56, -4, -17, -9, 46, -37, -17, 41, -14, -24, -55, -1, 52, 14, 1, -46, -36, 5, 3, 3, 24, 30, 54, 30, -58, -36, -43, 28, -30, 36, 7, -40, 7, -42, -48, 19, 23, 12, -2, 54, -28, 58, -36, -33, 63, 43, 22, 34, -14, 53, -59, -33, 73, 50, 18, 50, 28, 59, 7, 15, -24, -25, 5, 50, 1, 4, 6, 31, -1, -20, 39, -49, -4, -11, -59, -60, 21, -37, -24, 22, 38, 19, 31, -14, -4, -21, -39, 12, -13, -28, -69, 15, -52, 48, 5, -40, 37, 20, 25, 23, 0, 53, -20, -37, -34, 23, 49, -37, 17, 39, -56, 7, -53, -15, -40, -31, -17, -60, -53, 0, 31, -12, -44, -53, -68, 33, -3, -8, 48, -20, -39, -7, 24, -59, -1, 16, 52, -64, 43, 31, 57, -25, -15, -7, -41, -51, 14, 30, 21, 21, 5, -48, 4, 27, 5, 1, 7, -8, -35, -30, -54, 4, -42, 44, 28, -47, -69, -38, -21, 1, -52, 38, -52, 28, 33, -40, -50, -39, 39, -55, -54, 8, -39, 12, 44, -21, -21, -50, 37, -12, -17, 32, -49, 27, -43, -40, 24, 44, -56, -53, 38, 1, 22, 1, -32, -48, -42, 36, -56, -8, 26, -18, -27, 12, 74, 17, 37, 45, 1, -49, 4, -34, 57, -46, 15, 25, 61, -31, 34, 57, 3, 51, -10, -40, 40, 2, -15, -39, -6, 22, -2, -4, -16, 39, 17, 26, -31, -40, -60, -32, -48, -34, -28, -56, 42, 38, -22, -53, 24, -63, 44, 0, 50, 6, -63, 16, 9, -39, 8, 11, 42, -20, -61, 38, -44, -61, 53, 59, 36, 55, -22, 2, -11, 25, -7, 46, -7, -48, 36, 43, 62, -49, 51, 57, -31, -22, 42, -2, -34, -8, -32, 59, -31, 11, -30, 59, -30, 4, 33, 49, 0, 50, 20, -30, 66, 54, -44, -55, 25, 55, 23, 19, -33, 17, -16, -1, 38, 46, 70, -13, -17, 17, 13, 43, -16, 5, 32, 13, -24, -46, -58, -40, -38, 5, -34, -44, 21, -21, 15, 38, 56, -13, 47, -63, -5, -21, 28, 44, 16, -52, 13, 24, -60, 35, 15, -39, 28, 13, 0, -58, 21, 19, -30, 40, -60, 47, -55, 54, -47, -7, 40, 48, 6, 60, 61, -64, 45, 6, 47, -17, 50, -33, -14, -44, 62, 45, -30, 12, -60, -27, 52, 24, -1, -57, 52, -42, -68, -73, 25, -24, 40, -16, 31, 5, 16, -48, -23, -34, -50, -10, -31, 48, -57, -28, 17, -22, 28, -59, 13, -20, 33, 1, -33, 24, 45, 38, 57, 6, 32, -49, 59, -7, -57, 13, -3, -15, -8, 56, 5, 3, -47, -19, 59, 48, 7, -61, 27, -21, -44, 23, -21, 49, 49, 35, 29, -46, 15, -43, 55, -17, 4, -35, 13, 34, 52, 10, 34, 14, 12, 25, -61, 36, 58, 26, 0, -18, 53, 6, -20, -61, 45, 46, 47, 34, -22, -61, -44, -55, -16, 41, 7, 45, -58, -61, 36, -33, -55, 12, -63, -57, -20, -19, 49, -16, 46, -30, 28, 9, 30, 18, 58, -59, 43, -50, 23, -54, -50, 4, -9, 59, -9, 48, -56, 56, -29, -37, 34, -24, -14, -32, -39, 30, -61, -25, 6, -38, 47, -30, -44, -54, -22, 7, 43, 2, 10, -51, 63, 28, -38, -26, -24, -4, 61, -40, -2, 36, 1, 17, 46, 13, 26, 52, -25, -26, 17, -20, -40, 25, 30, 47, -36, 37, -54, -57, 39, -10, -1, -66, 4, -57, 63, -22, -59, -12, -15, -5, -6, -46, -70, 5, -48, 50, -27, -11, -54, -32, 60, 5, -40, 1, -37, -65, 4, 56, -27, -39, -63, -63, 49, 27, 21, -1, -50, -27, 0, -30, -71, 11, -1, -9, 14, 58, -39, -20, 1, 22, 2, 35, 10, 28, -18, -19, 0, 26, 53, -26, 4, -51, 60, 4, -7, -16, -48, -49, 55, 10, -3, 8, 13, 47, -5, -56, -3, -22, -3, 25, 21, 9, -63, 15, 18, 1, -38, -3, -63, -41, -28, -11, -2, 29, 31, 45, -4, -37, 27, 40, 7, 60, 30, 19, -5, -37, 34, -2, -30, -34, 50, 59, -17, 55, 40, -48, -6, 50, -21, -27, 55, 29, 50, 16, -23, -13, -28, -4, 43, 37, -7, -12, 26, -24, 21, 10, 0, 27, -27, -13, 37, -24, -36, -35, 7, 31, 37, -56, -39, 52, -28, 2, -13, -40, 12, 12, -57, 54, 15, -34, -19, 21, -43, 57, 0, 39, -65, 34, 21, 13, -52, -51, -12, -37, 31, -45, 54, 16, 48, 28, -26, -15, 15, 36, -56, 46, 42, -60, -30, -8, -58, -2, -20, -38, -49, -12, -1, -48, -35, 29, -41, 7, -26, 44, -51, 52, 27, -36, 61, -14, -23, 5, 7, 47, -3, 37, 2, -59, -4, 50, 5, -31, 31, -34, 50, 4, -35, 62, 55, -1, -39, 54, -44, 24, 1, 12, 51, 6, 10, -66, 17, -6, -23, 2, -35, 13, -4, -56, 50, 33, 15, 33, -42, -57, -60, -5, 19, 9, -57, 49, 20, 26, -60, -20, 52, 8, -42, -66, 47, -11, 41, 9, 23, -32, -56, -29, -38, 47, -28, 42, 44, 25, -53, 24, 56, -17, 47, -42, 18, 60, -49, -55, -40, 51, 60, -30, -44, 38, -25, -1, -39, 49, -61, -34, -8, -1, -53, 43, 54, 49, 24, -9, 0, -29, -13, 40, 61, 53, -21, -46, 20, 16, 40, 47, -16, -30, -49, -35, 15, -5, -45, -35, 16, -21, -49, 35, -14, -32, -61, 17, 52, 22, -59, -33, -23, 59, 32, -36, -28, 7, 44, 0, -6, 33, -40, -12, 29, 24, -50, -16, -25, 15, -53, 28, 4, -63, -5, -54, -61, -19, 45, -47, -29, -19, -58, 25, 14, 33, -4, -56, 7, -13, -12, 58, -42, 39, 50, -58, 13, 28, 51, -46, 11, -49, -15, 6, -4, 45, -16, -56, -46, 43, -9, 45, -29, 21, 11, -63, -62, 6, 19, 36, 60, -30, 42, -19, -59, -19, 10, -43, -62, 0, -23, 0, 41, -41, -32, 13, -41, 20, -49, -22, -25, 32, 61, 53, -8, -19, 25, 14, -9, 48, -51, -63, 4, 32, 15, -21, -15, 60, 36, -30, -49, -16, -53, -51, 23, -27, 65, -45, 5, 42, -7, -8, 43, -51, 0, 13, 52, 16, 10, 29, 7, -48, -44, 5, 66, -22, 13, 35, 50, -4, 55, 58, 14, -30, 50, -20, -3, 41, -8, -44, 28, 33, -58, 63, 14, -59, -25, 8, -25, -48, -27, 26, -30, 3, -5, 17, -2, 28, 55, -7, -8, 55, -66, 25, 45, -23, 39, 36, 5, 34, 17, 14, 50, 26, 60, -58, -60, 7, 39, -5, 49, -22, -41, 48, -40, 22, 15, 36, -41, 27, -6, -45, 22, 38, 56, -29, 8, -50, -8, 39, 11, 37, 55, -39, 5, -29, 35, 54, 13, -29, -62, -37, 20, 37, 25, 23, -40, -55, 60, -34, 51, 1, 29, -26, 61, -62, -29, 21, -33, -7, -18, 29, -15, 31, -15, 26, 34, 50, -29, -44, -36, 32, -47, -51, 38, -36, 56, 22, -42, -11, -66, -53, -12, 14, -3, 60, -25, 10, -39, 14, 44, -45, 36, 13, -60, -14, -23, -23, -2, 1, -40, -47, -51, 47, 21, 25, 53, -39, -3, -21, 42, -48, -34, 27, 17, -18, -36, 58, -16, 16, -64, 36, -29, 45, -10, -54, -50, -27, 38, -3, -24, 39, 52, -7, -34, 33, 5, -2, -46, -55, 40, 57, -20, 44, 41, -52, -37, -46, 36, -54, 22, -18, 40, 62, -36, 8, 39, -43, 49, -41, -38, 57, 20, -60, -35, -40, 57, -5, -23, -12, -60, 61, 38, 54, 58, 19, 36, 54, -45, 64, -14, 57, -40, 33, 2, -58, 55, 4, -29, 56, 3, 14, -5, 59, -57, -22, 43, -3, 44, -31, 33, -35, 12, -20, 27, -38, -40, 23, -55, 6, 48, -2, -69, -22, 42, -30, -71, -29, -15, -24, -47, -15, 25, 17, 25, 19, -52, -44, 52, 19, 32, -58, -43, -37, 14, 15, -17, -33, 9, 34, -48, -20, 9, -58, -41, 40, 29, -61, 24, 36, 9, -7, 9, 38, 16, 33, 58, -32, 42, -34, -55, 52, -64, 7, 48, 71, -46, 27, 8, 53, 45, -42, -56, -25, 50, 32, -46, -17, 20, -62, -7, -60, 52, 59, -49, -5, -12, 53, 0, -34, 44, -38, 34, -1, -28, 40, 10, -31, -41, -36, 36, -34, -7, -20, 14, 56, 16, 13, 37, 28, -5, -43, 12, 8, 62, -7, 48, -9, 2, 39, -60, 2, 9, -36, -57, -52, 45, -20, -49, -8, -21, -62, -65, -43, 55, 2, 42, -57, 34, 25, -51, 50, 2, -2, 41, -27, -6, 3, -56, -17, -23, 37, -29, 34, -23, 61, -63, -49, -30, 7, -56, -64, 43, 5, -21, -3, -26, 54, -6, 42, 58, -7, 47, 38, -24, 5, 58, 13, -43, -8, -30, 34, -54, 41, -32, -21, -27, -43, 44, 43, 26, -22, 64, -52, -53, 66, 47, 1, -40, -5, 6, -17, -25, -47, 44, 57, -48, 43, 4, 54, 28, -18, 41, 51, 20, -48, -32, 0, 12, -44, -39, 3, 20, 15, 49, 42, 49, 36, 11, 9, -31, -27, 57, 5, 13, -31, -31, 16, 64, -12, 53, -46, 16, 5, 30, -63, 4, 40, 53, -54, -60, -19, -66, 29, 15, 11, 1, 36, -64, -43, -17, 34, -21, 61, -51, -3, 29, -54, 1, -35, 27, 50, 49, 26, 9, -2, 35, 28, 40, 56, 2, 63, 46, 23, -22, -52, -6, 26, -57, -20, -47, 56, -3, 51, 46, -33, -46, -32, 34, 49, 14, -30, 57, 10, 61, 22, -2, -14, 32, -51, -31, 60, 52, 35, 32, 43, 8, -43, -29, 37, 3, -37, -45, 57, -14, 1, 48, -39, -61, -12, 9, 18, 13, -51, -62, 51, -4, -3, 39, -50, -30, 5, -35, -40, 44, -2, 44, -20, -12, 53, -52, -65, 20, -53, 17, 48, -45, 40, -63, 3, -31, 6, -8, 58, -56, -7, -33, -54, -1, -28, -26, -1, 11, -35, 24, 19, -34, 10, 48, 0, 32, -27, 33, 14, -54, -14, 41, -9, -15, -59, -48, 38, -47, -24, -28, 45, 39, 60, -29, 47, 66, -35, -41, 23, -53, 60, -16, 7, 42, -22, 60, 3, 49, -16, -9, -9, -18, 47, 12, -57, 3, -12, -50, -26, -20, 21, 49, 44, 61, 60, 1, 51, -18, 23, 31, 23, -37, 16, -14, 26, -40, 52, -61, 12, -49, 33, 11, -4, -48, -24, 4, 18, -63, -22, -45, -31, -7, -51, -14, -8, 15, 30, -59, -59, 9, -40, -35, 35, 48, 3, -55, 39, 57, -21, 51, 14, -5, 53, -51, 12, -52, -48, -8, -45, -6, -21, -19, 15, -57, 41, -25, -56, -62, 56, -16, 2, -29, -66, 24, 33, -17, 47, -56, 10, -26, 2, -56, 41, -43, -26, -63, -21, -35, -60, -4, 48, -45, 32, 41, 57, -66, -67, 8, 29, 54, -56, 5, -69, 38, 50, 25, 36, 46, 30, 17, 34, -50, -21, 60, 48, -56, 61, -31, -60, -43, -32, 35, 56, 16, -64, -13, 64, -45, 57, 1, 35, -18, -53, -33, 3, -4, 26, 12, 57, 45, 47, -20, -20, 36, -61, -42, -54, 50, 41, 1, 48, 24, 36, -24, -28, -19, 11, -38, 25, -31, -14, -41, -50, 0, 6, 46, -34, 7, -29, -11, 38, 23, 4, 47, 49, 30, -18, -52, 59, 23, -50, 52, 60, 32, 38, -65, 8, 5, -1, 55, -57, 24, 33, 23, -36, -64, 26, 36, 39, -55, 10, -62, 21, 49, -19, 19, -53, -25, 16, 59, 19, -26, 42, 5, -33, 26, -18, -54, 16, 13, -24, -40, 5, 36, 44, -26, -23, 7, 31, -31, 19, 9, 39, -22, 47, 61, 46, -48, 27, 53, 53, 29, -6, -70, -42, 18, 50, 58, -27, -14, 22, 32, -37, -21, -7, -42, 13, -27, -27, 4, -43, 11, 31, -10, -31, -36, 15, 24, 27, 3, -12, 54, -23, -9, 45, -71, 17, -46, 23, -52, 24, 11, -10, 67, 52, -11, -11, -12, -38, -61, 0, -63, -33, 51, -22, -45, -59, 59, 33, -56, 48, 43, 18, 42, 6, 25, -23, -41, 11, -5, 18, 20, 13, 33, -62, -18, 7, 34, 8, -17, -12, 26, 45, 22, 60, 6, 14, -42, 61, -20, 21, -32, -49, -20, -23, 5, 43, -47, 30, -20, 2, -68, 41, 39, 19, 32, -11, -34, 21, -39, 50, 54, 49, 39, 41, -19, 40, 44, 16, -23, -19, 14, -61, 54, 39, -7, 49, 61, 20, 48, -57, -17, -4, 28, -31, 33, 15, -56, 29, 57, 4, 56, 61, 20, 47, -12, -19, 4, 23, -12, -36, -5, 13, -64, -23, 1, -55, 60, 52, 7, 53, 33, 41, -47, 39, -62, -57, 33, -34, 11, 48, 43, 44, 7, 43, 60, -65, -3, -8, -9, -3, -19, 48, 11, -54, -60, -61, 53, -53, 22, -22, 35, -38, 40, -12, -13, 18, 33, -1, -74, -12, -68, 46, 23, -37, 56, 41, -49, -39, -44, -14, 53, -19, 53, -38, 6, -70, -31, -38, -56, -42, -61, 19, 53, -60, 39, 64, 1, -37, 52, 54, 46, 5, 20, -29, 56, -66, 24, -34, -32, 21, 59, 42, 3, -55, 44, 21, 17, -23, 64, -35, 2, 37, 21, -2, 19, 43, 21, 58, 27, 5, -3, -10, 15, -59, 7, -49, -32, 77, -45, -6, -32, -21, -70, 27, -36, 8, 23, 13, -43, -19, 11, 35, 43, 11, -55, -28, 24, -24, -35, -7, 46, -18, 4, 7, 39, 41, 29, -42, 48, 55, 28, 15, 24, -24, -45, 33, 36, 64, 35, 8, 14, 68, 48, -45, 36, -57, 9, -45, 8, -18, -62, 29, -39, 33, -48, 87, -13, 41, -5, -11, -43, -9, -41, -6, -2, 58, -43, 48, 38, 40, 61, 23, -18, 27, -24, -4, 42, 36, 13, -13, 45, 70, 11, 48, 23, -25, 49, 45, -47, 28, 21, -12, -30, -37, -8, -36, -39, 48, -27, -6, -48, -30, -2, -52, 36, -32, -21, -52, -40, -25, 40, -10, 34, -5, 6, -49, -27, 32, 16, 14, -32, -37, -65, 45, 26, -46, -32, -1, 64, -4, -62, 55, -14, -50, 30, 58, -41, 32, -11, 3, -41, 33, -23, -24, -55, 31, -8, 32, -13, -10, -4, 56, -5, 27, -72, -38, -15, -7, -54, -23, 53, 0, -66, 15, 21, 34, -65, 23, -14, 43, 34, -16, 56, -52, 25, -11, 51, 33, 23, -22, 28, 28, 27, 23, 33, 38, 3, 15, 29, 67, -16, 45, 6, -80, -13, 26, 35, 48, -74, -19, 33, 58, 27, 29, -26, 18, 44, -1, -64, -55, -47, -51, 38, 28, -20, -63, -33, -39, 57, 57, -3, 55, -4, -36, -9, -15, -27, 44, 33, 10, 50, 12, -62, -55, -10, -3, 32, -30, 7, 11, 33, 25, -16, -28, -2, 33, -9, -6, -5, 38, 9, 15, 11, -14, -3, -37, -6, 7, -59, -27, -9, 38, -7, -40, -31, -53, -9, 21, 5, -29, 25, -49, -8, -3, 12, 30, 51, -37, 51, 7, -15, 47, -22, 38, 8, 51, -56, 29, 63, -56, 38, 28, 15, 65, 29, -40, -3, -19, -20, -50, 12, -43, -30, -20, -47, -39, -47, -27, -31, 17, 43, -39, -43, -22, 38, -28, -7, -39, -47, 2, -41, -49, -19, 18, 6, -10, 64, 48, -21, 3, -45, -34, -55, 14, 15, -50, -22, 30, 44, 68, -57, 27, -40, 45, 55, 45, 52, 24, 24, -46, 5, -1, -50, -37, 19, -26, 1, 55, 60, 7, 7, 22, -3, 46, 54, -9, 29, -18, 64, 44, 52, 45, 44, -59, 68, -14, 45, 13, 55, 47, -38, -39, 12, -6, -69, -25, 33, -49, 56, 81, 61, 34, 0, -59, 40, 18, 23, 18, -48, -15, -46, 60, -29, -50, 26, 42, -38, -36, -18, -33, -15, 74, 15, -15, -51, 30, -47, 0, 8, 30, -30, -31, 11, -39, -29, 42, -47, -18, -31, -37, -33, 56, 38, 31, 5, 31, 14, 15, 40, 51, -52, -62, 20, -2, 67, -61, -56, -52, 61, -47, -75, 55, -32, -59, -51, -39, -24, -57, 21, -30, -40, -48, -58, -36, 48, -17, 33, -66, 9, -19, -50, 29, 12, 56, 8, -25, -15, -45, 28, -2, 9, 19, 69, -23, -57, 42, 8, -33, 63, 28, 35, 47, -15, 36, 7, -17, -5, -22, 48, 16, 22, 16, 39, 14, 13, 81, 45, 65, 78, -25, -38, 19, 40, 47, -41, 14, 51, -14, 51, -31, 54, -42, -39, 27, -22, 52, -23, 15, 50, 40, -23, -22, 20, 41, 32, 47, 17, -30, -54, -43, -15, 25, -38, -23, -28, -32, 31, 41, 33, -35, -14, -16, -63, 7, -70, -85, -44, 44, -4, -27, 57, 43, -4, -36, -11, 18, -30, -61, 44, 38, 23, -27, 4, 25, 29, 31, 22, -6, 60, 72, 8, 37, 12, -56, -35, -61, 50, -60, 45, -30, 31, 31, -42, -60, -53, -47, -40, -32, 30, 22, 22, 16, 27, 37, 2, 29, -43, 0, 64, 11, 59, -36, 43, 46, 27, 54, 53, -9, 61, -52, -49, -7, -3, 50, -2, -47, -17, 51, 20, -64, 44, 64, 43, 30, 22, 0, -49, -21, 58, -58, 50, 45, -16, -4, -45, 1, 73, -12, 9, -14, 13, 40, 21, -1, 47, -45, 53, 1, -24, 2, 11, -62, 18, 40, -4, 56, -34, 24, 31, 22, -5, -16, 38, -20, -27, 23, -9, 59, -53, -41, 3, -38, -1, -15, 54, 78, -6, -11, 78, 28, 9, -50, -62, 0, -22, -7, -23, 45, 6, 33, 15, -27, 50, -26, 30, -4, -22, -45, -21, -27, -74, -47, 41, -18, 58, -5, -67, -1, 1, 8, -52, -59, -10, 44, 19, 1, -14, -41, 17, 31, 13, -51, 8, -23, -52, 14, 2, 52, 59, -51, 62, 26, 22, 40, -28, 53, -28, 12, -10, -31, 38, 34, 47, -1, -76, -9, 44, 40, 20, -28, -34, -61, 14, 22, 59, -13, 45, 29, 52, 7, 64, -25, -60, 59, 15, 3, -15, -53, 55, -57, 4, -26, 50, 25, 42, 31, -44, 34, 17, -18, -7, -4, -33, 52, -35, -27, -8, 21, 44, 5, -8, -33, -35, -7, 52, 52, -40, 89, -8, 9, -2, -14, -61, -5, 10, -2, 37, -46, 38, 60, 50, -49, -35, -24, 12, 25, 34, 47, 19, 5, 20, -3, 45, 22, 15, 0, -10, 49, -30, 38, 49, -30, 13, -23, 45, -1, 41, -62, -31, -26, 7, 45, 0, 20, 13, 40, 21, 28, 6, -7, -20, -52, 32, -27, 53, 42, 34, -5, -56, -43, -27, 36, 51, 48, 56, 26, 27, 52, 30, -54, -66, -24, -37, -92, -40, -33, -56, -37, -6, -34, 18, 18, 26, -49, -10, -102, -21, 22, -14, -1, -65, -32, 37, -17, -82, -39, 58, 29, 23, 29, -49, 30, -63, -1, -19, -58, 32, 41, -16, -51, 18, -51, -5, -18, 21, 7, 26, -49, 38, -22, 61, -35, -21, -7, -33, 23, -6, -12, 5, -10, -24, 11, 17, 5, -31, -36, -27, 41, -51, -11, -20, -32, 54, 47, 10, -33, 60, -39, -3, 39, -1, -4, -17, 36, 35, -25, -50, 3, 46, 40, -35, -5, 17, -12, -43, -33, -15, -1, 53, -7, 1, -39, -30, 37, -17, -41, 38, 47, 15, -28, 5, 29, -75, -62, 25, 35, -55, 47, 15, -24, -47, -82, -53, 6, -42, -49, 23, -48, -38, 16, 30, 37, 0, 39, -84, -34, -49, -64, 46, 44, -41, -44, 41, -10, 22, -13, -17, -53, -43, 18, -43, -26, -14, 10, -27, 40, 24, 45, -25, 36, -53, -23, -59, 38, -50, -3, 22, -9, -56, 14, -49, -29, 48, -32, 2, -46, 62, 13, 44, 62, -27, 35, -43, 47, 35, 24, -18, -35, 20, 10, -48, -29, 39, 20, 25, 32, -48, 33, 13, -20, -67, 45, -5, -18, 1, 8, -73, 54, -6, 66, -24, -39, 14, -37, -8, 11, 25, 1, -18, 13, 53, 40, 33, -50, 45, 3, -39, 0, 67, -38, 13, 8, 16, -52, 23, -7, 57, -39, -10, 67, 8, -46, -55, -54, 29, 1, 15, 10, 11, -29, 57, -26, -38, 33, -37, 52, 55, -41, -29, -61, 39, 1, 51, 21, -1, 7, -12, -40, -17, 39, -5, -23, 19, -26, -3, 57, 2, -42, -49, 31, -35, -3, 6, 9, -1, -31, 5, 52, -15, 32, -49, -11, -31, -63, 0, 5, 28, -28, 13, -6, -27, 56, -20, 26, 41, 44, 22, 4, 13, 29, -27, 3, -31, -31, -49, 58, 61, 63, 52, -44, 17, -14, 10, -59, -7, 45, 15, -41, 57, -24, -24, -13, -28, -37, -6, 12, -54, 10, 12, -36, -46, -6, -6, -54, -44, 13, -61, -23, 27, 0, -5, 12, -61, 58, -46, -10, 36, -75, 9, 3, -59, -5, -11, 33, -6, 3, 58, 6, 6, -35, 29, 15, -60, -43, -40, 8, -14, 58, -10, -27, -40, 49, -11, 40, 20, 48, 36, 38, -22, 11, 39, 35, -36, 53, -49, -54, 23, -40, -37, -35, -66, 28, 45, 3, 25, 6, -70, -56, 61, 54, 3, -30, -42, -38, -47, 47, -41, -16, -9, -80, -50, -34, -32, -34, -2, 27, -66, 57, -34, -36, -41, 60, 17, -38, -37, 40, -38, 2, -58, 42, 7, -8, 33, 18, -27, 36, 38, 18, -20, 4, 74, 12, -37, -25, 9, -49, -37, -82, -11, -2, 48, -9, -19, 26, -2, 32, -15, 8, 57, 51, -34, 20, -44, -7, 28, -44, 32, -60, -8, 15, 25, 37, 17, -27, 5, 44, 6, 47, 48, -11, -34, -59, -46, -32, 16, -23, 28, 6, 1, -29, 35, 62, -10, -22, 34, 41, 69, 71, 33, -5, 50, -44, 24, 41, 3, 43, 12, -31, 53, -21, 43, -60, 1, -20, -38, -53, 7, -11, 13, 38, -41, 15, 0, 28, -43, 56, 12, -31, -36, 44, -50, -8, -70, -12, 31, 36, 16, -33, -56, 29, -51, 46, -46, -66, 22, -24, -61, 40, 14, -62, -50, -16, 48, 1, -25, -2, -10, 41, -14, 67, 18, 50, -8, 24, 48, -8, -13, -7, -64, -9, -30, 5, 34, -55, 43, 36, 51, 27, -27, 56, 1, 48, -10, 50, -19, 40, -24, -69, -61, 24, -42, 48, -58, -3, -42, 8, 53, -58, -22, 29, -61, -45, -8, -13, 2, 15, -61, -73, -43, -13, 42, 64, -17, 51, 10, -3, -13, 41, 63, 53, -45, -58, -4, 69, -69, -41, -30, -6, -57, -58, 56, -50, -82, 20, -1, -29, -12, 11, 51, 30, -39, -46, 27, -32, -23, 3, 55, -16, -12, 19, -58, -30, 59, -52, 4, 0, 31, 69, 29, -67, -2, -38, 2, 40, -27, 59, 57, 51, 54, 13, -14, -7, -27, -47, -65, 14, -31, 3, -50, -7, 69, 57, 53, -28, -45, 38, -47, 69, 30, -65, 11, 24, 23, -55, -39, -20, -60, 2, -4, -34, -14, 44, -55, 14, 7, 34, 18, 54, 7, 5, -69, -52, 59, 16, -69, -17, -47, -27, 17, 16, -42, -5, 49, 55, 57, -12, -37, 22, 29, -44, 18, -62, -10, -37, 47, 48, -51, -22, -5, 29, 41, -70, -29, -41, 39, 8, 24, 8, -20, -18, 14, -14, 57, -47, -1, -51, 19, 23, -2, 48, -57, -32, 58, 27, -33, 25, 15, -7, 31, -12, -11, 21, 20, 58, -52, -46, 43, -24, -24, 36, -37, -41, -55, -41, 44, 0, 26, -19, -60, -21, 18, -42, -10, -61, 48, 26, -71, 32, -26, 36, 43, -34, 36, -48, -1, 25, -54, 44, 7, 36, -14, -55, 4, -39, -11, -70, 30, 38, -20, -32, 36, 10, 9, 20, 21, 56, 50, -70, -15, 34, 7, 46, 28, -3, 28, 7, 0, -61, -57, -18, -28, -41, -63, -69, 38, 21, -50, -59, -8, 46, -42, 54, -18, 42, 29, 28, -6, -10, 40, 56, 29, -53, 45, 11, 20, -14, 12, 6, -1, -35, -55, 15, -15, -39, -45, 36, 58, -19, -48, 59, 37, 44, -60, -21, 6, -38, 45, 44, 71, 28, 32, 10, 61, 14, -71, 44, 49, -40, 18, -23, -56, 60, 56, 57, 27, -37, 49, -12, -15, -19, 61, -52, -71, -4, -31, -12, -41, 26, -18, 49, -17, 18, 50, 42, 12, -3, -53, -39, 54, -51, 13, 37, -35, 10, 43, 13, 7, -45, 53, -49, -22, -46, -40, -2, -57, -1, 25, -1, -2, -53, -47, -56, 61, 17, -35, 33, 4, 8, -53, 14, -44, 0, 62, 55, -10, 39, -15, -27, -24, -50, -19, -45, 49, 50, 1, -37, -29, 49, 63, -41, 2, 32, 12, 41, -18, 37, 6, -48, 19, 4, -11, 24, -15, -2, 23, 24, 9, 55, -34, -36, -12, -6, 43, 19, -48, -66, 38, 18, -35, 38, -30, -23, 7, -11, 17, -45, -23, -12, 33, -2, 0, 51, -52, 26, -4, 40, 44, 19, 41, -73, 60, 54, 10, 49, 14, -63, -16, -4, -18, -39, -62, 20, 50, -7, -58, -25, 34, 18, 19, 35, -29, 21, -1, -44, -42, 46, -29, 18, -60, -13, 10, 8, -48, -12, 18, 34, 41, 26, -42, 33, -23, 28, 52, 41, -26, -55, 66, -1, 18, -3, 33, -20, -13, -59, -46, 8, 57, -31, -40, 22, 26, -61, -55, -13, -3, -12, -59, 23, -17, -39, 56, 36, 29, -34, -27, -28, -33, 26, 6, 34, -4, 56, -49, -34, -51, -14, -37, 39, 28, 55, 58, -53, 57, 18, 34, 37, -35, -10, 51, 10, 10, 54, -27, 15, -9, 49, 26, -62, 40, 1, 57, 33, -18, 50, 23, -37, 28, 39, 2, -42, -22, 26, -56, 47, -81, -70, -14, -3, -43, 56, 12, -17, -52, -48, 11, 14, 3, 4, -9, 8, -39, 54, 49, 25, 60, -38, -33, 23, -51, -42, -71, 37, -37, 31, 35, -47, -66, -46, 22, 56, 3, -16, 64, -22, -44, 15, 4, 31, -52, -9, -43, -56, -41, 25, 35, 59, -27, -25, 40, -7, -31, 39, 27, -49, 18, -48, -49, 7, 39, -60, -11, -50, 65, 14, -22, 37, -46, -8, -35, 55, 41, -8, -2, 10, -3, 3, -11, 48, -65, -6, -35, 32, -12, -13, -46, 49, -12, 36, 21, -24, -71, -68, 16, -3, 27, -27, -83, -22, 22, -28, 4, -63, 24, 27, 41, -10, 31, -26, 3, -59, -18, -22, 0, 25, -35, -41, -36, -19, 38, 16, -2, 57, -28, -56, -55, -12, -4, 40, -6, -5, 46, -31, 16, 26, -21, 59, 21, -32, 44, -50, -13, 8, 34, -30, 35, 56, -8, 54, -39, 53, 55, -44, -17, 25, -28, -63, 37, -38, -10, 19, -31, -35, 56, 29, 39, -63, 42, 12, 57, 58, 35, 13, -3, -49, -3, 5, 9, 1, -42, 36, -13, -31, -72, -18, -14, -8, -20, 48, -38, -54, 28, -1, 48, 8, -55, 22, 49, 36, 29, 17, -28, 44, 11, -6, -14, -59, -6, -33, 37, 23, 23, 12, 51, -41, -31, 50, 38, -24, -27, -47, -18, -49, -11, -28, 48, 55, 47, -17, -9, 13, 44, 59, 6, -44, 24, 45, -47, -4, 28, -45, 38, -27, 55, 37, 53, -20, -1, 33, -14, 16, -46, 36, -49, 12, -13, 50, -39, -39, 19, 28, 13, 45, -56, 62, -8, -31, 46, 44, 55, 22, 30, 12, -37, 55, 46, -6, 5, 49, -40, 63, -17, 34, 39, 36, 54, -26, 58, -11, -1, -29, -26, -20, -18, 17, 16, 41, 5, -18, -9, -5, -8, 41, 32, 6, 12, 34, -61, 28, 17, -14, 16, 27, -41, 13, -42, -35, -54, 25, 0, 12, 43, 32, 55, -42, 43, -9, 41, 26, 56, -65, -68, 57, 48, 26, -2, -49, 6, 52, 35, -40, 36, 12, -1, 49, -26, -41, -55, 27, -14, 54, 20, 40, 50, -62, 41, 26, -23, -15, 44, 18, -14, -71, -48, -48, -35, -18, -40, 5, 54, 8, 21, 48, 8, 2, -49, -28, 19, -25, -2, -42, 38, 24, 6, 8, 49, -52, 61, -14, 25, -52, 34, -55, 39, -44, -48, -45, -4, -71, -1, -65, -54, -47, 13, 26, -33, -31, 29, -58, 41, 37, 4, -73, -21, -68, -60, 34, -52, -48, -38, -36, -8, -44, -10, -59, 1, 32, 27, 42, -9, -22, 60, -14, 44, -40, 13, -29, 32, 44, -42, 26, 28, -13, -10, -16, -17, -22, -51, 51, 8, -19, -33, -46, -18, 41, 12, -63, -5, 53, 1, 47, -32, 10, -38, 53, 28, 18, -64, -50, -15, -16, 18, -9, -38, -20, -58, -76, 38, -44, 30, 67, 68, -27, -16, 12, -20, 12, -50, 18, -52, 28, 52, 62, 3, 6, 8, -43, 52, 61, -18, -7, -64, -43, -9, -23, -15, 2, 31, -36, -40, -63, 31, -1, -52, -46, 54, -24, 50, 39, 27, 42, 56, 56, -46, -23, 57, 22, 59, 25, -50, 7, 44, 24, 48, 10, 20, 35, 24, -34, -34, 72, -12, -7, 6, -1, -48, -16, 57, -11, 39, 31, -13, 28, 3, -59, 34, 2, 22, 62, 19, -23, 18, -12, -28, 15, -25, -33, 40, 41, 20, -25, 20, 30, -43, 8, 34, -18, 59, 53, 50, -40, -40, 38, -28, -41, -9, -49, 47, 15, -8, 46, -4, 46, 17, 37, 42, 7, -28, 36, -76, -30, -39, -74, -27, -31, -45, 37, 15, -28, -18, -24, -29, 21, 39, -32, -56, -2, 29, -34, 29, -18, -29, 41, -72, -32, -16, 42, -69, -13, 72, 29, 51, -43, -28, 34, 85, -28, -2, -33, 49, -25, 5, 8, 30, 41, -21, -44, 8, -61, -56, -23, -1, 18, -71, 57, 58, -28, -31, 43, -62, 45, 53, -34, 56, 17, 51, 61, 66, -58, 40, 3, -58, 18, -28, -37, 3, -39, -40, -46, 76, -20, -56, 33, 48, -23, 30, -38, -61, -50, 9, 14, 54, 59, 36, -11, -55, 45, 34, 26, 11, -12, -2, -12, -30, 4, 47, -8, 5, 13, -45, -28, 5, -50, -5, 56, -50, -46, 23, 9, -9, -26, -11, -3, -19, -11, 27, -23, -62, 52, 7, 13, -47, 13, 1, -55, 55, 30, 19, 34, -40, 55, 23, -40, -8, -58, -56, 29, -25, 62, 8, 28, 60, -23, 64, -4, 39, -31, 48, 50, 61, 11, -66, -15, 50, 57, -29, -65, 35, -28, -18, 33, -11, -34, -53, -14, 18, -36, 28, 67, 52, 8, 16, -27, 15, 27, -23, 23, -61, -36, 13, -41, -45, -67, 12, -53, -36, -7, -55, 59, -15, -2, -48, -42, -3, 21, 72, 8, 51, -15, -21, -5, 4, 44, 20, -25, -20, 43, 21, -27, 16, -16, 30, -36, -23, 53, -6, 4, 67, -41, -29, 53, 30, 14, 13, 13, 24, 8, -69, 40, 16, -29, -62, 56, -41, 5, -46, 43, -45, -62, -45, -58, -6, -31, 22, 41, 56, -60, -23, -35, -51, 22, 25, -20, 16, 37, -3, -21, 49, 28, 8, 14, 34, -60, -16, 35, -44, 21, 26, -43, 47, -23, 24, 11, -24, -23, -6, 20, -23, 27, -16, -2, 20, -31, 48, -48, 14, -14, 12, 42, 38, 68, 21, -21, 12, -31, 57, -64, 27, -10, 62, 1, 66, -58, 34, -4, 15, 27, 17, -49, -30, 71, -50, -39, -64, 53, 30, -61, -5, 2, -41, -8, -51, -4, 19, -34, 23, -62, -29, -21, 45, 43, -44, 10, 36, -25, 45, -42, -13, -56, -7, 20, -24, 42, -28, -44, -64, 33, 41, -9, -31, -25, -9, -4, 6, -6, -28, -52, 40, -30, 31, 6, -9, -7, 36, -57, 35, -20, 8, 25, -36, -48, -55, -2, 59, 6, -33, 23, 21, 1, -49, -12, 15, -26, -64, -23, 19, 35, -35, 2, -51, -46, 39, -39, -47, -22, -55, 39, 42, 21, 4, -6, 59, 55, 40, -47, 16, 29, 7, 33, 40, -56, -8, -26, 59, -5, 41, -3, -40, -26, -47, 15, -12, 29, 31, 31, 7, -9, -43, 14, 50, 42, 46, 48, 42, 27, -54, -28, -3, -6, -7, -42, -53, 53, -49, 17, -61, 31, -58, -44, 9, -21, -43, -29, -34, -60, -59, 56, 44, -63, -39, 27, -43, 63, -24, -34, 47, -8, 45, 52, 18, -35, -51, -24, -8, 23, -21, 22, 14, -24, 8, -4, -63, -51, 27, -44, -34, 4, -63, -61, -26, -54, -58, -23, 39, -41, -50, 45, -61, 14, -59, -54, 42, -25, 57, 18, -47, -5, -14, 36, -25, 22, -58, -20, 19, -29, -18, 51, -33, 45, 48, -2, 50, -57, -57, 45, -22, -25, -3, 19, -11, -36, -16, -42, -34, -43, -45, 3, 15, -40, 37, 43, 17, -64, 8, -25, 15, 42, -41, -17, -78, -36, 31, -9, 13, 33, -45, -5, -59, 59, -60, 36, -32, -78, -69, 32, -47, -47, -44, -28, -95, -54, -48, -37, 8, -12, 43, 59, 38, -24, -33, 26, -9, 26, -2, -10, -51, -4, -5, 8, -38, -6, 29, -22, -60, 4, 47, -19, -9, 14, 28, -41, 38, -28, 42, 43, -46, 1, -53, -45, -25, -13, 28, 36, 37, -61, 20, 3, -25, 65, -27, -30, 21, 10, -24, -51, 32, 34, -14, -16, 37, 9, 40, -52, -30, -6, 47, -47, -38, 40, -3, -36, -46, -49, -35, 2, 46, 32, 50, 13, 58, 64, -21, 56, -61, -58, -55, -21, -13, -11, 40, -34, -21, -52, -9, 52, -23, 26, 25, -18, -39, 30, -37, -27, 17, 30, -26, -15, 14, -13, -20, -58, 1, 11, 12, -6, 0, 6, 55, -16, -34, 11, 33, 1, -46, 47, -63, 26, -37, 6, 6, 55, 19, 22, 4, -47, 22, -10, -31, 60, 28, 21, -18, 5, 19, 8, -36, -49, 57, 53, 28, -24, -11, 37, -31, 22, 19, 35, -21, 19, 2, -21, 10, 34, 54, 47, 7, -56, -21, 45, 4, -57, -9, 1, 52, -56, 35, -61, 25, -19, -52, 32, 4, -3, 33, 56, -62, -33, -44, -23, 16, 50, 2, 23, -58, 37, 24, 53, 31, -48, -20, -55, 16, -49, 52, 29, -66, -26, 10, 3, -21, -28, -10, -1, -17, 34, -46, -47, -28, 45, 36, -18, -22, 29, -46, -60, 10, 3, 5, 14, 12, 55, -6, -26, 3, -27, 20, 56, -6, -56, 22, 38, -23, 19, -46, 19, 64, 21, -46, -9, -50, 62, 24, 55, -54, -57, 58, -42, -40, -1, 22, -26, 25, -54, 50, 66, -57, 25, -46, 56, -51, 56, -30, -61, 0, 8, 11, 4, 49, -43, -54, 39, 44, -61, 23, -44, 32, -51, 53, -63, -13, -7, 66, -48, -57, 8, -11, 51, -54, 31, -4, -50, -9, -12, -60, 16, -28, -27, 41, -52, 57, 61, -52, 22, -47, 49, -39, -19, -3, -68, 38, -12, -3, -31, -53, -39, -58, -62, 31, 25, 34, -12, -51, -54, 29, 48, -43, -66, -5, -30, 9, 52, -9, 2, -16, 76, -43, 54, -15, 44, 41, 30, -41, 8, 20, 10, -32, 42, -62, -18, -54, -65, -51, 43, 27, 36, -6, 1, 31, 51, -39, -37, 43, -11, -44, 24, 42, 6, 16, 8, 28, -13, -10, 52, -59, -59, 11, 57, 2, 5, -42, -8, -28, -53, -62, -10, -19, -61, 21, 45, -59, 0, -10, -3, -38, -49, 4, 5, 39, -58, -44, 22, -1, 27, -5, 62, -34, 54, -44, 54, 3, -8, 54, 16, -53, -16, 9, -38, -43, 18, -59, 9, -30, 33, -58, -23, 38, 13, 35, 39, -12, 36, -6, 38, -36, -39, 58, -12, 54, -34, -44, 19, -1, 18, 24, -56, -61, 24, -40, -19, 13, -27, -40, 35, 29, 9, -58, -56, 24, -52, 60, -3, 31, -3, 33, -60, 14, -6, -33, 26, 41, 0, -5, 30, -4, -27, 54, 19, -50, -30, -50, -16, -8, 26, -76, -13, 11, 23, -14, -50, -69, -28, 41, -21, 52, -50, 58, 46, -46, -57, -36, -48, -71, -27, -44, 3, -37, -31, -22, 12, -15, -6, -47, -20, -4, 47, 59, 37, -13, 0, -24, 14, -20, -56, -35, 57, 10, 26, 18, 33, 41, 3, 16, -34, 15, -23, 0, 47, -1, -38, -54, -10, 35, -19, 19, 64, -18, 18, -38, 30, -11, -71, 48, -65, 20, -64, 47, 17, 30, 68, 50, -21, -26, -51, -47, -39, 38, 34, 61, 32, -58, -25, 39, -38, -56, 19, -14, 10, -58, 7, 26, -43, 58, 12, -19, -1, -29, -11, 42, -24, -21, 7, -49, -28, -52, 58, 30, -64, -60, 44, -37, -14, 13, -26, -40, -26, -59, 19, -21, -27, -60, -62, 71, 15, 49, 16, 29, 26, -74, -29, -23, -24, 41, -3, 3, -49, -19, -20, 46, 44, 8, 23, 29, 6, -63, 16, -59, -72, 26, 54, -44, -38, 32, -35, -12, -24, 17, 4, -7, -52, -32, 32, 43, -59, 45, -17, -31, 17, 19, 29, -63, -39, -34, -9, 40, 37, -13, 10, -58, -64, -5, 48, 23, 45, -56, 16, -3, -47, -16, 38, -54, 14, 8, 24, 59, 48, -5, 23, 43, -32, 14, -39, -30, 40, 32, -24, -21, -6, -58, -59, 36, -54, -36, 62, -50, -47, 11, 40, -54, -38, 41, -54, -19, -4, -33, 31, 51, -18, -50, -63, -36, 52, -49, 2, -15, 42, 37, 48, -46, 6, -46, 37, -11, 6, -32, -58, 46, 47, 55, 57, 46, -49, -40, -32, 3, -64, 59, 18, 33, -23, 60, 15, -16, -50, 9, -4, -15, 23, 57, -17, -40, 37, 23, -33, 64, -15, 9, -46, 68, 4, -27, 2, 34, -38, -35, -35, -7, 15, -26, -8, -36, -49, -41, -12, 3, 23, -19, 41, 45, 16, 46, -39, -29, -12, 10, -9, 39, 7, 27, 33, -42, -14, -52, -44, -3, 19, 15, 3, 38, -13, -48, -25, -19, -37, 26, 39, 51, 19, 32, 4, -40, 14, -8, -16, 9, -37, -42, -49, 14, 3, -12, 42, 22, 3, -8, 31, -8, 55, -2, 13, -33, -9, 1, 52, 18, 13, 60, 30, 15, 10, 27, 75, 18, 24, 41, 7, -42, 52, -7, 35, 48, -18, -65, -3, 48, 55, -6, -9, -12, -18, -66, -1, 31, -40, -72, 29, -57, 36, 53, -47, -53, -32, 27, -25, 25, 13, 28, -1, 51, -4, -29, 4, 29, 18, -14, 54, 4, -47, 61, 38, 64, 15, 6, 0, -20, -42, -17, -48, 32, -58, 43, 16, -31, -28, -49, -12, -52, 4, -50, 61, 33, -37, 55, -32, 2, 51, 35, -6, -57, -56, 52, 18, -14, -69, -37, -56, 74, -6, 13, -57, -61, -39, 12, -63, 51, 4, -48, 49, 32, -1, 8, -4, -32, -40, 42, 37, 43, 67, 10, 15, -56, -9, 54, 41, 37, 0, 35, 32, 40, -56, -63, -15, 37, -1, -50, 3, 14, -41, -14, 35, 56, -58, -50, -29, -35, 21, -24, 56, -47, -46, 7, -8, -35, 52, 60, -43, 2, -27, -5, 30, -59, 60, -25, 33, -35, 14, -44, -35, 32, -42, -19, 28, 48, -57, 31, -20, -35, -9, 70, 55, 41, 44, -46, 8, 22, -18, -39, -11, 0, -33, 42, 22, -26, 49, 52, 10, 49, 33, -60, 61, 0, -30, 47, 8, -15, -35, -28, 12, -53, -41, -7, 22, -27, 15, -4, 2, -35, 26, -47, 43, -54, -31, -39, 8, 44, -47, -23, 13, -37, -5, -32, 4, 46, 2, -47, 26, -4, 52, 21, 15, -69, -11, 10, -49, 15, 9, -48, 29, -68, -14, -63, 59, 57, 24, -16, 16, 14, 45, -25, 73, 63, -25, -41, 11, 43, -22, 17, 15, -18, 45, 9, -27, -16, 7, 50, 79, 3, 11, -57, 1, -8, -22, 22, -21, 42, -27, 15, 38, -59, -39, 59, -32, -26, 11, -30, -28, 23, -38, -44, 48, 50, -24, 28, 17, -20, 22, 12, 50, 48, -71, 25, -18, -42, -25, 51, 17, -44, -37, 33, -31, 40, 65, 49, 18, 2, -13, 39, 4, -41, -43, 19, 69, 63, -36, -42, -68, -43, 8, -20, -52, -23, -10, 57, -24, -18, -6, 1, 16, 24, -3, -3, 1, 42, 55, 46, -35, -34, 16, 12, -26, -5, 26, 29, 13, 19, 0, 52, 6, 1, 34, 62, -35, 16, 63, -4, 10, -28, -31, 21, 52, -33, 64, 16, 74, 64, -57, 50, -46, 59, -34, 40, -6, 31, 20, -33, -9, -2, -38, 0, -3, 1, -54, 13, 61, -46, -50, -50, 30, -54, -11, 32, -27, 7, 2, 21, -54, -15, 6, 14, -64, 21, 8, -51, -13, -15, -10, 50, 61, -12, -39, 48, 1, 18, -29, 50, -16, 2, -12, 32, -61, -45, -4, -28, 62, 23, 32, 16, -34, -35, -10, -51, -63, 29, 18, 52, 26, 0, 79, 33, -27, 46, -11, -10, 44, 9, -63, 11, -44, -37, 1, -24, 57, -34, -10, -17, 11, -61, -42, 36, -45, 41, 0, 3, -59, -37, 30, 16, 56, 4, -61, 20, -15, -2, 45, 50, -31, 50, 26, -30, 34, -68, -63, -6, -12, -49, 22, -31, -52, 10, -21, 11, -17, 2, -58, -35, 27, 26, 8, 59, 45, 48, 66, -7, -38, -20, 65, -63, -15, -13, -20, -30, -20, -33, -12, -45, 27, 34, -15, 39, -13, 37, -19, -55, 53, -24, 17, 1, -58, 40, -37, -19, 47, -33, -30, 44, -30, 26, -55, -9, -41, -7, 10, -51, -35, -43, 10, 36, 15, -25, 46, -5, 20, 50, 27, 41, -29, 21, -52, -14, 17, 9, -39, -54, 12, 35, -6, 68, 14, -7, 26, -47, -28, -17, 8, -63, -60, 43, 28, 5, 51, -61, 18, 0, 39, 48, 1, -26, 15, -32, -52, -53, -41, -9, -35, -50, -23, 49, -65, 4, -44, 18, 20, -53, -19, 52, 39, -4, 60, 0, -51, 54, 41, -1, 25, -55, 42, 9, -41, 67, -51, 30, 40, -30, 10, -66, -48, -30, 30, -50, 50, 38, 46, 1, -33, 16, 0, 3, 39, 54, 31, -27, 52, 44, 39, -23, -66, 27, 32, -29, -26, -24, 20, 55, 20, 39, -30, 11, 21, 6, -52, 5, -12, -45, 54, -23, 15, -28, -34, -12, -26, -7, 24, -37, 41, -57, 8, -20, -35, 21, 46, 17, -57, 54, 42, 60, -57, -10, -41, 29, -53, -22, 64, -71, -2, -20, -21, 48, 40, -27, -50, 62, 45, -7, -52, -24, -22, 11, -14, -24, -14, -36, -38, 46, -26, 3, -12, 49, -10, -23, -50, 43, 26, 30, -14, 47, 15, 35, -24, -73, -14, -25, 29, -41, 29, -10, 42, -14, 16, 26, -15, 33, -53, -20, 38, 37, -6, -49, 2, 4, -8, 17, -7, 37, -40, 40, 67, -45, -36, -12, -55, 24, -7, -58, 33, 49, -54, 5, -1, 11, 12, 32, -42, 40, 53, 8, 24, 51, -19, -63, 3, -37, 39, 55, -13, -51, -51, -56, -40, -20, -5, -2, 28, 12, 14, 50, 61, 47, -17, 24, 34, 10, 33, -24, 56, -27, 16, 41, 21, 6, -72, 62, -29, 46, -43, 50, -5, -21, -35, 21, 15, 13, -48, 50, 22, -38, -7, 31, 15, -39, 52, -30, -2, -55, 5, 29, -16, -1, 47, 41, -64, -44, 25, -23, 33, 53, -25, 19, -31, 6, -25, -6, -19, -53, 51, -32, 19, -28, -7, -24, 62, -32, -9, 2, 41, -7, -15, 44, 50, -1, 12, 34, -10, -66, -65, -26, -18, 22, -23, -46, -8, 37, -25, -33, -6, -9, -28, -42, -20, 57, -39, 18, -57, -8, -24, -50, -11, 39, -40, -15, -24, 21, -4, -45, 44, -26, 42, 21, -11, 13, -24, 47, -16, -70, 9, 33, -41, -41, -37, -13, 8, 66, -25, -5, 55, -11, -18, -46, -65, -8, -9, 19, -18, 18, 50, 19, 37, -20, -18, -24, -19, 46, 47, -33, -13, 1, 39, 11, 34, 34, -57, 36, 16, 27, -61, 66, -8, 54, 40, 9, -18, -32, -5, -56, -48, 47, 26, -40, -64, 24, 52, -34, 55, -2, 53, -61, -49, -39, -6, -4, 1, -45, 9, -27, 52, 21, -38, -45, 14, -16, -54, -4, -19, -50, 35, -25, -26, -46, 1, -46, 21, -54, -41, 50, 15, 35, -27, 24, -22, 35, 48, -25, -46, -47, 24, 17, 3, 25, 45, 1, -60, 6, 3, 22, -38, 4, 23, -20, 36, 56, 18, 16, -35, -58, -6, 50, 33, 47, -12, -21, -47, -62, 12, -51, -30, -21, -34, -38, -47, 64, 63, 26, 50, 6, 2, -14, -6, 60, -30, 12, 40, -47, 25, -6, -57, 20, 40, 45, 23, -52, 12, 8, 25, 7, -45, -50, 33, -17, 73, 44, 20, -41, -18, 18, 4, 47, -5, 8, -56, -40, 26, -50, 59, -59, -2, 45, 27, 46, 31, -53, -49, -52, -62, -18, -18, -35, 38, -20, 30, 59, 25, 51, -28, 10, -59, -50, -39, -3, 48, -29, 35, 49, -36, 29, -43, -56, 29, 29, 31, 62, 54, 59, -29, -14, 22, 33, -38, 11, 60, 0, 6, 43, -39, 3, -9, 47, 66, -18, 18, -30, -13, 11, -36, 12, -21, -47, -49, 25, 13, 25, 0, 20, -21, 27, 26, 66, -57, 37, -14, -50, -28, 2, -1, 49, -56, 29, 7, -30, 56, -64, 19, -20, -61, -24, -45, -5, 41, 58, 62, -55, 12, -19, 30, -8, -40, 30, 6, -64, 52, -62, -52, -12, -48, -30, 56, -18, 45, -21, 3, -58, -1, -27, -41, 39, -60, -33, -9, -45, -35, -60, 33, 42, -55, -63, -50, 43, -27, 31, -8, 25, -34, -3, -2, 33, -15, 51, 48, -1, 40, -35, 52, 49, 39, -67, -10, 3, 10, 54, -48, -68, 50, 52, 21, 30, 40, -65, -22, 57, 24, 46, 36, 21, -12, -17, -50, 52, 17, 36, 18, -39, 2, 14, 50, 1, -28, -35, 29, 17, -3, -53, -14, -18, -3, -27, 58, -1, 32, -2, 52, -25, -13, -1, -26, -39, -47, 34, -17, -7, -48, -18, 23, 45, -15, 49, -19, 21, 33, -30, 22, 44, -8, 4, 15, 16, 37, 44, -58, 29, -9, -15, -38, -45, -17, -19, -57, -51, -51, 29, 30, -47, -43, 44, 55, -7, -4, 4, -14, 51, -27, 59, -21, -52, -30, 37, -21, 54, -29, 19, -15, 45, -25, -42, -21, 42, -57, -34, 43, -50, 17, 21, -7, 30, 34, 20, -23, -59, 15, 21, -44, -23, -21, -35, 39, -34, -9, 22, 8, 13, -19, -7, 32, -14, 25, -39, 64, -53, 40, 16, -62, -24, -20, -54, -58, -42, -52, -58, -13, 51, -17, 4, -19, 51, -55, 66, -2, 14, 18, 58, -48, -55, -48, 45, 11, -31, 16, -23, 51, -61, -41, 40, -38, 25, -56, -30, 54, 56, -50, -65, -66, 0, -23, 49, -50, 23, -51, -46, -44, 18, 11, -13, -57, -42, -34, -11, -61, 47, 57, 23, -32, -27, 44, -1, -36, -27, -60, -31, -22, -29, -56, 24, 10, 34, 56, 34, 39, 17, 62, 56, 14, 52, 29, 17, 34, 1, 48, -57, 21, -28, -17, -38, -30, -31, 50, -46, 46, 37, -54, 1, -5, 57, -21, 3, -37, -6, -17, 28, -36, -13, -4, -21, 61, 46, -15, 17, 27, 46, 15, 49, 10, 23, 42, 24, -34, -15, 20, 15, -34, -53, -57, -52, -5, 57, 55, -1, 40, -14, -51, 62, -15, -31, 36, -2, 13, 56, -54, -12, 52, 38, 14, -37, 8, -54, -9, 6, 50, 44, -11, -4, -26, -13, 12, -16, 22, 38, -27, 60, -45, -22, -30, 59, 6, 27, -4, -11, -20, 35, 40, -56, -11, 35, 7, -29, -19, 48, 44, -21, -46, 46, 22, -28, 30, -30, 47, -3, -42, 42, -41, -31, -58, -48, 41, 0, -20, -53, 32, -16, -24, -13, -41, 47, -4, -3, -47, 0, -17, -11, 41, -49, -63, -19, -28, -25, 29, 21, -60, -44, -11, 16, 6, -20, -58, -37, -11, 19, 46, 14, 40, -9, -7, 35, -36, 6, -38, 18, -54, -35, -48, 16, 56, -1, -36, -17, 30, 50, -9, -24, 34, 61, -28, -3, -60, 58, -7, 55, -2, 42, 52, 52, -57, -53, -7, 20, 51, -45, 25, -30, 14, 47, -50, -54, -40, 57, -13, -2, -23, -22, 24, -4, 24, -45, 27, 53, 23, 3, 21, -25, -14, 38, -54, 31, -43, -13, 30, -42, -31, 39, 26, -17, -16, 59, 54, 13, 30, -36, -64, 13, -49, -35, -23, -59, 10, -40, 6, 35, 18, 27, -49, 0, -34, -56, 11, 41, 32, 21, 38, 30, 12, -7, 4, 14, 22, 57, -26, 31, 34, 9, 21, -54, -64, 22, 42, -18, -7, 4, -55, 24, -65, -11, -13, 61, -46, -15, 45, 6, -62, 14, 39, 23, -15, 0, -50, -58, 60, 50, 27, -31, 10, -62, 27, -20, 26, 7, -52, 10, -2, -44, 26, -50, 35, -38, -50, 5, 46, -49, -47, -25, -53, -8, 59, -33, -48, -39, 20, 13, 8, -20, 39, -56, -58, 66, 17, -36, 47, 57, 53, 63, -2, -36, 31, 11, -17, 57, 34, -24, 37, -4, 46, -10, -56, 22, -22, -37, -50, 41, -14, -50, 60, -37, -24, -4, -5, 39, -8, 38, -10, -21, 19, -23, -2, 4, 29, -37, 33, -48, -40, 26, 59, -14, 89, 73, 22, -44, -68, -48, -43, -4, -27, 34, 15, 30, 42, 22, 63, 52, -1, 4, -12, 22, 55, 35, -2, -35, -60, -36, -26, -31, 53, 12, -18, 21, 3, 26, -36, -48, -40, -2, -67, 14, -44, 17, -63, 3, 44, 18, -56, -84, -61, -73, -12, 5, 36, 60, -32, -10, -20, -11, -13, -18, 30, -2, -15, 58, 7, 18, -62, -34, 29, -15, -40, 37, 6, 49, 3, 12, -13, 31, -68, -25, -33, -61, 3, -38, -2, -36, 34, 17, -63, -6, -71, 55, -31, -20, 34, 52, -42, 13, 21, -19, 17, 47, 37, 47, -55, 57, 4, 11, -24, -62, -24, 37, 48, 26, -50, 74, -17, -15, 71, 59, -19, 50, 53, -36, -56, 3, 29, -56, -19, 52, 26, 13, 46, 18, -14, 38, 12, 50, 20, 39, 21, 49, 12, -52, 36, -51, 26, -13, 3, -65, -18, -18, -4, -60, -45, -18, 63, 62, -49, 0, 38, -27, 15, -15, 61, 8, 53, 21, 31, -11, 51, -60, 38, -42, -27, 1, -41, 25, 14, 36, -10, -16, 20, 39, -45, -27, 50, -1, 41, 68, 26, -30, 45, 13, 7, 27, -44, -8, -53, -12, 63, -47, 35, 47, 9, -41, 46, -59, -27, -6, -59, -43, -46, 4, -39, 11, -58, -69, 32, 1, -23, 13, -10, 26, 62, 8, -63, -29, 35, 33, -67, -29, -34, -81, -47, -46, 9, -70, 65, 15, -39, 32, -4, -68, -78, -51, 11, 33, -48, -65, -22, 39, 51, 21, 56, -13, -29, 21, -2, 8, -18, 52, -74, 6, -61, -46, -54, 30, -68, -4, 22, 58, -35, -40, -36, 3, 40, 13, 10, 18, -60, 43, -12, 4, 0, 65, -1, 51, 71, -20, 22, -19, -75, 68, -6, 5, -42, 14, 50, -49, -28, 20, -56, 36, -43, -17, -57, -56, 38, -41, -53, 42, -48, -45, 30, 35, 34, -30, -37, 31, 60, 15, -8, -18, -3, -52, 44, -50, 37, 41, -50, -62, 5, 33, 51, 46, -57, 20, 37, 34, -32, -19, -51, -14, 33, 49, -27, 18, -2, 33, 3, -41, -45, -18, 16, 47, 56, 55, 50, -18, -46, 10, 40, -55, 34, 13, -49, -30, -53, 13, 3, -7, 0, 17, 48, 24, -12, -16, 24, 45, -26, -45, -32, -37, -16, -50, -5, 43, 34, 58, -22, -37, -38, 43, 41, 57, 24, -44, -54, -46, 34, -29, -41, 26, 39, 41, -49, 17, 23, -57, -27, -58, 52, -48, -29, 58, 11, 69, -19, 16, 44, 17, 57, -67, 0, -26, 6, -11, 7, 34, -33, -25, 43, 38, 54, -21, 11, -48, 10, 53, 17, 57, -56, -42, -8, -39, -18, 41, 3, -59, 24, -10, -10, -19, 8, -47, 11, 72, 21, -23, -34, -9, -49, -19, 0, 60, 56, -6, -12, -26, -21, 46, -18, -59, -30, 39, 51, 23, 31, 38, 55, 41, 39, 2, 70, -51, 51, 5, 44, 48, 12, -51, -4, 45, 24, 6, 13, 0, -17, 24, 42, -28, 22, -2, 12, 40, -37, 52, -54, -33, 54, 11, 53, -64, 3, 56, -36, 60, -27, 48, 61, -24, -1, 2, -37, 7, -56, -21, -76, 39, 10, 16, -28, -10, 4, 61, -64, 53, 21, -1, 53, 22, -67, -15, 45, -59, 13, 14, 38, 32, -20, 30, -31, 39, 28, -28, 49, 18, 24, -24, -29, 4, -28, 8, 16, -60, 39, 0, -15, 29, 56, 8, 48, -52, 1, -55, 53, 35, -28, -66, 42, 19, -32, -18, -39, -54, 6, -22, -46, -35, 3, -20, 51, -13, -36, -64, 70, 5, -13, 42, 55, 8, 11, -11, -22, 32, -28, -30, -33, -17, 59, 36, 66, 4, -3, 18, 0, -57, -76, 11, -48, -39, 67, 6, 2, -36, -10, 39, -67, -33, -63, 40, 17, 45, 15, 6, 39, -54, 49, 2, 48, 25, 44, -25, 47, -60, -27, 30, 61, -17, 3, -22, 50, -32, -26, 55, -3, -40, -23, 0, 31, 14, -14, -56, 62, 48, -38, 55, 53, 54, -23, -3, 39, -42, -10, -37, -53, -64, 31, -40, 2, 6, -25, 25, -36, -58, -14, 9, -17, 1, -48, -37, 57, 22, -50, 0, -26, 5, -42, 3, 29, 13, -8, 14, -31, -25, -31, 0, 27, -2, -39, 36, -55, -47, -22, -43, 12, -1, 24, -1, 26, -31, -26, 19, -35, 61, -5, -25, 33, -18, -9, 27, 28, -59, -59, -42, 25, 34, -82, -62, 40, 35, -24, 21, 41, 90, -44, -24, 29, -29, -50, 48, 52, 47, -57, -2, -23, 9, 25, 24, 2, 57, 19, -13, 42, -7, 33, -12, 16, -53, -60, -53, 44, -40, 27, -50, -46, 57, 48, -14, 38, 6, 23, -50, -25, -45, -32, -9, -5, 44, -42, 57, 43, 11, -59, 33, -9, 3, 2, -59, -40, 18, 52, 40, -65, 31, 54, 12, -60, 1, -38, 6, -65, -43, -39, 24, 35, -47, -57, 42, -5, 39, 35, -42, 30, -6, 35, -40, -61, -23, -66, 27, 17, -66, 48, 46, 29, -43, -2, 18, 13, 22, 0, -47, 44, -51, 11, -69, 31, -18, -58, 40, -12, -4, 36, 50, 16, 12, -2, -6, -32, -55, 50, -4, 32, 38, -16, -44, 60, 50, -53, 22, -4, -34, 23, -2, 31, -1, -5, -34, 44, -46, -42, -32, 22, 58, 60, 18, -47, 27, 29, 31, -17, -17, 29, -53, 18, 42, 29, 49, 8, -4, 41, 55, -43, -13, 34, -48, -56, -26, 41, -21, -63, -2, -20, -10, -33, 60, -40, 48, 58, 55, 21, -61, -66, -3, -14, -28, 55, -40, 55, 19, 3, 53, -8, -3, 30, -36, 54, 5, 8, -7, 51, -50, -46, -10, -22, 39, -25, 9, -51, 38, 22, 18, 64, 7, 60, 14, 32, 0, -2, 49, 30, -26, 20, 29, 61, -41, 14, 65, 31, 73, -31, -2, -32, 32, 23, 6, -39, -4, -56, 10, -51, -4, 20, -34, 41, -18, -45, 10, 27, 7, 36, 39, 51, -36, 53, 28, -1, -7, 30, 13, 21, 62, -1, 40, -52, 39, -57, 62, 10, 24, 41, 5, 30, 24, 2, 31, 9, -28, 15, -26, 18, -46, -1, -48, 6, 4, -20, 55, 52, 12, 53, 0, 21, 8, -28, -22, 40, -78, 68, -7, 24, 38, -21, 21, -2, 92, -15, 64, -2, 45, 40, 4, -6, 36, -5, -59, 46, -39, 48, -32, 3, 0, 39, 1, -40, -8, 61, 57, 10, -56, -26, 55, 26, -19, -10, 45, 56, -57, -62, -22, 35, 63, 18, 17, 8, 25, -44, 58, 70, -52, -66, -16, -25, 39, 38, 48, -13, -41, 42, 47, -49, -56, -10, 57, -40, 13, 53, -13, -30, -29, 12, -53, -6, -35, 50, 33, 46, 0, 1, 31, -11, -29, 17, 17, 11, -10, -59, -28, -55, -20, -21, 6, -25, 22, 32, 61, -5, -26, -36, -55, 18, 11, 53, 15, 39, 28, -54, 26, 13, 24, 18, 12, 53, -23, 36, -29, 56, 31, 4, -16, 52, -25, -9, -17, 29, -44, -52, 41, 26, -49, 44, -42, -63, 47, -22, 24, 8, -23, 45, -40, 53, 30, -78, -22, -21, -80, 5, -59, -2, -38, 0, 86, -17, 40, 28, -38, 18, -40, 52, -34, 9, -12, 10, -39, 1, -13, -62, -48, 53, -47, 30, 6, 21, 9, -18, 28, -95, -35, 78, 3, -37, 44, 74, 25, 49, -30, 8, 23, -49, -6, 49, 53, 30, -51, -16, 24, -39, 58, -16, -62, 88, -50, -22, -32, -6, 12, -50, -28, 65, -56, 30, -31, 58, 47, 29, 25, -43, -28, -23, -62, -71, -30, -8, 45, -61, -76, -19, 8, -1, 7, -47, -45, -26, 17, -23, 55, 0, -14, -9, 26, -42, -12, -41, -51, -10, -39, 10, 8, 34, 23, -4, -43, 51, 58, 13, -8, 8, 33, -10, -10, -42, 7, 42, 48, -11, -35, -28, -67, 6, 36, -4, -47, -20, -29, -13, 46, 20, 46, -36, 60, 46, -61, -33, 0, 13, -13, 27, -60, 1, -1, 37, -4, -49, -22, -10, -37, 40, 49, 23, -18, 43, 8, 54, -84, 24, 23, -81, 20, -74, -16, 0, -30, -57, 15, -23, -24, 15, -26, -26, -24, 17, -20, 38, -35, -55, 46, -45, -51, -59, 56, 22, -50, 38, -14, 51, -75, -26, 28, 22, -56, 42, 94, 21, 22, 6, 22, -20, -56, 37, 58, 9, 27, 37, 36, 56, 24, 16, -7, -28, 10, -1, 20, -18, -48, 12, -24, 57, -3, 9, 60, -63, 12, 43, -13, 9, -28, 57, -61, 41, -22, -62, 8, 0, -21, -7, 61, -19, -33, 41, 23, 53, -26, 7, -49, -25, -27, 51, 15, -72, -36, 49, -9, 3, -40, -12, -85, -4, 2, 26, 18, -37, -45, -57, 14, -7, -45, 41, 6, -52, 27, -22, -30, -10, -58, 24, -58, -12, 9, -34, -30, -23, -38, 36, 76, -45, -49, 30, 39, 1, 1, 37, -46, 44, 32, 37, -58, 18, -19, 26, 0, 41, -61, 57, 22, -61, 27, -21, 30, -2, 36, 29, -37, 76, -52, -64, 23, -11, 22, 52, 53, -37, -48, -65, 8, 60, -15, -6, -4, -48, -67, -23, 39, -12, 23, 30, 20, -10, -29, -37, -1, 7, 2, -29, -63, -65, -16, 37, 32, 17, 10, -39, -59, 11, -41, 35, -22, 47, 17, -26, -17, -39, 24, 53, 23, -40, -12, -38, -50, -20, -60, -4, -37, 63, -58, -15, -51, 62, 2, 10, 32, 33, -9, -4, -38, -39, -41, -32, 0, 4, 22, 37, -11, -7, 62, 44, 32, 18, 36, -13, -30, 18, -52, -30, 19, 19, -36, 41, -5, 38, 11, -2, 55, 25, -20, -62, -4, 13, 41, -32, 62, 14, 32, -65, 59, 16, -71, -57, -50, -22, 64, 7, 17, -13, 9, 37, 37, -18, 31, 15, -34, -20, -38, 42, -45, 41, -40, -17, 3, -52, -25, -26, -8, -21, 29, 45, -2, 32, 51, 26, -55, 3, 15, -23, 29, 14, -26, 19, 62, -46, 32, 16, 8, 13, 36, -33, -34, -63, 63, -22, -17, 24, -29, 29, -42, 60, 10, -16, 22, 22, 60, 54, 14, 11, 19, -24, -7, -20, 54, -25, 4, -37, -33, -1, -24, -60, 54, 69, -61, -7, -43, -10, 45, -60, 35, 14, 42, 31, 52, -13, 32, -6, 17, -68, 35, -77, -33, -40, -47, -27, -6, 53, 30, -35, -60, 50, -14, 57, 61, -10, 33, 19, -32, -49, -45, 49, 23, 4, -36, -62, 21, -30, -23, -46, -14, -44, -24, -69, -20, -33, -13, 25, 35, 42, -20, -60, -57, -60, -19, 33, 1, -29, -48, -3, 18, -48, -15, -15, 39, 7, -51, 8, -23, -72, 35, 4, 11, -62, 40, 68, 15, -45, 24, -8, -44, -42, 24, -46, -15, 5, 13, -58, 31, -3, 29, -50, -60, -20, -8, 44, 2, 24, 8, -15, 30, -53, -50, -21, -45, -33, -39, 13, -41, 5, 12, -21, -52, -44, 20, -40, -15, 59, -19, 0, 48, -44, -15, 26, 17, -33, 51, 65, -32, 28, 37, 66, 24, -51, -18, 64, -50, 50, 50, 35, 58, 40, -69, 39, 54, 76, 76, 55, 97, 16, -59, -53, 46, -85, 4, -77, -76, 20, 7, 31, -10, 20, 46, 37, -48, -12, 22, -16, 31, -52, -48, 29, 4, -33, -27, 5, 14, 2, -35, 29, 94, 69, 59, 92, -72, 68, 33, -85, -39, -59, -57, -60, 2, 0, -4, 39, -40, -47, -27, 57, -5, 6, -9, 25, 2, 8, 40, 32, -63, -70, 41, -69, -19, -10, -41, 0, -33, -59, -38, 29, -57, -10, 38, -18, 8, 52, -28, -35, -19, -32, 36, 38, -22, -1, 65, 21, -48, -6, -2, 33, -47, -66, -91, -32, -20, -46, 41, 48, 17, 3, -20, -27, 0, -43, 33, 39, 26, 11, 5, 23, 50, -16, -11, -29, -69, -18, 72, -4, -31, 18, -7, -48, -14, 17, -35, -17, 71, -37, -17, -55, 23, 9, 55, 4, 54, -45, -3, -6, 23, 34, -86, -19, -44, -45, 20, -39, 41, 54, 51, 16, 30, 42, -46, 11, 25, -5, 18, -49, -23, -25, 48, -75, -21, 55, 17, -10, 21, -64, -63, 12, -27, -35, -14, -17, 3, -34, 16, -30, -60, -18, -56, -22, -17, 61, 38, 61, -28, 28, -51, -25, -25, -26, 53, 11, -11, -33, -18, 32, 27, 29, -57, 2, 33, 23, -12, 9, 25, 10, -8, 42, -34, 20, -5, -48, 12, 16, -12, -34, -34, -22, 49, 2, -64, 59, -6, -24, 19, -30, 61, -56, 0, -17, -13, 15, -11, 3, -31, -59, 57, -36, 58, 34, -32, 37, -33, 47, 20, 49, -55, 44, -58, -60, 50, 0, 13, -23, 26, 13, -52, -23, -62, 11, -32, 66, 46, 25, -2, -57, 55, 41, 44, 49, 60, 8, -21, 20, -55, 20, 23, 43, 23, -43, 65, -50, -7, -45, 39, 56, -27, 4, 11, 2, 7, -38, 27, -54, -25, 8, -13, 1, 4, -35, -6, -47, 23, -43, 50, 4, -34, 24, -54, -35, 6, 24, -3, -6, -27, 35, 48, 32, -4, 59, 20, -51, -43, 10, 29, 4, -64, 21, -21, 47, 41, -6, 44, 59, 35, 3, -1, -13, 50, 37, -67, 23, -7, -62, -2, -7, 52, -32, -1, -38, 11, -5, 19, 40, -24, 11, 31, 37, 40, 49, 24, 14, 17, -44, 13, 51, 6, 3, -25, -77, 61, 34, 2, 10, -3, -61, 3, 42, -8, -53, 34, 61, 43, -23, -73, 51, -21, 57, 32, 34, -27, -30, 60, 0, -29, 22, 7, 13, 25, 4, 49, -19, 57, 22, -16, -4, 20, -37, -17, 12, -71, -17, 26, 44, 43, 17, -18, -5, 41, -35, -15, 27, -53, -26, -4, -66, 2, -35, -22, -40, -36, -31, -10, 42, -16, -3, 46, 58, 14, -8, 23, 37, -62, 42, 39, 21, -15, 50, -58, 32, -52, 2, -2, -9, 15, -36, 12, -30, -37, 27, -28, 51, 0, -22, 27, 6, 39, -19, 56, -7, 20, -34, -29, 33, -13, 63, 4, 20, -7, -10, -48, -58, 38, -58, 1, 42, 3, 5, 0, 60, -9, -4, 20, -55, -45, -48, 24, -44, -33, -8, 16, 10, -50, 53, 3, -4, 61, 34, 10, -39, -50, 21, -18, 21, -9, -54, -3, -4, -50, 39, -58, 65, -49, -24, 36, -19, -10, 32, 15, -50, 7, -55, 32, 48, -18, 33, -2, 5, -54, -48, -31, 21, 57, -37, -27, 31, 8, 31, 30, 14, -13, -47, 59, 3, 22, 41, 57, -45, 39, 43, 7, 44, 39, 34, -63, -29, 37, -47, -5, -66, 21, 6, 6, 12, 43, -22, 32, -9, 13, -11, 1, 48, -35, -59, -37, 23, 58, -21, 8, 0, -10, -17, 15, -19, -24, 61, -48, -18, 29, -26, -6, 42, 39, -41, -59, -19, 41, -8, 22, 51, 5, 29, 59, -38, 22, -51, -57, -23, -32, 46, -40, 48, -54, 46, 34, 24, -25, 60, 31, 17, -1, 41, -61, 52, -82, -55, 53, 20, -28, 4, -44, 4, 53, -57, -21, 17, -40, -29, 35, -48, -53, -40, -46, -15, 22, 16, 16, 13, -59, -17, 17, -27, -13, 37, -58, -56, -69, -29, 21, -26, 22, -26, -22, 10, -42, -40, -19, 48, -54, -18, 34, -57, -31, -45, 11, -41, -2, -39, -51, -4, -60, -36, 63, -44, -27, -55, -54, -6, 4, -1, 43, 8, 50, 25, -3, 10, -38, -48, 28, -36, 2, 18, -34, 59, -44, 48, 12, 31, 21, -21, 57, 37, -2, 21, -58, 29, -26, 50, -56, -2, 18, 62, 40, -62, -4, 26, -56, -23, 49, 27, -50, 0, -64, -39, -49, -70, 43, -60, 53, -41, 20, -16, 57, 15, 43, -63, -12, 50, 57, 16, -42, 42, -5, 2, -62, -12, -50, 55, 7, 0, -57, 3, -9, -42, -54, -26, -13, 43, -18, 35, -35, 26, 26, 54, 22, -40, -55, 13, 30, -15, -5, 32, 5, 28, -5, -5, -58, 32, 29, 4, -2, -6, 7, 53, 49, 63, -53, 33, 27, -15, 46, 5, 51, -20, 56, 42, 16, 12, -33, 35, -6, 52, 60, 45, 17, 15, 45, 61, 53, -56, -43, 31, 37, 38, -64, 7, 46, -18, -23, -39, -65, -47, -32, 48, 16, 62, 62, -39, -46, -53, -35, -15, 42, -3, -21, -6, -38, 1, 57, -34, -51, -1, -29, 41, 35, 18, 49, 35, -32, 45, -58, -21, -29, -14, -38, 30, -49, 25, -38, -16, -4, -14, 49, -31, -60, -18, 30, -49, -10, -45, -38, 26, 61, -35, -2, -46, -45, -44, 21, 54, -61, 30, 47, -14, -28, 48, 28, -62, 50, 25, 26, -3, -54, 10, 60, -37, -4, 65, -48, -35, 11, -48, 59, -1, -41, -27, 38, 10, 26, -43, 4, 10, 31, 45, 20, 2, -29, -47, -16, -6, -29, 40, -26, -30, -12, -22, 39, -32, -48, 36, -43, -7, -32, -33, 28, -30, -23, -17, 12, 11, -42, 2, -22, 45, 23, 62, 46, -24, 37, 7, 19, 22, 60, -35, -31, -53, 40, 65, 43, 37, -38, -39, -12, 38, -58, -33, 5, 16, -60, -27, 62, 18, 38, 34, -17, -20, -58, -27, 46, -49, 5, 51, -36, 39, 62, -53, -64, 37, 46, -27, 51, -10, -7, -48, -1, 37, 35, 57, 38, -15, -46, 39, 42, 30, 55, 48, -43, -51, -42, -35, -14, -19, 44, 31, -53, -59, 35, -10, 10, 49, -28, -38, -53, -28, -36, -15, 25, 3, -1, 40, -52, 54, 37, -47, -22, -13, 37, 9, 2, -10, 37, -2, 17, -35, 57, 30, 59, -36, 27, -31, 15, -70, -46, 13, 43, -9, -27, -3, 15, -11, 40, 5, 21, 54, -28, -51, -31, 53, 43, -3, -9, 23, 35, 28, -5, 4, 16, -39, 21, -3, -8, 63, -7, -31, -54, -6, 48, -29, -17, 20, 42, 57, -15, -18, 27, 12, -16, 57, -49, 40, -39, -27, -9, 56, -4, 64, 0, -4, 22, -44, 13, 6, -3, 30, 37, -42, 19, -33, -52, 24, 41, 56, -36, 38, 36, -21, 62, -6, 47, -3, -23, -31, -45, 18, -37, -22, -3, 55, -7, 41, 48, 32, -10, 25, 40, 8, -31, -4, -6, -24, 12, 13, -13, -19, -2, 50, -14, -62, -15, 7, -35, 33, -62, 41, -9, -46, 13, 10, 40, -17, -52, 50, -20, 63, -56, -20, -22, -45, 24, -21, 60, 21, 36, 10, -51, 19, 49, -64, 16, -42, -63, 50, 19, -61, 65, -50, 22, 37, -10, 36, -57, -69, 43, 8, -36, 57, 43, 51, 26, 41, -8, 59, 0, 35, -42, -47, 59, 19, 35, 12, 11, -27, -22, 28, -9, -9, -56, 58, 20, 16, 34, 49, 58, 59, 27, 13, -30, 48, -30, -39, 34, -54, -60, 18, 27, 55, 5, -64, 36, -25, -16, -5, -59, 11, 48, -45, -66, -15, 32, -43, 41, 42, -42, -54, 48, 21, -38, -5, 1, -48, 10, -28, -33, -21, -26, -58, 25, 19, -11, 36, 35, 20, -46, 24, -8, -5, 10, 0, 58, -48, 5, 5, 3, -28, -25, -52, 52, -38, -1, 34, 21, 47, -43, 15, -32, 18, -47, -2, -52, 13, -52, -23, -52, 24, 35, 62, 51, 32, -57, 10, 35, -6, -28, 68, 52, 8, 18, -52, -41, 42, -20, 55, 14, 23, -9, -28, 61, 59, -44, 33, 22, 51, -14, -3, 8, -47, -7, 9, 29, -3, -22, 48, -33, -35, 22, -40, 53, 35, -59, 77, -6, -63, 9, 8, -67, 34, 39, 1, -57, -4, -21, -28, -21, -16, 9, -5, 30, -56, 44, -56, -55, -38, -20, -6, 4, 51, 10, 50, -10, 29, -36, 42, 13, 52, 35, -32, -42, 43, 6, 46, -34, 44, 45, -35, 35, -47, 26, -39, -42, 30, 19, -50, 20, 6, -51, -65, 25, -37, 47, -44, 11, -12, -18, -24, -14, -49, 57, 38, -23, 61, -26, 36, 52, -38, 11, -41, -8, 60, -36, 39, 49, -17, 31, 5, -22, 8, 47, -40, 34, 25, -12, 48, -58, -10, 33, -16, 25, 0, 44, -35, -44, -6, -16, -20, -28, -48, 45, 4, 7, 32, -3, -35, -25, -15, -20, 38, -55, -49, 27, -58, -30, 7, 48, -28, 42, -50, -5, -41, 24, -43, 54, 56, -60, 24, 17, 48, 44, 34, 13, -32, 6, 81, 14, 28, 30, -8, -40, -50, -25, 42, -15, -10, -40, 32, -3, 2, -14, -46, -45, -60, -14, -35, -37, -44, 53, 49, -51, 33, 10, 25, -57, 35, 23, 33, -15, -62, -61, 27, -4, 51, -30, -25, -49, 4, 50, 20, -23, -15, -17, -25, 2, -53, -28, -61, -37, 28, 39, -56, -54, -1, 36, 29, 45, -39, 50, -22, 55, -37, -61, 34, -20, -19, -10, -7, 42, 30, -8, -14, 14, -1, -21, 16, 16, 20, -33, -33, -3, 59, 22, 46, -2, -28, 52, -60, 19, 37, -10, 5, 60, 61, 20, 14, 52, 16, 28, -7, 3, -11, 39, -45, 15, 45, -7, 8, -56, 35, -37, -63, -40, -10, 30, 20, 28, 58, 2, 12, 19, -32, -42, 73, 31, -26, -1, 19, 48, -26, -34, 38, -14, 6, -32, -49, -22, 10, 62, 23, 19, 45, -18, 2, -45, 16, -26, -26, -37, 16, 26, 28, 60, -15, 55, -14, 45, 58, -68, -13, 1, 9, -21, 0, -56, -65, -8, -66, 26, 57, -1, 63, -20, -19, -32, -22, -21, -42, -5, 61, -9, -60, 51, -50, -33, -24, 35, -11, -27, 26, -8, -42, -32, -8, -36, -2, 59, -64, 2, 63, -38, 45, 40, 22, -8, -49, 19, -41, 3, -33, -47, -42, 44, -14, 2, 0, 16, -8, 43, -6, -24, -9, 63, -38, -59, 25, -54, 40, -16, -37, -35, -24, -47, 45, -19, -59, -52, 17, 53, -54, -17, 16, -44, 1, -58, -47, 28, 16, 29, -19, -47, -67, -42, -40, -34, 39, 17, -35, -58, 19, -27, -8, 57, 1, 15, -58, -39, -24, -47, 54, -30, 3, -49, -28, -62, 44, 17, 41, -5, 18, 59, 42, -46, 27, -13, -46, -18, -5, -22, 27, 30, -40, -7, 16, -56, -26, 13, 7, -6, 26, 22, -24, 13, -31, 37, -6, 12, 63, -64, 32, 41, -6, -43, -59, 14, -37, -39, -27, 12, 63, 5, 3, -4, -27, -50, 56, 18, -43, -20, 39, 14, 9, 65, -25, 16, -19, -28, 15, -37, 24, 58, -13, -58, 5, -33, -46, -26, -55, 25, -1, -13, 55, 57, -45, -76, 20, 71, -61, -23, 15, 52, 40, -9, -36, -34, 59, -39, -6, 39, -57, -47, -52, -55, 9, 1, 49, -48, -11, 22, -56, 16, 1, -2, -57, 37, 0, 45, -47, -23, -25, -16, 48, -6, -64, -36, -38, -26, 42, 50, 11, 2, 8, -34, -64, -26, 5, 24, -62, -11, 1, 19, 39, -33, -29, -56, 8, -40, -6, -21, 21, 6, 8, -33, -65, 3, 1, -12, -59, -48, 49, 36, 44, -29, -54, 21, -28, 22, -26, 8, -20, 49, -28, -25, -1, 33, -16, -56, 28, 4, 9, 28, 15, -42, -56, -60, -1, -62, 35, -3, 24, -5, 31, -7, -33, -35, 10, 5, 29, 49, 15, 41, 11, 5, 57, -20, 31, 56, -38, -40, -45, -34, -75, -18, 43, 45, -46, 27, -7, -4, 33, -26, 52, -7, -18, 60, 33, -63, 43, 26, 21, 53, 40, -44, -56, 32, -45, -45, -31, -12, -56, 23, 5, -37, 11, -51, 54, -63, 15, -65, -48, 21, 52, 47, -9, -25, -54, -55, 53, -19, -3, 15, 9, -30, -63, -34, 29, 6, -32, 0, 17, -16, 38, -65, -31, -60, -37, -13, -2, -58, -33, -37, -26, -43, 42, -22, -59, -18, -25, -48, -61, -46, 25, 54, 15, 39, -11, 26, 50, -32, 51, -45, -15, 22, 24, 3, -5, 6, 3, -17, 13, 9, -48, 29, 28, -46, 22, -54, 4, 38, -61, 11, -60, -59, 64, -51, 5, 55, -37, 22, -18, 3, 53, 12, -14, -3, -20, 34, 4, 29, 25, -12, 42, 16, -20, -60, -8, -26, -63, -4, -58, 16, 56, -9, 1, -7, -53, -47, 48, 58, 22, -31, -59, 44, 20, 5, 38, 67, -26, -30, -36, 41, 28, 17, 32, 38, 42, 34, -47, 36, 60, 41, 34, -8, 32, -59, -60, -9, -54, 2, 18, -3, 54, -35, -64, 60, -46, 56, 13, -62, 16, -14, 32, -64, 16, -24, 30, -53, 32, -6, 32, 48, 0, -14, -17, 50, -29, 1, 27, -26, -47, -19, -75, 0, 56, 15, -27, 64, 59, -16, -30, 37, 15, -40, -35, 37, 40, 53, -44, -55, -2, -22, 30, -56, 23, -28, -55, -42, -62, 37, -2, 41, 63, -40, -7, -17, 26, -16, -5, -3, -22, 47, 60, 6, 44, 50, -18, 16, 12, 13, 44, 14, -22, -1, 54, -55, -23, 32, -41, -43, -11, -40, -43, -64, 1, 12, 28, 28, -32, 18, -58, -10, -35, 22, -23, 11, -13, 26, -24, 7, -15, -3, -19, -15, -57, -29, -69, 10, -58, -15, -59, -7, -49, 43, -25, -30, -57, 63, -47, -14, -19, 52, 11, -54, 19, 22, -74, -43, 35, 34, 27, -8, 33, -1, 4, -51, 75, -17, -26, 76, 30, -44, 8, 49, -48, 11, -38, -3, -73, 52, 1, -51, -31, -44, -51, 38, -50, -14, 40, -33, -34, -37, 1, 26, -23, -46, 0, 59, -41, 1, 3, -39, 50, 43, 4, -27, 15, 42, 29, 11, 63, 8, -3, 3, 55, 53, -34, 60, -52, -52, -41, -29, 15, -54, -2, 8, -10, -11, 13, 39, -64, -33, 2, 28, 53, -60, -37, 34, 47, -15, 50, 40, 32, -63, 39, 27, -51, 17, -14, 37, -21, -23, 44, 22, 15, 42, 16, -41, 31, 50, -3, -2, -32, -51, -61, 58, 61, 47, 60, 27, -25, 60, 24, 22, 0, -1, -47, 21, 14, -39, -20, -34, 47, 57, 50, 3, -25, -32, 48, -36, -59, 48, -45, -21, 4, -17, -45, 23, -49, -18, 46, -40, 40, 43, -53, 44, -43, 49, -2, -2, -17, -28, -50, 35, -48, 16, 47, -3, 35, -2, -10, -6, 16, 51, 19, -46, -40, -78, 48, 32, -6, 35, 58, 14, 49, 35, -48, 55, -49, 2, 58, 33, 49, -24, 22, 40, 2, -12, -6, -20, 5, -41, 26, 15, -54, 43, 34, -21, 34, 21, -16, 2, -10, 25, -14, -7, -5, -12, 13, 10, -64, 63, 5, 34, 43, 2, 15, 41, 46, -19, 60, -28, -25, -2, 5, 23, -30, 21, 19, 1, 55, -51, -20, 60, -44, -25, -18, 15, 46, -37, -43, -57, 14, -29, 54, 38, 5, -64, 53, 13, -12, 38, -6, -42, -35, 21, 67, 0, 46, 44, -31, 14, -41, -5, -5, 52, 24, -56, 11, -43, -51, -1, -56, 4, -38, -51, 43, -32, -29, 40, -43, 13, 60, -61, -50, 66, 44, 25, -10, 35, 5, 40, 25, -24, 13, 72, -37, 46, -24, 29, -67, -20, 11, -6, 44, 11, -46, 57, -55, -45, -13, 22, 65, -12, 59, 19, 41, -2, 41, -52, -3, -10, 13, -35, -31, -51, -6, -51, -41, 27, -1, -26, 33, -51, 56, 13, -23, 37, 59, -1, -27, 0, -34, -33, -12, -63, 4, 19, 23, -28, 24, -56, -62, -34, -12, -34, -43, -16, 10, 34, -61, 2, -4, -68, -57, -64, -26, 3, -69, 53, -51, 59, -10, -46, -59, -32, -17, 54, -13, 10, -18, 56, -38, -28, 42, -43, -10, 29, 15, 62, -54, 35, -48, 9, 8, -57, -52, -22, 60, 36, 49, -19, 48, 52, 19, -18, -64, -20, -30, -2, 47, 60, -36, 62, -40, -21, -44, -42, -40, -5, 19, -50, -60, 23, 30, -32, 6, -27, 5, -2, 11, 38, -56, 30, 14, -41, -40, 57, -43, -40, 55, -6, 20, -24, 4, -18, -39, 6, -52, 57, 36, 54, 30, -26, -14, -24, 2, 21, 39, 3, -23, 34, -9, 30, 12, 29, 26, 0, -6, 47, -41, -4, 18, 28, 19, -17, -49, -57, -90, -45, 9, -33, -5, 35, -58, 42, 41, -31, 29, -65, -49, -1, 71, 44, -7, 58, -19, -28, 11, 39, -58, -18, 60, -52, -69, -16, 7, 52, -18, -27, 20, 64, -41, 45, 31, 58, -17, 51, -45, -31, -36, -18, 13, 10, -54, -3, 26, -6, 53, -46, -36, 52, 34, 11, -32, 19, 33, -18, -11, -1, -1, 19, -33, 22, -31, -26, -43, 3, 59, 32, 42, 43, -1, -64, 15, 34, -37, -16, 39, 15, -13, -18, 14, -27, 28, 18, -32, -8, 60, -52, 2, 61, 38, 20, 45, -57, -20, 42, -58, 17, 25, -55, -16, 21, 2, -17, -34, -32, 2, 3, -3, 23, -60, -57, 48, -1, 35, -9, -49, 24, -44, -42, -18, -38, 44, -55, -24, -13, 37, -56, 7, -44, 25, 1, -17, -56, 10, 43, -25, 52, -27, 5, 50, 45, 17, 3, -27, 61, -8, -41, -6, 1, 24, -39, 31, -60, 39, 25, -36, -28, -64, 47, 32, 41, 3, -34, 17, 17, 51, 12, -55, 38, 42, -11, -30, 44, -2, -62, 41, 54, -9, -10, 57, 32, 39, 27, -28, -64, 8, -11, 68, -4, 2, -2, -31, -20, 8, 36, -6, 60, 10, 29, 46, -49, -5, 12, 38, -7, 9, -56, 16, -11, -9, -47, -14, -20, 49, -12, 45, -31, -8, 62, -4, 21, 7, 1, 61, -6, -50, 45, 11, -70, -39, 9, -47, -48, 50, 38, 6, -2, -25, 47, 38, 9, -9, 10, 44, -13, -3, -49, -10, -52, -19, -8, 0, -39, -17, 54, 14, 15, -53, -10, 63, 29, 39, -10, -44, -12, 37, 51, 10, -57, 22, 25, 28, 58, 25, -34, -49, 20, 26, 37, -17, -21, -56, 37, -2, -38, -58, 8, -15, -38, 47, -36, 35, -48, -29, -20, 40, 3, 27, 2, -36, -45, -22, 20, 49, 28, 69, 36, -53, 25, 35, 26, 44, -39, -47, -42, 47, 42, 21, 17, -47, 43, 24, -50, 29, -2, 45, -19, -37, 33, -57, 30, -51, -61, 20, 42, -47, -49, -47, 11, 42, -48, -42, -10, -14, 19, 22, 60, -8, 29, -46, 60, 27, -10, -8, -20, -49, 33, -4, 58, 8, 33, 28, -36, -11, 59, 39, -47, 59, 9, -62, -8, 49, 18, -9, -40, 50, -41, -38, 13, -12, 59, -55, 40, 35, -28, -33, -40, -38, -23, 12, -46, -15, 22, 51, -30, 35, 33, 28, 4, -47, -25, -29, 8, -59, 0, 49, 43, 51, -34, -46, -51, -33, -19, -61, -25, -30, 9, -69, -11, 35, 27, 38, -28, -59, -34, -18, -9, -11, 39, -58, -34, 26, 7, 28, 32, 46, -38, 13, 41, -20, -55, -27, 3, 2, 16, 59, -53, 48, -81, -27, -40, -44, 6, 10, 34, -24, -56, 19, -39, 43, -35, 16, 40, 2, 45, -14, -2, 68, 55, -48, 43, 51, 55, -43, 15, 5, 1, -47, 43, -15, 16, -9, 11, -12, 49, -50, 38, -35, -35, -9, -5, 41, 48, -28, -64, 44, 13, 1, -30, 29, -12, -32, 43, -36, 26, 33, -54, -32, 60, 55, -52, -35, -53, 32, 39, -40, -17, -44, 13, 11, -5, -16, -48, -13, 28, 13, -5, 2, 6, -23, 25, -45, 23, 22, 48, 29, -31, 46, -37, -36, -9, 12, 20, 8, -45, 41, 15, 8, -8, -19, 33, -2, 8, 5, 50, 15, -40, -52, -39, -64, -31, -29, 29, 54, -57, 19, 38, -29, 56, 49, 21, -44, 3, -5, 35, -54, 44, 27, -49, -22, 60, -30, 45, 6, -13, 17, 12, 23, -49, 52, 10, -23, -39, 12, -62, 12, -30, 14, -40, -26, 40, -58, -34, 56, 40, 20, 5, -58, -43, 36, 49, 19, 16, 27, -31, 2, 30, -54, 53, -44, 16, -38, 6, 16, 33, -71, 18, -49, 43, -1, 64, -25, -35, 14, -20, 54, 52, -1, -61, -14, 57, -56, -12, 54, 30, 51, -2, 41, -44, 0, 65, -33, -34, 48, 73, 23, 34, 5, -15, 52, -29, 14, -6, -7, 53, -39, -3, -57, 60, -29, 30, 23, -73, 21, 42, 15, -12, 40, -62, -61, -46, -30, -12, 20, -40, -23, 50, -2, 48, 37, -20, -56, 12, 14, 12, -64, -3, 57, 55, -64, 11, -14, 26, 6, -7, -19, -20, 3, -21, -68, -17, 69, 33, -1, 44, 32, -4, 2, -70, 58, 29, -24, -7, 27, 16, 0, 48, -22, -60, -22, 51, 4, -59, -20, -1, -55, 37, -49, 21, -64, 41, -35, -13, -15, 35, -55, 22, -21, 53, -50, 8, 46, 40, -26, -26, -70, 5, 36, -63, -56, 16, 32, -63, 13, 22, 12, 20, 61, 67, -13, 42, 28, -15, -25, -42, 9, -57, -48, 48, 14, 42, -43, -42, 49, -52, -34, -7, -2, -24, -11, 47, -62, -47, -30, 46, 46, -20, 55, -51, -35, -5, -57, -44, 24, -57, 38, -29, 16, -38, -19, 2, -3, 26, -32, 2, 24, -8, -41, 42, 31, 5, 0, 50, 38, 15, -45, 10, -45, -40, 55, 12, -25, -6, 53, -12, -14, 18, 27, 20, 29, -69, 45, 43, 31, -27, 65, -34, 7, 10, 37, -45, -23, -58, -45, 67, 31, -32, 58, 16, 3, 12, 61, 6, 13, 75, 53, -61, 12, 20, 36, -6, 28, 53, -4, -41, -5, -38, -22, 5, 106, -28, 39, 4, 19, -27, -1, -29, 39, 8, 39, 9, -47, 30, -38, 21, -2, -61, -28, 36, -15, 7, 20, 44, 43, -22, 42, 66, -44, -47, -45, -59, -32, 24, -51, 45, -29, 48, -27, 0, -68, 8, -30, -3, -9, -15, -25, -22, -16, -19, -24, 56, -10, -54, 4, -65, -35, -8, 16, -58, -28, -45, 9, -50, -48, 3, 1, 40, -54, 54, -50, 48, -13, -42, 4, 11, 22, 34, -40, -42, 51, -39, -18, 34, 53, -28, -30, -17, -20, 1, -39, -69, -37, 46, -10, 58, 29, 10, 28, 49, 29, -12, -34, -13, -9, 44, -70, 26, 74, 39, 41, 87, 33, 59, 36, 0, -25, 54, 10, -52, -11, 45, -31, 19, 28, -29, -31, -12, -25, 53, 22, -26, -27, -59, -33, 63, 60, -41, 7, 69, -9, -38, 37, 42, -31, 32, 27, 2, -9, -64, -53, -47, -32, 48, 51, -40, 25, 37, -59, 31, 51, 13, 67, -37, -20, 83, 15, 28, 59, -20, 25, 2, 35, 16, -21, 1, -57, -80, -28, -71, -7, -56, 27, -16, -20, -41, -58, 16, 48, -19, 32, 48, -28, -40, -52, -19, 44, -13, -46, 25, -51, 61, 7, -58, -57, -1, -49, 55, 62, 63, -23, -29, -85, -33, 8, 11, 17, -69, 31, 61, -44, 19, -56, 59, 45, -11, 63, 59, 79, -8, 11, 13, 5, -50, 18, -2, 15, 4, 18, 37, -24, -59, 30, 46, 41, 51, 30, -3, -10, -7, 34, 51, 25, 25, -16, 6, 5, -34, -36, -45, 66, -18, 14, 39, -7, 7, 40, 20, 8, 11, 83, 10, 6, -2, 15, 37, -11, 21, -65, 41, 64, -55, -24, -14, 25, -5, -31, 60, 31, 33, 20, 32, -24, -47, 35, -5, -40, 35, 76, -51, 44, -31, 54, 29, -54, 25, 32, -32, 43, -26, 3, -11, 1, -45, -31, 10, -27, -24, -31, 33, -7, 6, 28, -36, 59, 48, 28, 30, 4, 9, -2, -70, -47, -13, -83, 67, -30, -37, 64, -37, 15, 37, -37, -31, 37, -27, 26, 33, -80, -22, 0, -8, 18, -9, 2, -48, 31, 25, -21, 31, -31, 37, -27, 15, 51, 62, 57, 20, -8, 16, 55, -69, -34, 40, -59, -55, -16, -37, 26, 49, -63, -35, 6, 8, -44, 2, -5, -13, -40, -22, -27, 13, 12, -51, -9, -24, -20, 16, 8, -73, 31, -8, 39, -5, 15, -43, 26, 48, 45, -13, -54, 13, -64, -56, -65, -84, 48, -2, -53, -52, 47, -7, 41, 1, -72, 49, -2, 57, 48, -44, 47, 52, 40, 56, 50, 34, 78, 36, -34, 31, -79, 34, -18, -47, -73, 34, -14, 34, 17, 6, 72, -10, 5, -30, -46, -11, -80, 3, -48, -64, 0, -48, -6, -32, -51, -6, 57, -60, 16, -33, -44, 10, -44, -58, -18, 21, -62, -32, -7, 15, -3, -19, 48, -64, -23, -8, -34, 36, -4, 54, -60, -17, 22, -16, -34, -62, 33, 28, -3, 52, 37, -4, 53, -77, -9, -76, -4, -35, 12, 47, 56, -69, -22, -46, 39, -61, 53, -25, -48, 39, 7, 21, 45, -27, -61, 33, 64, -25, -39, -11, 27, -63, 38, -12, 32, 30, 11, -39, 61, 39, 7, 9, -33, -35, 59, 34, -50, -6, -8, -43, -34, -4, -56, -19, -5, -9, 50, -54, -44, 64, 35, -7, -45, -61, -47, 30, 30, 0, 16, -50, 13, 54, 2, -50, 44, 11, -8, -32, -2, 17, -45, 41, -33, -8, -22, 16, 26, -44, -2, 59, 7, -61, -32, 30, -47, 25, -54, 41, -48, 44, -7, -38, 44, 9, 22, 55, 58, -55, 2, 3, -9, -5, -24, 12, -57, -19, -45, 19, 65, -49, 52, 33, 49, -34, 14, -28, -6, -14, 32, -34, -10, 25, 8, -34, 17, 84, -38, -54, 47, 46, -1, -9, -7, -49, -64, 0, 56, -8, -53, -16, -24, 40, 44, -7, -55, 50, -3, -55, 13, -11, 57, 18, 43, 38, 45, -4, -59, 19, -3, 31, -53, 59, 16, -8, -57, 46, -24, 19, -57, 33, -77, -86, -72, 20, -27, 0, -21, -48, 56, 50, 65, 4, 40, 48, 23, -11, -9, -55, 59, -35, 36, 12, 41, 38, -55, 63, -13, 62, -34, -9, 31, 0, 10, -13, 21, -38, -21, -60, 23, -28, -9, -2, 61, -32, -39, 59, -32, -50, -54, -62, 62, -27, 51, -51, -13, -16, -22, 23, -50, -14, -58, 62, 20, 56, 54, 86, 47, -63, 42, 53, -27, -78, -16, -13, -55, 42, -36, -95, 12, -36, -27, 39, 43, 57, -37, 51, 11, -50, -15, 1, 19, -11, -27, 20, -58, 9, -46, -54, 28, -64, -88, 22, -52, 20, -14, -4, -22, 23, -18, -44, -10, -43, 47, -13, 21, 26, -55, 52, -60, -36, -24, -54, -13, -16, -46, -40, -63, -27, 11, 55, 33, 13, -74, -25, -65, -10, -65, -47, -4, -17, -58, -13, 21, 5, 54, 40, 62, 23, 36, -31, 14, -40, 2, 29, 6, 14, 58, -8, -87, 47, 23, 1, -51, -40, -15, -55, 46, 39, -42, -61, -31, -55, -49, -25, -31, 10, 8, 31, -49, 47, -13, -59, 40, 1, -6, -7, -66, 5, 47, -28, -44, -38, 17, 26, 8, -46, -61, -45, -60, 8, -9, 43, 16, -34, -31, 0, 51, -63, -34, 37, 45, 17, -42, 59, 8, -18, 72, -56, 16, 27, -15, 50, -25, 37, -19, 25, 9, -20, -50, 10, 34, -25, 2, -65, -12, -9, -43, 62, 34, 44, -49, -6, 39, -74, -67, -53, -24, -7, -10, -46, 15, 17, -54, -51, 39, -52, -1, -43, 51, -10, -22, -60, -81, 27, -38, -39, -29, -18, 18, 57, -71, 16, 32, -57, 31, 62, -30, 12, 15, -40, -55, -52, -6, -52, 48, -10, 7, 53, -60, -64, -39, -60, 17, 4, -5, 38, 64, 26, 31, -34, 0, -16, 0, -1, -14, -11, -25, 2, -38, -66, 61, -15, 27, 23, -6, 49, -18, -46, -47, -36, 40, -41, -10, -27, -7, 41, 4, -47, -48, -29, 29, -5, -5, -9, -63, -49, -13, 49, 25, 28, 24, -57, -10, 12, 34, -35, -29, 32, 6, 26, -38, -39, 43, 19, -5, -42, 37, -12, 22, 18, 5, -39, -65, -45, -25, -1, -47, -53, 61, 63, 42, -61, 52, 27, -58, 68, -43, 43, 58, -34, 8, -5, -54, -24, -37, -58, -46, -31, -53, 9, -31, -36, 54, -46, -13, -46, -63, -41, 30, -42, -51, 4, -6, -25, 66, -26, -18, 35, -60, 66, -28, 23, -56, -36, 19, 28, 62, -50, 6, -33, -37, -25, -31, -21, 63, -62, 41, -42, 16, -4, -12, -16, -33, -21, -34, -62, 0, -12, -24, 44, -13, 28, -2, 35, -26, -2, 1, 38, 11, 14, -36, 38, -55, -68, -64, -46, 13, 57, 19, 10, -18, 17, -2, -45, -8, 21, -15, 31, 31, 12, -18, -32, -65, -13, -21, -22, -76, -60, 22, -68, -36, 26, 32, 62, 28, 37, -11, -44, 56, -53, 12, 14, -60, 44, -54, 36, -56, -49, -2, -12, -24, -13, 5, 23, -61, 40, -52, 31, 35, 3, -8, -46, -1, 23, -41, -46, -20, 33, 7, -32, 0, 62, -64, -13, 59, 54, 6, -39, -46, -25, -44, -3, -25, 58, -58, 24, -31, -45, -22, -1, -31, -39, 7, 37, -46, -40, -36, 36, 20, -45, -26, 59, -33, 24, -19, 38, 30, 31, -42, -24, -42, -32, -21, 23, -41, 4, 19, 43, -21, 59, 61, -6, 1, 50, 42, 30, 16, 48, 40, 17, -72, 63, -30, -45, -36, -49, -1, 62, 15, -40, 7, -22, 61, 29, -34, 17, 22, 6, -10, 16, -63, -18, -64, -11, -13, 29, -20, 6, -43, -61, -7, -60, -4, 27, 2, -26, -59, 2, 61, 18, -4, 8, -40, 43, 4, 37, 18, -3, 19, -24, -34, -42, -13, 59, 45, -20, 21, -17, 20, 0, 27, -37, -75, 9, 55, -27, 81, -12, 28, 69, 37, 10, 19, 35, -12, 55, -20, 35, 9, 49, 19, 8, -25, 59, 10, 17, -23, 35, -27, 33, -56, 47, -2, 27, -15, 9, -44, -48, -13, 38, -8, -13, -61, -18, 24, -22, 62, -81, 9, -20, -45, 5, 45, -8, 55, -25, -36, -22, -7, -56, -31, 40, -24, -45, -45, 6, 8, -10, 26, -35, 52, -11, -50, -41, -60, 22, 38, -37, 66, 47, 12, -15, 62, -7, 4, -9, -77, -50, 7, -47, 61, -19, 9, 2, 15, -56, -100, -4, -74, -40, -62, -18, -1, 45, 12, -59, 14, 14, 42, 37, 66, -20, -27, -35, 9, -27, 11, -11, 51, -61, -2, 19, 36, -30, -69, -49, 7, -22, 2, 46, 4, -17, -48, 12, 19, 17, -62, -25, -9, 31, -54, -30, 24, -7, 31, -14, -64, 27, -30, -34, -58, -6, 41, 28, 53, -8, -67, 6, 37, -43, 26, 17, -10, 39, 28, 52, 44, 28, -31, -29, -28, -32, -44, -9, -32, 15, 4, -35, -17, 3, 32, -4, -40, -80, -28, -12, -50, 18, -8, -32, 5, 11, 1, -60, -25, -48, 14, 7, -6, 48, -77, 4, 26, 31, 24, -30, -61, 22, -36, 41, -18, -28, 51, 42, 40, 39, -56, 51, -17, -17, 46, -24, 0, 54, 30, 47, 48, 13, -65, 38, 34, -66, -50, 34, 50, -34, -5, -87, 6, 53, -41, 29, 47, 14, -56, -6, -53, -50, 54, 40, -32, -49, -61, -11, 59, 49, 35, -39, 4, -19, 35, 5, -24, 33, -64, -58, 21, -36, -54, -61, 52, 43, -25, 45, -69, -81, -16, 47, -74, 0, 21, 28, 3, 30, -63, -56, 17, -24, -11, 80, 32, 0, 18, -57, -27, 40, -3, -41, 3, 46, -5, -12, 19, -15, 7, 19, -56, 10, 7, 31, 38, -54, -49, 9, 9, 44, -56, -22, 42, -38, -61, -4, 23, 60, -12, -11, 54, 1, -52, -9, 74, 1, 80, -58, -50, -23, -14, -15, 29, -7, -19, -39, 29, 57, -85, -58, -26, 4, -15, 47, 4, 55, 60, -21, 42, 60, 16, 33, -13, -17, -16, 32, -47, 34, 29, -13, -53, 63, 46, -61, -37, 8, 1, 53, -25, 37, -18, 52, 60, 0, -49, -27, 28, -49, -59, 59, -24, 25, -19, 33, 28, -8, -47, -43, -32, 35, -35, 26, 47, 4, 3, -21, 12, -13, 22, 20, 3, 61, 39, 25, 48, -33, -35, -73, 33, 7, -15, 12, 33, 62, -41, -7, 30, -15, -31, -56, -52, -50, 32, -61, 40, 16, -18, 41, 22, 12, 44, -22, 89, 24, 19, 72, 35, 72, -43, 28, 11, 57, -19, -41, 15, 12, -56, 58, 60, 8, 23, -24, -39, 17, -50, -43, -12, -12, 32, -24, -62, 2, 44, 3, -49, -53, -39, -16, 53, 41, 31, -44, -51, -33, -53, -22, 39, 66, 61, 50, -39, -6, 31, -6, -49, 13, -34, -20, -1, 51, -39, -9, -24, -2, -61, -34, 18, 21, 38, -58, 53, 25, -35, -1, -40, 22, -24, 1, 15, 52, -24, -3, -54, 55, 44, -63, 12, -3, -50, -20, -8, -17, 54, 7, 42, 61, -43, 77, 32, -58, 57, 5, 59, -28, 27, -58, 63, -23, -32, 73, -19, 18, -38, 25, -37, -25, 76, 36, -42, 30, -11, 23, -25, -57, 44, -14, -25, -31, -38, -22, 21, 22, -8, -35, 26, -59, 13, -20, -65, -57, -22, -21, -73, -14, 37, 1, -38, -40, -17, 78, 20, 23, -19, -31, 13, -69, -20, 27, -40, -1, 27, 35, 5, 16, -12, -39, 36, -30, 59, 34, 24, 36, 34, 27, 6, -60, 29, -35, -22, 59, -22, 17, -29, -15, 34, 47, -28, -37, -9, -51, -29, -49, 8, 13, -4, -49, 33, -15, 13, -54, -7, 65, -10, -63, -6, -62, -47, -32, -4, -56, -27, 44, -40, 22, 37, 61, -52, -57, -12, 24, 34, -37, -18, -47, 62, 9, 10, 46, 70, -53, -58, 22, -48, -47, 42, -59, 22, 12, -12, 39, -21, -12, -58, -16, -38, -6, -9, -57, 7, -45, 20, -39, -24, 41, -49, 60, -9, -13, -37, 16, -1, 28, -27, -46, -22, 12, 54, -51, 20, 55, 10, 61, -27, 40, -56, -36, -7, -52, 8, -23, 18, -17, -14, -13, 46, -2, -26, 59, -45, -76, -12, -71, -29, -63, -17, 1, -18, -58, -64, -7, -36, 33, 10, 30, -21, 45, -64, 49, 3, -20, -34, 1, 10, 19, -47, 52, -26, 33, -44, 11, 2, 81, -32, 0, 16, 10, 54, 45, 11, 51, 30, 18, -19, 59, 4, 54, 33, 12, -56, -45, 61, 4, 4, -10, -87, -33, -83, -46, -40, -16, -33, 21, 55, 24, 2, 47, 3, 11, 22, -16, 35, -21, -31, -40, 36, 13, 27, -26, 26, 21, 42, 46, 10, -46, 33, 43, 25, -30, 13, 47, 29, 44, -15, -34, 10, 26, -17, -59, -62, 6, 58, -12, 26, 52, 50, -47, 6, -1, 17, -5, 39, 16, 26, 62, 13, 28, -34, -33, 11, -24, -12, 30, 30, 12, -36, 21, 8, 39, -39, 60, 40, -7, 55, -60, -27, 41, 12, 24, 51, 18, 55, -16, -24, 57, -62, -57, -65, 40, 17, -29, 27, 18, 23, -6, -17, -54, 9, 16, -14, 14, 73, -26, -38, 44, 44, -39, 23, 34, -13, -2, -2, -48, -20, 17, -2, -76, 7, 42, 13, 29, -22, 8, -26, -22, 9, -55, 59, 63, 24, -68, -13, -21, 9, 53, -39, 21, -63, 7, 19, -5, 8, -29, -53, -28, 54, -5, -53, 42, -21, -5, 32, 39, 25, -57, 2, 23, 36, -50, -27, 24, -1, 9, -15, -27, -28, -48, 32, 15, -20, 63, -61, -7, -61, 19, 14, 37, -26, 47, -55, -60, 19, 33, -60, -62, -22, -1, 14, -2, 26, -63, 1, -57, 11, 11, -64, 42, 2, 63, 37, 46, -32, 21, 59, 15, 50, 31, 20, -13, -60, 19, -18, -14, 5, -59, -30, -51, 29, -60, -39, 24, -9, -13, -63, 35, -14, -4, -32, 19, 21, -7, 21, -61, 7, -30, -21, 58, 60, 33, -51, 35, 17, 0, -63, 19, 33, 55, 11, 41, -25, -53, 31, -40, 35, -50, 9, 8, -58, -14, 18, 7, 7, -18, -42, 27, -37, 24, 25, -45, 45, -23, 28, 56, -29, -39, 46, 56, -44, 31, -37, -38, 37, -10, -22, -22, 6, 40, -24, 0, -44, 5, -12, -38, -19, -56, 3, 39, 14, 43, 36, -12, -53, 11, -55, 44, -40, -37, -19, -36, 55, 57, -57, -29, -13, 22, -1, -8, 23, 26, -49, -34, -52, 21, -7, -24, -32, -12, 51, -14, -50, 41, 26, -56, -17, 0, -29, 20, 19, -54, -59, 32, -34, 4, -59, -26, 38, 58, -43, -29, 51, 55, 56, 37, 31, -45, 25, 23, -35, -53, 3, -59, -2, -12, -35, -19, 5, 10, -11, -30, -13, -2, 38, -53, -45, 9, 7, -10, -37, 15, 14, 52, 36, 58, -60, -22, 33, -9, -27, -56, 40, 32, 37, 34, 32, -52, 47, 52, 18, -19, -61, -59, 41, -56, -52, 14, 17, -8, -44, -7, 16, 25, 31, 59, 46, 13, 28, -36, 47, -60, 56, 9, -25, 37, 24, -15, -38, 14, -63, -42, -52, -21, -12, -42, -25, -47, 6, -16, -37, 63, -28, -20, -28, -56, -44, -43, 2, 36, -46, 30, 13, -29, 10, -18, -1, 42, -46, 33, -5, 12, -46, 31, 2, -35, -55, 0, -10, -47, 2, -26, 59, -2, 62, 0, 41, -26, -48, -20, 22, -12, -38, -15, -61, -62, -60, -39, -50, -12, 58, -2, -18, -55, -8, 45, -44, 8, -30, -60, 41, 43, -3, 18, 27, 16, 16, -61, -34, 40, 62, 9, -4, -38, -51, 37, -9, -5, 25, 24, -40, -14, 44, -40, -52, -56, 33, 19, -7, -24, -32, 11, 5, -9, -11, -48, 11, -26, 47, 48, -44, -17, 30, 63, -7, -11, -58, -20, 55, 4, -39, -44, -26, -9, 37, -6, 61, 15, 11, 29, -54, -10, -3, 29, -22, 25, 59, 27, -50, -49, -47, -61, 10, 41, -56, 53, 3, -9, 48, 11, -1, 33, 6, 18, 30, 23, 30, -27, 31, -51, -11, -2, -16, -32, -35, -27, -54, 10, -42, 1, -50, -61, -6, 22, -7, -44, 43, 16, -15, -6, -19, -13, 21, -20, 2, 9, 54, 39, -31, -22, 47, -2, 11, 43, 25, -46, -7, -59, 53, -63, 53, -19, -57, -64, 4, -47, 16, 7, -36, 45, 16, 8, -27, 9, -42, -39, -45, -10, 24, 39, 47, 58, -17, -67, 11, 58, 14, 28, -5, 49, -17, -34, -15, -5, 35, 19, -26, 31, 23, 31, 47, 8, 14, -31, -42, 25, 22, -6, -36, -3, 41, -18, 2, 20, 7, -31, -22, 37, -12, 63, -37, -7, -25, 38, 33, 19, -58, -43, 21, -34, -16, 58, -31, -62, -9, -34, -46, 59, -50, -7, 51, 36, -48, -39, -52, -16, 27, -59, 2, 63, 63, -4, 21, 12, 52, 12, -13, 34, -30, -1, 31, -56, -53, -39, 21, -6, 2, -2, 7, 25, -43, -24, 37, 52, 39, 39, -52, -50, -4, -61, 23, 8, -32, -8, -34, -53, 37, -61, 5, -10, -49, 14, -51, -60, 50, 21, -27, -33, 54, -56, -3, -16, 1, -17, 43, -7, -20, 15, -45, 61, 51, -8, -45, 26, -46, -22, 43, 44, 17, 20, -61, 9, -40, -40, 6, -58, -17, -51, 20, 15, 58, -41, -46, -41, 39, 42, -58, -23, -55, 15, -11, 34, -47, 48, -6, 21, -31, -60, -35, 13, 9, 58, -51, -49, -53, -63, 37, -12, 5, -32, 49, 13, 15, -61, -3, 55, 54, 8, 12, -44, -61, -15, -33, 54, 29, 35, -3, -55, -43, -10, 57, -48, 8, -62, 32, 23, 20, -44, 50, -50, 48, -8, -64, 53, -58, 2, -47, 45, 62, 63, 36, -58, 0, 6, -15, 20, 31, 43, 25, 41, -15, 5, -26, -33, -55, -47, -52, -59, -30, -28, 33, -36, 8, 7, -64, 18, 1, -45, 19, 19, -13, 43, 38, 27, 15, 26, 54, 61, -31, 17, 13, -52, 1, -63, 39, 61, 59, -15, -26, -21, -49, -60, 37, 35, -46, -11, 31, -43, 15, 26, -10, 10, -24, 27, -46, -3, 56, 29, -44, -51, -50, 53, -36, 16, -60, -58, 18, -38, -10, 4, -24, -63, -52, 29, -24, 50, -61, 46, -27, -23, -60, -50, -23, 54, 30, 34, -55, 25, -11, 3, 53, 29, -46, -18, 6, 23, -62, -60, 32, 40, -50, 23, -35, -22, -50, -7, 38, 40, -60, 59, 27, -13, -65, -56, -18, 8, -55, -36, -44, 2, 22, -24, -45, 30, 28, -33, -56, 53, -6, 58, -28, 60, 62, -5, 0, 46, 17, -17, -29, 9, 9, 23, 7, -12, -37, -63, -49, -62, 32, -33, 9, -38, 25, -14, -1, 51, 53, -60, 1, -61, -42, -13, -59, -60, 42, 43, 24, 43, -45, 29, 36, -58, -55, 31, -59, 45, -45, 44, 38, -26, 16, -48, 12, -54, 32, -36, 21, -19, -60, 12, -28, -10, 37, -27, -58, -18, -10, -17, -5, 4, -49, 59, -10, 48, -58, -42, 35, 57, -36, -34, 38, 38, 52, -12, 25, -55, 43, 40, 4, 16, -42, 21, -30, 43, 47, -56, -36, 6, -2, -48, 36, -13, 36, 62, 44, 28, -32, 49, -35, 38, 16, 46, -48, -13, -61, -39, 33, -40, -55, 41, -44, -58, 45, -9, 23, -23, -11, 8, -37, 28, 63, -49, -12, 30, 24, 62, 4, -21, 0, -15, 40, 32, 34, 31, -42, 10, -50, -60, 54, 60, -9, -38, -45, 48, 23, 9, -45, 60, -39, -36, 12, -45, -64, -6, 26, 23, 32, -11, 22, -41, -62, 26, -22, -8, -41, -59, 0, 0, 60, -21, 14, -12, -53, -42, 40, -4, -37, -14, -7, 6, 24, -1, -61, -13, -3, 52, -12, 16, -42, -62, 50, 10, -42, 4, 30, -15, 32, -54, 55, -42, -63, 5, 4, -23, -43, 55, 17, -62, -30, 13, -5, 31, 20, -64, -20, -44, 20, -37, -24, 27, 1, -26, 39, -53, 12, -5, 27, 55, 12, 54, 47, -14, 30, -2, -39, -53, 36, -14, -43, 5, 23, 43, -25, -19, 15, 38, -24, 39, 8, 9, 56, 40, -22, -49, 47, 55, 57, 14, -14, 14, -46, 63, 41, 40, 44, -52, 59, -28, -30, 45, 2, -3, -57, 57, -59, -33, -20, 32, -1, -9, -57, -5, 18, 13, -31, 7, 50, -20, 31, 29, -23, 8, 22, -26, -11, -49, -65, 30, -18, 25, -6, 6, 57, 18, -57, 43, -10, 50, 33, -33, 51, -57, -29, -59, -59, -7, 4, -63, -32, 19, -65, -14, -12, -54, -35, 48, -3, -11, -27, -31, -21, -34, 18, 32, -37, 35, 54, 6, -39, 39, -3, 15, 53, -45, 59, 57, 40, -5, -27, 31, 16, -15, -26, 27, 40, -45, 4, 35, -40, -53, 40, 52, -49, 40, -44, -52, 18, -49, 7, -47, 11, -4, 20, 39, -5, 67, -54, 34, 32, 50, 14, -39, -16, 63, 19, 61, 7, 2, -64, -5, 3, -9, 3, -42, -30, 17, -3, 3, 44, 9, 22, 8, 58, 7, 12, 10, -7, -49, -30, 20, 24, -40, -19, -34, 17, -39, 56, -28, 21, -17, -38, -32, -64, 20, -8, -58, -4, -45, -4, -58, 63, 37, -13, -1, -22, -70, 46, 24, -1, 54, 13, -39, -2, -62, -39, 32, 0, -63, -5, -32, -18, 29, 20, -59, 2, 7, -36, 24, 34, -41, 54, -56, 62, 3, 60, -21, 15, 57, 53, -41, -42, 35, 60, 10, 59, 46, -29, -52, 43, -31, 11, -34, 12, -6, -21, -50, -39, 11, -22, 22, -51, 45, 11, 37, 24, -19, 43, 11, -53, -42, -47, -43, -53, 61, -19, 25, 14, 58, 48, -54, -27, 38, 4, 17, 25, -40, 49, 21, -10, 34, -57, 12, 16, 58, 34, -27, 25, 48, -41, 0, 6, 27, -33, -53, -23, -36, 29, 26, 6, 40, 27, 9, 55, 42, -66, -39, -69, -2, 33, -53, -18, -42, 8, -58, -15, -63, -62, 27, -27, 45, 59, 55, 6, 42, -59, 38, -26, -34, 7, 9, -4, 1, -48, -30, 24, 34, 3, 0, -63, 13, 46, 16, -41, -29, -14, 29, -62, 29, -8, 36, -13, -11, -65, 42, 13, 23, 53, 26, -24, -23, 7, -27, -14, -17, -21, -34, 20, -56, -8, 9, -25, -26, 18, -36, 28, -65, 16, 11, -24, -61, 15, -9, 44, -23, -1, 19, 55, 5, -57, 51, -50, 7, -24, -52, 66, 49, 59, -12, -32, 32, -15, 18, -36, -6, 12, 41, -50, -10, 19, 63, -29, -42, -21, 43, 15, -26, 13, 26, -1, -40, -32, -56, -23, -21, -48, -51, 52, 17, 9, 0, -43, 22, -3, -17, 63, 31, -34, -29, 67, -60, 55, -41, -46, 34, -9, -38, -20, -63, -19, 34, -47, 29, -44, -14, 13, 47, -65, 32, 2, 25, -33, -29, -15, 48, -54, -71, -15, -14, 50, -68, -59, -20, -52, -59, -38, -20, -48, -25, 7, 23, -5, 7, 62, 3, 10, -39, -68, 35, 25, 7, -13, -34, -30, -24, -45, -55, -56, -45, 54, 20, 22, 29, 2, 4, 4, -28, 1, 40, 20, -40, 52, 44, 27, -19, -9, -44, 13, 5, -60, -22, 39, -56, -63, -26, -70, -2, 57, 10, 42, 46, 16, -22, -60, -27, -27, -32, -48, -31, 3, -30, 36, 28, -29, -24, 10, -13, -21, 60, -42, -27, 46, 2, -38, -65, 33, 31, 13, 43, 58, -42, -62, -12, -24, -26, -59, 59, 14, -23, -4, 9, 23, -17, 18, -41, 39, 31, 31, -43, -57, -30, -56, -7, -45, -44, 49, -38, -17, 11, -44, -62, -48, 5, 52, 45, -42, -29, -71, -24, -4, 56, 15, -5, 45, 32, 48, -64, 16, -27, -7, 19, 31, 51, -22, 20, -45, -36, 35, 33, 10, -10, -12, -18, 18, -3, 3, -48, -50, 13, -24, 34, -20, 63, 60, 12, -57, -13, 57, -66, -20, 27, 9, 25, -4, -2, -42, -13, -28, -53, -62, -37, 59, 63, -11, 23, 44, 49, 8, -10, 19, -36, -6, -13, -7, -29, 35, 39, 10, -52, -39, 8, 40, 43, -17, 55, 35, -53, -29, 44, -55, 23, -24, -64, 4, -36, -35, -48, -23, 56, 45, -39, -15, 30, 46, 22, -8, -49, -7, 24, 5, -8, 56, -5, 13, -24, -10, -27, -46, -11, 61, -44, 63, 33, -21, 59, 0, -52, 40, 12, 2, -47, 59, 44, 51, 6, -65, 16, 21, -23, 56, 4, -43, -58, 56, -29, 21, 27, -2, -62, 28, 58, -58, -39, -33, 14, 19, 44, 11, -24, -54, 31, 62, 45, 32, -20, 8, -6, -48, -23, -51, 58, -30, -2, -2, -61, 35, -20, -8, 6, 37, -21, 20, 64, -1, 14, -33, -8, 34, -19, 5, 17, 50, 18, 36, 19, -14, -9, -34, 20, -29, 5, -59, 35, -35, -42, 35, -29, -2, 48, 62, 50, -38, -34, 53, -36, 31, -27, 18, 47, -33, 19, 27, 16, -21, 22, 39, -14, 18, 55, 13, 63, 3, 36, -4, 34, -63, 49, -43, 16, -46, 45, 47, 56, 35, -62, -2, 38, 3, -28, 14, 28, -29, -11, 50, 33, 7, 34, 27, 1, -48, -11, -8, -5, 39, -39, -2, 38, 29, 29, -15, -5, 29, -45, -28, 23, 33, 25, 7, 26, -54, 49, 10, 48, -7, 21, 8, 63, -42, -4, 53, 39, -6, 5, -64, -54, 47, -1, -40, -16, 65, 48, 57, 0, 62, -34, 27, -32, -11, 20, -19, -20, -39, 13, -32, 45, -39, 63, -55, 45, -60, -3, 15, 58, -11, -10, -25, 9, 28, 42, 20, -11, 55, -28, -2, -28, 36, -50, -6, 18, 7, 38, -39, -8, -29, 33, -17, -46, -7, -58, 44, -36, 37, -29, -45, 45, -60, 57, 57, -6, -61, -18, -12, 32, 57, -5, -13, -48, -6, 18, -3, -31, -57, 12, 24, -17, 2, 46, -15, -58, 26, 38, -55, -37, 28, 23, 49, -44, 0, -60, 12, -41, 28, -31, 6, 33, -35, 30, 34, 49, 17, -44, -31, 47, -1, -59, 48, 7, 16, -43, -18, 10, -56, -45, 15, -46, 41, 23, -7, 2, 51, -53, 40, 57, -24, 38, -33, -41, 5, 51, -54, 27, -56, 18, -44, 28, 44, 16, -66, 37, -66, 57, 3, -63, 31, 57, 30, -54, 37, 33, -16, 32, 17, 21, -18, -8, -72, -22, -23, -38, 23, 61, -29, -33, -56, -21, -38, -15, -50, 56, 56, -6, -18, 51, -42, 25, 5, 19, -47, -2, 4, -38, 25, -12, 0, -3, 20, -15, -44, -51, 21, -24, 35, -19, -20, -53, -29, -6, 49, -6, -46, 16, -14, 59, 61, -54, -41, -6, 56, 40, -41, 37, 3, 46, 16, -12, 41, -45, -18, 27, 50, 55, 52, 14, 49, 22, -3, -42, -7, 6, -4, 42, 47, 17, 59, 38, -22, 8, -57, -36, 8, -28, -10, -21, -52, -10, -28, -52, 36, 55, 40, -31, -49, -52, -9, 52, -7, -59, 35, -52, -17, 31, -21, 37, -53, -51, 42, -28, -66, -16, 20, -40, -27, 55, -62, 39, -9, 33, -10, -12, -33, -24, 54, -49, 32, -38, -21, 10, -27, -5, -39, -32, -56, 0, 28, -5, 20, -47, -62, 46, -25, -34, 13, -25, -40, -48, -56, 14, 32, -44, 16, -36, 48, -3, -63, 12, -51, -25, -13, 11, -59, 30, -50, -41, -42, 49, -65, -46, -9, -1, 52, 5, -5, -63, -11, -15, 10, -59, 22, -58, 25, 47, -55, -28, 37, -47, 24, -37, 30, 1, -6, -32, 58, -22, -16, -2, 2, 23, 34, 43, -38, -44, -34, 43, 59, -18, 28, 10, -13, 19, 44, -48, 29, -32, -54, -26, 15, 34, 62, 51, 54, -56, 31, 4, -55, -42, -39, -10, -52, 6, -13, -56, 46, 38, -27, 35, -56, 7, -58, 26, -53, 57, -16, -50, 24, -61, 14, -43, 14, -8, -39, -52, -26, 20, -10, 3, 25, -58, 36, -6, -18, -36, 21, -60, -51, 38, -57, -42, -17, -6, 41, 61, -55, 56, -38, 16, -22, 34, 60, -69, -66, -31, -29, -63, 53, -4, 53, 35, 5, -32, -58, 48, 32, -46, -43, -29, 26, -66, 1, 9, -10, 38, -51, 51, 0, -39, 29, 2, -54, 28, 1, -5, -19, 46, -46, 64, -43, 43, -47, 51, 23, -20, 28, -46, -62, 8, -54, 59, 46, -52, -47, -16, -54, 55, 12, 17, 5, 10, 8, 13, -31, 9, -33, -31, -26, 4, 31, -11, 3, 39, -8, -47, 11, -55, -17, -2, -7, -40, 46, 34, 48, -62, 32, -2, -20, 64, -4, 40, -48, 38, 30, -29, -42, 64, -58, 11, -24, 45, -32, 33, -35, 12, 48, -42, 33, 5, 13, 10, -44, -60, 13, 50, 9, -32, -20, 39, -41, -44, 28, 38, -11, 2, 43, -22, -18, 8, -46, -7, 11, -37, 4, 47, -44, -39, -44, -16, -31, -16, 11, -46, -57, 27, 58, 9, 31, -37, -47, 64, 37, 54, -43, 66, -27, -4, 27, 23, -3, 0, -11, 53, -3, 17, -40, -22, 18, 0, -80, -40, 62, 12, 10, -17, 100, 21, -18, 37, -25, -27, -10, -26, 27, 15, 35, -19, -78, -70, 23, 55, 16, -67, 38, 52, 27, -35, 68, 64, 25, 9, -59, 60, 3, 34, 8, 2, -51, -27, 53, -25, -41, 52, -35, 35, -17, 51, -39, -23, 31, 78, 48, -43, 3, -14, -33, -6, -45, 12, 31, -28, -10, -15, -23, 2, -39, 19, 0, 54, -22, 11, 49, 24, -50, 9, 15, 19, 12, 40, -27, 27, -10, 21, 25, 20, 17, 30, 5, -43, 10, -61, 1, 24, 15, -29, 37, 13, -28, 76, 26, -24, -46, 63, 29, -44, 28, -31, 32, -21, -28, 32, 31, -53, -32, 54, 37, -60, 45, 26, -25, -5, 6, -40, 50, 23, 3, 12, -66, 39, -6, -21, 20, -45, -46, -3, 2, 45, 2, -43, 2, -43, -39, -12, -3, 45, -15, 84, -24, -53, 30, 45, 18, 54, 18, -13, -51, -48, -49, 40, -11, -50, 2, 53, 31, 48, -5, 13, 21, -63, 39, -27, 13, 25, 1, 11, -43, 27, -25, 14, 7, -14, 29, -52, 16, -36, -46, -81, 2, -13, -59, -76, 2, 41, 16, 9, 50, 35, -17, 19, 54, -73, -33, 14, 14, -29, -64, -29, 9, -34, -4, 23, 26, 53, 37, 55, -33, 69, -8, -65, 25, 1, 24, -8, -31, 20, 59, -39, 23, 15, 40, -1, -19, -17, 56, -60, 58, -9, -34, 37, -23, 38, -58, -37, -38, -19, 56, 56, 59, -11, 39, -61, 52, 14, 35, 1, -35, -50, 28, -56, 8, 59, 58, 32, 35, -10, 34, 0, 63, -16, -37, -20, 6, 15, -4, -51, -41, 53, -5, 62, -48, -60, -39, -22, 54, 9, -18, -20, -61, -15, -56, -24, -4, 22, -51, 2, 19, -18, -19, 53, -47, -47, -16, 18, 9, 40, -29, -11, 24, -45, 38, -46, -10, 40, -37, -28, -31, 26, -1, 3, -17, 25, 64, 18, -38, -10, 10, -14, -61, 51, -46, -45, -34, 37, -17, 49, 28, -62, -63, 30, 47, 1, 57, 58, -6, -39, -44, 16, -11, 75, 8, -18, -50, -68, 24, 41, 58, -5, 21, -20, 0, -3, 62, 36, -60, -9, -16, -41, 27, 25, -48, 23, 10, 37, -19, -56, -23, -16, -16, 30, -16, -54, -21, 37, -29, -22, 47, 30, 80, 45, -24, 55, -33, 14, 18, 18, 53, -7, 20, 42, 56, 60, -63, -30, -60, 24, 16, -13, -30, 19, -57, -1, 46, 57, 0, -33, -25, -56, -22, 30, 32, -3, -30, -10, 33, -2, 57, -47, 27, 44, 48, -14, -15, 36, -7, -42, 22, -2, -61, -30, 68, -20, -21, 50, 32, -16, -27, -21, -52, 15, -11, 1, 32, 0, 82, 17, -30, 64, -61, -25, 56, -54, -41, -4, 20, -10, 50, -43, -46, 64, -4, 27, -19, 22, 20, 3, -49, 0, 51, -55, 12, -52, -26, 4, 52, 11, -21, -38, 0, -29, 58, -46, -62, 34, 10, -74, 5, -70, 28, -47, -63, 13, 48, 29, 9, -3, -63, -37, -30, -56, 48, 18, 40, -23, -34, -7, 55, -29, -2, -64, 49, 11, -42, 6, -37, -14, 63, 43, 5, -40, 61, -57, 23, -9, 29, 2, 4, -41, 29, 42, 45, 60, 35, 34, 42, 26, -16, -17, 20, 61, 39, -16, 55, -45, 62, 52, -7, -50, 38, 25, -19, -59, 22, 39, -23, -20, 21, 65, -50, -25, 40, -11, -54, 1, 46, 32, 5, 21, 17, 23, 9, 3, 58, -37, 13, 25, 2, 1, 51, -54, 31, -20, -27, 10, -60, 16, -55, 21, -11, -37, 51, -32, 68, 22, 17, -2, 55, -14, -6, 8, 29, -45, 50, -55, 25, -23, 12, -18, 0, -14, -32, 3, 45, -30, -25, -57, 18, -51, 53, 28, 45, 31, -55, 14, 3, -22, -56, -3, -26, 47, -28, 55, -28, 12, -23, -19, 64, -12, 70, 38, -11, -17, 33, -35, -54, -44, 48, -15, -11, -22, -43, -49, 25, 65, 58, 1, 56, 37, 44, -29, -33, -33, 29, -22, 12, -2, 30, -42, -51, 32, -5, -49, -25, -46, -33, 17, -48, 7, -44, -2, 23, -8, 50, -21, 56, -18, -30, 10, 48, -20, 20, -74, 39, -73, -51, -33, 61, 0, -13, -31, -8, -47, 56, 50, 15, 46, -48, -29, -16, -2, 12, 21, -25, 1, 48, 51, 47, 12, 0, 9, -36, -48, 49, -1, -7, 34, -63, 32, 37, -44, -26, -5, 6, -28, 8, 54, 61, 41, 42, -9, -21, -16, -10, -43, 26, -3, -18, -60, 36, -31, 54, -12, 35, 57, 35, 51, 64, -17, 37, 54, 16, 53, 16, 21, -64, 13, -61, -29, 18, -63, -85, -2, 47, 9, -42, 15, 0, -21, -79, -14, 8, 32, -1, 41, 22, 49, 11, 5, -46, 59, 60, 21, 45, -65, -21, 32, -14, -46, 39, -55, 21, 47, -29, -29, -13, -31, -5, -57, -45, 32, -53, 28, 44, 44, 47, -7, -4, 58, 22, -38, 56, 35, -55, 45, -27, -44, 53, -26, 3, -11, 54, 62, 49, 48, -59, -43, -37, -51, 0, 8, -35, -58, 58, 6, -52, 12, -59, 2, -48, 44, -20, -60, -12, 51, -32, 35, -31, 24, -65, 5, -22, -35, 8, -16, 35, 37, -23, -48, -54, -66, -4, -12, 18, 26, 28, 42, 34, 48, 2, 2, 30, 1, -72, -43, 38, 17, -49, -42, 15, 40, -82, 15, -46, -9, 11, 9, 53, 13, -47, 47, -22, 15, 1, -3, -59, 44, -21, -3, 1, 2, -56, 7, -27, -15, 53, -26, 34, -28, 18, 44, -19, 28, -24, -52, -24, 30, -5, -18, 39, 50, 30, 12, -42, -25, -56, -21, 10, -47, -54, -4, 44, -44, -53, 43, -50, -53, -7, -21, -29, 54, 60, 19, 3, 16, -42, -42, -46, 60, -1, -53, 39, 34, 1, 20, -25, -6, 59, -53, 16, 4, -8, 16, 21, -12, -30, 28, -27, -5, 57, -48, -38, -47, -15, 5, -18, 33, -14, 23, 29, -40, 17, -58, 36, -13, 4, -52, -27, -3, -72, 47, 25, 42, 28, 1, -39, -34, 40, 30, 0, -31, -35, -66, -50, 32, -27, -56, 48, -59, 13, 28, -51, 36, 3, -43, -57, -24, -8, 33, 44, -48, 49, 35, -9, -21, -14, 34, 44, 67, 33, 10, 31, -57, 47, 34, 40, -17, 88, 24, 46, 8, 26, 46, -42, -4, -48, -27, 34, -24, 38, -50, -71, 8, -10, 40, -66, -47, 15, -6, 36, -11, 40, 41, -16, 74, 41, -33, -29, 46, -9, 61, 68, -19, -49, -29, 28, 17, -19, 56, -56, -22, -8, 15, -83, 5, 11, 8, -18, 27, 27, -6, 31, -29, -29, 1, -3, 21, 39, 40, -13, 32, -31, 47, 23, 50, 24, 58, 50, -19, 18, 50, 34, -37, -62, -14, 22, 20, 34, -34, -45, 43, 24, 49, 32, -6, 64, 21, 6, 23, -36, -18, 36, -28, 40, 66, 11, 63, 9, 59, -11, -46, 17, 26, 9, -24, -14, 39, 36, -7, -86, -70, 20, 1, 7, 43, 41, -25, -59, -57, 27, 41, -12, 39, 26, 44, 68, 30, -12, -1, 15, -46, -2, -19, -50, -12, 35, 43, 72, -57, -22, -42, 15, -25, 52, 24, 54, -37, -2, -52, -37, 15, 29, -7, 15, -56, 50, -23, 19, -40, 30, -13, 47, 13, 35, 42, 18, -63, -51, 52, -20, 22, 3, -38, -41, 44, -53, -4, -38, 9, -7, -13, -59, 15, -29, -16, -29, 43, 59, -32, 48, -28, 11, 57, -6, -53, -35, -7, 35, 17, 67, 35, 22, 74, -15, -35, -6, -13, 66, -85, -30, -53, -41, 51, -65, 9, 68, 24, -17, 47, -68, -75, 2, 15, -48, -24, -6, 18, -1, 37, 25, 58, -58, 49, -35, -53, 37, -64, -48, -24, -54, 65, 58, -11, 1, -58, 21, 15, -32, 0, -9, -49, 11, 13, 23, -56, 84, -17, 12, -52, 77, 55, 49, 28, 43, 14, 31, 53, 40, 68, 30, 17, 37, -2, 29, 19, 41, -70, 67, 54, 22, -43, 57, -11, 2, 24, 21, 46, 49, 39, -57, 33, 29, -28, -3, -34, -35, 49, -48, -66, -62, 25, -45, 21, -31, 53, 53, -36, -62, -48, -35, 56, -52, -3, 52, -67, -7, 51, -1, -49, 64, 28, -35, -40, 56, -4, -34, -32, 19, 34, 49, -63, 1, -26, 32, -45, 58, 24, -32, 25, 31, -60, -60, 40, 4, 52, 50, 37, -60, 7, -43, -33, -51, 30, 17, -28, -12, -7, -34, 35, 20, -46, 5, 35, 34, 30, 36, -51, 53, 45, -35, -7, 41, 26, -17, -62, -57, 47, 32, 7, -37, -47, -53, -9, -42, 5, -28, -51, -45, -35, 30, -32, -24, 1, -35, -9, 49, -12, 50, -16, 54, 21, -33, -46, 1, 42, 3, 21, 59, 7, -1, 40, 1, 10, 43, 60, 15, -17, 32, 26, 11, 64, 41, 38, -45, -22, -29, -29, 49, 3, 14, 66, -5, 25, -32, -24, 53, -1, -36, -39, 29, 29, -47, -24, -5, -9, -35, 34, -48, 43, -30, 29, 23, 45, 7, -44, -19, -30, 63, 29, 11, -51, 2, 30, -58, 44, 52, 27, 64, -24, -65, 41, -50, 46, 43, -9, -38, -8, 13, 25, -16, -35, -16, -47, 50, 1, -37, 45, 2, -51, 26, -49, -52, 31, -21, -30, -3, 47, 53, 30, -27, 61, 52, -19, -62, 29, -38, -50, -43, -3, 47, 72, -9, -49, -62, 48, 29, -6, -23, -62, -58, -47, -49, 9, -15, -61, -22, 28, -66, 38, 24, -66, -67, 6, 29, -14, 60, 43, 36, 10, -29, -56, 2, 37, 28, 6, 30, 67, -22, -8, -1, -61, -5, 54, -40, 12, -13, 10, 30, -57, -29, -15, 38, -3, 54, -55, -1, -2, 55, 51, 53, 23, -62, 24, 57, -50, 32, -26, 4, -51, 15, -11, -49, 45, -35, 1, -19, -14, -47, -35, -59, -81, 10, 19, -66, -2, -4, -41, 39, -23, -9, -9, -56, -41, -8, 15, 65, 42, -68, 23, 45, -40, 18, -24, 22, -70, -4, -63, -41, 8, -85, -23, -25, 12, -4, -32, -45, 54, 3, 23, -11, -21, 12, -25, -35, 2, 33, -15, -5, 17, -13, 45, -29, -53, 46, 2, 61, 42, 6, 15, 64, -10, 49, 17, 24, -39, -53, -35, 26, -5, 13, -6, -27, 14, 63, 47, 34, 49, 11, -43, -40, 5, -14, 21, 36, -58, -46, 52, 24, 53, 63, 6, 58, -16, -6, 31, -47, 23, 39, -16, 45, 3, -59, 14, -11, -21, -34, -9, 13, -22, 65, 28, 57, -59, -20, 52, -48, -41, 61, -39, 7, -30, 39, -54, -20, 59, 16, -41, 56, -7, 27, -41, 25, -59, -14, -15, 59, -4, -30, -6, 31, 23, -57, -50, -42, 48, 29, 52, -23, -47, -83, -68, -42, -11, -1, 4, -39, -55, -4, -50, 65, -31, 26, 15, 8, 48, 59, 69, 56, 45, 56, 62, 42, -39, -53, -20, -41, -26, 22, -21, -23, -32, -40, 0, 27, 14, -15, 29, -33, 36, 18, -3, 12, -4, 62, -36, 9, -60, -15, -25, 14, -36, 45, -91, -17, -32, 26, 32, -62, 41, -66, -37, 36, 64, -23, 36, -44, -8, -51, 67, 4, -53, 41, -12, -20, 1, -42, 2, -22, 49, 20, 19, -24, 26, 5, -6, 63, 27, 28, -40, -49, -50, -73, 40, -70, -39, -48, -16, -27, 5, -44, -4, -7, -24, 4, 30, 48, -49, -65, 38, 62, 2, 52, -39, -7, 48, -65, 30, -24, 49, -28, 26, 51, -2, 47, -12, -47, 18, -11, -25, 41, 27, 39, 27, -44, -2, 54, 58, 3, 92, -29, 32, 13, -40, 6, -23, -10, 49, 11, 38, 26, -23, -49, -62, -36, -49, 62, -56, -43, 64, 21, 50, 22, 2, -20, -17, 61, 21, 51, -10, -13, 2, 0, 4, 37, -72, 1, 8, -6, -6, 12, -27, -56, 34, 68, -7, 41, 26, -39, -52, -2, 55, 14, -65, -50, 49, -18, 43, -28, 1, -36, 8, -35, 53, 26, -7, 25, -24, -3, -64, -17, 22, 3, 48, 9, -33, 6, 51, 21, -46, -9, 37, -49, -48, 34, 0, 52, 42, 30, -56, -8, -21, -14, -19, -7, 22, -3, -62, 25, 9, 26, -53, 54, 33, 53, -22, 59, 53, -22, -72, -25, -31, -48, -30, 32, -57, -50, -40, -39, 38, 23, -4, 17, 53, -40, -25, 28, 33, -53, -39, -37, 51, 36, 53, 6, 58, 53, 50, -12, -2, 14, 8, -28, -12, 11, -33, -65, -40, -61, -42, 20, 16, 36, -22, 23, 53, -58, -55, -33, 4, -61, -42, 27, -69, 26, 26, 41, -5, -58, -32, -58, 30, 33, 45, -62, -26, -20, -24, -52, -37, -51, -40, 13, 36, 46, 60, 53, 53, 57, -19, -23, 63, -14, 52, 64, 60, -69, -1, 31, -41, -16, 47, 6, -30, 38, -59, -52, 28, -2, 45, -20, 59, 10, 47, 18, -9, 13, -20, 33, 25, -58, 11, -10, -2, 23, -33, -4, 25, 39, 13, 29, 22, -47, -33, -63, -15, -29, -47, 62, -51, 42, -13, 49, 52, -38, -39, -7, 49, 37, 11, 57, 18, -53, 54, 41, -25, 29, -10, 38, -66, -4, -69, -47, -21, -12, -46, 10, -21, -63, 53, 2, -29, -13, -31, 19, 3, 11, 12, 23, 45, -42, 40, 39, -48, 30, -52, -64, -35, 31, -47, 49, -21, -24, 53, 0, -15, -56, -10, -66, -33, -12, 28, -62, -29, -22, 2, -43, 42, 5, 63, 37, -49, 29, -10, 64, 39, -20, -30, -1, -59, 11, 55, 52, 60, 17, 31, 56, 15, 30, -59, -12, -67, -12, -14, -5, 1, 19, 3, 38, -49, 38, 50, -45, -36, -7, 49, -43, 22, 52, -2, -60, -50, -19, 5, -10, 39, -11, -14, 28, 52, -57, 56, 42, -13, 67, 6, -28, -63, 50, -10, -17, 37, 30, -21, -9, -35, 22, 21, 28, -6, 39, -7, -6, 1, 13, -52, -57, -52, 28, 44, -44, -6, -60, 43, -19, 34, 40, 63, 7, 46, 61, 2, 12, 5, 31, 39, 39, -54, -5, 53, -18, 31, -9, -2, 17, 18, -28, -18, 16, -1, -31, 59, -17, 9, 1, -42, -8, -20, -15, -66, -60, 59, 8, 24, 37, 57, 59, -22, 16, -61, 17, 12, 11, 50, 13, -56, -64, -45, 16, -56, -72, -49, 46, 37, -63, -53, 56, 49, -47, -32, 34, -13, 28, 38, 23, 8, 32, 38, -7, 21, 28, 42, -44, 4, 1, -27, 42, -32, 27, -33, -21, 14, -16, 20, -11, 16, -25, 57, -51, -2, -8, -10, 62, -36, -52, -19, -19, 28, 63, -34, -22, -38, -14, 54, -6, -56, 56, -49, 30, -35, 21, 6, -62, -33, -10, -22, -66, 27, -29, 6, 3, 30, -2, -28, -19, -63, 55, -60, -29, 5, -6, 49, 60, 6, 22, 54, 47, 10, 10, 20, -5, -34, 28, 59, -44, 15, 47, 23, -23, -70, -39, 20, 37, -40, -43, -41, 46, -34, 6, 10, -50, -45, 52, -42, -10, 59, -13, -12, -50, -11, -38, -49, -60, 43, -54, -22, -3, 15, -47, 26, 12, -7, 13, 14, 22, 25, 2, -38, -17, -63, -49, -52, -43, 16, -7, -39, -19, 60, -47, 63, 4, 40, -44, 19, -24, 28, -26, 61, -39, 5, -33, 41, -16, 33, -16, 36, 53, 31, 55, 23, 27, -57, 39, 28, -55, 49, 10, -29, -36, 1, -19, 52, -61, -29, 23, 56, 10, 64, 62, 58, -52, -13, -45, 8, -29, 59, -42, 42, -42, 63, 51, 56, -60, -41, 15, 6, -52, 48, 14, -36, 40, 32, -39, -63, -13, 47, 42, -29, -10, 47, 50, -44, 39, -14, -14, 3, 56, -50, 2, 42, -32, 22, -45, -43, -33, -7, -43, 1, -52, -37, -60, -54, -47, -41, -30, 27, -56, 7, 40, 21, -49, 11, 46, 47, -19, -5, 39, -40, -49, 40, 32, 22, -14, -19, -41, -66, 25, -41, 23, 12, 4, -22, -37, 48, 4, -39, 44, 72, -49, 46, 20, 1, -62, -25, -55, -43, 30, -36, -1, -26, 38, 59, 49, -49, -57, 0, -32, -2, -25, 48, 51, -63, 30, -60, -36, 18, 57, -36, 57, -14, -1, 32, 27, -52, 28, 60, 36, -33, -58, 34, -43, 47, 55, -31, -3, 3, 16, 1, 33, 47, -52, 42, 40, 49, 19, -36, -2, 4, -57, -52, -23, 47, -4, 33, 44, 28, 17, -52, 58, 28, -61, -11, 23, -20, -18, 61, 24, 11, 56, -58, 52, -16, 48, -27, 33, 25, -68, 24, -65, 44, -42, 5, -12, -14, -41, -45, 9, -27, 22, -22, 64, 54, -22, -31, -22, -2, -37, -46, 32, 44, -55, 2, 62, -34, 49, -15, -38, 15, -34, -48, -40, 52, 46, 50, 1, -52, -2, -44, 24, -41, 33, 33, 17, 32, 7, -46, 5, -7, -30, 12, 4, 54, 36, -34, 8, -20, 63, -42, 28, -46, -16, -41, -33, 38, -27, 10, 3, 21, 4, -72, 49, -11, 51, 37, 13, -33, -30, 42, -61, -56, -54, 9, -38, -2, 51, 61, -15, 60, -1, -37, 47, 0, 17, 9, 40, 6, 17, 14, -22, -40, 22, 19, -60, 29, 62, -50, -52, 30, 30, 26, 2, 8, -27, -9, -24, -1, 43, 45, -56, 19, -11, 35, -46, 5, -57, -26, -10, 41, 29, -18, -31, -17, -2, -27, -41, -42, 26, -35, 49, -34, -24, 29, -5, -6, -9, -35, 55, 43, -61, -54, 38, 5, -57, 65, 29, -66, -53, -64, 46, 53, 60, 31, -64, 33, -41, -13, -53, -65, -7, -42, 33, -36, 22, 10, -10, -30, 10, -45, -14, 27, 7, 21, 20, 57, -10, -21, 12, -60, 25, 31, 20, -32, 13, 48, 7, -12, -44, 45, -57, 21, 48, 59, -36, 37, 10, -22, -11, 11, 14, 10, -22, 1, -40, -39, 19, 55, -42, -33, 36, -7, 22, -56, 4, 6, -29, -13, 14, -34, 52, -15, -37, -19, 57, 18, -22, 45, 51, 34, 57, 57, 38, -25, 47, -22, 37, 59, -48, -41, -17, 22, 7, -61, 18, 48, -18, -58, -44, -41, 43, 52, 55, -40, 54, 20, -58, 12, -28, -31, -10, -32, 43, 20, -42, -31, -9, -18, 8, 17, -20, -8, 29, -23, 0, -21, 23, 44, -32, 15, 34, -39, -43, -56, 59, -45, -28, 39, -20, 44, -10, 59, 44, -38, -24, 5, -19, 47, 34, -43, -25, -18, 43, 37, -11, -48, -63, -65, -55, -23, 13, 19, -27, 14, -54, 25, 5, -56, -30, -36, 35, -18, -55, 1, 2, 38, -42, 54, -44, 24, 17, 40, 23, -24, 35, 31, 37, 7, -34, 24, 13, -47, 26, 33, 20, 58, -23, -25, 20, 51, 11, 23, -9, -49, -5, -15, -4, 23, 57, -41, 31, 4, -19, -1, -40, -26, -52, 57, -23, 45, -22, -29, -61, -8, 47, 34, -28, -22, 47, -50, -1, -53, 51, 1, 14, 40, 57, -58, -9, -20, -45, -28, 39, -30, 10, -25, 40, -54, -27, -47, -44, 47, 49, 31, 50, -71, 46, 6, -10, 24, -5, -35, 46, -27, -49, 17, 51, 15, 13, 29, 31, -27, -66, -35, 29, -7, 48, -55, 3, 61, -21, 21, 34, 33, 18, 8, -30, 58, 28, 38, 41, -74, -20, 18, -51, 62, -60, 48, 24, -50, -1, -4, 41, -56, 50, 53, -24, -5, 59, -16, -23, 49, 22, -34, -35, -63, 34, 57, -38, -38, 35, -52, 31, 44, -53, -58, 20, -47, -16, -28, 66, -61, -50, -24, 19, 0, -45, -47, 0, -37, -40, 61, 52, 41, 63, -13, 24, 43, -18, -21, 14, -10, -10, -63, -24, -52, 30, -21, -8, 65, -44, -53, -49, -29, -20, 65, 47, 29, 32, -54, -33, 37, -13, -59, -43, 53, 4, 29, -57, -1, -7, -50, -14, -25, 31, 59, -17, -58, -14, 59, -20, -15, -48, 33, -36, 32, -52, 30, -8, -26, 39, 30, -63, -3, -58, -52, 67, -21, 24, 64, -4, 8, 22, -12, 50, 24, -52, -41, -25, 55, 47, 23, -4, 40, 46, 22, 28, -52, -34, -3, -32, 85, 5, -42, -22, -19, 47, 13, -64, 20, -37, 37, 19, -51, -18, 24, -36, -20, -3, 37, -43, -47, -34, -28, -36, 1, 35, 4, -68, 7, -14, -4, 10, -42, 29, -34, 21, -79, 18, -18, -73, 53, -45, 17, -51, -11, -20, 24, -15, 49, -14, -53, -40, -39, -42, 53, 61, -41, 24, -32, 10, -36, 57, -37, -38, -3, -42, 60, -58, -15, -24, -36, -66, 12, 42, -38, -55, -36, 68, -3, -56, -28, 14, 61, -44, -8, -13, -43, 65, -52, -27, 5, 45, -21, -48, -34, 43, 6, -55, -3, -61, -47, 52, -25, 41, -19, 40, 54, 43, -9, 0, -53, -57, -34, 42, -43, -58, 11, 51, -43, 59, -16, -6, 55, -34, -37, 67, 10, -82, -60, 35, -32, -7, -26, 28, -50, -64, -36, -30, 18, -40, 3, 63, 33, 54, 36, -51, -3, -34, 5, 10, 57, 44, -6, 10, 37, -25, -54, -17, -24, -18, -20, -57, -16, -14, 74, 5, 31, 72, -46, -23, 46, 38, -32, -64, -59, -6, 37, 11, 55, -15, 8, 29, -5, 54, -28, 54, -11, -61, -3, -43, 44, -25, 33, -19, -50, 1, 24, 11, 46, -60, 22, 53, -14, -23, -30, 5, 26, 2, 23, -3, -35, -20, -9, 66, -1, -34, 0, 29, 45, 17, -56, 14, 40, -6, 25, -31, 40, -55, 63, 44, 50, -13, -25, -43, -28, 45, -49, 9, -16, 57, 39, 1, 25, -36, -57, 19, -57, -50, 63, 36, 32, 0, -29, 42, 18, -45, 22, 55, 27, -6, -13, -26, 51, -8, 56, 17, -8, 13, -47, -39, -7, 30, -46, -31, -44, -41, 66, 33, -41, 56, -18, 1, 55, -59, 47, -47, 25, 4, 37, 36, -71, -35, -23, 49, -26, 30, 10, 54, 17, -11, 22, -38, -15, 28, 19, 51, -41, -56, -42, 3, -15, 16, -38, -8, 35, 56, 58, -61, -13, -40, 31, -28, 44, -35, 58, 59, -33, -42, 52, -36, -19, -56, 12, -21, -36, -59, -12, -1, -14, 38, -28, -46, -62, -1, 42, 5, -2, 38, -62, 28, 25, 40, 51, -51, 12, 42, 49, -30, 2, 21, 41, 41, 20, -48, -53, 24, 71, 9, 23, 62, -40, 25, 40, -15, 65, -47, -10, -58, -57, -21, -45, 30, 41, -44, -28, -36, -48, -46, -51, -56, -62, 7, 46, 40, 37, 33, -29, -25, -17, 48, 9, -29, -9, -21, 35, 58, -55, 14, -3, -61, 6, -16, -4, -45, 12, 18, 26, -54, 34, -44, -54, 29, 50, 40, -3, 16, 23, -53, 25, 16, -27, 48, -54, 57, 40, -46, -25, -7, -11, 46, -41, -56, 21, 8, 4, 17, 36, 55, -5, 12, -31, -21, -41, 27, -28, -59, 17, -28, -28, -37, -39, 17, -35, 21, -21, -2, 25, -61, -10, 13, 41, -2, 22, -3, -29, -6, -47, -40, -13, 12, -26, 55, 31, -11, 25, 20, -53, 22, -21, -39, -21, -21, -6, -34, -9, 6, -6, 17, -15, 33, -38, -42, 22, 29, 20, -39, -19, 28, -7, 51, -48, 32, 18, -14, -9, 13, 7, 52, -3, 25, 39, 9, 30, -19, -24, -27, 33, 20, -35, -6, 39, -49, 37, 23, 24, -39, -22, 0, 2, -29, 15, 62, 3, -6, 63, -2, -25, 54, -18, -1, -39, 56, 38, 29, -28, -42, -40, -35, 32, -30, 26, -68, 31, 18, 25, 0, 54, -5, 31, 53, -13, 6, -29, -60, -46, -16, -63, 3, 6, -17, 15, 41, -22, 57, 12, -60, 41, 49, -43, 45, 20, 2, -13, 35, 22, 41, 24, -24, 41, -47, 5, -31, -33, 33, -37, -58, -49, 20, -6, -13, -4, -41, -10, -45, 35, -24, 5, 6, 4, 42, 25, -33, -38, 32, 57, 54, -58, 10, -36, -29, -69, 49, -33, -17, 35, 41, 25, -19, 16, 40, -58, 25, -40, -38, 39, -18, -9, 44, 49, 52, 67, 56, 53, 50, 35, -59, -35, -18, 60, -57, 30, 2, 3, 35, -7, 19, -45, -22, 51, 20, 1, 30, 62, 3, -30, 6, 45, 22, -10, 40, 5, -6, -38, -22, -34, 54, -41, -51, -57, 64, -14, -3, 15, -4, -34, 28, 9, -48, -64, 4, -55, 24, 24, -9, 49, 53, 56, -40, 62, -30, 51, 6, 24, -2, -18, 18, 27, 61, -26, -58, -55, -5, 5, 43, 19, 19, 21, 50, -31, -13, 27, -44, 37, -35, -62, 28, -29, 22, 6, -62, 58, -55, 12, -19, 29, 31, 23, -27, -38, 37, 0, -57, -46, 42, 20, -29, -51, 35, 40, 58, 22, 36, -43, -44, 27, 58, 8, -46, -11, -55, -18, -11, 18, 35, 26, 6, -13, -30, -64, 53, 38, -8, 42, -27, -12, -2, -72, 8, -10, -12, -23, 25, 11, 61, -30, 14, 47, 58, 9, -30, -56, 31, -14, 25, -31, -20, 1, -20, 29, -46, 15, -60, 44, 6, 11, 26, -35, -35, -32, -6, -18, -46, 2, -49, -23, 5, 37, -36, -8, -24, -9, -40, -32, 19, 13, -60, -41, -48, -53, 9, 47, 12, 39, -11, -5, -28, 25, -37, 38, -2, 30, 32, 21, -59, -63, 20, -4, 7, -40, -20, -31, 54, 52, -65, 45, -27, -10, -62, -30, 62, 8, 3, 19, -20, -8, 20, -69, 32, -26, -36, -40, 2, 32, -40, -10, 13, 10, 5, 29, 39, -18, -54, -58, -11, -16, 46, -15, -73, 26, 50, 30, -26, -27, -2, 27, 19, -63, -18, -48, -43, -45, -48, -13, 52, -40, -3, 16, -46, -50, 2, 44, 36, 18, -7, -23, 25, -9, -1, 17, -33, -18, 3, 9, 4, -39, 64, 57, 18, -32, 53, 70, -11, -43, -61, 44, 48, -37, 19, 45, -47, 25, -40, 19, -26, -43, 14, 60, 7, 49, -5, -9, 28, -60, -21, 46, -12, -27, -1, 40, 24, -34, -38, -72, -39, 34, -29, 31, -67, -84, -11, -5, -54, -46, 31, 45, 21, 25, 42, 1, 44, -5, 29, -53, 39, 37, 47, 37, 6, 37, -27, 6, 87, 77, 38, 7, -11, 0, 60, -36, 13, -54, -40, 22, 48, -20, -64, -19, -45, 65, 25, 57, 18, 75, 58, 45, 56, 54, -15, 1, -35, -25, -1, 10, 66, 16, 47, 46, -39, 45, -22, 19, -20, 1, 33, 20, 17, -56, -27, -3, 37, -19, -15, -9, -16, 38, 17, -31, -11, 16, -60, 22, -41, 12, 49, -28, -2, 61, 45, 41, 18, -49, -42, -15, 15, 42, -24, -56, -60, 24, -2, -10, -42, -62, -16, 21, -7, 25, 44, 49, 48, 18, -59, -68, -4, 25, 3, 64, -36, -56, -40, 29, 41, 34, 33, -71, -34, -17, -52, -66, -32, 24, -12, 41, 3, -8, 28, -47, 33, 24, -48, 33, -28, 39, 32, 61, -27, -24, 48, 8, -10, 79, -8, -59, 34, 32, 20, -78, 32, -52, -42, -2, -64, -64, -58, -21, 10, -3, -61, 45, 2, 35, -52, 54, -22, 19, -18, 50, 62, 59, 13, -18, -43, -22, 24, -70, -37, -61, -21, -45, -38, -64, -65, -59, -44, 28, -6, -19, 7, 39, 22, 42, 26, 6, 27, 58, -26, -41, 0, 12, -49, 24, -31, 37, 28, 9, 19, 2, -10, 45, -3, 69, -1, 22, 22, -51, 23, -8, -38, -17, 56, 2, 7, 5, -43, -22, 11, -55, 35, -46, 50, 16, -26, 36, 10, -46, -20, 58, 37, -62, 46, 24, -31, 22, 21, -16, 1, 21, -38, -73, -51, 43, 18, -53, 6, -18, 66, -14, -20, 66, -9, 57, 5, 52, 19, -19, 44, -22, 58, -7, -48, 33, -27, -46, -52, 0, 46, 55, 10, -43, -49, -65, 46, -45, 20, 81, 0, 55, 52, -46, 46, 29, -60, -25, 86, -20, 42, -53, -56, -59, -62, 36, 7, 23, -44, -27, -1, -57, -11, 23, -28, -39, 41, 28, -37, -13, 18, -46, -6, 22, 52, -32, -3, 57, 57, -2, -53, 35, -45, 2, -16, -31, 22, 18, 31, 28, -39, 23, 12, -35, -73, -26, -9, -45, 13, -2, -52, -22, -37, -49, -1, -66, -10, 19, -52, -31, -45, -14, 10, -33, 28, -53, 56, -11, 64, 5, -43, -10, 63, -14, 3, -15, -50, -42, 40, -23, -7, -61, -36, 1, -38, 47, 11, -53, -39, -52, 36, 30, 33, 67, 36, 12, -14, 38, 17, -27, 20, 29, 37, -63, -59, -39, 7, -49, -14, -58, -37, 52, 21, -49, -53, 44, -28, -11, 72, 26, -12, 58, -20, 23, 50, -25, 45, 60, 19, -19, -14, -12, -27, -23, 41, 33, -55, 4, 14, 47, 60, -58, 34, -41, 24, 32, -30, -19, -41, -27, 21, -42, -29, 41, -58, -11, -39, -14, 14, 9, -54, -54, 31, -5, -5, -17, 28, 68, -75, -35, 8, -49, 21, -10, 11, -6, -37, 14, -28, 49, 48, -52, -10, 29, 48, 11, -44, -24, 34, -35, -29, 50, -46, -64, -7, 39, -24, -19, -15, -33, -25, -3, -17, 26, -11, -41, 2, -3, -27, -45, -13, 47, -33, -49, 57, -43, -34, -52, 41, 53, 64, 3, 40, -11, 57, -4, -1, -1, 58, 16, -18, 32, 31, -29, -36, -62, 10, 40, 63, -7, 67, -41, -35, -3, -2, -16, 35, 41, -21, -51, 9, -21, 64, -8, 41, 37, -47, 15, -12, -54, 35, -42, -52, -38, 8, 27, -28, 55, -5, -3, 6, 6, -56, 41, 9, -38, -5, -61, -48, -3, -48, -59, 5, -41, 12, 15, -47, 61, -51, 31, -57, 19, -56, -32, -70, -30, 8, 37, 33, 45, 51, -42, -52, 59, 62, -14, 20, -51, -33, 33, 9, -30, -22, 28, -3, 45, -50, 0, 52, 8, -3, 50, 0, -52, 60, 56, -3, -9, 12, 45, -29, -46, 47, -8, 28, 1, -12, 33, 17, -54, -8, 20, -29, 35, -46, 29, 11, 1, -47, 10, -24, 41, -12, 11, -44, 3, -22, -22, -54, 42, -19, -37, -46, -7, -40, 64, 29, -22, -11, 4, -5, 48, 22, 44, -62, -3, 44, 33, 59, -57, 41, 55, 15, 37, 39, -44, 30, 35, -11, 38, -12, -45, 33, 26, 41, 47, -55, 26, -3, 12, -47, 27, -57, -61, 16, -34, 23, 51, -28, -15, 45, -18, 1, -30, -52, -29, -61, 48, -44, -48, 29, -51, -43, 3, 9, -69, 37, -21, -27, 32, -39, 67, 34, 6, 36, -24, -37, 1, -18, -21, 34, 24, 62, -33, -2, 12, 23, -3, -14, -29, 45, -56, 44, 29, 43, -6, 47, 30, -8, 41, -19, 36, 59, -21, -43, -48, 4, -59, -39, -36, 38, -46, 10, -14, 20, -31, -33, -6, -33, -29, -49, -66, 12, 47, 24, -12, -34, -4, -53, -9, -47, -26, -22, 44, -40, -61, 17, 55, 36, -38, 32, 40, -24, -1, 8, -71, -49, -54, 32, -1, -57, -66, 4, -50, 25, -56, 54, 66, -8, 33, -43, 44, -7, -30, 18, 10, -23, 24, -21, 29, 51, -34, 8, -56, -1, -45, 47, 58, -64, -59, -6, -21, -27, -34, 24, -10, -15, -22, 41, 31, -8, 27, -3, -62, 11, -28, 36, -34, -23, -7, 33, -54, 28, -11, 22, 62, -39, -8, -50, -12, 3, -36, -19, -53, -48, 6, 37, -52, 9, 7, -43, -19, -36, -65, 42, 10, 67, 19, 61, 62, 18, 41, -7, -56, -18, -58, 32, -13, -30, 60, 20, 34, 4, 53, 33, 37, -11, -5, -35, 3, 41, -41, 21, 14, 26, 7, -55, 13, -9, -14, -27, 53, 17, -36, 3, 5, -20, 40, -21, 38, -11, -23, -39, -26, -53, -59, 21, 25, -38, -43, -78, -45, 11, 14, -33, -14, 35, -48, -67, 55, 35, 59, -5, -39, -86, -54, -28, 15, 48, -30, 44, -51, -52, -63, -62, 14, -39, 3, -51, -46, -8, -8, 31, -57, -1, -47, -19, 22, -20, 1, 6, -21, -37, -84, 13, 50, 34, -43, -37, 11, -40, -18, 29, -44, -39, -32, 3, 43, 34, -10, -49, 23, -7, 33, 41, -65, -33, 57, 27, 14, 50, 12, -39, 38, -3, 4, 48, 37, -20, 14, -14, -23, 53, -39, -14, 15, -62, -19, 43, 38, 12, 42, 34, -1, 36, -66, 22, 30, -64, 32, 19, -66, 1, 14, -17, -33, -43, -63, 46, -42, 2, -21, 32, 58, -33, 73, 30, -43, -23, -40, -54, 11, -61, -17, -65, -58, 21, 50, -35, -32, 38, -62, -60, -3, 20, 49, 33, 33, 43, 13, 1, -16, -33, -15, -3, 57, 46, 24, -78, -58, -16, -56, 28, 41, 50, -2, -45, 26, -59, 14, -52, 36, 53, -47, 8, -59, 16, 43, -20, 8, 4, -62, 35, -64, -29, 35, -51, -10, 19, 15, 15, 62, 8, 55, -59, -18, -1, -18, -56, -29, -2, 21, -41, -12, 29, 34, 7, 8, -57, -65, 33, -39, -1, -38, -54, 37, -53, -19, -24, -65, 12, 49, -27, 27, 23, -4, -27, -3, 7, 60, -23, 44, -56, 48, 30, 25, -26, 1, -7, 4, 41, 29, -59, 38, -60, 16, 12, -37, -53, -65, 38, 33, -17, -12, 35, 58, -59, -6, -64, -29, 2, -6, 11, 30, -48, 30, -63, -25, 16, 33, 60, -43, -62, -47, -59, 46, 38, 23, -37, -39, -8, -7, 30, 29, 58, -60, 49, -30, 38, 56, -61, -12, -8, -42, -7, 6, -65, 37, 2, 44, -48, 38, -60, 23, -60, -33, -49, 61, 8, -21, -27, 24, 9, -23, -62, -6, -23, -11, 29, -29, 9, 59, 50, 9, -27, 49, 46, -22, -49, 47, -30, -14, 5, 24, -41, -47, -4, 37, -20, -7, 34, -49, 19, -9, -53, -49, 12, 62, -61, 20, -21, -28, -41, -62, -13, -6, -71, 49, 31, -53, 15, 53, -34, 6, -21, 21, 37, -76, -48, 49, 11, 54, 57, -31, 59, -16, -49, -2, 13, -40, -22, -53, -50, 0, -27, -62, 19, -54, 0, -3, 31, -2, -41, 9, -17, -58, 37, 51, 12, -53, 10, 24, 0, 49, -44, 18, 50, -36, 37, -44, 40, -50, -65, 14, 29, -33, 12, -62, 24, 53, 57, -59, 34, 4, -66, -50, 9, -3, 31, 23, 5, -31, 38, 25, -24, 9, -37, 50, 46, -22, 21, -61, -50, -30, 37, -21, 25, 26, -51, -27, 60, 2, 18, -30, 22, 39, 17, -55, 61, -52, -15, -53, -31, -22, -11, -37, -26, 37, 18, -59, 34, -36, -23, -27, -14, -63, 48, 12, -13, 44, -21, 10, 57, 25, 39, -64, -58, -50, 14, 30, -65, 35, 64, -45, 62, 51, 14, -60, 33, -58, -4, 21, -51, 8, 54, 10, 11, -62, -40, -4, -19, 23, 10, -21, -11, -38, 30, -46, 37, -61, -73, -53, 37, 43, -52, -29, 18, -20, -4, 40, 2, -27, 43, -35, -13, 49, -23, -24, -64, -22, -21, -22, 37, 46, -48, -41, 39, 48, -25, 56, 61, 55, -64, -3, 11, 60, -40, 57, -61, -13, 37, 17, 7, 55, -53, 40, 41, 20, -3, -6, 37, 57, 17, 25, 23, -52, 36, 11, 28, -34, 22, 2, -33, -66, -8, -38, -56, 2, -9, 46, 8, -14, 24, -31, -20, 1, 54, -15, 60, 26, 46, 67, 21, 47, 22, 23, 12, -14, -23, 5, 24, 1, -28, 22, -28, -22, -11, -58, -28, 20, -31, 9, 32, 4, 8, -9, 21, -43, -62, 5, -2, -28, 1, -6, -32, -50, 21, -21, -44, 4, 59, -15, 2, -46, -9, 49, -62, -62, -60, -15, 39, -61, 14, -38, -34, 13, 50, -4, 44, 47, 10, 40, -35, -3, -11, 17, 24, -44, -35, 38, 7, -60, 28, 7, -38, -4, 30, -21, -59, -63, 0, -35, 31, 22, 3, -15, 35, 11, -45, -13, -53, 55, -53, 11, 40, 37, 42, 16, 20, -45, -44, -36, -10, 12, -56, -51, -19, 3, 45, -4, -36, -59, 32, -48, -59, 12, -22, -28, 27, -18, 8, -40, 10, 6, -56, 24, -6, 53, 53, 54, -49, -1, -11, 60, -37, 27, 61, 10, -27, 7, 48, -49, -34, -5, 45, 40, 46, -56, -2, -13, -18, -11, -59, 55, 3, 6, -39, -17, 15, -38, 18, -45, -36, -9, -66, -11, 63, 49, 54, -21, 33, 20, -3, -5, -62, -19, -17, -16, 13, -3, -4, 8, -38, -11, 31, 12, -42, -17, 43, -32, 4, -39, 56, -7, 27, -38, -49, 1, 48, -32, -15, -44, 4, 25, 34, -62, 6, 24, -15, 36, -3, -20, -8, -18, -51, 36, -46, -47, 15, 42, -15, -42, 58, -6, -47, 31, 2, 41, 52, 25, 19, 47, 41, 57, -33, -39, 12, -24, -20, -39, 39, 58, 12, -60, 25, 17, 41, -9, 14, 22, -64, -55, -12, 54, 44, 51, -38, -42, 16, 48, -49, 44, -55, -10, 15, 36, -1, -24, -54, 28, -25, -31, 37, -45, 13, -35, -11, 31, 53, -57, 3, -46, -34, -31, -48, -63, 51, -37, 36, 1, 13, -55, -7, 20, -36, 10, -10, 26, 23, -14, 17, -18, -38, 62, 55, 61, 23, 46, 19, 43, -50, -45, 12, 56, -8, -56, 23, -48, -44, -33, -24, 37, 50, -43, 50, 33, -47, -21, -14, -38, -50, -23, 30, -2, 12, 27, 45, 31, 11, 35, 1, 49, 43, 0, -56, -21, 2, 29, 21, 6, 16, -56, 6, 49, -28, -22, 19, 15, -12, 6, -62, 35, -29, -1, 14, -13, 46, -14, 11, 54, -58, 12, 64, -19, 64, 21, -17, -5, -3, 63, 33, -2, 56, 13, -21, 9, -29, 21, -47, 29, -31, -56, 31, -33, -38, -21, 45, -64, 26, 18, -37, -51, 35, -20, 27, -21, -7, 56, -6, -45, -21, 25, 58, 4, -56, 58, -39, 30, -32, 21, -58, 49, 11, 34, 45, 7, -47, 61, -4, -42, 49, 7, 1, 52, 46, -50, 33, 61, -62, 7, -39, 60, 58, -1, 61, 23, -20, -40, 61, 30, -53, 3, 0, -11, -33, 2, -5, 3, 26, 61, 37, -54, -5, 27, -15, -48, -25, 26, 61, 22, -42, -13, 36, 59, 42, -62, 12, -55, -12, -44, 56, -65, 26, -50, 9, 41, -7, 17, -67, -16, -31, -58, 32, 60, 12, -54, -41, 29, 32, 32, 21, 29, 60, 34, 58, -49, -11, -5, 50, -38, 39, 26, -20, -29, -44, 10, -61, 25, 29, 8, -57, -54, 2, 55, -21, -63, -61, -18, -29, 54, 26, 48, 16, 41, 49, -13, -37, 53, 31, 10, -29, -35, 1, -19, 12, -49, -48, 38, 48, 24, 36, 27, 20, 32, 16, 29, 23, 38, -16, -30, 11, -34, -12, -62, 55, 60, -35, 4, 2, -26, -65, -4, 25, 13, -43, -25, -5, 54, -55, 5, 3, -35, -56, -24, 9, -13, 24, -11, 44, 3, 46, -35, 31, -6, -19, -36, 57, 42, -47, 15, 41, -57, 19, -2, 33, 50, 26, -53, 2, -66, -49, 19, -33, 57, -26, -1, -49, 34, -42, -41, -15, 45, -8, -27, -46, -23, 44, -56, -42, -61, 54, 46, 12, 11, 60, 49, 56, -48, 49, -46, 35, -48, 22, 43, -39, 13, 48, 14, -8, -22, -13, -33, 1, 1, 43, 41, 38, 2, -63, 47, 19, -54, -17, 54, -67, 24, 28, -58, -38, 49, 45, 19, -36, -57, -20, 45, 0, -19, 4, 19, -45, 11, -55, 24, -54, 26, 43, -11, 25, -27, 12, -26, -15, 55, -31, -49, -18, -32, 15, -10, 40, 4, 21, -61, 29, -18, 3, 34, 54, -10, -57, -26, -27, 20, 21, -32, -37, 50, 30, 10, 44, -19, -38, 48, -37, -5, -63, 42, -17, 40, -43, 55, 63, -6, 62, -62, 9, 19, 18, -31, 3, -52, 50, -14, 5, -37, 13, 15, -9, -21, 31, 3, -38, -24, -34, 35, 1, -3, 0, -65, -1, 55, 53, 4, -64, 42, -45, 57, -13, -54, -1, 64, -9, -21, 45, 58, 6, -73, 7, -15, 38, 44, 34, -70, 28, 4, -37, 46, -16, 13, -41, 23, -30, 12, 17, 32, 18, -17, -41, 54, 25, -65, -24, -47, 30, 26, 0, -38, -80, -68, -31, 3, -45, -4, 56, 29, -4, 9, 63, 19, 11, 60, -4, -9, 54, -47, 4, 59, -11, -52, 0, 26, 20, 62, -21, 23, -31, -36, 17, 14, -11, -49, -34, -2, -20, 53, 21, 30, -44, 19, -19, 64, -61, 8, 19, -57, 17, 19, -48, 11, 34, -19, 46, 9, 40, -52, 14, -44, -12, -53, -33, 19, -12, 43, -29, -56, 31, 23, -19, 16, -48, 33, -2, -15, 64, -18, -34, -39, 32, -24, -12, -22, 27, -8, 33, 36, -40, 62, 18, 54, -55, 44, -37, 74, -42, 71, -49, 21, -53, -8, -87, 15, -12, -51, -47, 23, -49, -41, 71, -55, 26, -28, -32, 47, -5, 59, 10, 17, 56, -28, -25, 59, -41, -25, -24, -9, -64, 9, -12, 47, 78, 17, 26, 51, -23, -24, 17, 37, 33, -34, 9, -53, 28, -54, 33, 10, -36, 14, -47, -31, -15, 30, 49, 28, 36, -53, -26, -37, 12, 55, -26, 31, 11, -1, 37, -11, 67, 34, 46, -21, 14, 54, 26, 12, -13, 14, 59, 11, 28, 34, 4, -64, 2, -4, -59, 51, 9, 35, -5, 28, 13, -14, 26, 5, -51, -29, -58, -9, 46, 33, -15, -41, 46, 15, 5, -46, -42, -27, -6, 5, 23, 34, 32, -13, 40, -18, -33, -2, 38, -26, -5, -18, -66, -12, 22, -22, 43, 13, 60, -28, 43, 64, -66, 55, 40, 14, -37, 36, 30, -15, 19, -49, 12, -32, -31, 35, -12, -6, 35, -12, 4, -10, -59, -6, -48, 47, -24, -38, -21, 21, 4, 2, -80, -44, -58, 39, -21, 18, -29, 17, 28, -38, -60, 5, -8, 43, -41, 26, 31, -25, -24, 26, 56, 40, 51, -10, 53, -46, 18, 11, 20, -10, -28, 34, -51, 18, 23, 20, -66, -28, -4, -32, -56, 18, -47, 23, 25, 49, 39, 27, -29, 31, -61, 46, 17, 44, -28, 1, 26, -73, -10, 43, -17, -11, -54, -74, 37, -5, 33, 37, 41, 41, -26, -62, -37, 63, 37, 28, -27, -53, 45, 24, -16, 18, -63, -38, -34, 51, -6, 32, -47, 21, -22, 53, -22, -14, 26, 40, 66, 3, -4, 21, 13, 19, 2, -55, -30, 45, -28, -22, 35, 11, 58, -2, -27, 62, -7, 47, -18, -33, -38, 28, 17, -15, 11, 19, -13, 48, -71, 21, -54, 11, -15, 57, 16, 60, -1, -33, -70, 24, 21, 50, -48, -14, 37, 18, 56, -20, 26, 33, -32, 57, -38, -1, -59, 17, 42, 68, -4, -48, -29, 14, 7, -19, -54, -84, 13, -37, -1, 67, -32, -13, 35, 25, 1, 19, 50, -1, 35, 23, 50, -4, -8, 18, 2, -25, 12, -49, 37, 53, 13, -77, -29, 57, 1, -46, 17, 3, -35, 51, 13, 57, -57, -24, -40, -5, 16, -48, 37, -27, -13, -46, 10, -29, -6, -4, -18, 56, 46, 4, 4, -23, 54, 64, -44, 50, 54, -39, -44, -51, 13, -14, -57, 1, 57, -62, 14, -52, -13, -40, -60, 49, -28, -7, -28, -6, -13, 10, 46, 36, 43, -47, 55, -40, -59, 27, -3, 21, -39, 18, 20, 3, -53, -57, -2, -64, 2, -11, 49, -67, -5, -17, 39, -59, 62, 23, 39, -28, 37, 33, -12, -40, 4, 31, -18, -65, 37, -56, -60, -34, -6, -15, 56, -11, 59, 14, 37, -24, 0, -78, 39, -59, 61, 59, -33, -48, 5, -40, 26, 19, -30, 62, -30, 5, -5, -36, 57, -49, -20, -11, 33, 26, -24, -37, -52, 37, -19, -24, -33, 37, -34, -30, 7, -5, -46, -51, -17, -32, -25, 19, -11, 10, -50, -3, 33, -73, 42, -36, 22, -61, -56, 52, 9, 52, -13, -21, -25, -10, 0, -17, 48, -52, 26, 2, 38, -41, 30, -76, -3, 1, -51, -12, 2, 33, 5, 4, 15, 57, 21, -33, -54, 16, 46, -29, 43, 9, -59, 63, 24, 51, 74, -50, 51, 46, 3, -22, -56, -23, -37, -49, 11, -15, -15, 57, 41, 19, 17, 24, -8, -28, 14, -7, 13, -41, 60, 19, -44, 2, -13, 57, -55, -20, 20, -49, 1, 42, -51, 56, -44, 1, -17, 42, 12, -27, 59, 30, 50, 40, -2, 57, 7, -11, 65, 2, 43, -5, 22, -32, -13, 23, 29, -34, -10, -5, 55, 48, -30, -50, 3, 55, -44, 49, 11, -42, -53, 61, -4, -19, 8, -54, -43, -50, -31, -56, 71, -75, 48, 41, 45, -71, 18, 64, 64, -62, 32, 47, -38, -45, 19, 41, -37, -46, 45, -38, -36, -27, -24, 36, -4, -45, 39, 22, -62, -9, -6, 59, 11, -3, -2, 35, -15, 23, -17, -61, 3, 15, -5, -30, -51, 18, -4, -19, 43, -27, -31, 66, 28, 5, -6, 13, -21, -35, -24, 31, 19, 54, 59, -9, 32, 11, -58, 25, -46, -11, -32, 8, -8, -51, 45, -33, 46, 7, 61, 6, 7, 6, 40, -17, 3, 7, 25, 50, 16, 31, -15, 33, 35, 28, -67, -31, 6, 28, -45, -59, 51, 34, -17, 19, -66, -14, 43, -53, 50, -21, -55, 29, 44, -49, -5, 8, 9, -10, 19, -66, -51, 66, 21, -1, -37, 5, -48, 53, -14, -43, -45, -33, 16, 17, -38, 30, 17, -15, 19, 7, 28, -39, 35, -5, -3, 43, 60, -10, -36, -55, -35, -69, 22, -51, 12, -57, 33, -49, -34, 51, -40, -57, -7, 54, -62, -15, -40, 56, 41, -20, 75, 19, 58, 27, 24, 31, -44, -72, 45, 29, 45, 26, -40, 65, -37, 50, 60, 76, 52, 27, 5, -40, 4, 23, 24, -28, 47, 57, -19, -60, -35, 10, 49, -61, 38, -18, 21, -37, -17, 19, 10, -83, -45, 33, 1, 29, -10, -53, -15, 26, 14, -53, 28, 2, 22, 35, -46, -15, -53, -1, 35, 36, 41, 58, 1, 62, -48, 31, 58, 14, -85, -68, -17, 24, 6, -67, -51, -32, -3, 26, 19, 17, 27, 31, -31, -17, 3, 54, 38, -42, 21, 56, 3, 6, -43, 43, -30, 14, -3, 81, 16, -25, -26, -13, -20, 50, -20, 1, -5, 35, -52, -58, 21, -31, -54, 4, 16, 95, -44, 60, -19, 50, 29, -38, -5, 48, 26, -50, -45, 30, -16, 23, 36, -61, -45, 60, -56, 9, -44, -51, -33, -51, -14, 42, -59, 34, -13, 1, -36, -10, -21, -32, 60, -28, -21, -25, -28, -53, -3, -53, -23, 28, 27, -41, 2, 45, 59, -19, 31, -63, -34, 31, -10, 25, 10, -19, 41, -1, 44, 18, 19, 39, 39, -2, 17, -25, 0, 48, -1, -44, -30, -7, -31, 31, 36, -36, 26, -3, 24, 35, -7, -39, -10, 12, 34, -55, 42, 59, -7, -43, 16, -10, -1, 17, 48, 55, -48, -7, 66, -58, -47, -51, 23, 8, -36, -6, 13, -73, 25, 44, -13, 35, 11, 68, 29, 27, 45, -3, -28, -41, -53, 35, -28, 72, -26, -51, 30, -38, 12, 75, -32, 8, -5, -30, 1, 3, 35, -19, 48, 28, -56, -33, -54, 53, 8, -14, 35, -16, -12, 48, -5, 22, 27, 57, -22, 24, 17, 67, -41, 26, -29, -55, 26, 58, -63, 52, 24, -27, -19, 58, 18, 37, -22, -42, 26, -33, -55, 9, -15, 56, -57, 16, 62, 64, 65, 31, 34, -53, -51, -4, -58, -30, 60, -55, -60, 44, -14, 34, 20, 2, 54, 60, 25, -51, 21, -5, -44, -1, 47, 51, 16, 55, -5, 42, -19, -57, 31, 17, 31, 30, -15, 11, 42, -37, -2, -3, 22, 17, 35, -24, -24, 54, 73, -13, -43, -39, -37, -35, -51, -50, -6, 47, -39, -8, -60, 37, 30, -3, 30, 40, 1, -3, -18, -28, -3, 3, -48, -31, 10, 1, 34, -32, -42, 21, -47, -72, -68, -90, 11, -54, -22, -48, -24, -54, 22, 41, -11, 42, -5, 46, -42, 39, 13, -32, -46, 30, 12, -44, -34, 2, 21, -6, 58, 28, -58, -30, -25, 20, -32, 39, -15, -11, 33, -52, -7, -62, 18, -38, -54, 40, 54, -46, 13, -37, 21, -67, 18, -16, -12, -62, -54, -9, -20, -42, -12, 56, 21, 63, -48, -111, -14, 36, -48, -48, 20, -31, 2, 36, -1, -54, -46, -17, 68, 17, 63, -37, 56, -65, 19, 13, -46, 34, 48, -45, -45, -23, 21, 56, 24, -12, 31, 5, 72, 57, -36, 21, -49, 50, -28, -49, -39, -9, -51, -41, -28, -10, -34, 29, 9, -5, -47, 12, -36, 36, 66, -30, 41, 70, -43, 39, -59, -28, 15, 3, -14, 12, -8, -17, 41, -17, -10, -3, 13, -52, -2, -10, 14, 45, -41, -60, 39, 41, -36, -32, -6, 26, 24, -41, 35, -43, 61, -12, 13, 3, 61, -10, -49, -35, 34, -58, 44, 46, 5, -26, -53, -9, 48, -50, 54, 17, -58, 47, -16, 65, 58, 4, -80, -56, 28, 12, -8, -41, -64, -28, 27, 4, 5, 21, -30, -45, 44, 50, 31, -12, 38, -36, -58, -57, -5, -33, 13, -57, 55, -1, -4, 53, -48, 21, 25, 18, 60, -54, 46, -65, -3, -11, 33, -54, -2, -48, -67, -26, 13, 0, -55, -38, 9, 2, 28, 36, 29, 1, 47, -37, 9, -39, 63, 59, 62, -8, 46, -13, 37, -30, -66, -22, -64, -22, 24, -8, -13, -33, 15, 45, 15, 56, 64, 10, -63, -54, -37, -2, -41, -4, -38, -38, 64, 19, -14, 10, -36, 9, 54, -44, -9, 60, -3, 66, -3, 22, 47, 36, 5, 15, -57, 10, 2, -38, -7, 53, 8, -10, 57, -44, 46, 5, -2, 33, -23, 12, 38, 45, 45, 46, -35, 17, -17, 6, -67, 39, -57, 54, 23, 13, -7, 17, -36, 16, -10, -34, -59, -7, 36, 47, -66, 44, -49, -44, 13, -41, -13, 66, 10, -51, 65, -28, 31, 51, -34, -9, -52, -7, 1, -5, 1, 40, 19, -33, 17, -6, -23, -28, -16, -13, -29, -27, 27, -30, -60, 5, 58, -25, -21, 31, 35, -10, -21, -57, 22, 26, -17, 42, -53, -32, -45, -54, 48, -60, -27, 23, 19, 14, -36, -12, 52, 41, 9, 46, -28, -41, 35, -22, -43, 17, -20, 47, -61, -52, 28, -52, 48, -21, -36, -17, -19, 9, 61, -43, -29, 17, -40, 39, -52, 11, -13, -61, 17, 12, 47, 40, 54, -25, -8, 49, -30, 16, -41, 22, -59, -37, -64, 70, -40, 52, -33, 55, -32, 13, -17, -53, 13, -2, 5, -24, 26, 21, -15, -38, -3, -51, -46, 30, 60, 30, -36, -40, -18, 30, 22, -76, 32, 57, 30, -42, -53, -38, 9, -42, -56, 1, -6, -20, -27, 22, 0, -2, 20, -34, -14, 41, 13, -15, 28, 56, -11, 31, -12, 16, -67, -55, -65, 46, 51, -27, -15, 34, -7, 0, -10, -2, -46, -43, 32, 39, -40, -20, 11, 4, 32, 42, 9, 13, 24, 30, -15, -19, -47, -14, 30, -14, 44, 5, -28, 0, -58, 58, -1, -45, -57, 21, 39, 18, 20, 59, 34, -41, -14, 17, 30, 54, -12, -63, -10, 27, -30, 25, 32, 6, -70, -90, -58, 22, -73, 9, -11, -17, 43, 8, -49, 25, 11, 2, -57, -64, 15, 6, 39, -15, 49, 3, 45, 43, 29, -37, -61, -20, -12, -13, -8, 32, -15, -23, 49, 6, -41, 48, 18, 44, -51, 25, 23, 70, 46, 21, 31, -24, 70, -10, -36, -30, -30, 24, 31, -55, 21, 48, -5, -4, 6, 36, 38, 59, -34, 63, -5, -14, -11, 31, 37, -14, -29, 19, -35, -40, -14, 37, 31, 54, 25, -26, 79, 14, -18, 18, 76, 32, -46, 6, -18, 25, 57, -63, 37, -20, 60, 60, 6, -56, -5, 2, -35, -13, -23, 62, 50, -25, -31, 44, -4, -4, -47, -24, -21, -14, -57, -38, 29, -62, -58, -22, 27, 46, 31, -34, 7, 1, 10, 9, 38, -9, 10, 13, -7, 4, -45, 14, -71, -39, 42, -49, 86, 16, 25, 36, -41, 16, -63, 41, -13, 9, 31, 14, -56, -23, 40, -20, -28, -13, 4, -44, -61, -1, -12, -20, 44, 59, -41, -9, -37, 35, 24, -26, -48, -50, -51, 58, 12, -49, 23, -44, -50, 8, 2, -41, 26, 34, 21, 49, 49, -10, 19, 41, 19, 44, 17, -45, -45, 57, 54, -46, -10, 47, -38, 35, -57, -1, -57, 14, -32, -16, -6, 35, -15, -51, 8, 8, -75, -16, -3, -22, 29, -56, -70, 29, 17, 53, 28, -49, -45, -38, 19, 12, -18, 45, -55, -3, -48, 33, -59, 38, 43, 73, 31, 70, 30, 52, 10, 75, 121, -9, -47, -37, -56, -17, -40, -41, 50, 13, -16, 33, -43, 15, -27, -46, 25, -18, -15, 50, 28, -11, -18, 33, 61, -27, 16, 85, 47, -24, 70, 58, -25, -62, -5, 48, -26, 16, 68, -16, -32, 36, -20, 1, -45, 8, -6, 55, -52, -5, 0, -14, -47, 55, 60, -42, -22, 16, 56, -15, -26, -53, 16, -55, -25, 24, -50, -37, 16, 23, -46, -18, -74, -33, -5, -2, 36, -18, 34, 18, 4, -49, -43, -8, -12, -69, -61, 7, 35, 63, 30, 39, 41, 59, 4, -39, 59, 8, -28, -51, 33, 46, -36, 34, 46, -17, -60, -2, -22, 54, -12, -40, 71, -52, -4, -23, 65, -35, 26, 24, 59, -55, 58, 42, 30, 36, -3, -18, 56, -17, 53, -20, 61, 35, -62, -59, -6, 22, -59, 44, 47, -37, -16, 27, 42, -63, 25, 11, 7, -43, 11, 32, -55, -25, -60, 24, -49, -40, 21, 21, -60, -14, -30, 18, -68, -10, 38, 46, -34, 36, 65, -50, 41, 30, -34, 39, -34, 41, -59, -43, -13, 6, -55, 42, 53, -10, -58, -55, 35, 41, 12, -2, -16, -34, -83, -2, -14, 18, -33, 32, 91, 46, 10, 10, -24, 33, 60, 30, 5, 34, 30, 44, 6, -45, 51, -8, 58, -3, 5, 24, -36, 43, 61, -1, 0, -4, 46, -36, 19, -61, -1, -41, 16, -35, -47, -39, 61, 76, 33, -23, 21, 4, 55, -27, -50, 18, -63, -25, 7, 28, 59, 61, 34, -60, -27, -31, -18, -15, 29, 36, -3, -4, 33, 32, 36, -29, 17, -7, -73, -44, 1, -54, 27, 22, 5, -43, -42, 17, 60, -54, 69, 31, -46, 55, -2, -41, 58, -9, 26, 53, -37, -56, 29, 39, -62, 13, -57, -26, -61, -25, -42, 61, 47, -22, -19, -9, -32, -7, -45, -27, -14, 70, -38, -12, -48, 72, -45, -11, 95, -17, -21, -1, -45, -19, -40, 48, -56, -27, -72, -68, 20, -47, 54, -37, -26, 16, 60, 43, -7, -2, -14, -16, 44, -42, 27, 68, 67, 38, -25, -32, 16, 54, 22, 10, 24, -64, 4, -10, -17, -43, -39, -55, -56, -33, -9, -11, -65, -4, 22, 50, 3, 83, 63, 44, 25, -42, 34, -75, 10, -35, -1, 48, 44, -74, 4, -24, 18, -19, 5, -1, 24, 53, -44, 13, -2, -49, -42, -22, -33, 21, 30, -17, -83, 12, -16, 39, 66, -8, 8, 5, 29, 18, 46, 12, 45, -39, 22, -33, 33, -32, -13, -23, -59, -18, -56, 42, 62, -57, -8, -20, -3, -15, 76, 64, -19, 1, -59, -40, -67, 33, 34, 57, 17, 41, -44, 22, 38, 53, -57, -3, -68, -3, 8, -55, 46, -68, -18, -17, -25, -66, -34, -26, -17, 78, 48, 11, -42, -60, -53, 25, -9, -26, -10, -46, -24, -59, 18, 25, -47, 0, 49, -62, 42, -6, 44, 51, -63, -12, 7, -56, -49, 63, 5, -5, 8, -45, -46, 62, -62, 45, 81, -60, 2, 18, -21, -46, -75, 29, 20, 42, 75, 71, 52, -60, -14, -12, -30, 31, 1, -20, -21, -22, 49, 21, 31, -59, 48, -12, -7, 18, -33, -52, 15, 58, -82, -56, 14, -61, 5, 22, 52, -21, -11, 53, -13, 29, -44, -23, -22, -5, 45, 10, 14, 56, -5, -51, -33, 56, -65, 46, 56, 38, 31, -8, -11, -68, 33, 52, 25, 86, -21, 9, 42, -23, -13, 48, 33, 36, -38, -2, -63, -74, -46, 19, 50, 8, -15, 23, 56, -53, -60, -1, -15, -64, -1, 44, 38, 22, -78, -1, -10, -24, -27, 34, -40, -15, -31, -37, 18, 34, -33, -25, -22, 43, 31, 49, 26, -69, -51, 11, 42, -29, -14, 27, -16, 36, -41, 52, -43, -52, -29, -44, 49, -67, 37, 55, 8, 16, 3, 4, 27, -15, 63, -60, -24, 22, -4, -12, 20, -43, 0, 33, -37, 63, 68, 18, -77, -39, -35, -77, -7, 18, -25, 66, 33, 24, -52, 44, 11, 39, -48, -26, 57, -36, -34, 33, -29, 9, -11, 29, -20, -49, -54, 52, 40, 13, 59, 14, -4, 45, 31, -53, -2, 48, -59, 49, 34, 65, -39, 7, 32, -4, -67, -37, -47, 25, 23, -8, -22, 19, -60, -36, -55, -20, -57, 32, 9, 6, 35, 27, -6, -9, -29, 22, -9, 61, 31, -30, 56, -18, 9, 59, 27, -55, 29, -24, -56, 18, -2, 26, 20, -33, 51, 51, 10, 13, -28, -66, -54, 21, 49, -19, 51, -58, 5, -5, -49, 48, 38, -10, 55, 56, -11, -43, 4, -29, 13, 35, 18, 1, -35, -9, -47, -21, 8, 17, 0, -58, -54, 45, 22, -55, -44, -7, 57, 30, -17, -25, -14, -56, -27, -35, 15, -12, -36, -26, -34, 48, 59, 48, -15, 58, 54, 20, 28, 70, -65, -59, 0, 19, 12, -51, -81, -38, -62, 6, -74, -59, -29, 18, -61, -8, 41, 28, 45, -66, 4, 4, -44, -13, -8, -65, 23, 24, -65, 48, 65, -61, 46, 24, 0, 63, 51, -25, -4, -15, 13, -32, 27, 25, -61, 59, 52, 1, 55, -32, 56, -3, 47, 14, 2, 21, -70, -52, -39, -27, 3, -64, -1, 38, 39, -23, -56, 24, 49, 5, 54, -39, -2, 22, -15, -15, -39, 61, 19, -51, -15, -55, -18, -67, 17, 21, -3, -40, -6, 3, 48, -63, 13, 15, -3, -20, -27, -28, 10, 21, -81, 28, -33, -6, 55, -33, -46, 48, -54, 8, 48, -61, 7, -32, 3, 0, -1, 24, 59, -37, -54, 0, 19, 43, -37, -7, -49, 14, 42, 37, -18, 42, -6, 25, -35, 21, -32, 1, -23, -7, -13, 66, 33, -48, 14, 40, -52, -38, 5, 22, -55, 10, -80, -58, -57, 32, -51, 22, 59, -48, 29, -29, 27, -26, 25, -37, 40, -42, 43, -1, -74, -29, -66, 25, -73, -30, -10, -52, 22, -5, -67, 29, 4, -42, 7, 12, 7, 24, 21, -3, -29, 59, 32, 18, -11, -60, 2, 18, -20, -37, -2, 1, 15, 35, -37, 45, -5, 26, 21, -64, 21, 53, 32, -19, 16, 38, -66, 46, 29, -61, 58, -35, 48, -49, 24, 44, 8, -16, -67, -85, -11, -30, -46, -63, 0, -67, -1, -28, 13, 63, 26, 60, 13, -48, 71, -4, 53, 23, 13, -7, 36, -15, -51, 9, -41, 29, -70, -53, -50, -38, -4, 19, 22, 67, -37, 47, -3, 14, 34, 14, 38, 31, -27, 10, 60, 32, 1, 12, 61, 36, -7, -14, 51, 5, -55, -17, 10, 46, -33, 52, 31, 43, 77, 28, -16, 33, -10, 38, -32, -9, 5, 55, -48, 39, 14, -33, 41, -39, -29, -51, 38, -55, 67, 37, 19, 71, -3, -40, 50, 13, 26, 16, -74, 1, 23, -50, 29, 58, -19, -63, 16, 27, -63, -28, 47, 11, -20, -79, -26, -38, 26, 69, 36, 29, 8, 30, 84, 6, 24, 58, -28, 5, 41, 19, -16, 2, 33, -45, 21, 41, 16, 43, -23, -38, 43, -66, -18, -36, 55, -24, -10, 12, -60, -22, 62, -63, 65, 53, -3, 34, 47, 63, 31, -63, -30, 8, 14, 19, 38, 10, -14, 19, -20, 60, -37, 23, -26, 61, 7, 36, -31, 1, 71, 9, 0, -42, 16, -67, 25, -6, -16, 27, 46, -68, 32, 15, -2, 29, -27, -56, -54, -61, -57, 57, 47, 12, 63, -11, -38, 43, -11, -11, 61, 19, -10, 17, 36, -1, -27, -36, 42, -1, 5, -38, -68, 25, 22, -12, 39, -57, -64, -58, 32, 4, -51, 0, -75, -16, -79, 19, 25, -4, -53, 22, 74, 42, 33, 14, 70, 94, 15, 60, -35, 11, 57, -37, 49, -40, -48, 18, -48, -29, -22, 15, -42, -39, 47, -7, 48, 56, 59, -41, 7, -16, -4, -68, -33, -17, -58, 7, 0, -54, 41, 48, 5, -41, -40, -67, -1, 19, -16, 12, -44, -23, 70, -21, 33, -56, 61, -7, -6, -37, -18, 15, 2, -38, 18, -34, 58, 38, 52, 19, 45, 18, 24, -4, 31, -29, 48, 52, -61, -44, 9, 29, 15, -67, 52, 6, 58, 27, -33, -27, 32, -13, 26, -16, -15, 44, 40, -3, -11, 49, -41, -32, -8, 6, 56, 54, -7, 47, 28, 11, -38, 54, 49, -42, 64, 53, -6, -68, -17, 49, -55, 3, -38, -48, -24, -8, -1, 63, 23, -32, 43, -27, 23, 35, -17, 55, -57, -26, 12, -65, 25, -58, 60, -7, 46, -8, -50, -59, -51, 35, 28, -38, -29, -56, -17, -9, -41, -36, 26, -57, -34, -24, 41, 3, 76, -9, -18, 14, 0, 56, -61, 55, 16, -27, -16, -33, -39, 16, 24, 27, -15, -31, 18, -62, 8, -47, -54, -12, 52, 25, -23, 27, -11, 7, -23, -61, -77, -52, 32, 24, 33, 6, 9, 8, -37, -71, 44, -40, 49, 65, -42, 56, 39, -52, -55, 17, 10, 26, -60, 6, -16, -13, -3, -57, -12, -43, 48, -37, 55, -32, 6, 71, -45, -22, 22, -20, -55, -50, -7, -15, -36, -16, 19, 44, -71, 40, -38, 21, 14, -58, 48, -1, 47, -15, 44, -23, 21, 36, -55, 16, -40, 24, -17, 28, 42, 27, -66, 44, -12, 30, -26, 40, 47, 27, 40, 30, 8, 21, -12, 19, -29, 41, 16, 40, 21, 19, -10, -33, -49, 39, -5, -54, 15, -50, -62, -51, 27, -5, 10, -52, -22, -70, -48, 4, -58, 28, -24, 15, 14, -5, -20, -32, -45, 38, -9, 65, -61, -18, 5, -37, -4, -24, 52, -10, -26, 0, 42, -57, -12, 26, 47, 44, 47, -33, 59, -54, -55, -66, -36, 58, 10, 45, -47, 26, -19, -20, 21, -2, -59, 39, 41, 1, 47, 6, 51, -77, -45, -38, -52, -18, 22, -25, 59, -11, -24, -30, 9, 47, 43, -44, 21, -21, 4, -37, 9, -54, -14, 65, 59, 43, 30, 50, 45, 48, -40, 35, -42, -59, 62, 28, -45, 17, -14, -6, -13, 38, 10, -41, -51, -62, -18, 37, -22, 36, 17, -6, 51, -55, 36, 33, 33, -41, 27, 10, -21, -39, -10, -10, -60, -35, -47, -19, -7, 55, -28, -24, 50, 59, 20, 54, -2, 8, 53, -61, -56, 31, 8, 50, 41, 59, -43, 5, 5, 44, -55, 43, 52, -42, 38, 47, -50, 29, -17, -43, 56, 41, -9, -71, 48, 44, -50, -23, 19, 7, -3, 13, 14, 39, 53, -56, -29, 13, 16, -2, -36, -48, 38, -27, -36, -39, 21, -60, -16, 14, -1, 21, -37, 1, 44, -21, 24, -50, -36, -55, -49, 2, -14, 58, 11, 23, -44, -2, -71, -40, -36, -23, 3, -27, -3, -18, 3, -33, -18, -60, -42, -64, 28, -17, 41, 10, -22, -30, -7, -50, 23, 41, 54, 43, 53, 51, -37, 68, -26, -23, -37, 44, -38, -2, 11, -22, 49, 10, -18, -14, -47, 17, 14, -42, -34, 40, -62, -28, -2, 42, 27, 41, 54, 60, 46, 44, -60, 28, -40, 6, 50, -34, -19, 42, 21, 6, 19, 40, 4, 37, -13, 31, 15, 50, 17, -40, -20, 30, -32, 46, -18, -27, -32, -60, -64, 44, 36, 30, -18, 46, 37, 8, -53, 3, 23, 18, -33, -23, 45, -58, -26, 58, 14, -15, -46, -9, -20, -48, -53, 12, -62, 46, 21, 10, -3, 59, 58, -46, -3, 20, 21, 17, 40, 7, -10, -10, -43, 4, 58, 17, 17, 37, -45, -32, 46, 59, 12, -33, 19, 43, -65, 44, -41, -9, 21, 30, -35, -27, -10, 56, -2, -27, -40, -25, -21, 22, 55, 33, 29, 33, 11, -59, -59, -74, -13, 2, -60, 39, 35, 17, 27, 21, -48, 4, 49, 53, -23, -44, 48, -31, 54, 32, 27, 49, -15, 37, -9, 24, -64, -32, -39, 4, 44, -81, -71, -28, 6, -5, 33, -63, -49, 55, -33, 51, -36, 31, -37, 56, 15, 50, 26, -33, 11, 15, -57, -51, 54, 22, 3, -6, 48, 48, 41, 30, -30, -4, -53, -37, 10, 42, -14, 53, -41, 14, -49, 55, -14, 31, 56, 25, -24, -30, 18, 60, -31, -8, -58, -57, 15, -31, 29, 17, 63, 2, -57, -46, -17, 25, -37, 54, 60, -23, 48, -63, 40, 17, -19, -11, 41, 38, 13, -10, -40, 29, 7, -52, -55, -41, 27, 31, -22, 30, 36, 38, -75, -38, -41, 16, -1, -7, -51, 46, 9, -50, 11, 9, -31, 51, -37, -7, 1, 6, 50, -26, 52, 0, -3, 28, -55, -58, 61, 41, -25, 10, -28, 7, 19, 45, 39, -57, 4, -36, -41, -54, 50, 52, -40, 44, -57, -45, 38, -31, -22, -30, 54, -67, 1, -12, 47, -64, 34, 37, -48, -40, 3, 47, 8, -45, -14, 32, -64, 4, -46, 18, 10, -82, 12, 43, -45, 55, -18, -53, 33, 30, 13, 44, -30, 15, 42, -44, 21, 52, 18, -56, 34, -7, 32, 18, 46, 38, 1, -2, 22, -1, -50, -29, 9, 38, 59, -31, -6, 50, 6, -64, 50, 56, 4, -65, 60, -45, 59, 28, 16, 5, -2, -9, -61, -36, -7, -60, 17, 16, 23, 58, -15, -26, -27, -78, 42, -28, 61, -8, 26, -19, 8, 67, 13, 25, -47, 74, 61, 52, 3, -26, 0, 49, -3, 51, -52, 43, -56, 51, 23, -44, -27, 44, 5, -32, 42, -50, 37, -58, -25, -7, -74, -17, 29, -40, -3, 46, 38, 1, -22, -9, 18, -7, 41, -40, -62, 27, 12, -51, 63, 63, 42, 42, 54, -33, -24, -27, 62, 47, -7, 40, -19, 28, 34, 20, 18, -42, -34, -42, 62, 46, 3, 21, -35, -30, 57, 55, 24, -19, 66, 57, -42, -55, -58, 44, 40, 49, -21, -9, -30, -57, 10, 4, -2, 32, -53, 10, 10, 60, 36, 37, -49, -2, 34, 53, 37, -22, -14, -33, -23, 1, -2, -46, -18, 34, -49, 73, -17, 57, 39, 43, 25, -15, 8, -43, -33, 44, 27, 38, 37, 6, -5, 53, 19, -46, 10, -27, -61, -8, -33, -12, -3, -57, -58, -41, 81, -6, -18, -51, -35, 28, 14, -57, -44, 51, 21, -18, -25, 40, -15, -39, -22, -27, 37, 1, 45, -30, 7, -22, 52, -51, -7, -8, 27, 42, -32, -9, -53, -34, -29, -10, 67, -28, 1, 24, -61, 54, 35, 63, 10, -51, -2, -53, -74, -54, 16, 46, 34, 58, -53, -7, 5, -37, 16, -60, 60, 51, 50, -45, -3, 30, 30, 46, -41, 23, 11, 44, 2, 27, -24, 27, 23, 26, -44, 16, 41, 55, 79, -28, -61, -47, 41, -64, -5, 30, -35, -56, 22, -4, 39, -18, 31, -41, -23, -42, 1, -56, -62, 1, 35, -38, 34, 36, -11, -29, 49, 48, -46, 40, 21, -13, 55, 6, 41, 3, 47, -8, -58, -40, -57, -15, -42, 39, 26, 44, -11, -10, 18, 22, -48, -8, 47, -62, 16, 53, 63, -24, -25, 25, 18, 48, -8, 17, -46, 51, -56, 38, -50, -22, -66, -21, -58, -24, 56, 28, 48, -68, -7, 41, -75, 55, 18, -44, 23, 34, 29, 16, -25, 1, -24, 4, 31, -28, -40, 57, -10, 1, 40, -39, 0, -6, 16, -37, 19, -56, -49, -66, 53, -32, -36, -43, 48, -66, 32, -40, -44, 21, 87, -1, -63, 15, -61, -60, -16, -30, -33, 9, 41, -30, 33, -37, -31, -42, -24, -22, -3, -23, -61, -50, 34, -60, -20, 46, -27, 23, 31, 48, 48, 34, -49, 14, 28, 15, 43, -43, 34, 30, 50, -36, 37, 59, 56, 51, 15, 48, 1, -19, -21, -31, 21, -47, 0, 48, 32, -66, -56, -29, -28, -12, 45, -43, 21, -18, 51, -51, 53, 24, -58, 23, 34, -41, -18, 1, -45, -30, 41, -49, 29, 0, 20, 11, 53, 48, 23, 13, 64, -61, 56, -55, 50, -22, 8, -39, 13, -15, -24, -25, -25, 26, -25, 4, 15, 24, 47, -51, -19, -21, -41, 10, -20, 20, 7, -28, 25, 51, 8, 28, -52, -46, 45, 41, -35, -31, -11, 43, 19, -2, 5, 20, 24, -47, -23, -5, 23, -34, -11, -30, 36, -35, 47, 34, 20, 50, -11, 6, 35, -59, 21, 10, -47, 60, -8, 4, -6, -8, 54, -53, 38, 52, -25, 25, -45, -53, 6, 27, 26, -26, -39, -33, 11, -45, 1, -24, -43, -3, -27, -29, -3, 42, 12, -38, 18, 14, -51, -36, 4, -44, 10, 28, -40, 57, 55, 23, 22, -21, -34, 4, -48, -18, 45, -54, -18, -51, -19, 27, 17, -32, -17, -54, -56, -38, -3, -32, -45, -81, -5, 41, 56, -27, -24, 15, 13, 33, 51, 7, -38, 47, -56, 24, -54, -38, 1, 51, 12, -83, -59, 5, 47, 27, -16, 37, 6, -18, 53, 27, -13, -1, -16, 7, -31, 2, -33, 22, 44, 23, -23, 19, -43, -13, 28, 23, 17, -29, 37, -48, 8, -12, -32, -6, 42, 9, -27, 19, 31, 16, -71, -55, 9, -40, 16, 51, -19, 39, -7, -10, -18, -53, 22, -55, 52, -10, 29, -63, 5, -22, 6, -65, 62, 61, -52, 59, 20, 16, 26, 0, 4, -31, -47, -71, -40, -28, 7, 28, 6, 62, 46, 33, -24, 62, -1, 7, 34, 24, 59, -44, -51, 18, -1, 16, -3, 75, -10, -49, -50, -72, 26, -48, -8, -13, 47, -37, 7, -23, -44, 32, -1, 39, -36, -25, 41, 13, 6, -28, 25, -52, -33, -2, -26, 26, 49, -59, -27, -3, -15, 26, 33, -43, 22, 63, -3, 50, -51, 23, 51, 24, -19, 0, 15, 45, -47, -25, -35, -19, 2, 58, -11, -17, -33, 38, 42, 10, -17, 10, -14, -18, -85, -21, 27, 51, -5, 5, -52, 13, -45, -40, -18, 33, 77, -34, 34, 79, 65, -21, 28, 32, -24, -52, 25, -4, -58, -7, -31, 59, 48, 43, -37, 46, -31, 22, 36, -22, -29, 17, -50, -22, 26, -42, -9, 64, 31, 9, 56, 65, -18, -37, 56, -21, 35, 42, -27, 3, 51, 64, -29, -12, 7, 7, -49, 22, -50, 7, 18, -11, -68, -62, 55, -82, -6, -50, -48, 32, 30, 70, 7, 17, 39, -5, 5, -25, 52, -44, -51, -10, -49, 34, -62, -50, -2, -46, -60, 37, 27, -60, 38, -47, 42, -18, -19, 39, 2, 60, -4, 29, -20, 19, 19, 39, -40, 41, 20, -2, 8, 51, 8, -60, -28, -2, 41, -47, -11, 40, 33, 15, -4, 37, 2, -60, -8, 43, 19, -14, -54, -19, -25, 28, -63, -13, -28, 23, 40, -5, -49, -44, 66, 37, 41, -19, 7, -57, -35, 51, 27, 12, 40, -43, 41, -40, 44, -45, 52, -49, 32, 61, -35, 47, -13, 11, 19, 11, -17, 52, -24, 61, -28, 23, -54, -27, -52, -38, 45, -55, 47, 67, -23, 63, -7, 45, 39, -9, -1, -41, 36, -61, -29, 58, -1, -76, 49, 23, -15, 58, 14, 13, 56, 40, -36, 32, -35, 47, -5, -45, -25, 23, -12, -7, 20, 25, 38, 4, -18, -10, 59, 12, -33, 33, 1, 63, 65, -50, 35, 54, 8, -1, -14, 8, 56, 36, 8, 49, -18, 29, 59, -37, -2, 15, 10, -60, -44, 60, -11, 13, 0, -55, 51, -18, -55, -54, 40, -7, -46, 8, 36, -10, -61, 48, -58, 6, 29, -54, 39, -56, 54, -48, 40, -46, -27, -22, -58, 67, 53, 15, 37, 37, -9, -44, 0, -41, 51, -23, 16, -10, 4, -45, 49, -38, 54, -19, -23, -58, -18, -35, -55, -58, -10, -76, 31, 17, 2, 33, 18, -15, -36, -34, -51, -25, -6, -10, 62, 48, 58, -19, 50, -4, 60, -3, 36, 6, -22, 31, 40, -42, -23, 25, 18, 15, -54, 28, 27, -62, -5, 5, 13, -7, 73, -22, 6, 0, -20, 46, -16, 13, 15, 16, 52, -26, -39, -66, -52, -42, -22, -19, 46, 39, 3, -5, -17, 64, -15, 23, 21, -30, -39, -57, -28, -25, 8, -43, -13, -42, 65, 42, -5, 3, -14, 54, 7, -46, 65, 15, 31, -24, -48, 42, 39, -5, 31, -45, -37, -44, -66, -61, -27, -39, -45, -66, 21, -29, -40, 17, 28, -20, 17, 25, 30, 26, 26, -44, 47, 38, -51, -38, -28, 5, -10, -45, 1, -49, -28, 51, 19, -52, 18, -1, -34, -16, -11, 49, -39, -43, 27, 10, 57, -19, 46, -53, -24, -15, 7, -51, -22, 38, -17, 46, -58, -16, -23, -64, -10, 25, -51, -44, 35, 55, 6, 3, 56, 36, 46, -20, -26, -64, 18, -25, -23, 35, 47, 23, -31, 5, 42, -73, 28, -23, 18, 26, -22, 29, 14, -29, -22, -13, 77, 4, 37, 77, -1, 19, 30, 52, -15, -42, 5, -56, 19, 57, -63, -23, 50, 24, 28, -55, 42, 30, -22, 29, -37, 29, -14, -40, -19, 13, -31, -15, 16, -30, -20, -17, -50, -31, 53, 57, 61, -2, -40, 32, 6, 33, 47, -5, -36, 46, 1, 41, -25, 22, 26, 19, -28, 56, -23, -14, -32, 60, -43, -42, 2, 5, 61, -29, 54, -16, -34, -18, 18, 52, 28, 52, -15, -32, -47, 68, 62, -33, -53, 4, 74, 22, 56, 26, -33, -30, 26, 29, -6, -37, -32, 59, 29, 68, 16, 42, 7, 36, 19, 6, -4, 46, 33, -46, 52, 18, 19, -5, 23, -51, 3, -10, -66, -14, 34, -30, -3, -28, -34, 58, -31, 14, -54, 63, -43, 8, -58, 0, 75, 38, -57, 29, 55, 18, -50, -46, 8, 1, -15, -25, 1, -30, 64, 59, -47, 24, -23, 26, -10, -16, -48, -12, -65, -25, -18, -6, -51, -29, 48, -8, -23, 10, -26, 4, 55, -40, 31, -24, -4, -14, -45, -14, -11, -43, 61, 44, -31, 44, -53, -8, 13, -11, 50, -5, -25, 56, -27, 41, 61, -12, -35, -61, 35, -25, 21, -25, -51, -15, 16, 61, 8, -21, 45, 38, -62, -8, -31, -22, -43, -45, -32, 46, -79, -6, 58, 45, 19, -25, 42, -26, 32, -61, 36, -24, -9, -32, 37, -45, -5, 32, 6, 3, 39, -31, 61, 16, -56, 35, -1, -11, 4, 45, 36, -3, -31, 72, 31, -61, -41, -16, 37, -57, -31, -60, 27, 49, -34, 1, -58, 11, 26, 26, -54, 26, -14, -3, 48, -52, 19, 54, 42, 23, 36, -21, -61, -61, 11, -8, 16, -61, 37, 20, 5, -57, 47, 52, -5, -33, -42, -51, -43, 16, -31, -36, 37, -26, 37, 43, 24, -46, -28, 12, -37, -10, 14, 4, 61, 14, 41, -41, 33, -23, -61, -44, 31, -48, -13, -42, -14, -2, -57, 53, -10, -15, 56, -7, -55, -45, 46, 3, -1, -17, 0, 24, -7, 23, -3, 34, -18, -5, -59, -82, 29, -10, -45, 43, -61, -5, 42, -7, -45, 53, 1, 8, -37, 58, 38, -14, 31, -34, 34, 14, 14, 0, -47, -33, -8, 38, 0, -19, 5, 34, -1, 7, 53, 37, 37, -9, 36, 2, -44, 45, 42, -60, 11, -56, -12, -50, -49, -24, -16, -6, -58, 14, -43, -55, -22, -14, -79, -19, -13, -53, -45, 54, 28, 62, -9, -42, 0, -40, -13, -25, 50, -21, 13, -42, 21, 11, 7, -52, -10, 43, -22, -34, 34, -44, -13, -52, 21, -13, 11, -60, -36, 29, -49, -55, 25, -34, 3, 15, -53, -40, 16, 25, 44, -19, -38, -23, 19, 13, -52, 21, -71, -4, -61, -54, 57, 2, 35, 8, -47, 14, 13, -60, 1, 43, -2, 44, 38, 41, 34, 37, 47, -57, 11, 45, -35, 45, 22, 42, -13, 30, -37, -6, -47, 35, 33, 57, 73, -19, -69, -25, 9, 39, -47, 28, -52, -17, 33, 67, -27, -25, 22, -22, 49, 37, -7, -36, -44, -50, 21, -19, -41, -50, 35, -9, 6, -48, -34, -14, 28, -34, 3, 51, -15, 23, -21, 0, 12, 22, 45, 0, 7, -31, -30, -49, -66, -45, 40, -53, -29, 53, 35, 39, 8, -39, 18, -18, 50, 2, -43, 27, -18, -45, -23, -39, 28, 14, -56, -44, 35, -44, 54, 8, -3, -51, -40, -61, 23, -40, 46, 47, 37, 30, 54, -3, -13, -45, 56, 51, 20, -43, -32, 7, 67, -34, 10, 72, 4, -8, -43, 40, -46, -9, 4, 31, -78, 50, -43, -9, 45, 55, -37, -43, 46, 15, -35, 2, 49, -12, -16, -48, 51, 37, 44, 7, 9, 29, -8, -56, -20, 40, 1, -14, -63, -62, -21, -26, -31, -7, -9, -17, -38, -32, -53, -53, 53, 39, 17, 18, 49, 54, 29, 62, 18, -25, 7, 14, 16, 41, 21, 6, -47, 18, -51, 13, -39, 45, 18, 44, -5, 51, 28, 11, 38, 10, 2, 70, 68, 3, 16, 43, -62, -49, -54, 41, -6, -24, -33, 46, 21, -60, -44, 64, 57, 63, 9, -53, 56, -64, -27, 50, 53, 37, -50, 25, -21, 57, 32, -53, 61, -6, 46, 25, 18, -37, -43, 17, -19, 47, 51, -8, 48, 35, 58, -37, 63, -41, -49, -75, 11, -49, 11, -30, 50, -37, -2, -47, -48, -46, 21, -6, -23, -26, 35, -62, -8, -5, 32, 50, -31, 14, 53, -36, 7, 61, -57, -11, -39, -22, 5, -35, 30, 9, -56, 33, 6, -43, -4, -10, -11, 60, 44, 30, 42, 47, -23, -6, -4, 40, 24, -36, 0, 32, 62, -4, -64, 0, -32, 31, -9, -47, 35, -61, -66, -58, -55, -46, 71, -21, 31, -63, 12, -42, 24, -28, -59, -50, -23, 3, 40, -58, -58, -65, 11, 12, 45, -56, -17, 37, 58, -23, 22, -43, -43, -52, -57, 30, -54, -22, 31, -10, -5, 34, 8, -11, 46, -1, -38, -26, 5, -52, -13, -13, 63, -61, 53, 12, 44, -24, 7, 26, -56, -25, -38, -10, 51, -43, 6, 55, -42, 30, 45, -42, -68, -40, 16, 64, -9, 9, -30, -6, -59, 20, -58, 64, 13, 51, -36, 39, -25, -25, 48, -17, 10, 14, -53, 64, 13, -59, -5, -15, 7, -6, 48, 3, 11, -30, -59, 24, 35, 39, -63, -33, -11, 34, -23, 25, -26, -10, 0, 13, 38, -9, 44, -22, -48, -16, 20, -41, 32, -33, -15, 32, -8, 45, -2, -57, 26, -38, -11, 0, -28, -42, -39, -27, 21, 61, 1, -57, -10, 2, -48, -13, 2, 17, -16, -34, 42, 45, -7, 50, 63, 41, -1, 62, 59, 54, 27, -56, 8, 26, -35, -43, 3, 4, 37, 11, -63, -36, 18, 17, 15, 31, -10, 9, -68, -32, 6, 13, -66, 55, -4, 33, -2, -10, -15, 16, 33, -26, -48, -48, -23, 29, -10, 16, 57, -54, 49, -44, -17, -14, -16, 16, 11, -23, -19, 45, 19, -3, 24, -55, 53, -44, 4, -58, -60, -16, -53, 45, 34, -4, -36, 24, 12, -64, -5, -38, -54, 1, 60, -2, -34, -4, 33, 41, -61, 24, 8, -35, -21, 5, 3, -59, -36, -14, 16, 45, 57, 50, -58, -22, 34, 20, 53, 12, -34, -26, 58, 44, -27, 20, 49, 18, 29, -40, 2, -18, -12, 20, 48, 25, -62, -8, 55, 11, 46, -55, -29, -29, 59, -26, 52, -18, 38, 55, 11, 38, 42, -36, 21, -38, 7, 47, 15, 21, -46, -19, -36, 20, -33, 4, -19, 57, 30, 41, -44, 51, 24, -25, -50, 60, -10, -12, -62, 0, -40, 28, -56, -62, 20, -56, -43, 17, 60, 8, 11, 10, -32, -62, -1, -16, -57, -62, -9, 44, -51, 11, -29, -39, -59, -20, -56, 15, -39, 45, -30, 33, 58, 62, 7, 39, 57, -53, -66, 46, -35, 15, 16, -47, -14, -29, -4, -59, -49, 43, -53, -60, 36, -15, -55, -23, -55, -32, 58, -45, 46, -64, -66, -55, 22, -76, 67, 30, -72, 37, -2, -25, 31, 1, -62, 5, 50, 5, 41, -52, 37, -16, 44, -57, 9, 9, -6, -32, -71, -73, -23, 39, -52, 35, -10, -63, 37, -1, 55, -35, -5, -30, 62, -50, -11, -32, -2, 8, -32, 22, -64, -56, -24, 62, 49, -21, 59, 38, 4, -21, 1, -59, 28, 38, 43, 53, 42, 49, -53, 14, 40, -52, 29, 50, -12, 33, 29, -1, 12, -12, 4, 47, -3, -37, -9, 54, -11, 38, -27, -44, 30, -48, -4, -44, 39, -60, 16, -29, -39, -4, 54, 57, -35, -14, -22, -53, 1, -3, -29, 8, -67, -61, -39, -62, -8, 51, 41, 39, 32, -56, 64, -47, -58, -27, -51, 30, -8, -51, -64, -3, -46, 57, 18, -62, 49, -57, 29, 60, 10, -22, 17, 1, 30, -5, -31, 9, -16, -12, 34, 49, -60, -9, -41, 55, 31, -36, 38, 30, -22, 42, 40, 19, 53, -31, -73, -79, 13, -11, 51, -43, -59, -2, 44, -40, 3, 44, -31, -46, -34, -19, 58, -43, -42, 2, -42, -50, -57, -52, -44, -45, 3, 5, 21, 0, 71, -25, -49, 12, 8, -57, 15, -16, 38, 34, -39, 41, 7, -26, -50, -15, -18, -3, -13, -48, -35, -11, 36, -15, 42, -3, 3, 46, -33, 2, 29, 2, 58, -4, -9, 6, -12, -19, -5, -25, -49, 22, -14, 36, -5, -31, 24, 18, 58, -2, -63, -40, -70, -54, -20, 62, 45, -8, 32, 10, 30, 29, 16, -22, 31, 29, 62, -32, -20, 8, -34, -56, 58, 49, -24, 18, -14, 45, -2, 15, 40, 64, 15, -16, -53, 45, 19, 57, -13, -54, -6, 58, 16, 52, -8, 38, 46, -15, 45, 39, 10, -6, 48, -67, -24, 21, -43, 53, -40, -59, -50, -43, 15, 52, -36, -65, -18, -64, 4, 32, -43, -25, 28, 30, -10, -17, 40, 11, 24, -47, -52, 42, -2, 70, -48, 13, 9, 64, -17, -53, -24, -15, -14, -27, -17, -41, 18, 48, 27, -67, -29, 27, -26, 68, -15, -37, -65, -32, -13, 45, 66, -18, -31, 48, 48, 32, -21, -1, 37, 3, -44, 5, -66, 22, -51, -9, -37, 50, -12, -7, -41, -57, 33, 38, -28, -35, -31, -40, -24, 5, 64, -14, -24, -41, -1, 22, -50, -44, 28, 24, 45, 8, 47, -23, 11, 24, 33, 37, -25, 1, 42, -14, 42, 29, -29, -33, 0, -32, 12, -50, -6, -33, 15, -21, -4, -59, 66, 4, -60, -12, 66, -15, -3, -47, 38, -62, -39, 43, 3, -54, 42, 7, -14, 18, -46, 17, 42, 57, -22, 2, 26, -15, 55, -21, -21, 24, 52, 0, 0, 59, 9, -3, 71, -30, -55, -24, 2, -27, 13, 67, 40, -51, 34, 13, 49, -9, -86, -37, 28, -57, 26, -46, 47, 31, -17, 10, 35, -10, 0, -15, 63, 18, -39, -51, 38, 37, 23, -4, -25, 41, 10, 46, -8, -32, 63, -7, -67, 40, -65, -32, 35, 55, -39, 23, -23, 27, 15, 40, -9, 38, -29, -49, 17, -19, 57, 44, -30, 57, 37, 5, 55, -20, 9, -9, -58, -16, 7, -44, -23, 42, -39, -35, 49, -12, 55, -42, -3, 54, 18, 22, -28, -10, -36, 15, 44, 53, 7, 63, -31, -62, 54, -40, -24, 41, 22, 53, 41, -1, 12, 23, -13, -60, -48, 71, -10, -26, -29, 42, -32, -37, -56, -24, -10, -7, 32, -16, -25, 14, 65, -23, -25, 26, -17, 24, -55, 58, 19, 51, -16, -62, 44, -7, -64, 12, 32, 25, -10, -28, -55, 55, 4, -17, 11, 37, 61, 1, 21, 34, -31, 22, 72, -69, 0, -48, 57, -20, -6, -23, -9, 3, -51, -40, 65, -33, -60, -12, -20, -28, 10, -46, 0, 55, 9, -15, 27, 19, 5, -36, -25, 24, -27, 11, 17, 18, 28, 40, 12, -44, -33, 17, -41, -34, -61, 29, 37, -36, 7, -15, 60, -18, -28, 25, -54, 47, 16, -7, -49, 54, -24, -5, 8, 12, -40, -26, 22, -25, 39, 49, -34, -55, 7, 67, -31, 24, 37, 2, 30, 14, 0, 12, 21, 9, 26, -23, -37, 55, -32, 13, 60, 33, 8, 18, -30, 76, -51, 26, 1, -15, -21, -27, 47, -22, -58, 41, -16, 44, -56, -37, 7, 55, -25, 18, -58, -27, -10, 58, 10, 17, 29, -22, -53, -38, 46, 46, -52, -16, 43, -49, 29, -54, -38, 36, 50, -13, -5, 39, 32, 43, 32, 50, 59, -57, -18, 63, -24, -13, 44, -59, 19, -45, -70, -34, -6, 53, 52, 56, 28, 34, 53, 2, 52, 55, 12, 0, -49, -25, 6, 8, 58, -32, 28, 60, 16, 36, 15, 33, 6, 60, -9, -52, -28, 19, -6, -7, -21, -9, 23, 61, 20, -31, -50, 54, 78, -3, -9, 15, -15, -7, -44, 51, 49, -9, -48, 20, 52, -75, 37, -9, 63, 32, -15, 5, -59, -13, 13, 39, 13, -57, -41, -32, -24, -19, -32, -27, 44, -54, 36, -16, -20, -40, -38, 13, -51, 52, -36, -47, -50, -26, 44, -19, -64, 57, -18, -19, 2, 20, -62, 13, -50, 24, 8, -38, 26, -32, -55, 1, 60, 7, 61, -30, -3, 56, -50, -19, 7, 40, 16, -17, -69, 12, -32, -31, -54, 20, -15, 41, -26, 1, 35, 54, -28, 30, -82, -30, -47, -5, 68, 41, 9, -28, 41, -55, 18, -46, 19, 0, -11, -5, -29, 27, 18, -40, -19, 5, 16, 2, -52, -36, 32, 39, -52, 33, 34, 25, 20, -30, 55, -12, -54, 17, -30, -63, 4, 0, 53, 4, -27, 18, -13, -57, -22, -9, 22, -69, -47, -52, -5, -39, -38, -58, 21, 11, 18, 26, -47, 67, 45, 39, -37, 0, -63, 29, -30, 52, 36, -36, -4, 54, -57, -34, -9, -22, -6, 13, -41, 25, 12, 24, 65, -63, -58, -40, -3, -29, -42, -32, 61, 42, -52, 37, 45, -53, 25, 49, 47, -34, 44, 37, 41, 39, 7, 46, -29, 58, 60, -58, 48, 19, 55, -7, -7, -11, -36, -11, 30, -41, -25, 19, 58, 43, 11, -41, -45, -6, -22, -15, 29, -39, -41, 10, -2, 9, -58, 50, 24, 26, 59, -28, -7, -78, -9, -50, -35, 50, -18, 14, 20, -54, -20, -39, 17, 23, 29, 62, 17, -43, 2, 21, 47, -21, 40, 59, -24, 42, -54, 50, 44, 52, -19, 44, 20, 40, 48, 43, -24, 47, 31, -57, 40, -34, 65, 28, -17, -44, 27, 4, 36, 23, 60, 40, -25, 46, -29, -32, 13, 30, -40, 45, -3, -42, -65, -25, -10, 53, 0, -52, 0, -10, -44, 55, -18, -43, 50, -23, -49, -50, 72, 15, -43, 24, -49, -15, -27, 64, -16, 61, 66, 69, -11, -28, -38, 25, 60, -52, 19, -25, 5, -8, -11, 71, 12, -17, 22, -53, -1, -61, -11, 21, -51, -13, -18, -47, -39, -30, -11, -17, -24, -18, 32, -28, 22, -57, -25, -21, 4, 25, 56, -46, -25, -10, 23, 12, -46, 31, -58, 38, -62, -59, -22, 39, -31, 22, -29, -22, 22, -60, -67, 27, 6, -16, -39, -46, -18, 30, 0, -19, -29, -54, 4, -40, -16, 5, 34, 2, 41, -51, 26, -32, 0, -11, -18, 43, -20, -52, 20, -46, -36, -28, 27, 13, 64, -33, 3, 0, -1, 37, 36, -8, -32, -47, -21, 44, -27, 54, 15, -27, -17, 50, 72, 14, 9, -52, -60, -19, 27, 22, -24, -61, -62, 37, 35, 12, 54, -57, -41, 7, 42, -59, -9, 52, -28, 24, 55, -15, -68, 17, -36, -2, 40, -72, 33, -7, 10, 23, -48, 42, 15, 46, 33, 16, 39, 51, 4, 21, -25, -53, -47, 9, -18, 46, -60, -51, -7, -61, -35, 44, 31, -35, 3, 56, 2, -45, 35, -13, -17, -16, -37, -9, -25, 14, 27, 27, -30, -8, -63, -66, -42, -30, -54, 30, 17, -17, 12, -60, -61, -5, 61, 26, 31, -60, -40, -7, -22, 8, -13, 49, -44, 6, 6, 60, 52, -10, -47, -22, 2, 16, -54, -64, 54, -41, 40, 7, 4, -33, 54, 17, -61, -16, 50, -43, 0, -38, 19, 19, 4, -59, 55, -56, -36, -36, -24, 46, -19, 17, -23, -66, -32, 21, 29, 21, -53, -56, -62, -28, 53, -62, 14, -58, 47, 23, 27, -27, 16, -2, 45, 4, -50, -27, 6, -55, -67, -29, 47, -19, -17, -37, 53, 49, 10, -36, -4, -18, 2, 0, 36, -27, -27, 61, 27, 12, 48, -35, -7, 0, 32, 60, 10, 47, 39, 23, -37, -52, 45, -18, 49, -7, 12, -42, -22, -37, 34, -31, -56, 5, 30, -65, -53, -56, -3, -51, -5, 27, 24, -36, -40, -32, 0, 33, 55, 55, -21, 31, -46, 35, 23, 43, -38, 8, -19, -8, 64, -17, 26, -32, 10, 50, -45, 49, 22, 10, -47, 24, -49, 0, -31, -38, -54, 48, 2, 53, -35, -32, 36, -47, -48, -72, -11, 7, -10, -1, 10, -29, -36, -18, -52, 52, -30, 7, -27, -33, -6, 8, -8, -21, 45, 59, -12, -64, -60, -51, -11, -13, -29, 47, -38, -34, -2, 41, 50, 23, 30, -50, 43, -28, -53, -33, -15, 26, 13, -34, 39, -59, -29, -14, 17, -56, -16, 37, 25, 42, 56, 3, 14, 1, -4, -45, -23, 13, 11, -22, -62, -41, -12, -10, 24, -2, 27, -10, 50, -13, 38, 40, -39, 45, 2, -55, 9, 33, -27, 32, -39, 18, -27, -40, 7, -52, -39, -55, 10, -39, 61, -3, 15, -42, -33, -3, 5, 32, 16, 27, 59, 13, 25, -7, 22, -59, 46, 27, 10, 31, 1, 46, 41, 10, 51, -7, 3, 48, 2, 25, -27, -21, -18, 2, 54, 8, -26, -4, -3, -47, 52, 28, 54, 20, -50, -43, -66, 6, -21, 10, -18, -25, -10, -48, -35, -24, 23, -24, -55, -12, 13, 54, 44, -27, -15, -20, 16, 37, 28, 14, -27, -59, 61, -54, 55, -28, 47, 50, 16, -49, 32, -31, -63, 46, -42, 14, -50, 16, -1, -50, -21, -10, -65, 7, -50, -48, 12, -42, -51, -4, 59, -40, 46, -53, -19, -20, 2, 51, 32, 44, 6, -18, 7, 53, -63, 30, 7, -35, 60, -12, -17, 18, -38, 15, 27, -60, 44, 4, -22, -54, 33, 35, 3, 2, -19, -13, -62, -70, -41, 22, 32, 41, 41, 19, -34, -35, 54, -59, 21, 28, -53, -21, -57, 41, -32, -27, -62, 14, 25, -10, -36, -25, -27, 46, 19, 7, -66, -53, -6, 42, -38, 18, -18, -52, -17, 12, 23, -35, -16, -21, -32, 31, 49, -32, 7, -28, 3, -16, -8, -58, 51, -1, 14, 12, 56, -49, -67, -52, 66, 33, 57, -52, 66, -64, 10, 51, 23, -43, -36, -50, -67, -34, -40, 1, -23, 5, -49, 31, 16, -12, -22, -46, -30, 37, 15, 32, -63, 54, -30, -18, 12, 16, -51, -53, -4, 6, -64, 62, 61, -59, 62, -23, -13, -9, 20, 57, 49, 27, -9, -47, 37, -25, -4, -10, -3, -61, 26, -27, -21, 6, 63, 66, -56, 57, -6, 18, -15, -39, 51, 32, 3, -53, 46, -52, 31, -48, -48, 18, 15, -43, -1, 62, 35, -32, -41, 13, 14, 5, -18, 63, 24, 20, 57, -36, -28, -13, 58, -43, 9, -26, 58, -32, 19, 35, -62, -59, -57, -26, -27, -64, -35, 17, 14, 48, 28, -35, 36, 35, -2, 30, -15, 17, -33, -25, 13, 13, -58, -12, 54, -51, 42, -68, -14, 41, 55, 44, 46, -23, -13, -30, 13, -32, -30, 9, 62, -36, 37, -58, 47, -30, 43, -6, 59, -41, -60, -3, -54, 49, 6, 9, 4, 12, 45, 74, -33, 42, -51, -40, -42, 9, 66, -41, -7, 10, -12, 22, -25, 26, 47, -38, 55, -56, 28, 38, 21, -64, -8, 56, -56, -48, 39, 56, 43, -10, -26, -5, -30, 10, -28, -15, -24, 51, 34, -50, -26, 8, 39, -14, 42, -32, -31, 0, 5, -32, 53, 35, 58, 41, 46, 3, -25, -1, -25, 5, 13, 30, -5, 58, -24, 54, -46, 29, -45, 50, -28, -41, -19, 16, 16, 62, 61, -18, -10, -41, 10, -6, 40, 9, -1, -28, -25, -14, -35, 51, 35, 53, 32, -50, -44, -5, 56, -56, -54, -19, 52, 46, 9, -2, -49, 27, 25, 42, -1, 54, 21, -62, -14, 1, 32, 42, 69, 34, 29, 55, 17, -46, 44, -40, -64, 50, 53, -64, 0, 62, 37, -46, -21, -9, 50, -13, 29, -36, 59, -53, -36, -41, 3, 62, -39, 56, 65, -16, 29, -2, 52, 11, 13, -48, -42, -9, -42, -35, 37, -11, -17, -47, 21, 28, 59, -22, -57, -29, 27, -34, -5, -47, -6, -36, -22, -51, 26, -57, -35, 43, -54, 5, -27, -55, 15, -47, 2, 4, 12, 40, 6, -2, -61, -16, -9, 30, -34, 31, 34, 31, 31, 18, -30, 0, 63, -51, -8, 19, -40, -15, -54, -63, 50, -47, 19, -50, 10, -46, -48, -57, -61, 28, 43, 62, 44, 24, 18, -28, 13, 8, -47, 39, 12, -18, 49, 17, -29, -4, 2, 3, -27, 0, -63, 16, 3, -52, -31, 50, -16, 58, 58, 2, -9, -39, 19, 58, -44, -47, -57, -20, 40, 14, -27, 48, 11, 60, -24, -24, 9, -14, -59, -49, -33, -27, 1, 48, -28, 37, -23, 62, 64, -29, -4, 45, -25, 13, 53, 36, -42, -27, -57, -58, -51, -11, 57, 39, -35, -51, 56, 7, 36, -52, -41, 51, -62, -39, 50, -39, -56, 20, 2, -70, -40, -47, 43, 59, -56, -51, -10, -28, -10, -41, -61, 52, 33, 27, -6, -57, -40, -30, 37, -58, -53, -66, -30, -29, 12, -53, -39, 21, 43, 53, -29, 34, -57, -48, 11, 18, -21, 5, 23, 24, 37, -51, -40, 18, 50, -13, 11, -2, 45, 2, -38, 6, -15, 4, -47, 53, -58, 46, -40, -39, -9, 48, -14, -5, 53, -29, -13, -59, 21, -54, -55, 22, -50, 37, -57, -10, -14, 55, -19, -2, 56, 36, -21, 34, -29, -30, -18, 15, -7, 5, 17, -23, 61, -33, -4, 33, 8, -32, -12, -10, -12, -21, -44, -60, 32, 32, -19, -57, 35, 48, 13, -2, -16, -55, 10, -7, 44, 38, -6, -11, 10, 17, 18, -7, -63, 35, -53, 23, 51, 12, -8, -44, -2, 9, 44, -55, -13, -33, 20, -18, 49, -1, -25, -9, 42, 18, 21, 59, -42, -61, -35, 35, 3, -54, -19, 60, -54, 56, -31, 20, -51, 36, -8, 31, 18, 36, 17, -23, 32, 32, -61, -22, -38, 16, 48, 2, 27, -42, 32, -50, -16, -34, -35, 29, 50, -28, 52, -38, -23, 64, 4, 38, -31, -39, 11, 45, 45, -10, 1, -19, -17, 10, -56, 30, 19, 4, -17, 50, -5, -56, 36, 4, -48, 9, -22, 41, 66, -55, 71, 64, -3, -38, 19, 57, -16, 33, 2, -74, -22, 45, -59, 50, 45, -6, -58, -40, -39, -52, 61, 50, 63, -39, 3, -17, -6, -47, 0, -59, -40, 1, 17, -63, 13, 46, -59, 33, -57, 53, 53, 17, 46, -56, -25, -47, 79, 11, 1, 77, 2, -15, 4, -4, 7, -5, -27, -57, -37, 14, 17, -68, 25, 5, -7, -41, -24, -19, 36, 52, -41, 0, 26, -57, -17, 66, 65, -11, -22, -67, -49, 41, 24, -22, 59, -56, -33, -68, -57, -42, -3, 9, -26, -8, 54, -44, -6, 66, 8, 15, 2, -4, 52, 52, -45, 31, -22, -40, -10, 44, -17, 20, 22, 34, -56, 13, -19, 25, -18, 57, -13, 21, 55, 108, 75, 50, 58, 45, -26, 67, -11, 44, 29, 127, 42, 35, 33, 45, -31, -38, 9, -50, -58, -43, -28, 11, 32, 30, -34, 49, 51, 49, -43, -11, 39, -18, -8, 6, 64, -69, 24, -13, 16, 41, 8, -4, 4, 18, -16, -67, -29, -76, 33, -11, 15, -3, 80, 49, 65, 41, -8, 73, 79, -37, -48, -20, 31, -45, -59, 63, -32, -61, -59, 41, -30, 27, 3, 35, 49, -66, 60, 76, 56, 60, 50, 25, -21, 41, 14, 67, 31, -51, 23, -21, -16, -2, 36, -31, 23, -2, 5, -27, 5, -61, 31, 59, 7, -20, -35, 55, -43, -92, -15, -27, -51, -73, 36, -69, -12, 4, 16, -73, -6, -15, 10, 35, 59, -2, 1, -12, 36, -45, -63, 10, 34, 27, -15, 65, 59, 9, -6, 58, -51, 1, -53, -16, 21, 70, 59, -48, 1, -37, -43, 3, -50, 52, 2, 45, 68, 52, -29, 21, -45, 34, -47, 70, 90, -23, 23, 55, 35, -47, -67, -34, -3, 59, -36, -53, -59, -5, -33, 60, 30, -26, 55, 14, -21, 38, -34, -50, -49, -17, -11, 68, -24, 9, -60, -32, -65, 57, -25, -44, -1, 34, 46, -25, -51, -14, -36, 1, 13, 61, -1, -16, -17, 9, 62, 31, -14, -16, -23, -53, 32, -49, 34, -19, 57, -41, -24, -2, 37, -53, 47, 21, -98, -52, -57, 17, 57, -13, 3, -52, -57, -63, 10, 16, 33, -28, -15, 14, 39, -54, -54, -67, -58, 56, -56, 6, 17, 12, 23, 52, 67, 59, -2, 89, 34, 25, -21, -7, 47, 53, 26, 2, 33, -2, -9, 69, -15, -44, -42, -44, 43, 0, 60, -12, 24, 47, 59, -12, -33, -44, 30, 34, -34, -55, 3, 6, -9, 32, 4, 26, 36, -37, 59, -60, 40, -28, 25, 25, 9, -2, 62, 1, 25, 17, -31, 40, -16, 23, -48, -23, 9, -56, 45, -18, 16, 37, 48, 27, 19, -55, -60, -67, 22, 27, -58, -36, 15, -65, 9, 26, -31, 46, -58, 5, 65, -16, -62, -16, -30, 31, -41, -31, -62, -24, 8, -40, 35, -58, 6, -18, -32, 7, -51, -24, -40, 63, -10, -43, -45, 22, 3, 59, 27, 10, -61, 36, -8, -53, 56, 3, -20, 68, -55, 27, -51, 6, -26, -37, 45, 19, -52, -48, -21, 12, -53, -42, -34, 7, -22, 78, -43, 43, 0, 42, 34, -61, -11, -5, 20, 22, -50, -24, 73, 37, -7, -18, 31, 44, -15, -22, -22, 41, -4, 53, 9, -24, -4, 37, 61, -5, 15, -2, -13, 26, 43, 43, 14, -34, 58, 4, -16, 39, -62, 54, 54, 9, 26, -44, 45, -39, -16, 11, 18, 22, 2, 19, 17, -43, 13, 24, -7, 0, -13, 7, -78, -95, 29, -43, -44, -47, -21, 7, -24, -31, 61, -20, 62, 59, 42, 47, -58, -43, -16, -25, 22, 14, -25, 21, -61, 47, 34, 64, -25, 22, 16, 51, 17, 16, -16, -23, -17, -7, -36, -42, -69, 23, 12, 49, -8, -26, 21, 70, 34, 8, -17, -34, 10, 25, 42, 12, 26, -42, -12, -62, 26, -8, 35, 14, -53, -66, -45, -14, 38, -61, -41, 8, -16, -14, 46, 3, -11, 48, -56, 35, 21, 47, 61, -27, 47, -38, -51, 35, -24, -61, 12, -55, 42, -26, -41, 15, -20, -53, 2, -53, 27, 58, 25, -27, 29, 25, -14, 24, -64, 28, -61, -47, -45, -38, -1, -23, 18, -12, -43, -43, -26, -9, -47, 55, -16, -35, -4, -71, 20, -23, 5, 1, 64, 19, 33, -54, 34, -4, -4, -21, -11, -5, 10, 32, 18, -40, -4, -28, 30, -19, 11, 8, 22, 5, 14, 35, 27, 7, 53, 7, -15, 50, -11, 28, -48, 48, 6, -7, 50, 16, 53, -53, -19, 28, -42, -14, -55, 75, 52, -7, 19, -33, 13, -53, -54, 48, -36, -4, 35, 37, -35, 26, 12, -21, -28, -60, -33, -24, -60, 29, 11, 2, 45, 52, -17, 49, -82, 14, -67, -28, -39, -26, 3, -19, -11, 86, 57, 43, 18, -21, 34, 24, 35, 39, -14, -67, 26, -4, 53, -2, -36, -2, -70, -54, 30, -34, -58, 18, -55, 8, 31, 14, -33, -8, -50, 42, -19, -17, -50, -25, 46, 16, -29, -53, -2, 46, 65, -53, -28, -27, -27, 14, -36, 13, 21, 58, 12, 51, 38, -30, -12, 3, 57, -34, 25, -16, 19, 69, 23, 7, -14, 3, -40, -13, 58, -18, -15, -36, 7, -11, -28, -10, 9, 3, -33, -63, -19, -47, -16, -16, -17, -51, 0, 24, 55, 53, 22, 33, 36, 17, -48, -62, 15, -2, -66, 27, 31, -48, -45, 2, -49, 55, 4, -16, 43, 24, -25, 9, 44, 72, -35, 32, -41, 97, 31, 12, 51, -24, -13, -2, 10, 32, -40, 36, -63, 57, 44, -50, 3, -58, -7, -38, 46, 12, 52, -80, -11, 36, -63, 25, -25, 32, -50, 9, 21, -4, -38, -41, -56, -45, -17, -46, 36, -71, 42, -55, -24, 55, -53, 8, 20, 41, -71, 31, 72, 40, -73, -14, -60, -3, -67, -22, 25, 56, 89, 42, 60, 86, -36, 42, 57, -61, -56, -52, 1, -29, -59, -35, 23, 14, 8, 82, -19, -58, 44, -16, -2, 29, 13, 30, 67, 43, 7, -44, -34, -11, 24, 30, 51, -28, -24, 63, -1, -50, 44, 65, 14, -53, 16, 36, 9, 24, -29, 29, 43, -17, -3, 13, 23, 47, 20, -4, 23, -49, 21, 16, -33, -56, 49, 16, 20, 46, -41, 6, 11, -37, -48, -71, -25, -50, -45, 54, -9, -25, 16, -42, -43, -36, -28, -21, 38, 62, 31, 59, 6, 26, -30, 39, -2, -45, 55, 38, 49, 14, -65, -54, -24, 24, 36, 29, 26, -11, -73, -53, 10, -11, 21, 39, 45, 0, -52, -8, -8, 27, -19, 51, -9, -38, -12, 34, -10, 58, 60, -42, -47, -29, -19, 62, 41, 23, 42, -56, 18, 5, 27, 29, -35, 44, -64, -13, 40, -62, 9, 36, 19, -32, -13, 36, -89, 27, 52, -71, -38, -17, -35, -2, -23, 7, -31, -40, 14, -21, -11, 14, -62, -21, -34, 28, -36, 45, -30, -4, 32, 68, 75, -63, 48, -4, 47, 27, -50, 52, -23, 48, -7, 13, 13, 42, -2, 52, 30, -38, -5, -53, -17, -54, 4, -5, 18, 16, 20, -41, 52, 54, -58, -64, 1, 15, -28, -51, -60, -47, -8, 33, -29, 26, -59, 38, 52, 19, -16, 36, -20, 44, 36, 34, 61, 36, -20, 36, 9, 13, -4, -26, -21, -23, -64, 39, 27, -43, -29, 9, 55, 62, -9, 10, -4, 57, -46, 13, -43, 39, 49, -45, 25, 63, 63, -2, -20, -26, -30, 60, 35, 61, 1, -10, 66, -27, 45, 2, -63, -69, -25, -50, -60, 34, -79, 55, -67, -26, -6, -24, 56, -20, -7, -48, 16, 3, -24, 15, -14, 44, -39, 4, -29, 52, 26, -48, 15, 9, -16, -54, 30, -13, 39, 18, -6, -29, 11, 78, -43, -52, -48, -35, 4, -56, -10, -60, -35, 45, -10, 1, 30, -46, -6, -45, -34, -24, 38, -64, -51, 40, -35, 18, -7, -10, -42, -41, 26, 27, 79, 39, -60, -53, -64, 7, 31, -25, -24, 1, 8, 0, -51, -16, -37, -79, -29, -49, 34, -65, 50, 33, -20, 58, -22, 46, -33, 3, -4, -60, -40, -12, -1, -48, -10, 57, -19, -48, -7, 47, -50, -12, -40, 64, 25, 19, 36, -19, -59, 62, -52, 13, -48, -14, 7, -40, 62, -28, 27, 4, 42, -9, 0, 30, 18, -65, -29, 15, -11, -11, 22, 17, 30, -20, 45, -62, -38, -31, -56, 37, 15, 1, 23, 29, -36, 45, -38, -16, 37, -36, -2, 39, -66, 40, 19, -30, -28, 32, 45, -6, 0, -40, -29, -3, 38, 14, 55, -50, 27, -58, -9, 32, -10, -17, 45, 17, -69, -34, -59, 34, -29, -55, -56, -7, -5, -7, 29, -4, 54, -67, 22, -46, 10, -8, 39, -24, -6, -2, 51, -47, -19, -70, -47, -15, 29, -54, 35, 22, 73, 8, 10, 22, -8, -35, -53, -31, -9, 40, 13, 14, -38, -26, 19, -3, -44, 47, -7, 41, -2, -17, -26, 21, 12, -28, -5, 62, -51, -63, -49, -43, -28, -57, -24, -33, -17, -45, -6, -61, 36, 57, 5, 44, 28, 50, -47, -6, -23, -48, 23, -3, -30, -31, 42, -7, 51, -48, 36, 68, 32, -65, -51, 51, -16, 12, -13, -65, -15, -74, 46, 38, 27, 38, 51, -56, -18, 27, -3, 17, 57, 25, 28, 1, 33, -13, -34, 63, -14, 21, -34, -4, -29, -20, 17, 0, -23, -52, 40, 48, 63, -61, 27, 62, 37, -10, -58, 59, 44, -31, 50, -53, 5, 13, -4, 1, -33, 57, -9, -36, -4, 0, -55, 50, 35, 29, 20, -44, -21, 23, 30, -27, 68, 12, 56, 41, -57, -49, 49, -63, -53, 17, -51, -42, 59, 37, -36, -7, -34, -27, -38, -31, -19, 37, 57, 4, -11, -29, 12, -62, -20, 8, -19, 50, -20, -21, -16, 25, 13, 45, -43, 4, -22, 18, -6, -17, -4, -44, 60, -70, 18, -25, 60, -34, 56, -27, -49, 51, -42, -4, -43, -34, 54, 8, -54, -31, -44, 46, 2, -28, -40, -53, -17, -10, -55, 21, 8, 30, 43, 13, -38, 39, 64, 53, -15, -4, -3, -26, 42, -12, 6, -33, -19, -42, 55, 6, 37, 25, 0, -38, 20, -9, 6, 14, 23, -49, 8, -38, -39, -29, -7, -49, -37, 44, 5, -6, 42, -46, 12, 13, 27, 46, -52, -23, 41, 56, 20, -32, -13, -43, 8, -4, 31, 27, 62, -69, -12, -30, 39, 1, -24, 40, 53, -50, -27, -6, 10, -56, -22, -10, 35, -31, -55, 18, 45, 32, 25, -6, 43, 45, -14, -30, -22, -19, 7, 63, 61, 19, -41, 47, 40, -17, 17, 31, -44, 11, 37, -16, 57, 13, -54, -40, 26, -23, 62, -63, 11, 10, -57, -48, -56, 54, -13, 4, -60, 23, -50, 15, 39, -25, -51, 18, -69, 41, -28, 24, 20, -7, -28, -37, 0, 37, -54, 53, -32, -42, -47, -62, -9, 11, 53, -1, 12, -10, -32, 2, -65, 47, -7, 50, 28, -29, -46, -45, -25, -32, 39, 4, -44, 17, -32, -66, -43, 33, 63, -55, 3, 11, -38, 69, 12, -50, 58, 21, 1, 27, -18, -19, -35, -52, -20, -36, 52, 0, -10, 69, 0, -13, 38, 41, 32, 40, 20, 11, -53, 21, 31, 51, 45, -16, -38, -10, -5, 42, 57, -18, 29, 37, -5, 38, -14, -64, -3, 58, -1, 45, -28, 52, 40, -59, 57, 10, -21, 1, -39, -43, -41, 33, -25, -54, 35, 38, -47, -45, -44, 23, 14, -30, -24, 24, 30, -65, -5, -8, 37, 59, -24, -9, -41, -64, -27, 18, -48, -66, -55, 8, -14, -13, 54, 55, 58, 31, 59, -54, 4, 32, 18, 53, 31, -30, 41, 36, 50, -54, 51, -45, 42, 54, 41, -35, 0, 69, -23, 46, -9, 30, -10, 25, 6, -37, 15, 7, -51, -57, 39, 18, 0, -46, -39, -49, 59, -28, 44, 13, 7, 38, -1, 20, -33, 30, 14, -29, 52, 16, 17, 16, 60, -60, 9, -20, 25, -6, 37, 47, 4, -48, 21, 12, -31, 51, -8, -42, 7, 12, -41, -17, 23, -20, -57, 34, -26, 0, 58, 57, 36, 10, 64, 52, -1, -16, -1, 21, 16, -35, 19, -33, -19, -24, -20, 7, 10, -52, 47, -26, 72, 39, 53, 24, 1, 63, -18, 52, 38, 1, 52, 0, 46, 64, -11, 52, -36, -28, -50, 61, -30, 15, -12, -35, -1, 48, -26, -67, 2, -25, -42, 3, 54, -10, 7, -25, -37, 22, 17, 16, -44, 60, 17, -15, -51, 1, -13, 14, 14, 19, 15, -46, -10, 57, 35, 42, 5, -76, 29, 11, -37, -56, -4, -71, -34, -30, -28, 39, 20, -16, -8, 32, 1, 5, -9, 20, 23, 29, 28, 42, -20, -12, 17, 50, -36, 41, 49, -52, -47, -21, -41, 35, 38, 2, 12, -64, -21, 8, -3, 44, -9, -52, -25, 35, -50, -56, 45, 45, 16, 77, -28, -40, -9, 32, -73, -36, -57, 23, 51, -57, 53, -57, -53, -61, 34, -16, 35, 9, 22, 13, 23, -44, -14, -28, -36, -63, 55, -59, -17, -5, -30, 51, 36, -31, 20, 37, -29, 46, 8, -67, -16, -57, -7, -38, -6, -3, -18, 78, -25, 9, 2, 38, -12, 42, -6, 5, -43, 50, -56, 28, 30, -56, 38, -57, -44, -67, 5, -3, 66, -3, -5, -9, -5, -57, 17, -26, -51, 37, 9, -67, 44, 12, -7, -50, -25, 38, -9, -62, -52, -7, -38, 62, -52, -68, -21, 6, 11, 0, 62, 24, -45, -21, -49, 21, 61, -61, 28, 23, -15, -28, -11, 47, -33, 43, 27, 53, -36, 12, 42, 44, -54, -56, -25, 9, -5, 62, -51, 40, 43, -40, 30, 5, 15, 11, 7, 39, -12, 38, -43, 17, -49, 19, 15, -67, 2, -73, -51, 64, -54, 11, 2, 4, 5, 66, 0, 60, 5, -48, -17, -49, -61, -72, 6, 1, -18, -18, 51, -80, -59, -37, -28, 23, 5, 29, -7, -78, -2, 40, -4, 18, -8, -41, 24, -32, 52, 19, -43, 62, 24, -66, -47, -2, -32, -41, -25, -3, -33, 43, -13, -41, -20, 8, -30, 13, 23, -8, 15, 33, 26, -15, -5, 40, 5, 14, -35, -18, -2, -40, 28, 56, 52, -19, 17, 45, -57, 42, -47, -44, -19, 44, -46, 42, -64, -4, 30, 12, 50, -63, 58, -33, 29, 60, -52, 48, -6, -43, 26, 2, 24, 4, 39, -58, 3, -10, -10, 25, 34, -10, -54, 9, 23, 33, 41, 15, -5, 20, -50, 48, -30, 24, 52, -44, 32, 29, 38, 54, 24, -69, 11, -5, -8, -67, 23, -49, 39, 4, -27, 22, -36, -5, -23, 46, -24, -26, 77, 34, -12, -5, 41, -53, 38, 31, 48, -5, 11, -50, -67, -48, -35, 21, 33, -40, 12, 23, -31, 41, -45, 31, -36, 26, 33, -10, 6, 39, -42, 33, 2, -2, -50, 18, 11, -15, 42, 30, 55, 26, 18, 36, -34, -16, 13, 71, -58, -44, 55, -17, -20, -2, 67, 14, -9, -21, -34, 22, -29, -2, 25, -52, 40, -27, 27, -29, -10, -4, -67, 34, -20, -17, 1, -47, 16, 59, 22, 49, -29, -14, 36, -15, 33, 45, 51, -15, 49, 14, 17, 37, 22, 19, 46, -31, 1, 38, 26, 51, -49, -18, -30, -32, -67, 19, 45, -2, -61, 54, 12, 62, -21, -8, 20, 54, -9, -43, -58, 19, 2, 54, -14, 40, 27, -14, -37, -31, 29, 6, 49, -58, 57, -1, -50, -41, -11, -51, 45, 13, -34, -16, 35, 28, -71, 32, -44, -22, 55, -15, 22, 53, 1, -56, -48, -38, 62, -15, -32, 64, 27, 16, -37, 55, 19, -30, 25, -2, 37, 73, 43, -36, -9, 9, -26, 2, -51, -3, 34, -39, -26, 19, -45, -14, 6, -23, 15, 36, -4, 37, 47, -55, -27, -29, -41, -1, -14, -41, 30, 18, -7, -46, 41, -22, 47, 14, -17, -63, 1, 46, -29, 34, 52, -23, -19, 7, 24, -16, 66, -49, -48, 14, -73, -6, 15, -70, 19, 62, 36, -7, 58, -28, 4, -5, 57, 52, -49, -53, -43, -19, 3, -31, -74, 29, 21, -12, 32, 49, -13, 44, 48, -33, 65, -31, 18, -25, -46, -31, -16, -45, -63, -1, -19, -46, 39, -40, -18, 59, 37, -30, 25, 20, -25, 11, 2, -23, -37, 28, -31, -19, -59, 57, -71, 39, 56, -23, 51, 25, -39, -40, -45, -15, -18, -64, -54, 5, 36, -64, 59, 73, 7, 40, 17, -24, 6, -69, -25, 50, -15, -35, -24, -27, -19, -46, -22, -65, -72, 19, -67, 70, 5, 15, 13, -40, -6, 33, 52, -56, 80, 57, 31, -2, -28, -50, -67, 27, 42, -49, 18, -27, 19, -53, 40, 9, 4, 13, -53, 20, -60, 23, -20, -45, -61, -32, -20, -45, -26, 7, -43, 49, -21, 15, -60, -10, 16, -56, -9, 15, 42, -45, 27, -24, -66, -63, -26, 5, 64, 21, -53, -42, 53, -10, -5, 45, 11, -54, 7, -61, -30, -48, -25, 31, -6, -12, 3, 49, -3, -42, 45, 25, -39, -40, -34, 12, 15, -51, 53, -33, -14, 41, -55, 46, -62, -57, 56, 34, 17, 28, -4, -7, -51, -24, 15, -35, -10, 13, -65, 48, 57, -63, 14, 38, 47, -28, 66, -22, -2, 34, 47, 21, -25, -9, 42, 19, 31, 17, 58, 13, -52, -57, 24, 54, 10, 0, 33, -51, 23, -54, 61, -53, -48, -1, -46, -32, -43, -9, 14, -30, 46, 40, -17, -36, 11, 27, 42, 11, -34, -46, -28, -36, -19, -49, 2, -6, -6, 32, 44, -32, -63, 26, 27, -48, 16, 39, -3, 24, -30, 5, -9, -1, 41, -24, -27, -39, -33, -48, -12, -6, -22, 19, -19, 27, 19, 35, -34, 22, 19, 3, 15, 13, 43, 63, -56, -43, 43, -33, -57, -64, 57, -5, -33, 22, 5, -32, -47, 28, 3, 6, -34, 22, 8, 8, 4, -39, -29, 20, 39, -64, -3, -37, 46, 66, -14, 0, -5, -28, 57, -18, -31, 33, -15, -22, 50, -28, 35, -4, 34, 21, 45, -6, -4, 12, 35, 32, 24, 36, 75, -5, -38, -49, 54, 19, 49, -12, -14, -21, -59, 55, 39, 54, -17, 5, -3, 4, 79, 3, 4, -27, -15, 6, 28, -54, -13, 49, -63, 50, -6, 43, 13, -39, -55, 12, -51, -10, 70, -52, 17, 1, -52, -30, -36, -22, 28, 33, 39, 64, -61, -40, 67, -27, -17, -14, 16, -25, -72, 23, -23, -3, -32, 38, 33, 31, 50, 27, 36, -11, 9, 14, -22, -68, 33, -54, -37, -48, -5, 24, -9, -40, -31, 5, -58, 58, -23, 58, -6, -26, -35, 46, 2, -52, 33, 4, -30, 20, 37, 35, 61, 47, 24, 34, -53, 67, -6, 53, 3, 4, -35, 1, -66, -46, 63, 15, 20, -20, -52, -18, 63, 13, 37, 43, 33, 9, 50, -21, 40, -1, -31, 45, -57, 58, -25, -21, -52, -56, -2, -34, -24, -21, -38, -56, 40, -44, 53, 24, -39, -74, 55, -20, -61, -20, -10, 30, 13, -18, 34, 8, -30, 49, 37, 44, 21, 41, -26, 3, 16, -35, 46, -41, -30, 24, -22, -34, 55, 4, 26, -25, 2, 60, 35, 34, -32, -38, -52, 37, -31, -33, -26, -47, -6, 6, -21, -12, 2, -49, -50, 56, 23, 59, -6, -62, -56, -24, -46, -62, -24, -3, 37, -32, 6, 76, -40, 14, 18, 14, -33, -8, -25, 37, -28, -12, -23, 8, 4, 41, 29, -29, -40, -53, 21, 14, 54, -39, 40, 43, -36, 16, -3, -11, 49, -85, 78, 18, -78, 36, 11, -12, -50, 22, 34, -9, 26, 22, 39, 15, -64, -9, 1, 47, 35, 61, 35, 53, -7, 1, 63, 62, 16, 27, 48, 21, 66, -5, -83, 22, 37, -57, -51, -53, -11, 46, -51, 29, -33, 15, -4, 39, -50, -37, -5, -55, -36, 15, -45, 3, -33, -59, 5, 13, -18, -8, 47, -22, -18, -38, 5, -62, 69, -2, -21, -62, -59, -20, -4, 4, -2, 12, -27, -37, 57, -33, 16, -49, 25, 62, 71, 7, -25, -32, 63, 47, 20, -51, -42, 5, 32, -46, 26, 52, -10, -34, -41, 26, -40, -7, -21, -48, -31, 27, 14, -31, 14, 10, -53, 41, -32, 51, -3, 33, -36, 44, -35, -34, 20, 7, 28, -2, 6, -52, -36, 44, -40, -23, -48, 58, -59, -4, -25, -51, 50, 29, -42, -49, -21, -18, 22, -12, -55, 12, -46, 61, 3, -60, -34, 38, 24, 6, 53, -49, 12, 35, 52, 7, -15, 40, -74, -62, 57, -77, 30, -52, 2, 50, -39, -29, -56, 50, -6, 61, 56, 46, 2, 56, -47, -64, -6, 31, 28, -51, -47, -26, 41, -62, -57, 25, -19, -57, -11, -58, 50, -52, -45, -40, -8, -36, 49, 35, 14, 42, 28, -19, 46, -6, 59, 15, 61, -49, 51, 37, -46, 30, -42, -54, -54, 55, -27, 17, 6, 0, -46, 19, -43, -10, 18, -57, 21, 7, 25, -31, -45, 38, -24, -63, -32, -21, 31, -23, -40, -34, -35, 19, -14, -29, 29, 36, 7, -41, 29, -50, 14, 58, -28, 7, 24, 29, -13, 25, 0, 50, 49, 46, -7, 18, 2, 43, 50, 19, -21, -51, 44, -20, 63, -51, -27, 56, -35, 50, -7, 22, -4, 58, 12, 2, -24, 4, 1, -2, -62, -31, 21, -11, 28, -42, 16, 27, -60, 16, 11, 3, 36, -22, -31, -18, 33, 47, -17, -58, -15, 19, -10, -4, 61, -53, 14, 50, -33, 49, -24, -54, -60, 17, -12, 29, 45, 40, -45, 59, 30, -50, 63, -42, 27, -61, 62, -15, -16, 37, 13, 26, -11, 49, -29, -16, -52, 51, 33, -30, 55, -54, -47, -25, -31, 30, 37, 56, 54, 56, 54, 2, -41, 60, -49, -46, 5, -24, 54, 39, -14, 53, -20, 21, -29, -25, 4, 48, 19, -45, -62, -15, -14, 1, 24, -64, -18, 49, 58, -51, 38, 30, 18, 3, -6, -42, -17, 60, -10, -60, 63, -54, -57, -1, 33, -42, 14, -14, -34, -26, -7, -66, -21, -65, 16, -33, -30, 47, -29, -14, 16, 16, 3, 52, -4, -20, 31, -11, -8, 24, 11, -38, -34, 26, 12, -62, 52, -57, 39, 33, -14, -46, 60, -22, -40, 37, 24, 15, -47, -16, -42, 25, 3, 3, -36, 7, -9, 11, 28, -25, 8, -44, -42, -37, -56, -15, 37, -4, -35, 39, 23, 18, 41, -48, 26, -20, 61, 27, -42, -9, 47, 37, -29, 58, 60, -60, -60, 33, 55, 36, -16, 24, 5, 21, 40, -30, -27, 59, -9, 13, -57, 22, -11, -43, -44, -26, 2, -15, 53, -12, -43, -19, -10, -10, 14, -15, 23, 57, -44, 18, 5, 9, -2, 7, 46, -7, -33, 21, -15, 13, -26, 31, 33, -35, 26, 41, 44, 20, -22, 2, -40, -44, 1, -64, 15, 0, -37, 32, -23, 15, -58, -55, -30, -16, -62, -27, -43, 42, -6, -32, 20, 20, -41, -37, -28, -53, -55, -11, 30, -56, 44, -63, -53, 41, -64, -46, 5, -35, -2, -30, 20, -19, 0, -41, 50, -55, 23, -1, -16, -56, -51, -48, -9, 26, -58, -28, 32, 9, 44, 1, 0, -50, -10, -35, 0, -39, -42, 2, -45, -44, -6, -15, 58, 28, -20, 40, -21, -13, 54, -56, 16, -58, -35, -48, 5, 43, 50, 61, 9, -20, 6, -54, -19, -49, -7, 61, -3, -21, -35, -11, -20, -30, 21, -54, -64, 40, 4, 35, -41, 16, 23, -49, 62, -32, 41, 60, -17, -45, 31, -26, 51, -7, 53, 55, -5, 34, -38, 48, -62, 29, 17, 20, 30, 55, -12, 2, 40, -53, -5, 43, 16, 62, 44, -25, 45, -7, -9, 44, -52, -40, 3, -26, -34, 47, 50, 14, 13, -16, -27, 45, 43, -31, -24, 13, -9, -27, -35, -26, 11, -50, 45, -9, 61, -67, -42, -4, -31, 3, -27, -20, 7, 20, -17, 63, -63, 7, 23, -58, -1, 17, -53, 62, -17, 45, -54, 55, 43, -36, 13, -48, 7, 62, -24, 24, 35, -23, -41, 52, 14, 18, 20, -21, -53, -21, 25, 28, 20, -20, 4, 47, 10, -9, -30, -41, 53, 38, 30, -20, 19, 47, -27, -54, 5, -37, 34, -10, 40, -61, -7, 61, -53, -44, 51, -33, 60, -49, 23, -62, 55, -12, 45, 42, -45, 30, -52, -9, -5, -46, -57, 12, 56, -12, 27, -14, 5, -54, 0, -63, -48, -31, 9, 2, -15, 18, 7, 48, 46, -26, -32, -35, -3, 24, -27, -63, -32, -30, -43, -2, 17, -28, -54, 37, -5, 37, 31, -33, 57, 11, -61, 18, -23, 5, 50, -8, 60, 16, 23, -23, 45, -27, -47, 28, 31, -1, 26, -8, 5, -38, -12, 51, -11, 31, -2, 33, 10, -18, 27, -15, 37, 50, -54, 51, -9, 53, 0, -63, -20, -52, -58, -1, -39, 46, -45, -57, 59, -63, 61, -49, 59, 0, 61, 44, -46, 38, 8, -22, -21, 46, -16, 39, -20, -50, -25, 5, 6, -15, 62, -20, -19, 8, -64, 1, -33, -37, 38, 50, -25, 17, -50, -14, 42, -23, 21, 46, 42, 12, -51, -14, 53, 35, 26, 43, 61, 30, 12, 6, -46, 25, -31, -62, 6, -34, -22, 12, -52, 12, -64, -66, -51, 62, -40, 25, -55, 43, -57, -1, 34, 15, 4, 45, -27, -20, -37, -41, -3, -22, 24, 14, -47, 42, 44, 39, 44, 58, -40, -28, -53, -58, 25, -57, -46, -16, 29, -17, -49, -27, -45, 25, -41, -41, -6, -58, -64, -22, -51, 1, 25, -19, -37, 36, -45, 61, 29, 5, -20, -43, 53, -35, 52, -45, -27, 11, 47, -8, 2, 52, 13, -18, 59, -3, 59, 22, -16, -6, 28, 40, 39, 41, 31, 6, -41, 13, -35, -63, -15, 41, -57, 43, 54, -33, -43, 56, -48, 21, -8, 21, 56, -47, -22, -2, 15, 50, 36, -63, 15, -15, -62, 52, -25, 56, -33, 7, 47, 31, 3, 31, -58, -38, -3, 47, 20, 31, -58, -7, 58, 41, 37, 8, -8, 45, -10, -49, 56, -56, -48, -56, -55, -24, -5, 1, -18, -27, -63, -40, 44, -55, -41, 29, -5, -59, 36, 56, 47, 22, -15, -3, -28, -63, 64, -45, -27, 31, 47, 6, -37, 29, 54, 42, -11, 41, -20, -52, 33, 12, -47, -61, -8, -45, -32, 28, 24, -9, -12, -34, 48, 33, -54, 0, -31, 60, -14, -18, 37, -29, 48, 12, 29, 29, 36, 26, -31, 63, -21, 62, -3, -14, -57, -13, -4, -40, -3, 46, -49, 20, 40, 54, 45, -42, 2, 53, -51, -23, 19, -51, -12, 51, -42, 39, -40, -48, -43, -48, 6, 55, 55, 53, 28, 34, -56, -28, 51, 53, 30, -51, 25, -40, -28, 4, 36, 30, 51, -12, 25, 18, -10, -34, -48, -55, 0, 56, -23, -53, 25, 21, -22, 10, -62, -53, 34, -5, 26, -19, 14, 29, -62, 59, -33, -27, 46, 9, 16, -11, -60, -10, 50, -62, -36, -40, -33, -4, -9, -26, 29, 1, 51, -30, 58, -26, 26, -43, 16, 29, -20, 61, 20, -28, 4, -9, -40, 39, -43, -56, 12, -5, 55, 24, 9, 59, 33, 35, -9, 33, 52, -30, 52, 27, 18, -42, 31, 29, -33, 29, 43, -51, 23, -53, -49, 18, -64, 25, -3, 33, -13, -41, 55, 38, -25, -29, -63, -46, 32, 5, -38, -21, -9, -12, 44, -41, -41, -3, -30, -7, 37, -33, -60, 9, -53, 51, 2, -34, 4, -1, 47, -62, -60, 6, -3, -42, -13, 48, 11, -57, -17, 48, 17, 52, 27, -4, 59, -8, -12, 24, 44, -21, 44, -60, -45, 30, 27, -1, 39, 14, -19, 49, 7, -46, 39, -43, 46, 57, 20, 28, -12, 24, 41, 11, -35, 55, -18, 23, 37, 62, -37, 39, -56, -7, -45, -68, 59, -18, 15, -17, 48, -15, 70, -15, 45, 12, 40, 13, -34, -47, -18, -45, -18, -10, 28, 27, -29, 58, -42, -40, -52, -42, -13, -18, -15, -30, 6, 51, 26, -14, -50, 0, 17, 40, -58, 58, 21, 51, -47, -45, -24, 19, -7, 57, 37, 45, 55, 0, -51, 45, -16, -4, 1, -6, 44, 4, -46, -6, -28, -46, 6, -7, -45, 56, -40, 16, 40, -19, 50, -43, -13, 50, 38, 33, -13, -24, -39, -53, -69, -20, -59, 29, 56, 58, 22, 31, 54, -17, -4, 44, -8, -32, -12, 13, 14, -43, 17, 20, -55, 59, -63, 42, 46, -47, -48, 0, -23, 2, -13, 46, -86, -85, -13, 8, 36, -39, -11, 42, -30, -6, 54, 2, 29, 32, 5, 15, 62, 33, -24, 45, 47, 31, -37, -1, -29, 57, 23, 49, 30, 59, -45, 30, 41, 8, 8, -30, 11, -33, 38, -38, -21, -1, 62, -63, 9, -23, 33, -51, -51, 30, -55, -58, -23, 57, 57, -1, 29, 43, 4, -65, 48, 22, 52, -47, 39, 38, -9, 9, -40, 34, 7, -42, -59, -1, -67, 17, -56, -33, 22, -55, -21, -28, 19, -51, 27, -7, -1, -23, -32, -6, 8, 18, -26, -34, -15, -40, 39, 38, -28, 65, -12, -33, -35, 1, 51, -1, 36, 25, -65, -57, 30, 24, 2, -16, 33, 16, 30, -85, -33, -48, -56, -67, 54, -9, 8, 71, 20, -21, -6, -20, 36, 10, -40, -7, -14, 63, -34, 9, 40, -20, -59, -52, 24, 19, -47, -16, 55, -9, -17, 34, 11, 15, -41, -34, -62, 10, 48, 20, 22, 33, -32, -37, -5, -36, 59, -6, -21, 22, 26, 53, -51, 19, -57, 19, 15, -42, -30, 54, -36, -42, -16, -57, 32, 7, -62, 43, 44, -60, 68, 31, 9, -45, 6, 39, 29, -14, -23, -28, -38, 42, 6, -51, 16, 14, -19, 4, -35, -52, -11, 19, -41, -25, -60, -60, 6, -8, -6, 49, -51, 53, 59, 57, -61, 41, -49, 46, 30, 61, -61, 43, -50, -4, -48, -40, -47, 50, 71, 37, -20, 40, 42, -23, -43, 54, -6, 56, 53, -49, -37, 51, 23, -22, -46, 33, 9, 18, -37, 31, -38, 33, -19, -27, 1, -29, 40, -66, -22, -46, -67, -11, -42, -31, -4, 45, -14, 54, 32, 2, -33, -26, 11, 22, 58, -56, 5, -12, -14, -18, 25, -26, -4, -34, -54, -26, -13, -28, 18, 55, 18, -14, 42, -16, -58, 27, 51, 36, -24, -40, -27, -49, -37, -28, 37, 34, -15, 41, 40, 13, -63, -41, 43, 10, -44, 4, 39, 25, -26, 52, 55, 53, 0, -55, -5, 58, -43, -30, 50, 51, 25, 51, 58, 45, 29, -43, 11, 12, 64, -20, -49, -1, -25, -55, 37, 38, 20, 7, -36, -42, 3, 22, 37, 51, -18, -58, -62, 20, 33, -17, -9, -70, 34, 60, 12, -62, 54, -57, 61, 47, -9, -40, 42, -46, -23, 36, 20, 35, -41, -59, -39, -57, -17, -10, 46, 44, -18, 12, 61, -51, -23, -31, -6, -52, -27, -55, 21, -23, -33, -53, -29, 43, 55, -33, -33, 34, 42, -20, 6, 52, 0, 22, 30, -6, 62, 51, 9, -20, 36, -55, -70, 15, 10, 7, -39, 11, 42, -48, 61, 19, -8, 33, 25, -41, 1, -12, -43, 0, -50, 13, 25, -54, -57, -55, 61, 29, 10, 38, 7, -13, 62, 29, -34, -26, -38, 14, -26, 42, 10, 48, 59, -39, -57, 68, 5, -14, -47, 44, -43, -30, -25, -50, 5, -15, 27, -20, 34, -11, 50, -7, -12, -38, -6, -26, 53, 22, 0, 0, 7, -8, 15, -14, -56, -23, 54, 19, -2, -60, 38, 41, -21, -18, -28, 39, 38, 43, 27, 22, -48, 34, -53, -15, 55, -25, 30, -51, 59, -11, -30, 19, 16, -14, -50, 34, -52, -4, 9, 10, -16, -42, -60, -58, 24, 48, 25, 34, 64, 31, -35, 50, -12, 42, -25, 31, -49, 0, 30, 54, -42, 19, 2, -9, -28, -12, 59, 18, -57, 4, -15, 48, 46, -9, 61, -54, -46, -12, -51, -5, -39, 44, -23, 16, -25, 7, -31, -52, 62, -46, 25, -38, -38, 21, 6, 21, -64, 49, -20, 24, 13, 3, -23, 14, 19, -14, 14, 2, 47, 56, -44, 20, 17, 45, -3, -27, -12, -46, -55, -3, 6, 50, 42, 37, 41, -58, 35, -42, 47, 47, 19, 45, 52, -8, -2, -23, -20, -23, 2, 41, -22, -23, 59, 15, -15, -23, 3, -18, -36, -54, 12, 29, -46, -56, -19, -37, 21, 8, 10, 52, 41, 8, -3, 58, -11, -46, -13, 36, 57, 55, -16, 60, -2, 27, 17, -10, 54, 22, 35, 43, 5, 51, -20, 33, 38, 41, -52, 59, -50, -26, -36, -55, -15, 10, -46, -48, 32, 2, -18, -37, -52, 14, 60, -7, 3, 23, 41, -15, -65, 59, -24, 57, 23, 32, -57, 19, 15, 46, -55, -12, 1, 22, 54, -6, 6, -51, 35, -9, -18, 19, -6, 41, 18, 44, -1, 62, -44, -14, 3, 10, -11, -34, 7, -18, 9, -40, -9, -28, 66, 43, -7, -10, 20, -15, -19, 3, -5, -24, -3, 15, -17, 13, -52, -13, 12, -6, 12, 58, -11, -27, 7, -38, -9, 0, 28, 10, 50, -16, -30, -16, 27, -8, 3, -8, 49, -7, -36, -17, -15, -14, -17, 7, 9, -36, -15, -47, 19, -31, -54, 43, -25, 23, 32, 20, 20, 31, 56, -16, 38, 26, -12, 47, 65, 67, -65, 10, -34, -7, 18, -4, -43, 47, -52, 31, 33, -52, -29, 26, -54, -33, 58, 33, -32, -8, 55, -61, 0, -38, 55, -42, -48, -12, -54, -49, -39, 22, -73, 20, -33, -25, -80, -41, -35, 13, 1, 17, 29, 60, 10, 37, 29, -57, -49, -41, 59, 18, 19, -49, 52, 0, 12, -36, -30, -49, 3, 42, 21, -22, -24, 1, -18, 55, -24, -40, -38, -37, 25, 4, -68, 17, 10, -33, 36, 53, 37, 48, 58, 41, 60, 33, 5, 24, 32, -17, -1, 11, -27, 1, 34, -69, -61, 4, -41, -32, -58, -62, -33, -31, -27, -53, 9, 19, 21, 0, 4, -31, 22, 2, 34, 46, 28, -3, -6, 51, 52, -42, -43, -48, -26, -14, 2, 63, 16, 44, 15, -31, -53, -41, -18, 38, -20, 16, -35, -6, 57, 54, -60, 1, 30, -21, 46, 16, 17, 8, -63, 56, 19, -42, -5, -9, 41, -50, -22, 85, -42, 24, 7, 49, 5, 24, -60, 34, 63, 2, 54, 28, 29, -57, 57, -64, 30, -20, -39, 21, 21, -4, 6, -52, -22, 59, -26, -10, -51, -35, 1, -51, 43, 11, -32, 22, -41, -40, -17, 5, -19, -56, 62, -27, 29, 29, -16, 24, -17, 17, -10, 45, -28, 51, -22, -32, 0, -7, -51, 0, 48, 22, 54, -46, 36, -28, -49, -12, -6, 9, -56, 8, 46, -5, -26, -30, -42, 32, -49, -1, -65, -60, 46, -13, -44, 56, 4, 5, 1, 41, 40, -54, -36, 39, -37, -57, 56, 37, -59, -64, -57, 39, 40, 48, 20, -48, -34, 11, 42, 45, 4, 51, -61, 30, -14, 27, -13, 59, -5, -27, -22, 9, -1, -41, -30, -62, -24, 47, -24, -29, 9, 43, 18, 2, 5, 62, -56, -17, 1, 43, 31, 53, -14, -15, 48, -20, -67, -25, -64, 5, -50, 13, 29, -17, 46, 29, -42, -60, 33, -66, 8, -32, 21, 27, -29, 23, 53, -59, -18, -32, 13, 6, -25, 35, 57, -40, 2, 13, -55, 2, -49, -10, 28, -12, 20, -1, -57, 44, 51, -30, 11, -58, -16, 19, -34, -12, -29, -11, -4, 55, 40, 0, -29, 44, 15, 5, -44, -6, 26, -26, -8, -5, -28, -46, 26, -38, -5, 39, 53, -16, 4, 1, 18, -7, -44, 58, -23, 39, -28, 41, 37, -53, 47, -5, 10, -39, -52, -29, 19, 34, -9, -25, -10, -15, -63, -43, -12, -7, 38, -19, 20, 50, -12, 35, -8, 0, 10, -49, -42, 6, 50, 30, 49, 33, -58, 24, 37, -66, 27, -14, -15, -41, -47, 39, 10, -20, 7, 43, -1, 32, 46, 21, -63, -5, 32, 50, -43, 43, 16, 17, -45, 19, -66, -37, 1, 9, 34, 6, -15, 18, -25, 7, 62, -19, 7, -14, -57, 45, -36, -62, 26, -22, -35, -11, 16, 50, -30, -50, -40, -63, 11, -54, -11, -15, 24, -21, 49, -2, 2, -61, 3, -49, -13, 10, 43, 48, -64, -58, 59, 22, 46, 48, -1, 3, -15, 27, 55, 13, -27, -21, 1, 28, -43, -55, -18, -27, 48, 33, -10, 19, 1, -60, -63, -20, 39, -29, 22, 39, 35, -4, -64, -10, -47, 56, 57, -53, -28, 7, -49, -31, -27, 1, -44, 9, -62, 27, 18, -27, 40, 3, 50, -10, 55, -61, -48, -29, -56, 17, 1, 55, 50, -28, -26, 40, -20, 22, -4, -50, 36, -70, -56, -11, -43, -67, -45, 5, 54, 13, 38, 33, -3, -59, 56, 9, 57, 33, 50, 21, 53, 53, -29, -39, -18, -29, -43, 54, -38, 39, -22, 54, 45, -43, -18, 42, -23, -20, -9, 25, -32, -12, 21, -2, -3, -46, -44, -36, 48, 51, -18, -54, 39, -16, 12, 7, 42, 63, 7, 15, 52, -33, -1, 20, -45, 46, -25, 12, 51, -13, 18, -52, -16, 29, -50, -12, -11, 10, 1, -62, -35, -38, 8, -36, 21, -46, 35, -6, -14, -38, 56, -45, -14, 2, 12, 45, 7, 55, 25, 57, -60, -37, -39, 60, -8, 39, -14, 42, -41, -1, -37, 27, -5, 45, -60, 34, -18, 62, -36, -61, -22, -19, 4, 56, -13, 11, -57, -25, -1, -63, -5, -2, -47, -37, 28, -67, 36, -34, -55, -24, 40, 43, -33, 31, -57, 35, -57, 14, -50, -57, -12, -38, 7, 8, 18, 17, -24, 41, 41, 56, 19, 8, -36, 4, -48, -30, 23, -20, 56, -57, -57, -30, -33, -40, -54, -50, 30, 44, 5, 31, -21, -24, -45, 2, 1, 26, 9, 7, 53, -52, -4, -55, 6, -57, -19, 31, 44, -17, 26, 1, -44, 36, 10, -13, -29, -13, 35, 51, -48, 16, 3, -57, 2, 52, 22, -14, -27, 44, -30, 11, 11, 18, -30, -56, -51, 56, 1, 37, -7, 22, -60, 50, -69, 52, -52, -59, -2, 5, 12, 42, 51, 9, 6, -54, -11, -67, 1, 33, -3, -29, 29, 61, -50, 43, 46, -39, 40, -41, -34, -31, -33, 27, 23, 8, -22, -14, -48, 39, 15, -13, 48, 19, -49, 20, 30, 53, 16, 51, 14, 47, -57, -34, -57, 20, 15, 0, 16, 14, 53, 47, -58, 20, -25, -39, -52, 23, -45, -11, 38, 20, -36, 8, -51, -46, 27, -23, 8, 10, -16, 57, 42, -59, -50, 32, -5, 16, 53, 44, 50, -24, 57, 39, -49, 13, -35, 5, 10, 43, 51, -5, -39, 57, -60, 16, 7, 4, 35, -44, 17, -42, -11, -10, 13, -36, -29, -5, -34, -31, 1, -22, 1, 46, -23, 52, 41, -66, 1, -57, 31, -8, 3, 31, -12, -41, -1, -39, -7, 37, 37, 32, 34, -54, -40, 59, 54, 14, -57, -62, 34, 38, -40, -10, 43, -63, 24, -15, 49, -32, 23, -31, -27, 43, -12, -57, 10, -2, -47, 32, -25, 54, -62, -45, 42, -35, 59, -6, 22, 12, -68, 51, -11, 16, 27, 4, 46, 35, -60, -47, -17, -32, -60, 19, -27, -57, -69, 28, 17, 53, 46, 15, 41, -57, -18, -7, 23, 63, 41, 46, 19, 7, -15, -16, -59, -20, 22, 41, 28, -35, 1, -31, 50, -51, -27, 9, 3, -12, 8, -63, -62, 39, 38, 63, -34, -40, 13, -4, -19, -21, 53, -40, 39, -35, -20, 8, -42, 12, 50, -64, 39, 11, -29, -13, -51, 54, 6, 39, -40, 59, 54, 28, -6, -27, 17, -8, -32, -45, 21, -2, -15, 36, -3, 39, 25, 4, -23, 45, -58, 38, -13, -13, 41, 42, -52, -53, -16, -47, 30, -53, 5, 17, 6, 39, -10, -48, -12, 50, 43, 48, -42, -7, 18, -42, -12, -63, 60, -2, -8, 11, 12, 21, 18, -6, 2, -13, 16, 13, 53, 26, 28, -65, -53, -51, 0, 60, 52, -32, 10, 19, -50, -59, -45, -23, 4, 36, 46, -32, 14, -10, 10, -31, -35, 7, -55, -53, -60, -22, 44, 2, 20, -36, 22, 6, -29, 7, -34, -22, 17, 40, -44, 45, 53, 43, 0, -61, -47, -63, -62, -5, 43, 38, -43, -6, 41, 61, -7, -30, 36, 49, -30, -54, -10, 59, 31, 19, -16, -55, 7, -20, -39, 43, 4, -8, -8, 53, 32, -57, -27, 14, 2, 61, -35, -46, -58, -2, -65, 34, -13, 34, -64, -52, 41, -46, -54, -53, 14, -67, -13, -26, -42, -2, 32, -60, 0, -63, -14, 61, -34, 6, 42, -52, -1, 51, 22, 49, -37, -37, -32, -32, 44, 31, 56, 36, 11, -7, 35, 33, -58, 60, -57, -35, -18, 10, 53, -29, -56, 8, 50, 37, -52, 16, 29, -30, -36, -48, -50, 51, 2, 41, 9, 35, -10, -51, -26, 46, -27, -37, 34, -49, 38, -35, 42, 34, 12, 55, -39, 25, 59, 2, 14, 28, -48, 12, 5, -41, 50, -61, -5, -43, 0, -49, 30, -17, 57, 21, 31, 19, 63, -25, -21, 61, -7, 59, -42, -38, -26, 56, 18, -66, 34, 59, 28, 44, 10, -70, -33, 9, 51, 54, 42, -43, -44, -53, 27, -1, -14, 23, 55, 12, 13, -36, -43, 43, 11, 41, 7, 36, -2, 14, -15, -26, -15, 54, -12, -60, -5, -70, 2, -21, -6, 32, -37, -24, 51, -22, -11, 49, -5, 55, -58, 37, -59, 21, -46, -47, 24, -14, 12, -50, -24, 49, 30, -21, 17, -5, 7, -51, 17, -1, -14, 5, 23, -71, 44, -21, -32, -25, 11, 17, -58, 31, -27, -53, -54, 10, 54, 14, 2, 50, 55, -11, 19, -26, -46, -57, 35, -12, -28, 40, -3, -8, -32, -39, 52, -13, 4, 40, -55, -49, 26, 45, -55, -65, 13, -3, -54, 56, -27, 3, -18, -37, 14, -48, 29, -41, 29, 50, -6, -4, -24, -50, 62, 7, 47, 27, 42, -58, 0, -21, 38, -19, -39, -37, 38, 47, 8, 26, 43, -7, -17, -14, 27, 52, -60, -52, -20, 22, -28, -50, -43, 40, 32, 68, 31, -34, -34, -8, 21, 11, 34, 63, 39, -10, 10, -32, -53, 9, -1, 45, 35, 40, -56, 16, 80, -45, 1, -21, 2, 55, 16, -12, -38, -12, -25, 0, -54, 55, 22, -6, 22, -53, 31, -62, -59, -13, -55, -7, -6, 1, 64, 48, 0, -41, 59, 41, 40, 20, -36, -42, -27, -35, 62, 9, -33, 38, -34, -73, -22, -36, -3, -2, -18, 27, -21, 0, -12, -40, 20, 51, -60, 10, 61, -5, -55, -35, 11, 32, -1, -38, 3, 17, 66, -45, -43, -47, 45, -36, 53, -42, -20, -58, -55, -39, -24, -30, -5, 12, -43, 35, -52, -23, -12, 22, 10, -15, -3, -35, -18, -60, 8, 45, 50, -31, 56, 12, 68, -2, 9, -21, 41, 52, 11, 39, 45, -62, 77, -15, -46, 15, 1, -54, 3, -22, -14, 41, -10, -51, -84, 19, -61, -45, 6, -14, 42, -1, 29, 40, 15, 41, -50, -43, 21, -30, -7, 25, 24, 42, -53, 48, -51, -32, 41, -20, 10, 47, 42, -14, 44, 12, 20, -29, -1, 41, -40, -52, -19, 39, 50, -34, 26, -35, -18, 57, 11, 39, -59, -16, 46, 10, 27, -34, 41, 26, -58, 21, -35, 40, 15, 23, -4, -30, 3, -42, -7, 37, -47, 31, -8, 32, 63, -4, -22, 29, -37, -10, 27, 41, -17, 11, -41, 60, 42, 32, 3, -22, 56, -3, 45, -42, 34, 31, 6, -65, -69, 17, 22, -4, 16, 39, 76, 33, -45, 22, -49, -47, -36, 9, -41, 36, 8, 44, 28, 16, 19, 30, -48, 0, 56, -37, 36, -12, -52, 0, -9, -20, -2, 7, -28, 62, 42, 12, 56, 30, 1, -7, -20, 44, 33, -13, 6, 13, 26, -31, 11, -41, 30, -3, 44, 28, -23, 54, 14, 49, 49, 56, 12, 48, -8, -80, 3, 26, -28, -26, -14, -1, 20, -28, 54, -9, 8, 22, -11, 12, 11, 25, -6, -58, -66, 12, 13, 7, -29, 18, 13, -54, -22, -25, -43, 2, -54, 50, -40, 58, -39, -21, 8, 54, -20, 45, 4, 54, -27, -21, -29, 2, -48, 31, -19, -20, 24, -29, -48, 17, 63, -53, 12, 26, -60, 38, 53, 65, 45, 5, 5, 58, -11, -16, -39, -3, -30, -4, 15, -2, -46, -11, -2, 64, -24, -39, -64, 22, 22, -1, 28, -32, 27, 35, 61, -47, -30, -56, -18, -52, -40, 30, 55, -9, 13, 55, 10, 12, 53, 48, -20, -49, -7, -51, -47, -42, 1, -46, -38, -6, 34, 46, -32, 4, 59, -41, -27, -5, 44, -33, 42, 12, -58, -8, -26, 35, 56, 43, -2, 44, -2, 16, -34, 6, -61, 30, -42, 57, 10, 12, 55, 13, -33, -62, -26, 56, 74, 16, 5, -10, -42, -62, 42, -42, 18, -60, 54, -46, 41, -8, -39, -60, -58, 20, -24, 75, 7, 37, -41, 3, 46, 27, 64, 47, -39, 53, -35, 17, -8, -34, -49, -38, 36, 22, 57, -29, -43, 35, -17, -60, 36, -23, -42, -21, -25, -37, 46, -36, 31, 6, 51, 45, 5, 47, 28, 51, -58, -15, 54, -50, -11, -45, 29, 50, 36, -32, 10, -38, 37, -32, -19, -15, -34, 51, 25, -6, 47, 28, 32, -37, 0, -38, -55, 4, 2, 15, 53, 62, -21, 63, -22, -59, 13, 21, -22, -9, 45, -31, -50, 31, -22, -24, 34, 31, -45, 34, -7, 31, -27, -34, 41, 51, 23, -56, -38, 33, 43, 4, -62, 1, 50, 12, 7, -10, 40, -3, 52, 31, 6, -46, 76, -58, -59, 31, 51, -59, -37, -13, 25, 34, -36, 29, -2, -13, 18, -47, -39, -31, 31, 23, 43, 12, -36, 14, 65, 23, 2, 30, -34, -44, 65, -27, -5, 8, -22, -4, -77, -22, -33, -1, -13, 46, 62, -58, -14, 1, -36, 51, -18, -22, -44, -41, 31, -9, 19, 48, 12, -42, -18, -3, 18, -28, -16, -20, -26, -32, -55, 23, 41, -56, -38, 60, 6, -5, 38, 44, 5, 48, 0, -12, -52, -61, -2, 52, -43, -20, 38, 29, -16, 66, 27, 35, -4, -50, 22, 8, 54, -38, 53, -8, 62, -27, -6, -14, 21, 34, -52, -36, -40, 14, 44, -42, 17, 7, -32, -66, 63, -9, -56, 33, 22, -3, -7, -48, -38, 5, -12, 12, -63, -12, -51, -61, 48, -28, -1, -11, -15, 12, 38, 61, 9, 1, -7, 22, -29, -55, -50, 12, -36, 34, -7, -5, -11, 62, -43, -1, 2, 35, 81, 51, 30, -23, 29, -59, -48, -44, -23, 17, 0, -6, 25, -50, -39, -28, -30, -8, 28, 27, 41, 4, 2, 23, 33, -62, -47, 43, 31, -59, -31, -11, 50, -28, -53, -32, -3, -58, 58, -35, 35, 12, 51, 10, 49, 5, 47, 51, -41, 28, 63, 69, 32, -33, -32, 28, -54, 39, -21, 17, 20, 10, -24, 38, 19, -37, 38, -29, -43, -32, -44, -32, -9, 16, 29, -41, -42, -83, 25, -10, 5, -47, -37, -28, 63, -51, -54, 49, -55, -52, 47, 62, -2, 16, -27, -34, 51, 38, -57, 35, 34, -25, -8, -40, 1, 29, 22, -15, 11, -18, -32, -43, -3, -51, -61, -59, -71, -41, 44, -1, 9, 35, -36, 34, -44, 50, -55, 40, -18, 50, -44, 24, 38, -28, 21, -10, -35, 59, 49, 58, -25, 31, -46, -67, 26, 46, -71, -12, 42, 7, -26, -40, -7, 42, -3, -24, -3, -12, 41, 44, -55, 40, 33, -35, 37, 34, -41, 3, 41, -22, 30, 19, -53, -33, 25, 6, -1, 0, -59, 14, 49, -44, -47, -8, 20, -11, -31, -38, -25, 24, -5, -20, -52, -44, 20, -22, -7, -6, 41, 36, 24, -57, 48, -37, -57, 37, -25, 45, 40, -6, 41, 26, -30, 61, -25, 36, -43, 17, -45, -55, -32, 36, 8, 4, -60, -1, -7, -9, 24, 7, 41, -5, 44, 13, -50, -32, 27, 45, 32, -2, 54, -18, -23, -9, -27, 49, 34, 59, 52, -11, 43, 25, -31, -10, -34, 0, 1, 46, -27, -7, 42, 7, -27, 32, 17, 25, -6, -10, -62, 54, -39, 0, 28, -67, 37, -94, -54, -12, -67, -49, -20, 33, -68, 11, 28, -47, -27, -24, 58, 28, -46, 30, 38, -28, 39, 28, -14, -47, 12, 55, -41, 16, -12, -33, -16, -9, 40, -18, -24, -37, 3, -60, 34, -8, 0, -34, 48, 30, 48, 41, -3, 23, -6, 46, -29, -23, -35, -22, -11, -45, 42, 17, -44, -5, 14, 14, 55, 0, -59, -5, -33, -17, 34, 35, 35, -57, 1, -3, 30, -21, -26, -20, 24, 19, 5, 29, 24, 38, -52, 7, -43, 21, -34, -5, -21, -4, 10, -16, 39, 32, 56, 5, 14, 29, 59, 29, -40, 49, -46, 39, 45, -23, -26, 48, -22, 56, -8, -38, 55, 53, 8, 12, -33, 33, 56, 21, 55, -57, 2, -45, 5, -18, -21, 48, 22, 46, -4, 54, 43, 39, 61, -14, 21, 37, 11, -42, -52, 52, -89, 35, -47, 29, 6, 23, 36, -22, 14, -34, -30, 3, 29, 17, -42, -15, -34, 45, 45, 55, 9, 9, -41, 43, 53, -28, 52, 75, 72, -6, 59, 36, -27, 11, 46, -11, -7, -14, 20, 21, 18, -54, -13, -8, -52, -5, 7, -20, 13, 17, 14, -49, -45, -3, -16, 25, -13, 6, 23, 51, 7, -22, -53, 10, -48, 55, -37, -47, 51, 51, 4, 5, -50, 17, 31, -32, 5, -40, -31, 32, -33, 15, -50, 9, 21, -26, -15, -21, 36, 8, -34, -45, 35, -48, -27, 46, -18, -60, -41, 53, -35, 33, -26, 7, 44, 16, -3, 53, -27, 42, -17, -24, -20, 45, 44, 10, -37, -30, 53, -20, -2, -8, 59, -40, 85, -66, 18, -15, -51, 15, 44, -56, -56, -9, 6, 48, -55, 20, -35, -59, 18, 39, 63, 10, 12, -7, 33, 23, -14, -45, -7, -41, -20, -43, -15, 2, -4, 40, -8, -40, 26, 54, -10, 33, 25, -26, -3, 4, 4, 45, 17, -46, 38, -56, -1, 52, 28, -33, -25, 38, -32, -30, 33, -16, 8, 2, 61, 51, -19, -27, -10, -57, 31, 22, -5, 5, 1, -23, -13, -22, -9, -45, 54, 32, -46, -40, -50, -24, 38, -42, -10, 23, -6, 0, -6, -56, 25, 49, -43, 7, 6, 7, 27, 43, 30, 9, 59, -63, 38, 28, 61, 17, 61, 30, -17, -8, 71, 23, -1, 45, -37, 32, -10, 62, 35, 10, 26, 39, -30, 22, 48, -1, -34, -13, 56, 22, 8, 12, 22, 44, 6, -46, -3, -25, -33, 54, 31, -22, 20, -15, 18, -16, 12, 48, -47, 11, -59, 6, -46, 28, 52, -60, -15, 9, -59, 68, 61, 50, 21, 34, 2, -38, 29, -57, -24, -18, 30, 25, 54, 24, 30, -56, -30, -61, -37, 8, -54, 33, -47, -57, 14, -6, 23, 37, 46, 1, -13, 33, 50, 43, -3, 13, -1, 5, -10, -2, 18, -57, 35, 23, -15, 37, 2, 24, -17, -9, 45, 6, 16, 21, -43, 35, -45, -27, 36, 3, 52, 43, -53, 34, -16, -26, 32, 4, -53, 13, 35, -52, -4, 49, -3, -16, 55, 51, -51, 63, 42, -28, -77, 28, -7, -6, -28, -46, -21, -9, -7, -6, 35, 62, 42, -17, 39, 21, 50, -4, -41, -53, 20, 1, 52, 32, -44, 10, -13, 50, -53, 72, -36, 19, 41, -39, -24, -26, -4, 39, 49, -6, 32, -43, 8, 62, -22, -30, -46, 45, -38, -31, 60, 29, -14, 27, -64, -15, -16, 16, 26, -41, -30, -53, -33, -41, -59, 50, 63, 32, -14, -12, -10, -35, 53, 0, 44, -35, -8, 12, -27, 9, -36, -34, -28, 23, 34, 9, 21, -32, -29, 24, -23, 42, -43, 47, 17, 33, 1, -42, -15, -40, 12, 26, 1, 45, 3, -11, 61, 62, -30, 47, 47, -45, 34, 42, 30, -71, 2, -9, -33, -61, -25, 8, -73, -67, -48, 15, -25, -42, 35, 23, 9, -17, -37, 16, -52, 17, 61, -11, 32, -26, -41, -4, 3, 30, -22, -31, -41, -27, 16, -43, 12, 51, -62, -50, -7, 37, 1, 2, 38, -5, 72, 24, -10, 55, 23, 15, 58, 45, -12, 19, 61, -33, -33, 68, -8, 42, 59, -29, -12, 55, 31, -14, 39, -63, 2, 32, -13, -9, -61, 41, -26, -33, -30, -35, 33, -28, 43, -50, -51, 26, 14, -60, 46, -60, 13, -31, -48, 26, 43, -57, 22, 54, -27, 14, -52, 28, -9, -28, 47, -8, 15, -40, -12, 34, -6, -46, -20, 35, -32, 23, 25, 42, -25, -25, 25, 12, 14, -48, 13, -18, 3, -13, 34, -56, -41, 43, -45, -50, 63, -33, -50, -38, 58, -36, -1, 32, -42, -13, 32, 54, 55, 64, 52, 40, 5, 52, -39, -52, -34, 9, -13, 48, -2, -29, -9, -14, -43, -4, -47, -64, -41, -33, -42, -34, -80, -18, 47, 53, -36, -48, 36, 52, -66, 12, 27, 36, 3, -47, 54, -36, 58, 53, 48, -36, 27, -21, -28, -22, -8, 58, -29, 0, 15, 28, 65, 41, 40, -12, 48, -66, -14, 29, 35, -19, -35, -21, 44, 94, 25, 60, 21, -49, -15, 17, 18, -30, 30, -23, 46, -57, -22, -64, -39, -31, 33, -3, 33, -6, -20, -61, -32, 24, -47, -32, -14, -30, -12, 45, 48, 54, -1, 49, -43, -49, 23, -47, -23, -17, 53, -8, -51, 59, -49, -52, 62, -48, -2, -43, -40, -52, -22, 41, 44, -3, 53, 56, 11, -24, -1, -28, -23, -30, -15, 12, -55, -13, 60, 20, 59, 22, -44, -36, -27, -48, -11, -66, -43, 26, 9, -54, 21, -19, 7, -2, -11, -21, -39, 22, 4, -1, 54, -53, 23, -16, -23, -20, -3, -48, -14, -9, 33, 45, -50, -19, -56, 12, 10, 16, -9, -27, -19, 9, 35, 52, 15, -65, -15, -9, 17, -31, -55, 55, 19, -32, 41, -17, 34, -40, 18, 28, 10, -37, 27, -29, -44, -11, -22, -47, 50, 28, 8, 1, -17, 7, -30, 69, -36, 68, -16, -39, -39, 47, -24, 74, 9, -19, -48, 43, -41, 2, -24, -53, 3, -42, -6, -60, -69, -3, -54, -66, 52, -48, -37, -40, 45, -65, 34, 16, -51, -20, -67, 21, 31, -53, 11, -31, -38, 8, 10, -30, -39, -55, -72, -63, 25, 7, -83, -62, -29, -16, -17, -29, -1, 52, 41, -40, -32, -29, 4, -3, 34, -55, 64, 54, 37, 38, -31, 58, 9, 45, 15, 40, -39, 22, -50, -50, -7, 1, -35, 58, -20, 33, -49, -7, 7, 14, -11, 48, -30, 14, -34, 10, 17, -11, 12, -41, 1, 33, 33, 11, 33, 20, -14, -61, -41, -53, 30, 60, -31, -56, 55, -63, 52, 1, 25, -38, 28, 3, -3, 27, 57, -44, 17, -41, -7, -69, 17, 14, -10, 24, 49, 6, 12, -55, -29, -50, 41, 25, 1, 34, 37, -23, -58, -53, 22, 34, 7, -16, -12, -15, -67, -8, 34, -12, -24, 27, -48, -3, 38, -50, 36, -21, 51, -17, -21, 45, -60, -35, 19, 41, -18, -23, 5, -9, 55, -10, 47, 9, -39, -13, -10, -15, 35, 19, -30, 10, -25, 7, -2, -50, 45, 49, 34, -6, -29, 47, -54, -15, 64, 41, 9, 56, -36, -14, 13, -14, 8, 7, -37, 54, 31, -46, 45, 22, 54, -13, 53, -13, 1, 35, -47, 56, 27, 35, 1, -11, 12, 13, -53, -39, 8, 26, 59, -9, -19, -48, 2, 37, 29, -31, -61, -7, 36, 50, 41, 6, 18, 28, -4, 19, -26, -40, 11, 58, -34, -76, 9, -53, 60, 3, -44, -46, -32, 24, 60, 31, -69, -24, 20, 42, -26, 61, -18, -21, -36, -8, -2, 2, 50, 43, -34, 28, 1, -50, -6, -20, -57, -63, -57, 23, 10, 54, 29, 11, 52, -19, -1, -56, 28, 30, -4, -75, -56, -98, 6, 34, 14, 24, 29, 26, -31, 5, -5, -14, -30, 21, 2, 90, 39, -17, 32, 15, 42, -79, -16, 43, -22, 41, -65, 5, 55, 33, -10, 73, -37, 54, -6, 30, 19, 26, 26, -66, 1, 53, 39, 4, 9, -62, 12, -2, -14, 18, -48, -53, 49, 61, 41, 7, 25, -21, -28, -28, -11, -22, -56, -13, 0, 19, -8, 11, -2, 3, 35, -9, 19, 44, -35, 27, 53, -62, -20, 2, 12, -1, 33, 46, -32, 13, 45, 8, -65, 34, -56, -13, 44, 6, -4, -46, 13, -33, 39, -24, -5, -47, 38, -36, 51, 18, -57, 33, -44, -63, -8, 10, -52, -19, 31, -36, -22, -40, -54, -11, 67, 8, 53, 33, -38, -31, -61, -38, -28, 17, 30, 70, 17, 5, -31, -51, 48, -59, -21, -34, -29, -64, -2, 41, 56, 32, 10, -63, 9, -1, 40, -30, -2, -33, -15, 9, 17, 40, -29, -34, 43, 67, 34, -30, 60, -25, 52, 36, -3, 67, 34, -56, -75, 9, -19, -43, 38, 38, -1, 59, 5, 0, 48, -2, -1, 13, 15, -37, -51, -74, -21, 7, 2, -41, -20, 23, 9, -63, -5, 16, 59, -41, -49, -56, -59, 49, -9, 7, 25, -61, 28, 3, 13, 26, 52, -37, -2, 19, 46, -50, 30, 57, 31, -73, -54, -37, -39, 3, -17, 54, -25, 54, -15, 50, -9, 14, 22, -62, -73, -82, -72, 10, 19, -52, -46, 58, 44, 47, -22, -61, 37, -58, 8, -33, 26, 29, 23, -5, -7, 6, 12, 25, -22, -1, 44, 48, 27, 13, -45, -3, 44, -14, -59, -6, 36, -39, 8, -29, 5, 50, 33, -7, 79, 75, -49, 23, 58, 24, -64, 7, 14, -12, -45, -20, -44, -18, -39, 8, 20, -3, 33, 5, -50, 12, 8, -41, -21, 52, -30, 76, -29, -27, 16, 65, -10, 17, -64, -31, 21, 57, 2, -51, -13, 7, 13, -4, -54, -67, 32, -65, 66, -23, 28, 25, 52, 35, -16, -53, -4, -9, 18, 67, 30, -68, 28, -28, 65, -59, -67, -41, -23, -36, 28, 53, -55, -10, -38, 34, 29, -10, 14, 37, 5, 0, -17, 20, 61, 33, -42, -5, -28, -24, -29, 2, 81, -61, -9, 45, -54, -5, 36, -13, 38, 60, 12, 57, 30, -10, 11, 57, 47, 45, 1, -34, -49, 35, 5, -27, 36, -9, 5, 13, -8, 4, 59, -56, 57, 37, -43, -66, -21, 50, -27, -49, -50, -53, 26, 17, 39, -56, -56, 65, 34, 26, 49, 17, -28, 21, 38, 4, -15, -29, 48, 12, -59, 8, -26, -41, 39, 34, -26, 63, 14, -12, 50, 21, -22, 13, 17, 38, -47, -2, 11, 61, 43, -41, 17, 19, 3, 21, -53, 33, -18, -1, -44, -18, -27, -26, 53, 13, 48, -27, 61, -1, 43, 3, 22, 18, -70, 14, -25, -19, 6, -1, -6, -8, -20, -87, 22, 8, 44, 26, 1, -22, -4, -20, 21, 39, -53, -25, -80, -51, 4, 4, -9, 1, -27, 20, -7, 59, -33, -18, -5, 59, -21, 65, -24, 17, -28, -8, 42, -56, 5, 25, -56, 52, 73, -41, -64, -55, -51, 9, 9, 56, -10, -18, 10, -52, 41, -54, -2, 69, -45, 9, 12, -78, 28, 36, -23, 50, 44, 55, 49, -60, -14, -49, 36, -60, -52, 49, -7, -51, 47, -49, 55, -17, -23, 6, 10, 7, -47, -24, -60, 36, -32, 12, -60, -12, 1, 0, -63, 14, -25, 25, -8, -32, -44, 62, -5, -35, 2, -31, 16, 10, 24, -13, -32, 4, 36, -39, 27, -51, -26, -63, -75, 40, 10, -31, -85, 7, 32, -10, -40, -7, 46, 100, 1, 31, 49, -25, 57, -7, 17, -26, -3, -14, -13, -42, -64, -70, 4, -30, 12, 20, 50, 20, -91, -19, -3, 72, 45, 22, 44, 17, 64, -67, -10, 7, -40, -28, 21, -45, 32, 35, 21, -1, 18, -11, 6, -33, -44, 21, -48, 22, 17, -7, -59, -2, -37, 28, 6, 60, -1, 36, 8, 2, -23, -6, 23, -10, -2, -26, -78, -44, 8, 29, -23, -30, -5, -65, 53, -43, 38, -67, -48, -29, 59, 8, 14, 67, -26, 21, -30, 13, 22, -6, -7, 26, 6, 55, 17, 2, 4, 33, 56, -22, 40, 38, 13, 49, -58, -5, -15, -44, -20, 41, 3, 6, -45, -20, -45, 8, 31, -6, 14, 37, 55, -50, 3, 4, -48, 49, 54, -38, 45, -65, -23, 11, 12, -11, -29, 12, 17, -21, -8, -89, -8, 0, 24, -54, 4, 23, 37, -19, -18, 11, -9, -60, 49, -65, -62, -40, -40, -33, -30, -54, -3, -50, -2, -1, -33, 21, -12, 27, -25, -17, 36, 38, -41, 19, 56, -18, -4, 23, 2, 35, 39, 36, -27, 11, 77, 29, -28, 28, -54, -14, 62, -23, -33, 17, -3, -110, -22, -60, -50, -72, -50, 35, 88, -22, 47, -17, -51, 69, 4, 17, -4, 55, 7, 20, 52, -48, -26, 1, -28, -54, -40, -44, -30, 0, 54, 51, -19, 39, 76, -67, -46, -60, 0, 1, -31, -62, 28, -30, -53, 59, 32, 47, 41, -5, 3, -60, 36, -35, 62, 68, -55, 65, 41, -38, 0, 56, -36, 20, 53, -21, 5, -30, -25, 67, 21, 7, -3, 2, 16, 47, -60, -33, -20, -3, 18, 22, 19, -7, 98, 38, -34, 3, 23, 18, -61, 14, 25, 26, -56, 66, -34, 71, -8, -12, 10, -51, 19, -42, -42, -58, -34, 2, -28, 42, -5, 18, -25, 58, 15, 44, 57, 48, 40, 38, 34, 4, 52, 14, 53, 46, 28, 12, -43, -1, 7, -13, -30, -40, -45, -38, -56, -15, 28, -23, 45, -8, 45, -66, 22, 13, 55, 50, -54, 24, 37, 60, 12, 40, -30, -47, 29, 13, -8, -62, 19, 29, 40, 6, -6, -8, -35, -40, -53, -15, -29, -32, -12, 12, -20, 18, 56, 15, -20, 37, -13, 55, -13, 29, 38, -67, -25, 16, -28, -30, -14, 53, 44, 21, -32, 18, -17, -67, 18, -10, 22, -6, 10, -40, 1, -9, 23, -16, 35, -16, -7, -2, 40, 9, -32, -44, -17, -6, 10, 62, -14, 42, 37, -5, -49, 31, 22, 47, 47, 28, 47, 31, -18, 4, 28, -63, -21, -22, -5, -12, 34, -55, 47, -48, -45, 16, 13, 67, 33, 19, -24, 14, 43, -59, -32, 40, 49, 54, 0, -54, 47, -44, -23, 49, 31, -58, -64, -51, -37, -47, -15, -8, 34, -39, -47, -56, 60, 26, 55, -57, 4, -25, 49, 1, -49, -44, -22, 60, -28, 37, 66, -14, -22, 6, 42, 7, 33, 14, -11, 54, -30, -50, -31, -27, 20, -37, 3, -23, 39, -48, 49, -17, 29, 17, -32, -79, 0, 45, -54, 32, -57, 30, 32, -7, 39, 23, 13, -1, 3, -5, 26, -50, -51, 60, -51, -40, -48, 56, 30, -62, -34, 27, -48, -32, -28, -17, -15, -42, 32, -22, -54, -15, -7, -44, 3, 44, 17, 9, -29, -20, 50, 47, -21, -21, 44, 26, 25, -31, -62, -21, 36, -10, -21, 42, -27, 7, -33, -22, -14, 33, 24, -59, 77, -52, -18, 40, 4, 56, 45, 5, 17, -30, -45, 48, 25, 34, -30, 60, -5, 26, 3, -37, -8, 1, 26, 46, 27, -49, -38, -34, 12, 0, -49, -38, -61, 7, 43, 3, 51, -63, -22, 82, -53, -28, -32, -57, -40, -2, 22, 34, 20, -49, -33, -68, -22, 27, -44, -61, -33, -25, -39, 11, 16, -19, -33, 57, 9, 59, -26, 11, 35, -64, -2, -17, -5, 62, 18, 32, 13, -5, -57, -70, -50, 18, -26, 5, 37, 20, -36, -8, 28, -3, -34, -27, 45, 14, 5, -20, -32, 51, 51, -52, 13, -39, 31, -61, -17, -1, -42, -35, 66, 20, -32, 2, -53, 35, 49, 48, 30, 39, 31, -24, 70, -16, 59, 10, -23, -43, -3, -49, -5, 63, -3, -5, 45, -47, -20, -6, -30, 41, -1, -50, -33, 64, 1, 52, 1, 31, -10, -32, 2, -19, 8, 20, -7, 5, -13, -15, -8, -43, 36, -56, 33, -3, -36, 9, -22, -52, 34, -62, 14, 49, -72, 14, -7, -68, -26, 3, 30, -44, 8, -35, -52, 12, 48, 62, 40, -26, 43, -40, 57, 5, 33, -21, 40, -5, -43, 16, 45, -72, -37, 11, 7, 2, 50, 63, -41, -13, -22, 38, -45, 38, 52, -53, -41, -45, 40, -37, -26, 12, 41, 31, 56, 47, -53, -16, -79, 33, 37, 41, -10, -47, 41, -48, -13, 25, 52, -4, 33, 56, 64, 49, 17, 14, 17, 59, 5, 31, -49, -9, -28, -63, -3, 25, 38, -38, 13, 66, -60, -56, -11, 33, 23, 65, -41, -52, -6, -37, 14, -5, 49, -7, 50, -53, -11, -65, -50, -1, -45, -7, -56, 76, -27, -56, -15, -3, -18, 18, 54, 4, 18, 15, -48, 2, -22, -31, -5, -47, 65, 31, -59, -11, 20, 14, 20, 17, 5, -59, -42, 17, 36, 24, -59, 46, -15, 14, 61, -29, 45, -39, 29, 11, -7, 68, 75, 24, -36, 37, -16, 25, -43, 10, 20, 31, 1, 45, -65, -48, 28, -21, -55, 20, -24, 55, -22, -40, 64, -9, 57, -58, 55, 30, -56, 36, -63, 29, -59, 35, -23, -50, -29, 19, -4, 20, -17, -22, -6, -1, -37, -63, 21, 53, -61, 34, 27, 36, 41, -52, -13, -7, 15, -41, -16, -16, -8, 25, -21, 11, -28, 37, 36, 37, 22, -39, -51, 7, 62, 21, 24, -5, -26, -23, 54, 10, -32, 25, -53, -27, -55, -44, -54, -49, -22, 29, -22, -46, 40, -63, 47, -27, -46, 31, 26, 8, 46, 42, -19, -68, 42, 45, -42, 41, 37, 55, -1, 65, 48, -30, -46, -47, 21, 6, 4, 64, -44, 54, 18, -8, -24, 33, 35, -2, 0, 12, 11, 23, 13, 6, -31, -14, 12, -45, 25, 18, -34, -43, -20, -63, -56, 13, 51, -29, 1, 19, 5, 22, 32, -43, 28, 60, 5, 28, 27, 55, -58, 42, -6, 27, -12, -17, 5, -15, -8, -31, -21, -30, 16, -39, 6, 25, 26, 25, 51, 8, -12, 46, 44, 66, 35, -35, -31, -61, -6, -23, -37, -43, -57, -38, 35, -30, 18, -22, -25, -17, 39, -7, 45, -8, -30, -48, -14, -28, 38, -37, 20, -43, 3, -49, -29, 2, -10, 3, 47, 14, 50, 2, -19, 16, 49, -48, -35, -43, -53, -14, 41, 50, -57, -32, 10, -39, -16, 11, 58, -59, 12, -40, -20, 19, 39, 2, -44, -29, -36, -62, 40, -15, -43, 15, 57, -47, -9, 58, 51, 34, 45, 41, -13, 49, -37, -42, -10, -58, 17, 5, 41, 44, -5, 46, -73, 49, 29, 23, 72, -40, 54, -12, 52, -27, 49, -59, -51, -39, -63, 28, -18, -12, 38, -53, -53, -63, -31, -58, -21, 22, -21, 63, 16, -45, -38, 16, -38, -32, -58, -49, -32, -7, -43, -12, -10, 57, -9, 59, 30, 53, 1, -49, 40, -45, 23, -59, -43, 53, 46, -44, -54, -34, 31, 52, -2, 56, -5, 56, 4, -5, 38, -25, -25, -43, -50, -6, -11, -63, 63, -23, 56, -20, 57, 56, 58, 36, -39, 23, 7, 11, -46, -12, -52, -31, -70, 16, 48, -26, 35, -24, 13, 6, 26, 32, 43, -62, -35, -49, 44, -11, 6, 40, -48, 20, -16, 55, -44, -46, 55, -38, -20, -12, 30, -14, 52, 3, -10, -36, 35, -38, -59, -46, 35, 8, -13, 60, -12, 29, 56, 1, -34, 14, 54, -60, -17, 6, 0, 60, 29, -45, 62, -36, 44, 17, -61, 19, 57, 2, -21, -3, -17, -56, 45, -45, 51, -11, -37, -28, -26, 37, 6, 19, -57, 23, -23, 4, -3, -57, 23, 2, 2, 3, -24, -37, -33, 57, 32, -55, -28, -14, -23, -10, -26, -2, 34, 3, 35, -6, -20, -14, -34, -34, 29, -35, 1, 2, -42, 55, -26, -10, -31, -51, 43, 24, -39, -65, 45, -24, 27, 45, -32, -19, 14, -60, 14, -25, -50, 35, -7, 34, -39, 36, 4, 4, -53, -8, 10, 52, 8, 29, 56, -28, -19, -53, -19, 57, -43, 49, -10, 54, -9, -72, 57, 45, -17, -17, 24, -9, -41, -54, 50, 34, -57, -1, -8, 5, -12, -12, -28, 15, -59, -55, 29, 20, 45, -14, -49, -5, -54, 65, -45, 38, -58, -3, 22, -19, 25, -58, -17, 34, -4, 42, -49, -58, 38, 17, -35, -46, -32, 36, 16, -30, -25, -46, 64, 49, -42, -56, -19, 45, 18, 9, -39, -41, 6, -35, -26, -43, -63, 51, -22, 26, -52, -5, 45, -29, 19, -7, 21, 31, 23, -9, -24, -34, 48, -61, -42, -45, 23, -6, 38, -45, 26, 28, 70, 16, -42, 51, 61, -34, -10, 29, 10, -45, 10, -6, 37, -19, 18, 53, -10, -40, -30, 14, -46, -14, -62, -51, 46, 29, 33, -25, -68, -55, 38, -7, 64, -2, 2, 62, -32, -74, -60, -71, -45, 49, 17, -4, 2, -28, -51, -10, 20, 0, -60, 52, -9, -34, 8, -8, -21, -13, 37, 39, 31, -17, 42, -45, 43, -46, -38, 59, -34, 17, -36, 34, -59, -48, -57, -59, -21, 36, -22, 19, -10, -45, -24, -29, -44, 50, -45, 39, -58, -13, 61, 6, -18, 23, 44, 14, -12, 48, -57, -42, 63, -34, -35, 47, 27, 47, 48, -25, 73, -19, -24, -55, 11, -17, 38, 57, 51, 12, 8, -9, 10, 39, 0, 8, 67, 3, 53, 75, 13, 2, -30, 33, -12, 28, -48, 34, -16, 26, -58, 50, 91, 72, -2, -23, -31, -30, -51, -29, -46, 43, 1, 22, 2, 7, 35, -21, -73, -27, 8, 19, -42, 30, -27, -21, 45, -38, -20, -5, -52, 55, -5, 16, -2, -43, -30, -24, 3, 28, 30, 56, 2, -9, -3, -62, 48, -53, 31, -35, 51, -9, 7, 68, 36, -53, -39, 58, 69, -33, 21, 14, 17, -56, -64, -47, -19, 5, -65, -55, -58, -9, 50, -46, -37, 77, 3, -51, 3, -37, -26, -39, -29, -11, 66, 26, 50, 26, -62, 33, -38, 25, 5, 27, -51, 8, -4, -34, 54, 42, -42, 40, -60, 10, 33, -50, 14, -19, 45, 27, 19, -28, -11, -22, 53, 11, 16, 1, 56, 45, 44, -56, -33, -19, 24, 35, 64, -41, 56, -60, -81, -60, -39, -65, -37, -12, 27, -24, -59, 49, 6, -44, -11, -39, 19, -29, -27, -6, -47, -19, 31, -43, 35, -19, 32, 27, -2, -35, -44, 26, 45, -53, -43, 69, 24, 41, 13, 44, 31, 53, 30, -1, -42, 36, -58, -11, -7, 25, -14, 0, 25, -29, -53, -31, 26, -2, 36, -26, -29, -74, -14, 26, 60, 23, -23, 33, -50, 28, 40, 26, -6, 15, -22, 82, -10, 16, 50, -26, -39, -51, 53, 18, -75, -46, 59, 38, 61, -14, 14, -35, 46, 14, 40, 6, 1, 59, -17, 23, 28, -31, 19, -5, 46, 0, -45, 48, -38, -2, -37, 26, 18, -14, 49, 1, -43, -15, 28, -33, -14, 30, -36, 42, -20, -44, 51, 39, 67, 39, 55, -41, -5, -47, 21, -40, -4, 68, 51, -5, -13, 37, 30, 14, -19, 21, -29, -41, 27, -27, 41, 20, 37, 48, -46, -4, -45, 30, 22, 22, -2, 10, 39, -11, 25, 33, 21, -68, 8, -91, 40, 45, -33, -1, -30, 28, 41, -71, -40, -58, 50, -86, -8, -49, -40, 46, 61, 59, 11, -71, -68, -5, 21, 29, 37, 34, 3, 20, -42, -4, 8, 11, -65, 45, -38, 17, 78, 6, 2, 16, -65, -44, 35, -40, 31, -3, 0, 2, 16, 46, -5, -9, -17, 41, 38, -11, -43, 63, 15, -15, 37, 28, -61, -16, -27, 0, 26, -1, 28, 12, -41, -15, -60, 59, 31, -55, 14, 40, 9, -35, 62, 8, -14, -35, 14, -29, -29, 57, -1, 60, -33, -60, -27, -44, -52, -2, -45, 61, -43, -14, -12, 76, 32, 4, -3, -2, -46, 34, -25, 22, -28, -2, 19, -41, 28, -29, 4, 40, 25, -43, 36, 16, 38, 59, -25, 3, 59, -50, -17, -57, -66, 33, 29, 16, -46, -44, 29, -18, -11, -44, -37, 38, -18, -25, 30, -36, 20, -51, 56, 8, 27, -9, -28, -20, -35, -25, -24, -57, -35, -35, -36, 23, -36, -69, -41, 16, 29, 23, 13, -19, 50, 42, 51, -58, -51, -51, -4, 52, 19, 1, -45, -27, 44, 33, -49, -11, 57, -24, 20, -53, 34, -37, -38, -28, 56, 59, 2, -6, 4, 38, -46, -7, 41, -49, 14, 0, 0, -56, 7, -47, -19, 7, -37, 57, -16, -9, 19, -26, -26, -36, -30, -41, 44, 15, 66, 33, 47, -4, 35, 31, 7, -41, 3, 40, -69, -70, 6, -2, -27, 9, 38, 34, -10, -32, -51, -28, -16, -61, -55, 42, -43, -41, 20, -8, -53, -48, 26, 42, 31, -43, 51, -37, -50, -3, -32, -26, -47, -33, -12, -57, 44, -22, 16, 24, -12, 1, -20, 19, -52, 36, -7, -1, 1, -31, 59, 35, -47, 59, 30, 39, 36, 0, 4, 14, 1, 23, 46, -15, 48, -39, -61, 26, -20, 39, -41, 52, -39, -41, 18, -38, -61, 47, -51, -20, 10, -11, 26, 7, -6, 53, 38, -8, -15, -16, -2, -41, 34, -15, 15, -34, -17, -55, 26, 40, 59, -18, -52, -24, 15, -43, -55, -59, -49, -1, 16, -8, 14, -61, -7, -39, -20, -38, -35, -21, -27, 45, -39, 63, 59, -5, 33, 48, -12, -32, -21, 31, 36, -3, -11, -52, 18, 27, 1, 16, 36, 56, -17, 11, 34, 31, 55, -12, -34, -20, -16, -35, 37, -56, 13, -32, -46, -1, -38, -1, 23, 27, -57, 44, -37, 40, -54, -50, -60, -43, 12, 50, 36, 27, -28, -65, -35, 61, 71, 61, 41, 51, -32, -29, -52, -52, -35, -1, -53, 43, -39, -56, -35, 6, -55, 48, 41, -48, 23, 6, -21, -8, 60, -34, -33, -9, -1, 61, -52, 4, 41, -49, -49, -26, 19, 4, -31, 8, -57, -61, 25, -29, -4, -47, 43, 57, 43, 40, 13, 41, -54, 2, -29, -44, 32, 10, -44, 5, -13, 25, -25, 38, 4, -19, -32, -7, -10, 29, 0, -42, -1, -6, -53, 3, 41, 53, -18, 3, 14, -14, 32, 18, -30, -37, 54, 21, -1, 35, -9, -55, 3, -33, -52, 21, 30, -19, -29, 11, 7, -49, 23, 54, 5, 6, 39, 46, 5, -71, -16, -32, 56, -18, 24, 57, 38, -9, 26, 40, 15, -32, 20, -64, -26, -32, 38, -58, 17, 36, 10, 22, 43, -48, -41, -79, -46, 35, 12, 24, -30, 35, -70, 30, 6, -73, 34, 11, 50, 41, -13, 67, -12, 6, -16, -1, 63, 22, -36, 51, 35, -5, 18, 25, 18, 61, 37, 6, -34, 12, 41, -73, 16, 43, -31, -48, -26, 5, -38, -64, -68, 12, 54, 58, -7, 13, 42, -21, 1, 60, 35, -50, -20, -59, -52, -49, 55, 32, -25, -13, 13, 20, -64, -18, 24, 43, -29, 17, -1, 3, -32, 12, -53, 14, 12, 10, -41, 14, 6, 45, -37, 34, -42, -56, -1, 35, -53, -42, 55, -29, -25, -38, 58, 18, -29, 10, -24, 60, 13, 48, 31, -45, 4, -12, 61, 32, 52, 19, 27, 32, 18, 5, 11, 12, 0, 2, -18, -19, -31, -6, 32, 4, 43, 39, -15, -46, -24, -51, -17, -23, 50, -4, 13, -21, 0, -7, -62, -20, 3, -2, 13, -17, 36, 12, -30, 3, -29, 16, -5, 48, 6, 0, 23, -48, -40, 5, -1, 44, 32, -47, 31, 40, -3, -71, 7, -57, -26, -43, 49, -14, -54, -30, -25, -58, 46, -56, -41, -15, -1, 7, 32, -52, 42, 19, -22, 56, -22, 48, 29, 18, 40, -39, 24, -62, -13, 26, 23, 24, 43, 56, 61, -44, -13, -44, 64, 1, -19, 12, -35, -58, -19, -19, -47, -20, 39, 39, -48, 16, 21, -7, 22, 8, 47, -12, 47, 6, 28, -23, -58, 52, -1, -3, -16, 68, 24, -5, 31, 30, 63, -35, 38, 2, 18, -5, 20, -53, 37, 21, -33, -13, -25, -54, 30, 36, -64, -55, 30, -21, 59, -25, 16, -9, -44, -36, 38, 33, 57, -2, 53, 53, 15, -6, 16, -16, 0, -18, 50, 35, 33, -45, 12, 35, -45, 45, 51, -35, 17, -44, 26, -68, 23, 0, -21, -35, -62, -4, 50, 10, 30, -53, -8, 55, 3, -35, -43, 50, -6, -57, 2, -29, -8, 16, 40, -55, 30, -9, -45, -24, -45, -44, 16, 9, -29, -61, 51, -42, 34, 25, -57, -23, 49, 43, 2, 12, 49, 4, 26, -5, -36, 17, 2, -24, -12, -16, -52, -25, -24, 23, -6, 66, 67, 39, -24, 24, -26, 57, -15, -17, 1, 5, -36, -46, -36, 38, -14, -18, -12, 61, 65, -46, -24, 40, 29, 42, -20, 67, -47, 22, -31, -59, -5, 19, -36, -36, 31, -9, 8, -12, -47, -44, -26, -59, 38, 3, 20, 2, 62, -61, 17, -22, 25, 1, -43, -14, -15, 59, -39, -35, 55, 20, 62, -8, 33, 33, -45, -43, -32, 12, 50, -54, 53, 17, 3, 30, -46, 15, 19, 39, 35, 60, 25, -8, -21, -4, -23, 12, -42, -62, -55, -31, -13, -8, -54, 17, -42, 2, -56, -47, -54, 29, 17, 59, 29, 42, 45, 38, -1, 33, 6, 15, 11, -44, 38, -1, -21, 49, 22, 0, -40, 39, 40, -53, 42, 13, 4, -3, 26, -10, 38, -34, -13, 29, 33, -31, 12, 47, 61, 36, 21, -28, 39, 0, 54, 48, 8, -51, -13, 58, 4, 39, 55, -12, 34, -22, 19, -68, -15, -55, 45, 60, -30, -48, -9, 22, -6, -3, 20, 12, -49, -12, -16, 54, 25, -27, -36, 55, -48, 18, 58, 61, -51, 10, 49, 32, 56, -19, 63, -10, 18, 40, -5, -15, -21, 46, 22, -45, -12, 17, -69, -2, 37, -37, -9, -35, -62, 5, -63, 62, 23, 34, 58, -16, -28, -47, -55, 1, -9, -32, 15, -26, 13, 46, 31, -9, -48, -60, 61, -30, -53, -11, -47, -12, 19, -44, -14, -30, -24, -17, 27, 22, 52, 5, 21, 3, -60, -55, -55, 39, 4, 23, 3, -18, -12, -27, -40, 28, 44, 12, 54, -26, -62, 58, 13, -8, 39, 12, -56, 26, 6, 32, -34, -17, 57, 27, -40, 30, -61, -51, -17, -37, -18, 17, -57, -44, -17, -46, 7, -55, -46, -54, 8, -7, -15, 60, -7, -10, -50, -25, -53, -34, -1, 6, 50, 59, -36, -33, 32, -31, -19, -20, -38, -56, -16, 13, -56, -32, 3, 2, -23, 34, -27, 38, 27, -12, 63, -7, 28, 49, 45, -20, 36, 52, 37, 17, 30, 30, 32, 59, 16, 4, -10, -22, -1, 35, 28, -30, 24, -24, -39, 62, 9, 34, -44, 32, -65, -8, -27, -1, -37, 37, 52, -24, 19, -19, 38, -56, -57, -24, -51, -59, -51, 10, 61, -11, 6, 2, 14, 38, -47, -40, 31, -3, -37, 45, -46, -14, -25, 28, -43, 31, 32, 33, -11, 30, 17, 7, -37, 40, 14, 2, 58, 29, 35, -47, -21, 33, 8, 38, 2, 38, 58, -4, 71, 55, 17, 50, -22, 2, -54, -32, -60, 35, -16, -15, -30, -21, 8, 43, 39, -53, -30, -7, 12, -21, 34, -25, 33, -16, 29, -27, 41, -50, -13, 47, 36, -31, -58, 17, 12, 26, 33, -58, -62, -50, -22, 58, -47, -40, 25, -2, 11, 2, 41, 45, -15, -17, 54, -2, 48, -20, -32, -62, -26, -60, -24, -21, 37, -28, -41, -34, -9, 30, 8, 43, -42, 53, 62, 51, -38, -17, -59, 63, 48, -6, -1, -58, 35, -6, -47, -6, 8, 41, -50, -54, 56, 11, 35, -34, -36, -35, -40, 39, -27, -8, 9, -29, 53, 49, -61, -5, -52, -4, 14, 33, 49, 20, 48, -2, -38, 0, -48, 6, -31, 33, 3, 40, 1, 38, -73, -63, 39, -35, -43, -1, -34, 11, 53, -28, -53, -30, -42, 40, 34, -6, -20, 34, -46, -25, 7, -21, 22, 58, 48, -6, -35, 13, -15, 4, 30, -48, -7, 43, -9, -22, 60, 37, 11, 8, 41, -21, -41, -30, 16, 9, 25, -47, -36, -51, 29, 60, 6, 2, 14, 16, 6, 1, -43, 49, -2, 40, 18, -4, -43, -10, -56, -23, 2, 0, -2, 48, 8, 1, 32, -45, 8, -14, 27, 0, 61, 17, -42, -36, -56, 44, 6, -50, 15, 15, 59, -43, 51, 2, -44, -33, 44, 23, -50, 43, 30, 12, -25, 30, -33, 62, -23, -51, -15, -39, 40, -31, 35, -42, -44, -42, -7, -24, 11, -14, 1, 49, -32, 18, -62, 37, 1, 42, 9, -24, 52, -41, -12, 28, 41, 8, 28, -45, -60, 35, 24, 28, -61, 7, -66, 35, -45, -53, 57, 20, 56, -8, 30, -45, -18, -31, 59, 42, 48, -40, 48, 54, -17, 48, -26, -1, 23, -25, -14, -30, 3, -25, -9, -57, -51, -9, -18, -23, -55, -24, -3, 13, -62, 44, 54, -35, 34, 48, 19, 46, 28, 13, -38, 58, 46, -54, -62, -21, 48, 25, 35, -34, 16, -50, 39, -2, 2, -3, -31, 2, -20, -8, 51, 3, -1, 31, -24, 21, -54, -52, -35, 8, -60, 14, 9, 33, -22, 57, -61, -56, -17, 4, 33, -24, 55, 15, 60, -36, -12, 8, 30, 30, 11, 25, -42, 36, -1, -21, 8, 14, -32, -75, -11, 62, 52, -22, 46, -51, -37, 0, -48, 28, 37, -25, 53, 56, -30, 40, 18, 30, -5, 38, 59, -35, 45, 11, -7, 10, -50, 54, 5, -44, 24, 50, 11, 32, 36, 51, -51, 44, 56, 59, 26, -73, 44, 3, -75, 57, 14, -51, -19, 36, 0, 24, 6, -3, -60, 45, 16, -39, 57, -9, -11, -56, 41, 60, -17, -30, -49, -46, -36, 53, 48, -26, 9, 46, 21, 12, 10, 28, -47, -42, 25, -57, 35, 28, -30, 40, 34, 32, -16, 55, -49, 37, 31, -41, 2, -48, 10, -61, -58, 33, 53, -12, -35, 56, -29, 41, -3, 46, -40, 3, 38, 62, -29, -41, -11, 33, -31, -44, 68, 17, 37, -4, 24, -4, 61, -8, 53, -43, -21, 36, -45, -44, 30, 52, -27, 28, 7, -67, 20, -7, 2, -6, 25, 37, 36, -47, -28, -33, 51, -53, 35, 60, -11, -42, 51, 23, 64, 31, -59, 14, -16, -52, 43, 2, 20, 24, 37, -6, -3, 60, 55, 25, -55, 54, -54, -51, -6, 70, -18, -4, -10, -47, -63, -41, -58, -6, -26, -14, -10, 24, 0, 11, -45, -51, -1, -13, -3, -8, -45, -48, 29, -48, -52, -13, 6, 25, 28, -49, -17, -47, -60, 30, 10, 34, -40, 30, -37, 44, -22, 50, -9, -38, 43, 25, 51, 52, 28, -8, -58, -37, -31, -12, 32, -7, -22, -3, -14, 35, 2, -10, 21, -19, 5, -19, -10, 20, -19, 39, 13, 18, 27, -2, 26, 53, -47, -3, -17, 47, 11, 9, -52, 46, -13, -61, -30, 37, 9, 12, -3, -37, 4, -35, 3, 25, -19, 12, 51, 54, 50, -45, -54, 31, 59, -29, 63, -49, -40, 0, -24, -25, -54, 32, 45, -28, -29, -33, 15, -33, -2, -13, 31, -27, -44, 28, 38, 50, 16, 28, -3, -33, -53, 35, 35, -27, -33, 69, 4, 21, 33, -36, 45, -27, 42, 5, 34, 7, 28, 40, -38, -48, -11, 30, 40, 30, -63, -25, 38, -72, 2, 26, -53, -20, -40, 34, 63, 44, -9, -48, 51, 37, 25, -23, 47, 2, -18, -5, 0, -48, -75, -56, 64, -32, 41, 20, 15, 38, 54, -46, 24, -44, -32, -11, -21, 83, -4, -63, 35, 69, -49, -53, 8, -8, -4, -31, 63, 36, -38, 44, -23, -10, 15, 16, 5, 38, -6, -54, -36, 24, -30, 49, 48, 11, 7, -23, -19, 45, 51, -51, -40, 52, 3, 61, 76, 29, 44, -26, 18, 60, -26, 13, 36, 33, 32, 31, 65, -5, 8, 18, -18, 40, -40, 64, 40, -53, 52, -20, 45, -13, 58, -5, 54, -16, 11, -74, -55, -42, -58, -33, -16, 43, -43, -45, 21, 12, -4, -1, -19, -19, -4, 62, 16, 25, -22, -44, -1, 55, 69, -17, 67, 30, 8, -52, -31, -13, 3, -32, 33, 48, 85, 34, -60, 36, -31, -52, 21, -46, -14, 49, -39, 15, -35, 19, 12, 12, -44, 34, 54, 41, 26, 56, -44, -14, -42, -44, 66, 57, 58, 3, 48, 5, -40, -1, 31, -5, 52, -38, 20, 35, -78, -15, 9, 41, -7, -36, -5, -51, 52, -80, -59, -26, 28, -14, -54, -31, 3, 58, 19, -47, 4, 8, 31, 79, 1, 55, -8, 5, 10, 19, -9, -38, 32, -27, 26, -12, -17, -35, 53, 7, 42, -64, -61, -9, -36, 30, -9, 34, 11, 33, -23, 11, 48, -51, 50, 41, -6, -51, -19, 32, -19, -54, -36, -13, -12, -49, -46, 21, 59, -18, -32, -43, 31, -17, -39, 60, 48, -63, -9, 39, 18, 56, -57, -21, 24, -34, 70, 16, -38, 33, 11, -36, 31, 22, 20, -44, 29, -25, 57, 24, 6, -54, -32, -42, -23, -25, -26, 44, 11, 16, 38, 28, 44, 37, -74, -4, -62, -55, -2, 12, 45, 58, 35, 54, -8, -27, 38, 24, -17, 28, -16, -2, -32, -9, -48, -11, 33, -14, 39, 36, -14, 72, -27, 61, 8, -78, -72, 9, 11, -36, 53, -39, 39, -1, -11, 44, 7, 1, -15, 2, -28, -59, -20, -45, -44, 21, 52, -5, -11, -36, 53, -59, -25, -55, -9, -1, -8, -20, 43, 43, 18, -59, 31, -33, 5, -15, -57, -49, 29, -58, -56, -47, 1, -10, -14, -18, -46, 37, 15, -17, 11, -9, -10, 8, 0, -1, -40, 62, -7, -66, -52, 0, -32, -55, -35, -21, 13, 51, 58, -6, -15, 41, -21, -46, 23, -63, 2, 53, 42, 22, -76, 61, 42, -20, 18, 13, -8, 3, -48, -60, 4, -41, -13, 50, -45, 36, -5, 8, -40, 15, -39, -53, 39, -7, -35, 25, -24, -44, -19, -35, -30, -7, -8, -50, 14, 27, -9, 40, 9, 6, 51, -39, -62, -3, 38, 12, -65, 13, 15, -23, 13, 23, 21, -35, -45, 57, 21, 33, -38, -46, 31, 5, 72, 57, 70, 7, -11, -67, -7, -70, -29, -54, -9, -40, -8, -65, -79, -24, 41, 28, 46, -21, 48, 46, 20, 12, -31, 24, -2, 23, -1, 7, -28, -59, -13, -41, 36, 10, 26, 51, 24, 2, -45, 1, -36, 20, 53, 10, 50, -52, 45, -2, 8, -36, -32, -24, -35, 17, 7, -35, -57, -58, -63, 44, -33, -27, -62, -5, -1, 29, 22, 44, -44, -31, -30, 9, -35, -8, -49, 6, -1, 5, 17, 14, -53, 11, -43, 30, -17, 51, 9, 3, 54, -21, -30, -53, 20, 50, 36, -69, 15, 24, -13, 41, -36, 11, -32, 35, -1, 60, 4, 10, -59, 9, -43, -60, 15, 53, 30, -2, 38, 7, 22, -26, 9, 63, -7, 24, -45, 45, -53, -5, 45, 55, -17, -34, -49, 58, 29, -42, 55, -18, -17, -44, 30, -63, 30, -44, 15, 48, -5, -60, 14, -17, 36, -24, 25, -42, -59, -50, -18, -54, -49, 38, 23, 49, 25, 19, -20, -54, 38, -1, 17, 68, 31, -3, -27, -56, 22, -19, 21, 20, 6, 12, -44, -4, -17, 65, 49, 27, 12, 41, -31, 5, 51, -43, 26, 47, -29, 54, 25, 21, -13, -7, -27, 53, 18, 52, -54, -32, -4, 49, 60, 29, 41, 19, 35, 48, 19, -36, -42, 57, 28, 69, -24, 63, 5, -7, 39, -4, -53, -9, 46, -35, -33, -15, -42, -53, -21, 51, -1, -44, 40, -2, 29, -8, -58, -32, 34, 28, 18, 14, -46, 45, -1, 36, -47, 21, 0, 65, -48, -66, -26, -32, 46, -52, -41, 4, 47, -46, 23, 50, -5, 56, -13, -35, 33, 31, -15, 56, 55, 65, 22, -2, 54, -34, -50, 44, -17, -27, -37, -39, 36, -35, -3, -61, -2, 9, -36, -21, -43, 35, -23, 35, 60, 14, -44, -1, -56, 14, -24, -16, -50, -11, -35, 60, -45, -19, -6, -3, -44, -5, 25, 2, -59, -36, -72, -48, 37, -19, -58, 5, 52, 29, 24, 4, -52, 23, 15, 19, 36, -45, 22, 0, 15, -29, 78, -33, -33, 1, 36, -29, -18, -6, -15, 41, -48, 48, 10, -33, -12, -57, 34, 15, 10, -28, 68, 32, -19, -18, -1, 59, 29, 55, -14, -20, 28, 41, -27, -48, -26, 46, 10, -9, 14, -38, -2, 9, -34, 26, 15, -43, -22, -14, -30, -65, -48, -2, -45, -9, -63, 58, 27, -47, -37, 33, 44, -10, -76, 16, 28, -61, 41, -42, -20, 11, -46, 49, 18, -58, 29, 38, -4, -60, -31, -12, -25, -64, 4, -40, -44, 57, 42, -4, 62, 38, 64, 41, -4, -46, 77, 50, -16, -58, -11, 21, 37, 33, -40, 54, 52, 38, 64, 55, -26, 16, 37, -10, -49, 18, 60, 41, -59, 7, -32, 5, 39, 55, 5, 35, 50, 47, 19, 35, -46, -20, 32, 42, 48, 44, -34, -48, -24, 22, 34, 63, 36, -49, 51, 24, -30, 20, -28, 36, 61, -45, -46, -14, 5, -48, -29, -33, 41, -51, 3, -33, -1, 60, -30, -30, 3, 38, 61, -33, 36, 24, 34, 30, 3, 38, 51, -44, -34, -34, -60, 65, 17, -21, 19, 6, 33, 54, -33, -20, 11, -23, -66, -29, 23, 48, 18, 48, 56, -39, 77, 4, 36, -29, -1, -63, -44, 19, 6, 14, 13, -35, -53, -51, 34, 36, -59, -50, 10, -21, 37, 35, 36, -6, 9, -7, -8, -25, -43, 20, -46, 12, -22, -14, -4, -18, 8, 2, 58, -41, -26, 40, -26, -55, 43, 37, -58, -44, 54, 19, 4, 43, 52, -59, -36, 25, -37, 95, -29, 8, 19, -23, 60, 59, -47, -39, 61, 25, -36, 31, 3, -10, -33, 20, -43, -13, -45, 34, 43, 14, -4, 14, -62, 24, 28, 7, -33, 65, 36, -36, -5, 26, 31, 41, 51, -4, 17, -30, -8, -37, -7, -13, 31, 7, 9, 4, -18, -64, -17, 62, -67, -35, -29, -42, 37, -45, -23, -11, 23, 19, 21, -4, 64, 69, -10, 48, 36, 55, -41, -34, 67, 14, -43, 12, 10, -32, -9, 30, -9, -47, -31, 17, 60, -16, 46, -11, 42, 34, 19, 2, 5, 7, -63, -66, -15, -8, 59, 16, -14, -44, -46, -63, 35, -45, 41, -11, 34, -12, -46, 26, 53, 20, -30, 51, -2, 15, -35, 23, -46, 46, -30, 58, -31, 60, -27, -57, 14, -18, -53, -55, 20, 53, 3, -15, -38, 25, 18, 2, -43, 50, -38, -61, 7, -5, -28, -25, 5, -12, -54, -56, -22, -44, 45, -43, 8, -37, -15, 56, -50, 51, 23, -57, 4, -41, -21, -12, -34, 20, -58, -13, 9, 48, 25, -2, 36, 43, -49, -18, -57, 38, -9, 0, 50, 41, -59, 58, -14, 63, -10, 35, 55, 35, -31, -61, -20, 43, -6, -20, -9, 15, -27, 20, 28, 9, 6, -31, 33, -54, 22, 17, -2, 32, 14, 43, -1, -9, 38, -82, -5, 16, -5, 61, -3, -15, 45, -55, 60, -24, 39, -38, 39, -2, 37, 49, 24, 25, 19, -9, -46, -32, 23, -31, -26, -12, -69, 18, 20, -52, -31, 19, 8, 12, -32, 35, 8, -3, 26, 44, 46, 28, 37, -49, -48, -2, 1, 41, 26, 5, -23, -43, -46, -37, -27, -6, -28, -1, -55, -52, 50, -52, -39, 28, -5, 7, 57, -7, 50, -40, 2, 54, -5, -25, 61, 48, -58, 1, 54, 31, 59, 2, -49, 69, 12, -8, 38, -8, 23, -40, 61, 24, 64, 44, -60, -36, -65, -56, 6, -8, 17, -17, 11, 41, 2, 31, -21, 3, 20, 16, -48, 10, 44, -16, 12, 44, 38, 20, 3, 5, -60, 63, 2, -64, -55, -36, 24, 60, 57, 8, -27, 47, -12, 41, 17, -67, -47, -6, 19, -53, 8, 38, -15, 38, -51, -30, -28, 61, -15, 57, 56, -43, 52, 20, -17, 56, -65, 41, -10, -7, -57, -29, 30, 25, 26, -26, 4, 0, 27, -1, 52, 18, 66, 12, -81, 13, -49, -10, -25, 38, 45, 8, -34, 1, 54, 46, 55, 51, -3, -14, 39, 35, 59, 80, 16, -5, -30, -34, 63, 11, -50, 33, -43, -19, -35, 54, -26, -4, 1, 32, -36, -12, 28, -45, -7, 37, -15, 25, -59, 44, -63, 43, -6, 25, 22, -49, -38, -13, -22, -10, 58, 57, 12, -22, 20, 16, -25, -52, 32, 38, -10, 44, -23, 48, -89, 11, 64, -41, -9, -23, 34, 65, -33, 32, -24, -57, -56, 39, -27, 12, -10, -29, 24, -10, 39, 0, 7, -20, -7, -6, -37, 0, 7, 0, 18, -60, -5, -60, -52, -39, 5, 41, 35, -17, -32, 13, -42, 24, -38, 40, 27, -35, -50, -55, -12, -23, 35, -2, -54, -47, -69, -43, 1, 40, 3, 16, 36, -54, 10, 36, 49, -39, -55, 0, 26, -20, 10, 2, 23, -10, -17, 21, 5, -35, -39, -10, -6, 10, 34, -49, -53, 13, 28, -12, -2, -11, -38, -25, -35, -20, 7, 59, -9, 39, -18, -3, -14, -25, -29, 29, -62, 29, 64, 29, 29, -62, 13, -16, -52, -25, -28, -29, 45, -76, -32, -29, -16, -4, 19, 18, -19, -41, 51, 2, -24, 46, -30, 52, 37, 46, -37, 1, 18, -28, -53, 27, -52, -5, 65, -51, 5, 24, 64, 34, -39, 8, 14, -34, 0, -10, 60, 30, 52, 55, -14, -51, 54, -14, 39, -17, -13, 21, -45, 3, 40, -31, 70, -47, -9, 32, 16, 54, 46, -25, 41, 14, -11, 60, -11, -11, 32, 7, -52, 13, 9, -1, 14, -64, -10, -34, -21, 5, 0, 28, 51, -54, -19, -18, -15, -42, -28, 25, 37, 5, 24, -46, -2, -48, 38, 27, 23, -62, -5, -63, -8, 28, 58, -1, 11, 60, -55, -5, 24, 19, 8, -63, -29, -53, 69, 28, 34, -11, 15, 34, 1, -66, -12, 63, -13, 43, -33, -20, -57, -50, 33, 31, 35, -7, 65, -17, -58, 33, 19, -64, -9, -46, 22, -32, -37, -40, -31, -55, -7, -13, -42, 39, -40, 38, 4, 57, 45, 59, 30, 45, 50, 51, -57, -34, -58, -61, -36, 49, -27, -45, 2, -18, 6, -40, 4, -42, 15, -21, -15, -14, 30, 57, -33, 18, -41, 10, 53, -12, 39, -25, -59, -35, 3, 55, -27, 20, 17, 1, 58, 21, -29, -47, -37, 20, 15, 25, -40, -2, 7, 66, 33, 46, 1, -42, -15, -2, 74, 49, 40, -27, -34, 37, -49, -16, 36, -29, 11, -13, -8, -34, -8, -4, 51, 27, -15, 50, 5, -49, 50, -25, 46, 13, -8, -35, 27, 55, -38, 48, 12, 34, -10, 39, 19, 58, 35, -30, -1, 55, 14, -17, -22, -19, 42, 55, 5, -40, -57, 44, 53, -13, 20, -53, -45, 43, 0, 38, 40, -36, 25, -30, 13, -7, -36, -28, -27, -52, 10, 35, 4, -44, 3, 33, 67, 73, -15, 19, -66, -25, 34, 64, -29, 5, 48, -44, -4, -66, -13, 7, -7, -18, -59, 35, -42, 32, -54, -53, 58, -60, -23, 36, 5, 0, -15, 21, -21, -48, -64, 38, 65, 9, -65, -42, 6, -27, -40, -59, 41, -19, -59, 10, 35, -13, 29, -53, -44, 59, 37, -45, 78, 45, -82, 68, -34, -48, -39, -43, 51, -14, -19, -49, 33, -36, 62, 32, -43, 9, 13, -38, -41, -65, -53, 21, -12, 43, -50, 3, -26, -73, -1, 4, -20, 42, 43, -46, 74, -17, -29, 6, 41, 57, -32, -4, -5, 11, -34, -53, 17, -26, -55, -34, 43, -45, 15, 36, 73, 12, -50, -32, -31, -36, 46, 37, -19, 54, 33, -4, -18, -21, -7, 30, 44, -4, 39, -39, 11, 33, -47, 20, 5, 27, 1, 45, -1, 22, -68, -56, 20, 41, 37, -1, 8, -11, -50, -47, 40, -30, 30, -42, 70, 57, -17, 5, -2, 42, -57, -65, 42, 15, -12, 61, -50, 44, -8, 6, 20, 0, 2, -49, -10, 9, 63, -47, -1, 54, -30, 28, 27, -27, -41, -13, -37, 26, -38, 9, 56, -70, -29, 37, -12, 22, -6, 27, -2, -15, 1, -16, 21, 23, 34, -21, -19, -29, 43, -60, -59, 55, 17, 6, -39, -50, 47, 57, -19, -47, 6, 7, -57, -61, -15, -26, -50, -18, -41, 55, 65, 43, -8, -27, 32, 34, 54, 46, 22, -5, -53, 60, -50, -44, -40, 31, 17, -34, -20, -4, 18, 46, -8, 32, 53, -64, -52, 7, 52, -56, 3, 50, 51, -25, 30, -49, -22, -37, 11, -25, 2, 8, 56, 38, -35, -59, -34, -46, -24, 2, 29, -19, -5, -56, -43, -47, -43, -2, -7, 24, 18, 30, -40, 1, -53, 62, 54, -45, 19, -40, 9, -58, 16, -3, 34, 41, -44, 5, -23, -35, -47, 64, 33, -30, 23, -60, 41, -10, -39, 35, 25, 32, 46, 59, -31, 54, -11, -14, -64, -62, -10, -62, 59, -11, 26, -2, 10, -24, 40, -8, -5, 41, 58, 22, -63, 18, 21, 51, 45, -28, 11, 34, -20, 6, -52, 7, 39, -22, 64, 31, -9, -14, 57, 48, -20, 8, -41, -10, -65, 4, -19, 47, 40, 44, -65, 12, 29, -25, 19, -29, 8, -11, 51, 35, 3, -4, -54, 42, 20, -1, 10, 27, -12, 55, -38, -48, -25, 47, 15, 12, 37, -38, -34, 27, 12, 11, 14, 54, -23, -51, 28, 17, 18, -17, 24, -23, -10, -13, -20, -19, 12, -36, -7, -37, 0, -41, 12, -43, -1, 51, 18, 12, -24, 23, -57, 54, 17, 31, 35, -62, -35, -19, -16, -49, -56, -34, -4, -44, 28, -33, 9, -53, 10, -62, -61, 7, -56, -24, 24, -24, -31, -57, 50, -47, -33, 44, 26, -7, 38, -40, -13, 31, -38, -23, 39, 9, -32, 60, -23, -27, -22, 54, -53, -57, 40, -61, 19, 0, 6, 10, -3, -39, 53, -56, -38, -38, -7, 28, -17, -59, -54, -66, 57, 39, -35, -59, 45, 63, 3, -1, 45, -34, 15, -61, 35, 54, -39, 53, 34, 23, 13, -63, -1, 43, -1, -50, 10, -13, -56, 2, -50, -61, 54, 30, 33, 55, -59, -2, 26, 8, -64, 33, -52, 44, -46, 39, -38, 16, 16, -18, -39, -11, -63, -62, 26, 40, -53, -34, -23, -50, 60, -19, 8, -49, 55, -32, 51, 48, -32, 23, 27, -41, -12, 2, 40, -35, 16, 19, 7, -1, 9, 21, 15, 28, -51, -32, 45, -8, -65, 9, -56, -24, -67, 7, 30, 48, 29, -38, 48, -32, -36, 4, -40, -17, 7, 32, 44, -35, -61, -29, -2, 8, 10, -9, -56, 4, -28, 2, -3, 31, -64, 53, 31, -11, -35, 47, -48, 58, 29, 2, -62, -19, -56, 3, -54, -12, -53, 13, 59, -40, 24, -56, -14, -49, -64, 7, 1, -21, 64, 31, -36, 48, 31, 14, 23, -21, 50, 27, -49, -55, -34, 8, 28, -5, 36, 26, 54, -27, -37, 43, 40, -18, 56, -14, 61, -58, -27, -20, 33, 43, 46, 53, -66, -32, 3, 0, 14, -25, 30, 44, 40, -24, -27, -15, 44, -44, 16, -67, -38, 27, -38, 2, 3, 59, -22, 28, 64, 29, -59, 61, -21, -54, -42, 42, 21, -8, -49, -55, -43, -54, -1, 1, -10, -59, 32, 27, 12, -22, 54, 20, 52, 29, -9, 23, 26, -6, -14, 17, 38, -58, -1, -8, 35, -61, 18, 43, -23, -16, 32, -55, -5, -16, -50, -38, -27, -45, -12, -49, -63, 61, 0, 28, 33, 11, 46, -31, -42, -44, -38, 3, -52, -13, 58, 13, 41, -13, 70, 18, -60, -37, -44, 52, -38, 61, 2, -40, 42, 22, 31, 42, -4, -6, -14, -32, 41, 41, -33, 43, 52, 25, 57, 28, 54, 38, -58, 7, 28, -62, -63, 13, 28, -14, -44, 27, -40, 58, 66, 43, -18, -22, 45, 6, 2, 3, -39, 60, 7, -22, -8, -33, -4, -64, 7, 33, 21, -41, 20, -42, 61, -22, 24, 19, -22, 58, -36, -47, 26, -54, 34, 3, 32, 56, -6, 13, 7, -25, 39, 6, -5, 2, 0, -34, -9, -53, 63, -2, 44, -48, -46, -1, 41, 25, 34, -53, 60, -23, 60, -11, -25, 0, -46, 60, 51, 45, -35, -51, -12, -52, 51, -26, 26, -41, -19, -17, -37, -50, 14, -22, 34, 18, 63, -19, -64, 10, -41, 61, 30, 12, -2, 53, -32, 4, 16, -31, 25, 12, -62, 31, -16, 50, -17, 11, -6, -24, 16, -1, -37, -39, -41, 8, -35, 7, -67, 16, -44, -23, -34, -40, 25, 58, 63, 49, -18, -52, 34, -49, 3, -26, 23, -46, -32, 22, -57, -17, -46, 16, -3, 44, -6, 32, -53, 24, 61, 28, -18, 44, -60, -58, -28, 13, 6, -25, 56, 5, 3, -50, 34, 51, -57, 17, 21, 32, 44, 21, -20, 2, -29, -32, 7, 27, 22, 51, 34, 18, -10, 43, -16, -44, -16, -55, 4, 17, -18, 54, -52, 21, -57, 28, -1, 50, -43, -48, -1, 1, -8, 23, -58, 52, 18, 20, -18, -16, 4, 45, 14, 1, 58, 46, 18, -2, -62, 23, 40, -37, -47, -38, 29, 28, -24, 26, -30, 17, -7, -22, 46, 11, 44, -29, -40, 55, 27, 42, -15, 14, 27, -37, -59, -9, 40, -13, -32, 12, 56, 28, -35, 45, -24, 20, 47, 45, 46, 39, -53, -18, -40, -35, -35, 43, -12, -23, 19, 32, 21, -15, -39, -34, 55, 52, 12, 51, -28, -31, -52, -5, -7, -43, -18, 19, -33, 44, 63, -47, -28, -46, -29, -45, 7, 40, 6, 26, -25, 32, -61, -43, -16, 54, -59, -3, -8, -21, 3, -38, 61, -6, -21, -9, 48, 26, -59, 50, 44, -58, -39, 26, -46, 7, 42, 43, 51, 39, 2, -28, -58, 21, -9, -22, 15, -48, 41, -30, 36, -38, -4, -41, -40, -21, -70, -10, 29, -59, -12, -12, -56, -20, 6, 16, -70, -59, 27, 28, 1, -46, 32, 6, 45, -13, -32, -41, -20, -17, 22, 46, -42, -5, -34, -47, 52, -28, -56, -51, -66, 41, 14, 24, 52, -1, 59, 24, 30, -21, -2, 36, -24, 11, 3, -53, -55, -45, 46, 57, -10, 46, -35, 27, -34, -37, 38, -25, -31, 1, -22, -34, 42, 53, -30, -37, 45, -40, 2, -13, -10, 25, -61, 45, -22, 58, -36, -30, 6, 7, -5, -47, 26, -17, -13, -18, -50, 33, -31, -8, -18, -29, -5, -11, 53, 16, 3, -59, -9, 54, 24, -22, -32, 18, -43, -55, 17, 13, 42, -22, 54, -66, -57, 8, -24, -36, 41, 6, 9, 7, 10, -50, -17, -25, 41, 36, 16, -19, 8, -31, 7, -16, 25, -16, -17, 17, -45, -41, 55, -9, 59, -29, 29, 28, 19, -1, 25, 23, -13, -23, -60, 18, -3, 12, -23, 21, 21, 28, -29, 5, 48, -24, 24, -6, 22, 34, 51, -35, 47, 1, -32, -10, 40, 16, -37, -29, 4, -44, -43, -9, -38, -1, -68, 30, -17, -63, 16, 19, 23, -57, 7, -63, -38, 49, 9, -7, 12, 3, -18, -33, -14, 19, -34, 33, -43, -34, 56, 2, 3, 14, -27, 17, 63, 15, -35, -9, 12, 17, -35, 47, 36, 29, 53, 57, 55, 22, 1, 42, -29, -6, 64, 6, 44, 33, 21, 35, -24, -12, -1, 47, 46, 7, -28, -57, 0, -54, 13, -50, 13, -34, 12, 59, -18, -31, 1, 34, 16, -49, -50, -34, -28, -45, 43, -38, 11, -49, 55, -43, 39, 43, -22, -33, 28, 43, 62, 4, -35, 5, 36, -51, -32, 62, -23, 14, -37, -62, 2, -18, -60, -31, -29, -31, -27, 26, 8, -45, -35, 60, 12, 43, -1, -24, 14, -29, -33, 24, 7, -38, -52, -22, 9, -10, -41, -7, -47, -44, -30, -3, -17, 46, 40, -26, -12, -12, -58, -20, 24, -13, 31, 67, 43, -37, 35, 49, 23, -30, 36, 3, 8, -23, -36, -2, -6, 52, 57, 32, 54, 41, -48, -4, 58, 14, 39, 0, -26, 53, -26, 42, 28, -35, -59, -14, -60, -49, -24, 35, -14, 37, -54, -3, 10, 31, 25, 36, 45, 52, -49, -18, -48, -63, 14, 43, -56, 29, 53, 59, -9, 31, 50, 34, 27, -51, 24, -20, -15, -49, 1, 41, -54, -49, -42, -52, 61, -44, -26, -15, -30, 0, 6, 38, 27, 28, 4, 28, -48, -17, 26, -16, -28, 8, -50, 26, 64, -34, -7, -33, 56, 54, 37, 62, 60, -55, 34, -25, -1, -25, -3, -42, -27, 19, 34, 56, -11, -26, -43, 38, -31, -22, -11, 38, 57, 38, -56, 54, -33, -5, -20, -48, -56, 7, -1, 11, 15, 13, -62, -62, -24, 11, -44, 31, 40, 23, -32, 8, 44, 63, 56, -33, 50, -3, -14, 13, -35, 18, -36, -37, -25, -21, -52, -1, -28, 28, 23, 26, -15, 54, 8, -31, 60, 51, 16, -31, -37, 6, -23, 61, 24, -2, 60, 59, -19, 38, 15, -36, -20, -14, -51, 67, 50, 7, 36, -8, 59, 39, 36, 36, -10, -55, 44, -32, -20, -30, -11, -69, 20, 20, -11, 47, 65, 8, 53, -33, 14, 62, -12, 15, -56, -55, 52, -40, -52, 30, -45, -15, 7, 40, -12, -47, -15, 29, 11, 52, 61, -28, -23, -21, 37, -8, 5, -38, 15, -5, -29, -31, -61, 9, 25, 39, 52, -18, -5, -4, 38, 2, 59, 32, -55, -27, 34, -10, 56, 25, -40, -41, -34, -2, -5, -70, 0, 25, -12, 3, -53, 10, -14, 63, -38, -60, 61, -38, 39, 0, 53, -8, 33, -49, -38, -57, 21, 46, -34, -59, -47, 43, -23, 26, -43, 15, -68, 60, -63, -2, 30, -63, 54, -50, -1, 25, -53, -2, 51, 39, -10, 25, -17, 8, 19, -44, -23, 3, 1, -25, -65, -56, -29, 8, -7, -38, 55, -31, -56, -55, -26, -34, 43, -59, 43, 32, 24, -50, -53, -48, 28, -38, -36, -62, -36, 49, -62, -29, 43, -7, -63, 12, -10, 30, -16, 14, 24, 62, 51, -21, 31, 34, -30, -17, -50, 64, 60, 26, 55, -14, -47, -34, -21, 35, 47, 28, 52, -43, -29, -24, -44, 20, -41, 63, -45, -58, -45, 27, 3, 36, 9, -8, 0, 40, 37, 56, 13, 23, -39, -44, -44, -39, -50, 17, -30, 18, 61, -6, -60, 9, 38, -2, 59, -19, 47, 34, 53, 0, -2, 15, 51, 40, 50, 4, -21, 42, -44, -10, -31, -38, -9, 56, 30, -29, -30, -59, -61, -53, 39, 42, 7, 2, 20, 55, 31, 6, -38, 21, -64, 12, -47, -46, -2, -53, -36, 29, -5, -67, 53, 40, -13, -55, -63, -57, -21, 4, 3, 33, -11, 37, 28, -32, -2, 29, -34, -41, -60, -3, -13, -21, 4, -50, 33, 6, -6, 37, 21, 43, 20, -5, 56, -23, 41, 61, 49, 20, 35, 50, -45, -8, -8, 10, 2, 7, -41, -46, -24, -63, -31, -42, 35, -26, 63, -4, -61, -5, -29, -54, 2, -29, 46, -1, 55, -18, 33, -56, -22, 59, 53, 43, -48, 57, 44, -63, -44, -59, -41, 22, 41, 23, -24, -49, 28, 30, -56, 12, 5, -7, 36, -44, 62, 35, 53, 13, -13, 34, -43, 49, -23, 13, 62, -57, -17, 5, -18, 21, -54, -28, -47, -33, 54, -47, 32, -61, 12, -14, -35, 29, -25, -27, 22, 45, -11, -45, -14, -28, 8, 60, -64, 61, -42, 36, -54, -58, 56, -31, -13, -42, -48, 43, -22, -27, -9, -48, -26, 11, -45, 7, 44, -12, -44, -58, -1, -31, 20, 34, 0, 39, 44, 3, 5, 54, -46, -23, 36, -10, -49, 31, 29, 10, -57, 0, 46, 6, -12, 13, 16, -47, -56, -3, 54, -43, -51, -57, -24, -62, -26, -16, -45, 11, 3, 48, 57, -36, 7, -21, -60, -11, -19, -11, -46, 27, -26, 11, -21, 16, -50, 8, -53, -52, -22, -8, 38, 24, 51, 26, 17, 30, 56, -70, -56, 27, -2, -40, 49, -63, 61, 30, -9, 26, 29, 52, -10, -4, -26, 4, 45, -4, -42, -58, 19, 25, 31, 45, -7, -51, 50, 56, -6, -23, 0, -24, 8, 64, -17, -43, 44, 13, 44, 64, 56, -5, -59, 57, 13, -64, 30, -30, 18, -51, -17, -60, -53, -51, 19, -29, 42, -22, 23, 13, -48, -39, -54, 17, 0, -43, -25, 46, -9, -5, 5, 11, -14, 59, -42, 1, -31, -14, 9, -22, -2, -19, -56, 36, 38, -30, -20, -55, -41, 28, 36, -47, 24, -24, 16, 44, 46, 22, 16, -15, 32, 11, 62, -49, 14, -42, -31, 25, 34, -56, 27, 26, -8, 2, 31, 49, 12, 16, -51, 46, 39, 38, -65, -28, -32, -4, -63, -5, -61, 35, -59, -26, -42, 32, 30, -58, -22, 29, -3, -59, -11, 9, 25, -13, 59, 23, -51, 36, 31, 4, -66, 12, -50, 36, 48, -37, 54, 56, -10, 56, -13, -55, -53, -58, 0, 30, 32, 17, 35, -15, -54, -3, -39, -38, -7, 50, 25, 42, -59, -15, 4, -19, 16, 25, -53, -5, 8, -22, 56, -39, 16, 25, -15, 39, -12, 11, -29, 10, -7, -27, 52, 53, -61, 44, -24, -61, -61, -54, 40, 11, -26, -52, -42, -58, 29, -11, -57, -64, 27, 50, 34, -13, 16, 30, -46, -40, 53, 47, 26, 56, 25, -62, 50, -49, -16, 5, -21, -1, -2, -25, -33, 28, -4, 23, -30, 37, -5, 22, 30, 55, 8, -40, 28, -37, -57, -60, -29, -18, 7, 42, 16, -56, 6, 26, 51, 46, 59, 59, 40, 43, -40, 33, 38, 11, 30, 24, 41, -29, -41, 22, -5, 38, -6, 25, 20, -53, 51, -35, 26, 30, -7, -53, -39, 31, -49, -28, -50, 49, -18, -28, 20, 0, -25, 35, 34, 30, 25, 53, 55, -28, -40, -37, 21, -3, -32, 36, -7, -29, -9, -40, 39, -44, 5, 26, 18, -46, -19, 45, 10, 59, 58, -29, -49, 48, 35, 55, 8, 19, 41, 34, 11, 63, -49, -18, 58, -17, -59, 20, 38, 27, -4, 39, -35, -22, 61, -24, 11, -14, -45, -35, 31, 30, -54, 39, -16, -21, 23, 51, 16, 51, 57, 9, -25, 23, -14, 3, 15, -43, -29, -8, -53, -31, -46, -45, -31, -10, 3, 17, 61, 0, -16, 5, 59, -37, 45, 61, 53, 1, 38, -20, -55, 25, -16, -40, -57, 4, 22, -36, -1, 2, -1, 30, 2, -12, -2, -59, 31, -15, -15, 51, -55, 51, 37, -57, 2, 48, -30, 54, 22, 13, 4, 62, 47, -29, -5, -11, 17, 2, -7, -49, 22, 16, -5, -63, 34, -62, -12, 5, -51, -31, -42, 46, -66, 34, 34, -28, -25, -16, 58, 9, 42, -31, -55, 36, 16, -60, -63, -63, -24, -42, 0, 1, -58, 55, 15, -2, -63, 18, -56, 27, -46, -8, -34, -36, -18, -38, -53, -34, -61, 29, 41, -13, -43, 12, 49, 31, 59, 50, 15, 18, 43, -45, -23, -20, 35, 13, -54, 14, 47, 31, -45, 2, 23, 1, -4, -57, -16, -58, 46, -2, -11, 32, 61, -6, -22, 35, -47, 59, 6, 11, 51, -63, -8, 18, 25, -50, -41, -17, 60, -42, -29, -10, 13, 42, 10, -50, 54, 18, 54, -23, 53, 0, 33, -57, 23, 1, 1, 14, -34, -30, 25, 7, 3, -50, 28, 10, 0, -13, -46, -28, -4, -13, 14, -35, -33, -28, -15, -33, -13, -8, 25, -40, 40, -12, -52, -47, -57, -51, 57, -60, -22, 38, 4, -23, 0, 42, 26, 10, -62, 40, -58, 53, -46, 20, 39, 18, -26, 30, 15, -1, 47, -21, -6, 30, -31, -37, 14, -66, -45, -7, 59, -47, -34, -21, 31, 12, -3, -13, 16, 50, -3, -1, 23, -11, 32, 32, 37, -10, 58, -45, -21, -63, 57, 2, -8, -11, 60, -59, 46, -59, 58, -42, 24, -24, 19, -27, 52, 47, 50, 33, 48, -23, 40, 55, 0, -5, -45, 4, 52, 10, -13, -2, -64, -62, -4, 52, -57, 27, -15, -44, -35, 56, -62, 49, 34, 40, 49, 4, 36, -3, -5, -50, -9, 24, 30, -43, -36, 45, 35, -3, -50, -10, 1, -4, -63, 19, 53, -52, -43, 10, -18, -55, -26, -7, 23, 2, -4, 48, -15, 31, -19, -9, -3, 43, -12, 50, 8, 52, 24, 1, -67, -1, -44, 24, -44, 55, -5, -54, -16, -29, -42, 59, 5, -60, -27, -37, 48, 28, -46, 21, -13, -4, -52, -41, 50, -15, 14, 28, -52, -39, 5, -42, 40, 38, 1, 55, -42, -71, -18, 17, -30, 62, 31, 1, -13, 35, -63, -29, 55, -43, -46, 0, 17, 2, 23, -59, -28, -58, -27, -4, 27, 14, -54, -65, -61, -38, 41, 18, 14, 47, 29, -18, 30, 6, -5, -56, 20, -61, 1, 14, -47, -58, -13, -61, 33, -5, -38, -43, 5, 37, 40, -35, 59, 25, 2, 43, -32, -31, -38, -49, 3, 20, -26, -63, -9, 33, 43, -3, -61, -38, 8, -63, -57, -16, -62, 62, 11, 28, 29, 12, 50, -25, -25, 48, 31, -8, 50, 47, -34, -2, 25, 46, 3, -33, -7, -25, -45, -64, -51, 21, -41, -30, 5, 36, 54, 11, -37, 29, 16, -43, -51, -50, 41, 26, 25, -45, 55, 44, -14, 58, 14, 22, -10, -2, 40, 24, 48, -53, 47, -1, 11, -30, -50, -18, 30, -39, -39, 14, -4, 39, 44, -24, 33, -24, 23, 26, -15, 20, -5, 4, -19, -58, 62, -28, -27, 27, -4, -6, 16, -45, -62, -15, 5, -47, 39, 12, -10, 52, -26, -29, 46, 37, 35, -44, -27, -28, -46, -22, -41, -29, 5, 15, -24, -3, -11, -54, -40, -58, -48, 50, -57, 55, -4, -44, 40, 45, 51, 37, 28, -56, -62, -58, 25, 52, -1, 20, 38, -56, -62, -48, 16, 12, -37, -12, 32, -59, 14, 53, -18, 41, -38, 33, -49, 37, 34, 48, 49, 34, 47, 32, -18, 50, 32, 52, -23, 28, 52, -16, 22, -53, 57, -48, 40, -63, 44, -55, -64, -60, 59, 31, 57, -42, -47, 51, 5, -61, -12, -2, -44, 26, -26, 28, -23, 18, 55, -15, 15, -63, -53, -21, -26, 21, -33, -3, -35, 29, 30, -52, -35, 3, -28, -8, 0, 39, 53, 37, 63, 24, 31, 2, 15, 41, 50, -14, -23, -56, -15, -40, -40, -20, -57, -48, -32, -52, 61, 32, 16, 23, -16, -27, -48, -44, -47, -56, -61, 22, 38, -10, 10, 30, 6, -46, 15, -63, 25, -46, 17, -35, -8, 26, -25, 13, -45, 58, -55, 37, -58, -57, -52, 31, -57, 44, 52, -21, -13, 53, -9, -49, -30, -8, 52, 23, 24, -9, 22, -3, -15, 3, -54, -9, -37, 34, 36, -30, -54, 44, 57, -27, -14, -5, -18, -34, 2, 21, -11, 9, -21, -65, 27, -50, 48, 20, -19, 10, 43, -14, 25, 33, -45, -9, 30, 45, 12, 4, 13, 41, 35, 49, -28, 52, -32, 62, 38, 13, 40, 14, -4, -13, 1, 17, 47, -2, -57, -2, 3, -49, -15, 8, -47, 61, 23, -55, -34, -15, 34, -49, -51, -9, 45, -58, 37, 20, 51, 56, -30, -47, 22, -58, -19, -10, -42, 30, 23, 34, -37, -57, 43, 46, -15, 46, -59, 16, 14, -18, 29, -47, -27, 37, 42, -18, -10, 49, -41, -19, -21, -34, -47, 8, -60, -64, -50, -25, 35, -46, 21, -53, -18, 6, -1, 15, -59, 14, 54, 58, -28, 57, -34, -53, -5, 28, 11, 46, 27, 13, 23, 11, -56, 30, 35, -14, -11, 36, -38, 39, -4, -42, -17, 3, -3, 40, 35, -29, 46, 4, 4, -33, -58, 57, 5, 16, -19, 39, -21, 56, 41, 49, -56, 54, -40, -33, -43, 20, 57, 1, -43, 15, -49, 42, -39, -39, 32, 23, 53, 0, -6, 16, -27, -50, -9, 30, -25, 24, 63, 28, -29, 38, 43, 24, -7, -39, 4, -50, 62, 46, 49, 8, 12, 9, -45, -43, -39, 11, 22, 27, -61, 9, -66, 25, 13, 30, -5, -67, 39, 45, 15, -5, -23, -5, 22, 42, 24, -12, 50, 19, 31, 26, -46, 41, -33, 1, 24, -60, 2, -44, 34, -27, -43, -20, 46, 58, 1, 9, 21, 37, -2, -5, 60, 6, -51, -26, -52, -29, 34, 62, -54, -3, -55, 6, 36, 27, -56, 37, 51, -56, 28, 58, 38, 46, 33, 20, -32, 35, -19, -33, -52, 9, -31, 16, -31, 5, -54, -27, 10, -33, 32, -21, 13, -48, -37, 11, 13, -50, 29, 46, -50, 25, -44, 45, 2, 61, 54, -5, 0, 10, 38, 43, 45, -57, -1, 12, 18, 21, 31, 57, -19, 52, -6, -9, -22, -15, 2, -63, 31, -1, -64, -39, 63, 21, -32, -53, -33, 5, 5, -46, -50, 56, -64, 21, 40, 23, -33, 20, 23, -65, 52, -2, -47, 13, -30, -54, -56, -14, 50, 32, 30, -20, -60, 19, 15, 39, 29, 46, -11, -24, 4, -28, 20, 4, 59, 44, -23, 30, -49, -50, 3, -48, -58, -44, 21, -59, -29, -28, 69, -36, 43, -53, 13, 8, 31, 36, 4, 29, 8, -1, -34, -11, -17, 17, -51, -40, 5, -51, 42, -5, -55, -52, 15, -3, 32, -30, -51, -27, 39, 3, -50, 25, 16, -59, 7, 22, -21, 24, 41, -11, 9, -13, 59, 3, -3, -49, 56, 59, 39, -40, 1, -54, 34, -20, -3, -29, -9, 35, 62, -16, -58, 55, 66, 8, 24, 18, 0, -60, 40, 38, -46, 58, 29, 38, -54, 41, -48, -59, 57, 69, 36, 38, -18, -46, 18, 38, 13, 29, 19, -7, 12, -18, -48, -29, -37, 45, -32, 3, -26, 32, 39, 45, -50, -25, -74, -22, 32, 48, -22, 56, 13, 34, -16, 2, 27, 28, 12, -51, 58, 10, -20, -48, -4, 4, -42, -56, -56, -27, -45, -60, -20, -4, -9, 52, -55, 57, 41, 41, 56, -75, -3, -69, -51, -64, 34, -2, -39, -11, -21, 57, 55, 29, -7, -29, -25, -47, 47, -33, 11, 12, 35, -42, -51, 40, 1, -3, 4, -30, -13, -22, 31, 39, -32, 23, 49, 46, -51, 23, 43, -8, 30, 56, -15, -30, -47, 7, -13, 63, 30, 47, -36, 9, -7, -53, -11, -34, -41, 10, -2, 16, -63, -60, -42, 45, -5, -15, 46, 39, -32, 47, 26, 57, -35, -47, 33, 61, -64, 27, 33, 45, 51, -26, -47, -13, 43, 56, 20, 56, -21, 25, 29, 37, 8, -49, -9, 28, -3, -58, -35, -59, 39, 16, -42, -13, -11, 46, -54, 9, 41, -56, 25, 12, 5, -51, 0, 10, -75, -71, -8, 7, -64, -9, -57, 26, 63, -23, 38, -19, 4, 26, 23, 44, -28, 37, -11, -57, 44, -41, -67, 59, -23, -20, -33, -29, 12, 66, -58, 2, 27, 71, -10, -43, -58, 9, 43, -6, -66, 50, -20, 23, 18, -11, 67, -9, -12, -17, 47, -45, 15, 29, 57, -49, -17, 47, 1, -1, -49, -59, -55, 25, -34, -2, -14, 66, 56, 60, 45, -55, -28, 46, 27, -39, -16, -35, 34, -6, 42, -41, -2, 15, 56, 5, 53, 13, -31, 29, 18, -54, -46, -14, -20, -22, -8, 56, 14, -61, -69, 24, 49, 67, 51, 5, -64, 57, -1, -19, 55, 43, -34, -45, -55, -43, -45, -36, -44, -26, -45, -18, 30, 27, -27, -54, 12, 29, 66, -29, 5, -48, -22, 0, 13, 37, 48, 3, -53, 49, -53, -40, 55, 30, -23, 40, 23, -42, 5, 21, 2, 49, 64, 12, -55, 10, 22, -4, 33, 38, -49, -16, 39, -70, -48, -39, 38, -56, 61, -15, -34, -46, -42, 38, 36, 41, 34, 4, 36, -4, -6, 22, -40, -11, -3, -36, 52, 23, 43, 20, 23, 15, -6, -13, -68, 9, -60, -42, -5, -34, -11, 54, 0, 61, -46, 14, 6, -56, 42, 12, 53, -21, 48, -15, 20, 25, -4, -25, -5, 56, 33, -56, -56, 24, -64, 10, 19, 32, -50, -58, 49, 34, 43, -32, -54, -12, -21, 36, 28, -32, -40, 31, -62, -41, -8, 50, 39, 42, 61, 56, -39, 36, 10, -50, 52, 1, -49, -13, 13, -35, 48, -61, 47, -54, -54, 44, -25, 41, -13, 30, 36, 13, 63, -67, 29, -37, -5, 28, 39, -41, -34, -23, -2, -45, 44, 9, -45, 51, -17, 48, -40, -40, 17, -25, 40, -2, -60, -38, 1, 46, -10, 42, -47, -17, -52, -49, -4, 2, -9, -25, 40, 41, -11, 18, 48, -27, -26, -55, -25, 4, 59, 37, -38, -6, -6, -26, -37, 63, -24, 44, -46, -11, -64, 7, 34, -29, 8, 7, -32, -58, -15, 10, 49, -51, -54, 49, 2, 11, -43, 49, 3, -52, 46, -37, 33, -42, -46, -66, -42, -12, 21, 61, -62, 63, -11, -50, -12, -13, -22, -22, -4, 3, 47, -52, -63, -18, 26, 56, 55, 23, -36, -28, 23, 14, -39, 44, 63, 3, 17, 19, 28, -39, -48, 30, -16, 32, -50, 50, -23, 30, 15, -31, -61, 40, -7, -5, 36, -6, -59, -2, -23, -33, 5, 18, -51, -34, -52, -1, 24, -4, 21, 53, 17, -63, -12, -56, 42, -56, 7, 44, 33, -63, 42, -10, 52, 8, 33, -16, 44, 11, -45, -37, 58, -36, 32, 41, -60, 4, -60, 1, 47, 18, -24, -29, 50, -4, 45, 30, -50, 30, 64, 13, -13, 25, 60, -27, -16, 1, -30, -12, 33, -37, 31, -39, 43, 42, -18, -25, -34, 0, -16, -58, -47, 45, 21, 12, -50, -17, 48, 30, -25, 53, 53, -47, -1, -42, 5, -50, 39, -52, 2, 67, 19, -51, 77, 28, -60, 36, -68, -26, -54, -16, -26, 46, -62, 35, 21, -46, -44, 34, -47, -15, 15, -6, 58, -5, -21, 0, 61, 46, -10, -40, 0, 24, -22, -17, 45, -59, 4, -61, -61, -58, 58, 43, -1, 42, 0, 53, 56, 27, 35, 64, 6, -31, -33, 21, 3, -41, -21, 52, 37, 46, 21, -47, 17, 24, 53, 2, 22, -3, -54, -31, 23, -63, -47, 56, -6, -68, 47, 55, 50, 12, -53, 18, 25, 19, 33, 40, 16, -11, -46, 2, 19, -17, -18, -23, 30, -37, -34, -27, 28, -14, 4, -30, 2, 57, 48, 13, -40, -32, -50, 30, -25, 29, -37, -33, 24, 29, -46, -31, -36, 54, 28, 55, -44, 30, -5, 50, 12, -31, -14, 42, 17, -38, -45, 49, -34, 58, -15, 40, 49, 14, -63, -21, -2, 45, 40, -19, -60, -42, -67, -12, 12, -39, -10, -25, -31, -10, 61, -18, 44, -35, 24, 2, 8, 39, 26, 29, -29, 23, -63, 72, -38, 19, -49, 33, 39, 14, -60, -45, -65, -6, 8, -5, 15, -41, -22, 6, -66, -62, 7, -25, 42, 15, 28, -38, 23, -31, 46, -16, -27, -6, -44, -27, 35, -7, -56, -15, 26, -25, 45, 49, -34, -40, 45, -68, -25, 43, -29, 53, 28, 22, 32, 28, -2, 16, -22, -52, -15, -13, 55, -1, -29, 29, -42, -11, 45, 44, -43, -27, 14, 40, 34, 36, -57, -23, -55, -68, 38, 38, 3, -7, -12, 52, 22, 47, 31, 32, -12, 21, 41, -23, -48, 54, -10, 38, -53, 9, -5, -33, 61, -53, -33, 18, -50, 42, 43, -33, -57, 26, 26, -31, -3, -5, -61, -59, -55, -28, -42, 38, -10, -44, 52, 32, 44, -41, 74, 15, 22, -55, 45, -17, 31, -40, -50, -44, 49, 2, -51, 52, -52, -50, -61, -34, 25, -38, 48, 8, -18, -8, -64, 3, -15, -7, -26, -9, -42, 53, 17, 52, 12, -49, 27, 6, 30, 14, 48, 36, -54, -32, 46, -9, -12, 44, -71, -33, -43, 5, -53, 15, -9, -62, -6, -19, 49, -43, -31, -49, -67, -10, -63, 55, -62, -31, 0, -17, 57, 19, -40, -11, 73, -35, 23, 30, -12, 20, 10, 65, 25, -66, 42, 42, -12, -22, -25, -26, -76, -53, 11, -53, 29, 47, 34, -82, 14, -11, -47, -33, -12, 42, 12, 49, 5, -24, -5, 4, 11, -22, 5, -27, -8, -8, -46, 26, -17, 46, 12, -1, -14, -29, 41, 6, -14, -41, 47, 28, 13, 70, 21, 93, 61, -33, 17, -15, -27, -57, 42, 10, 9, -51, -61, 52, 57, -60, -11, -22, 12, -22, -25, -50, -30, -2, -70, 49, -15, -60, 21, 29, -46, -53, -19, 44, -33, -1, 45, 37, -7, 35, 57, -3, 53, -50, 46, 10, 40, -9, -22, -25, -29, 8, -22, 54, 56, 40, -48, 25, -36, -31, 42, -28, 54, -47, 15, 29, -22, 2, 10, 9, -75, 23, -67, -34, 30, 17, -12, -33, -69, 16, -12, -24, 74, 58, -48, -11, 29, -13, -12, -57, 36, 55, 22, -18, 38, -16, 31, -10, 49, -61, 15, -15, -6, -7, 2, 0, 23, 17, 47, -39, 36, -39, -55, -28, 17, 16, 43, 1, -61, 16, -33, -14, -34, -43, 30, -39, -25, 13, 61, -67, -9, -47, -1, 25, 28, -60, -51, 79, -3, -25, -6, -48, -35, -64, -72, 4, 55, -7, 2, -13, -12, 5, -26, -18, -1, -41, -25, 12, -8, -45, -21, -58, 54, -19, -34, 16, -20, 8, -32, -39, -61, -3, 44, -14, 31, -19, 0, 55, 58, 40, -42, -48, -51, -12, 39, 2, -42, 26, 2, 1, -9, 49, -5, 67, -42, 45, 24, 13, 19, -30, 19, -17, -14, -27, 9, 13, 36, 2, -50, -23, 20, -29, 5, 92, 15, -34, -18, 42, 14, -14, -34, 37, 24, 65, -18, -48, -55, -88, -31, 20, -32, -26, -20, -2, -39, 22, 55, 46, 4, -26, 41, -40, -43, 31, -46, -58, 24, 25, -32, 12, 7, 10, 24, -65, 42, 13, 33, -35, -11, -59, -14, -57, -39, 7, -68, -51, 35, 9, -2, -42, 35, -76, 33, -21, 65, 39, 27, -19, -38, -28, -30, 8, -62, -41, -3, 34, 5, 31, 64, -16, 41, -68, 48, 53, 51, -5, 43, 40, 19, 12, -42, 44, -27, -25, 56, 62, -67, 49, 15, -23, 8, -51, -60, -60, 33, -39, 12, -3, -12, -5, 19, 13, 14, -5, 63, 37, -17, -19, 6, 47, 38, -12, 62, -19, 59, 48, -45, 10, 0, -40, -36, -14, 41, -51, -25, -19, 16, -6, 33, -27, -45, -12, -42, 13, -9, -24, 22, 27, 43, 53, -13, -46, -7, -16, -33, 32, 64, -5, -45, 50, 27, 57, 55, -14, 35, 66, -10, -59, 41, 52, 13, -29, -13, -10, 4, -45, 49, 42, -28, -34, 30, 14, -61, -28, -45, 32, -55, 4, -17, 12, -40, 47, 30, -30, -14, 43, 39, -1, -109, 15, 64, 15, 32, 55, -44, 24, -8, -36, -104, -40, 30, 24, 58, -49, 45, -6, -39, 46, -8, 52, -30, 5, 8, -60, -44, -29, 2, 8, -47, 5, -11, -69, -13, -30, -44, 5, 10, -35, 41, 2, 60, -2, 56, -7, -24, 21, -60, -15, -15, 5, 37, 26, 2, -4, 30, -46, 12, -33, 6, 42, -54, -68, -63, -18, 20, -24, -14, 17, 15, 6, 9, 0, -52, -5, -54, -58, 30, 14, 42, -58, -5, 0, -47, 46, 0, -69, -58, -53, -65, -13, 37, 75, 2, -12, 20, 31, 7, -36, 61, 32, -51, 60, -54, -48, -8, -40, 30, 48, 3, 58, 67, -2, -50, -33, 23, -53, 65, 35, -52, -27, 40, 55, 11, 52, 44, 46, 29, -4, 3, -15, -66, 29, -51, 60, -57, -13, 34, -57, -12, 0, 0, 23, -7, 25, 20, -33, 25, -57, -1, -11, 15, -53, -26, 29, 20, -25, 49, 31, -30, -8, 0, -1, 44, -13, -38, 13, -62, 63, -8, 56, 36, 38, -38, 6, -60, -33, 66, -24, -14, 16, -78, -18, -66, -79, -4, -8, 51, 63, -26, 53, -31, 35, -35, 54, -25, -33, 38, -7, 45, 41, -45, 54, 39, -46, -41, 9, 32, -55, -65, 33, -3, -61, -58, 54, -43, 47, 54, -29, 10, -42, 64, -19, -51, 66, -30, 3, 1, 45, 57, 16, -4, -35, 84, 24, 22, -20, 43, -32, -25, 48, -24, 30, 39, -20, 9, -31, 51, 91, 29, 26, -12, 63, -52, 6, -4, 40, 8, 11, 27, -62, -6, 25, -54, -30, -12, 18, 18, 15, -11, 11, -60, -11, 50, 45, 46, 25, -7, 32, 16, -12, -10, -27, 32, -37, -13, 63, 29, 44, 32, -1, 30, 8, 13, -43, 61, -24, 22, 28, 4, 70, -25, 63, 29, 35, -8, -11, 6, -19, -52, 26, 1, 51, 3, 48, -8, -50, 33, 0, -65, -1, 39, -52, -50, -39, -15, -28, -32, -49, -44, -45, -44, 32, 35, 1, 34, -71, -36, -26, -23, 50, -27, 33, -26, 45, -48, 25, 34, 63, -17, -24, 55, -54, -28, -34, 3, -37, -25, 37, 12, 55, -37, 29, 21, -52, -15, 8, -22, 18, -16, -53, 27, 7, 23, -5, 28, 13, 49, -43, -8, 36, -33, 25, -5, -29, -46, 27, 50, 62, -33, -54, -12, 30, -30, 11, -44, 35, -22, -50, 60, 25, 53, 42, -5, 32, -2, -18, 55, 18, 46, 56, 5, -7, -45, -29, 7, 42, 50, -14, 13, -32, -42, 26, 38, -10, -4, -37, -5, -18, -45, 38, 60, -58, 61, 52, -19, -7, -16, 13, -43, 0, -45, -34, 22, -10, -40, -18, -52, 33, -48, -18, 32, 6, 11, 8, 21, -36, 7, -8, 9, 4, -20, -37, -61, 32, 14, -6, 39, 21, 33, 61, 42, -28, -14, 35, -22, 37, 13, -45, -45, -35, 11, 3, 13, 24, 19, 32, -12, -22, 27, -41, 63, 8, 4, 18, 4, -80, -7, 27, 22, 0, -63, 12, -24, 18, -45, 25, -58, 2, -11, 23, -32, 19, 38, -35, 59, 43, 12, 43, -64, 0, -36, -29, -5, -20, 34, -15, -47, -7, 37, 37, -22, -30, -16, 8, -27, -46, -1, 64, -44, -51, 19, -62, 58, -54, 10, -18, 41, 46, -1, 6, 46, 70, 61, -59, -36, 9, -56, 6, -51, 29, 46, -19, -21, -2, 45, -19, -55, 32, 32, 80, 42, 80, 54, -4, 5, -63, 6, 33, -2, 6, 0, 49, 63, 64, 5, -32, 39, -62, -21, 43, -28, -13, -20, -41, -15, -19, 35, 19, -35, -38, -21, 51, 53, -50, -9, -12, 41, -37, 19, -58, -55, -28, 26, 0, 2, -52, -17, 58, 41, -8, 1, 54, 16, -6, -44, 66, 6, -48, 52, 55, 40, -60, 44, -11, -40, -2, -45, -46, 26, 0, -31, -55, 30, -27, 53, -30, 42, 57, -48, -57, 44, 43, 36, -56, -18, -42, 5, -22, -58, 28, 53, 0, -58, -4, -36, 39, -25, -16, 68, 2, -70, -20, 50, 54, 35, -19, 48, 3, -74, -42, 3, 43, 58, 52, 53, 26, 60, 25, -26, 35, 22, 35, -61, -44, -42, 28, 50, -12, 86, -11, 6, 11, 23, 4, -65, 30, 68, 4, -28, -40, -54, 15, -1, 59, 4, -39, -18, -26, 27, 3, -25, 11, 18, 13, 26, 59, -49, 27, -7, -12, -20, -12, -53, -16, -59, 52, 27, 24, 47, -37, -36, 58, 77, 5, 41, -14, -44, -51, -23, -36, 20, -48, 38, 61, 37, -45, -40, 43, -33, -34, -26, -49, -25, 46, 12, 33, 69, -27, 22, 52, 45, -43, -58, 17, -22, -38, -36, 21, -51, 53, -38, 46, -18, 56, -26, -4, -61, 38, -41, 56, 0, -31, -34, 7, 53, -17, -37, 53, -31, 41, 44, -1, -67, 13, 41, -40, -45, -56, 38, -11, 39, -8, -27, -19, 29, 58, -44, 52, 46, -51, -49, -24, 3, -49, 4, 21, 75, -7, 3, -46, -33, -47, -63, -9, 15, -16, -4, 19, 12, 5, -29, 23, 44, -43, -78, 67, 51, -39, -44, -6, 4, -53, -73, -17, 20, -44, 34, 31, -58, -21, 9, -64, -13, -1, -43, 22, 43, 24, 27, -36, -26, 1, 41, -44, 17, 14, -41, -51, 2, 1, -54, 28, 11, 3, -2, 12, 8, -52, 20, 14, 26, 54, -54, 1, 10, 47, -16, -15, -22, -67, 62, -15, -34, 11, -17, -15, -29, -18, -8, -34, 31, -35, 14, -60, -12, -37, 9, -1, 55, -29, -41, -48, 27, -65, -22, -21, -50, 11, 35, -47, -26, -26, 16, -20, 40, -43, -35, -46, -6, -7, 30, -33, 47, 14, 49, -53, -4, 44, 44, -67, 25, 17, -1, 6, 52, -39, -47, -25, 25, 30, -8, -14, 14, 26, -51, 3, -40, -27, -52, -27, -41, 49, 48, 44, 51, -26, 42, -30, 41, 62, -44, 41, -47, 21, 29, -47, -22, -60, -26, -16, -23, 13, 41, -23, 43, 45, -4, -19, 2, 40, 0, -14, 21, 45, -14, 27, 47, 29, 19, -25, -25, -12, 84, -18, 19, -12, -93, 11, -38, -1, -12, -55, -6, 59, -21, -34, -34, -13, -56, -62, 36, 21, -29, 17, 71, -25, -30, -57, 59, 35, 13, 48, 13, 2, 9, -30, 9, -1, 4, 64, -61, -40, 31, 6, 29, -10, 22, -1, 36, 31, 28, 4, -68, -15, -15, -38, -47, 42, 54, 50, 32, -7, -7, -18, 13, -50, 26, -10, -68, 24, -25, 10, 21, -30, 61, 63, -24, 7, -37, -45, -17, -8, -20, -53, -56, -38, 36, -60, -43, -32, -51, 59, 42, -22, -31, -68, 21, -27, 26, 24, 51, 28, -23, 64, -60, 3, 62, -54, 40, 67, 48, 14, 25, 53, -12, 22, -10, -82, -18, -25, -11, 24, -48, 32, 49, -21, -22, -57, -13, -53, -14, -37, 29, -37, -43, -18, 50, -27, 3, 54, 15, -13, -14, 28, 32, 9, -59, 84, 57, -32, 20, 18, -39, 42, 33, -31, 49, -8, 31, -52, 33, -1, -27, 37, 63, -1, 27, -27, -51, -65, -29, -8, 55, -53, -24, 30, 59, 31, -45, -8, 20, 22, 38, -15, 10, 18, 49, -13, 19, -71, 4, 7, -49, 52, 1, 44, -61, -3, -51, 4, 18, -64, -41, 19, -2, -56, 39, -12, 52, 5, 37, -32, -30, 32, -55, 21, -23, 12, -27, -43, -48, 12, -20, 42, 29, 1, -18, 79, -51, 2, -26, 44, 13, 36, 24, -34, 33, 44, 24, 37, -13, 8, 26, 42, -5, 60, 20, -53, -55, -47, 29, -50, 12, -40, 3, -31, -4, 2, 51, 12, -38, 22, -18, 2, -39, -24, 20, -35, 41, 46, 76, 36, -35, 35, 12, -48, -16, -40, -45, -9, 30, -34, 58, -31, 33, 63, -48, -8, 32, 49, -15, 74, -18, -76, -30, -1, 32, 48, -7, -48, 42, -22, -24, -21, -57, 32, 11, -60, -13, 7, -43, 31, -47, -9, -11, -4, 1, 56, -44, -22, -12, -47, 13, 12, -23, 43, -9, 32, -5, -66, 39, 38, 56, -7, -26, -52, 50, -10, 1, -43, -11, 7, -27, 31, -52, -10, 23, -48, 19, -1, 50, 34, -14, -48, 1, 41, 8, -47, 33, -63, -50, -21, 32, 21, 15, -37, 50, 52, 17, -7, 62, 28, -9, 55, -38, -45, -28, -45, -52, 9, 14, 42, 2, 43, -59, -39, -10, -52, 13, 14, 14, 29, -40, 8, 51, 46, 55, 1, -3, 11, -23, -22, 24, 4, -25, 40, -28, -38, -2, -21, -65, 58, 32, 31, -61, -60, 46, -6, -37, 58, 57, -28, -38, 36, 26, 56, 11, 12, -60, 22, -31, -49, -60, 41, 18, 65, 51, -3, 52, -65, 70, 52, -3, 21, 72, 21, 38, -7, -20, 39, -18, -53, 28, 13, 47, 59, 35, 35, -8, 25, -18, -22, -54, 20, -37, -75, 39, 38, 5, -4, -63, -68, 48, -51, 70, -40, 69, 18, 52, -39, 46, -67, -3, -69, 26, 29, -48, -54, 13, 29, -19, 13, -42, -16, 40, 3, -46, -1, 25, -20, -36, -6, -9, -5, 6, 46, -27, -22, 5, 54, -60, 44, 47, -8, -12, 24, -1, -21, 53, 37, 4, 38, 19, 5, -8, -4, -42, 54, 0, 43, -35, -18, -4, -22, -20, 61, -60, 11, 29, 54, -4, -59, -44, -46, 21, 24, -33, 5, -45, -41, -22, 27, -1, -14, 39, 38, -40, -40, -18, -33, -39, -63, -58, -45, -21, -6, -16, 32, 37, 61, 48, -7, -46, -65, -14, 19, -27, 22, 39, 30, 15, 34, -60, 22, 57, -1, 25, -47, -39, -27, 24, -56, 55, 45, 24, -40, -24, 12, -27, -3, -9, -24, 12, -17, 52, -39, -9, -36, -21, 20, 28, -16, 40, -21, -19, -35, 28, 39, 25, -64, -5, -28, -46, -38, 7, 49, -39, -57, 44, 52, 16, 47, -28, -47, -50, -56, 53, 9, 27, -5, 15, 8, 26, -10, -5, -28, -13, -69, 11, 50, 5, 17, 5, -54, 73, -63, 22, -54, 10, 60, -17, -61, -30, -7, -9, -9, 42, -3, -59, -4, -29, 30, 22, -5, -14, 3, -24, -47, 75, 12, 17, 40, -63, -29, -19, 5, -52, 46, 21, -29, 4, -15, 0, 17, -4, -53, -38, 58, 53, -29, 19, -41, 49, -48, -6, -20, -22, -63, 35, -4, 41, -23, 14, -18, 69, 2, -33, 24, 32, -54, -42, -38, 42, -51, -38, 40, -41, 32, 53, -62, 23, 41, 35, -40, -9, -1, 2, 49, 43, 28, -2, -8, -33, 21, 9, 17, -7, -76, -35, 62, 7, 45, -13, 38, -57, 6, 6, 29, 33, 8, -9, -3, 47, -59, 35, -10, 55, 30, -10, 52, -36, -34, -54, 59, -49, 12, -69, -63, 50, -9, 62, 1, 50, -5, -15, 31, -12, 12, 43, 51, 50, -55, 3, 28, 23, -55, -40, -16, 47, -56, 17, 34, 24, -9, 46, 26, -11, -27, 44, -50, -5, 57, -33, 46, -57, -33, 17, -40, -61, 1, 15, -45, 8, 21, 57, -31, -21, 9, -27, -46, -14, -67, 61, 4, 8, 7, -22, -6, -33, -48, -47, 48, -28, 4, -38, 54, 46, -49, -7, 50, 15, -26, -38, 5, -13, -40, 51, 47, -63, -13, 19, 0, -36, 63, 48, -11, 30, 10, 60, 12, -14, -21, 21, -56, 49, -59, -5, -8, -19, -24, 38, 38, 52, -60, -22, 58, 11, 59, -55, 12, 45, -26, 30, -18, -43, 2, 20, 50, -28, -17, 50, 37, -21, 44, 52, -54, 23, -55, 4, -18, -21, -33, -50, 43, -54, -42, 2, -22, 22, -15, -7, 63, 17, 4, 3, 59, 24, 29, 2, 8, -41, -13, 37, -13, 17, -2, -61, 28, -61, 17, -7, -60, -46, -17, -62, 38, 36, -46, 56, 15, -48, -9, 3, 18, -31, -48, 11, 31, -49, 23, -1, -3, -28, 5, 25, -2, -38, -32, -50, -3, 29, 36, 22, -5, 11, -9, 5, 17, 16, -31, 15, 25, 33, 6, -43, -18, 17, 9, -3, -20, -36, -46, 33, -63, 33, -38, 39, 24, -50, -51, -24, -2, 21, 33, -64, -51, -52, 60, -5, 5, -4, 41, 14, -41, 21, -36, -30, 50, -5, 57, -48, 43, -14, -18, -9, 17, -40, 61, -13, -1, -24, 60, -10, 47, 0, -4, -13, -10, -33, 41, 20, -36, -2, 16, -33, 39, -60, 59, -23, -42, -31, -14, -49, 9, 31, 37, 45, -4, -58, -13, 13, 11, -42, -64, -39, 15, -9, -50, 3, -12, 31, -47, -62, 34, 23, -26, -61, -27, 41, 35, 29, 11, -32, -27, -57, -23, 0, -25, -30, -17, 22, 11, -58, 14, -22, 3, -63, -40, 35, -68, 42, -25, -39, -30, -6, 16, 28, 11, -50, -42, 20, 53, -27, -66, -45, 20, 41, -17, 48, 18, 19, 20, 40, 25, -40, -30, 47, -29, -20, 1, 26, 58, 14, -27, 52, -47, -23, -6, -52, -1, -54, -4, 6, 18, 8, -14, -15, 20, -16, -10, 20, 36, -27, -31, -28, -55, -44, -48, -23, 8, 49, 36, 24, 39, 5, -22, -21, 34, 35, 41, 14, -30, -26, -16, 36, -59, -33, -30, -60, 41, 31, 48, 12, -29, 18, -9, 52, 7, -10, -10, -3, -9, 44, -54, 24, 61, -28, -67, 46, 14, 36, -12, -27, -22, 23, -6, 52, -31, 7, -39, -7, 31, 53, 46, -19, -42, 43, 47, 37, -52, -41, -2, -39, -34, 54, -20, -10, 13, -31, 49, -31, 53, 23, 49, 55, 24, 46, 32, -54, -33, 56, 8, -55, -9, -16, -32, -14, 12, 54, -35, 37, -1, -6, 29, -43, 19, 54, 54, 31, 26, 2, 16, -52, -46, -55, 62, 21, 59, 2, 15, 47, 52, 46, 19, 8, 36, 52, -26, 10, -22, -14, 24, 34, 14, -43, -47, 37, 31, 42, -29, -58, 25, 15, -17, 52, -60, -73, 34, -61, -37, -15, -54, -19, -34, 40, -40, -34, -37, -22, -51, -32, 33, -64, 46, -39, 56, 18, 45, 56, -8, -40, 48, -4, -58, 38, -12, -42, 44, 41, -9, 33, 46, -12, 1, -5, 43, 43, 19, 31, -10, -36, -55, -55, 42, -57, 55, 54, -57, 10, 14, -10, 16, -19, -16, -28, -14, 22, -47, 12, 35, 17, -38, -60, 22, -56, -2, 41, -35, 45, -55, 17, 52, 9, -30, 49, -2, -49, -46, -4, -49, 22, 34, 46, -31, -33, -31, -64, -45, 12, 51, -21, 27, 39, 13, 47, 16, -37, 11, -60, -13, -60, -13, 1, 56, 58, -54, 27, 52, -17, 19, -33, 23, -7, -17, 7, -30, 22, -50, 17, -22, 19, -50, -32, 2, -9, 46, -9, 34, -24, 46, -31, -28, 59, 7, 46, 23, -37, 12, 13, -49, -17, 21, 61, -48, -36, 61, -37, -48, 29, 21, -28, 22, 7, -52, 48, -16, 58, -35, -44, 44, 63, 2, -10, -62, -6, 12, -61, 8, -12, -48, -55, 33, 0, 41, 25, -47, -50, 10, -52, 57, -41, 54, -58, -18, -62, -48, -19, 4, -32, 19, -46, -33, -35, 50, -54, -29, 11, -29, 27, 11, -4, -17, -62, -49, 54, -48, -63, 42, -17, -42, -5, 46, 53, 30, 54, -15, 15, 11, 61, -21, -32, -26, -65, -37, 14, 46, -54, -4, 38, -51, -53, 41, 24, -28, 27, -39, -25, 47, 23, -28, 56, 63, 22, -30, 34, -57, -39, -49, -1, 60, -43, 37, 17, 9, -26, 37, 39, 48, 25, -56, 35, 9, -26, -2, 55, 46, -55, -39, 9, 45, -6, 52, 28, -21, 55, 34, -41, -51, 27, 20, -42, -55, 10, -23, 38, -5, 8, -18, 4, -6, -54, -30, 10, -64, -57, 43, 30, 43, -50, 46, 33, -42, 47, 6, 54, -37, 48, 41, -25, -4, 49, 17, -17, 14, -35, -45, 16, -7, 13, -70, -33, 9, 0, 29, 34, -52, -60, 57, -6, 14, 21, -50, 13, -49, -14, -50, 17, 51, -25, -47, 48, 11, -16, 43, 20, 48, -4, 6, 49, 34, 15, 59, -16, -54, -24, -62, 22, 25, -43, 60, -60, -26, -38, 56, -2, 42, -29, -4, 56, 42, 57, -63, 44, -37, -10, -25, -36, -31, -33, -48, 30, 17, 22, -13, 48, 32, 3, -34, 39, -23, 58, 55, -45, 6, -49, -56, -37, -36, 57, -59, -60, -7, -8, 16, 54, 38, 18, -28, 61, 1, 44, 51, 21, -5, -1, -25, 11, 33, -23, 47, -5, 9, 34, 6, -38, -58, 54, 26, -28, -52, 2, -54, -17, -62, 31, -2, -18, -12, 46, 28, 1, -26, -31, 52, -23, 32, -41, -45, -45, 43, -48, -6, -12, -35, -26, 31, 1, 1, 53, -4, -55, -40, 28, -36, -9, 14, -39, -42, 26, -26, 18, -20, 57, 28, -58, 3, 35, 40, -17, -39, -3, 42, 33, 15, -21, -36, -23, -6, -16, -25, 16, 39, -27, -66, 5, 13, 48, 30, -29, 30, 22, -71, -33, 2, -10, 51, -3, -26, 12, -3, 61, -43, 1, -33, -28, 4, 20, -60, -40, 47, -52, -54, -48, 4, -14, -39, 15, 41, -47, -4, -43, 35, -7, 31, 9, 31, 30, -4, 43, 19, -34, 7, 40, -34, 36, -51, 15, -36, -52, -63, -44, 12, 35, -32, 21, -55, 21, -57, -11, 41, -17, -19, -49, -54, 22, 42, -50, -7, -24, -12, -24, -66, -25, 27, 16, 20, -42, -8, 44, 42, 26, 24, -3, -7, -36, -52, 42, 20, -25, 2, -7, 5, -61, 35, 34, 42, -23, -47, 6, 12, -63, -31, -14, 22, -50, -25, -51, -23, -34, -63, -44, -22, -12, 45, -47, 57, 7, -53, 17, 32, -5, -33, -32, 52, -62, 7, 47, -31, -6, -5, -44, -55, -23, -60, -33, -4, 3, 16, 17, -16, 20, 11, 55, 34, -32, 8, -27, 10, -7, -51, 58, 25, 15, 43, -32, 14, 23, -5, -14, 28, 18, -56, 41, -39, 6, -3, 46, 57, 10, -20, 11, -59, -33, -26, -25, 48, 16, -15, -37, -44, -10, 4, 4, -8, -51, 30, -54, 33, 52, -33, 26, 25, -60, 62, -44, -23, -25, -45, -50, 55, 5, -24, -18, -17, -1, -36, 20, 25, 34, -4, 57, 40, -58, 1, -61, -25, 44, -51, -20, 14, 33, 58, 15, 57, 62, -62, 13, -32, 9, -54, 52, 12, -27, 14, -36, -49, 56, 3, 34, 35, -2, 27, 62, -31, -54, -36, -15, 47, 8, -44, -36, -16, -28, -32, -63, -35, 29, 38, -14, -29, -19, -41, -24, -24, -40, -30, -1, 64, 30, 51, 59, -18, 59, -36, -60, 41, -31, -4, -8, -25, -44, -21, -58, 45, -55, 16, 34, 49, -29, -42, -65, -62, -38, -25, 46, -47, -51, -40, -20, -58, -41, -31, -31, -21, -45, -11, 8, -19, -6, 46, -32, -15, -16, 2, -32, 52, -58, -21, -65, 46, 46, 28, 7, 48, 8, -59, -19, 30, 23, 30, 30, -66, 17, -62, 11, 33, 51, -57, -47, -56, 33, 19, 59, -10, -9, -29, -19, -31, -54, -22, 16, -7, 10, 58, -22, -31, 42, -14, 54, 53, -16, -53, -19, -34, 47, 37, 42, -17, -61, 44, 9, -19, -3, -60, 47, 18, -20, 61, -58, 9, -64, -9, 62, 62, -49, 36, 49, 37, -27, -25, 41, 59, 59, 21, 63, -30, 55, 24, 17, 30, 3, -22, -34, -36, 4, 0, -9, -36, 16, 45, -47, -59, 3, 59, 6, -59, -16, 48, -12, -30, 39, -62, -36, -30, -15, 35, -58, -19, 6, -38, 39, -8, 14, -39, 6, -32, -38, 50, 18, -62, 58, 12, 19, 9, 46, 6, -40, 27, -5, 17, 26, -54, -61, 44, -26, -11, 0, 8, 32, -13, 22, -46, 0, 19, -43, 29, -36, -14, -40, 4, -11, 1, -24, -20, -21, 61, -55, 54, -18, -31, 28, 44, 38, 14, -44, 55, -15, -50, 28, -2, -15, -41, 48, -13, 22, 21, 18, 37, 57, 45, -54, -7, -51, 44, 55, 0, 17, -53, 46, 59, -34, 3, -23, 58, -22, -20, -8, 41, -26, -16, -52, -1, 19, -54, -7, -5, 0, 1, 57, 40, 50, 23, -36, 5, -34, -38, -42, -58, 53, 3, -13, 23, -42, 33, 25, 36, 13, -20, 64, -35, 7, -15, 4, -43, 19, -19, -42, 14, 6, -21, 25, 34, 21, -45, -2, 48, -3, -65, 46, -21, 14, 56, 5, 57, -40, -62, -2, 1, -61, -29, -59, -1, -4, 37, -27, 45, 11, -7, -32, -32, 58, 10, -3, -49, -65, 57, 0, 41, 14, -48, -30, 27, -4, 6, -61, 43, 8, 15, -45, -4, -52, -5, 10, 48, 32, 12, 58, 22, -12, 49, 19, 50, 32, -56, -2, 14, 38, -21, 59, 34, 16, 13, -46, 21, 40, 38, 53, -9, 34, -39, 46, 36, 6, -34, -13, 12, 39, 12, -2, -57, -60, -43, 13, -16, -8, 13, -24, 53, -17, 5, -61, -27, -38, -24, -42, -50, -63, 34, -34, -11, -27, 54, -55, 40, -56, -16, 21, -59, -5, 45, 14, -27, 25, -6, 8, 40, 63, -60, 22, -38, 64, 33, -12, -3, 17, 19, -17, 22, 8, -24, 0, 8, -16, 46, -35, 21, -11, -27, -18, 30, -1, 9, 58, -23, 59, 20, 24, 62, 17, 38, -7, 3, -21, -23, -20, -20, -49, -23, -51, -28, 21, -33, -19, -43, 1, 18, 44, -52, -24, -64, 63, -34, 48, -10, 50, -59, -64, -5, 34, -58, -4, -20, 34, -39, -60, 8, -24, -44, -21, -58, -7, 12, 12, -63, -37, -51, 62, 44, -28, -2, -38, 46, 20, -33, -6, -45, -29, -50, 15, -27, 2, 7, -17, 52, 34, -45, -24, -23, -34, -37, -20, -22, -60, -43, -48, -51, -35, -39, 50, 54, -39, 50, 25, -25, -42, 40, 24, 8, 53, 53, 1, -59, 27, -46, 19, -22, -39, -60, -28, 15, -11, 31, -50, -6, 61, 44, 59, -7, -50, 16, -40, -7, -45, 50, 49, -45, -29, -54, 31, -36, -34, -15, -17, 12, 47, -5, 23, 7, -24, 24, 51, 13, 44, -49, 13, -64, 11, 25, -11, 3, 42, 8, -58, -56, -38, 0, -46, 22, -49, 22, 25, 57, -10, 4, 18, -56, -46, 36, -8, 27, -59, -58, 38, -1, 9, 23, -59, 16, -12, 16, 8, 57, -57, 7, -28, -49, 46, -56, -51, -2, -54, -17, 26, 6, -1, 4, 15, -53, 35, 19, 52, 19, 58, 12, -40, 53, -60, 0, -53, 0, -34, 44, 47, 58, -39, -21, 60, -53, 59, 57, 28, 60, 28, 14, 45, -38, -38, 2, 26, 2, -20, 6, -12, 17, 3, -28, 6, 24, 0, -54, -59, -10, 54, -13, -43, 36, -8, 46, -45, -9, -47, -44, -9, -7, -35, -32, -2, -10, 12, 19, -60, 61, 14, 40, -1, 25, -20, -31, 45, -1, 54, -25, -64, 50, -48, 27, -29, 53, -29, 27, 56, 15, -39, -45, 10, 9, -47, -51, -46, 12, 10, 59, -60, 5, -37, 60, -63, 32, -24, 16, -38, -5, 29, 47, 22, 43, 40, 31, -54, -64, 30, -9, 32, 17, 15, 22, -6, 14, 47, -55, -56, -56, 13, -62, 14, 34, 28, -26, -11, 27, 19, 62, -54, -54, 0, -20, 22, -36, 52, -1, -30, -59, 46, 26, -32, 43, -8, -58, -15, 30, 28, -51, -38, -63, 55, 10, -17, 56, -50, -48, -2, 27, -4, -26, -20, -31, 62, -18, -24, -52, -57, 31, -61, 43, -6, 50, -34, -28, 10, 27, -11, -11, -26, 32, 28, -6, -52, 5, 13, 45, 12, 22, -40, -34, -25, -14, -7, 20, 3, -16, 21, 37, -46, -4, -60, -11, -45, 38, -61, -59, 47, 23, -25, -1, -27, 46, -18, -58, 30, 52, 39, -21, 48, 29, 47, -24, -54, 22, 19, -52, -41, 42, -16, -43, 29, 32, -26, 29, -62, 31, 29, -47, 59, -14, -21, 46, 14, 0, 11, 30, -58, -21, 55, -45, 28, 64, 32, -20, -7, 46, 37, -31, 27, 18, -33, 7, -64, -63, 43, -43, -16, -34, -43, 21, 51, -41, 34, 29, 2, -58, 20, 47, 30, -52, -41, -19, 38, -59, 19, -63, 47, -30, 48, 30, -30, 18, -59, -38, -7, -4, -48, -11, -27, 23, -17, 52, -59, -51, -1, -60, -32, -42, 47, -42, 31, -53, -5, -48, 6, -47, -50, 57, 23, -7, -23, 59, 22, 57, -58, -63, -53, -40, 26, -49, 0, -38, -41, 53, -24, 56, -2, -19, 58, 49, -67, 50, -2, -58, -43, 55, -27, 53, 29, 19, -3, 58, 3, -32, 25, -34, 51, -54, -42, -34, 8, -50, -40, -26, -8, 24, 0, 45, -46, -4, -14, -11, -38, 24, -21, -24, 63, 50, 63, -57, -10, -59, 29, -17, 56, -40, -46, 21, -48, -65, 0, -32, 2, -42, -19, 32, 35, -57, -63, 39, -52, 20, 60, 38, -39, -27, -13, -4, 1, -42, 28, 50, 18, -1, 57, 13, -27, -15, 25, -28, -13, -45, 35, -20, -44, 48, -7, -36, 1, 13, 48, 33, 38, -22, -39, -38, 55, -62, 50, -23, -8, 40, -60, -12, 26, 13, -60, -15, 36, -63, -24, -51, -11, 10, -17, -22, 36, -13, -48, 15, -45, 37, 43, -56, -42, 11, -5, -32, -22, 37, -55, -20, 13, -55, -43, 29, 51, 50, 19, -59, -9, -21, -55, 10, 50, -11, 67, 9, -55, 41, -59, 57, -35, 12, 36, -8, -46, -8, 3, -10, -25, 7, 17, -60, -2, 9, -56, -2, 13, 33, -46, -26, -1, -42, 15, 55, -63, -50, -19, -50, -64, 4, -28, -56, -35, 50, -30, 8, -10, 25, 60, 63, 45, 39, 52, -58, -9, -12, 36, 4, 26, 50, 9, -42, -40, -20, -2, -62, 36, 2, 38, -50, -45, -41, -62, -57, -43, 9, -17, -24, -11, 33, 27, 37, 35, 11, 36, -50, 23, 29, 53, 16, 1, 14, -48, 22, 53, -19, 38, -20, -25, -2, -56, 18, 40, -62, 35, -10, -13, 13, 35, -32, -31, -16, -5, -11, 54, -52, -13, 29, -49, 49, 1, 17, -40, -53, -66, -60, -54, 4, -8, -1, -11, 10, -55, 5, 39, 38, -25, 29, 6, -5, -40, -39, 8, 33, 12, -32, 15, -56, 49, -1, 3, 21, 19, 39, 9, 8, -49, -41, -8, 66, -20, 17, 66, 16, -47, 3, 53, 62, 29, 8, -57, 6, 21, -25, 25, 13, 48, -26, -46, -45, 46, -60, 52, -4, -10, 46, -15, 46, -35, 21, 60, 0, -25, 59, -59, -42, -9, -4, 1, -9, -42, -56, -63, 25, -20, 39, -41, -27, 24, -31, 13, -36, 23, -59, 0, -35, -24, -53, 43, -27, -62, 12, -55, 11, 3, -49, -23, 34, 56, -25, -63, -63, 18, -34, 41, 2, -19, -36, 43, -32, -49, -59, -57, 45, 9, -44, 3, -8, -34, 28, -15, -46, 16, -27, 46, -47, 40, -7, 21, 24, -58, 33, -6, -31, 20, 62, 57, 57, -10, 63, -46, 38, -6, 38, 19, -25, -61, -45, 11, -3, -1, 45, 51, -21, 14, -30, 37, 21, -54, 9, -26, 5, 10, -51, -3, -39, 37, 44, -26, -1, 57, 12, -39, -5, -5, 29, 41, -6, -31, 46, 41, -28, 64, 47, -60, -24, 63, 49, -47, 19, -17, -5, -63, -61, -12, -25, 26, -5, 4, -48, 29, 0, -44, 4, 3, 32, -46, -43, -45, 3, -3, 46, -39, 3, 40, 16, -39, -41, 22, -36, -38, -15, 45, -42, -44, 46, 5, 12, 12, 32, -52, -36, -36, -24, -12, -19, 63, -15, 24, -39, -13, -28, -34, 57, 57, -3, -44, 38, -34, 37, -9, -17, 1, 4, -30, 2, 63, -52, -36, -21, -14, 13, 52, 27, -37, 19, -20, -10, 21, 18, 3, 0, -8, -52, -32, -21, 45, -13, -20, -34, -56, -19, 26, 51, -28, 16, 51, -5, -13, -53, -51, 59, -16, -40, 19, 24, -35, 46, 37, -26, 29, 10, -60, -58, -9, 0, -56, -42, -10, -29, 26, -31, 27, -1, 47, 56, 36, -10, -35, 62, -59, -13, -8, -8, 40, -20, -6, -21, -7, -47, -40, -45, -23, 7, 2, -2, -18, -17, 63, -20, -35, -25, -61, -32, 12, -19, -2, -6, -30, -31, -4, 1, 42, 55, 36, 50, 9, -36, 18, -58, 37, 54, -18, 41, 6, -43, 29, -1, 12, -39, -54, -1, 46, -1, 21, 54, -49, 58, 1, 24, 39, -44, -56, -14, -8, -64, -60, 6, -12, -23, 48, -23, 5, 41, 60, -20, -44, 52, -28, -63, 11, 20, 54, 3, 6, -1, 58, 2, -1, 22, -54, 7, -46, -52, 4, 10, -40, 44, -26, 16, 29, -6, 45, -57, 19, 48, -47, -50, 52, -23, -20, -60, 49, -27, 1, -41, 25, -22, -41, 56, 61, 56, 0, 45, 51, 11, -42, -48, -42, -35, 29, 23, -59, 39, 32, 43, -38, 9, -28, 39, 54, -22, -8, 31, -56, -34, 48, 1, 13, 0, -50, 29, 47, 43, 57, 25, 6, 47, -4, 53, -37, -15, 16, -58, 46, -8, -59, -17, -29, 60, -49, 6, 46, 51, 43, 38, 53, -7, 27, -38, -2, -31, 18, -15, 9, -6, 6, 60, -32, 12, 58, -39, 28, -19, -13, 39, 24, 12, 39, 53, -25, -20, 21, 23, 19, -5, -56, -26, -61, -31, -25, -5, 28, -8, 64, -46, -36, 1, 22, 23, -50, -22, -42, 48, -24, -48, -1, 3, -54, 46, -40, -15, -31, -50, -23, -38, -12, 3, 9, -23, -8, -20, 28, 57, 58, 9, 15, 47, -23, 7, 29, 54, 34, 8, -19, 33, -39, 8, 0, 49, -20, 38, 54, 2, -40, 22, 29, -51, 4, 5, -22, 1, -47, -38, -17, 11, -23, -3, -7, 56, -51, -25, -38, -51, -5, -2, 52, -11, 52, 14, -48, -36, 56, 33, 61, -56, -59, -47, -57, 38, 29, -61, 51, -49, 2, 10, 40, 17, -26, 45, 55, -14, 56, 45, 4, -54, -2, 46, 44, 68, -21, -7, -3, 42, 12, -14, -52, 12, -1, 4, 27, -18, 50, 2, 23, 58, 40, 35, 33, -25, 41, 25, -37, 8, -38, -49, -46, -59, 21, 23, 46, 25, -18, -22, -44, 25, -58, 34, -49, 50, -55, -15, 50, -15, 13, -29, -63, 36, 61, -23, -4, -3, 27, 0, 17, -7, 59, -22, -28, 21, 44, 44, 12, -10, 10, 36, -42, -17, 12, 11, -34, -24, 47, -32, 31, 62, -64, 65, 51, 24, -5, 47, 29, -64, 47, -27, -38, -32, -36, 38, -56, -59, -40, 63, -13, -43, 50, -56, -5, -61, -10, 17, 30, -50, -29, 67, 36, 31, 15, 38, -40, -49, -33, -17, -27, -25, -15, 49, 17, -42, -23, -18, -16, 19, -34, 34, -56, 19, -43, 21, 7, 25, -8, -61, 43, -71, -4, 36, 36, 9, -31, 65, -37, 35, 16, 59, -7, 29, 43, -35, -1, 20, -37, 37, 32, -56, -24, -61, 18, -17, 41, -55, -32, -16, -19, 6, -44, -1, 46, -5, -59, 45, -7, -46, 5, -63, 23, 44, -46, -2, 56, -42, -63, 29, 15, -65, 1, 25, 47, -21, 32, -59, 33, 12, -22, -36, 51, -40, 1, -1, -24, 0, 54, -31, 1, 41, -63, -52, -24, 41, 23, 0, 7, 13, -47, 39, -47, 46, -48, -22, -31, 18, -30, -49, -1, 58, -4, 36, -12, -40, -47, -62, 54, -38, -14, 17, 49, -6, 14, -61, -61, -43, 19, 42, 61, 27, -58, -21, 16, 13, 1, -11, -65, -52, 21, 16, -26, 16, 21, 23, -58, 39, 62, 51, -50, -5, -13, -26, -39, 4, 63, 15, -45, -40, 38, 39, -40, -26, -47, -5, 37, -44, -46, 0, -13, 51, -1, -3, 43, -5, -37, 44, -49, 59, 7, -10, -27, 21, -48, 64, -12, 59, -13, -29, 60, -22, -2, -42, -8, 4, 3, -50, 11, -49, 67, -29, -61, 29, 5, 50, 16, -49, 2, -7, 45, -50, -52, 7, -57, 20, 6, 33, -37, 4, -9, -43, 28, 55, 20, -1, -16, -9, -24, -46, -1, -60, -62, 29, 56, -26, 63, -34, -34, -2, 40, 1, -6, 56, -23, 33, -37, 20, 70, 47, -54, -13, 72, 56, -8, -50, -3, 8, -68, -25, -6, 7, -8, -23, -53, -50, 63, 63, 20, 47, 2, -2, 42, -10, -34, 53, 26, -9, 60, 5, 57, -15, -42, -12, -31, -39, -54, 10, -12, 28, 17, -19, 10, -22, -32, -38, -34, 23, 12, -50, -20, 5, 33, -42, -2, -14, 23, -34, 19, 48, 23, -43, -53, 5, -34, -41, 36, -23, 27, -11, 5, 30, 0, -20, -40, 6, -39, -2, 51, 42, 50, -34, 34, -40, 43, 64, 12, 62, -26, -6, 46, -29, -44, -8, 28, -43, -45, -1, 19, -21, 14, 49, 15, 15, -23, 56, 42, 8, 27, -31, -15, 23, 58, 42, 19, -14, 69, -18, 51, 53, -16, 20, -2, 2, 33, 24, -38, 49, 39, -24, -64, 68, 21, -11, -1, 4, 49, 18, -6, -56, 4, 22, -26, -53, 53, -7, -67, -52, 46, -67, -31, 24, 51, 49, -29, -63, -16, 41, 28, -34, -34, 35, 29, 20, 48, 17, 45, 43, 1, 15, -60, 61, -35, -42, 58, 8, -29, 16, -15, -50, -7, -52, -23, -9, -22, 22, -49, 27, 60, -21, 67, 7, -13, -36, 61, -23, -42, 48, 53, -23, 9, 29, 34, -53, 29, 36, 24, 22, 4, -42, 12, -11, 48, 60, 10, 40, -58, -38, 18, 12, 48, -21, 77, 13, 38, 6, -64, -53, 18, 58, 41, -71, -57, -49, -61, -20, -48, -27, 27, -18, -15, -44, -58, -46, -64, 47, -64, -7, 6, 45, -12, -28, -16, 50, 26, 57, 1, -18, -52, 0, 63, -34, 48, -19, -47, -37, 34, 49, 53, -17, -4, -53, -54, -22, 15, 65, -17, 50, -48, -39, 32, 34, -54, 39, 7, -49, -46, 1, 12, 17, 33, -55, 25, 13, -6, -8, 35, 23, -42, -30, -59, -17, -48, -15, 31, 45, -10, -13, 47, 62, -11, -19, 12, 11, 4, 48, -22, -47, 48, 65, 16, -14, 19, -50, -14, 54, -51, -35, 4, -40, 53, -46, -14, -4, 12, 25, -46, -42, 32, 21, 5, 24, -60, -25, 40, -20, -82, 22, -37, 27, -50, -31, 34, -50, 21, -27, -16, 10, 8, 14, -58, -19, 54, 49, -56, 37, -70, -17, -68, 15, -59, 6, -48, -39, -28, 46, -10, -15, -50, 62, -6, 7, 31, 26, 9, 4, 13, 48, 64, -34, -22, -3, 36, -74, 27, 14, -46, -21, 63, 45, -16, 19, -8, -27, 33, 53, 47, -27, 0, -51, -40, 19, -31, -28, 3, -33, 13, 22, 40, 2, -14, -70, 19, -48, 29, 15, 47, -3, -45, 19, 0, -7, 42, -35, 32, 50, -19, 3, 53, 46, 20, 12, -28, 65, -3, 41, 26, 30, 33, 26, -50, 10, -48, -47, 10, 46, 36, -41, -27, -14, -42, -4, 4, -5, -10, -51, 9, -30, 23, 13, -19, -32, -5, 8, 16, 34, 54, 16, -5, -24, 55, -19, -42, -39, -27, 27, 4, 59, 47, -54, 30, 29, -36, 63, -10, -52, 41, -55, -3, 59, 60, 51, -42, 76, -1, -28, 54, -16, -30, 36, 70, 23, -41, 55, -51, 51, 63, -38, -57, -24, -22, -17, 18, 21, 7, -47, 6, 2, -33, -54, -41, -3, -38, -62, -48, -60, 29, -49, -39, 2, -40, 13, -5, 38, 53, 20, 44, 16, -8, 47, 60, 46, -9, 15, 4, -22, 18, -4, -12, 56, -10, 36, -47, -53, 44, -28, -9, -6, -14, -69, -48, -2, 4, -40, -31, 45, -10, -24, -3, -52, 30, 30, 48, -26, 56, -22, -50, 25, 38, -59, -56, 16, -6, 21, 11, -39, -27, -36, -14, 14, 52, 32, 74, -1, 38, 45, -47, -18, -17, 33, 45, -42, -45, -44, 15, -32, -26, 57, 31, -21, 31, -19, -19, -25, 27, -27, -54, 21, 21, 60, 53, 41, 65, 11, 30, -19, 9, 56, 27, 39, -50, -41, -62, 4, -28, 35, 26, 32, -18, 39, -50, 30, -57, -19, 43, 28, -12, -18, 26, 74, -53, -62, -59, -65, -2, -52, 39, -13, 22, -58, 54, -45, 54, -3, -62, 17, -35, 31, 8, 32, -55, 19, -29, 47, 30, -36, -22, 42, -44, 48, -5, -37, -22, 32, -25, -62, 36, -23, -36, 43, -38, 39, -20, -39, -43, 9, -24, 51, -30, 7, 54, 39, -45, -26, -53, -67, -74, 29, -72, 1, -16, 8, 19, -32, 41, 38, -41, -39, -15, 30, 3, -42, 32, 47, -11, -4, 22, 31, -41, -57, -3, 43, 20, -12, 9, -54, 4, 45, 45, 55, -31, -28, -43, 17, -2, 18, 15, -8, -12, -10, 42, 26, -18, 0, -26, 26, -6, -18, -13, 21, -62, -64, 58, 64, 50, 6, 5, 60, 21, 31, -40, 61, 53, -11, -32, -4, -46, -16, 54, 1, -18, -59, 24, 16, -38, -19, -59, -14, -56, -6, 2, 48, -29, 23, -26, -35, -23, 46, 11, 65, -14, 9, -7, 56, 61, 14, 54, 56, -44, -10, -18, 26, 12, -9, 25, 50, 7, 30, -13, 24, 12, 1, 68, 34, -56, -18, -12, -19, -67, 66, -21, 16, 17, -62, -36, -52, 19, -50, -3, 58, 10, -1, 12, -12, -51, 50, 33, 39, -56, -38, 46, 25, 48, -44, -10, 10, 4, -5, 13, -11, 44, -21, 18, 9, -24, 56, 11, 22, 61, 39, 75, 9, -58, 53, 55, 6, -18, -19, 47, -47, -3, -11, 6, -31, -8, 7, -14, 12, -63, 10, -15, 11, -66, 19, 35, 42, -54, -14, 40, -30, -38, -17, -16, -50, 31, 16, 19, -3, 27, 41, 12, -10, -37, -8, -3, 25, 62, 60, -35, 42, 9, 9, 44, 28, 42, 58, 26, 18, 37, -34, -18, -33, -49, -43, 2, 25, 5, -15, -13, -17, -68, 47, 46, -51, -57, -41, 11, -57, 29, 28, 24, 29, -61, 62, -58, -58, 21, 10, 27, 64, -53, 41, -18, -43, -4, -31, 27, 27, -47, -18, -24, -18, -25, -54, -6, -23, -69, 83, -53, -30, -32, -29, -4, 37, -11, -17, -49, 25, -9, -59, -50, 28, -11, 17, 11, -44, 51, 31, 24, -26, -41, 25, 20, -21, -18, -17, 60, -56, -22, -8, 51, 46, 13, -15, 20, 24, -24, 5, 21, -17, 26, -1, -25, 21, 36, -31, 24, -23, -46, 18, 12, -51, -49, -49, 50, 31, 60, 6, 0, 45, 6, -35, -2, -29, 23, 40, -18, 46, 63, -24, -52, -32, -62, -21, 15, -20, 30, 28, 2, 2, -8, 58, -12, -35, -60, 53, -32, -67, -62, 72, -72, -41, 52, 6, -31, 0, 50, -27, -54, -62, -58, 0, -52, -40, -10, 42, 37, -35, -48, 23, -14, -41, 16, -38, 54, -58, -14, -40, -47, -7, -50, 35, -3, 4, -10, 27, -36, -49, 43, 56, 33, -47, -49, -54, 29, 33, -28, 5, 4, -15, -35, 16, -11, 26, 55, -1, -50, -25, -1, -28, -19, 1, -33, -9, 21, 18, 15, 4, -30, -43, -12, 57, 39, 1, 16, 5, -37, -58, 5, 36, 7, 40, 67, -73, 8, 57, -47, -21, -31, 32, 51, -30, -50, -59, -16, -24, -44, 32, -6, -53, 63, -12, 5, 54, 42, 59, -57, 5, -46, -29, 4, -44, -36, -32, 39, 22, -51, -16, -27, 40, 21, -40, -32, 4, 24, -9, -60, 8, -41, 32, -31, 53, 36, -9, 49, 28, -51, -17, 52, 37, 51, -12, 39, -30, -50, -5, -40, -21, 59, -42, 3, 41, 9, -8, -74, 37, -16, 17, 56, -70, 13, -9, -7, 21, 47, -27, -9, 8, -28, 55, 7, -19, -16, -5, -20, -49, -25, -25, -29, -28, 25, 11, -45, -4, -14, 4, 55, -12, -53, -23, -43, 43, -13, 0, 53, 20, 29, -50, -40, -39, -55, 52, 9, 49, 67, -55, 44, -42, 0, 3, -2, -53, 17, -61, 15, -2, 48, 2, -3, 24, 28, -41, 46, -9, 28, -16, -37, -44, 36, -16, -52, 24, 17, -59, -40, -31, -16, -14, -44, -62, 7, 26, -5, 5, -32, 20, -26, -32, -26, 57, 54, -44, 47, -30, -14, -70, -23, -36, 33, 10, -42, 56, 12, -49, -15, -60, 30, -30, 47, 44, 15, -34, 11, 8, -11, 51, -5, 58, -32, -16, -42, 21, -37, 39, 53, 54, -18, -45, 9, -31, -51, 40, -10, -54, 20, -34, 13, 45, 32, -20, -8, -67, 69, 39, -4, -46, 10, -68, 15, 13, -28, -1, -51, -26, -49, 11, 9, 58, 31, -24, 12, 21, 34, -2, -41, -14, -16, -24, -6, -12, -73, -64, -19, 44, -51, -41, -59, 41, -18, -64, -9, 36, 61, 37, -27, -56, 17, 45, 1, -51, 7, -57, 43, -68, 0, -48, 12, 38, 32, -13, -33, 34, -18, -43, 39, -50, 53, 47, 64, -3, 36, 68, -20, 21, -46, -22, 6, -53, 47, -50, -29, 32, 28, -14, 13, -21, -15, 24, -11, -32, 25, -4, 61, 9, 38, 44, -18, -9, -17, 35, -29, 48, -22, -57, -45, 64, 24, 10, 31, 4, 46, 10, -3, -9, 36, -12, 14, -21, 46, 24, 5, -51, 60, -36, -54, 23, -9, -63, -7, -32, 21, 20, 57, -7, 42, -59, 30, -3, -6, 45, 24, -28, -26, -9, -9, 47, 30, -10, -6, 35, -2, -45, 49, 52, -32, 36, -3, 2, 53, 17, 53, -66, 59, -46, 11, 33, -10, 14, -53, 46, -43, 2, 34, 39, 54, 26, 8, -16, -27, -71, -21, -32, -5, 28, -35, 29, 44, -45, 20, -36, 17, -4, -38, 44, 18, -21, 10, -74, 75, -24, -64, 2, -6, 11, 25, 55, -27, 21, -12, 21, 17, 45, 18, -34, -38, -59, 9, -37, 56, -25, -6, -16, -46, -13, -12, 36, -37, 47, 17, -44, -54, -5, -49, -64, 12, 10, -34, 31, -21, 40, -2, -24, 27, 33, 14, -28, -49, 18, 15, 5, 8, 41, -31, -6, -38, 53, -26, -47, -10, -6, -31, 23, -45, -11, -44, 35, 59, 8, 32, -49, -42, 28, -40, 37, -62, -19, 30, 34, -7, 40, -7, 7, 11, -6, -17, -5, -60, 23, 35, -9, -1, -38, 11, 25, 44, 63, -21, 4, -53, 55, -25, -36, 54, 77, 52, -50, -49, 43, -54, 54, -38, -63, 34, 38, -26, 12, 26, 39, -45, 17, 65, 2, 60, 23, 48, 51, 26, -26, -29, -28, -31, 23, -60, -37, -29, 36, -15, 1, -6, 0, 21, -37, 50, 12, 32, 21, 45, 53, 20, -57, -13, 23, -45, -31, -43, -32, -33, 45, -28, 41, -9, 2, 36, -39, 6, 31, 42, -19, 50, 14, 36, -59, -62, -67, -50, -8, 11, -47, -29, 25, 32, 50, -28, 24, 11, -37, 44, -46, 41, 30, 13, 9, 62, 18, 3, -15, -60, -8, -21, -25, -18, -12, -41, 41, -50, 33, -59, 55, 13, 65, -13, 37, -65, 30, -45, 32, -10, 1, 16, -65, -14, 45, 13, 41, 35, -37, 35, -48, 21, 8, 3, 54, -48, -4, 74, -71, -17, 6, 55, -31, -12, 37, 8, 47, -22, 20, -20, 40, -51, 9, -19, -45, -26, 21, -19, 62, 40, -34, -48, -24, 24, 32, 50, -43, 6, -53, 51, 25, 21, -16, -59, -22, 32, -39, -45, -40, 36, -54, 5, 48, -39, -29, 13, 20, 59, -19, 10, 37, 41, 67, -38, -21, 52, 1, 57, -28, 0, 7, 66, -5, 10, 50, -52, -37, 17, 31, 32, 45, -33, -41, -24, 15, -39, 80, 22, -29, 53, 62, -15, -12, -39, -37, -40, -14, -61, 2, -44, 53, -42, -21, 24, -37, -56, 46, -43, -1, 39, -31, -37, 1, 13, 36, -57, -24, -24, -1, -66, -47, 33, -25, 20, -12, 58, 31, 17, -35, -55, -45, -61, 63, -16, -15, 55, 13, 11, 27, 28, -44, -62, 30, 52, 57, -20, 62, 20, 11, 26, 14, -3, 47, -20, -21, -8, 34, 20, -33, -40, -57, -6, 53, 2, -30, 24, 9, -8, 28, 25, 18, 14, -38, 23, -30, 47, -8, 44, 53, 12, -63, -20, -22, 42, -17, 7, 10, 34, -7, -5, 57, -4, 58, -37, 6, -26, -17, 52, -52, -61, 47, 32, -37, 8, -9, 52, 47, -14, 57, 7, -35, -31, 45, 1, -14, 20, 41, 62, -48, -39, -37, -61, 62, -22, -11, -13, 0, 32, -10, 64, 12, -28, -42, 13, 44, -35, 8, 28, -57, 20, 62, -36, -53, -24, 41, -27, -31, 55, -22, 13, -50, -55, -52, -23, 20, 35, -76, 17, -21, -38, -40, -83, -51, 31, -61, -23, 19, -20, -79, -44, -26, 22, 22, 55, -52, 13, 2, 26, 8, 37, -10, 3, -30, 57, 38, -43, -49, 36, 37, 12, 13, -22, -52, -28, 10, -67, -22, -7, 71, 26, 39, 16, 40, 41, -15, 51, 29, -57, 50, 44, 62, 62, 53, -40, 41, 24, 23, -36, 13, -15, -6, -57, -32, 35, -60, -37, 8, 14, 16, 40, 48, 10, -60, 16, -53, 45, -26, -14, -9, 53, 42, -47, -10, -12, 52, -10, 12, 26, 59, -61, 14, 25, -20, -27, 23, 37, -61, -3, -60, 51, -63, 47, -38, 16, 15, -37, 14, 17, 4, 64, -28, 33, 16, 49, 25, 30, -40, 62, -20, 53, -5, 9, 6, 46, 1, -14, 51, 2, -30, -7, -20, 2, 43, -61, 63, 29, -60, -34, -18, 27, 65, 50, -32, 55, 60, 49, 48, 49, 10, -48, 56, 32, 62, 14, 4, 2, -22, -19, 2, 29, -31, 23, -17, -27, 0, 8, 79, -58, -47, 46, -45, 44, -65, -50, 31, 22, -47, -16, 46, -7, -23, -40, 29, 27, 24, -24, 28, -29, -30, 38, -32, 18, 29, -77, -57, 34, 50, 5, -66, -12, -56, -14, -80, 56, 5, 72, -14, 64, 44, 20, -35, -25, 33, -60, -56, 17, -10, -25, 53, 50, -63, -13, 54, 42, 16, -48, -4, 47, -13, 4, 31, -52, -24, 48, -16, -14, -8, 25, 38, 23, 58, -9, -63, 60, -21, 10, -31, 57, 14, 3, 35, -36, 20, -55, 42, -56, -51, -23, -36, 10, -40, 1, 58, -61, 6, 48, -49, -35, 44, 50, 3, -25, -5, 18, -10, 53, -32, 22, 51, -60, 38, -2, -44, 71, 63, 50, -43, 31, -29, -7, 57, 50, 24, -38, -33, -74, -13, -1, 38, -44, 51, -52, -63, 17, -56, 57, 25, 42, 28, 7, -63, -30, -22, 16, 53, -62, -75, 26, -2, 36, -69, -61, -23, -30, 10, 45, -63, -39, 51, -5, -12, 31, 56, 51, 10, 17, 20, 22, -40, -1, 9, -61, 23, -32, -12, -56, -39, -14, 18, -19, -53, -45, -15, 25, 18, 9, -5, 0, -41, 10, -33, 10, 35, -69, -17, 28, 52, 56, 27, -3, 5, 16, -75, 26, 9, -26, -27, -2, 15, 7, -29, -33, -28, -23, 3, 20, 30, -12, 58, -59, 45, -35, -4, -22, 50, 17, 44, 6, 58, -60, -64, -50, -55, -19, 6, 5, 23, 12, -61, 13, -7, 49, -38, 45, -27, -9, -2, 25, -72, -11, -55, -16, 45, 11, -13, -6, 19, -21, -39, 47, -34, -5, -21, -39, -45, -53, 0, -14, 29, -28, -47, -46, 45, -33, -9, -54, -2, -9, -39, 22, 46, -9, 37, 63, -44, -10, -38, -37, 59, -27, -58, 36, 65, -88, -13, -18, 48, -4, 28, -61, 14, 3, -28, 26, 4, 10, 19, -27, 11, 19, -12, -24, -41, 7, -2, -48, -37, 45, 25, -51, -32, 7, -6, -2, -1, 47, -32, -34, -27, 50, 52, 51, 40, -39, -54, -31, 58, -26, 28, -43, 62, 67, 10, -6, -45, -33, 41, 21, -23, -16, -43, 34, -49, -10, 50, 37, -58, -48, 37, -30, 16, 21, -53, -38, 15, 5, -60, -62, -78, 49, 15, -3, 18, -49, 40, -64, -4, -42, 9, 14, -18, 42, 5, -14, -1, -29, 12, 0, 29, 41, -50, -1, 26, -43, -54, 9, -16, 19, -46, -16, 29, 9, -7, -12, -50, 50, 42, -46, -25, -33, -47, -16, 22, 62, -45, 53, 12, 42, 33, -39, -56, -59, 45, -19, -12, 10, -74, 19, 40, -19, -57, 30, 31, -11, -23, 1, -37, 40, 3, 3, 37, -33, 21, -11, -8, -32, -19, 56, -33, 78, 0, 40, 53, 32, -26, -79, 37, -19, 1, 66, 0, -12, -3, 47, -22, 7, 45, 10, -43, -54, -4, 21, 33, -6, -61, 43, -61, -14, 48, 47, 0, -25, 26, 37, 36, -37, -76, 49, 45, 0, 56, 8, -2, 54, 30, -45, 17, 55, 29, 13, -20, 58, 6, -23, 58, -50, 56, 58, 57, -10, 36, 58, 65, -40, -4, -45, 2, 43, -5, 4, -53, -7, 7, -57, 27, -4, 20, 51, 39, -49, 53, -32, 16, 6, -25, -35, -26, -11, -66, 9, -25, 34, -60, 29, -5, -10, -65, 14, 13, -11, 38, -49, 46, 14, -5, -60, 46, -22, 44, 64, 21, -38, 54, 25, -33, 53, -31, 62, 17, 15, -34, 51, -14, -10, 31, 10, -18, -48, -40, 38, -8, -11, 2, -22, -2, -17, -41, 2, -8, -54, 66, -18, -31, -65, -36, 8, -55, -43, 34, 29, 43, -8, -22, 50, -60, 58, -4, 63, 37, -11, -37, 31, -33, -3, 50, -55, 72, -18, -21, 77, 80, -34, 24, -32, 26, -33, -27, 44, 10, -54, 33, 33, -12, -49, -61, -45, 40, 25, -39, 47, 50, -23, -17, -19, 21, 3, 37, -16, -14, 12, 14, -27, 7, 47, 32, -58, -44, 31, 76, -54, 3, 20, 39, -28, 6, 35, 38, -17, 24, 30, 41, -21, -4, 72, -63, -10, 56, -9, -39, -27, -9, 27, -26, 34, -27, -12, -8, -11, 13, -40, -58, -53, 3, 0, 33, 65, -35, 6, 58, 55, 25, 0, -2, -36, 18, -17, -64, -8, 42, -39, 50, 39, -38, -35, -66, -22, -28, -6, 54, -2, 25, -7, -10, 35, -9, -23, 14, 42, 73, -59, -2, -6, 45, 30, -32, 38, 46, 39, 26, 18, -37, 19, -45, -42, -54, 23, 4, -63, 12, -8, 44, -23, -41, 56, 7, 8, 21, 47, -27, 56, -59, 25, 4, -43, -60, 30, 62, 15, 11, -59, -13, 36, 53, 48, 22, 42, 47, -31, -7, 37, -44, 12, -35, 11, 21, -1, 50, 30, 50, 52, 26, -45, -32, 14, 35, -36, 25, -31, 26, -22, 49, -58, 27, -41, -42, -12, -63, 58, -51, 38, 30, -37, 2, 5, -38, 66, 46, -48, 53, 58, 26, 22, -18, 32, 12, -9, 12, 62, 58, 21, 28, -49, 31, 25, 6, 51, 29, 47, 14, -16, 4, 8, 49, -61, 2, 4, -34, 36, 53, -54, 30, -55, 22, 24, -16, 15, 19, 14, 5, 5, 58, -40, 11, -40, 54, 13, -18, -40, 52, 40, -18, 47, 65, 11, 50, -47, 54, 50, 1, 35, 17, -42, 11, -41, 30, -43, 17, 22, 2, -11, 1, -45, -35, 3, 32, 29, 47, 47, 43, 26, 0, 22, 41, 24, -42, 26, 8, -10, -38, -3, -30, -17, -19, -44, -63, 10, 59, 31, 38, 61, -11, -41, -11, 43, -38, 39, -25, -45, -67, 13, 5, -53, -46, -32, -37, 73, 52, 33, -24, -41, -37, 25, 11, -17, -11, -23, -29, -57, 11, -26, 37, -7, -35, -25, 10, 15, 51, -15, -11, 5, -49, 12, -14, -23, 47, -6, 29, 39, 53, -50, -1, 24, -55, 32, 7, -53, 12, 11, -26, 53, 26, 27, -18, -59, -66, 7, -76, -51, -19, -17, -78, 5, 54, -51, 14, 45, 36, 41, 54, 42, 51, 12, -20, 27, -25, 46, -36, 47, 36, -43, 45, -15, -3, 7, -41, -23, -1, 2, -34, -49, -58, -34, -32, 32, 6, -5, 22, -41, -16, 30, -40, -37, 8, -45, 57, 23, 29, 28, -18, -55, -6, -64, -52, 27, -29, -2, -25, 38, 50, -37, -47, -12, -7, 13, -46, -38, -43, 64, -14, -4, 38, 52, -14, 57, -14, 26, -10, 41, 28, 52, 5, 22, 30, -25, -56, 65, -34, -2, -11, 16, 5, -30, -30, 58, 18, -24, -5, 67, 38, 46, -61, -45, -46, 22, 60, 41, 48, 21, -26, 48, -69, -2, -47, -62, -45, -36, 25, -53, -43, -40, 7, 7, -44, 46, -35, 18, -20, -53, -17, -56, -10, -41, -12, 69, 29, -34, 63, 17, 57, 22, -38, -22, 25, 50, -10, 56, 3, -46, -40, -47, 48, 46, -43, 32, 27, -43, -12, -25, 46, 32, 13, -47, -64, -37, -45, 21, 13, -8, -31, -28, -19, 49, -34, 43, -8, -5, -18, -39, -34, -35, 35, -2, 27, -47, -26, 17, -54, -34, 27, 32, 11, -10, 18, 56, 23, -17, -36, 53, -6, -3, 0, -60, 62, 31, 54, 13, 38, -42, 42, 18, -56, 2, -31, 29, 41, 15, 19, 67, -55, -23, -59, 5, -38, -58, -37, -54, -43, -57, 0, 11, 15, 17, -66, 32, 17, 53, -17, -53, 60, 60, 34, -55, -30, -22, -43, -19, -7, -43, 5, 6, 13, -20, -23, -1, 62, 50, -48, 29, 34, 3, 16, -49, -13, 64, 10, -48, 1, -3, -35, -9, 16, 47, 32, 11, 10, 16, -7, -60, 35, 46, -53, 42, 17, 37, -15, 12, -49, 42, 32, -11, 10, -46, 30, 22, -31, -48, -54, -27, 28, -11, 9, -66, -61, -20, 39, 43, 27, 51, -11, -32, 14, 43, -23, -51, 44, 31, -39, 2, 5, 63, 45, 16, -25, 7, -33, -24, -6, 48, 25, -16, -4, 51, 26, 47, 43, -41, -48, -16, -67, 4, 16, 57, -10, 36, -46, 23, 68, 49, -29, -33, 47, 21, -72, -15, -6, 52, 32, 28, -9, -37, -25, -13, -10, 59, -23, -41, -16, 38, -36, 11, -67, -51, -59, -66, -66, 40, -35, -14, -42, 9, -33, 29, -64, 46, 25, -9, 11, 29, -65, -24, -53, -39, -38, -6, 55, 57, -3, 6, 37, 43, 64, 52, 10, -61, -47, 60, -61, -18, 4, 44, 40, -70, -10, -73, 44, 59, -29, -47, -52, -22, -50, -43, -63, 16, -16, 7, 15, -43, 58, -7, -13, 32, 10, 23, -22, 48, -64, -36, 44, 30, 32, -17, -14, -47, -57, -70, -12, -66, -37, 58, 59, 26, -49, -41, 71, -20, 59, -52, -13, 22, 55, -6, -47, 14, 34, 3, 52, -17, 1, 1, 25, -31, 50, 25, -54, 5, -19, 3, 40, 18, 34, -38, 14, -10, 46, 66, -29, -15, 10, -51, 13, -34, 33, 22, 62, -28, 21, 65, 4, -25, -3, 43, 63, 36, 15, -9, -24, 56, -46, -56, 54, -23, -21, -34, -41, 47, -37, -33, -60, 21, 7, -11, -32, 53, 31, -9, 57, -48, 43, 12, -10, -57, 7, -29, 9, -33, 21, -20, 27, 4, -41, 7, -43, -42, 9, 12, 31, -56, -33, 14, 56, -61, -12, -16, 26, -44, -3, -15, 2, -48, 37, -55, 32, -2, -36, 48, -77, -52, -18, 18, -52, -70, -76, -31, 29, -28, -43, 26, 12, -56, -39, 23, 21, 23, 25, 10, 33, 62, -66, 0, -24, -35, -46, -54, -7, 42, 7, 8, -19, -11, 37, 44, 19, -65, -38, 30, 35, 50, -37, 15, 10, -33, 18, -53, 48, -32, 20, 36, -9, 8, 15, 24, 21, 22, 24, -46, -64, -36, -49, -30, 1, -21, 20, -19, -6, -59, -25, 46, -54, 32, -33, -34, -6, 25, -30, -4, 39, 10, 21, -53, 67, 21, -52, -4, -15, 41, 13, 55, -7, 26, -12, -37, -27, 53, 48, -45, -52, 10, -63, -38, -15, -21, 52, 22, -15, -6, 20, -59, 41, 29, 1, -32, -22, -34, -3, -49, -7, -26, 16, -10, 38, -10, -8, 6, 22, 36, -12, 12, -30, 54, -63, -11, 0, 9, -8, 28, -30, -4, -42, 23, -53, -58, -57, -23, -51, -46, -15, -38, 4, -56, -36, -51, -33, 52, -28, 53, -61, 52, 16, -11, -6, 7, -13, -29, -10, 33, -40, 47, -30, -3, 56, 47, 30, -57, 39, -22, 18, 26, -54, 40, -16, 40, 18, -51, 64, 43, 5, 22, 67, 28, 35, 62, -51, 48, 56, -59, 26, 53, 20, 62, -25, 54, -43, -22, 59, -29, -51, -46, -33, 34, 3, 39, -43, -22, 30, 59, -39, -60, 50, -19, 34, -36, -28, -15, 46, -43, -65, 39, 20, 2, -45, 19, -5, 20, -52, 28, 20, 47, 45, 8, 20, 39, 39, 36, -40, -17, -39, 30, 45, 41, -49, -48, 26, -16, 68, 18, 14, -26, -63, 48, 15, 18, 27, 24, 68, 21, -75, -61, -57, -44, 8, 25, 42, -45, -43, -60, 3, -7, 27, -4, 59, -41, 49, -16, -23, -47, 62, -55, 25, 52, -27, -41, -46, 44, 54, 22, 36, 34, 18, 30, 39, 62, -21, -9, 25, 6, -41, -9, -49, 10, 37, -1, 40, 62, 6, -41, -13, -36, 3, 25, 9, -52, -46, -44, 58, -48, -73, -39, 32, -13, 22, -60, -27, -4, -63, 48, 7, 5, -15, -24, 36, -43, -33, 20, -60, 15, -25, -24, -3, -5, 20, 38, 12, -49, 1, 44, -1, 26, 49, 39, -9, 12, 18, 52, -59, -40, -16, -61, -54, 40, 53, 41, -30, -37, -20, 56, 24, -20, 59, -18, -56, 6, 20, -41, -5, -22, 62, -38, -53, -51, 46, -60, 45, 49, -27, 26, 44, -49, -22, -60, 17, -56, -1, 42, -67, 44, 17, -28, -23, -19, 39, -12, 20, -17, -10, -51, -52, -41, 18, 38, 34, 57, -8, -60, 10, -10, -13, 63, -62, -1, -18, 45, 37, 26, -37, 12, 37, -48, -61, -34, 29, 33, 2, 34, -33, 0, -19, -14, 40, -22, 56, -50, 26, 52, -62, -60, 49, 8, -12, 66, 14, 10, 52, 31, -29, 50, 32, 29, -3, -57, 37, -63, 38, 5, -53, -58, 14, -13, 0, -18, 16, -55, -63, 43, 10, -17, -61, 43, -61, 10, 33, 6, 5, -41, 24, -51, 24, 46, 47, 1, 65, -35, -18, -41, 54, 20, 22, -12, 59, 28, -52, 9, -22, 35, -24, 46, 58, 40, 19, 56, -29, -13, -3, 57, -12, -31, -12, -5, 50, 0, -63, -23, -13, 21, 38, 42, 12, -54, -23, 44, -37, 54, 59, 54, 32, -32, 57, -49, -49, -20, -33, 15, 33, 7, -32, 20, 70, 27, -27, 11, 26, 41, -39, 14, 34, -15, -49, 31, -39, 3, -45, -14, -9, -48, 22, -48, -54, 6, 57, 52, -44, -60, -16, -56, 53, -4, -55, -11, 10, 10, 4, 40, -23, -53, -44, 58, 36, -3, 0, 60, 62, 26, -35, 13, -43, 45, 41, 52, 17, 7, 18, -56, -46, 32, -54, 19, -4, 29, -51, 43, 26, -6, 9, 53, 30, 13, 14, 22, 53, -54, 19, 20, -30, 44, 19, -9, 48, -10, -43, 51, 7, -44, -14, 21, -16, -4, 53, 14, -28, -5, -51, 9, -6, 46, 32, 38, 9, -3, -25, -34, 53, -14, -31, 29, -25, -42, -16, -9, -44, -17, -18, 34, -48, -7, 28, -60, 38, 15, 3, -23, -33, 48, 43, 4, 39, 8, 31, 35, -25, -35, 10, -4, 21, -45, -56, -19, -55, 20, -12, -47, 42, 31, 52, 29, -14, -25, -46, -48, -47, 44, -47, 16, 63, 35, -6, 28, 27, 6, -5, 30, -19, -41, 24, -27, 33, -45, 33, 1, -28, 38, -6, 29, -39, -53, -34, -36, -61, -9, -50, -57, -25, 10, 23, -4, -17, 25, 53, -38, 27, -47, 18, -41, 46, 30, -53, -55, 44, -61, -11, -12, 4, 50, 24, -30, -47, -18, 19, 0, -49, 40, -14, -56, -4, -36, -3, 1, -25, 26, 40, -8, -61, -17, -51, -28, -25, 58, -31, -18, -1, -26, 62, 5, -28, -63, 39, -9, 0, -16, 59, 38, -40, 20, 47, 34, -7, 28, 52, -44, -56, 4, -10, -49, 25, -54, 39, 53, -50, -25, 32, 60, -38, 7, 20, -17, 3, -36, -28, -51, 19, -50, 19, -58, 23, 22, -49, -49, -61, 17, -64, -41, -15, -33, 6, 51, 53, 37, -57, -60, -43, -46, -53, -2, -26, -57, -30, 41, -36, 28, -2, 29, -1, 26, 9, -58, 37, 45, -58, 34, -45, 58, 13, -31, 44, -48, -50, -31, 51, -17, -19, -26, -20, 44, 45, -37, 35, -60, -45, -13, -6, 41, 57, -43, -57, -64, -17, 25, 7, -64, -29, 10, 42, 21, -36, -56, 53, 39, 19, 35, 47, 14, -35, 3, -10, 38, 27, -11, -30, -49, -55, -10, 14, -59, 40, 57, 2, -49, 12, -36, -69, -61, 26, -40, -5, 23, -49, 39, 23, -34, 13, -61, 30, 52, 19, 1, 49, 10, 48, -44, -44, 24, 61, 46, -47, 55, 32, -62, -32, 10, 46, -45, -63, -11, 62, -38, -9, 21, -50, 54, -56, -47, 9, 33, 28, 12, -25, -5, 51, -6, 30, 41, -43, -3, -9, 40, 60, -49, -56, 31, -7, -38, -16, -39, 2, -65, 49, 37, 45, 25, 14, 24, -38, -52, 56, -45, -46, -5, 52, 45, -14, 29, 22, -39, -28, 61, 9, 13, 14, 60, 35, 8, 22, -34, 4, 7, 10, -62, -31, -58, -6, 1, -24, -10, -1, 41, -22, -26, -47, 18, -29, 23, 23, -13, 10, -40, -11, -13, 30, 16, -24, -34, -49, 53, -58, 6, 33, 7, 41, -2, -42, -41, -3, 25, 52, -38, 23, 14, 52, 21, 33, 14, -35, -34, -29, -8, 23, 9, 60, 51, 51, 14, 33, -23, 39, 8, -20, -12, -22, 9, -5, 35, 39, -14, 22, 28, -4, -26, -46, 5, 16, -58, 43, 36, -54, 39, -17, -62, 14, 11, -47, -55, 38, 8, -48, 14, 47, -41, -10, -25, -9, 23, -48, 46, 15, 41, 3, -62, -30, 1, 0, -39, -61, 4, 7, -25, 56, -33, -27, 54, -9, -22, -5, -22, 51, -27, 0, 42, 52, -45, 52, 8, -53, -6, -16, -35, -27, -31, 12, -39, -25, 27, -42, 59, 42, -33, 58, 34, -22, 5, 47, 21, -58, -40, 23, 8, -44, -22, -32, -17, 18, -45, -43, 58, -16, 54, -3, -37, -35, 59, 35, -56, -67, 56, 6, 26, -62, 3, 50, -26, 28, 64, -51, -57, -32, 58, 49, -24, -39, -51, 36, -1, 8, 31, 32, 47, -25, 32, -28, -45, -1, 16, 53, -29, -52, 45, -1, -39, 39, 31, 5, -19, -40, -27, 2, -33, -35, 50, 43, 17, -43, -34, -9, -64, 22, 24, 54, 20, -62, 15, 18, 54, 5, 40, 52, -44, -12, 62, -30, -12, -22, 12, -8, 12, -15, -42, 39, 21, 14, -25, 7, 7, 36, 12, -51, -31, -8, 38, 14, 22, 54, 18, 13, -60, 22, -37, -61, 6, -28, 50, -44, 35, -29, -6, 24, 13, 47, 28, 33, -20, 18, 60, 31, -61, -13, 32, 47, 13, -50, 8, -13, 19, 27, -56, -23, 17, 47, 37, -8, 34, 60, -30, 7, 11, -28, 23, -33, 47, -45, 51, 3, 58, 24, 58, -9, -29, -27, 39, 43, 17, -28, 54, -60, -14, 39, -23, -21, 52, 40, 33, 29, 11, 10, -1, -48, -60, -31, -3, 37, -46, 11, 19, 2, -40, -19, 32, 44, -30, -38, -31, 41, -62, 52, -46, 23, 7, -63, 58, 19, -24, -11, -66, -15, -54, 31, -42, 27, 13, 4, -44, -22, -41, -4, 53, -35, 63, 64, -18, 33, 16, 39, 18, -11, -58, 55, 21, 23, 66, -9, -44, 56, 19, -44, 29, 47, -56, 21, 33, 26, 46, -32, 48, -19, 16, 21, 13, -34, -61, 57, 23, -32, -51, -28, -45, -15, -19, 55, -59, 26, 53, -17, 37, -32, 29, -46, 25, 14, 58, 60, -49, 41, -7, -11, 62, 10, 47, -24, -50, -49, -63, -18, 33, -22, -66, -38, -3, -51, -13, -14, 45, 0, -62, -58, -48, 3, 55, -24, 6, 29, -32, -51, -20, -4, 21, 37, 50, 49, -45, 34, 62, -47, -38, -20, 28, 35, 7, 52, 28, -19, 39, -63, -54, -46, 20, -25, 59, -54, -13, -43, -44, -46, -23, 21, 51, -50, 17, -37, -54, 19, -9, -64, 32, -27, -24, 27, -35, 2, 18, 12, 55, -2, 9, 62, 48, -60, 30, -13, 21, -50, 35, -27, 11, -20, 46, 15, 28, -45, 10, 39, 40, 43, -43, 10, -13, -65, -24, 53, -50, 5, 21, -63, -29, 22, -15, -49, 47, 40, 35, -25, -46, 15, -52, -55, -32, 11, 8, 23, -10, 15, 9, 3, -63, -54, -6, -17, -20, -37, 21, -32, -58, -20, 33, -30, 44, -22, 18, -32, -35, 47, -49, 3, -25, -1, -49, 42, -52, -51, 38, 57, 37, -2, 27, 8, -56, -27, -25, -13, 8, -57, -35, 0, 29, 44, -64, 21, -29, -10, -44, 35, 8, -39, -14, -3, -55, 34, -63, -57, -48, -16, 26, 11, -47, -51, -54, -45, 11, 63, 18, 26, 42, -45, -11, 33, -27, -5, -38, -52, -18, 33, -61, -22, -7, 31, -40, 50, 23, -10, -35, -46, 51, 48, -21, 18, -2, 8, -52, 23, 34, 48, -7, 20, 32, -39, 62, -4, 56, -5, -24, 50, 4, 40, 26, 54, -34, -26, -65, 15, 43, -15, 58, -2, 54, -56, 51, 29, 23, -65, 40, -38, 58, 17, 47, -36, 10, 27, -17, -55, -1, -13, -60, 1, 1, 43, 48, -12, -19, -5, -42, 33, -43, 42, 29, 10, 14, 0, -26, -15, 38, -54, -33, 40, 17, -13, -47, -22, -41, -15, -2, -15, 33, 3, -48, 24, 35, 60, -2, -51, 41, 4, -26, -11, 13, -57, -31, -33, 9, 57, 32, -6, -44, 10, 18, 3, 17, -1, -42, -54, 28, 25, 43, -25, -54, 33, -10, 37, -32, 1, 31, 40, 28, -55, -26, -42, -15, -41, -68, -13, 52, -53, -19, 22, 3, 13, -20, -49, 37, 1, 52, 48, 3, -67, -44, -27, 14, -15, -5, 6, -61, 32, 55, -23, -42, 29, 60, 9, 30, -31, 30, 18, 50, -9, -48, 20, 52, 15, 58, -41, -36, 39, -28, -43, -51, -55, 15, -19, -1, 23, 26, 39, -37, 4, -5, -58, -26, 46, -17, 46, 48, 56, 61, -44, 49, -35, -38, -43, 59, -34, -61, 42, 22, 38, 32, 57, 10, -54, 29, -23, -55, -58, 31, 15, -3, 47, 53, -63, 52, -37, 50, -26, 51, 21, 23, -42, 62, -51, -24, -23, -9, 56, -61, -3, 28, -36, 33, -37, 44, -66, 1, -6, -57, -38, -55, -64, 46, -15, 36, -62, -7, -34, 39, -71, -21, 34, -50, 21, -7, 7, 16, 36, -4, -11, -14, -12, 45, -23, -57, 25, -11, 26, 15, -15, -58, -73, -28, -6, 56, -17, -56, -12, 42, -55, 5, 42, -1, 23, 57, 42, -11, -61, -62, -37, -11, 44, -46, 48, -32, -33, -16, -57, -11, 29, 29, 55, -14, 8, 40, -49, -5, 13, 25, 6, -16, 19, 11, -27, -44, 60, -36, 19, -64, 2, 31, 19, -22, -54, -5, -21, 0, -8, -38, 6, -43, 34, 31, -3, 6, -14, -61, -21, 35, 32, 59, 48, -11, -31, 61, 24, -63, -23, -12, 70, 18, 30, 13, -22, 45, 27, 40, 59, -46, 19, -58, -59, 46, -52, 81, 47, -33, -34, -49, 19, 13, -47, -51, 39, -26, -2, -48, -13, -3, -56, -63, -2, -29, 47, -3, -18, -4, 69, -35, -4, -63, -10, 32, -1, -2, -57, -26, 2, 29, 29, -49, -46, 7, -7, -3, -51, 28, -66, -17, 17, -16, 13, 31, 16, 39, 37, -27, 16, 43, 13, -2, 59, 38, -16, 15, -23, -42, -40, 33, 19, 32, 1, -47, 59, 50, -35, -42, -28, -28, -16, -14, -10, -24, 8, -60, -13, -54, -3, 34, 21, -16, 47, 60, -16, -27, -44, 38, 19, -3, -23, -46, -44, -27, -42, 22, -54, 54, 44, 41, -58, 37, -23, 43, -36, 26, 64, 62, -5, -5, -19, 63, -41, -54, 50, -26, -52, -7, 56, -39, -60, -47, -48, -15, 53, -23, 55, -54, 0, 14, 4, -30, -17, 41, -61, 64, 23, -55, -22, -2, -45, 12, -42, 59, -61, 18, 74, 33, -30, 7, 29, -35, -58, 48, 18, 34, -41, -52, -11, 0, 14, -25, 15, -84, -23, 1, -42, 44, 9, -15, -5, -38, 54, -13, 35, 20, -55, -69, -6, -14, 15, -53, -24, 4, 17, 46, -63, -42, 51, -44, 37, -41, -54, 38, -22, 41, 61, -19, -28, -56, -21, 43, 4, -15, -30, 29, 33, -8, -15, -15, 45, -13, -49, -55, -19, 23, -24, 51, -29, -9, 12, 26, 1, 75, -40, 7, -10, -54, 34, -47, -12, 35, -25, 63, -51, -49, -18, 41, 14, -9, 51, 0, -52, 17, -24, -21, 36, 8, -41, 42, -11, -23, -27, -9, -49, 19, -59, 49, 46, -24, 10, 16, 4, 3, 21, -36, 37, 54, 50, 66, -53, 50, 17, 51, 49, -5, -27, -45, 19, 9, -40, -60, 39, 19, 46, -28, 22, -37, 18, 0, -56, -5, 15, 26, 55, -34, 18, -19, -38, 36, -46, 15, -50, -8, -13, 52, 60, 40, -67, 2, -42, 39, 4, 46, -36, 13, -59, -28, -45, -60, 8, -28, -4, -15, -52, -20, -15, -28, 32, 7, 48, 6, -49, -40, -49, -19, -32, -40, -23, -55, 61, -3, 30, -26, 48, 42, 37, 10, -49, 47, 59, -49, -13, -39, -26, -46, -42, 48, 58, 43, 52, 35, 10, 12, -38, 64, -51, -48, -2, -16, 8, -52, -33, -40, -13, -15, -65, 36, -45, 23, 38, -37, 8, -24, 22, -21, -6, -13, -2, 49, -37, 6, -39, -23, 9, 47, -8, 68, 29, 17, -6, -63, -31, -50, -56, -74, -31, -68, 46, -2, -49, 56, -14, 35, 58, -24, -52, 44, -57, -31, 45, -25, 8, -36, -35, -41, 46, -34, -1, -17, -17, 40, -38, 2, 30, 53, 25, -27, -29, -1, 35, -28, -46, -1, -19, -5, -21, -29, -64, 41, -20, -44, 44, -49, -47, 62, 60, 35, -28, -34, -46, 39, 50, 63, -62, -50, 24, -50, -22, 9, 15, -21, 21, 10, 9, 11, -37, 52, 60, -46, 57, -27, -39, -11, 44, 41, -14, -24, 46, 5, 7, -52, 67, 35, 49, 13, -38, -44, -55, 52, 8, 66, 67, 78, 51, -35, -52, -23, 32, -36, -51, 30, -31, -25, 24, -44, -1, 21, -62, 32, -62, 30, 48, 23, -53, -28, -3, -25, 35, 26, -24, 37, 51, 20, 57, 46, 30, 4, 47, -59, 28, -47, -50, 28, -34, -40, 16, -15, 3, -17, -10, -48, 36, -43, -5, 23, -65, 13, 59, -32, 22, -16, 28, -19, -37, -5, -40, -28, -38, -48, 21, -35, -22, -66, 21, 26, -3, 24, 47, 8, -10, -9, -66, -58, -15, -48, -37, -30, 6, 55, -41, 47, -40, 10, 20, 46, 13, 10, -54, 4, -16, 52, -18, -34, -33, 5, 9, 32, -44, 60, -1, -5, 29, 59, 50, 61, 32, 47, 56, -33, -41, -44, -45, 28, 24, -26, -14, 50, -46, -42, -28, 20, 30, -23, -23, -32, -3, -65, -9, 30, -40, -42, -31, 0, 51, -60, -14, 59, 48, 18, 9, -24, 1, 54, -19, 5, 62, 30, 24, -50, -64, -50, 19, -48, 42, -2, 6, 18, -45, -55, 24, -11, 3, 38, 43, 28, -43, -44, -58, -59, -17, -29, 28, -33, 22, 8, -50, -36, 3, 42, -20, 52, -3, 48, 6, -37, -51, 29, -14, 13, -30, 33, 51, -60, 8, 25, -38, -12, -24, 45, -7, 47, 63, -18, 38, -51, 22, 54, -36, 28, -28, -32, -54, -4, 42, -42, -10, 73, 5, 11, 60, 40, 43, 34, -18, -64, -11, -37, 57, 22, 27, -31, 47, 22, 62, -29, -4, -17, 51, -29, -15, 11, 9, -11, -47, -14, -36, -56, 37, -31, -15, -29, 2, -30, -16, 55, 54, 64, 33, 25, -26, -59, 18, 29, -50, 16, 12, 15, 56, 48, -26, -17, -44, 40, -49, -6, -50, -7, -80, -9, -66, 2, 36, -62, -6, 49, -58, -14, -36, -9, 50, -27, 33, 36, -64, -52, -5, 1, -17, 44, -14, -54, -47, -28, 32, 37, -34, 13, 31, 23, -31, 46, 37, 33, -30, -21, -51, 48, -3, 29, -14, 46, -31, 24, 36, 67, -31, 42, -25, -57, -49, -13, -34, -53, -25, -72, 27, -14, -14, 31, -39, 27, -16, -13, 30, 40, -43, 34, -63, -21, -54, -28, -12, 14, -60, 26, -30, 53, -5, 6, -33, -14, 19, -52, 21, 58, 14, 13, -50, -41, -45, -8, -56, 31, 16, 37, -8, -28, -35, 34, 39, -52, -53, 29, -21, -35, 8, -16, 17, 41, -58, -62, 55, 23, -27, 69, 42, -43, -48, 37, 43, -54, 10, -21, -64, -36, 55, -19, -45, -41, -30, 14, 39, 56, 35, 13, -31, -22, 24, 12, -48, -7, 15, 22, 31, 21, -16, -20, -50, -3, 45, 41, 24, 59, -35, 60, 29, -17, 24, -2, 60, 22, -19, 2, 55, 18, -47, -52, 48, -55, -13, 4, 38, 26, -14, -1, -25, 39, 13, -47, 24, -35, 49, -10, -34, -13, 39, -1, 44, 8, -25, -46, -7, 52, -4, 21, -53, 51, 9, -63, -47, -24, -45, 35, -6, -41, -28, -61, -22, -9, -11, 15, -1, 4, -30, -11, -7, -42, -2, -35, -29, 13, -17, -14, -51, 31, 1, 45, 53, 5, -9, 0, -19, -61, 4, 33, 2, -16, -62, 27, -3, 14, -27, -42, 51, -3, -39, 3, 17, -54, 33, -47, 66, -11, -26, 8, -1, -44, 41, -59, -8, -29, -5, 3, -51, 28, 37, -14, 27, -58, -32, -17, -34, -27, -57, 17, -13, 2, 19, -34, -7, 31, 7, 41, 39, 7, -35, -27, -34, -40, -45, -11, 1, -25, -58, -86, -18, -62, -5, 62, 59, 9, -37, 45, 48, 23, -18, 49, 36, -42, -55, 31, -61, 52, 36, -11, 23, 41, 0, 2, 1, -13, -39, -27, -35, 57, 6, 18, -3, 9, 18, -64, 51, 25, 9, 36, 59, 29, 15, 29, 29, -26, -31, -19, 57, 20, 34, -17, -39, 55, 9, -30, -55, -39, -52, 38, -17, -29, 1, 7, 4, 48, 2, 31, -3, 46, -50, -74, -67, -86, 2, 58, 20, 76, -62, 10, 20, -63, 24, -35, 1, 13, 71, -50, 26, -43, 61, -58, -13, -21, -17, -30, -53, -39, -64, -4, -8, 50, 3, 68, -36, 5, 31, 36, 28, -46, -47, -6, 19, -17, -17, -33, 58, -3, 37, -45, 25, -3, -11, 37, -55, 31, 40, 23, 27, 21, -5, 0, -25, 8, 22, 49, 33, 18, -8, -37, 40, 15, -49, -47, -39, 32, -8, -55, 34, 16, 35, 59, 56, 20, 63, 36, -3, -25, 10, -60, -19, -55, -8, 37, -16, 44, 3, -53, -30, 14, 20, 70, -13, -22, 28, -56, 34, -34, -5, -20, 33, 58, -33, -53, -51, -68, 44, 42, -80, -4, -28, 62, -53, -2, 48, 29, 66, -1, -55, 39, 21, -19, -32, 17, -26, 6, -62, 18, -28, -25, 38, 2, 22, -4, -39, 19, -7, 2, 23, -13, 8, 60, -10, -4, 31, 6, -4, -21, 35, 80, 4, -3, 49, -41, -9, -18, 44, 42, -12, 16, -51, 16, 4, -41, -17, -20, 14, 50, -7, -55, 67, -58, -28, 69, 2, -53, 0, -23, 59, 39, 23, 29, -13, -4, 22, 30, -72, -33, 0, 7, -57, 26, 3, -24, -4, 41, 34, -64, 30, -20, 54, 10, -6, 19, 13, -23, -21, 10, 69, -28, 41, 9, -26, 28, 16, -7, 54, -5, 64, 9, 35, 14, -62, 20, -27, 11, 2, -24, 23, -1, 13, -50, -31, -23, -41, -5, 50, 58, -40, 33, -46, -43, -56, -37, -29, 13, -51, 23, -16, -55, 39, 34, -21, 12, -57, -26, -9, 19, -1, -15, 42, -7, -21, 13, 53, 53, -32, 43, -56, -54, 42, 45, 49, 32, 11, -11, -37, 62, 45, -72, -39, 53, -11, -40, 44, 7, -7, -43, 5, -38, -26, -41, 32, -66, 47, 35, -28, -46, 67, -61, 71, 39, 59, 44, -34, -30, -50, 37, -36, -63, 5, 78, 38, 6, 35, -36, 25, 27, 49, 45, -46, -73, 29, -2, -67, -33, 60, -26, 19, -28, -11, 72, -9, -12, 56, 47, 37, 39, -8, 26, 21, -45, 55, 16, -70, 3, -13, -42, 9, 21, 14, -72, -9, 64, -14, -33, 30, -18, -17, -17, 4, -50, -40, 32, -20, 36, 46, -43, -14, 3, 39, -22, -47, 17, -36, -16, 51, -25, 29, -61, -1, 10, -19, -26, 29, 55, -69, 19, 9, 5, 1, -17, 95, 1, -13, -31, -10, -33, 45, -46, 39, 31, -29, -47, -7, 64, 39, 12, -1, -8, 12, -23, -40, -57, -29, -31, -22, 39, -11, 43, -30, 43, -65, -53, 58, -26, -19, 35, 34, 31, -10, -47, -22, 39, -4, -16, 32, 65, 17, 16, -25, 45, 15, 11, -60, 12, -12, -27, 1, 47, 28, 62, 57, 52, 8, -27, 47, 37, 3, -52, 5, 63, -8, -11, 43, -67, -20, -15, 53, -49, 58, -65, 20, 28, 33, -41, -34, -36, 4, -23, 9, -25, 63, 36, -48, 3, 56, 24, -63, -54, 20, 54, 32, -60, -43, 53, -43, 56, 34, -48, -7, 69, -81, -7, 37, -17, 30, 51, 48, 42, 47, -65, -38, 2, -21, 10, 9, 54, -12, -41, -53, 18, 39, -15, 35, 21, 33, -20, -27, 12, 19, -2, -9, -15, 44, -46, -10, -16, 52, 12, -18, 57, -51, 38, -2, -16, -54, 12, 54, -37, 29, 46, -48, -61, -2, 31, 63, 45, 22, -4, 3, -23, 38, -30, 21, 5, 49, 26, 2, 17, 48, 9, -50, -12, -12, 26, 28, -20, -49, 14, 34, 5, 23, -53, -31, 6, -31, 33, -52, 58, 13, -54, 37, -27, -37, 3, -37, -55, 45, 6, -4, -18, -54, -38, -34, -59, -57, -3, -51, 56, 20, -10, 25, -28, -56, 13, -28, -7, -38, 16, -59, -46, -29, 23, -74, -52, -28, -65, 50, 40, 15, -1, -43, -55, -29, 81, 56, -24, 44, -15, -46, -2, -38, 6, 25, 41, -55, 48, -41, 22, 43, -27, 99, 31, -68, 46, 57, -3, 29, 23, 23, 25, 16, 20, -42, -60, 5, -22, -55, 30, 25, -20, -18, -10, -40, 13, -10, -45, -21, -13, 7, 33, 13, -6, 18, 54, 56, -10, 22, -6, -26, -17, 30, 3, -11, -23, -45, -51, -20, -44, 11, 48, 19, 32, 5, -44, 34, -17, -69, 53, 27, 19, -6, 37, -23, 42, -35, -15, -6, -68, -42, -5, -26, 30, 50, -50, 8, 59, 46, 48, 34, -42, -35, 50, -29, -8, 0, 52, 45, -11, -69, -2, -37, 36, -5, 60, 1, 13, 37, 11, 10, 17, 53, 54, 6, -26, 44, 62, 10, 30, 25, -11, 15, -25, -18, -17, 47, -18, -25, -32, 19, 31, 30, -77, -5, -45, -44, -51, -49, -26, 18, 12, -49, -49, 43, 10, 46, -50, 6, 51, 39, -1, 59, -16, -14, -17, -16, -9, 11, 10, 14, -45, 4, 34, 22, 6, -36, 12, 16, -20, -43, -72, -38, -20, -6, 33, -21, -15, -47, -19, -13, -73, 20, 39, 45, -51, -56, -79, -96, -22, -8, 0, -43, -93, -18, -11, 18, 40, 40, -8, -47, 16, 57, -27, -44, 39, 57, 12, 65, -1, 32, -27, -31, 34, 1, -29, -12, 40, 29, 66, -61, -9, 34, -68, 30, 20, -67, -35, -40, -82, 65, 41, 16, 46, 25, 56, -37, 35, -31, -61, 32, -22, 24, 65, -2, 26, 52, 9, 23, -14, 94, 43, 37, 22, -30, 7, -68, -30, -45, -74, 15, 5, 52, -69, 11, -38, 14, -50, -38, -25, -7, -1, -22, 32, 44, -31, 0, -10, 20, 45, 46, -20, 15, 47, -69, 20, 14, 51, 48, 8, 37, 53, 33, -16, 39, -1, -32, -13, 66, 26, 6, -9, 19, -20, 25, -55, 19, -54, -1, 13, 38, -34, -36, 38, -12, 56, -16, -40, 61, 44, 53, -15, 37, -6, -33, 19, 27, 11, 49, -20, 62, 43, -39, 4, -34, 63, -28, 32, 52, -26, 30, 61, 24, -19, -36, -4, -51, 50, 31, 7, -4, -50, 19, -21, 33, 46, -81, 36, -44, -60, 46, -19, -54, 5, -7, -16, 75, 60, 62, 27, 10, 43, -41, 48, 56, 34, -38, -14, -42, -40, -71, 34, -24, 60, 25, -8, 37, 51, 46, -27, 33, -14, -67, 62, -36, 47, 35, -41, 1, -58, -52, -39, -2, 51, -21, -61, 41, -7, 12, 59, 60, 1, -8, -7, -32, 45, 47, -66, -60, -2, 41, -12, -66, 30, -24, -34, 78, 6, -52, 18, 55, -6, -49, 37, 61, -66, -55, 53, -22, -1, -51, 5, 61, -35, -46, 50, 3, 36, -52, 25, 47, -14, 31, 8, -13, -60, -24, 43, 61, -38, 49, -43, -35, 11, 12, -23, 44, -15, -13, -1, 63, -50, 34, -45, -80, -56, 43, -23, -38, -57, 1, 12, -26, 43, 37, 1, -60, 8, 20, -15, -21, 52, -30, -13, -59, -36, 30, -50, -32, -24, 3, -13, -64, 22, -70, -66, -26, -32, 17, 14, 20, -36, -4, 53, -26, -19, 5, -17, 46, -49, 12, 0, 51, -43, -59, -10, 34, 53, -91, -43, 26, -37, 1, 72, 7, -73, 42, 43, 54, -44, 16, 57, -7, -15, 39, 52, 61, 43, -17, 35, -3, -65, -8, -19, -48, 64, 54, 16, -64, 1, -27, 56, 47, 8, 4, 17, 33, 48, 0, 43, -28, -32, -5, 23, -20, -55, -57, 30, -27, 40, -20, 2, 31, 25, -57, 36, 46, 1, -5, -36, 9, 61, 42, 41, -26, -36, -22, 37, -49, 53, 36, -13, -13, 18, 29, -76, -54, -43, -67, 64, 28, -5, -33, -23, 46, -27, -30, 42, 10, -7, -36, -39, 11, 41, 20, -12, -54, 47, 17, 2, -39, -45, -16, -6, 34, -28, 20, 30, -41, -24, -58, -34, 49, 44, -14, 43, -2, 7, 27, 45, -49, 28, -75, 34, -2, 24, 46, 6, 28, -25, 15, -61, 22, 23, -34, -51, -43, 55, 6, 57, 56, 50, 27, -52, 48, -31, 9, -31, -47, 60, -4, -27, 19, -14, -9, 44, 4, 16, -16, 51, 16, 6, -43, 39, -56, -6, -20, -13, -2, 46, -31, 31, -15, -67, 25, -27, 51, 44, 50, 33, 13, 46, -63, 33, -18, 24, 2, 12, -25, -25, 50, -64, -60, 34, -13, -47, 32, -33, 25, -44, -12, -49, 22, -53, 56, -38, -55, -43, -50, 46, -5, 5, -32, -21, -46, -41, -11, -29, 0, 6, 42, -38, 65, 23, 20, -35, -56, -7, -12, -17, 12, -2, -39, 30, 43, -44, 34, 16, -53, 1, -23, 46, 50, -1, -52, 31, 21, -47, -60, -48, 3, 29, 53, 18, -37, -43, -37, -77, 43, 15, 49, -10, -22, -2, 16, -41, 12, 41, -18, 3, -34, -8, -56, -25, -33, -28, -64, -28, -31, -44, 23, -64, 42, 59, -36, 58, 53, 36, -71, -39, -69, -24, -14, -5, -23, 14, -42, -42, 4, 39, -1, -65, -19, -58, -21, 69, -5, -26, -34, -50, -44, -21, 28, 4, 24, 38, 65, -13, -45, 9, -69, 32, 8, -43, 5, -36, -11, 45, -27, -62, 10, -59, -29, -37, 55, -23, -60, -27, -40, -40, 24, -10, 24, 14, 52, 0, 55, -62, 59, 9, 59, 18, -27, -23, 57, 43, -36, 3, 18, -60, -4, -16, -14, 10, 1, -28, 46, -11, -51, 1, -40, 55, -44, -5, 60, 53, -34, 52, -33, 59, 66, -28, -29, -50, 42, -45, -20, -36, 48, -27, 58, -8, 57, 44, 6, -15, -6, -15, -4, 25, -3, 54, -9, 8, 15, -22, -43, -47, -38, 26, 12, 45, -8, 58, -57, -13, 29, 53, 9, 30, -29, -6, 65, -30, -40, 61, -4, -1, -52, 21, 6, 29, 63, 64, -63, 46, -38, 17, 36, -17, 17, 12, -26, 55, 49, -59, 21, 66, -28, -22, -39, -40, -5, 53, -22, 2, -46, 0, -32, 1, 13, 30, 47, -2, -62, 24, -25, 3, -57, 17, -8, 37, 63, -38, -6, 30, -31, 42, 43, 12, 33, 22, 31, -36, 18, -48, -35, -43, -17, -37, -14, 22, 20, 2, 25, -37, -12, 64, 60, 49, -22, -47, -45, -48, 26, -17, 38, -55, -53, -6, -62, -49, -31, -23, -38, 48, -27, 3, -56, 14, 0, -4, 32, -8, 14, 60, 25, -4, 52, 10, 18, 25, 41, -16, 29, -46, 42, 3, -42, 51, -15, -8, -29, -10, -8, -8, 2, -23, 13, 8, 61, -18, -29, 31, 49, 10, -6, -6, -6, -59, -33, -24, 44, -51, -31, 7, 35, 38, -31, 64, -63, 3, 3, -48, 59, 20, 34, -59, -27, 48, 41, -2, 57, 45, 27, -52, 41, 48, -56, -60, 11, -12, 2, -16, 0, -37, 52, 33, -36, -50, -50, -13, 13, 29, 25, -6, 41, 25, 10, -33, 46, 36, -34, 41, -3, -29, -57, -55, 52, 30, -37, 55, -11, -11, 4, 38, -37, -59, -47, 56, 8, 58, 8, -6, -7, -20, -59, -40, 56, -41, -55, 9, 28, 55, 33, -12, 60, -54, -45, -59, 13, 54, -69, 5, -6, 14, -39, 48, 33, 17, 15, -53, -56, -16, -31, -60, 52, -61, -31, -14, 55, -32, -8, -53, 36, -60, 4, 55, -57, -36, 19, 37, -12, -25, -7, -42, -57, -6, -60, 17, -35, -60, -49, 6, -4, -53, -41, 18, -49, 21, 55, 19, -40, 1, 3, -55, -7, -12, 14, 27, -27, -22, 11, 36, -24, 13, -54, -22, 48, -21, 15, 45, 36, -21, 47, -49, 51, 2, 12, 0, 44, 35, 55, -23, 54, 20, 59, 38, 45, 56, 2, -40, -52, -38, -36, 35, 43, 58, -65, -14, 47, -52, 19, -34, -4, 47, 39, -54, 19, 55, -60, -57, 8, -6, -7, -58, 15, 16, 54, 33, 40, -59, 50, -28, -35, -15, -21, -13, 19, -59, -2, 13, -2, -14, 4, 36, 9, -24, -23, -2, 61, 34, 61, 23, 53, -22, 33, 63, -32, -8, 23, -29, -3, 66, -39, -14, 45, -44, 54, 28, 57, 55, 27, -51, -28, 41, 15, 15, 19, -30, 30, 8, -41, -26, -11, -20, -52, 58, -5, 60, 2, -57, 6, -54, 26, 37, 7, -9, -37, 59, 88, 26, -39, -57, -2, -32, 22, -8, 41, -24, 21, -46, 6, -25, -50, 64, 51, -36, 12, -5, -52, 63, 22, 61, 0, 13, -17, 40, 30, -17, -11, -38, 21, 61, 28, -7, -8, -12, 48, -56, 62, -3, -19, 24, 7, -27, 11, -45, 31, -18, -2, 13, 59, -67, -65, -39, -25, -70, 45, 15, 5, 53, -53, 65, 8, 67, 54, -61, -39, 9, 55, 54, -29, -33, -55, 38, -25, -11, 8, 10, -50, 50, 48, 36, 41, 32, -17, 7, 20, 25, -60, 22, 51, -49, -15, -55, -54, -56, -8, 34, -48, -42, -39, -6, -50, 4, 67, -43, -31, 21, -30, -55, 7, 14, -50, 42, 35, -5, 22, 23, -42, 17, -59, 45, 27, -22, 63, 10, -29, 4, 16, -8, -5, 22, 11, 31, 3, 49, -58, 16, -11, -26, 15, 52, 56, -41, -49, 33, -55, -47, -51, -82, -14, 13, -57, 13, 37, -29, 21, -50, -60, -32, 18, 45, -33, -53, 34, -48, -5, -24, 46, 46, -80, -41, 28, -72, -30, -58, -17, 9, 52, -36, -32, -14, -44, 12, -54, 40, -37, 0, 54, -17, -22, 47, -48, -35, -10, -11, -18, 31, -23, -18, -19, 21, -15, -26, -29, -39, -40, 53, 20, 12, 16, 3, 5, 13, 25, 37, 17, -49, -48, -55, 50, 42, -2, 54, 23, 0, 2, -28, -61, 47, -49, -12, -1, -41, -47, 43, -36, -43, 17, -51, -5, 60, 14, 64, -53, 53, -17, 50, -14, -36, 23, -18, -60, -64, -21, -58, 49, 21, 17, 5, -25, -64, 36, 59, 31, -10, -14, 36, -2, 26, 11, 25, 40, 65, -51, -29, 27, 15, -32, -54, -13, -22, -3, -50, -48, -25, -54, -17, 47, 35, 23, 38, 53, -3, 48, 43, 54, -10, 61, -16, -29, 58, 53, -30, 43, -29, 2, -22, 57, -48, 15, -40, 19, -75, 18, -67, -66, 74, -23, -6, 22, -9, -43, 39, -51, -34, 39, -54, -56, -24, -54, -23, 14, 52, -21, -67, -26, 51, 45, -2, 29, -15, -51, -64, 48, 43, 39, -21, 37, 12, -43, 29, -3, -5, 61, -30, 56, 57, 65, 49, 61, 58, 1, 36, 46, -57, 19, -30, 32, 20, -4, 9, 51, -17, 25, -43, 62, -18, -19, -2, 23, -1, -13, -39, 3, -14, 70, -29, 35, 37, 48, -51, 20, 12, 14, 54, -25, -55, -27, 1, -3, -14, 50, 33, 1, -30, -55, 16, -6, -46, -30, 3, 29, 48, 28, -53, 13, -27, 29, -33, 67, 35, -45, -35, 49, -28, -30, -30, 35, -1, -32, -38, -60, 60, -51, -51, -9, -37, -73, -4, -73, 17, -7, -33, 54, 35, 65, 7, 16, -49, 59, 56, -46, 19, 31, 2, 2, 65, -40, 52, -41, 0, -28, -22, -36, -52, 35, -38, -61, 5, 2, -22, -39, 46, -73, -54, 57, 25, 0, 7, 39, 29, -14, 1, -1, -42, -36, 16, 13, -31, 56, -13, -20, -53, -9, 30, 6, -45, -6, -18, 9, 5, -30, 33, 47, -22, 26, -26, 57, 8, 52, 57, 10, 38, 19, 52, 50, 19, -43, -3, 38, -47, -13, 13, -6, -46, -44, -38, -35, 29, 23, -24, -42, 22, 39, 36, 36, -25, 37, 36, -75, 26, 42, 47, -13, 54, -34, -25, 25, 53, 50, -36, -5, 64, 4, -51, 49, 8, 27, -51, -61, 25, -48, -69, -6, -20, 60, -24, 22, 50, 27, 20, 21, -28, -49, -63, -19, 18, 16, 19, -8, -57, -11, -2, -38, -25, 9, -66, -11, -22, 28, -45, 25, 51, -19, -13, 4, -4, -38, 25, -27, -29, 38, 60, 46, 16, 42, -68, -24, -43, 50, 53, -22, -37, -8, 17, 6, -27, -15, -9, -42, -11, -19, 68, 56, 7, -22, 56, 25, -49, 28, 29, 39, 59, -61, -49, -23, -49, -16, 21, 59, -53, 24, 29, 49, -51, 53, 52, -26, 40, -39, -34, 5, 4, -27, 36, -44, -31, 29, -9, 1, -18, 34, 1, -24, -57, 38, -44, -28, -62, 1, -41, 63, 28, 65, 39, 22, 7, 34, -52, 22, -40, -8, -29, 12, 26, 48, 34, 3, -25, -6, -30, -22, 57, 52, -54, 8, -52, -50, 29, 34, 46, 64, -36, -6, -21, -6, 37, -35, 28, -6, -24, -31, -3, -68, -26, -32, 21, 34, -11, -35, 11, 20, 45, -3, 33, -8, 10, 35, -31, -3, -2, 29, 25, 47, -20, 8, 50, -48, -45, -60, -5, 32, 66, 44, -43, -41, 34, 48, -26, 61, -7, -41, -54, 25, 50, -59, -28, 11, 8, -11, 25, -34, -48, 30, -56, -4, 61, 69, -17, 35, -14, 17, -28, 28, 10, 8, -71, 67, 45, -32, 42, -18, -48, 51, -35, 16, 50, -56, 12, -14, -5, -4, 52, 15, 19, -7, -55, -18, 40, -39, 49, 52, -23, -27, 47, -16, -54, 26, -45, -42, -53, 25, 15, 42, 2, 39, -30, -7, 57, -32, 3, -31, -9, 28, -22, 35, -4, 59, -16, 6, 70, 30, 48, -10, 15, 57, 15, 49, -58, 58, 48, -42, -37, 37, -16, -33, -55, -12, -12, 36, -5, 47, -43, 6, 36, 4, 36, 43, 41, -57, -21, -54, -5, 30, 9, 30, -17, -61, -22, -42, 42, 61, 45, 54, 54, -57, 45, -46, -34, 57, -42, -15, -15, -56, 11, -33, -29, 51, -37, 54, 51, 3, -46, 52, 53, -6, 44, -22, -53, 41, 18, 4, 4, 37, -44, 44, 42, 13, 55, -9, -20, -40, -47, 43, -21, -11, 47, -55, -58, -32, 9, -20, 42, 7, 55, -45, 26, -40, 49, -40, -64, 0, 22, -11, 26, 25, 12, 39, 31, 32, 72, 7, 13, 60, -7, 5, 17, 32, -58, -56, 48, 7, 13, 20, 15, -31, 20, -45, 16, 30, -41, 44, 1, 0, -31, -9, 4, -12, 52, 18, 42, -23, -31, 1, 59, 40, -6, -32, 47, -46, 4, -35, -14, 14, 6, -38, 55, -25, -17, 57, -59, -62, 23, -30, -25, 56, 26, 38, -45, -32, -63, 67, 44, 42, 66, -24, 30, -41, -8, -44, 26, 32, 57, 20, 41, 33, -22, -45, -11, 55, 0, -1, 10, -21, 10, -24, 18, 43, -54, -45, 8, -5, 40, 36, 4, 3, -54, -50, 36, 60, 50, 29, 15, -44, 41, -51, -24, -56, 58, -54, -23, -53, -7, -22, 14, -43, 41, -55, 50, 14, -29, 39, 0, -12, -12, -66, -53, -30, 9, -33, -16, 5, 14, 58, -62, -49, 17, 31, -29, -29, 31, -34, 12, -28, -6, 29, 52, -58, -22, 35, -2, -11, 42, -12, 22, -56, 18, 31, -62, -16, 41, -15, 48, 50, 49, 41, -24, -62, -26, -52, 2, -7, 64, -54, 2, 21, -9, -47, 0, -27, -2, -42, -70, 63, 7, -33, 6, -28, -58, -6, 10, -21, 40, -1, -52, 34, 53, 73, -23, 33, 20, -58, -36, -49, -15, -64, -97, 28, 48, -86, 25, -22, -60, -38, -73, -35, 41, -12, -26, -30, -70, 30, 13, -49, -3, 43, 17, 0, 45, 43, 18, -48, 47, -33, 51, 17, -46, -3, 9, -20, 50, 3, 45, 41, 37, -38, 44, -54, 26, -26, -2, -47, 28, 15, -12, 17, -15, -10, 37, 88, -46, 13, -53, 27, 56, -6, -68, -20, -29, -25, 4, 55, -27, -63, -44, -59, -16, -33, 65, 20, -39, 55, 21, 12, 39, 41, 1, -53, -21, 28, 29, 20, -81, -76, -61, 33, 9, 24, -22, -37, 56, 43, 15, 9, -64, -13, 16, -3, 2, -31, 6, 31, -8, -39, -62, 44, 66, 23, 12, 2, 46, 64, 45, -10, -32, 64, -30, 43, -62, 37, 57, 32, -9, 15, -46, 61, 2, -53, 18, 18, -71, 5, -26, 38, 42, 32, -7, -66, 21, 32, 24, 58, 7, -19, 6, -13, -64, 43, 15, 29, -52, -62, -56, -24, -18, 55, -49, 3, -28, 9, 64, -35, -38, 31, 64, -26, -26, -28, -16, 6, -2, -50, -16, -10, -19, 18, -3, 45, 10, 29, 2, -10, 41, 11, -14, -15, -45, -28, -24, 0, 13, -26, 12, -23, -7, 35, -14, -53, -19, -46, 27, -62, 35, -39, 53, 14, 38, 2, -15, 8, -35, -16, -64, -44, -7, 12, -32, 60, -37, 23, 17, 24, 46, -19, -38, 53, -16, -6, -57, -38, -3, 11, 38, -22, -10, -18, 41, -17, 18, -12, 17, 39, -22, -40, -44, 25, 62, -21, -3, -18, -48, -66, -33, -40, -24, -20, 36, -42, -3, 59, 31, 34, -13, -1, -46, -1, 9, 6, 39, 14, -25, -53, 51, -17, -32, 70, 17, -4, 39, 0, -22, -45, -50, -73, -55, -20, 20, 37, -2, 20, 46, -42, 55, 13, 45, 58, -33, -9, -40, 35, -43, 8, -31, -19, 43, -19, 30, 29, 0, -10, 34, -24, -27, 34, -19, 5, -12, 32, -13, 33, 38, 60, -17, 43, -42, -32, 11, -56, -21, -14, 27, 37, 51, 50, 48, 36, -46, 10, -17, -5, 50, 23, -19, 41, -36, -20, 11, -6, -37, 1, 9, -39, 49, -64, 41, 70, -59, 2, 21, -22, 10, 44, 39, -63, 60, -32, 23, -38, -18, -53, -52, -25, -3, 21, 61, -14, 1, -16, 31, -43, -14, 44, 9, 41, 57, 17, 9, -73, 33, 32, 44, -14, -44, -60, -43, 41, -7, 7, 32, -14, 53, 13, 74, 40, 27, -40, -14, 22, 23, 4, 18, -32, -37, 36, 36, -46, -11, 14, -12, -46, -16, -43, -50, 34, -2, -21, -6, 15, -66, -45, 59, -37, -69, 28, -33, 52, -53, -43, -30, -78, -36, -52, -7, 20, -7, -3, 55, 41, -27, 41, -17, -56, -55, 14, -58, 19, 55, 4, 31, -50, 5, -46, -33, -12, -63, 25, 11, 44, 51, -9, 8, -56, 10, -61, -48, 3, 62, -47, -61, 45, 36, 59, 14, 5, 5, 65, 60, 71, -45, 4, -26, 47, -25, -3, 49, -34, -61, 37, 23, 26, 37, -59, 42, 13, 50, -39, -33, -34, -54, 42, 40, 9, 19, 1, -48, -18, -28, -49, 22, -37, -40, -58, 8, -41, 7, -20, -36, 6, 45, 26, 2, -32, 39, 12, 48, 41, -15, -9, -57, -18, -41, -3, 32, -57, -30, -36, -54, 57, -66, 23, 1, -53, -41, 37, 52, 45, -39, -19, 39, 13, -28, 46, 10, 65, -1, -50, -67, -48, -17, -14, 22, 2, 3, -2, 54, -50, -24, -53, -37, 25, 39, 36, 14, 43, -30, 5, -45, -38, -48, 55, -29, 2, 41, -13, -53, 44, 2, -26, 17, -9, 51, -7, -81, -11, -46, 10, -33, -8, -46, -36, 16, 36, 61, -6, 12, -74, -65, 55, -15, 27, -57, -44, -44, -64, -1, -10, 31, 58, -60, -21, 24, -51, 29, 52, 56, 4, 41, -32, 20, -51, 14, 24, -37, -6, -2, 59, 8, 38, 44, -43, -66, 38, 58, -48, 48, -18, -7, 53, -47, -26, -45, 49, -21, 46, -20, 40, 36, -50, -65, -31, -52, 15, 32, -32, 7, 26, 5, 47, -4, 22, 16, 37, 52, 51, -35, 65, 12, -16, -26, 32, 51, -23, -17, 19, -12, -45, 33, -31, 44, 17, 50, -43, -1, 40, 16, -25, 57, 75, 44, -12, 68, -4, 58, -20, -33, -48, -38, 60, -46, -24, 36, 14, 47, 47, -57, -31, -59, -13, -33, 15, -3, -36, 28, -46, 28, -24, 36, 26, -65, 53, 7, 22, -22, -23, 31, 17, 6, -61, 52, -60, -19, -68, -17, 55, -17, -19, 48, -35, 45, -38, 17, -27, 11, -56, -6, -13, 14, -3, -53, 13, -49, -54, 51, 5, -23, 29, 52, 29, 38, 23, 29, -51, 34, -28, -25, -4, -37, 42, -48, 22, 33, 8, -41, -44, -48, 23, -40, -31, -36, -24, 3, -17, 38, -1, -33, -26, -14, 24, 53, 9, -52, 25, 63, -4, 44, -34, -35, -51, 36, 27, 10, 21, -23, 6, 5, 40, 33, 14, 13, 35, 44, -59, -15, 11, -6, 4, -45, -25, 67, -17, 23, -3, 27, 59, -31, -1, -49, 12, 48, -48, -29, 44, 35, 62, -57, -46, -15, 9, -32, 12, -24, 54, -59, -5, 47, -12, 11, 32, -41, -28, 6, 3, -16, -38, 9, 8, 46, 41, -4, -1, 54, 61, -25, 5, -12, 59, -51, -50, 9, 52, 8, -8, -57, 4, -59, 18, -7, 7, -15, -51, 13, 33, -52, -52, -53, -41, -28, 42, 52, 63, -42, 0, -26, -26, -55, -42, -32, 10, -51, 41, -26, -64, -9, -60, -56, -12, -25, 5, 30, 5, -26, -27, -21, 11, -52, -19, -22, 4, 61, 10, 8, -17, 4, 22, 9, 31, 54, -64, 41, -5, -8, 24, -22, 45, 13, 32, 21, -15, -11, 45, 16, 28, -28, 47, -7, -15, -48, -30, -1, 42, 27, -60, -56, 65, 37, -58, -39, 49, -18, -31, 61, 51, -31, 54, -21, 22, 26, -66, -62, -3, 22, 30, 32, -2, 63, 2, 1, -8, 26, 62, -45, -60, 39, 12, -2, 21, 30, 26, -13, 11, -30, -61, -5, 23, 44, -37, 27, -47, 23, 26, -66, 57, -54, -7, -4, 4, 43, 34, 17, 31, -48, 23, 6, -32, 11, 25, 5, 7, 5, -38, -48, -38, 61, 37, 45, -44, -43, 35, -33, 49, -18, -18, 63, 50, -10, 31, -27, 48, 52, 14, 51, -16, -60, -17, -3, 15, 0, 27, -65, 18, 77, -31, 9, 68, 17, 24, -59, 54, -47, -14, -52, -8, -21, -38, 53, 50, 21, 52, 40, 22, -32, -90, -48, 22, 10, 64, 4, -3, 27, -11, 29, 33, -57, -51, -54, 21, -36, -58, 8, -35, -27, -6, -23, 48, 28, 23, 18, -41, 1, -21, -6, 23, -8, -48, -67, -10, -21, -56, 17, -62, -14, 51, 57, 52, -21, 15, -36, -28, 29, -59, 26, 5, 48, 13, -57, 0, 28, -31, -21, 12, -47, 27, -13, -63, 45, 33, -4, 42, -13, -75, -35, 42, -14, 46, -7, -8, 32, -3, 54, -46, -19, -50, 13, 65, 44, 35, 19, -13, 56, -30, 30, -43, 52, -13, -57, -14, 48, -8, -18, 39, -61, 63, -31, 47, -42, 0, -52, 20, 20, 25, 6, 20, 41, 22, -9, 41, -64, -59, -21, 13, 1, 55, -28, 33, 42, -6, -25, 44, -35, 29, 53, -7, 3, -29, 45, 45, -31, -12, 4, -51, 3, -57, 23, -7, 6, -38, 36, 46, 33, 60, -24, -15, 36, 2, 34, -17, -2, 49, -57, -17, 14, 27, 31, -70, 58, 34, 35, 7, 35, 10, 27, 41, -17, 48, 31, 31, -41, -26, 20, 56, 41, 23, -48, 53, -2, -16, -54, 18, 37, -58, 46, 51, 9, 0, -25, 54, 24, 33, -27, -31, -34, -29, 29, -66, 19, 46, -42, 30, -16, -47, 22, -3, 42, -40, 9, -5, -54, 22, -50, -41, -29, 5, 38, -33, 9, -39, -37, -10, 58, -53, -38, 18, -65, 20, -32, -59, -43, 8, -40, -22, -54, -49, 26, -35, -23, 36, 26, -57, -3, 52, -55, -7, 44, -56, -14, -30, 49, 36, 19, -45, -16, -47, -59, -4, -13, -9, 12, -17, -36, -11, 40, -53, 9, 50, -28, 20, 70, 55, 53, -43, -15, -5, -22, -48, -21, 55, -41, -36, -21, 60, 25, -62, 31, -12, -23, 12, 11, 67, -25, 20, -40, -36, 2, -16, -18, -38, 72, 46, -19, 48, -56, -3, -54, -15, -46, 45, -17, -34, 31, -9, -41, 64, 15, 33, 23, 50, 7, 56, -37, -41, 43, 17, -54, -26, 38, 44, 58, 29, -1, 43, 0, 44, -34, 2, -47, -35, -34, 27, 44, -48, 61, 68, 35, -40, -4, 2, 24, 59, -14, 56, 25, -59, -13, 29, -28, -29, 36, 51, -56, -5, 36, -35, -27, -22, 8, -56, 1, -3, -60, 0, 68, -32, 10, 60, -9, 6, -11, 2, 31, -34, -41, -17, 18, -47, 45, -46, 1, 4, 28, -16, 18, -49, 56, 7, -16, -11, -30, -46, -4, -9, -4, 51, -13, 49, -12, 17, 49, 10, -8, -36, 4, 37, -23, 37, -10, 63, -31, 36, 25, 68, 17, -39, 62, 46, -46, 62, 54, 12, -42, -47, 52, 20, -15, 3, -39, -52, 50, -1, 46, -45, -47, -21, 24, -23, 11, 10, -28, -35, -25, -13, -2, -16, -28, 44, -19, -63, -50, -46, 15, -36, -24, -5, -36, 28, -52, 22, 18, -13, -42, -17, 45, 58, -81, 53, 30, -25, -17, 9, 66, 21, 18, 79, 41, 41, 48, -14, 65, -8, 10, -50, -22, 29, -32, -78, -68, 21, -50, -48, -25, 30, -48, -2, -49, 53, 20, 21, 24, -43, 48, 8, -51, 3, 8, -2, 28, -37, 24, -51, 19, 12, -64, -50, -44, 9, 70, 20, 25, 42, -66, -40, -45, 73, 40, -16, 74, 31, 28, -35, -11, 31, -37, 4, -17, -53, 2, 10, 9, -31, 27, 57, 58, 43, -34, -11, 21, 43, -64, 4, -8, 22, 60, -61, -38, 36, -55, -2, 58, 52, 44, -75, -2, -65, 12, 9, -36, 1, -16, -38, -24, 45, 27, -45, -2, -19, -40, -29, 23, -38, 32, 45, -48, 3, 50, 12, 17, 2, 33, 52, 16, 28, 31, -59, 43, 36, -21, -31, -19, 2, 51, 63, 60, 21, -52, 0, 34, 3, 7, -70, -48, -18, -56, 20, 39, 30, -20, 56, 19, 34, 17, 62, -52, -58, -28, -42, -24, -44, 55, -24, 27, 74, -58, 31, -13, -58, -2, 13, -6, -2, 53, 29, -23, 26, 1, -4, 34, -18, 13, 54, 47, 5, -68, -46, -51, -42, -74, 37, 47, 14, -19, -40, -30, 47, -34, 30, -50, 5, 30, 39, -45, -26, 27, -68, -14, -52, 26, -12, -5, -44, 58, 17, -8, -29, -25, 17, 29, -2, -45, -45, 49, -49, 7, 57, -10, -7, -54, 30, 44, 32, 6, -35, 24, -28, -5, -17, 38, -22, 55, -18, 24, -40, 30, 61, 22, -23, -54, 76, -12, 8, 60, -43, -32, 32, 11, -13, -51, 50, 25, 38, 44, 18, 10, -36, 43, -26, -40, -6, 11, 48, 28, 36, 48, 19, 43, -62, -32, -36, -57, 34, 57, -49, 39, -20, -19, -68, 42, 24, 19, -17, -15, 57, -40, -23, 48, 26, 52, 0, -11, 71, -45, -31, -46, -50, 12, -27, -32, -51, 31, 6, 1, -41, -46, 25, -66, -8, -11, 45, 6, 34, 49, -57, -30, -23, -68, -44, -37, 42, -38, -36, -39, 16, -46, 35, 10, -9, -10, -25, 6, 2, 7, -30, -20, 49, -54, 24, 14, 12, -1, 7, 5, 18, -8, 31, 54, 47, 1, -1, -24, -5, -11, -44, 5, 61, 38, -60, 48, 22, -45, 17, 41, -49, 26, 3, -31, -69, 6, -31, -11, -48, 49, 39, -42, 28, -21, 25, 55, 34, 61, -38, 28, -36, 52, 31, 32, -56, 27, -33, -1, -4, 68, -54, -32, 49, 52, -15, 5, 11, -16, 19, 2, -55, 61, 52, -61, 19, 16, 17, -61, -57, -26, -31, -53, -38, 23, -55, 43, 55, -46, -4, -51, -23, -28, 34, 50, -46, -48, -3, -33, -22, 5, -43, 0, -33, -43, -33, 45, 13, 32, 62, -56, -45, -18, -29, 53, 9, -53, -55, 10, -58, -11, 15, 45, 58, 41, 45, -34, 2, -3, -25, 21, 11, 17, -2, -41, 44, -26, 50, 45, 6, 47, 13, -26, 25, -9, 42, -48, -41, 2, -11, 9, -43, 20, 24, -1, -26, -26, -11, 23, 29, 29, -39, 20, 3, -53, -57, 33, -17, -41, 52, 22, 60, 56, -48, -15, 17, 49, 1, -25, 43, 9, -7, 24, 57, -21, -16, 21, -12, 9, -61, -8, -44, 29, -37, 16, -25, 54, -29, 46, 45, -44, 9, -24, 8, 29, -47, -52, 64, -5, -42, 7, 30, -56, -41, -23, -21, 34, 62, -21, 37, -33, -62, -42, -15, 48, -9, -26, -24, -28, -24, 19, -13, 15, -35, 49, -38, 50, 3, -3, -41, -14, 24, 81, -52, -46, 60, 29, -69, -51, -16, -58, -52, -14, -38, 39, -16, 52, 38, -21, 32, 52, 13, 44, -42, 56, -30, -44, 48, -47, 36, -25, 32, 15, -60, 15, 35, -36, -2, 7, -35, -38, 7, -18, 51, -33, 62, -33, -56, -13, 63, -51, 38, 27, 28, 62, -47, -35, -44, 2, 7, -20, -54, -6, -13, -67, -31, -19, -7, -38, 10, -38, -60, -30, -35, -8, 10, -54, -19, 11, -54, 6, -57, 6, 1, -39, 57, -10, 25, 6, -19, -19, -42, 20, -5, 51, 2, -56, -65, -69, -49, 9, 29, -47, -22, -11, -19, -8, 26, -21, 35, -22, 4, -29, 7, 43, -78, -20, -20, 40, 7, -23, 14, -10, 59, -7, 73, 49, 69, -20, -58, -17, -22, 6, -37, 4, -40, -42, -64, -23, -6, -55, -2, 31, -39, -64, -9, -19, 24, -64, 0, 16, 11, 78, 24, 8, -26, 17, -41, -2, -59, 41, -14, -36, -24, 47, 16, -58, 20, 41, -19, -69, 59, 9, 29, -46, 4, 14, -9, 39, 34, 1, -33, -33, -6, -40, -51, 49, 31, -49, 52, -19, 43, -65, 5, -46, -51, -61, -15, -51, 9, -27, 53, 33, 34, -61, 16, 68, 38, 12, -43, 58, -62, 61, 42, -39, 43, 22, -41, 18, 16, 50, 5, 79, 53, -11, -42, -51, -38, -10, 28, -27, -19, -39, 32, 19, 56, -28, -2, -34, -47, -60, 17, -55, 32, -13, -12, -42, 23, 54, 35, -20, 44, 43, -50, -1, 47, 14, -43, 47, 47, -2, 24, 26, 41, -53, -28, 41, 62, 47, -4, -20, 32, -29, 47, 36, 22, 12, -4, 41, -9, 9, -43, 4, -27, 4, 33, 26, -56, -39, 11, 50, 0, -6, -39, 57, -45, 51, 26, -5, -1, -12, -54, -31, 8, -47, -24, -4, -47, -35, 41, 11, -26, 1, -66, 32, -22, -10, 50, 45, -60, 23, -66, -42, -18, -38, -29, -35, -63, 23, -40, 63, -14, 18, -52, -38, 48, -3, -29, 54, 40, 29, -19, -39, 29, -59, -15, -37, -60, 8, 68, -30, 45, 40, 45, 73, 38, 20, -21, -46, -34, 46, -18, 38, -50, -46, 15, -50, 50, 38, -47, 11, -44, 24, 11, 19, 13, 46, -56, -33, 54, -32, 60, 61, -44, 63, 15, -62, -40, -13, 39, 4, 29, -50, -65, 51, -10, 45, 11, 34, -56, -41, -17, -49, -17, -5, -48, -36, -43, -16, 69, 53, 10, -53, 11, 8, 65, -2, -62, 16, 5, -71, 44, 26, 13, 28, -22, 36, -48, -28, -28, 27, -3, -33, 8, 43, -71, -49, 3, -17, -25, -4, -52, -3, 13, -28, 46, 24, -19, -26, 64, 6, 0, -24, -58, -5, -50, -31, 50, 33, -45, -17, 41, -22, -42, -29, 10, -36, 6, -46, -18, 60, -17, -32, -23, -40, -2, 33, 46, -40, 36, 9, -40, -48, -21, -47, -65, -67, -1, -44, -41, -45, 15, -65, -32, -34, 52, 53, -42, 26, -4, 21, -14, 5, 52, -41, -50, -3, -25, -33, 31, -62, -11, -32, -6, 19, 37, -27, 73, 22, 32, -29, 37, -27, 22, -10, 15, -27, -12, -18, -60, 33, 9, 4, 26, 14, -14, -24, -26, 39, -8, 19, 33, 6, 19, 16, 61, -33, -46, -11, 14, 11, 23, -22, -18, -19, -18, 31, -30, 59, 22, 17, 36, 70, -4, 7, 7, 0, -7, 62, -46, 52, 55, -26, -80, 15, -28, 16, -30, 11, 17, -12, -11, 35, 29, -15, 23, 42, 86, 3, -65, 16, -54, -43, 10, 69, 44, 48, 49, 55, 61, -36, -56, -31, -49, 33, -42, 29, -20, -17, 25, 50, 6, 15, 8, -39, 37, 19, -13, -54, 55, -50, -58, 33, -59, 15, 30, 9, -28, 6, 52, 17, -64, 13, 33, -7, 0, 1, -11, 72, -13, -50, 57, -50, 56, 69, -34, -58, 26, 19, 15, 48, -43, -76, 59, 47, -23, -13, 17, -42, -46, -28, 29, 46, -11, -53, -50, -77, -66, 45, 5, -43, 6, -7, -2, -31, 8, -31, 62, -8, -33, -18, 9, 67, 39, 61, 8, -28, -9, -19, -41, 30, 29, 1, 26, 15, -1, 33, 46, 53, 20, 62, -6, 62, -17, 21, 18, -24, 5, -39, 22, -2, -11, 51, 42, -43, -27, -51, -78, -60, 31, -54, -16, 51, -65, 58, 57, 29, -60, 31, 32, -39, 46, 41, -20, -21, -37, -11, -45, -16, 23, -4, -33, -4, 54, 35, 42, -2, 31, -16, -26, -15, -43, -42, -39, -45, 42, -18, 0, 34, -27, -26, -1, -48, -60, 3, -19, 10, -5, 30, -8, -31, 6, -34, -32, -47, 13, 14, -28, 33, -29, 10, 25, -35, -5, -18, 67, -40, 39, 39, -31, -62, -7, -22, -59, 61, -46, -69, 6, -37, 44, -48, 42, -4, -58, -42, 20, -16, 14, 18, -51, -20, 55, 0, -51, -21, 19, -64, 36, 2, 41, -15, 8, 4, -18, 23, -56, -70, -28, -95, -15, 2, 17, -37, 10, -8, 48, 23, 7, 67, -56, -52, -17, 59, 23, -5, -43, -21, -38, 60, 13, -19, 39, 50, 19, -36, 5, -35, -64, -50, 19, -26, -58, -42, -41, -15, -65, 16, 32, 44, -12, 0, 16, -48, 6, 22, -54, 43, 25, -57, -37, -21, 46, 11, -4, 37, 0, 9, -47, 16, 14, 25, -51, -40, 10, 58, 25, -20, 27, -37, 30, -50, -37, -36, 40, -29, -44, -51, -14, 53, -24, 27, -29, 31, -41, 3, -31, 49, 32, -66, -26, -1, 41, -31, 48, -5, 45, -51, -30, -46, 26, 16, -33, 35, -8, 11, 40, 12, 45, -19, -34, 62, 4, 27, 38, -74, 14, 40, 33, -26, 14, 50, -80, -11, 53, -78, -37, 28, 24, -17, 40, -7, 11, -37, 36, 32, -16, 15, 8, -40, 18, -41, 21, -43, 27, -29, -19, -27, 57, 20, -12, 23, 20, -50, -1, 8, 38, -27, -6, 45, -24, -69, -58, 7, -6, -10, 43, -72, 22, -33, -12, 63, 37, 41, 32, 21, -41, -12, 2, 31, 14, 80, 14, 48, -37, -28, -64, 51, 36, -19, -9, 13, 11, 50, -37, -16, 51, 39, -18, 39, 49, -48, -30, -13, -32, -36, 28, 63, 61, 11, 5, 17, -1, 25, -62, -46, 54, 20, 41, 6, 56, -25, -63, 37, 7, 51, -54, -45, 11, -32, 55, -17, 47, 11, 36, -1, 1, 24, 57, -34, 71, -39, 48, 47, 23, -55, -64, -29, -28, -39, 20, 5, 60, 46, -24, 12, -44, -52, 39, 15, -32, 64, 15, 63, -32, 56, -1, 27, -15, 9, 29, 40, -49, -58, 25, -40, -48, 20, -58, -7, 22, -18, 33, 61, -51, 20, 52, 61, -4, 40, -4, 12, 64, 3, -41, -38, 4, -15, 18, -46, 25, -36, 43, 40, -23, 32, 3, -39, -49, 48, 23, -47, 1, 53, -25, 12, 8, 1, -18, 21, -50, 56, -33, 7, 36, -41, 37, 18, 2, 56, 37, -25, -48, -1, 8, -43, -2, -53, -44, -36, 21, -47, -64, -18, -56, -36, -31, -71, 56, 61, -4, 43, -9, 14, -11, 34, -60, -52, 54, 46, -9, -12, 30, 55, -27, 33, 29, 60, -31, 14, 10, -25, -2, 44, -5, -29, 61, 33, 29, -49, -19, -57, -28, -62, -24, -33, -39, -3, 54, 30, 74, -33, -59, 34, -7, -20, 28, 32, 42, 58, -29, -35, 56, -23, 49, 50, -1, -45, 37, 20, 4, -5, -19, -3, -51, -37, -76, -50, -34, 30, 9, 50, 10, 51, -3, 92, -34, 22, -18, 48, 22, -49, 15, -9, 50, -9, 3, -30, 38, 18, 81, 23, 14, 5, 107, -70, 50, 57, -12, 38, 17, 3, 47, -33, -57, -15, 32, 37, 45, 43, 63, 1, 9, 9, 7, -82, -75, 33, -45, 12, 42, -3, 35, 15, -33, -8, -20, 61, -31, -75, 56, 32, 6, -57, -57, -1, -9, -57, 54, 49, 13, 45, -18, 37, -11, 58, -10, 62, 21, 23, 41, -31, 82, 15, -43, 17, 18, 37, 43, -11, -5, -48, 43, -18, 8, -34, -61, 33, 33, 21, -10, -29, 50, -11, -40, 40, 17, -10, 28, 29, 30, -54, 33, -45, 29, -2, 22, 39, -54, -14, -33, -47, 1, 61, -44, 21, -35, -69, -52, -42, -52, -23, 5, -58, 24, 27, 9, 47, 0, -45, 1, 41, -28, 17, 28, -48, -58, 47, -27, 52, 30, -10, 25, 65, -35, -14, 47, 57, 2, -16, 7, 52, 11, -36, -26, -16, -8, -17, -34, -43, -14, 7, 64, 36, 41, -39, -20, -45, 44, -44, 57, 47, 50, -7, 36, 50, -17, -43, 59, 48, -19, 4, 3, -22, 1, -43, -9, -56, 34, 50, 4, 24, -37, -16, 39, -44, 32, -29, 35, 12, 20, -16, 22, 0, -26, 26, -34, 64, -53, -51, -10, -2, 29, 25, 47, 56, -53, -47, 42, -1, 44, 1, 12, 6, 57, -39, 12, -11, -12, -62, 34, 70, -36, 12, 28, -21, -39, -1, 51, -15, 2, 61, -3, 44, 33, 44, -40, -30, -32, 50, -7, -5, -26, -61, 54, -66, 22, 42, 21, -46, -48, -34, 42, -59, -61, -31, 47, -34, -22, 23, -46, 0, 38, -42, 43, 3, -33, -40, -51, -45, 51, -36, 16, -27, -33, -15, 59, 33, 44, 30, 8, -54, 31, 1, -35, 29, -50, 41, 46, 45, -42, 13, 28, 39, -6, 44, -36, 33, 15, 9, 62, 4, -37, 33, 7, 20, -15, 53, -12, -57, 42, 28, -49, 25, -15, -53, -66, -21, 51, -34, -63, -59, 4, 13, -65, 62, 19, 13, 55, -22, 20, 18, 2, -3, -18, 26, -20, 54, -54, 30, -26, 35, 58, -3, -8, -29, 30, 59, -16, -65, 37, -44, 55, -41, 2, 42, -47, 51, -20, -29, -26, 39, -17, -17, 21, -28, -16, 3, -23, 50, 48, -17, -35, 43, 54, -11, 19, -3, 59, -11, -10, 26, -6, 30, 21, 58, -48, -47, -50, -26, 18, 43, -53, 13, 66, 42, 46, 42, 41, -34, -36, -2, -43, -32, 51, -43, -5, 18, 2, -14, -40, 36, 32, -30, 8, -57, -13, 45, -46, -19, 59, 1, -46, 43, 35, -51, 53, 64, 58, -17, -41, 55, 56, 28, 22, -26, -26, -39, -16, -33, -25, 42, -5, 11, 49, 40, 12, -25, 54, -13, -20, -6, -1, 38, 31, 20, 46, 47, 40, -73, -38, 0, -34, -26, 26, -80, 42, -22, -6, -7, 77, -2, -48, 12, 42, 11, -2, -32, -43, 2, -8, 8, 26, 6, -52, -21, -44, 40, 13, -11, 51, -39, -18, -42, 55, -40, 54, 25, 40, -21, 37, -72, 30, 31, 44, -62, 56, -14, -45, -31, -37, 49, -59, 6, -55, -14, -31, -3, 39, -4, -61, -34, 6, -59, 30, 1, 21, -36, -10, -24, -6, -23, 17, 45, 16, -58, -57, 9, -28, 11, 8, -32, 11, -21, 2, -66, -19, 3, -55, -39, 54, -18, -4, 15, 8, -42, 5, 47, -29, -27, -36, 53, -36, 35, -9, -59, -45, -51, -5, -24, -34, -10, -15, -30, -35, 12, -23, -50, -46, -44, -40, 25, 0, 36, -50, -50, -44, 55, 61, -2, -48, 25, -45, 25, 26, 51, -52, 1, -9, -56, -10, -3, -70, -3, 30, 29, -54, -6, 53, 4, 57, 54, 23, 7, -20, -42, 40, 0, 37, -23, 15, 44, 54, 29, 40, -60, -10, -57, 15, -21, -28, -39, 22, 21, -62, 62, -19, -44, -46, -13, -28, -2, -17, -25, 5, 21, -42, -53, 18, 33, 56, -60, -60, -51, 52, 7, -3, -31, 2, -40, -45, -24, 25, 13, 59, -37, 2, 16, 45, 48, 57, -48, 10, -51, 55, 29, -62, 41, 38, -37, 53, -56, 58, 53, -12, 48, 11, 48, -53, -30, -46, 39, -46, 6, -16, -48, 41, 58, 40, 61, -59, -12, 63, -4, 15, 25, -50, -37, -20, -25, 47, 31, -33, 24, 42, -37, 1, -58, 5, -27, 42, 42, -43, -38, 8, -36, 41, 8, 1, 32, -38, 53, -36, 30, 22, 2, 16, -27, -50, -58, -62, -60, 6, -8, 37, -55, -16, 40, -62, -17, -40, -33, -60, -35, 20, 14, 14, 55, -40, 20, 29, 24, 22, 45, 41, 15, -32, -37, -59, 12, 9, -46, 3, 57, 54, 62, -2, -19, -14, -48, -63, -35, -62, -59, 40, -39, -35, 32, 10, 8, 56, 55, 6, 16, -53, -38, -11, -53, 26, 49, 17, -26, -7, 8, -15, -26, -54, 57, 50, -11, 5, -62, -4, -48, 63, 3, -52, -20, -20, -10, 28, 56, -64, -35, -59, 62, -52, -16, 53, -66, 29, -40, 4, -28, -37, 2, 12, -20, -49, 26, 20, 1, 34, 18, 17, 9, 24, -63, 39, 59, 48, -39, 54, -61, -30, 47, -63, -19, 19, -34, -8, -36, 6, -5, -18, -7, 50, 25, -32, -8, -25, 65, -16, -57, 0, 25, 16, 23, 3, 21, 23, -24, -64, -13, -61, 36, -9, 13, 12, 58, 43, -6, -3, -8, -14, 29, 51, -52, 14, -53, 40, 17, 34, -36, 35, 25, 36, 18, -22, -26, 45, 60, -57, -32, -54, -57, 26, -39, -20, -39, -64, -51, -17, 31, -60, 1, -3, -29, -14, -35, -1, -15, -2, -44, 28, 19, 10, 59, 15, -27, 28, -57, 5, 3, -5, 29, -14, -45, -22, 36, -56, -31, -17, 40, -23, 44, -22, -4, 45, 22, -17, 24, -52, 28, 41, 22, 15, 36, 51, 8, 7, 27, -14, 42, -45, -56, -7, -32, -10, -45, 53, -17, 52, 9, 4, 8, -31, -9, -26, -64, -51, -46, -26, 48, -48, -41, -43, -48, -47, -32, 44, -12, 50, -55, 34, 1, -49, 46, -16, -64, -29, -9, 6, 34, -36, -56, -42, 16, 16, -41, 3, -54, 38, 36, -26, 2, 5, 4, -58, 48, -61, -3, -30, -18, 34, -55, 34, 65, 20, -36, 36, -32, -67, -60, -48, 58, 33, 23, 6, -56, 56, -45, -32, -62, -57, -61, -10, 60, -41, 15, 2, -28, -22, 39, -25, -23, 35, -55, -37, -61, -20, 15, -8, 37, 24, -49, -47, -40, 11, 13, 51, -12, 32, 60, -20, 19, -45, 54, -2, 12, -41, 5, -51, 11, 52, -33, 57, -49, 7, -25, 16, -57, -25, -49, 40, -6, -27, -58, -2, -55, -2, -35, 48, 25, 47, -8, 55, 23, 9, -27, 22, 46, 47, -17, -3, 17, -9, 24, 61, -61, -50, -67, 57, 27, 16, -6, 26, 58, -25, 3, -31, -15, -66, -63, 58, -4, 41, -41, 20, 47, -71, 68, 9, -68, 40, -24, -51, 17, -63, 3, 55, -8, -57, 47, -25, 45, 18, 57, 1, -51, 29, 0, 51, 59, -55, 44, -34, 2, 63, -47, 31, -29, -30, -6, 44, 19, 6, 66, -44, -23, 9, 24, 20, 37, -58, -7, 16, -9, -55, -14, -14, -24, -55, 9, -48, 51, -28, -39, -20, -8, -9, 13, 54, 17, -56, -26, -63, -26, -34, 40, 14, -19, -1, 46, 36, -30, 28, -16, -7, -29, -13, -42, -69, -2, -50, -16, 43, -13, -44, -37, 58, 33, -62, -44, -25, 48, -55, 33, 28, -51, 40, -11, 56, -59, -18, 8, -36, -44, -35, 0, -6, -55, 36, 50, 49, 55, 45, -66, 20, 23, -5, 59, -55, -18, -54, 34, -48, -7, 9, -46, -44, 5, -13, -40, -57, 38, -22, -26, 12, -36, 60, 49, 2, -39, 46, 10, 26, -6, -22, 37, 3, 15, 2, -50, 18, 25, 37, -18, 50, -48, 30, -15, 6, -51, -32, 16, 0, -30, 52, 6, -40, -17, -40, -23, 7, 23, -20, -19, 23, 32, 10, 15, 19, -16, 51, -44, 62, 52, -60, 55, -32, 55, -37, 6, -5, -17, -47, -50, 58, 82, -8, -26, 49, -43, 49, 31, 2, -9, 20, -55, -28, 1, -10, -6, -25, -47, -53, 28, -3, 25, -16, 33, 17, -17, 52, 21, -22, -51, 16, -30, -11, -53, 47, 50, -5, -28, 41, 4, 40, 42, 19, 0, 12, -44, 26, 22, -10, -31, 37, 50, -59, 7, 23, 25, 47, 47, -7, -22, -41, 45, -25, 42, -24, 6, 19, 21, 2, -5, -28, -29, -23, -50, 55, 5, 27, 1, 46, 6, 23, -62, 57, -24, 22, 45, -9, 1, -54, 34, 61, -10, 15, 53, -61, -53, -34, -11, -24, 20, 44, -55, -52, 52, -58, -45, 43, 13, 56, -39, -60, -26, -36, 36, 5, -10, -9, 3, 80, -24, -36, 13, -14, -7, -24, -32, 45, 7, 12, 42, 32, 59, -50, 8, -64, -26, 45, -12, 38, -44, 36, 1, -20, -42, 60, -22, 7, 22, 49, -10, -18, 33, 6, -33, -56, -47, -48, -44, -2, 0, -9, -64, -46, -10, 8, -4, 59, -49, -4, 62, 46, 1, -12, -21, -56, -44, -30, -15, -64, -12, 62, -25, -42, 49, 54, -4, 4, -51, 33, 9, -58, 23, -21, 36, 21, 35, 51, -63, 1, 49, -32, 44, 44, -29, 19, 51, -38, 49, 33, 0, -37, -47, 58, 15, -1, -25, -17, -23, -60, -16, 20, -7, 18, 28, 31, 41, 8, 4, 63, -25, -27, -57, 23, 10, -9, 27, -12, 42, -19, 42, 43, 25, -9, 28, 46, 8, -21, -37, 13, 9, -26, 52, 51, -61, -3, 47, -77, -46, 5, 15, 45, 30, 64, -51, -36, 22, -7, -4, 68, -46, 0, 44, 15, -46, -42, -17, -61, -33, -51, -14, -56, 41, -24, -19, -34, -5, 13, 40, -2, -32, -43, -36, -50, 49, -28, 11, -61, -9, 42, 28, -28, 77, 24, 64, -4, -40, 15, 23, -31, 9, -44, 42, 23, 11, -58, -38, 51, -34, -55, 27, 49, -58, -43, -2, -35, -31, -14, -3, -23, -2, 61, 17, 37, 28, 29, 22, -8, 4, 7, -10, -53, -29, 30, -6, -34, 44, -19, -26, -9, 42, -21, 24, 24, 0, -15, 3, -54, -19, -25, 4, -36, -39, 7, 24, -18, -54, 30, 29, 43, 9, 57, 25, 30, -32, 59, 40, -40, -62, -37, 22, -47, -11, 1, 13, -4, 32, 52, -56, 15, 39, -60, -37, -1, -55, 24, 16, -39, 25, 46, -22, -1, -3, -60, -64, -8, -20, -57, -29, 53, -52, -8, 18, -50, 31, -10, -1, -37, -45, -52, -42, 18, 0, -41, -23, 12, 45, 19, -9, -19, -10, -65, -33, -14, 20, -1, -36, 59, -42, 51, 37, 49, -17, 45, 52, -24, -39, -50, -32, -15, -35, -25, 15, 15, -9, 79, -7, 50, -63, 1, -21, -5, 65, 63, -20, -1, -28, -39, -63, 0, -39, 27, -21, 2, 7, 48, 12, -27, 0, 35, -30, -42, 1, 38, 13, -42, -19, -19, 43, -22, -45, 0, -52, 3, 31, 55, -37, 33, 67, -18, -50, -58, 19, -73, 27, -33, -43, 17, 30, -25, 3, -14, -59, -53, -25, -46, -44, -27, -36, -16, -45, -50, 2, -11, -5, -53, 54, 14, -21, -26, 63, 59, 40, -56, -56, 21, -29, -24, -20, 53, 10, 20, 57, 21, -48, -8, 58, 11, -46, -8, 33, -43, 15, 57, 38, 20, -52, 7, -31, -58, 36, -2, 24, 8, 33, 11, -20, 4, -48, 20, 48, -13, -76, 44, 55, -53, -46, 57, -7, 5, -63, -57, -9, -7, 35, -7, -48, -60, -37, 51, -35, -75, -46, 19, 61, 5, -53, -18, 6, -32, -37, -59, -15, -52, -28, -5, 2, 9, 3, -11, 48, -63, 49, -71, 5, 6, -22, -21, 49, -55, -14, 5, -42, 30, -10, 10, -46, -18, -3, 19, -56, -16, -47, -10, -60, -41, -68, -23, 16, -58, 14, 19, -50, -12, -47, 38, -24, -47, 51, 34, -26, -34, 47, -44, 33, -54, 33, -10, 38, 14, -29, 43, 30, 30, 51, 2, 9, 37, 17, 6, 5, 46, -35, -57, -35, -57, -62, -39, -3, 9, 57, 11, 26, -35, -69, -11, -31, -84, 29, -53, -47, -33, 1, 30, 59, 38, 61, -2, 49, -2, -22, 26, -43, 7, -59, 29, -28, -23, 22, 26, 17, -47, -62, 8, -46, -7, 16, 43, -39, 14, -39, 25, -18, -55, 17, -23, -8, 19, 61, -12, 51, -10, -62, -20, 61, 61, -42, -5, -56, 1, 14, 57, -6, -34, 12, 30, -28, 9, 36, 55, -11, -26, -39, 40, -9, 11, -83, 43, 40, -72, -20, -50, 6, -9, 11, 62, 6, 26, -42, -59, 26, 18, 54, -42, 39, 41, 4, -55, -27, 29, -18, 27, -7, 22, 19, 27, -21, 8, 11, -16, -8, -2, -49, -24, 28, -21, 37, -7, -67, -9, 17, -8, 34, -40, -13, 17, -26, 13, 26, -58, -30, -6, 4, -26, 26, 35, 63, -41, -2, -31, 38, -35, 49, -57, -10, 30, 6, -52, 29, -59, 35, 59, -44, -48, 19, -50, 18, -23, -49, 16, -47, -61, -25, 1, 23, -20, 9, -41, 18, -55, -54, -38, 23, 10, -1, 25, -20, -22, -37, 42, -10, 22, -61, 44, -38, 2, -44, -30, -3, 62, 61, 24, -48, -4, 55, -25, -64, -54, -43, 6, 35, 7, 5, 22, 34, -52, -13, 48, -30, 18, 17, 24, -20, 26, -46, -47, -49, 23, -32, -33, -44, -38, -22, 59, -3, -44, -45, 11, 46, -64, -56, -11, -36, -12, -30, 7, -63, 43, 55, 8, -41, 42, 35, 10, 21, -15, 30, -8, 32, 27, 37, 29, -44, -42, 7, 2, 46, -16, 71, 0, -57, 22, 20, 52, -6, -31, 43, -60, -22, -18, -15, 22, -12, 27, 2, 12, 55, 31, -13, -16, 15, 33, 19, -34, -25, -12, -37, 6, -14, -41, 49, -21, 27, -33, 40, -26, -33, -66, 31, 36, -21, 58, 7, -43, 65, 50, 37, -33, -44, 16, -26, -15, -20, 54, -27, 12, 64, 13, 41, 53, 56, -40, 31, -51, 34, 58, 28, 28, 63, 54, 58, -32, -2, 44, -14, 43, -33, 46, 30, 41, 21, 47, 24, 4, -50, 36, -10, -61, -43, 7, -1, -46, 29, -19, -33, 18, -68, 7, -21, -56, 68, 34, -54, 16, -28, 26, 36, 49, -10, -48, -46, -35, 34, -24, 63, -59, 63, 13, 55, -27, 56, -20, 28, -12, -44, -21, -38, 0, 68, 56, 54, 23, 18, 23, -4, 18, 60, 64, -47, 27, 27, -22, -57, 7, 52, -36, -39, 12, -50, 31, -45, 6, -54, 2, -45, -27, -29, -25, 30, -28, -47, 2, 8, 28, -53, -1, 22, 0, -28, 59, 36, 44, -46, -3, 31, 23, -22, -10, 46, 76, -46, -43, 25, -12, -54, 14, 1, 55, 53, -30, 6, -10, -21, 24, 35, -22, 39, -45, 41, -29, 7, -41, 57, -13, -13, -47, -13, 10, -61, 17, -26, 16, 5, -52, 57, -49, 39, -44, -13, 54, 58, -53, 10, 11, -27, 49, -3, -46, -54, -48, 30, 52, 40, -55, -25, -26, 60, -10, -18, 18, 41, 53, -33, -23, 61, -12, -39, -36, -36, -48, -56, 34, 40, -41, 9, -43, 3, 21, 31, -4, -17, 42, 35, 45, 59, 57, 24, 48, -49, 32, 42, -35, 21, -58, 44, -15, 41, -26, 64, 22, 63, -22, -34, 59, -37, 21, -15, -40, 43, -27, 31, 15, 39, 1, -24, -32, 57, 41, -24, 30, -13, 1, 0, -32, 19, -1, -20, -41, -2, 26, 29, 57, -52, 42, 62, 54, -54, 35, -16, 59, 55, 11, -51, 3, 46, -51, 3, -31, 29, -27, 55, -15, -38, 23, -53, -37, 34, 26, 51, 17, -57, -12, -59, -50, 2, 41, 13, -27, -24, 48, -39, 21, -58, 54, -17, 51, 15, 14, -55, -50, 4, 13, -55, -70, 18, 39, 38, -7, -64, -10, -61, 43, -46, -5, -68, 40, -28, 28, -37, 21, 29, 51, 30, -49, 31, 4, 61, 30, -8, 30, -12, 58, 33, 32, 16, -67, 6, 18, 18, 44, -9, -29, -17, 2, 59, -3, 1, 39, 40, 49, -9, -49, -50, 27, -37, -35, 25, 5, 26, 34, -37, -25, -9, 10, -37, -10, -57, -20, 27, 53, 16, -37, 33, 36, -34, -24, 25, -55, 38, -14, 35, 3, 55, -50, 33, -56, 9, -24, -9, -58, 10, -24, 2, -6, 34, 32, -25, -37, -63, 50, 59, -21, 49, -49, 32, -60, -12, 47, -55, 24, 57, 61, 10, -32, 51, 18, -16, 16, -32, -61, 26, -13, -57, -69, -36, 12, -76, -42, -10, -76, -6, 36, 29, -39, -15, -38, -48, -4, -8, -3, -8, -35, -24, -38, -60, 22, -18, -63, 14, -51, -22, 24, 10, 0, -38, -58, -29, 6, 57, -36, 45, 43, -25, -60, 34, 48, -41, -41, 9, -9, 6, 27, -26, -32, -37, 19, 34, -25, -60, -39, 15, -38, 22, 39, 44, -5, 68, -60, 6, 59, -38, 46, -58, 51, -58, -33, -40, 12, -5, -57, 23, -12, 32, -22, -4, 4, -1, -63, 36, 4, 49, 30, 42, 43, 36, 46, -42, -9, 15, 12, -43, -54, 48, 46, -71, -57, 35, 5, 40, -23, -23, -22, 46, 16, 33, -54, -60, -35, 50, 15, 30, 55, 6, 49, 44, 17, -55, 40, -29, 10, -32, 2, -62, -57, 5, -54, -29, -13, 53, 45, 10, 27, -49, -54, -69, -46, 52, -29, 12, 57, -47, -2, 24, -26, -46, 2, -2, -20, -33, 17, -16, -44, 41, -20, 48, -11, -56, -16, -9, 50, -40, -41, -64, -26, -64, -59, 53, 8, 1, 8, -53, 35, -7, 9, -34, 16, 33, 19, -4, 0, -46, -30, 8, 52, 6, -42, 52, -23, 2, -7, 10, -13, 0, 23, 16, 43, -26, 25, -1, 34, 10, -32, 30, 29, -46, 16, -50, -9, -15, 40, -26, 1, 7, -26, -38, 25, -12, -62, 28, 50, -40, -52, -20, -21, 28, 11, -48, -49, -7, -40, -46, 22, 11, -18, 16, -13, 14, -30, -13, 5, 26, -16, 15, 50, -28, 50, -16, 18, 24, -48, 62, -52, -53, 58, 51, -23, -43, -32, 13, -7, 23, -30, 14, 9, 7, -19, 0, 34, 60, -44, -58, 24, -4, -10, -29, -26, 24, -40, 49, 46, 33, -27, -36, 12, -39, -25, -50, 42, -52, 33, 28, -15, -56, 42, 62, 10, -24, 0, 61, -10, 52, -31, -60, -61, -62, -57, -34, 61, 28, -31, -50, 10, -9, 17, -32, 18, -13, -23, -38, -11, 42, 40, 52, 41, 4, -44, -40, -27, -57, -35, -14, -20, 54, 0, 54, -32, 14, -43, 41, -35, -5, -66, -16, 18, -8, 12, -53, -9, -31, -27, -38, -64, -24, 60, -31, 40, -38, 25, -10, -16, 51, 26, -2, 47, 8, 56, -54, 56, 11, 24, -42, 61, -30, 56, -60, 34, 7, -45, -59, -48, 50, 4, 30, -35, 59, 19, -28, 12, 18, 53, -12, -60, 42, -33, -34, -31, 1, -62, -8, -16, -8, -12, -12, -34, 48, 24, 28, -56, 46, 19, -61, 59, -4, 39, -16, 0, 13, -10, -57, -63, -1, 4, -37, -10, -18, 19, 44, -57, -39, 42, -57, 38, 56, -8, -49, 41, -8, -2, 6, 54, 27, 56, -60, -30, -22, 32, -1, 36, 1, 37, -5, 20, 55, -47, -53, 38, 4, -16, -4, 58, 10, -3, -25, 34, 38, 40, 32, 10, 59, -44, 39, -39, 40, 53, 57, 14, 49, -14, -44, 9, -54, -37, 36, -15, -33, -14, -39, -45, 59, 48, -31, -12, 61, -17, 55, -63, 38, -57, 38, 29, 33, -49, 16, -37, 30, -46, 11, 22, 31, -27, 23, -61, -40, 23, -58, 55, 36, 4, -16, 12, 56, -23, -58, 36, -38, 1, 44, 45, -52, -8, -14, -5, 6, -55, 26, 65, -34, 9, 49, -9, 27, -51, 45, 58, 3, -26, -34, 17, 7, -51, 3, 1, 15, 38, 35, -7, -30, 36, -27, -6, -17, 60, 28, 19, -24, -48, 25, 11, -38, 54, 16, 40, -10, 28, -49, 3, -1, -58, 58, 22, -10, -3, 20, 16, -20, 24, -64, 13, 13, -46, 21, -19, -50, 38, -36, 7, 18, -11, -9, -40, 9, -3, 35, 59, -41, 12, -5, -29, -63, -40, 17, -56, -34, -47, 39, 1, 59, 43, -47, 31, 51, -29, 7, -8, -23, 21, 59, 27, -24, -27, 30, 55, -53, 26, -21, -43, 51, -32, 60, -16, -50, 53, 10, 48, 2, 7, 38, -54, -30, 35, -45, -54, -2, 1, 57, 34, 21, 28, -27, -23, -60, -50, 30, 21, -51, 26, 6, -58, 66, -60, 46, 25, -27, -13, 47, 33, 14, -47, 59, -22, 56, 8, 42, 41, 5, 3, 24, 28, 57, -5, 2, 25, 4, 20, 2, 16, -32, -27, -32, -30, -26, -44, -60, -49, -25, -47, 40, 37, -49, 35, -39, 51, -32, -14, 55, 50, -12, 30, -6, -3, 53, 52, 4, -13, -34, -23, -54, 24, 37, -57, -58, 23, -23, 14, 21, -41, 24, 12, -61, 0, -61, 4, 45, -16, 50, -67, 53, -16, 17, -47, -45, -38, 11, -6, 38, -15, 37, -9, 28, -6, 38, 37, 54, 35, 34, 12, 39, -58, 23, -48, 27, 3, 36, -10, 45, 10, 20, 13, 32, 46, -53, -63, -55, -6, 54, 30, 48, -63, 20, -20, -69, 48, -6, 38, -49, 25, 54, -41, -17, 41, -54, -19, 17, -61, -15, 25, 20, 1, 53, 51, 44, 54, 26, -36, -49, 28, -12, 45, 10, -11, -16, -13, 36, -12, -59, -38, -26, 2, 46, -16, 15, -15, 2, -43, 52, -56, 46, 12, -42, -4, -18, -37, 21, -39, -49, 52, -11, -5, 5, -23, 42, -20, -26, 18, 61, -11, -56, 53, 58, -53, -34, 32, -52, -11, 18, -57, 46, -48, -8, 44, 51, 3, 33, -1, 14, 25, 29, -50, 57, 20, -56, -12, 52, -26, 31, 46, -40, 17, -21, 12, -34, 63, -10, 0, -23, 2, 44, 33, 63, -37, 1, -34, -17, 30, 39, -5, -50, -7, -30, -30, 15, 65, 32, 31, 10, -24, -46, -2, 40, -39, -32, -28, 19, -28, -16, -43, -18, -22, -7, -48, -40, 51, 35, -4, -50, -25, -17, 32, 37, -25, 14, -19, -35, -4, 48, 3, 64, 38, -29, -41, -43, 14, -9, 21, -52, -5, 7, -49, 25, 54, -53, -14, 18, 42, 30, 32, -21, 46, 0, -12, -31, 34, -5, -40, -34, 53, 19, 23, 1, 48, 10, -61, -7, 55, -35, -3, 54, 41, -45, -48, 25, 49, -51, -49, -25, -13, 17, -86, 32, -9, 60, -7, 27, -53, -39, 68, 18, -24, 22, -63, 53, 60, -41, -22, 50, 33, 21, 27, -66, -41, -27, 39, -15, 2, -60, 15, 23, 14, 26, -17, -43, 2, 17, -10, 38, -49, -48, 8, 49, 13, 52, 18, -27, -54, -37, -34, -5, 16, -29, 18, 36, 57, -2, -58, -53, -8, -17, 63, -31, 10, 11, -34, 34, -35, -27, 57, -5, 17, 15, 65, 60, 21, 23, 12, 13, -20, 54, -59, -24, -7, 9, -37, 28, -59, -50, -15, 38, 17, -62, 4, 38, 46, -24, -55, -15, 30, 12, -10, 48, 40, 28, -36, 32, 73, 36, 5, -45, 4, 21, 29, -13, -19, -53, -44, 31, 24, 46, -14, 62, 33, -30, -7, -56, 57, 58, 37, -10, 21, 53, 3, -5, -26, 21, 39, -15, 39, 3, 0, -47, -40, -63, -68, 43, -50, -40, 12, 29, 42, 31, -7, -53, 46, 2, 35, 65, 1, -52, 32, 18, -39, 17, -65, -18, -36, -15, -4, 19, -46, 35, -29, 58, 46, -22, 37, -37, -7, -41, -54, 37, -5, 50, -6, 19, 11, -42, 5, 26, 39, 3, -35, -39, -12, 28, -22, 63, 1, -14, -8, -51, 53, -55, -51, 22, 51, -66, -24, 0, -59, -11, -48, -13, 45, -25, 1, 2, 0, -44, -39, -55, -40, -35, -20, -14, 57, 48, 60, 14, -29, 34, -23, -64, 13, 31, -63, -3, -17, -16, -46, -47, -2, 26, -29, -55, 44, 1, -18, -58, 58, 26, -68, 4, -53, -63, 65, 19, 36, 70, -37, 37, -22, -50, 26, -62, -27, -34, 5, 14, -2, -25, -40, 30, 64, -8, -28, 4, 55, -45, -21, 41, 56, -73, 23, -73, 28, -13, 25, 10, 63, -18, 50, 40, 16, 43, -11, -4, 53, 55, 47, -32, -9, 49, 29, 61, -50, 23, -67, 44, -32, -38, -15, 12, -58, -67, -8, -20, 11, 47, -39, -62, -8, -12, 37, -15, 28, -46, 45, 35, 24, 11, 20, -32, -8, -22, -8, -69, -29, 54, -17, -17, -49, 8, -28, -37, -34, -45, -49, -30, 49, 54, -4, 37, 53, -32, 65, -9, -14, -44, 60, 51, 47, -51, -62, 4, 39, 31, -45, -41, 1, -20, -52, -45, -21, 8, 18, 42, -5, 52, 18, -34, -12, 44, 34, -20, 27, -40, 46, -14, -30, 21, 61, -26, 6, -3, -14, -21, -7, -50, -20, 44, 36, -12, 61, -35, -53, -39, 54, 26, -18, 18, 59, -20, 36, -4, 1, -40, 30, 18, -52, 39, -17, -61, 8, -16, 58, 26, 40, -5, -33, -6, 55, 11, -48, 63, -33, 44, 39, -59, 45, -15, -9, 13, 36, 38, -61, -34, 60, 3, -53, -44, 36, -24, 45, -20, 60, 0, 10, 13, -40, 5, -57, 23, -44, 34, -13, 75, -40, 57, -55, -5, -14, -4, -12, -1, -60, -4, -18, 35, -31, 6, -46, 14, -40, 26, 30, 32, 44, -31, -18, -59, -53, -30, -7, 34, -30, -34, -5, 33, -7, -27, 7, -28, 21, 59, -65, 41, 36, 29, -8, 62, -50, 50, -44, 38, 10, -23, 0, 12, 64, -37, -54, 66, -33, 13, 6, 13, 22, 37, -31, 26, 14, 46, 33, 45, 50, 36, -31, 44, 22, -51, 5, 17, -49, -59, 51, -5, -24, -15, 32, 43, 45, -40, -28, -64, -31, 16, -27, -16, -31, 40, -6, -41, 40, 4, -24, -44, 55, -4, 44, 27, -37, -72, -54, -29, 29, -36, -45, 53, -68, 18, -34, -13, 56, -9, 59, 34, 0, -41, -9, -22, 8, -12, 34, 14, -53, 54, 16, -38, 54, -22, -32, 38, 25, -9, 25, 20, 20, -50, -13, -58, -34, -45, -11, 40, 24, -12, 54, -58, 40, -2, -2, 39, -50, 52, -52, -51, -31, -25, 50, 58, -1, -73, 24, -48, -33, 43, -57, 28, -24, 26, 50, 21, 6, -8, -25, -34, 25, -57, 20, -20, -20, 7, 17, 48, -44, 22, 4, 3, 16, 62, 1, -36, -37, 75, 20, -21, 35, 14, -54, -53, 44, -12, 28, 40, 21, 20, -50, 31, -58, 12, 31, 60, 29, 9, 45, -4, -54, -26, 59, -16, -57, 55, 24, 39, -2, 32, 3, 2, 26, 5, 64, -13, -7, 21, -43, -16, 38, -26, -40, -30, 63, 50, 5, 33, 52, -28, -9, -31, -70, 48, -43, 30, 0, -17, 22, -44, -22, -23, -19, 3, -10, -5, 35, -44, -12, 50, 66, -11, -61, -25, -15, -12, 30, 7, -12, 8, 59, -65, -21, 35, -19, -52, -22, 2, -29, 12, -46, 64, -48, 55, -10, 6, -60, 24, -29, 8, -66, -51, -54, 47, 37, 50, -13, 54, 39, -55, -67, -16, -23, 31, -44, 28, 41, -22, -25, -36, 36, 47, -32, 20, 48, 54, -50, -23, 64, 12, -6, 11, -4, -49, 47, 42, -49, 55, -3, -21, -13, 32, 46, 21, -61, 29, -17, -28, -16, 30, 10, 16, 38, 46, -29, -38, 58, 13, -43, -14, -63, -43, -1, 54, 53, -10, -35, 35, -44, -36, 18, -56, -20, -27, -62, -38, -29, -37, -15, 34, 10, 28, -19, 44, -23, 11, 46, -18, -59, -52, 28, 43, -26, 30, 53, -14, -50, 55, 32, -52, -25, 12, 38, -1, 32, 38, -8, -42, -56, -19, 26, -20, 50, 43, 27, 31, -36, 64, -14, -51, -12, 35, 58, 34, -49, -35, 33, -28, -3, -5, -11, 46, 2, 24, -29, 47, 8, -13, -9, 8, 53, 61, -56, -33, -50, -42, -14, 18, 11, 27, -24, -2, 61, -42, -38, 61, -54, 52, 57, 4, -35, -50, -62, -63, 19, 17, -39, 38, 16, 11, -40, -26, -31, -49, 18, 55, 21, -35, 13, 10, -47, -63, 43, -10, -64, -35, -12, -20, -36, -3, -7, 46, -30, -28, -2, -52, 17, 43, 47, -23, 33, -26, 7, -42, 5, -15, -30, -61, 47, 21, 53, 28, 58, -1, 17, -51, 35, 43, 6, -9, 1, 18, 54, 37, -33, -66, -7, 49, -20, -17, 43, 3, -15, -41, 2, -41, 64, 56, -31, 52, 70, -15, 32, -65, -14, -61, 4, -65, -59, -38, -14, 66, -54, -12, -57, 47, -58, 51, -59, -71, -16, -36, -13, -37, -52, 35, 3, -9, -7, -71, -19, -29, 2, 20, 15, -56, 7, -21, -15, -61, -9, 46, -53, 56, -9, -50, -59, 61, -19, 52, 3, -48, 9, 21, -68, 61, -68, -1, -18, -36, -40, -43, -21, 27, -4, 40, 35, -61, -40, 21, 36, -46, -47, 18, -60, 63, 5, 49, 51, -21, -52, 0, 42, -38, 28, 37, -57, 43, 5, -15, -57, 40, -1, 26, 12, -34, 28, -10, 25, 36, -28, -29, 45, -2, 18, 33, 14, -57, 15, 41, -32, 15, 41, 64, 33, 38, -13, -54, -25, -2, 15, -18, 19, 28, -47, -21, -58, 49, -12, -16, -15, 59, 58, 43, 67, -2, -53, 35, -37, -49, 18, 48, -3, 9, -24, -53, -47, 15, -1, -43, 32, -28, 44, -67, -19, -25, -50, -26, -62, -34, 28, 36, 64, 23, 8, -11, -54, -51, 32, -18, -47, -8, -37, -61, -23, -36, -52, 37, 22, 51, 5, 10, -27, -53, 37, -6, -34, -14, -35, 43, 33, 3, 17, 36, 55, -20, 9, 41, -38, -36, -41, 53, 46, -1, -26, -50, 57, 59, -48, 1, 46, 71, 27, 65, 13, -15, -15, 45, -4, 79, -70, 20, -22, 34, -48, 28, -30, -34, 64, -59, 51, -19, 35, -53, -20, -64, 16, -8, 33, -20, -23, 25, -44, 21, 8, -26, -61, 39, 66, 12, -65, -34, 3, 26, 31, -83, -35, 31, -18, -4, 57, -52, -53, 51, -37, 53, 59, 49, 27, -7, -53, -63, 59, 77, -32, -6, -4, 35, 11, 2, 62, 14, 9, 90, 64, 54, -10, 48, -46, -8, -27, -13, -38, -49, -52, -43, 4, 1, 53, 33, 56, 22, 16, -52, -15, -25, -63, 35, 54, 53, -33, -8, -21, 14, -52, 14, -27, -45, 56, -56, -17, 35, -49, 2, -24, 4, -8, 5, -14, 14, -63, -38, -19, -43, -32, 63, 27, -5, 48, 1, 56, 4, 16, 44, 63, -65, 0, -28, -37, 12, -21, -57, 56, -64, -35, -23, 31, 35, 64, 24, -36, 20, 30, -10, 16, 21, 12, 47, -44, -3, -42, -11, 7, 5, 27, 28, -38, 0, -46, -49, -23, 2, -38, -39, 2, 57, 67, -36, -30, 45, 26, -42, 10, 72, 47, 9, -42, 44, 14, 36, 5, 21, 70, 2, -43, 46, -38, -18, 30, -4, 42, -46, -9, -14, 47, 46, 27, -62, 3, 41, -28, 27, -15, 46, -42, 72, 57, -38, -38, -2, -16, 50, -32, -81, -41, 49, 66, 16, 41, 34, -32, 27, 62, 53, -14, 26, 10, -23, -62, 24, 25, -24, 44, -26, -62, 50, 13, -3, 23, -4, -16, 35, -23, -6, -36, -9, 4, 30, -2, 40, 5, 43, 67, -34, 27, -31, 27, -62, -40, -46, 36, -15, -19, 27, -44, 18, 51, -24, -28, 3, 43, 43, -37, -46, -51, 61, 40, 62, -31, 36, 63, -5, -70, 2, 41, -50, -8, -25, 3, 12, 66, -4, 17, 53, -29, 11, 24, -30, -58, -24, -44, -13, 38, 17, 48, 45, 16, 43, 14, -22, 65, 37, -6, 28, -37, -14, 0, 47, -57, 38, 41, -45, -6, -63, -24, 8, -59, 5, -18, -9, -13, 60, -43, -56, -48, 35, 23, -4, -20, 61, -16, -58, 64, -62, 31, 9, -11, -57, -38, -46, 35, -34, 47, -36, -40, 10, 34, 37, -26, 12, -14, 6, -38, 56, 36, -23, -22, 27, -10, -2, -5, -49, -47, -5, 2, -48, -42, -30, 22, 48, -61, -40, -3, 14, 11, 7, -60, -21, -55, 59, -73, 35, 16, -49, -44, 64, 8, 49, 7, 33, 45, 4, -41, -3, 67, 30, -62, 16, 4, -19, 13, -37, 48, 35, -38, 31, -58, 43, 31, 16, 3, 30, -47, 6, 41, -5, 8, -24, -53, -10, -76, 6, -68, 43, 22, 16, -29, -13, 37, -9, 57, -8, -49, -47, 24, -34, -33, -40, 9, -27, 12, -57, 38, -2, 51, -19, 63, -15, 0, 26, 52, -52, 38, -5, 39, -25, 48, -44, 48, 48, 23, -28, -41, 0, -45, 38, -26, 18, -21, 34, -11, -50, 4, -59, -71, -15, -22, -26, 26, -41, 50, 49, -59, 40, -36, -39, -9, 16, 53, -28, 20, -15, -36, -35, 25, -8, 70, 22, 4, -4, 39, -56, -29, 56, -54, 7, 62, 18, -38, -20, -4, -61, 47, -19, 27, 28, -31, -3, 63, 11, 35, -12, 16, -47, -60, 38, -43, -16, -36, 39, 3, 60, -56, 40, -61, 4, -54, -8, 39, -25, 7, -5, -69, -45, -14, -18, -11, 74, 38, 14, -25, 13, 47, 47, 48, -26, 48, 64, 4, -18, -13, -51, -22, -50, 74, -45, -3, 37, 6, 3, -30, -62, 49, -66, -34, -47, 61, 4, -7, -51, -5, 15, -64, -22, 8, -47, -75, 18, -22, -44, 46, 49, -19, -2, 8, 41, 31, 54, -31, 25, 48, 59, 53, -62, -17, -22, -28, 59, 16, 0, -1, -4, 2, -67, 35, -28, 46, -47, 0, -10, 10, -38, 31, 54, -54, -37, -15, 35, 84, 7, -9, 18, -21, 21, 32, -24, 52, 14, -59, 35, 29, 24, 20, -5, 33, -22, 48, 12, -11, -47, 21, -8, 27, -11, 25, -19, -37, 64, -60, -54, 32, 47, -64, 58, 31, -23, -44, -7, -30, -50, 58, 30, -38, -43, 47, 54, -15, -60, 42, -31, -49, 18, -43, 58, 41, 47, 3, -37, 30, -41, -18, -4, 25, -34, -48, -14, 35, -15, -9, -16, -4, -35, 4, 29, 18, -9, 50, -48, 2, 10, 58, 3, -43, 18, -17, -25, -18, -59, -9, -25, 7, 2, 22, -6, -29, -64, -39, 27, -30, -60, -78, -53, 49, -68, -23, -38, -8, -30, 5, 28, -76, -23, 19, -43, -7, -18, -49, 12, 19, -59, -47, 11, -18, 47, 42, -15, 17, 77, 64, 55, 24, -34, 25, -61, 0, 23, 38, 53, 35, 38, 50, 5, 33, -85, 38, 19, 10, -48, -30, -46, 7, -9, 10, 62, -52, 30, -17, 37, 6, 27, -7, -18, -8, 1, -1, -39, 16, -54, -23, 0, -20, -31, -12, -56, -35, -24, 12, -38, 40, -19, -58, -29, -15, 10, 21, 25, 48, 19, -28, -15, -49, -29, -43, -13, -41, -53, 43, -26, -44, -5, 20, -20, 29, -35, 36, 7, 37, -53, 20, -80, -23, -18, -9, -12, -53, 3, -69, -18, 39, 4, 50, 19, 37, 50, -36, 19, -1, -42, 36, 45, -43, -45, -13, -43, -59, -19, -3, -35, 48, 59, 49, -41, -8, 25, -34, 9, 1, 8, -3, -17, 49, -22, 35, -58, 56, 48, -9, 13, -33, 7, -63, -37, 30, -28, 5, -1, 26, 25, -33, -13, 32, -9, 21, -54, -59, 41, 15, 34, -72, -47, -46, -2, -36, -29, -40, 16, 1, 61, 11, 20, -46, 0, -2, -29, 46, 38, 49, -39, -28, 44, -37, 37, -25, 7, 33, 6, -32, -71, -6, 16, -60, 9, 26, 39, -11, -14, 64, -27, -19, 58, -3, 6, -34, -12, 29, -11, 72, -20, -42, 13, -45, 32, 30, 50, 32, -33, -60, 10, -56, -16, 14, 32, 43, -17, -38, 26, -50, 26, 16, 40, -35, 23, -50, 37, 32, -45, 66, -61, -46, -28, 35, -10, 16, -46, -12, 55, 30, -41, 37, -11, -15, -60, -46, 9, 61, -21, 47, 10, 51, -19, -38, -19, -37, 3, 63, -54, 54, -51, -5, 30, 42, -26, -56, -13, -32, 61, 9, 50, -52, 23, -26, -2, 27, 7, -70, 13, -25, -35, 21, -64, 48, 34, 18, 45, -31, -14, 60, -1, -40, -44, -55, -59, 51, 17, -12, -31, 40, 2, 37, 55, -29, 19, -24, 25, 9, 37, -61, -72, -56, 7, 52, 5, 4, 9, -16, -52, -15, -38, -26, 60, 62, 54, -4, 27, -9, -14, -47, 20, -13, -12, 11, 31, 47, 5, 13, -17, -4, 64, -35, 43, -12, -28, -38, 33, -47, 9, -39, -54, 5, 14, 13, -12, -24, -24, 48, -5, 6, 33, -18, 17, -18, -28, -17, 17, 46, 21, 1, -35, -37, 41, 28, -41, 47, 13, 38, 54, 34, -55, 3, -21, -8, -27, -3, 48, 14, 8, -50, -4, 46, -5, -63, -41, 19, 10, -53, 7, 36, 12, 66, -31, -46, 0, 29, 16, -26, -16, -42, 43, 47, -36, 13, 26, 1, 14, 27, -3, -27, -45, 30, 6, 40, 33, 25, 28, 53, 27, -12, -5, -40, 27, -17, -49, 12, -42, -57, 8, -34, 22, 38, 20, 47, -16, 37, -6, -51, -60, 43, 44, -7, 24, 38, -27, -48, 40, -54, 20, -46, 70, 35, -4, -26, -18, 10, 4, 16, 16, -49, -24, -45, 35, 49, -15, -24, 29, 0, 37, 7, -47, -38, 13, 39, 15, 60, 21, 73, 7, -6, 33, -24, -26, 19, 39, 45, -4, -22, 7, 27, -58, 3, -20, 25, 29, 21, 55, -25, -53, -19, -22, 36, 53, 36, 44, 42, 22, -19, 20, -6, -22, 34, -25, 31, -60, 40, 12, -28, -45, -9, 0, 40, -25, -8, 30, -6, 33, 32, -48, 55, 57, -46, -25, 14, -61, -15, 10, -53, -63, -31, -28, 15, 14, -33, 10, -15, -56, -10, 20, -39, -11, 8, 34, -6, -3, 12, 21, 11, -53, 63, -54, 12, -6, -5, -63, 46, -10, 47, 38, 46, 47, -7, 24, -11, 51, -57, -45, 18, -44, 57, -28, -47, 15, -23, -18, -11, -54, -54, -25, 55, 8, -56, 58, -25, -16, -57, 42, -9, -8, -52, 23, -30, -12, -43, 47, 25, -51, -69, -57, 36, 0, -41, -55, 41, -50, 12, 51, 52, -28, -49, -13, -5, 34, 46, 35, -63, -71, -1, -64, -32, 30, 8, -23, 82, 10, -20, 6, -3, 18, 51, -61, -15, -29, -48, -23, -61, -18, 14, -33, 13, -49, 47, 30, -57, 29, -51, 6, 48, 25, -66, 8, -36, 44, -30, 8, 46, 8, 23, -2, -53, 58, -30, -34, 15, 15, -39, 36, 39, 49, 46, 19, -46, -18, 20, 8, 41, -42, -82, 10, -8, 26, -61, -40, -72, 33, 48, 43, 36, 43, 25, 13, -20, 19, 45, -63, -21, 31, -34, 61, -21, 51, -56, -21, -10, -23, -58, 24, 42, -57, 31, -19, -6, 48, -15, -10, -37, -21, -65, 24, -37, -14, -47, -33, 58, 37, 9, -24, -23, 34, -56, 58, 14, -15, 59, -23, -11, 46, -43, -46, 0, 52, 22, 36, 63, 8, -47, 14, -31, -51, 57, 32, -3, -5, 21, 16, -10, 26, -44, 31, 35, -42, -13, 43, 10, 63, -17, 11, 52, -24, 23, 41, -33, 35, -34, 4, -51, -28, -50, 4, -63, -48, -33, -63, -4, -30, 21, -53, 0, -48, -39, -22, 23, -53, 51, -4, -12, 34, 4, -1, 56, -6, -2, 50, -40, -4, -18, 2, 9, 41, -56, -2, -44, 16, 62, 64, 57, -44, 48, 43, 8, -6, -38, -37, 15, 34, 59, -53, 43, -49, 28, -32, -38, 55, 54, -60, -13, -25, 0, 12, 21, -46, -57, -59, 18, -44, -37, -6, -57, -37, -38, -31, 51, 40, -27, -54, -15, -33, 21, 14, 0, 61, -49, 67, -28, -11, 37, 51, -12, 49, -54, -35, 25, 29, 39, -3, 1, 11, -10, 6, -34, 55, -55, 23, -52, -54, 2, 19, -64, -55, -12, 3, -8, 12, 29, -32, -54, 31, -62, -17, 33, -51, -47, 4, -28, 59, 53, 20, -49, 20, -24, 31, -10, 58, -59, -16, -24, 24, -36, 6, 14, 24, -4, 62, -40, -29, -45, 27, -48, -30, -24, 0, -9, -12, -15, 16, 36, -29, 13, 28, 16, 42, -30, -63, -54, -67, -26, 46, 42, -38, 55, 10, 39, 45, -27, 1, -52, -52, 23, 32, 17, 62, 57, 53, 35, 73, -47, 48, 40, 19, -33, -13, -65, -13, 5, 59, 21, 8, 45, 65, 21, -29, 42, 14, -17, -3, 55, -42, -8, 31, -29, -42, -57, -25, -37, -60, -23, -35, 40, -54, -32, 36, 14, -21, 50, 25, 48, 28, -1, 59, -25, -60, 44, 50, -29, 60, -22, -19, 26, 46, -46, 39, -60, 18, 47, -38, 44, 21, -5, -4, 22, -24, 49, -63, -11, 56, 8, -36, -8, -13, -3, -41, -13, 30, -3, -49, 41, 30, 36, 10, 56, 46, 58, -23, -3, -22, -63, -15, 21, -29, -51, -11, -29, -56, -35, -66, 36, 66, 4, 34, -11, -25, -52, -50, 42, 24, -18, 29, -40, -38, 55, -11, -38, -24, -53, -38, -58, -3, -40, -25, -59, -3, -12, -25, 51, 24, 41, -60, -69, 29, 40, -15, -42, -14, 41, -30, -28, -47, 4, -38, 5, -67, 33, 41, 58, 47, 9, -27, 15, -45, 10, 24, 3, -49, -33, -21, -9, -50, -2, 6, -37, -37, 3, -26, -55, -28, 39, -17, 58, -10, -50, -35, 17, 31, -11, 21, 30, -10, 6, -32, -45, -40, -36, -27, -52, -84, -61, 3, 45, 54, 34, 26, 19, 57, -44, -38, 53, -23, 32, -52, -10, 22, -6, -24, -48, -41, -34, -17, -32, -20, 58, 50, -60, -11, 56, -26, -49, 19, 70, 10, -12, 8, 42, 27, -1, -59, -11, 16, 15, -15, -17, -37, 62, 58, -16, 29, 61, -63, 72, 65, 14, -12, 2, 28, 41, -27, 47, 23, 17, 28, 53, -60, 62, -30, 15, -49, -49, 4, -34, 16, 9, -37, -62, 7, -34, -69, -14, 29, -55, -7, 5, -24, 15, -21, -59, 41, -19, -30, -15, 17, -29, -18, 24, 38, -9, 1, 55, 34, 44, 11, 63, 39, 47, 11, 26, -30, -21, 59, 54, 20, -35, -26, -8, -30, -21, -44, -24, -33, -6, 47, -22, -3, -61, 26, -49, -33, 34, 28, -45, 35, 32, 22, 46, 33, -62, 20, -18, 32, 53, 23, -55, 21, 54, -50, 28, -62, 7, -58, -7, 60, 57, 28, -22, 10, -62, -8, 1, -61, 70, 50, -39, -53, -36, -34, -10, 55, 31, 17, -63, 6, 47, 47, -3, -3, 44, -32, 33, -23, 9, -56, -9, -42, 32, -29, -52, -41, -38, 61, -59, 21, -51, -15, -47, 41, -50, -36, -29, -58, 35, -3, -58, -14, 8, 29, 62, 48, -36, -16, 38, 40, -55, 0, -45, -10, -1, -28, -18, -52, -27, 8, 27, -51, -8, 40, -68, 39, 29, 58, 51, -37, -27, 53, -9, 7, -26, 62, 0, 57, -52, 26, 42, -36, -54, -32, 20, 60, -11, 50, -9, -48, 64, 11, -24, 5, 51, -41, -55, 32, 47, -8, 42, -26, -31, -58, -5, 31, -26, 18, -16, 47, -36, -2, 44, 35, 43, 16, -14, 53, 7, 48, 47, -57, -56, -2, 55, -7, 28, 10, -57, -14, 29, -55, -35, 39, -17, 15, -38, -37, 56, 62, 26, -57, 60, -3, -50, 30, -31, -56, -67, -17, -30, -61, 48, 16, 58, -51, -15, 60, 27, -60, 13, -51, 9, 24, -26, -50, 14, 19, 19, 3, -10, -42, 35, -27, 24, 42, 50, -27, -34, -44, 15, 54, -27, -51, -12, -32, 50, -46, -34, 57, 45, 54, 4, -38, 37, 46, -53, -25, -33, -29, 28, -62, -6, -37, 17, 12, 45, -35, -42, 32, 9, -63, 21, -53, -10, 32, -35, -17, 16, -10, -26, 55, 20, 40, -53, -11, -30, 42, 47, -53, 43, -62, -13, -45, 40, 49, -55, -30, 58, 18, 42, -32, 30, -5, 39, 39, -5, -47, -11, -16, -53, 4, 34, 11, -48, 41, 56, 12, -51, -6, -22, -46, 60, 4, -49, 26, -41, -46, 12, -32, 39, -49, 34, -2, 16, -62, -24, -48, -57, -6, -10, -9, 17, 24, 19, 59, 34, -60, -40, -25, 20, -24, 10, -13, 35, 57, 51, -26, -35, -13, 32, -40, -56, 31, 25, 30, 8, 15, 15, 0, -37, -58, -50, -52, -59, -51, -41, -34, -16, -7, 7, 49, 2, -43, 1, -51, 27, 63, 61, 9, -20, -53, 43, 9, -59, 17, 19, -10, 29, -45, -56, -63, 33, 48, 18, 47, -62, -4, -26, -52, 13, -28, -44, 10, -32, 7, -61, 34, -44, -5, -13, -11, 23, -37, 10, 51, -41, 18, 28, 56, 23, 38, -60, -33, -2, 10, -25, 46, 18, -54, -11, -4, -47, -16, -47, 8, 44, 45, -27, -35, 44, -48, 18, -48, -34, -47, -28, -61, 30, 42, -48, -2, 25, -42, -47, -56, -36, -28, 30, -47, -25, -49, -15, -6, 37, 33, 48, -36, 49, -56, -46, 10, 35, -21, 24, -7, 47, -31, -29, 25, -58, -58, -17, -18, -7, 43, 43, -34, -38, 39, -58, -4, -49, -17, -53, 28, 17, 6, 13, -68, -25, 60, 43, -24, 25, -14, -63, 25, 4, 16, -31, -47, 14, -19, 43, -36, -24, -7, 46, -53, -18, -52, -10, -55, -22, -8, -54, 56, -26, -59, 58, -43, -29, -10, 27, -59, -60, -29, -46, 30, 20, 55, 38, -20, -54, 15, -30, 33, 5, -43, 38, 33, -62, -64, -40, -53, -47, 31, 47, -55, 62, 4, 28, -16, 54, 60, 32, 4, -16, 46, -23, 44, 62, 26, 17, 61, 12, 22, -40, -15, -5, -61, 61, -28, -10, -54, 56, -25, 61, -56, 46, -44, -60, -21, -1, 9, -9, 7, 37, 61, -46, -61, 45, -8, 7, -45, 28, -31, -39, 34, 60, -56, 18, -5, -24, -57, 41, 25, 51, -58, 21, 13, -10, -5, -37, 37, 5, -30, 23, -24, -2, 5, 46, 36, 32, 0, 10, -34, 7, 33, -59, 54, -45, 48, 17, 50, -3, -20, 40, -45, 23, -48, 7, -48, 47, -28, -40, -16, 0, 10, -60, 52, 10, 2, -41, -33, -16, -37, -39, -38, -46, -42, 4, 52, -45, -43, 47, 18, 10, -37, 55, 5, 0, 36, 55, -34, -46, 50, 40, 31, -11, 18, 43, -12, -39, 12, 39, 38, -34, 48, -1, -27, -11, -58, 55, -22, -5, -44, 5, -14, -49, 54, 64, 22, -38, 46, 19, -36, -11, 61, 0, -52, 48, 34, 9, -1, -2, 63, -56, 62, -22, 18, -60, 14, -10, 50, 54, -30, 38, 31, 21, -12, -32, -26, 14, 16, 8, 29, 32, -58, -55, -33, 33, 7, -16, 15, 18, 0, 59, -51, -47, 46, 62, -47, 4, -13, -52, 64, 57, 34, -22, -37, 24, 36, 59, -25, 30, -9, -11, -3, 35, -33, 7, -27, -40, -48, -41, 50, -42, 35, 26, 41, 4, 28, 0, -24, -44, 17, 57, -51, -17, -44, 9, -36, -1, 34, 65, -2, 46, -25, -20, 16, -46, -25, -38, 19, -40, -19, -19, 45, 55, 7, 42, -52, -57, -61, -38, -20, 30, -8, 13, -2, 62, -35, -49, -47, 47, 9, -29, -52, 48, -40, 45, -34, 4, 25, 63, -36, 35, -35, -49, 52, 6, -6, -54, 51, -59, -29, 4, 51, -13, -20, 61, -24, -6, -8, 25, -9, -23, -36, 37, -2, -33, -48, 7, -1, -22, 23, -58, 37, 24, 53, -57, -52, 54, -29, 14, 20, -44, 18, -58, 52, 20, 50, 51, -12, -50, 1, -52, 30, 45, -21, -30, -38, -31, 36, 12, 51, -31, 39, 54, -22, -43, -39, -57, 7, 9, -20, -28, 56, -35, -55, -54, -27, 41, 34, -64, 8, 54, 3, -15, -35, -36, -22, -24, 28, -27, 30, 46, 46, 45, 52, -34, 34, -35, 38, 4, -9, -57, 17, -34, 34, 36, 23, 66, 55, 13, 40, 20, -60, -35, 48, 39, 19, -63, 28, 7, -57, 44, 26, -2, 66, 47, -51, 18, 34, 64, 50, -38, -36, -12, -26, -25, -62, -57, -32, -30, 33, -52, 16, 64, -2, 26, 9, -65, 23, 52, 32, -60, 46, -1, 11, 7, 29, 55, 33, 15, 37, -7, 24, -58, 45, -44, 6, -43, 43, -32, -63, -9, 14, -58, -49, -59, 54, 34, -12, 58, -46, -39, -19, 52, 24, -32, 65, -35, -58, 30, 54, -43, -22, 14, 65, 31, -35, 37, 45, -63, -22, -31, 59, 1, -49, 50, 14, -49, 2, 35, 23, -59, 49, -63, -10, 49, -21, 58, 42, -4, -49, 62, -29, -24, 62, -36, -22, 27, -50, 38, 32, -3, -28, -35, -38, -5, 41, -35, 42, -13, 54, 28, 49, -61, -39, 11, 33, 57, -18, -41, 1, 47, -32, 9, 65, 33, 44, -8, 19, 12, 39, 28, -19, 32, 60, -43, -54, -14, 0, 20, -39, 50, 51, 38, -59, -42, -49, -44, -26, -49, -45, -11, -15, 52, -19, 29, -16, 28, 58, 47, -19, 37, -31, -24, -51, -11, -14, 50, -58, 53, 56, 52, 0, -19, 4, -13, -28, -54, -2, -57, 11, 7, -21, -45, 45, 0, -18, -51, -13, -43, 58, -42, -36, -16, -63, -28, -46, -13, 53, -10, 31, 25, -27, -29, -16, -29, 42, 43, -27, -40, 35, 46, -40, -14, 6, -23, 44, 70, -28, -41, 89, 13, -41, -25, -44, 44, 21, 27, -43, 33, 37, 10, 13, 39, 9, 53, 38, -25, 14, 61, -35, 31, -6, 35, -8, 60, -34, 11, 14, -21, 29, 34, -46, 11, -41, 10, -40, 39, 23, 35, 56, -33, -29, 46, -36, 24, -63, -25, 13, 45, 52, -34, -3, 30, -62, -52, 42, -44, -20, 21, 49, -46, 17, 63, 7, -66, 16, 59, 53, -58, -10, 47, 9, 29, -4, -2, -27, -25, -33, -34, -2, 16, 15, -35, 62, -38, 50, 41, 33, 59, 20, -46, -7, -10, -16, 62, -21, 54, -45, -72, -56, 48, 17, 32, -9, -24, 61, 45, 43, 58, -44, -13, 39, 28, -72, -59, -67, 17, -16, -68, -32, 21, 8, 73, -30, -5, 40, 55, 90, -36, -31, -32, 45, -57, -34, -22, -49, -80, -48, -36, -48, -47, -53, -46, -41, 45, -46, -51, 37, 21, 10, 14, 6, 2, 27, -19, -59, 40, 5, -16, -40, 6, -27, 32, -43, -7, -20, 35, -43, -27, -14, -46, 28, -4, 76, -5, 62, -12, 57, 49, 31, -40, 52, -41, 8, -1, -51, 33, -48, 31, 50, 38, -47, -50, -54, -20, 26, 21, 21, -71, 40, -50, 32, -2, 43, -28, 28, -6, -10, -39, 43, 30, 13, -57, 39, 25, -40, 33, -27, 11, 31, -14, -23, 10, 0, -26, -47, 38, 22, -27, -50, -18, -44, 51, 5, 1, 69, -4, -3, 35, 11, -26, 15, -4, 18, 32, 4, 11, -14, 29, 47, -7, -24, 54, -8, 53, -33, 13, 32, -70, 25, -87, -88, -24, 29, -41, -41, -66, 28, -39, 34, -31, -15, 2, -14, -24, 44, -52, -37, 53, -17, -11, -52, -6, 40, 44, 29, 29, -1, 51, 24, 1, 8, 4, -35, -7, 8, -44, 28, 40, -56, -34, 18, 2, -32, -5, -41, 20, -45, 12, 21, -51, -9, 24, 30, -12, 75, -46, 31, -41, -26, -16, -44, 57, 77, -44, -15, -4, -46, 28, -2, -28, 46, 26, -27, -44, -7, -7, 39, 2, 17, -36, 41, -14, -7, 32, 30, -34, 5, 6, 36, -21, 2, -37, -39, 15, 49, -55, 19, -33, -22, 4, -10, -50, -10, 3, -15, -43, -37, -24, -31, 3, 65, 32, -41, -24, -24, -46, 3, -20, 29, 22, 10, -24, -17, -21, -11, -8, -28, 50, 19, 21, 35, -22, -31, 20, -46, 58, -10, 13, 12, 4, -60, -23, 64, -5, 8, -8, -36, 6, -26, 34, 50, -10, -57, -8, -10, -27, -45, 47, -6, -8, -5, -33, 2, 22, -2, 54, -16, -57, 38, -16, 50, -26, 39, -24, 52, 57, 0, -20, 59, -16, -21, -3, 39, 73, -28, 59, 1, 50, 4, -10, 52, -50, 2, -66, -61, -3, -81, 47, -43, -50, -77, -4, -40, -15, -28, 31, -20, -43, 40, 23, -16, -60, -1, -7, 31, -35, 43, -32, 14, 1, 61, -5, -32, 49, 44, -46, 8, 39, -53, 6, 7, 20, 58, 19, 48, -11, 60, -18, 60, -1, 2, 57, -60, 68, -5, -8, -46, -43, 2, -17, -50, -78, 38, 25, -71, -37, -20, -24, -38, 29, 12, 19, 23, 56, 46, 58, -52, -62, -2, -12, -53, 50, 52, -9, 26, -60, -46, -51, -45, 1, -58, -22, -28, -51, -3, 66, -54, -6, 67, -52, 54, 17, 25, -70, -9, -4, -46, 11, -56, -39, 23, 15, 43, 25, 8, 6, -22, 48, -20, -21, 21, -38, -24, -66, -47, -47, 3, 27, 7, -8, 42, 14, 50, -33, -7, -40, -22, -41, 32, 39, -61, -23, -28, -61, 32, -17, -23, -9, 12, -42, 54, 0, 4, -41, 3, 17, -28, 57, -12, 54, 37, -3, -2, 11, -35, 36, -18, 0, 35, -58, 3, 0, 32, 39, 17, 13, -68, 33, -24, 20, 24, -8, 20, 57, 42, -53, -22, -22, -40, -4, 44, -9, -50, 21, 5, 25, 2, 70, 51, -19, -53, 6, 29, -23, -48, 38, 7, -4, 41, 41, -22, 19, 26, -25, -37, 14, 47, 24, 10, 0, -43, -57, -51, -10, -35, -64, 39, -44, 21, -3, -36, 35, 39, -17, 31, -37, 53, 36, 39, 22, 36, -40, -35, -53, -51, 58, -62, 14, 0, -62, 41, -43, -25, -2, 23, -25, -50, 40, -58, -25, 48, -42, 1, 5, 61, -35, 48, 59, 15, -52, 21, -43, -40, -21, 39, -37, -34, 34, 31, 17, 25, -45, -55, 7, 63, 64, 48, 54, -20, -6, -25, 39, 18, -61, 14, -35, 30, -64, 44, 70, -16, 22, 29, -36, 43, 72, 85, -54, -19, -10, -49, -57, 5, -66, -55, 22, 48, 20, -35, -49, -4, -62, 79, -4, -32, 62, 57, -68, 41, 32, 48, 42, -25, 18, -14, -33, 23, 39, -28, -35, 7, -48, -47, -21, 35, 0, 65, -39, 39, 27, -11, 10, -49, 7, 54, 3, -14, -31, -60, -43, 51, 9, 5, 24, 55, -43, -47, -3, -13, 25, 9, 52, -14, -18, -58, 35, -47, 35, -70, 52, 9, 18, 2, 14, -26, 38, 8, 14, 27, -36, 32, 16, -38, 4, -1, -17, -3, 35, -22, 37, -6, 34, -35, -14, 28, -22, -55, -17, 59, 65, 8, -23, 4, 45, -8, -19, -35, 19, 11, -16, -65, 32, -17, -25, 36, -66, 29, 6, 25, 18, 33, -73, 15, 35, 52, -61, -22, -30, -51, 23, -18, -37, 6, 51, -47, 4, 20, 22, 41, -9, 1, -4, -26, -6, 60, 0, 42, -15, -46, -4, -35, -50, -39, 1, 58, 53, 18, 26, 46, -71, -53, -67, 53, 3, -46, -55, -26, 37, 3, 63, 67, -14, 49, 13, 20, -24, -28, -20, -10, 55, 31, -29, 58, 39, 61, -54, -27, 47, 13, -23, 44, 54, 16, -33, -25, 75, -10, 41, 60, 25, 10, 30, 71, 86, -23, -21, -37, -48, -72, -71, -90, -71, 34, -21, -65, 23, 40, -68, -51, -53, -35, -35, -33, 8, -36, -17, 3, 61, -39, 74, 64, -4, -28, -11, 28, -28, 25, -19, 20, 40, -13, -41, -8, 52, -4, 47, -45, -6, -48, -18, 42, -36, 25, -10, 55, 14, 5, 18, 20, -30, -34, -15, 10, 54, 65, 1, 9, 8, -29, -19, -11, -52, -7, -59, 29, -68, 10, -41, -6, 28, -28, -38, -13, -56, 42, 0, -44, -29, -51, 43, -36, 1, -10, -24, 5, -23, -63, 50, 4, 39, -44, 16, -55, -39, 39, 57, -1, -10, -7, 15, 9, 23, -55, 68, 67, 71, -18, 0, 2, -41, 19, 38, -8, -17, 24, 11, 13, 34, -35, 42, -43, -45, 19, 51, 1, 67, 39, 28, 39, -16, -52, -25, 58, 18, -42, -17, -6, 63, 25, -63, 41, -10, -50, -53, -5, 4, 22, -36, -14, -36, -3, 61, 17, 25, 73, 1, 35, 11, 27, 48, 9, 38, -13, 55, -46, 15, -55, 55, -8, -28, 7, -31, 10, 52, -27, 39, -54, -28, 9, -68, 26, -16, -69, -10, 37, 1, 1, -70, 33, -36, 49, -54, -19, 22, -16, -44, 22, 30, -10, -49, 14, -13, 26, 50, -57, 59, -17, 18, -9, -8, 20, 4, -54, 31, -58, -56, 5, -14, -61, 18, 18, 34, -14, -16, 44, -36, 13, 27, 34, -16, -69, 15, -55, -35, 0, 37, -52, -40, 46, 45, 28, 11, -8, 19, -63, -2, 38, -28, -26, -49, -41, -5, 65, 25, -50, 54, 0, -63, 50, 7, -59, -48, 2, 48, -60, 65, 41, 51, -34, -20, 51, 54, 18, 10, -53, -35, 34, 32, -47, -17, 65, 57, 60, 11, -10, -26, 57, 37, 41, -19, -10, 56, 46, -56, -60, -31, -29, 44, -30, -23, 12, 55, 8, 19, -27, -68, 25, -2, -28, 30, -59, -57, -1, -56, -13, 3, 16, -56, -40, -22, -6, -52, 52, 18, 28, -29, 15, -5, 61, 30, -47, -38, -4, 56, 69, 50, -23, -13, 27, -36, 59, 25, 28, 29, 0, 44, -62, -13, -27, 31, -22, 0, 57, 13, 38, -2, -18, 1, 15, -60, -50, -12, 40, -13, 37, 41, 76, -9, -14, 24, 23, -53, 49, 27, -9, 60, 47, 19, 20, 64, 31, 31, -3, 41, 48, 2, -16, 37, -35, 1, 46, -56, -61, -25, -19, 36, 58, 45, 28, 14, -66, 1, -16, -63, 48, 51, 11, 21, -47, -17, 56, 46, -12, -66, 7, -18, 21, -63, -47, -48, -51, 43, -25, -26, -3, 61, -37, 0, 10, 63, 9, -1, 14, -14, 44, 49, 27, -59, 23, 37, -14, 39, -19, 55, -64, -17, -8, -77, 2, -13, -40, 16, -2, 63, 47, -4, -29, 23, -34, -10, 21, -36, -31, -28, -57, -20, -19, -15, 42, -48, -35, 23, 53, -33, 4, 48, 1, 28, -42, -56, -28, -61, -59, -47, 8, 23, -61, -40, -26, 23, -37, -5, -9, 54, 51, 42, 41, -16, -40, -49, 47, 37, -36, -3, 14, 31, 8, -31, -33, -31, 61, -23, -35, -3, -49, -33, -13, -23, 53, 11, -28, -17, -40, -43, -6, -19, 6, 11, -53, 50, 26, 30, 18, -23, -1, -43, -19, 73, 35, 40, -12, 35, 31, 32, 59, 53, -11, -46, -24, 0, 55, -45, -13, 44, -30, -55, 24, -3, -61, -41, -41, 37, 47, 37, -34, 34, -14, -54, -3, -52, 44, 61, -42, 2, -33, -26, 41, 53, 19, -41, -70, 40, 61, 50, 41, 18, 18, -10, 17, -34, -50, 62, -6, -10, -38, -24, -8, -66, -57, -14, 35, 44, 19, 75, 40, 2, 18, 2, -17, 35, 37, -17, 53, 1, 9, -15, -40, 48, -27, 10, -57, -14, 35, -61, -34, -50, 36, -18, -28, -18, -14, 57, -26, -38, 50, -40, 23, -45, -7, -23, 44, -7, 26, 46, -45, -56, -52, -51, -23, -32, -35, 41, 1, -12, -51, 23, -39, -19, -49, 46, 56, 13, 17, -48, -14, -40, -36, 37, -50, -40, 11, 15, 36, 32, 25, 20, 53, 58, 53, 0, 24, -52, 53, -53, -8, 38, -20, -2, -38, 23, 15, 60, -20, 0, -1, 9, -19, 53, -23, 10, -20, -8, -28, 49, -8, 57, 45, 56, 60, 20, -54, 7, -42, 12, -59, 14, -10, -14, 30, 33, -3, 24, 60, 54, -39, -18, 27, -53, 18, -38, 4, -4, -49, -55, -42, 52, -51, 11, -40, 31, 69, -53, -1, -60, -4, -2, 38, 2, 9, 1, 29, 52, 44, 64, 34, -10, -43, -6, -27, 7, 17, -4, 41, 11, 28, -51, 23, 21, 57, 28, -4, 67, 66, 1, 1, -29, -38, -52, 41, -49, 20, 10, 43, 13, 41, -5, 6, -20, 23, 32, -23, 10, -10, -43, -46, 25, 4, -21, 56, -13, -53, 9, 15, 1, 4, -22, -42, -26, -50, 40, 31, -5, 45, 35, 0, -21, 7, -12, -46, 0, 35, 14, 3, -4, -40, 39, 52, 18, 27, 18, -47, 17, 7, -27, -8, -53, 58, 39, 62, 41, 16, 21, -14, 42, 57, 8, 51, 15, 33, -8, -53, 35, 64, 54, -40, -19, -60, -35, -60, -60, -64, 3, 53, -62, 41, 50, -19, -58, 47, -11, -33, 21, -35, 17, -8, 43, 14, -58, 55, 35, 24, 5, 2, -57, -25, -40, 48, 9, 1, 33, 24, 4, 2, 24, 54, -13, 29, -18, -18, -59, -63, 60, -19, 54, -36, -4, -34, -19, -47, -22, -30, 18, -46, -2, 38, -63, 44, 64, 58, 40, -62, 0, -18, -57, 22, 64, -16, 16, -1, -12, 56, -1, -50, 35, 60, -24, 17, 39, 39, 10, -6, 23, -48, -13, -5, -62, -51, -24, -51, -56, -54, 17, 27, -31, 41, -70, 54, 34, -82, 29, 8, -10, -3, 53, -23, 41, 25, -27, 44, 25, 26, -44, 32, -12, -20, -13, -3, 60, -66, -47, -42, -11, 9, -45, 58, 51, -44, 33, 18, 12, -30, -9, 19, 13, -35, 21, 30, 40, 4, -51, 42, 10, 58, 27, -27, -20, -1, 21, -32, 6, 45, 2, -49, 16, 53, -38, 19, 20, -15, 62, -58, -13, -50, 2, 51, 7, 52, 3, 8, 39, 44, 23, 51, 39, -49, 53, 7, 2, 9, 38, 59, 45, -31, 34, 18, 21, -25, 17, 42, 13, 57, 2, 0, -35, 57, 6, 50, 45, -57, 5, -12, -4, 56, -52, 21, 3, -19, -48, 46, 27, 52, 30, -28, -45, 12, 8, -52, 0, 69, 20, -51, -42, 21, -34, 6, -55, -35, 8, 22, 26, 37, -47, 55, -61, 59, -57, -16, 5, 62, 4, -26, 47, -39, 3, -20, 45, 48, -54, -3, -38, -56, -55, -72, 7, -11, -16, 61, 6, 17, -12, -68, 14, -35, -49, 42, 25, -62, 29, 30, -45, 43, 9, -19, -27, 10, -42, 20, 39, 52, -23, 0, 43, -31, 18, 16, 30, -29, 2, 0, -69, 25, 9, -57, -21, -10, 63, 41, -27, 51, 42, 18, 8, 6, -28, -57, 18, -62, 63, 33, 16, -30, -24, 47, 56, -10, 36, -18, -27, -66, 12, 39, -39, 56, -54, -2, -25, 7, 47, 45, -18, 22, -27, -25, -21, -12, -9, 33, 22, 31, 36, -45, -6, 33, -16, 47, -19, 4, -9, 57, 0, -60, -57, 56, -44, 61, 41, -19, -61, -41, 15, 0, 21, -11, -56, -41, -1, 46, -10, 3, 43, 55, -3, -12, -55, 42, 20, -9, -35, 20, -21, -31, -59, -15, 5, 42, -13, 36, -25, 8, -53, 32, 6, -49, -42, 7, 26, -58, 8, -57, -46, 46, -26, -61, 48, 35, 3, 29, -17, -42, 60, -9, -65, -44, 9, 46, -31, -41, 68, -21, 56, 50, 20, -8, -26, 40, 30, -21, 10, 49, -17, -24, -44, 26, -9, 60, -52, 53, -24, 43, 48, -45, 54, 30, -36, 49, 67, 33, 35, 56, -37, 37, 43, -22, 2, 48, 61, 18, 39, 64, -44, -1, -6, 55, -28, -50, -49, 53, 10, -58, 65, -52, -47, -31, -47, 10, 50, 82, -51, 59, 1, -54, -46, -19, 27, 58, -43, -42, -32, 61, 66, -41, 25, -54, -32, -60, -32, -50, -21, 28, -33, 35, 5, 4, 55, 55, -12, -14, -48, -59, 53, 12, -36, 48, -10, -25, -6, -45, 36, 19, -40, 26, -13, -19, -7, 17, 51, 40, 58, -36, 20, 14, 52, 27, -45, -26, 31, -37, 26, 35, -16, 2, 59, -22, 58, -64, -40, 1, 34, -43, -6, 51, 43, -17, 54, 48, 24, -31, -42, -60, 48, -57, 9, 12, -61, -20, 27, 4, -30, -61, -50, -41, 58, -23, 56, 36, 20, -7, -55, 11, 34, 56, -18, 14, 60, -15, -47, 3, -30, 38, 33, -47, 11, 35, -43, -44, 27, 23, 12, -56, 54, -39, -17, 34, -51, 12, 1, -34, 6, -57, -4, 49, -60, -26, -7, 15, -9, -38, -39, -21, -5, -16, 73, -27, -45, 34, -27, 17, -62, 52, 45, 31, -69, 8, 9, 35, -46, 39, -32, -2, -1, -55, 20, -47, -51, 5, -5, 12, -58, -45, 1, -57, -31, 23, -12, -23, 64, -10, -50, -54, 20, 43, 5, 26, -36, -5, 53, 60, -36, 46, 31, 16, -34, -52, -33, -58, 33, -54, 43, 25, -16, -17, 0, -53, 14, 12, 21, 15, 11, -15, 34, 9, 27, 8, 10, -58, -17, -13, -5, 22, 23, 43, 43, -9, -25, -48, 45, 14, -51, -7, 4, 64, 36, -45, 61, -36, -11, -60, 46, -31, 21, 18, -4, 55, -35, 41, -48, -46, -30, -62, -49, -19, 19, -16, 2, -9, -8, 10, 8, -58, -3, 10, -57, 13, 13, 36, -6, 53, 16, -2, 50, -21, -36, -24, -39, 52, -40, -13, -4, 60, -24, 11, 42, -51, 31, 11, 46, 0, 40, -40, -52, 7, -34, -39, 38, -28, -45, 6, -24, -11, -30, 14, -15, 4, -46, 34, 65, 48, -23, 33, 3, 12, -5, 64, 34, -35, 7, -39, -45, 1, 6, -58, -53, -45, 20, 17, -19, -11, -5, 70, -12, -12, 30, -28, -31, -50, 40, -52, -1, -4, -59, 3, 54, 62, 36, 3, -8, 37, 25, -7, -52, -8, 19, -10, -54, -9, -7, -51, 52, 33, -62, 0, -40, -36, -39, 11, -37, -2, -64, 43, -35, -17, -14, -48, -16, -7, -34, -12, -44, -49, -63, -18, 37, 22, 64, -63, 7, -26, -47, 14, 41, 27, 53, -39, -44, 45, -25, 4, -57, 44, -50, -53, 40, -41, -19, -25, 2, 2, -30, 10, -52, -37, 48, -36, -55, -61, 50, -37, -3, -44, -28, 48, 28, 42, -56, -6, -36, 39, 30, -18, 19, -58, -37, 36, -6, 37, -36, 35, 22, -4, -19, 4, -31, 16, 27, 42, 9, -6, -56, 29, 19, 51, 47, 36, -60, -1, -39, -9, 51, 37, -36, 24, -53, 22, -35, -29, 5, 7, -11, -36, -26, 61, 30, -20, 12, 63, -43, -33, 38, -2, 40, 9, -13, 8, 42, -53, -42, -12, -1, -16, -35, -42, 32, -39, -46, 47, 53, -61, -1, -51, 10, -60, 3, -42, -9, -28, -21, 4, -8, 36, -30, -22, -42, -31, 64, 51, 20, 1, -56, -30, -59, 27, -20, -29, 16, 60, 55, 2, -17, -20, -18, -29, -26, -28, -45, 40, 49, -1, 3, 6, -42, 41, -17, 17, -26, -3, -41, -7, -56, -5, -44, 21, 2, 54, -47, -32, 6, 2, -31, -14, 42, -29, 45, 59, -2, 25, 58, -54, 14, 42, -58, -16, -30, 60, 63, 26, -11, -40, 38, -60, -7, -12, 47, 60, -56, -8, -49, 25, -2, 22, -53, 39, -21, -12, -61, 21, 61, -19, 38, 19, 50, 29, 43, -41, 21, 43, 41, -20, -49, -51, 51, -26, -46, 2, -32, 22, 56, 17, -64, -18, -63, -19, 45, -21, -33, 25, 3, 34, -48, 16, -56, -26, -60, -16, 23, 11, 28, 23, -25, -43, 27, -39, 39, -35, 61, -3, -12, -22, 26, -7, 35, -11, 0, 44, -36, 43, -48, -32, -24, 25, 3, -27, 12, 5, -46, 4, -6, 53, 23, -61, 15, -46, -59, -32, -30, -6, 13, -28, 26, -29, 33, 36, 49, -1, -13, -51, 35, -42, -12, -32, -40, -43, -4, 42, 31, -37, -16, -28, -58, -22, -9, -29, 21, 14, -3, 11, -52, -6, 38, 56, -38, -13, -26, -39, 6, 50, 5, 33, 50, -36, -57, -39, -25, -2, -57, 4, -4, -28, -20, 40, -31, -50, -55, -41, 37, -20, -5, -6, 21, -14, -41, -10, -27, -10, -38, 49, 27, 15, 35, 3, 60, -38, 39, 7, 2, 33, -8, 3, -33, -19, 20, -32, -11, -18, 32, 15, -51, 13, 4, -52, 1, -21, -32, -42, 11, -32, -18, -30, -6, -45, -34, 32, -51, 44, 14, -26, -37, -46, 4, -10, -54, -17, 38, -9, -31, 7, 51, -50, 64, 48, -8, -40, -8, -22, 16, 23, -54, -36, -25, -23, 55, -11, -23, 60, 24, -14, 50, 0, 42, 53, 44, -35, 17, -20, -50, 20, -56, -6, -3, 52, 7, 16, -45, -37, -31, 14, -14, -65, 17, -52, -5, 14, 56, -39, -27, -29, 42, 28, -25, 21, -33, -13, -39, -37, 50, -65, 56, 51, -39, 56, 39, 50, 10, 48, 22, 26, 27, -13, 56, -8, 58, -63, 47, -35, -6, 30, 21, -46, -35, 48, 53, -27, 40, -38, 31, -1, -55, -58, 0, -15, -26, -52, -25, 23, -3, 17, 8, -5, -52, -60, 16, 41, -65, 20, 21, 55, 48, 1, -25, -41, -33, -37, -25, -54, 44, 19, -57, 19, 56, -47, 33, 12, -25, -7, 28, -46, 67, 26, -5, 1, 4, 40, -12, 40, -42, -3, 45, 32, -19, -53, 28, 0, -7, 66, -54, -51, -52, 52, -55, 60, -30, 66, 11, -25, 26, -36, -8, 58, -32, -39, -43, 17, 24, 5, 45, 25, 38, -6, -17, 0, 28, 40, 35, -3, -33, 7, 32, -53, 53, -59, 11, -47, 6, 55, 32, -47, -42, 22, 39, -50, 46, 35, -8, 48, 34, -6, -14, -28, -51, 14, -55, -3, -6, 60, 12, -6, 53, 45, -52, -38, -55, -58, -51, -66, -44, -51, 65, 1, 7, 4, 34, 2, -13, -35, -39, -8, -5, -41, 12, -34, 57, 17, -12, 32, 41, -28, 13, -65, 46, -13, -53, -24, 54, -30, -11, 63, -17, 51, 37, 61, 31, 5, -38, -17, -18, 23, -25, -58, 37, -2, 38, 33, -57, -66, 9, -25, 52, -8, -53, 44, -6, 61, -11, 38, 26, 44, 8, 10, -60, 25, -44, 58, 21, -56, -37, 48, 50, -63, -18, 27, -31, -37, -49, -34, 38, -42, -51, 1, 50, -31, 5, -61, -36, -8, 41, -24, -3, 50, -13, 31, -16, 41, -64, -3, 59, -44, -4, -56, -25, 21, -1, -17, 40, -50, 6, 3, 41, -20, -45, 44, -40, 35, -32, -52, 63, 56, -55, 64, 19, -13, -34, 44, -40, -19, 48, 37, 39, 16, -33, -58, 60, 19, -46, -26, 15, -35, 11, 2, -13, 12, -4, 51, 32, -57, 70, 20, 36, 27, 13, 26, -42, 31, 63, -62, 54, 22, 46, -8, 52, 62, -34, 47, 42, 35, -34, -40, -50, 24, 13, 60, 19, 56, 25, 29, 21, 15, -54, 20, 54, 51, 47, 53, -59, 47, -21, 67, -63, -41, -2, 0, -39, 0, 63, -5, 1, 42, -51, 50, 4, 48, 28, -11, 23, 21, -47, -47, -53, -48, 50, 17, 10, 43, 6, 36, -19, -33, 15, -44, 19, 21, -51, 15, 27, -51, -30, 1, -23, 12, -45, 12, -33, -40, -47, 55, 28, -62, -28, 43, 44, -54, -61, -56, 61, 48, -39, 27, 54, -61, 24, 28, -46, 32, 11, -42, 22, 8, 34, -35, 32, 23, -52, -1, -1, -36, -50, -5, 59, 47, 24, 55, 11, -60, -36, 8, -31, -8, 2, 22, -48, -36, 44, -1, -19, 3, -50, 5, -9, 32, 37, 8, 58, -22, 3, -42, -32, -3, 49, 11, -21, -2, -39, 21, -44, 13, 2, 46, 57, -28, 2, -4, 30, 27, 47, 2, -51, -33, 58, 23, 36, -59, -3, -12, 14, -46, 12, 61, -30, 19, -65, -33, 13, 1, 55, -45, -6, 42, 48, 14, -32, -27, -5, -35, 6, 3, -49, -36, 48, 52, -57, 5, 27, -30, -23, -45, -11, -14, -4, 64, 49, 47, -59, -22, 39, 29, 34, -57, -14, 55, -56, 52, 24, -27, 36, -42, -4, 33, -55, 23, -16, 53, 62, 30, -66, 19, 37, 24, -28, -10, 12, 6, 32, 60, -36, 37, -11, -23, 3, -6, 11, -18, -39, 11, -20, -12, 29, 9, 50, -11, 0, 16, -47, 25, 31, -18, 11, -34, 4, 2, -1, 8, -29, -3, -43, 13, -24, -2, 53, -7, -8, -41, 26, -45, 24, 45, -29, 2, 28, 58, 46, 55, -28, 40, -40, 50, 13, -34, -17, -63, -51, 36, 15, -14, -28, 37, 26, 9, 31, 8, 41, -34, -39, 2, -13, -50, -57, -14, -35, -41, 19, 26, 26, -61, 0, 7, 0, -25, 61, 11, 11, 54, 21, -62, -29, 11, 49, 50, 49, 82, -56, -57, 27, 39, -61, -14, 60, 29, -38, 42, -19, 0, -41, -26, 24, 2, 25, -13, -29, -23, -21, -47, 10, -59, -1, -72, -14, -45, -47, -62, 52, 57, 1, 35, -41, -56, -45, -69, -64, -57, -20, -21, -54, -15, 17, -66, 18, -15, -2, -52, 38, 52, 6, -24, -13, -29, 9, -7, 59, -50, -1, 66, -10, -28, 37, -30, -61, -18, 66, -52, -9, 16, 47, 12, 4, -34, -13, 10, 41, -29, -31, 54, 42, -41, -30, -44, -14, -28, 47, 9, 15, -5, 9, -9, -52, -31, -35, 32, 15, -52, 59, 12, -68, -55, -62, -70, -60, -38, -14, 45, 18, -2, 60, -14, -55, -21, -18, 51, 49, -64, -20, 28, 15, -32, 62, 21, -35, -47, -2, 40, 1, -41, 3, 65, -40, -10, -25, -55, 24, -62, 23, -28, 24, -6, -36, 32, 58, 19, 6, 68, -38, -45, -55, -39, -45, -2, -78, -34, -51, 53, 15, 53, -31, 59, 7, 28, 31, -45, 9, 13, 1, 10, -38, -51, 58, -57, 0, -36, -7, 7, 26, -59, -22, 48, -21, -41, 48, 48, 48, -56, -19, 41, -47, -21, 7, -26, -5, -6, -59, 21, 18, 16, -4, 61, 47, 2, -34, -51, -3, 63, -27, 56, -42, 30, 16, -41, -10, 13, 25, -40, 53, 16, 34, 39, -39, 47, 67, 28, 16, -4, -5, -19, -4, 5, 54, 26, -32, -24, -33, 0, -47, -58, 30, -7, 61, -17, -52, -40, -57, -29, 53, 39, 42, 56, -7, -12, 32, -26, -35, -33, -47, 35, 39, 9, 14, 31, 24, -54, 7, 48, 67, 38, 12, -15, -62, -40, -29, 38, -25, -54, 49, 56, 59, 60, 36, 55, -49, -43, -9, -34, 39, -2, 15, -17, 30, 23, 0, 21, -26, -30, 61, 40, -12, 33, -61, 28, 4, -42, -60, 2, -54, 18, -48, 20, -40, 19, 16, 29, 64, -41, -32, 5, -49, 17, -22, -65, 38, 50, 29, -18, 48, -55, 46, -58, 50, -41, 31, -37, -53, -11, -42, 23, -46, -17, 2, 4, 22, -27, -30, -10, -68, 33, 0, 15, 59, 40, 49, -18, -58, 8, 11, -9, -59, 28, -46, 1, 25, -11, 1, 27, 8, 54, -56, 38, 51, 37, -26, 10, 22, 2, 56, 42, 62, 13, -23, 24, 13, -5, -38, 68, -2, -50, 36, 29, -64, -23, 44, -54, 52, 18, -29, -30, -1, -54, -44, 49, -37, 7, 44, 30, 5, 16, 30, 32, -14, 22, -41, -46, -61, -27, -15, 32, 37, -4, -4, -20, -17, 42, -33, -17, -52, -23, 5, 55, 29, 48, -34, -8, 30, 46, -46, -35, 60, -47, 44, -41, 1, 36, -25, -56, 35, -47, -17, -55, -40, -10, 58, -20, 37, -1, 26, 54, -55, -23, 14, -34, -37, -44, -22, -32, -32, -59, -21, 42, 34, 54, 1, -56, -51, -57, 30, -58, -32, 24, 10, -51, 31, -17, 7, 56, 23, -51, -51, -41, 56, -12, -60, 48, 0, -2, -12, 15, -7, -31, -32, -45, 30, 5, -2, 14, 27, 27, 58, -42, -33, 44, 22, 27, 27, -47, 43, -40, 21, 31, -49, -22, -31, -26, 22, -14, -10, -60, -23, 53, 16, 34, -23, -10, 37, -31, -14, 14, 30, -9, -23, 30, -8, 2, 25, 42, 0, 61, 41, -32, 10, -45, -6, 62, 65, 32, 19, 58, 62, -2, 25, 10, 5, -39, -64, -32, -7, 9, 41, 39, 15, 33, 53, -8, -24, -21, -1, 25, -57, -37, 5, 32, -51, 22, -36, 4, -35, -61, -33, 33, -34, 51, 37, 25, -38, -24, -11, 23, -73, 14, -62, -2, 1, 45, 42, 29, 17, 21, 49, 50, 0, -9, -16, -66, -24, -19, -41, -34, -8, 26, 47, -18, 23, -16, -52, 55, -58, 30, -55, -16, -18, -8, 7, -36, 28, -31, 8, 26, 8, 47, 62, -18, -22, 45, 63, 49, -39, 5, -12, -18, -50, -65, 5, 18, 54, 21, 16, 45, -40, 55, -33, 6, 68, -40, 25, -55, -47, 20, 51, -2, -44, 35, -25, 7, 3, -4, -13, 31, 47, -34, 25, -45, -44, 62, -62, -59, -59, 24, 45, 37, -3, 18, 8, -61, -37, -3, 11, 35, -25, 51, -36, -18, -38, -42, 23, 19, 0, -2, 40, 26, 12, -26, 16, 20, -41, 74, -27, -62, 1, 57, 8, -34, 45, 59, -21, -15, 56, 6, 63, -40, 65, 57, -48, -56, -33, -6, -8, -15, -5, 61, -31, 26, -60, 42, -14, -43, 9, 27, 4, 4, 23, 46, 23, -43, -1, -47, 11, 65, 31, -17, 24, 27, -12, 37, 64, -4, -13, -64, 30, -8, 10, 43, -24, 17, 4, -33, 48, -4, 68, -37, -42, 43, 0, 55, 11, 78, 32, 19, 64, -49, 14, 11, -51, -51, -9, 36, 57, -47, 50, -2, 72, -8, 17, -17, -11, -37, 37, 48, 33, -49, 16, -51, 59, -21, 34, 67, 69, 37, -63, -44, 41, 64, 4, 33, 8, 34, 1, -48, -48, -15, -31, -37, -78, -9, -41, -10, -50, -69, -45, 52, -58, -7, 39, -22, -45, -28, -6, 21, 34, -15, 32, -51, -16, 29, 64, 29, 9, -27, -22, -15, -57, 4, 23, -8, 36, 29, 44, 10, -44, -43, -32, -38, -18, -9, 48, 12, -10, 43, 14, 56, 23, -24, 79, 0, -63, 39, -72, -58, -44, -48, 46, 21, -34, -36, -34, 35, -85, 27, -1, -35, 40, -22, 23, 79, 43, 29, -24, -6, 27, -17, 62, 11, 46, 67, 46, 27, -37, -28, 29, 29, -38, 59, -13, 37, 28, 21, -55, -50, 11, 35, -32, 9, -8, 55, 33, 33, 46, -40, 24, 8, -39, 3, -30, 2, -36, 11, -26, -77, -2, -36, -4, -29, 56, -17, -19, 72, -11, -3, 58, 55, -10, 63, -62, 48, -16, -19, 47, -19, -21, -7, -52, 12, 69, -9, -30, 12, -44, -53, 34, 17, 20, -22, -15, -20, 51, -54, -48, -9, 38, 24, -46, -13, -50, 5, -6, 19, 16, -16, 23, 50, -47, -53, -42, -62, 33, 69, -36, 52, 44, 35, -40, -10, 24, -61, -48, -28, -10, 31, 33, -65, 28, 13, 30, 48, -26, 66, 56, 24, 37, -47, -19, -35, -27, 37, 9, 24, -4, 51, -34, -23, 9, 7, -21, -60, 15, 16, 60, -55, -48, -34, -2, -13, -60, -31, 10, 9, 2, 32, 7, -20, 5, 58, -39, -3, 88, 21, 35, 15, 32, 20, -21, 2, 51, 31, -64, 37, 10, 8, -57, 44, -35, 18, -2, 59, -40, -59, 23, -1, -59, -46, 34, -44, -53, 27, -12, 11, -28, -49, 27, 44, -49, 6, -13, 75, -46, -9, 33, 6, 57, -24, 67, 23, 15, -50, -57, 54, -29, 2, 49, -16, 35, 50, 62, 65, -69, 51, 65, 20, 61, -17, -34, -10, -54, -37, 47, 41, 3, 20, -65, -10, 6, 24, -9, -49, -27, -67, -70, -51, 47, -11, -63, -35, -41, -52, -39, -43, -44, 71, 9, 24, 2, 45, -12, -19, 19, 32, -56, 38, 60, 16, 31, 48, 63, -56, 18, 56, -13, 21, -47, 61, -37, -45, -29, -6, 44, -44, -15, -6, 15, 25, -30, 12, 73, 17, 19, -34, -63, 46, 55, -8, -14, -34, 36, -24, -26, 18, 11, -11, 6, 5, -74, -29, 22, -4, -48, -55, 14, 27, -49, -5, -29, -3, -42, 42, -66, 37, 23, 8, 37, 10, 19, -43, -4, 54, 77, -7, 84, 61, -58, -75, -92, 3, -57, -27, -22, 63, 19, 15, -72, 42, -51, 38, -47, 0, 17, -1, -48, -43, 1, -57, -26, 51, 55, -45, -5, -45, 15, 15, -21, 41, -55, 16, 12, 62, -21, -34, 24, 5, -14, 34, -37, 51, 50, -14, -58, 26, 20, -42, -34, -15, 31, 44, -17, -5, 14, -17, -2, 44, -16, -10, -5, -16, 30, 1, -22, -28, -10, 3, -32, 1, 52, 38, 60, -54, 12, -20, 10, -32, -8, -53, -48, -35, -8, -33, -32, -24, -8, 34, 49, 59, -34, 49, -27, -48, -17, -5, -11, -55, -13, 57, -43, -46, -19, 22, 3, -45, -14, -47, 48, 37, 5, 13, -41, -7, 52, -37, 24, -44, -28, -12, 15, -58, -69, -23, 21, 61, -31, 48, -9, -49, -36, -53, -18, -82, 22, -48, -68, 1, -37, -72, -21, 23, -18, 46, 54, 13, 40, 49, 30, 64, -9, 21, -11, -4, 49, 47, -34, 18, -12, -18, 21, 13, 37, 33, -33, -29, 0, -57, 3, 33, -4, 8, 7, -42, 32, -48, -69, -28, -45, -23, 20, 0, 38, 15, -39, -46, 64, 4, 9, -34, -44, -24, 68, 44, 36, 73, 59, 43, -56, 26, -4, -5, -4, 1, 8, -10, -42, 6, -25, 54, 18, 21, -12, -20, -32, 0, -32, 12, -15, -49, -37, -35, -65, -49, -36, 12, 14, 26, -12, -11, -18, -32, -25, 32, -60, 0, -22, -9, -34, -55, 48, -76, -29, -58, 23, 1, -34, 26, 40, -28, -14, 53, -37, 45, 44, -11, 60, 30, -37, 62, -15, 11, -13, -9, -57, -45, -13, -9, -37, -54, -16, 44, 24, -8, -38, 40, 42, 49, 37, 2, -25, 46, 36, 62, -54, -14, -8, 10, 24, -29, -32, -47, 33, 17, 55, -8, 72, 26, 13, -2, 47, 37, 15, 20, -36, -14, -8, 24, 16, -11, -28, -54, -17, 27, 36, 15, 51, 0, 13, 81, 69, 60, 65, 57, -29, 32, 19, -10, -14, -9, 31, -1, 33, 25, -77, -67, -38, -10, -24, 32, 33, -9, -42, 77, 17, -37, -19, 33, 38, -45, 35, 15, -9, -3, -62, -34, 1, -65, 24, -21, 54, 32, 8, 21, 16, -25, 43, 47, 48, -42, -55, -27, 23, -5, -49, 7, -8, -10, -12, 36, 2, -36, 43, -67, 53, -4, 30, -42, -46, -8, 23, -12, 56, 2, -30, 28, 45, 1, -40, -19, 62, -45, -24, 45, 16, 25, 16, 17, -60, 20, -60, -50, 62, 39, 61, -12, 24, 54, 52, -31, 12, 28, 35, -29, -52, -48, 18, -68, -9, -10, 6, -20, 45, 53, -10, -18, -19, -42, -15, -34, -53, 11, 23, 25, 48, -29, 17, -29, -4, 53, 22, 23, -25, -33, 33, 21, 0, 22, -9, -5, -6, 15, 64, -56, 53, 6, -73, 7, -73, -10, -81, -52, -23, -9, -47, -17, -35, -48, -3, 8, -77, -5, 33, -66, -9, 57, 28, 1, -61, -14, -44, -32, -33, -12, -52, 23, -65, -46, -39, -5, -33, -1, 15, 8, 61, 87, -2, 31, 56, 82, 70, -100, 12, -26, -66, -11, 3, 17, 12, -45, 26, -19, 52, -54, 29, -27, 39, -65, -13, 23, 78, 50, 25, -31, -47, 7, -35, -9, -11, -73, -78, -72, 10, -3, -34, -55, -45, 34, -54, -34, -58, -20, 28, -38, 22, -42, 26, 41, -20, -53, -29, -41, 18, -53, 20, -59, -15, -16, -3, -50, 9, 54, -52, -14, -4, -61, -35, 45, -52, -50, -47, 16, -80, -19, 64, -32, -24, 37, 10, 0, 18, 20, 43, 49, 56, 59, -21, -17, -52, -1, -9, 16, 45, -1, -3, 33, 44, 30, -8, 36, -20, 67, -12, -63, -42, -31, -48, 28, 9, 26, -22, -16, 24, -8, 34, -47, 18, 6, -36, 20, -5, -30, -62, -4, -76, -20, -20, -5, -20, 39, 60, -11, 52, -42, 15, -23, -9, 4, 51, 10, -36, 43, 27, 33, -46, 2, -22, -14, 19, 48, -7, -10, -28, 20, -89, 26, -13, 36, -38, -10, 35, -46, 28, -36, -16, 31, -59, -70, -5, 30, 41, -5, 17, 58, 7, 43, 34, -45, 13, 25, 45, -37, -31, 18, -63, -67, -21, 50, -36, -51, 36, 59, -54, 44, 1, 11, -43, -58, 43, -6, -57, 38, -46, 35, 9, 61, -42, -24, -47, -58, 58, -45, -48, 45, -52, 24, -59, 35, -21, 42, -60, -9, 53, -52, 11, 1, -52, -16, -18, -17, -34, 49, -36, -30, -2, 5, 5, 38, 31, -11, 32, 31, -39, 2, -37, 56, 59, 50, -28, 58, 26, -58, 5, -59, -56, 10, 22, -10, 48, -7, 19, -15, 48, 55, 24, 51, -23, -35, 45, -61, 10, 49, 48, -44, 43, 4, 23, -40, -48, 57, -30, 16, 13, -26, 30, 11, -47, -56, 5, 40, 20, 31, 40, 49, -3, 16, 31, 36, 27, -1, -32, -55, 7, 11, 42, -10, -46, 34, 9, 13, 23, 36, 15, 33, 31, 53, -76, -59, -39, -52, -76, -59, -29, 11, -13, -54, -36, 37, 29, -47, 63, -36, 22, 61, -17, 76, 14, 48, 80, 9, -20, 18, 14, -11, -59, -27, 34, 13, -17, 2, -29, 9, -46, 4, -60, 17, 2, 9, -13, 26, -59, 36, 14, -22, 5, 14, 30, -62, 49, 24, 21, 32, 18, -40, 43, -26, -22, -57, -52, 41, -8, -37, 65, -51, -18, -50, 56, -61, 23, -79, 17, 56, 31, -59, -38, -27, 15, -62, 53, -15, -16, 35, 20, 36, -1, 19, 9, 0, -28, -13, 11, -75, -42, 18, 26, 50, 30, -51, -32, 11, -62, 65, 6, -56, 40, 52, -25, -1, -20, 40, 55, -23, -47, -11, 6, -20, 16, -25, 25, 63, 34, -4, -26, 25, -59, 2, -80, 20, -56, 47, 9, 59, 97, 16, -11, 10, -32, -23, -60, -6, 3, 47, -38, 48, 26, 13, -35, -63, 40, -44, 13, -52, 10, 23, -31, 3, 0, 20, 51, -23, 49, -32, 44, -63, -35, 39, -21, 63, 41, 42, 37, -13, -15, 9, 15, 20, -12, -5, 54, 68, 13, 36, 56, -38, -25, -22, -81, 14, 43, -12, 21, -11, 3, -20, 35, 23, 26, -61, -15, -11, -15, 23, -42, 23, -59, -48, -14, -17, 66, -7, 36, -59, -6, 35, 63, 24, 9, 35, -4, -26, -30, -57, 55, -22, -21, -27, -35, -21, -46, -6, -4, 20, -7, -38, -6, 57, -35, -6, -7, -27, 54, -14, 51, -50, 61, 25, -11, 9, -83, -58, 22, 6, 10, 52, -15, 20, -60, 12, 46, 17, 30, 62, 4, -49, -33, -14, -52, -20, -19, -30, -4, -55, -5, 14, -48, -11, -13, 18, 29, -21, 48, -32, -22, 22, 18, -50, 2, -55, -58, 40, -34, -22, -53, 35, 7, -35, 39, 42, 44, 59, 57, 15, -19, -50, -71, -62, -12, 28, 64, 53, 32, 6, 37, -51, -50, -3, -23, 65, -52, 60, -48, -15, 0, 68, 93, -5, -62, 35, -37, 45, 24, -21, -32, 32, -56, -9, 53, 46, -6, -47, -41, 16, -8, -27, -11, -51, -18, 21, 2, 58, -21, -41, -10, -39, -27, 49, 50, 17, 25, -44, 40, 9, 58, 16, -60, 38, -27, -55, 27, 40, -11, 54, 28, 0, 23, 10, -64, -62, -65, -35, 9, 72, 4, 19, 2, 8, -39, -54, 35, -32, -57, 6, 28, -22, 26, 44, -16, 21, 45, 26, 30, 40, -40, -26, -1, 23, -10, 22, 52, 20, -50, -9, 34, -16, -28, -26, -4, 43, 36, -37, -43, -17, 42, 48, 16, -47, 18, -15, 38, -40, -1, -39, 5, -7, -4, -37, 12, -43, -10, -37, -42, -39, -22, 58, -25, 54, -40, 24, 24, -49, -10, 56, 6, 58, -55, -41, -38, -7, -1, 58, -40, -28, 23, 71, 3, -54, 17, -17, -16, 44, -25, -54, 19, -54, -75, 64, 9, -23, -22, 5, -26, -68, -25, -47, -37, -8, -7, 25, 58, 46, 1, -17, 24, -36, -59, -34, -45, 23, 26, 29, 32, -8, -44, -11, -25, -29, 36, -26, 11, 56, -9, 18, 42, -32, -53, -12, -60, 7, 42, 19, 65, -20, -10, 7, -47, -47, 27, 51, -32, -31, -27, 1, -29, -26, 11, 26, -17, -29, -48, 39, -67, -12, -46, -18, -45, -36, -3, -48, -3, 35, -48, -5, 50, -25, -80, -17, -6, 59, -58, -68, 10, 5, 32, 11, 52, -54, -8, -66, 15, 19, 30, 52, -51, 33, 59, 37, -59, -72, -46, -40, 47, 59, 24, 54, -32, 5, -62, 38, 27, 19, 7, -37, -23, -58, 12, -34, -37, -53, 32, 54, 20, -61, 13, 40, -6, -56, 33, -44, -18, 20, -28, -44, -34, -32, -14, 15, 40, 17, 19, 76, -2, 37, 49, 21, -21, 27, 31, 32, -10, 38, -8, -38, -48, 13, 66, -14, 65, 63, -23, 52, 31, 30, 30, -34, 17, -29, 42, -32, -12, 32, -10, -61, -55, -26, 19, -14, 46, -3, 50, 28, -43, -46, -38, 48, -52, -50, -31, -9, -53, 54, 16, -52, 24, 48, -35, 12, -36, 10, 44, 1, -18, 40, 48, 62, 46, -41, -15, -37, -23, 19, -19, -21, -3, -58, -50, 52, -57, 12, 2, -43, -41, 61, -33, -27, 51, -64, -3, 49, -30, -29, 54, -67, 43, -23, -45, -51, -31, 47, 66, -16, 35, -28, 40, 66, -64, 58, -10, -19, 51, -41, 47, -32, -32, 3, 10, -31, -55, -54, -5, -27, -28, -19, -8, -52, -34, -49, 10, -24, -21, -42, -56, 42, 44, 26, -16, 3, 59, -28, 59, 5, 39, -45, -57, 34, -64, 58, -39, -42, 48, 18, 32, -72, -53, -40, -44, 54, 25, -28, -40, 57, -53, 9, 63, 19, 58, -15, 27, -54, 40, 16, 32, 31, -27, -38, 31, -18, -50, 34, -10, -32, -13, 15, -36, -16, 68, 48, -31, -24, -52, -8, -53, 49, 76, 51, -37, 16, 7, -11, 59, 1, -6, 44, 19, -20, -45, 7, 64, -46, -62, -74, -66, -50, -79, 46, -15, -33, -41, 44, -14, 34, 31, 7, 51, -62, -44, 41, -53, 10, -18, 44, 25, 29, -29, 47, -40, 24, 29, -3, -45, -10, 50, 15, -26, 11, 32, -22, 19, -55, 7, 11, -2, -9, 52, -4, -62, -7, -51, -60, 58, -14, -56, -35, -55, 57, 21, -26, 16, -2, -24, 31, -32, 41, -42, -26, -2, -12, 31, -33, -8, 43, 46, 12, 19, 61, -64, 27, -39, -9, 24, -70, 31, 54, -40, 54, -13, -63, -6, -26, -60, 23, -30, -31, 20, -48, 35, 52, 47, 6, 35, -7, 14, -29, -11, 28, 11, -39, 13, 4, 25, -17, 27, 11, 21, -24, -20, 15, -68, 7, 6, 2, 15, 61, 44, -46, 31, 15, 5, 26, -36, -55, 29, 43, -56, -19, -29, 1, -24, 59, -17, -4, 2, 20, 21, -51, -47, -61, 45, 16, -51, 3, -29, 63, 42, -16, -61, -5, 21, 31, 33, -48, 30, 6, -26, -19, 20, -23, -36, -47, -25, 5, 33, -46, 58, -20, 59, 40, 35, -53, 14, -57, -56, -7, 29, 5, -28, -8, -53, 10, 38, -22, 48, 5, -36, -59, -44, 19, -2, -19, -28, 25, -30, 46, 20, 11, -65, -53, 47, -37, 69, 38, -19, 18, -33, -59, -37, -3, -28, 12, 7, -24, -63, -53, 64, 49, -54, -30, -36, -53, 22, 1, 53, -35, 19, 61, 1, -68, 50, 22, -31, -28, 29, -44, -33, 52, 30, 44, -45, 6, 22, 44, -58, -38, 60, -40, -43, 20, 48, 11, 3, -5, -7, 65, -10, -43, -57, -35, -38, -45, -22, 46, -21, -16, -7, 37, -3, -33, 60, -32, 3, 0, 50, 37, -56, 6, 17, 37, 6, 51, -12, -15, -62, -40, -24, 59, -58, -26, 9, 40, -34, 57, 34, 0, 9, -26, -5, -58, 3, 13, 9, 30, -62, -49, 37, -55, 60, -48, -36, -17, -6, -33, -49, -41, 25, -9, 65, -5, 31, 17, 25, 55, -28, -59, -55, -34, 58, -14, 8, -7, 55, 24, 60, -24, 17, 38, 72, -17, -13, -19, -29, -18, 44, -56, -12, -59, -30, 48, 0, -15, 51, -55, -37, 19, -44, 16, 43, -59, -17, 38, 65, 29, 27, -43, 2, 2, 38, -58, -40, 26, 22, -8, -16, -27, -44, 15, -35, 16, -30, 9, 22, 18, 57, 37, 4, 36, -12, 10, 6, 43, -57, 53, -1, -44, 52, -23, -26, -31, 46, -12, -16, 10, -21, 2, -58, -15, -43, 54, -19, 56, 50, -16, -25, -10, -56, 36, 58, -61, -64, -46, -29, -38, -39, 47, -10, -39, -23, -33, 62, 36, 12, -42, 64, -2, 0, 15, -48, -50, 21, -70, 57, -52, -20, 17, 13, -29, -13, 8, -21, -2, -11, 29, -61, 40, -30, -71, -56, 21, -7, 32, 12, 26, -50, 46, 48, -2, -5, 22, 45, 19, -38, -43, 43, 55, 0, -46, 26, -26, -51, -12, 60, -66, -31, 62, 23, 2, 54, -56, -49, 58, -54, 62, 43, 57, -66, 14, -13, -26, 53, -62, -42, -58, 32, 57, 50, 15, -2, 41, -39, 52, 21, 61, 40, -5, -43, 63, 8, -22, -9, 52, 7, 28, 42, -45, -27, -46, -52, 21, 1, -18, 65, -21, -24, 41, 1, -27, 16, 19, -45, -52, -14, 28, 34, -39, 10, 38, -52, 5, 44, -38, -30, -66, -42, -4, 56, -31, -34, -24, -16, -5, 20, 33, -8, 38, -24, -61, 17, 50, 17, 19, 55, -47, -49, -53, -9, 33, 62, 18, -8, -58, 16, 40, 58, -55, 39, -6, 26, 70, 59, -50, -10, -45, 16, -72, 21, -60, 10, -44, -41, 57, 55, 43, -51, -48, -33, -2, 27, -56, 15, -50, 17, 50, 29, -67, 11, -9, 0, 30, 25, 17, 6, 27, -75, -79, -55, -44, -38, 59, -10, -2, 30, -18, 8, -7, -9, -51, -18, 46, 6, 27, -1, -32, -73, 22, -41, 44, -41, -72, 52, 8, -56, 0, -28, -32, 52, -30, -17, 44, 43, -43, 35, -5, -41, -26, -64, -11, -29, -41, -51, 21, 34, -57, 4, -54, 9, -7, -11, -58, -39, -35, -64, -50, 61, -52, 64, -38, 22, 6, -16, -48, -60, -1, -36, 7, -25, -10, -13, -59, 46, -30, -32, -20, -60, 26, -42, 11, 24, -58, 3, -44, 44, 54, -43, -38, 45, -33, 47, 42, 16, -50, -36, 63, -13, -50, 5, -3, -40, 50, -36, 9, -13, 80, -41, 33, -62, 31, -13, 21, -37, 54, -54, 48, 27, -42, 53, 37, -46, 30, -52, 41, -63, -36, 46, 41, 56, 18, 20, -10, 46, -53, 10, -22, -57, -58, -3, 64, -43, 12, -34, 12, 12, -10, -67, 43, -37, 46, 3, -11, -23, 11, 32, 31, -16, 61, -35, -56, 29, 49, -14, 67, -62, -40, 5, 66, -25, 17, 53, 50, -8, 34, 35, -3, -24, 27, 6, 45, 9, 47, 36, 57, 45, 23, -49, 25, 24, 26, 3, 8, -20, -2, 36, 33, -32, -49, 9, 47, 19, -32, -72, 62, 48, 25, -44, 13, 48, 6, -19, -5, 34, 35, -10, -25, 56, -49, -66, -32, -33, -32, -28, -27, 53, 5, 56, 11, 3, 13, 27, 42, -54, -31, -55, -46, -24, 14, 53, -54, -8, -49, -50, 44, 39, -35, -26, 41, -8, -21, -5, -40, 31, -27, -18, -39, 25, -40, -43, 22, -2, 50, 31, -21, -30, -10, 37, -29, -38, -23, 5, -53, 4, -43, -58, 2, 1, 22, 22, -51, -34, -24, 25, -25, -18, 54, -30, -26, 39, -30, 30, -38, -36, -18, 19, 34, 52, 54, -59, 20, 58, 10, 15, 34, -3, 51, -35, -25, -61, -71, 36, 43, -28, -34, 58, 13, 57, -43, 35, 18, 45, -12, -25, -39, -35, 39, 53, -32, -3, -17, -65, 33, 33, -35, -43, 14, 61, -9, -40, -4, -52, -63, -31, -34, -27, 29, 7, -4, 57, -49, -46, 15, 21, -33, 30, -23, -1, 26, -19, -58, -37, 38, 45, -50, -58, 7, -28, -22, 7, -41, 1, 21, 44, 9, 41, 11, 10, -5, 25, -19, 30, 45, 40, 29, 5, 0, 51, -15, -60, -36, -51, 56, 28, 55, 64, 46, 7, 38, 20, -25, 13, -32, -28, 40, 30, 10, -18, 21, -62, -28, -3, -20, 45, 11, -24, 7, -25, 17, 26, -18, 41, 47, -26, -23, 29, 12, 20, -18, -15, 34, -25, 38, -22, 49, 27, 50, 45, 24, -45, 40, -3, -18, -21, -25, 53, -44, -3, 22, -29, -7, 10, -52, 49, -37, 22, -34, 42, -20, 25, 2, -49, 5, 49, 55, -64, 43, -48, 7, 48, 25, 49, 50, 9, -25, 3, -30, -12, -29, 43, 53, 5, 60, -27, -53, -63, 20, -54, -18, 26, 50, -13, 52, 30, 49, -55, -28, -30, -3, -47, 67, 52, 13, 4, 22, 23, 38, 18, 58, -3, -16, -51, 18, -13, 27, -1, -12, -57, 17, 25, 21, 38, -52, -71, -7, -62, 38, 22, 42, -30, 24, 46, 45, -24, 55, -22, -14, 33, -51, -12, 50, 57, -48, 7, 24, 20, 39, 6, 49, -44, 22, 30, 44, -50, 49, 64, 33, 56, -41, 0, -16, -3, 25, -62, -42, -17, -5, -54, -28, 29, -57, 5, 41, -47, -64, -25, 19, 30, -15, -40, -38, 36, 24, -59, -40, 55, 35, 9, 16, 29, 26, 2, 47, 44, 26, 14, 55, -52, -17, 60, -15, -46, -41, -27, -22, -18, -42, -31, -24, -65, 36, -59, -31, 23, 32, -55, 25, -12, 59, -17, 19, 2, -27, -23, -15, -45, 49, 65, -28, -15, -22, -27, -3, -41, -61, 50, 20, -14, -69, 46, 17, -51, 56, -21, 13, -5, -49, 52, 9, -54, 5, -39, 11, 30, 15, -24, 19, 44, -43, -1, -24, -46, -56, 34, 21, 63, -13, -59, 32, 36, 17, -27, -45, 36, 32, 26, -20, -31, 9, 35, 50, -64, -41, -31, 4, 6, -65, -31, -10, -15, -4, 41, -49, -51, 4, 49, -51, -27, -46, 25, -54, -28, -33, -50, -53, 37, 28, 41, -27, -16, -56, -12, -6, -5, 37, 5, 0, 14, 42, 17, -34, 26, 9, -58, 65, -55, 1, 59, 33, -49, 62, 32, -22, 23, 50, -7, 23, -23, 8, -30, 45, -21, 56, -18, 53, -68, -51, -34, -25, -39, 25, 11, 49, -60, -43, 21, -37, 22, -50, -14, 2, -42, -53, -27, -33, 56, -24, 5, 20, 53, 53, -27, 35, -12, -47, -47, 20, 33, 65, 33, -35, -2, -41, 16, 19, 13, 4, -47, 5, -37, -58, -64, 40, 14, 11, -46, 8, 33, -61, 25, -12, -34, -62, -28, 50, 47, 28, 12, -44, 31, -63, -38, 28, -63, -39, 3, 43, 16, 33, -5, 0, -50, 27, 30, 0, 44, -23, 75, -37, -59, -30, -10, -31, 4, 3, 5, -18, -9, -48, 44, -36, -33, -28, -25, -30, 28, -10, 36, -38, -50, 17, 27, -32, -45, -44, 5, -64, -46, -65, -3, 7, -37, 24, -29, 9, -63, 29, 29, 21, 22, 16, -39, 11, 5, -12, -63, -7, -21, -34, -65, 32, 45, 31, 45, -25, 15, -34, -44, 62, -52, -24, -7, 78, -52, 28, -3, 41, 19, -35, 15, -61, -63, 43, 47, 13, 7, -6, -29, 31, 35, -38, 39, -37, -24, -20, 43, 68, -51, -9, -61, 31, 59, -38, 57, 22, 39, -19, -64, -63, -15, -27, -34, 54, -14, 17, -25, 35, -69, -18, 34, 36, 52, 47, -35, 18, 3, -4, -19, -6, -65, -40, 49, -37, 8, -10, 21, -3, -28, -36, 19, -26, 68, -13, 34, -4, -39, 13, -18, 25, 24, 78, -29, 11, 26, 27, -16, -56, 23, 8, 4, -40, -2, 15, 0, -15, 8, -20, -35, -66, -43, 46, 21, -28, -42, 16, 14, -6, 10, 40, -16, -45, 34, -37, 9, 8, 0, -26, -59, -1, -58, -66, -20, 29, -14, 34, -16, 49, 22, -11, 16, -17, -21, -15, 45, -33, -71, -7, -56, 15, 26, 73, 29, 13, -10, 17, -10, 18, 34, -47, -25, -35, -35, -33, -50, -3, -58, -27, -54, -1, 27, -4, -6, 29, 7, 9, -7, -5, -13, 5, 62, 52, 29, 21, 42, -66, -22, 18, 48, 51, -8, -38, 8, 18, -52, -38, -20, -51, 15, 44, -45, -10, -59, -16, -8, -9, 37, -63, 41, 22, -25, 58, -31, 47, 10, -4, 18, -33, 54, 19, 39, 24, 17, 8, -13, 8, -32, -28, 42, 3, -18, 26, 38, 12, -54, -13, 28, 5, 46, -22, 28, 26, -69, 58, 53, 35, -17, -27, 57, -44, -32, 51, -6, 57, -66, -35, -35, -3, -53, 47, -9, -45, 32, 52, 30, 23, 5, -17, -59, -72, 47, 38, -45, 6, 12, -31, -5, -53, 26, -14, 38, -18, -52, -1, -23, 5, 34, -1, -4, -3, -58, -1, 7, -81, -6, -12, 13, 56, 4, 29, 60, 56, -62, 38, -69, -32, 52, 38, -2, -3, -19, -65, 30, 41, 10, -33, -37, -24, 5, 34, -15, -39, 14, -57, -26, -45, -28, -31, -33, -60, 20, -15, -21, -8, 64, 12, 6, 58, -56, 57, 24, -27, -44, 16, -6, -61, 36, -43, 41, 52, -44, -8, -10, -40, 45, -53, -39, 58, 24, -5, 47, -50, 32, 26, 23, 57, 44, -58, -26, -55, 61, 53, 30, -11, -43, -17, 39, 10, -29, 45, 64, -57, 27, 54, -46, 23, -50, -32, -14, -11, 42, -7, 53, 34, 30, 2, 0, 7, 9, 16, -18, -57, -13, -44, 42, -49, 17, -62, 25, 37, -28, -11, 5, -1, 28, 24, -13, 2, 58, -25, 53, -6, -58, 7, -38, -69, 13, 54, 44, -19, 53, 7, 31, 28, 20, -12, 54, 40, 22, -16, 3, -20, 26, -56, 50, 50, 10, 38, 8, 12, -14, 64, 21, -36, -62, -15, 63, -47, -31, -32, 35, 6, 50, 29, 40, 18, -26, 21, -69, 15, 2, 43, -56, -15, -11, 83, 4, 1, -8, 38, 6, -15, -13, -5, 57, -32, -8, 43, -34, -37, 14, -14, -29, 50, 43, 44, 34, -22, -48, 35, -11, 30, -21, 48, -49, 24, -40, -18, 34, -61, -63, -17, -5, 28, -14, 54, -36, -8, -1, 7, 76, -10, 34, -51, -25, -34, -35, -17, -25, 48, 32, -28, 48, -49, -3, 37, 2, -57, -4, 57, -3, 50, -8, 12, -41, -9, 54, -25, -44, 59, -24, -63, 6, 65, -23, 7, 35, 39, 23, -24, -34, 53, -53, -33, -59, 16, -30, -28, 37, -16, -55, 39, -20, -39, 18, -9, 26, 7, -49, 36, 48, 44, 40, 0, 22, -36, -59, -74, 42, 31, 2, -33, 55, -35, -30, 50, -14, -45, -8, -25, 38, -12, 7, 12, 4, 46, -57, 35, -10, 38, 52, -13, -28, 36, 0, -13, -25, 55, 10, 8, 63, -13, 51, -7, 34, -37, 16, -17, -25, -37, 38, -9, -44, -20, 31, -60, -30, 3, -46, -43, 45, 5, 13, 10, -14, -22, 56, 49, 12, -25, 6, -44, -31, 13, -11, -19, -11, -31, 18, 5, 20, 51, 23, -25, -19, -21, -9, -2, 48, 55, -11, 43, 13, -35, 6, 46, 32, 79, 12, 9, -53, -39, -30, 32, 64, 48, -45, 23, -33, 32, -48, 30, 0, 41, 2, -46, 2, -51, -19, -20, 16, -25, -19, 18, 5, -2, -33, 34, 54, -31, 53, 17, -43, 1, -32, -9, 21, -55, 43, 17, 2, 18, 15, -59, -23, -14, 37, 25, -17, -52, -39, -58, 26, -45, -19, 31, -49, -44, -49, 28, 20, 21, 14, -34, -21, -42, -29, 5, 53, -4, -50, 32, 51, 36, 32, -36, 4, 10, 31, 13, 22, -32, -68, 45, 65, -4, -60, 17, -49, 51, -45, 20, -2, 22, 15, -63, -38, 38, 23, 33, 16, 4, 19, 46, -37, 29, 56, -22, -59, 36, -40, 13, 20, -54, -50, 4, -46, -47, 22, 40, -29, 15, 43, 14, -35, -20, 1, -54, 10, 32, -10, 21, 61, 33, -3, -85, -35, -33, -75, 56, -2, -4, 50, 37, 21, -77, -15, 38, 7, -16, 0, 27, 30, -8, -45, -39, -14, 22, 31, 18, -8, 54, -26, 47, -59, -5, 54, -10, -38, 32, -37, 17, 0, -7, 34, 47, -27, 6, 47, 53, 44, 15, -67, -46, -3, 34, -14, -36, -19, -25, -39, -50, 49, -5, -69, 62, 43, 1, 61, -23, 24, -36, -14, 36, -13, -50, -50, -59, 21, 62, -56, 11, 23, 61, -25, -21, -60, 68, -48, -5, 40, 8, 62, 12, 40, 19, 24, 54, -7, -16, 17, -10, -18, 52, -55, 59, 43, 46, -7, -35, 21, -25, 35, 38, 38, 52, -10, 4, -34, 48, 42, 39, 52, 35, -32, 32, -23, 10, 27, 18, 60, -60, 33, -29, -31, -51, -43, 22, 14, 6, -72, -34, -34, -65, 36, -29, 60, -48, -58, 45, -49, -47, 34, -47, -21, 51, 21, -8, 23, 19, -5, -10, 26, -44, -51, -21, -15, 39, -22, -27, -26, -3, 8, 48, 40, 30, 42, -21, 60, 32, -52, 60, -63, -28, -53, 50, -44, 36, 8, -41, 31, 28, 15, -23, -4, 57, 28, 58, -39, -2, -31, -41, 16, 22, -16, -56, -54, 22, -15, 18, 14, -8, 35, 14, -29, 5, 22, 40, 36, 5, -55, -44, 44, 61, -11, -21, 32, 11, 35, 44, 60, -31, -21, -19, -39, -25, -24, -9, -24, -15, 35, -1, -40, -41, -29, 51, -49, 44, 36, -57, -49, 26, -12, -44, -5, -14, 47, 56, -25, 32, 55, -49, 25, -57, -12, 57, 40, 45, 8, 40, 42, 54, 28, -37, 22, -49, 0, 23, -30, 25, 27, 12, 11, -40, 14, 65, -63, 38, -56, -25, -28, 30, 66, -11, -35, 26, -61, 53, 43, 50, -46, 46, 29, -4, 21, 67, -21, -6, -41, 46, 43, 61, 43, 13, -6, -64, 24, -12, -29, -36, 30, -49, -1, 29, -48, -23, -39, -43, 28, -55, 39, -55, -34, -23, 52, -43, 53, -13, -23, 51, 60, -44, -51, -27, 21, -2, -29, 35, -16, 2, 45, -35, -63, -64, 13, 53, 47, -31, 8, 47, 53, 16, -4, -22, 17, 38, -12, -6, 0, -41, 17, 28, -31, -19, -4, -42, -58, -50, 18, 24, -22, -27, -52, -42, -36, -30, 28, 16, -49, 58, 22, -42, -45, 4, 18, 17, 12, 17, -46, 46, -53, -17, -38, 48, 53, -63, -20, 25, -31, 63, 60, 23, -53, -38, -53, 44, -24, -9, 41, -31, -40, -58, 61, -52, 53, -16, -40, -5, -48, 13, 33, -40, -10, 9, 58, -34, 42, -48, 18, 44, -11, -50, -29, -26, 16, -17, -47, 24, 18, 0, -23, 5, 38, -58, -25, -64, -44, 32, 20, -22, 6, -35, -41, 8, -49, -15, -63, -43, -43, 42, 34, 30, -45, 12, 2, 24, 3, 64, 15, -9, 8, 8, 66, -47, 12, -25, -48, 0, 61, -7, -37, 18, -21, 22, 18, -24, -70, -16, -53, -26, -44, 37, -56, -55, -45, -1, -38, -14, 26, 58, -15, 16, -59, -9, -15, -13, -11, -28, -50, 0, -45, 64, -18, 63, -27, 32, -9, 21, -8, -14, 2, -9, 32, -8, 30, -27, -3, 18, -25, 13, 38, -27, -47, -57, -11, 52, 16, 20, 54, 27, -46, 9, 2, -29, -23, 35, 11, 28, -34, -70, 15, 45, -59, 46, -21, 5, 23, -21, 37, -20, 31, -55, -16, -39, -47, -37, -27, -47, -18, -60, -31, 24, -68, -22, 13, -54, 6, 27, 57, 22, 49, -13, 28, 32, -11, 40, -20, 59, -16, -30, 23, -8, -16, -5, 5, 42, -39, -2, 6, -29, -7, 6, -4, -7, -13, 8, -8, -65, -58, -51, -19, -50, -58, -53, 43, -3, 38, 26, -56, 9, -40, -12, -19, -27, -15, -23, -41, -43, 35, -31, 50, -34, 0, 17, 17, 1, 39, 9, 20, 21, -49, -44, -39, 52, 52, -58, -58, 22, -67, -2, -1, 52, 63, 34, -4, 2, 32, -1, -50, 6, -41, -55, -27, 37, 38, -4, -62, 11, 13, 21, -29, 34, -43, -77, 39, 41, -8, 4, 50, 7, -53, -7, 19, 36, -49, 1, -34, 9, -8, 33, 43, 26, 10, 29, 18, 29, -11, 48, -31, -26, 32, 23, -29, -10, 40, 40, -46, 31, -19, -28, 63, 38, -21, 27, -5, 0, -45, -46, 48, 27, -41, 53, 45, -39, 57, 3, -13, -9, 43, 35, -41, 17, 53, -41, 31, -58, 39, -52, -30, -42, -58, 30, -29, 7, -20, -61, 16, 5, 40, -35, -24, -22, -23, -56, -53, 19, 34, 53, -27, 16, 46, 52, -10, 20, -39, 44, -59, 10, 1, -60, 24, 30, -11, -32, 52, -21, -55, 28, -3, -28, -48, 30, 43, -2, -42, -15, 29, -23, 7, -1, 16, 7, 41, 32, -13, 51, -44, -56, 53, 1, -21, -15, 34, 28, -47, -40, 48, -65, 7, 40, 32, 40, -15, 27, 12, 10, -56, 52, -32, 27, -63, 49, -25, -26, -26, 42, 15, 7, -14, -36, 16, -43, -56, 6, 65, 55, 42, 0, 38, 16, -36, 30, -34, 46, 7, -60, 34, -15, -1, 31, -54, -15, 46, -35, -31, -24, -72, -16, 12, 3, 56, -7, -25, -15, -4, -49, 22, 1, 20, -3, -21, -5, 23, -25, -13, -33, 18, -9, -39, 33, -3, -61, -39, 27, 56, 42, 55, 45, -56, 18, -66, 56, -23, 1, -33, 48, -41, -61, -59, -39, 17, 26, 40, -50, -31, 39, -15, 2, 7, 62, -28, 21, -32, -43, 7, -14, -24, -53, 21, -19, -23, -55, 59, -50, 16, 3, 1, 39, -1, -13, -58, -46, -42, -27, -37, 39, 31, -48, -53, 6, 33, 15, 37, -42, 47, 31, 49, -33, 27, 41, 11, 45, 59, 44, 52, -21, -9, -28, -51, 54, -11, 18, 10, -29, -6, 5, 57, -43, -25, -65, 56, -63, 5, 24, -23, 54, 39, 7, 32, 26, 64, 56, 43, -53, 7, 42, 24, -59, -38, -42, 12, -60, 57, 20, -59, -37, -50, -61, -4, -12, 27, 46, -1, 4, 63, 29, -52, 62, 49, 43, -11, -51, -2, 46, -46, 52, -15, -49, 24, 59, -50, 15, -64, 60, -39, -32, -57, 26, 61, 39, 50, 47, -56, -1, -2, 36, -29, -23, 56, -43, 26, -15, -15, -48, 51, -56, 50, 26, 46, 4, -20, -4, -55, -54, 18, -28, 25, 26, -64, -46, 37, -18, 63, 47, 26, 49, -4, 45, 20, -14, 1, -21, -24, 51, -15, 7, -30, -31, 4, 27, -37, -15, 8, 32, -30, 58, 14, 42, -14, 13, -22, 59, -1, 47, -38, -12, 25, 6, 43, -28, 46, -6, -8, -17, -25, -4, 47, -14, -31, 28, 7, 17, 4, 45, 30, 45, 18, 48, -45, 5, -6, 36, 36, -25, 33, -2, 47, 27, -56, -18, -34, 9, -16, -28, -54, -22, -41, 14, -37, 16, -18, -47, 38, -23, -59, -66, -3, 19, 2, -41, -52, 40, -41, -7, 40, -37, -28, -56, 61, 51, -19, -59, -65, -59, 43, -48, -52, -17, -7, -45, -5, -45, 41, 37, -26, 19, -38, 39, -38, -37, 56, 48, 35, 21, 13, 18, 51, 34, -58, -9, -46, -57, 27, 48, -25, 33, -61, 43, -60, -17, -44, -43, 39, -1, -68, 51, 44, -46, -20, 37, -5, -60, 31, 35, -56, 57, -20, 42, 61, -14, 26, -36, -15, 37, -17, -3, 41, -18, -66, -41, 30, -58, -50, 2, 50, 16, -8, -63, -37, -21, 27, -46, 47, -48, 60, -41, 52, 26, -55, -2, 29, 28, -44, 61, 28, -11, -40, -63, -33, -25, 17, -22, 20, -10, 26, 31, 62, 38, 57, 10, -30, -52, -19, 37, -26, -17, 34, 40, -60, 7, -22, -46, 52, 33, -7, 32, -60, -23, -64, 42, 47, 9, 39, -39, -34, -28, 52, 54, 11, 49, -17, 21, 57, 58, 16, 10, 15, 64, 37, -51, -35, 6, -34, 63, 29, -28, -4, -28, 64, -62, 6, -24, -17, 9, -7, -27, 49, -36, 14, 65, 67, -68, -24, 21, 37, 61, 31, 59, 13, 7, -20, 59, 44, 4, 44, -6, 20, 49, 53, 63, -56, 1, -23, 68, 43, 2, 22, 22, -32, 44, 51, -34, -25, 24, 19, -28, -57, 19, 20, -64, -59, 59, 49, 30, 31, 28, 19, 24, 4, -64, -51, -49, 16, -58, 0, 14, -3, 42, 65, 11, -54, 29, 18, -21, -7, 48, -25, -5, -17, -19, -39, -24, 54, 35, -18, -4, 52, 14, 20, 48, 21, -47, 53, -49, 62, -39, 45, -34, -17, -55, 26, -49, 36, -6, -19, 1, 40, 62, 56, -23, -56, -6, -20, 9, -8, -58, -15, 27, -43, -4, 25, -46, -33, 51, 45, -1, -65, 49, -20, 20, 50, -37, -9, 3, -1, 54, 15, -41, 21, -13, 0, -26, -38, -54, 7, 40, -7, -52, -60, 25, -45, 59, -48, 28, 5, 7, 36, -29, 42, -51, 22, -33, 28, 7, 26, -48, 23, -64, -46, -63, 36, 18, -63, -34, 8, -13, -52, -21, -25, 41, -55, -49, -39, 1, -52, -38, 0, -38, 30, -52, 56, 14, 28, -28, -6, 21, -24, -26, -46, 51, -19, -1, 15, -55, -8, 18, -36, 1, 13, -50, -47, 54, -31, 33, 56, -21, -64, -40, -9, 0, -51, -42, 47, 8, 1, 5, 19, 25, 65, 31, 51, 37, -27, 36, -27, 50, -34, -40, 14, 49, 27, -5, 41, -18, -32, 25, 25, -33, -9, 61, -47, -46, 3, 50, 59, -50, -16, -63, -49, 51, -57, -36, -49, 21, -15, -35, 16, 30, -15, 13, -20, -4, -50, -23, -11, 26, -35, -52, 20, -53, -25, -29, 35, -8, 22, -20, -20, 5, -17, -4, 39, -67, -44, -21, -38, -47, -25, -60, 37, 27, -32, -38, -52, -11, -28, 26, 43, 29, 35, -38, -15, 49, -18, 45, -30, -45, 57, -11, 19, 1, -16, 62, -53, -12, -37, -62, 21, 31, 39, 50, 33, -56, -4, -12, -30, 35, 10, -58, -28, 38, -33, -10, -36, 42, -26, -5, 3, -10, -25, -51, -44, 8, -56, 70, -57, 2, 41, 40, -53, -14, -61, -47, 30, 48, -35, 36, 2, 9, 22, -25, 10, -61, -7, 61, -57, 48, -51, 43, -62, 23, 7, 34, -53, -42, -7, 27, -53, -39, -16, -40, -21, 53, -18, -1, 57, 52, 38, -4, 39, -5, -64, -35, -11, -42, 56, 11, 20, -52, -63, 47, -22, -51, -24, 2, -9, 6, 28, -5, 8, 7, -36, -12, -21, 18, -41, -33, -28, -46, -20, 40, 67, 3, 18, 42, -2, -30, 16, -46, 41, -26, 45, -30, 23, -18, -2, -24, -26, 56, 40, -27, 46, 38, -36, 41, -1, 20, 54, -26, -12, -43, -28, -40, 22, -8, -15, -27, -37, -6, 61, 58, -25, 9, 61, -40, 62, -24, -20, -54, 68, 4, 47, -65, 31, -13, 23, 33, 23, 52, -49, 33, 55, 13, -6, -45, 47, 26, -15, 32, -28, -28, 28, -49, -57, 8, -40, -36, -35, -73, -49, 32, 2, 47, 24, 67, 35, 40, 50, 5, -4, 56, -25, -59, -8, -51, 16, 35, -53, 30, 10, -21, -1, 29, -39, 2, -29, 62, 59, 51, -19, 44, -61, 29, 44, 34, -32, 33, 43, 3, 17, 37, -22, -8, -11, 56, -24, -7, -14, 32, 12, 31, 58, -27, 15, -4, 47, 54, -60, -35, -21, 13, 4, 56, 19, -53, -14, -56, -52, 20, 19, -36, -24, -6, -22, -31, -53, 1, -38, -60, 27, 4, -9, -44, 10, 43, 11, 57, -55, 23, 61, -51, 7, -59, 16, 39, 25, 23, 44, -53, 49, 9, 9, -43, -47, 45, 53, 8, -39, 6, 44, 43, -56, 21, 9, 59, -5, 39, 28, -19, 1, 13, 23, -23, -19, -21, 27, 13, 64, -28, 51, -54, 10, 60, 38, 3, 36, 21, -60, 38, -33, -47, 53, -37, -22, 25, 19, 59, -51, -6, -20, 49, -20, 2, 22, -22, 30, -10, -22, 30, 36, -11, 60, -5, 44, 17, 59, -49, -19, 52, 40, -63, 8, -15, -52, -18, 26, -1, -51, 20, -43, 6, 22, -18, 1, -6, 45, -22, 47, 55, -46, -34, -30, 43, -4, -32, -4, -4, 6, 9, 26, 33, 48, 53, 36, 0, 36, -7, 38, 70, -58, 48, -11, -20, -55, -44, 62, -6, 5, -14, -48, 36, 9, 45, 19, 12, 64, -11, -57, 9, 26, 11, -64, -38, -41, -56, -49, 12, 49, -6, -29, 1, 32, 17, 5, -11, 3, 7, -46, 7, -2, 39, -22, 14, -21, 60, -51, -19, -1, -3, -10, 52, 56, -34, -22, 46, -72, 46, -5, 9, 58, 51, 65, -58, -58, -5, 60, -9, 45, -28, -50, 28, 11, 40, -35, -5, 17, 16, -59, -30, -7, 54, 35, -2, -6, 20, -45, 58, 60, 22, 18, 43, -9, 56, 27, -47, -45, -46, 13, -45, -2, -23, 46, -12, 19, 62, 22, -41, -36, -13, 2, -4, -58, 57, 50, 36, -4, 29, -64, -20, 51, -49, 49, -7, 44, -37, 48, 0, -30, 51, 4, -34, -19, 27, -50, 39, 58, -16, -36, 50, -36, 52, 31, -3, 2, 53, 0, 1, -33, 12, 26, -40, -18, 43, 28, 22, 23, -12, -61, -57, -58, -47, -48, 17, 62, 47, 46, -61, 31, 30, -54, 61, -43, 52, -5, -43, -43, -20, 35, -52, -54, -19, -1, 32, -53, -24, 4, 48, -60, -47, -40, 48, 11, 63, -29, -43, 11, -38, 44, -48, -63, -29, -9, 25, -55, -9, 38, 18, 70, -61, -21, 43, -8, -10, 2, 53, -14, -53, 40, -45, 6, 54, -41, -60, 29, 53, 40, 1, 2, 68, -8, -44, -55, -58, 23, -2, 44, -44, 37, 11, -57, -40, 32, -2, -25, -24, -7, 13, -79, -25, -25, -23, -9, 54, -41, 53, -51, 27, -53, 19, -15, -38, 40, 34, -13, 0, -61, -19, 35, 19, 18, -48, -39, -23, 39, 11, -39, -29, -32, 7, -48, -42, -9, -19, 33, 55, -52, -7, 19, 46, 20, 6, -21, -5, 20, -15, 2, 25, -61, -54, 41, -18, 39, -66, -27, -20, 37, 65, -53, -20, -5, -43, -42, 10, 43, 15, 35, 0, -8, 22, -44, -52, 63, -63, 34, 23, 30, -16, -21, 23, 34, 50, 4, 34, -25, 40, 14, -35, -17, -26, 32, 21, 56, 19, -21, 5, -37, 28, -31, 8, -32, 2, 16, -67, -42, -34, -67, 6, -5, 56, -61, -36, 4, 34, -46, 57, -60, 36, -56, 47, 23, -28, -58, -53, 3, 48, 6, -17, -50, 45, -22, 58, 58, 3, -61, 28, 33, -48, -50, 13, -64, -3, -58, 52, -28, 64, -52, 18, -42, -21, 59, -25, -9, -21, -21, 17, 55, 33, 53, -50, 4, -42, 40, -33, -54, -63, 36, 33, -52, 13, 3, 33, 19, -60, 13, -15, 19, -27, 19, -64, 20, -4, 56, -67, -1, 30, -65, -14, 9, -3, -25, 3, -18, -46, -16, -51, -34, 20, 52, -41, -17, -17, 35, -6, 26, 19, -61, 64, -13, 5, 58, 8, 15, -52, -39, -32, -8, -33, 30, -4, 9, -32, -65, -65, 29, 2, -40, -73, 35, 23, 9, -20, 4, -4, 24, -44, 61, -59, 54, 21, -35, 3, 38, -5, -54, 63, -19, -10, 28, -44, 53, 33, -25, -24, 31, 12, 37, -32, 13, -10, 37, 40, 27, 8, 5, 20, -32, -38, 31, 44, -33, 16, 6, -42, 3, 3, 87, 7, 26, 49, -37, -20, -38, 5, 46, -12, 36, -41, 11, 55, 15, 16, -9, 61, -52, 25, -38, 33, -75, -49, -58, -54, 19, -4, 56, -21, -69, -24, 56, 31, 49, -34, -15, -40, -57, 63, 1, 11, 48, 37, -58, -48, -26, -25, -10, 17, -41, -38, -16, -33, 56, 34, -21, 53, -69, 34, -37, 52, 32, 55, 28, -15, -53, -3, -40, -45, -27, -38, 47, -68, 9, -22, 52, 20, -20, 50, 39, -41, -55, 8, 18, -34, 0, 36, 24, -33, 44, -8, 37, 50, 8, 50, -22, 48, -14, -7, -46, 2, 24, -46, 22, -15, 40, 33, -24, -7, 5, 23, 12, -26, 42, -30, 43, -18, 20, 10, 27, -78, -20, -33, 3, 22, 18, -14, 17, 69, -41, 34, -10, -63, -45, 76, -55, -24, -24, 27, -20, 9, -20, 51, -3, -25, 32, 10, -43, -9, -49, 67, -13, -63, 47, 10, 35, -51, -28, 42, 82, 15, -3, 64, -49, 21, -27, 15, 54, -35, 76, -37, -57, 79, 49, -56, 38, 69, -25, 22, 53, 36, 46, 9, 51, 12, 8, 13, -60, 11, 0, -25, 31, -37, 28, -27, -29, 32, 45, 12, 31, 28, -44, -54, 19, -30, 12, -37, 16, 2, 30, -55, 25, 55, -15, -52, -28, -14, -50, 44, -5, -5, 48, 41, -42, -22, -46, 56, 28, 54, 6, 22, 54, -32, -55, 19, -48, 46, -32, -1, -1, -36, 64, 28, -17, -16, 41, -40, 52, 41, -34, 51, 61, 2, 50, -9, 18, -5, -72, 48, -28, 68, -13, -47, 7, -48, 36, -48, 17, 64, 43, 29, -2, -38, -5, -26, 63, 6, -8, 76, 0, -25, -26, -72, 3, -36, 37, -25, 46, -7, -10, -17, 40, 16, -8, -3, -61, 14, -63, 23, 5, 56, 46, 44, 9, -34, 13, 9, 2, -53, 26, -38, -67, 21, 6, -25, -16, 7, -29, 23, 56, -20, -18, 9, -22, 16, -63, -5, -53, -47, 3, -35, -3, 52, -8, 15, -67, -18, 9, 45, -18, -11, 32, -3, -13, -11, 33, -28, 8, 21, -27, 45, 36, -7, 4, 28, 40, -14, 10, -10, 14, -33, -38, 68, 67, -59, 1, 20, -54, 11, 2, 7, -59, -41, -21, 21, -4, 49, -30, -34, -45, -22, -3, -18, -59, 52, -12, -5, 6, -12, -12, 38, 41, -48, 10, 37, -41, 37, 61, -13, -37, 48, 36, -2, -23, -29, 28, 44, 8, 5, -65, 10, -4, 14, -13, 9, 34, -43, -61, 34, 46, 17, 20, -13, 47, -13, 13, 15, 34, -46, -8, 18, -30, -5, -64, -57, -9, -48, 8, 17, 42, 16, 19, 58, -34, -40, -49, 2, -70, 7, 48, -68, 31, 29, -37, -48, -38, 21, -61, -30, -27, 43, -35, -1, 13, -60, -58, 54, -5, 56, 48, 62, -4, -47, 54, 42, -53, -3, -18, -61, 24, -58, 22, -26, -28, -54, 44, -9, -27, 16, -11, 56, 25, -5, -51, -1, 28, 50, -47, 37, 53, 25, 28, 6, -39, 1, -20, -21, 3, -15, -37, 38, -37, -48, 13, -23, -54, 35, 12, -37, -47, 49, -19, -44, 42, -3, 49, -20, -19, -47, 27, 54, 63, 20, 68, 15, 24, -48, -11, -45, -19, 39, 36, -14, 34, 9, -29, -72, 24, 21, -58, -5, -47, 11, -45, 27, -7, -23, -61, 11, 12, -4, 51, 51, 15, -47, -57, -2, 26, 7, 64, -19, 27, 5, -54, -3, -61, -42, -32, -40, 45, -49, 21, -42, 39, 54, 43, 39, -1, 42, -31, -31, 20, 8, -18, -18, 29, 63, -2, 11, 56, -23, -58, 36, -31, -18, 29, -16, -45, 27, 35, -56, 38, 12, 35, -29, 5, 32, 7, 32, 33, 35, 55, -19, -45, 45, 27, 40, -38, -16, -30, -51, 25, -47, 45, -59, 25, 4, 18, 59, -52, -43, -38, -5, 40, 14, 6, 18, -21, 37, -2, -19, 2, -30, -40, -31, -67, 5, -73, 23, 32, -43, 13, 65, 31, -17, 38, 7, 7, -16, 15, 5, -23, 23, -14, 40, -54, -42, 53, 5, 31, 44, 33, -8, 47, -52, -46, 23, -50, 22, -22, -3, 15, 6, -48, 12, 41, 41, 52, -37, -68, -9, 1, -45, -16, -44, -12, -9, -41, -51, 42, 12, 3, 16, -10, 59, 43, 22, 52, 5, 50, -38, -34, -44, -40, -33, -65, 49, -25, 47, 20, -47, 36, 24, 17, -28, 43, -58, 42, 65, -12, -45, -60, 71, -49, 44, 46, -5, -8, 64, 26, 0, 1, -11, 12, -17, -3, 39, -3, 46, 15, 38, 9, -32, -9, -33, -37, -66, -1, -44, -23, -53, -25, 69, -24, -7, 45, -2, 34, -51, -45, 35, -56, 19, 36, 50, -7, -18, 21, -6, -41, 62, 18, 54, -4, -62, 55, 17, 16, 42, 50, 33, -38, -42, 42, 33, 43, -72, 53, -14, -44, -37, -25, 47, -23, 28, 2, 14, 30, -59, 13, -30, 52, -4, -44, -42, -14, -20, -59, -42, -2, 4, 2, 26, -50, -20, 7, -6, 25, -29, -46, -45, 26, 1, -15, -9, 13, 54, -36, -7, 36, -61, -34, -18, -25, 61, 16, -19, 35, -22, -79, 15, -10, -15, -52, 21, -3, -26, 1, 21, -28, 53, 31, -16, 53, 13, -51, 26, 51, 0, 26, 39, -20, 52, 27, 10, 8, -61, 25, 42, -4, 38, 7, -42, 2, 20, -45, -1, 25, -70, -48, -58, 58, -52, 21, -51, -44, 30, -5, 31, -58, -12, 34, -17, 6, 32, 36, 10, -15, -66, 43, 48, 10, -45, -4, 13, 38, 34, -43, 9, -44, 40, -58, -19, -59, 4, -18, -62, 12, 53, 12, 2, 58, 21, -12, -24, 11, -2, -2, -41, -31, 61, 25, -50, 43, 50, 15, -52, 43, -6, 17, -61, 16, -34, 53, -25, 1, -14, -32, -34, 2, -5, -65, 12, -11, 57, -9, -31, 51, -67, 19, -44, 18, 39, 12, -14, 49, 14, 26, 4, 19, -42, 10, -55, 33, 28, 35, 18, -15, 54, 44, -30, -12, -62, -26, 21, -28, 5, 39, -35, 29, 52, -12, -38, 3, -1, 30, -51, -46, 55, 12, -14, -55, 19, 21, -4, 27, -4, 3, 17, 49, 46, 51, -21, -49, 30, -64, 18, 2, 25, -7, 34, 16, -23, -67, -4, 15, 63, -57, 0, -19, 48, -63, 60, 1, -1, -23, 11, 88, 26, -48, -2, 50, 50, 39, 26, -32, -28, -45, 28, -18, -18, 26, -36, 55, 51, -38, -15, 56, -31, 8, -54, 46, 35, -56, 10, 35, -50, 44, 41, 34, 21, 22, 8, 14, 14, -22, 42, -17, 35, -27, 26, 40, 55, -13, 4, -32, -42, 8, -67, 34, 34, 24, 29, 21, -48, -24, 15, -11, 43, -54, 36, -43, 54, 43, 41, 14, 49, 15, 0, -34, 8, -51, -16, -35, 55, -14, 52, -61, -17, -15, 39, 56, -62, -1, -33, 10, 36, 26, -2, -2, 9, -39, 21, -5, 53, -19, 61, 60, 63, 23, 60, -48, 30, -36, -11, -31, -52, 73, -8, -6, 26, 40, 52, 45, 65, -46, -24, 19, -5, -11, -25, 25, -57, 2, 50, 46, 60, -36, 61, -36, 42, -19, 8, 44, -44, 38, 56, -55, 55, 44, 23, 67, 64, -36, 35, -47, -4, -28, -61, -60, -34, -9, 31, -4, -42, 51, 38, -27, -43, -47, 36, 39, -49, -48, 32, 0, 22, 5, 29, 39, -24, -21, 1, 46, -17, -55, -101, 37, 18, -24, -2, 14, -52, -19, 43, 4, -24, -2, 40, -28, 31, 56, -3, -3, -6, 19, 50, -3, -58, 56, -30, 36, -20, 8, 44, 17, 7, 46, 50, -19, 25, -37, -89, -78, -80, 11, 32, -25, -6, -43, 0, 29, -58, -32, 58, -68, 33, 21, 15, -13, -2, -34, -52, 28, 40, -39, 57, -23, 32, -58, -4, 53, 29, -21, 11, 21, 47, -25, 51, 47, -37, 6, -19, -63, -55, -14, -7, 4, 13, -11, -3, 18, 41, -14, 13, -24, 31, -63, 28, 51, 16, -5, 33, 0, -37, 37, -2, 7, 30, -61, 44, 38, -64, -5, -18, -40, -28, -38, 3, -42, 30, 13, 53, -14, 10, 8, -38, -10, -36, -46, -39, 25, 50, 25, 16, -58, -7, -1, -56, 72, 19, 30, -16, -29, 37, -63, -12, -28, -54, 38, -26, -33, 60, -38, -32, 8, 7, -17, 3, -14, 12, -67, -35, 24, -22, 53, 18, 44, 32, -44, -25, -59, -62, -16, -35, 21, 22, -34, 35, -24, -4, 39, -5, -3, 26, 9, 13, -17, 51, -32, 41, -11, -17, 37, 7, -33, 2, 14, -42, 22, -27, 43, -15, 12, 19, 9, -7, -83, -51, 19, 8, 1, -52, 42, -55, 27, -12, -61, -47, -17, 50, 32, 53, -7, -18, 50, -63, 36, 21, 0, -14, -29, -49, 11, -83, 47, 20, -30, -29, 42, -79, 100, 58, -56, 18, 57, -54, -14, -26, -4, -35, 1, -3, 55, -41, -26, -28, -50, -10, -27, 32, -10, 19, 30, -46, -15, 7, -50, 13, -17, -1, 36, -3, -54, -52, -45, -18, -40, -43, 4, -22, -44, 28, 29, -26, 46, 2, -39, -64, -10, 24, 30, 4, -28, -46, 46, -49, 21, -23, -29, 7, 13, 57, -25, -68, -19, -25, 22, 55, 40, -63, -11, 31, 29, -40, -27, 34, 4, -31, -3, 8, -35, 13, 24, 34, -7, -42, 45, -54, 17, -69, 38, 47, -58, 26, 36, -10, 14, -10, 43, 0, -37, -20, 32, 49, -25, -55, 0, 44, -39, 31, 4, 29, 47, 57, -37, 33, 46, -47, 13, 21, 18, 11, 23, -61, 4, -49, -31, -19, 19, -74, -48, -42, 39, 14, -16, 45, -44, 60, 50, -16, -18, 42, -9, 20, -62, 34, -40, -29, 50, 23, 12, 3, 6, -61, -62, 62, -11, -58, -46, 46, 35, -53, -25, 36, 33, 17, -61, 12, 17, 6, 47, 32, 7, 50, -7, -5, 58, 32, -46, -49, -2, -41, -26, -4, 64, -4, -56, -59, -47, 84, -50, -44, -1, -39, -21, 76, 23, -9, 24, -27, -26, -28, -35, -15, -21, 1, 56, -50, 51, -46, 56, 12, 24, 26, 0, 21, -65, 1, 52, 24, 46, 4, -54, 49, -52, -2, 7, -16, 48, 24, 25, -1, -54, -53, 41, -52, 47, -39, -47, -53, -51, 60, 14, 29, -30, -5, 14, 47, 3, 21, -17, 61, 69, 6, -28, 12, -41, -15, -19, -11, 17, 30, 2, 9, -45, 20, -41, 34, 34, 12, -16, 25, -20, 38, 46, 71, -44, 35, -10, -83, -69, -54, 38, -22, -47, 26, -8, 2, -42, 45, -5, -32, -10, -36, 19, -17, -25, -30, -22, 60, -52, 9, -8, 38, -44, -2, -76, 10, -59, 45, 20, 35, 15, -13, 15, 54, -31, -62, -34, 5, 33, 50, -46, -23, 12, 24, -1, 24, 4, 0, 31, -10, -40, -62, -49, -38, -29, -16, -19, -17, 30, -49, 42, -69, -15, 41, 52, -41, 27, -41, -57, 58, -2, 12, -53, 8, 45, -2, -29, -66, -16, -42, -72, 23, -53, 25, 22, -25, 34, 42, 33, 55, -51, -19, 54, -16, 10, 1, 50, -64, 30, 33, -4, -52, 60, -17, 46, -15, 42, 29, -38, -9, 11, -7, 63, 29, 55, -19, -3, 17, 59, -55, -10, -42, -18, -28, 41, -7, -16, 1, 36, -19, 49, 42, -2, -34, 28, -35, 25, 0, 34, -7, -5, -30, -26, -24, 60, -38, -11, 27, -48, -46, 16, 44, -6, -42, -18, 60, -7, -73, 53, 48, -3, 52, -15, 42, 47, -66, -41, -67, 49, 50, -38, -48, 64, -59, -52, -1, -50, 9, 28, 24, -53, -24, -25, -29, -36, 22, -30, -14, 50, 54, -52, 17, -53, 16, -22, 43, 14, 45, -26, 53, 7, -50, -68, 56, -14, -35, 10, 56, 13, -52, -40, -47, 27, -25, -37, -1, -4, -49, 40, -2, -44, 8, -11, -4, 19, -16, -1, 7, -16, 49, -16, -43, -30, 33, -19, -45, -41, 52, 6, -44, 55, 1, -44, -31, -6, 54, 30, 34, 16, -25, -10, 36, 68, -47, 3, -29, 68, -66, 32, -1, -60, -52, -54, -51, 29, -22, 0, -22, 38, -49, 51, -28, -35, 51, -29, -61, -21, 45, -36, 36, -14, -56, 2, -5, -46, -24, 4, -64, -37, -44, 32, 8, -18, -46, 57, -41, -40, -28, 29, 48, -6, 55, -63, -10, 15, -22, 48, 54, -9, 22, -48, -70, -40, -26, -47, -8, -59, -25, -37, -45, 4, -46, 37, -28, 9, -59, -43, 26, 48, 55, 61, -42, -42, 9, 56, -4, 3, 6, -35, -32, -32, -48, 6, -20, -54, 0, 56, 60, -24, 4, -44, 68, -58, 41, 5, -23, 37, 17, -18, 33, 12, -56, 25, -2, 58, 75, -56, 17, 35, 33, -4, 22, 46, 33, 11, 2, -17, -3, -6, 12, -49, -38, 19, -16, 17, 27, 30, 46, -12, -49, 15, 24, 29, -31, -48, 5, 53, 41, -45, -3, 18, -12, 5, 33, 62, 59, 62, 4, -36, -44, 17, 48, 40, 29, 58, -28, -60, -60, 9, -18, 24, 40, -5, -18, 38, -48, 58, 50, -56, 18, -39, -7, 10, -1, -8, 34, 44, 49, 64, 81, 51, 54, 63, -38, -28, -59, -33, 59, -55, 25, 69, 21, -11, -50, -42, 24, -24, 68, -54, 54, 51, -34, 1, -50, 62, -55, 59, 32, -4, 49, -16, 15, 34, -50, 17, -43, 7, 56, -2, -57, -35, 34, -45, -31, -33, -31, 31, -58, 33, 44, -45, 52, 20, -15, -41, -28, 39, 67, 66, 25, 55, -42, -34, -25, -19, 25, -40, 56, 4, -46, 4, 12, -65, -33, 7, 12, 36, 17, -35, 1, 24, 49, -66, 8, 27, -23, 32, -54, -53, 58, -54, 0, 31, 39, -3, 47, 56, 11, -48, 43, -66, -19, -2, -26, -39, -38, 17, -62, -17, 46, -61, 28, -37, 40, -7, -48, -28, -43, 1, -49, -47, -8, 46, 42, 4, -22, 49, -3, 36, 17, 8, -18, 36, -34, 46, -38, -10, 16, 31, -33, 26, 46, -4, -50, 43, 42, -19, 16, 59, -21, -43, 15, -28, -59, -49, 49, -39, 0, -33, -75, -30, -70, -71, 4, -56, 4, -15, 49, -2, 31, 41, -70, -41, -26, 32, -23, -7, 4, 46, -49, -26, -33, -52, -26, 38, -48, 47, -48, 24, 7, 21, 24, 43, 8, 27, -59, 52, -15, -25, -46, -15, -35, 12, 58, 55, -41, 28, 38, 22, -26, -38, -34, -52, -15, -47, -14, 32, 16, 6, -44, -49, 27, -34, 53, -19, 51, -17, -14, 41, -37, 33, -28, 32, 23, 3, -46, -24, -5, 1, 48, -25, 71, 34, 62, 47, 37, 34, -12, 44, -55, -65, -54, -65, 23, 60, -30, -7, 2, -24, -5, -28, 53, -24, -39, 14, -36, 26, 53, -62, 51, 18, 41, -47, -46, 53, 55, -59, -38, -53, -4, -63, 9, -17, -32, 60, 43, 39, 21, 7, -35, 23, -8, -45, 48, 57, 16, 60, -48, 16, 15, -30, -19, -56, 37, 19, 67, -37, 69, -29, 58, 71, -1, 65, 74, 18, 5, -34, 56, 68, 62, 3, -30, -17, 51, -31, 26, -35, -4, -26, -27, 4, 5, 40, -34, -67, -18, -42, 16, -24, -25, 44, -10, 46, 0, 28, 60, -33, 62, 40, 29, 18, -31, -56, -7, -32, -19, 35, 18, 40, 7, 23, -42, 1, 8, 8, 5, 46, 40, -66, -44, 30, -33, -23, -40, -21, -64, 1, 12, 27, 16, -23, 57, 7, 40, 56, -43, -50, -53, -22, -45, 48, 38, -58, -61, 5, -5, 40, -52, 14, -55, 56, -18, -51, -55, -24, -25, 14, -16, 32, -42, 28, -12, 22, -43, -30, 5, 10, 28, 22, -30, -54, 23, -43, 30, -15, 40, -40, 31, 56, 21, -32, 36, 29, 32, -11, 52, 36, -7, -50, -47, -56, 11, 0, -18, -6, -52, 69, -8, -38, 33, 34, -39, -53, -21, -7, -51, -9, 42, -13, 27, 28, -29, 57, -4, 58, 49, -10, 38, 16, -7, 66, 39, -37, 40, -67, 51, -68, 33, -9, -14, 26, -23, -17, 7, -11, 40, 49, 39, -62, 33, -28, -11, 11, 7, -59, -7, 24, -19, -35, -3, -22, -57, 10, -20, 6, 29, -44, 18, 11, 4, 53, -50, -57, 18, 18, -6, -23, 43, -34, -69, 33, -69, -8, -50, -26, 10, -27, -6, -5, 14, 48, 1, 33, -33, 29, -48, -51, -15, -40, -52, 29, 6, -25, -44, -46, -42, -12, -46, 59, -35, -55, -58, 27, -20, 51, -33, -65, 31, -42, 34, -17, 6, -31, -45, -41, 11, 22, -38, 10, 6, -40, 55, -1, -31, -62, -49, 7, 55, -58, -51, 26, -39, 10, -48, 27, -1, 3, -58, -46, 4, -21, 34, 39, 28, -29, 4, 54, 5, -35, 52, -51, 22, -53, -36, -10, 35, -14, 37, -25, -42, 0, -37, 58, -41, -59, 15, 12, -36, -49, 21, -49, 46, -69, 50, -2, 38, -53, -48, -18, -65, 41, 24, -28, 52, 58, -11, -4, -5, -55, -2, -55, -1, -7, 7, -26, 59, 51, 0, -3, -25, -40, -50, -55, 55, 9, -11, 51, -38, -36, 61, 57, -38, -38, -1, 26, -50, -10, -8, -46, -63, 23, -19, 24, -27, -62, 53, -1, 33, -49, -38, 53, -38, 36, 19, 42, 17, 31, -1, 27, -43, 54, -65, -46, -41, -62, -21, 14, 3, -12, -17, -39, -42, -38, -22, -37, 49, 40, -33, 59, 60, -28, 63, 66, -51, 26, 0, -41, -5, -10, -20, 41, -41, -15, -15, -70, 57, 49, 58, 5, 45, 8, -56, -46, 60, -53, 48, 26, -18, -37, -26, 63, -23, 0, 20, 59, 26, -23, -21, 11, -59, 59, -13, 45, -49, -27, 45, -37, 59, -37, -49, 52, -24, -25, -5, 30, 25, -9, 59, -12, 20, -37, -56, -33, 8, -58, 10, -10, 31, -53, 51, -21, 34, -46, 8, -57, -11, 41, -2, -16, 47, 68, -4, 52, 41, -43, 2, -44, -57, -19, -13, -73, -43, -14, 21, 12, -56, -24, 31, -19, 64, 56, -35, 19, 38, -67, -47, -45, 30, -56, -55, -51, -50, -6, 38, 16, -23, 14, -21, -23, 32, 6, 52, 30, -48, -1, 24, -50, 6, 1, 50, -62, -59, 35, -26, -53, -47, -26, 44, -39, 5, 63, 39, -36, -53, 57, 20, -75, -33, -4, 2, -31, 27, -15, 45, -37, -37, 27, -44, 31, -21, -31, -19, 49, 22, 24, 59, -16, 51, 51, -40, 47, 56, -70, -52, 48, 34, 19, 58, 59, -48, -31, -24, 40, 46, -42, 18, 2, 63, 46, -56, 14, 11, 49, 51, -4, -27, -18, -54, 15, 50, -53, -3, -33, -16, -13, -29, 42, 54, 29, -9, 53, -40, -43, -54, 51, -32, -38, -4, 39, 12, 23, -11, 29, 41, -47, -22, 56, 43, -22, -1, -53, -64, -61, -42, -32, -59, -4, 4, 44, -10, 26, 13, -25, -64, 36, -12, -54, 55, 65, 2, -35, 38, -70, -76, 26, 38, -27, 13, 54, 63, 32, 32, 28, 23, 68, -56, -5, -3, 47, -55, 9, -35, 43, 18, 3, -25, 58, 15, -60, -35, -40, 32, 63, -19, -64, -58, -42, 38, -9, 36, 10, 18, 24, -17, -41, -62, 7, 4, -21, 19, 58, -36, 27, 25, -49, -3, -34, -42, -60, -31, -25, -37, 6, 3, 39, -24, 36, -21, 36, -43, 6, 25, 40, 34, -1, -21, 47, 56, 9, 5, -2, -40, -58, 24, 50, 5, 0, -17, 12, -11, -47, -35, 46, -21, -58, 35, -45, 21, -20, -23, -37, 4, 49, 25, -61, 1, 19, 1, -6, -47, -38, -1, -43, -29, 24, -34, 32, -75, 49, -19, -70, -18, 16, 3, -12, 18, 21, 8, 43, 58, -26, 43, -52, -30, -8, -55, -24, 54, 9, 39, -43, -55, -21, -47, 28, -50, 5, -50, -29, 52, -28, -16, -1, -44, 43, 62, 31, -46, 25, -41, 10, 45, -37, -45, 44, 18, -38, -43, 37, 47, -51, 41, -16, 10, -45, 75, 31, -61, 31, -53, -21, -15, -20, -57, 39, -40, 23, -10, 8, 0, 62, -35, 48, -56, -31, 6, 8, 12, -23, -12, -12, 34, 54, 23, -31, 68, -58, -15, -18, -23, -1, -42, 50, 37, 19, -11, -13, -23, -30, -4, -20, 5, -20, 23, 34, 24, -10, -55, 23, 1, -40, -23, -8, 28, 45, -28, 41, -23, -42, -30, 21, -57, -37, -52, 40, -38, 47, 53, 36, 24, 29, 30, 33, -16, -53, 28, -30, 25, 83, -11, 49, -16, 17, -8, -45, 58, -45, 42, -33, -48, -32, -32, 6, 35, -24, -12, 30, 15, 11, -27, -8, -50, -48, 2, 34, -59, -58, -8, 37, -19, -21, -10, -42, -42, 54, -45, -9, 46, 62, 34, -12, 60, -58, -47, 45, 10, -2, -50, -30, 47, 44, -63, 15, -52, -13, -54, 57, -42, -27, -12, -27, -5, -22, 24, -69, 28, 25, 19, 1, 72, 87, 26, 1, -12, 58, -3, 20, 68, 45, 50, -4, 27, -23, -7, -4, 15, 11, -20, -13, 60, -32, -65, -33, -43, 28, -43, -13, 43, -12, -41, 49, -32, 41, -50, 72, -12, 10, -25, 39, -34, -63, 41, 57, -60, -19, -48, -55, -35, 59, -52, -9, -67, -54, 58, 0, 22, 3, -26, 31, -20, 43, -56, 17, 23, 66, 53, -32, -64, 32, -28, 35, -41, -40, -24, 64, 55, -42, -59, -52, -58, -20, -21, 1, 20, 34, -37, 12, 11, -18, -46, 62, -47, -32, 47, -56, -48, -16, 23, -59, -7, 15, -63, -24, 23, -23, 21, -7, -62, -3, 9, 50, 36, -17, 16, -39, -28, 30, 31, -3, 8, -55, -38, 55, 23, -6, 5, -6, 18, 14, 35, 34, 31, -26, -12, -34, 22, -48, 50, 47, 38, -23, -5, -39, 9, 72, 59, -41, 8, 17, -29, -36, 27, 68, 21, -47, -60, 50, -53, -52, -16, -15, 18, -45, 7, -43, 30, 19, 24, -20, -32, -22, -35, 19, -53, -41, 41, -24, 59, -46, 39, -26, -24, 22, -17, -19, 18, 13, 45, 12, 24, 60, 59, -22, 44, 12, -23, -37, -51, -36, 40, -62, 25, -35, 54, -57, 38, -48, -16, 31, -25, -52, -52, 19, 35, 32, -47, -22, 51, -48, 64, 56, -55, -33, 31, -15, -33, -43, 16, -2, -7, -35, -19, -53, -10, 38, 32, 61, 62, -20, -52, 11, 0, -11, -29, -22, -33, -41, 44, -80, 47, 13, -52, -5, 17, 44, -45, -14, -5, 33, -45, 29, -35, -45, -1, -47, 37, 59, -3, 28, 59, -20, 15, -66, 43, 62, -42, 64, -4, 29, 60, -43, -29, -17, 25, 55, -63, -22, 55, 6, 5, -10, -12, 25, 50, -22, 12, 30, 59, 9, 51, -53, 12, 14, -70, -42, 64, -1, 39, 58, 54, -19, -44, 2, -36, -18, -65, -48, 23, 4, -51, 48, -28, -34, 25, 21, -22, -14, 57, -58, 21, 15, -37, 51, -51, 61, 24, -12, 24, -20, -23, -32, -22, 60, 15, 22, -57, 39, -42, 39, -37, 54, 13, 6, 14, 11, 4, -39, 47, 4, -43, -12, -63, -1, -57, 35, 49, 67, -36, -29, -18, 1, -42, -62, -16, 12, -55, -13, 27, 17, 26, 24, -63, -13, 57, 5, 66, -25, 11, -23, 14, 16, -51, 39, 53, 9, 38, 23, -3, -20, 49, -23, -26, 18, -4, -35, 46, 9, 49, 31, -39, -35, -25, 28, 47, 51, 8, 34, 35, -60, 42, 15, -56, 30, -50, -19, -40, -43, 43, -39, 23, -33, 47, 26, 19, 57, -24, 1, -59, -57, 50, 61, -10, -49, -44, -24, -1, -59, -9, 14, 47, 55, 43, -25, -51, -30, 64, -46, -31, 39, 49, 36, -58, -48, -38, -14, -3, -67, -27, 53, 22, 23, 57, 51, -38, 31, 53, 33, -17, 10, -29, -14, 4, -13, -5, 38, -2, 73, -39, -28, -33, -53, -16, -39, -46, 10, -25, -45, -33, -54, -12, -42, 56, -5, -46, -37, 44, 34, -26, -29, 19, -66, 33, -26, -53, 16, 1, -20, 23, -58, 3, 13, -22, 3, -35, 14, 45, -19, 11, 11, 36, 14, 51, 14, 23, -38, 37, 11, 54, 16, 57, -18, -55, 32, 44, 43, -45, -46, 21, 58, 24, -25, -36, 59, 64, -32, 32, 33, 3, -9, 66, 12, 2, -46, -25, -50, -44, -40, -17, 42, -59, -37, 46, -19, 46, -48, -36, -55, -5, -5, -27, -31, -54, -15, 76, -19, 8, 35, -18, 3, 61, 45, -6, 27, -39, -23, 54, -52, 41, -51, -54, 66, -24, -50, -71, -9, -3, -29, -35, 8, 47, -27, 4, 8, -2, 11, 55, 59, 56, -9, -46, 12, 39, 28, 37, -22, -56, 24, -40, -13, -16, -68, -52, 8, -56, -38, 23, -4, 58, -41, -2, -54, 47, -4, -26, 32, 3, -41, 19, -12, 7, -60, -33, 55, 22, 6, 34, -16, -28, 23, -27, 1, 43, -11, 50, -24, -25, -51, 29, 0, -25, -2, 58, 20, -31, -33, -20, 36, -63, 37, -5, -42, 38, -43, 50, -26, 5, 17, 11, 7, 46, 50, -14, 14, 35, 35, -55, -51, -50, 64, 40, -67, -24, -29, 56, 22, -58, 42, -43, -14, 67, -37, -21, -32, -43, -61, -3, -25, -12, 54, 15, -67, -29, -61, 1, 48, 45, 37, -17, 42, -14, -1, -11, -60, 27, 2, 62, 54, 19, 41, -25, 41, -33, -24, 24, 13, 26, 19, -47, -55, 60, 58, -22, 48, -50, -39, -45, -26, 2, 20, 22, -42, -53, 31, -14, -4, -41, -33, -39, -57, -3, -45, 29, -39, 22, -44, -53, -64, -27, -31, 9, -47, -56, 56, -47, -14, -38, -58, -13, 14, -5, 61, 39, -45, 62, 30, 43, -14, -39, 49, -51, 51, 37, 40, 26, 50, 42, 10, -10, 4, 4, 2, 13, 28, 1, -25, 26, -62, -50, -63, 3, -7, -34, -44, -5, -32, 49, 69, 51, 48, -30, -50, -40, -24, -69, 5, -45, -59, -42, -34, -56, 58, 27, -54, -36, -39, 61, 14, -5, -49, -48, 39, 25, -59, -50, 47, 62, -19, -54, -29, -35, 15, 20, -48, -2, -53, 55, -44, -55, -2, 22, -60, 27, 51, -43, 3, -9, -45, 53, -3, -15, 41, 37, 15, -35, -47, 15, -25, 50, 31, 49, 20, 45, -64, 9, -2, 37, -52, 47, -35, 43, 29, 4, -37, 26, 22, -4, 11, -38, 28, -30, 1, 51, 47, 27, 52, 3, -63, -58, 22, -31, -43, 38, 8, 45, 27, 20, 13, -33, -7, 51, -58, -52, 16, -59, -21, 32, 9, 9, 12, -61, 68, -47, -45, -36, -23, 28, 29, 52, 37, -32, 68, -17, -49, -8, 36, -16, 37, 23, 10, 46, 3, 47, -20, 69, -1, -15, 50, 16, 53, 16, -4, -37, -17, -7, -34, -60, 20, -22, 9, 12, -51, 40, 8, 9, -47, 49, 31, -32, -3, 27, 45, 33, -33, -44, 12, -27, 18, 19, -53, -15, -49, 24, -26, 20, 56, -23, -38, -1, -44, 37, 36, 50, -52, 26, 28, 69, 13, 54, 19, 58, 7, 44, -24, -63, -35, 72, 28, -37, -19, 44, -43, -30, 8, 41, -34, -21, 32, 56, -11, 24, -26, 29, 49, 31, 39, -49, -23, 59, 15, 37, -49, 43, 38, -42, 18, -16, 46, 51, -31, 27, -8, 51, 65, -12, -29, 44, 13, -12, 49, -28, -11, -41, -33, 43, -54, 11, -42, -11, -4, 3, -19, 2, -22, 33, -51, 10, -61, -11, 52, 38, 60, 49, 38, 0, -53, -14, -55, -28, 15, -41, 13, 28, 32, -57, 18, 52, -21, -58, 33, 63, 50, 19, -15, 50, -47, -2, -43, 26, -45, -14, 3, 10, -52, 0, 58, 31, 3, -12, 33, -63, 54, -40, -50, 28, -19, -4, -28, -31, 23, -53, 46, -7, -7, 31, 65, 21, 20, -22, 43, -65, -39, 14, 14, -32, 36, 2, 37, -35, -8, 3, -9, -6, -21, 1, 42, -28, 10, -37, 31, -46, -44, 54, -28, -74, -32, -47, 2, -7, -14, 17, -31, 19, -15, 49, 39, 12, -72, -60, 9, 52, 9, -16, 36, -20, -39, 32, 5, -28, 6, -48, 14, 47, 9, -27, -3, 13, 23, 12, 59, -27, 24, 46, 41, 62, 42, 38, -5, 45, 16, -12, 57, 9, -25, -29, -49, 50, 50, -17, 19, -21, 44, 27, -60, 47, -7, -13, 55, -30, 8, -55, 52, -28, 59, 43, -29, -32, 26, -48, 28, -40, -36, 60, -41, -53, -14, 49, 12, 32, 41, 55, 62, 25, -31, 61, -15, 33, 25, -1, -61, -47, 11, -57, -40, -30, -23, -6, -18, 37, -35, 58, -3, 35, -28, 14, 48, -35, -10, -24, -2, -10, -81, -16, -33, -6, -63, 13, -1, 60, 16, -58, 35, -59, -43, 47, -45, 30, 6, 14, 14, 33, 11, 11, 7, -35, 24, 51, -48, 32, 21, -31, -6, 66, 0, 48, -41, -56, 28, -8, 23, -23, -8, -27, -24, 53, -64, 2, 19, -45, -54, -42, -41, -43, 20, -65, -37, -39, 55, -14, 0, -71, 40, 27, 51, 31, 39, -59, -27, -42, 1, 20, -37, -66, 28, 26, 38, 69, 48, -19, -61, -39, 7, 12, 11, -32, 42, -12, -58, 2, -21, -20, 27, -45, -51, -6, 50, 70, -30, 71, 7, 57, -59, 31, 21, 12, 34, -24, -46, -4, 34, 33, -9, -51, -69, 26, -26, 11, -17, -2, -19, -58, 3, 24, 21, 38, 66, 36, 19, 43, 12, 59, 14, 0, -45, 37, -45, 21, -8, -49, -29, -10, -35, 68, 4, -17, -48, 40, -67, 15, -75, -14, 27, -42, -45, 48, 2, 53, 61, -46, 15, 46, -20, 39, 2, -46, 7, -54, -38, -24, -12, 48, -16, -21, 6, 23, -25, 19, -47, -44, -32, 23, 55, 50, -14, -3, 19, -52, 35, 30, -66, -48, 34, 28, -6, -6, 32, 43, 46, -43, -26, 43, -18, -31, 10, -56, 31, -42, 7, -39, 50, 2, -52, -35, -25, 55, 25, -23, 61, -10, -38, 54, 19, 67, 60, 71, 64, 11, 17, 17, 8, 21, 31, -46, -30, 26, -9, -34, -63, -4, 7, 40, 2, -40, 4, 10, 27, -44, 41, -48, 62, -65, 32, -15, 49, -50, -46, 35, 5, -1, -23, -26, -53, -21, -43, -29, 11, 48, -21, -14, -22, 43, 10, -5, 15, -20, 7, -37, -33, -26, -41, -19, -27, -11, -19, 77, 0, -15, 13, 25, 38, 23, 12, -15, -27, -56, -39, 12, -39, -10, -15, -42, -53, -33, -55, 37, -44, 45, 3, 48, 59, 18, 41, -35, 56, -23, 36, -55, 28, -38, -21, 60, 43, 58, -58, -42, 57, 33, 0, -32, -1, -37, -13, -41, -2, -8, -20, 50, 3, 23, -20, -62, -50, -6, -62, -9, 0, -54, -60, 67, 0, 23, -34, 20, 7, -10, -11, -39, 2, 52, -19, -27, 26, 61, 58, -54, 32, 56, 35, -16, 6, 39, 8, -34, 54, 62, 17, -52, -49, 35, -29, 47, -31, -50, -15, 13, -40, 7, 33, -55, -7, -60, -44, 36, -39, 48, -41, -42, 42, -50, -52, -50, -36, -23, -5, -51, 14, 51, -9, 58, 58, 64, -46, 37, 46, -10, -54, 51, 12, -53, 56, -27, -1, -6, 6, 57, 15, 26, 52, 16, -42, -26, -34, -30, -27, -51, 19, -1, -58, -64, 73, -22, 23, -24, -55, -46, 36, 30, -30, -6, -38, 30, -6, 42, -42, -65, -40, -40, 63, -38, -34, 26, 6, -13, -60, -64, 7, -30, 43, -36, -41, 26, -44, -20, 4, 26, -48, 9, 39, 61, 22, 47, 28, -50, -7, 56, 62, 59, 47, -42, -16, 44, 10, 36, -9, -65, 50, 29, -27, -30, -35, 10, 9, 30, 23, 40, 49, 15, 36, -14, -31, 0, 6, -2, -61, 13, 6, -62, -63, -34, -11, -41, -12, 51, 7, 56, -9, 42, 35, -19, 49, -37, -40, -15, -17, 36, 63, -55, 51, -20, 30, 56, -11, -25, -50, 26, 10, -41, -26, 26, 20, -36, -54, 60, -24, -43, -20, -16, -15, -45, -58, -22, 47, 58, 55, 35, 46, 15, -26, -58, -44, -55, -27, 19, -24, 33, -21, -49, 37, 62, 1, 59, 16, 17, -56, -7, 29, 12, 39, 13, -39, -21, 13, 18, -46, 51, 8, -42, 53, 8, 58, -22, 2, 8, 39, -7, -61, -61, 45, -12, 9, 47, 56, 47, 22, -31, 12, 44, 41, 58, -45, -61, -22, -48, -11, -38, -40, 54, 27, 4, 3, -39, 13, 14, -42, -20, 13, 29, 9, -21, -10, -67, 4, -61, 7, 0, 47, -12, 6, 45, -12, 27, -11, -34, 4, 16, -44, 3, 20, -15, 66, -45, 11, 38, -24, 52, -44, 43, 44, 15, 4, 60, -34, 34, 32, -3, 42, -17, -62, 36, -4, 40, 10, -14, -36, 9, -33, -36, 18, 60, 42, 16, -30, 25, 34, 34, -23, 16, -26, -15, -3, 17, 44, 9, 21, -28, 24, -19, -13, -4, 47, 10, -63, 45, 49, 16, -2, 41, 39, -44, 44, -7, 52, -47, -57, -27, 22, 21, -39, -24, -59, 23, -62, -17, -39, -58, -44, -54, -29, 36, -58, 52, -23, 26, -3, 31, 29, -33, -23, -49, -3, 25, 17, -31, -42, -17, 24, -26, 25, -19, -22, -14, -33, 25, 59, -3, 62, 7, -25, -9, -10, -20, 17, 55, -48, -25, -44, 63, 18, -16, 65, -32, -40, -7, -6, 59, 55, -50, -35, 34, 25, 36, 6, 33, -30, 62, 14, -34, 50, 62, 11, -41, 16, -51, 2, 36, -50, 21, 22, -37, -59, 26, -11, -30, -6, -51, -45, -53, 21, 1, 29, -2, -16, 46, -5, -26, 5, -37, 42, 44, 13, 13, 7, -48, -39, 54, -59, 20, -16, 32, 56, -3, 22, 28, -52, -58, -52, 4, -30, -42, 3, 53, 36, 30, 33, -62, -4, -2, 12, 52, 39, 57, 16, 27, -29, -43, 35, 52, -60, -14, 25, 4, -6, -8, -53, -42, -46, -64, -57, 13, -27, 38, -13, -29, -57, -38, 41, 15, -17, -67, 2, -17, 43, 1, -42, -67, 18, 46, -114, -10, 38, 29, 32, -19, -1, -34, -56, 21, 17, -50, -62, -1, -52, -61, -18, -36, 14, -45, -17, 11, 0, 23, 49, -3, -28, -60, -24, -40, 4, 42, 24, -15, 42, 45, 11, -51, -27, -23, 3, 12, -20, 60, -8, -40, -5, 19, -41, -1, 7, -12, 30, 37, 29, -52, 59, 16, -32, 37, -52, 6, 48, 37, -37, -16, -7, -12, -4, -33, -18, -47, 19, -18, -56, -39, -54, -35, 11, 63, -55, -18, 42, 14, 70, 1, 50, -5, -28, -22, 55, 43, 55, -59, -18, 25, -19, -12, -17, -26, -44, -6, 15, 28, -45, -66, 24, 9, -30, -64, 31, 12, -60, -18, -51, -60, -58, -72, -19, 43, -20, -30, -15, 6, 22, -11, 21, 20, -20, -58, -13, -57, -63, 29, -39, 44, -16, -24, 38, 60, -39, -75, -34, -27, -12, 5, 37, -46, -13, 23, 27, 17, -21, 32, 35, -39, -23, 31, 24, 1, 67, -28, -7, -19, -40, -63, 29, 61, -41, 20, -20, 22, -55, 16, -23, -43, -71, 25, -7, 38, 35, -6, 2, -43, -44, -58, -57, 32, 60, -19, 23, -30, 52, 21, 40, -4, -33, -57, 47, -36, 1, -44, 43, -19, 30, 28, -60, 0, 18, 63, -5, 11, 27, -17, 39, -28, 42, 39, -1, 26, -41, 8, -8, 8, 14, 63, -51, -39, -39, -55, 31, 33, -62, 41, -22, 16, -1, -30, 11, -64, 15, -58, -69, 0, 24, 51, -18, 43, -5, 13, -18, 82, -22, 4, 23, 17, 2, 7, 25, -10, 47, -58, 58, -33, 14, -3, -36, -48, 50, 17, -30, 24, -6, -31, 28, 45, -20, 52, -49, 22, 47, -36, 24, 54, -65, -3, -8, -31, 55, 9, -16, 53, -6, 47, -20, 17, 4, -4, -19, -25, 1, -13, -53, 57, 32, 77, -38, 30, -19, 4, 30, 46, 9, -47, 32, 10, -11, -34, 14, 1, -23, 65, 37, -57, -60, 59, -61, -45, -49, -29, -22, 7, 64, -34, -21, 5, -31, -16, -33, -9, -15, 39, 30, -37, -60, -11, 1, 17, 36, -50, -26, -6, 56, -54, -2, 12, -35, -59, -21, -12, 58, -7, -41, -64, -24, -44, 31, -37, 44, 14, -72, -29, -10, 47, 1, -31, 82, -9, 0, 19, 23, -37, -47, 32, -4, -24, -29, 55, -42, 28, -6, 8, 15, 3, -72, -9, -5, -54, 45, 8, 44, -25, -17, 0, 34, -53, 69, -25, 40, -81, 47, 20, -21, 9, 62, -54, -4, 11, -13, -32, -61, -34, -30, -17, -14, -56, -19, 1, 17, 52, -21, -45, 30, -3, 21, 67, -46, -36, -56, 56, 52, -51, 22, -49, 5, -10, -2, 3, 14, -8, 6, 4, 17, 22, 39, 37, 29, 57, 14, -33, -25, 8, 13, -46, 55, -44, 43, -40, 29, 38, -13, -6, -65, -49, -5, 33, 2, 20, -13, 64, 0, -52, -71, -29, -34, -30, -24, 41, -56, 50, -58, -42, -9, 18, 11, 20, -13, 42, -75, 54, 40, -47, -9, 6, 22, 21, -21, 89, 39, 32, 17, 7, 45, -4, 28, 39, -29, 59, -15, 15, 63, 56, -45, -62, 46, -44, 46, 47, -45, 64, -57, -43, -1, -20, -50, 1, 33, -7, 19, -69, -19, -2, -1, 13, 50, -42, -21, -6, -74, -18, -3, 35, 18, 31, 21, 39, -4, -16, 22, 53, -21, -17, 15, 8, -32, -3, 54, -43, -27, 6, -5, -35, -32, 39, -1, 38, -28, 30, 7, 1, -7, 58, -29, 21, 42, -45, -15, 0, -20, 34, -47, 61, 44, 54, -25, 5, -25, -88, -11, -1, 27, 71, -19, 62, 62, 58, 40, -31, 58, 39, -9, 35, 44, -15, 9, 24, 9, 47, -4, -32, -17, -25, -50, -15, 3, 9, 31, -10, 53, -42, -10, 65, -6, 13, 35, -5, -61, -49, -23, -23, -13, -31, -65, -1, 30, -5, -2, 59, 15, -3, -57, 35, 35, 22, -62, 57, 57, 11, 49, 37, 51, -47, -31, 11, 15, 25, -58, -10, -32, 60, -63, -44, -43, -62, -23, 6, -68, -67, 44, -9, -68, 5, 18, 41, 20, 12, 24, 19, 24, -21, -59, -51, 17, -40, 37, 35, 12, -66, 5, 62, -1, 31, -6, -27, 3, 41, 22, 20, 48, -18, 43, -41, 37, -43, -43, 5, 5, -67, 36, -49, -47, -47, -61, -6, -17, -29, -54, -64, -2, 24, -57, 31, -50, 1, -50, -4, 0, 10, -40, -50, 41, -87, -3, 26, 24, -10, 36, -79, -34, -73, -40, 63, 26, -1, 59, 0, 1, 24, -1, 5, -22, -12, 54, 1, 49, 27, -29, 24, -13, 48, 37, 3, 27, 44, -25, 60, 9, 30, 3, -58, 34, -14, -24, 52, 37, 36, -79, 28, -27, 32, 3, -68, 22, -7, 37, 54, 65, -3, -17, -7, -57, 38, 11, 21, -8, 22, -40, 35, 37, 38, 25, -38, 28, 35, 12, -20, 10, 8, 21, 55, 45, 38, 28, -5, -5, 51, -56, 53, -49, -31, 23, -13, 53, 13, -3, 18, -4, 24, 43, -1, 61, 71, -16, -23, -56, 6, 1, -60, -24, 26, 46, 47, -9, 26, 7, -1, 53, 59, 33, 32, 63, 48, 38, -47, 50, 47, 63, 59, -41, 22, -42, 40, -12, 27, 22, -24, 14, 0, -17, -6, -57, 57, 35, -2, -5, -6, -46, -69, -6, 68, -24, -34, -8, 33, -38, -38, -17, -48, 7, -24, -11, 36, -28, 46, -46, 31, 32, 5, 26, 32, 57, -36, -56, 31, 2, 60, -43, 19, -54, -15, -49, -14, -58, -25, -60, 12, 57, 17, 51, -13, -43, 11, 39, 18, 45, 14, -74, 36, 13, 38, 9, -27, -31, 35, -17, 4, -63, 10, -94, -19, -42, -31, -22, -102, -66, -41, 17, 0, 49, -16, -63, 9, 7, -1, -24, -56, 49, 56, 47, 61, -59, -13, 38, -47, 35, -51, -33, 29, -91, 84, -3, -56, 43, -3, -64, 33, -18, 47, -52, 51, -43, 24, 52, 1, -62, -42, 24, 7, -39, 46, -53, 45, 24, -24, 38, -60, -14, -59, -56, -68, 33, -73, -25, -9, -41, -22, -48, -13, -77, 21, 47, 40, 42, 24, -24, -25, 13, -38, 9, 23, -13, -20, -18, -52, -6, 14, -5, 22, 25, 45, -44, 65, 22, 31, -36, 29, 20, -13, -56, -4, 54, -28, 38, -22, 45, -20, 42, 5, -37, 30, 3, -8, 19, -21, 21, -30, 29, 4, 13, 6, -34, -8, 13, 28, -43, 24, 15, -56, -6, 12, 15, -63, 61, 48, 27, -68, -28, -51, 1, 38, 41, 62, -14, -9, 40, 31, -24, 38, 21, 52, -4, -49, 60, -4, -22, 11, -40, -19, 38, -52, -51, 7, -16, -11, 53, 20, 13, 24, -15, 25, 38, 55, 79, -5, -26, 39, 9, -15, -37, 38, 23, -58, -56, -10, 15, -29, 9, -11, -24, 25, -48, 17, -38, -20, 41, 42, 66, 3, -2, -27, -41, -35, 63, -22, -51, 17, 25, -24, 14, 52, 26, 38, -27, -6, 4, 20, -55, -14, -49, 22, -38, 12, -60, 7, -60, -47, 37, 14, -39, 40, -20, -39, -37, -29, -27, -67, 43, -18, 23, -10, -69, 44, 52, -52, 49, 18, -39, -57, -83, -32, 15, -37, 44, 68, 2, -29, 24, -9, 11, -59, -28, -21, -25, -59, -21, -54, 36, -22, -53, 58, 39, -34, -11, -40, 20, 60, -47, 50, -15, 38, 57, 2, -63, 18, 35, -62, -20, 3, -33, 20, -32, -6, -15, -47, -3, 30, -20, 34, 41, -57, 3, -25, -21, -37, 13, -58, -26, 11, -12, 13, 5, 26, -20, -19, -28, 43, 84, -16, 54, 68, 68, -22, 25, -21, -45, -18, 12, 8, -26, 45, -41, 39, -39, 54, 62, -45, -50, -16, -27, 44, 42, 34, -63, -75, 45, 1, -67, -9, 9, 18, 16, 3, -17, -40, 36, -51, 43, -52, 38, 31, 43, 1, 22, -37, 17, 1, -41, 45, -46, 65, -34, 33, -28, 72, 45, 76, 49, 52, 59, -26, 17, 14, -68, 14, -9, 10, -21, 21, -36, 42, 39, 36, 56, 28, -41, -59, -39, -41, 25, 52, -35, 24, -34, 8, -17, -35, 30, 54, 53, -4, -7, -45, -11, 64, 10, 4, -21, 20, -36, -51, 18, 32, 2, -5, -25, 1, -10, -13, -50, 33, 43, -3, -22, 46, 41, 53, -31, -10, -53, 44, -56, 40, -7, 46, -11, -24, -43, 5, -66, 20, 47, 15, -24, 27, -64, 6, 19, 28, 40, -23, 3, -4, 28, 3, 23, -38, -81, 33, 16, 60, -11, -27, 42, 61, -39, 19, 46, 55, -9, -40, -44, -1, -16, -22, 5, -23, 58, 57, -5, -24, 5, 42, 4, -47, 15, -50, -15, -28, 4, -28, 49, 66, 51, -12, 16, 58, 8, -48, 40, 35, -33, 59, 60, 7, -29, -31, 53, -45, 15, 27, -14, -31, -2, -32, 30, -31, 11, 56, 16, 18, 69, -25, -28, 39, -35, -72, -24, -30, 3, 22, -32, 57, 39, 35, -62, 10, -48, 61, 58, 0, 25, 21, 55, 15, 0, 6, -16, 29, -38, -20, -33, -46, 39, 11, 47, -15, 60, 52, 38, 48, 14, -23, 50, 48, 33, 42, -18, 30, -12, -25, -4, -13, 64, 20, -19, -13, -7, -4, -1, -26, -63, 60, -16, -23, 56, -45, 33, 78, -17, -13, 48, -15, -27, -33, -57, -10, 13, -24, 38, -4, 21, -37, 24, -59, -33, 45, 20, -60, -6, -28, -50, -60, -41, 15, -20, 32, 34, -28, -36, -2, -22, -50, -12, -57, 24, -1, 15, 44, -42, 56, -25, -19, 48, 62, -3, 26, -27, -30, 38, 14, 39, 10, -23, -20, 28, 23, 35, -40, 6, -65, -4, 23, -7, 20, 10, 33, 39, -20, 26, -36, 0, 20, 2, -42, 8, -47, 36, 58, -37, -30, 54, -53, -32, -48, 27, 24, 43, -19, -3, 52, -12, 34, -7, 59, -37, 53, 30, -48, -2, 31, 31, 40, -16, -66, -37, -27, -83, -26, -21, 60, 73, -33, 25, 27, -4, 77, 50, -12, 46, 42, 57, -33, -60, 51, -62, -58, -47, 14, 62, -6, 63, 4, -47, -25, 8, 62, 4, -55, -23, -14, 73, -48, -54, -29, 16, 23, -15, -61, 58, 53, 31, 8, -22, 24, 8, -40, -25, 29, 46, -45, 12, -61, -40, -22, -61, 20, 30, 19, -65, -44, -3, -66, 25, 12, 39, 41, -36, -39, 52, -53, -59, 18, -31, -32, 51, -39, -25, -57, 44, 42, -46, 11, 49, 42, -11, 53, -14, 20, 61, 12, 41, -9, -19, 36, -43, 17, -69, -22, -36, -14, -61, 28, 2, 14, -57, -55, 30, -11, -35, 12, 5, -17, 21, -55, -7, -24, -17, -32, -60, -43, 6, -39, -54, -41, -37, -35, -35, -47, 43, 50, -35, -7, 51, -26, 38, -60, -2, -23, -21, 56, -12, -45, -51, -52, -43, 23, -51, 25, 29, 52, -17, 13, 24, 10, -12, -65, -33, 8, -31, 53, -64, 16, 24, 38, -31, 5, -20, 22, 40, -18, 55, -41, 19, -3, 2, -23, -3, -60, 27, -46, -14, -60, -37, 15, 35, -38, -40, -23, 8, 6, 35, -58, -46, 48, 22, 57, -21, -22, 10, 20, -58, 13, 25, -55, 18, 52, 13, 44, 69, -70, -36, -40, 33, -10, -6, -36, 6, 0, -34, 63, 17, -19, -7, -33, -9, -32, -36, 11, 29, 19, 43, -19, 20, -61, -74, -21, 52, -36, 51, 0, -13, 13, -28, -1, -28, -1, -10, -68, -44, -66, 31, -18, 44, 13, -23, 10, -54, 16, 53, 37, 47, 51, -41, 41, -1, 49, -28, -50, -15, 22, -52, 46, -28, -42, -64, -39, 13, -61, -15, 11, 12, -54, 59, 42, 61, -10, 35, -38, 33, 52, -47, -15, 54, 56, 51, 34, 21, 3, -19, 39, -16, 41, -40, 5, -3, 52, -13, 34, -11, 16, 56, 3, 64, -46, -35, -55, 16, -33, 15, 58, -30, -33, -44, -66, -7, 57, 22, 12, -39, 42, 68, 54, -31, 31, 11, -27, -4, 0, -33, -45, -47, 24, 32, 57, -34, -11, 27, 8, -60, -45, 45, 29, 32, 43, -14, -37, -59, 0, -28, -60, 11, 28, 23, -9, -27, 1, 37, -26, -61, 15, -61, -43, -32, 10, -20, -10, 18, 30, 11, 22, 26, 23, 10, -28, -12, -25, 55, -13, -24, 26, 24, 1, 30, 41, 36, -48, 50, -17, -21, -31, -21, 25, 52, -49, 23, 36, -54, 37, 57, -50, 1, -9, -59, -18, -73, 24, -34, -2, 41, 39, -30, -22, -49, 43, -44, 42, -76, 30, 28, -15, 45, -28, 8, -50, 49, 18, -19, -15, -1, -7, 4, -62, 31, -31, 16, 2, 46, 9, 37, -35, -38, 0, 44, -23, 51, 0, 10, 14, 61, -53, 23, -18, -31, 56, -58, 57, 15, -66, 6, -47, -63, 26, -19, -2, -33, 11, -37, 1, -23, 30, 5, 9, -36, -84, 9, -38, 25, -32, -52, 43, 27, -7, 54, 24, 48, 42, -52, -44, -27, -59, -41, -12, 69, 1, -6, -15, 21, 6, 12, 51, 12, -39, 34, -54, 50, 58, -38, 32, -2, -57, 39, 45, 24, 40, -60, 47, 32, -15, -6, -25, 13, 65, -12, -26, -8, 47, -62, -27, 11, 29, 22, -39, 29, -54, -57, -20, 57, -33, 26, -39, -40, -48, -31, -33, -59, -24, -13, 63, -34, -41, -30, 54, -27, -30, 58, -24, -14, -21, -19, -62, 49, -42, -1, -55, -21, 52, -32, 29, -2, -49, 24, -2, 35, 56, 5, 37, -29, 51, 19, -15, 46, 33, 55, 2, -48, -32, 47, -57, 34, 20, -28, -42, 30, -70, -47, 33, 30, 6, -19, 20, 29, -29, 39, -7, -14, 30, -21, -58, -31, 46, 69, 5, 16, 1, 66, 15, 16, -47, -68, 16, 1, 4, 48, -36, -27, -30, -3, -28, -39, -48, -8, -61, -68, -36, -41, 28, 41, -15, 26, -27, 41, -14, 62, 20, -9, -43, -25, 58, -54, 47, 55, 24, 20, 5, 58, 9, -51, -73, 39, -27, -30, -18, 53, -22, 28, -34, -38, 49, 6, 45, -53, 46, 47, -42, 30, -42, -66, -51, -65, -76, 19, -30, -33, -56, 41, 41, -16, -39, 55, -11, 4, -24, -59, -60, 38, 20, -50, 18, 64, 19, -59, -23, 49, 10, -29, 49, -55, -52, -33, -2, -43, 32, -59, -35, -3, -9, 29, 36, -28, 56, 25, 27, 30, -57, -35, 20, -1, -45, -19, 66, 52, 12, 34, 37, -44, 40, -25, -14, -10, 63, -3, 47, -53, 43, 13, -29, 48, 32, -20, -27, -43, -8, -32, 11, 43, -62, -33, 6, 15, 19, -16, 34, -45, -38, 14, 14, 54, -1, -63, -33, 18, 57, -70, 37, -32, -78, 51, -41, 5, 28, 42, 42, -1, -46, 53, 32, 21, -9, 30, -9, 18, 38, 49, 25, -49, -10, -58, -17, 32, 29, 45, -55, 47, -42, -35, 31, 23, -21, -26, 35, 16, -19, 32, 73, -56, -34, -62, 52, -6, -23, -36, 20, -30, -26, -30, -26, 24, 9, 32, 48, 61, 8, -53, -49, 13, -13, 2, -43, -35, -11, 55, -11, 0, 61, -22, -19, -49, 20, 32, -27, -60, -68, 57, 49, -17, -14, 60, 38, -34, 62, -61, 43, 19, 6, -43, 2, 51, 50, -24, -12, 21, -40, -41, 31, 63, 38, -13, 42, 36, -22, -41, -29, 61, 8, 16, -46, -16, -39, -44, 35, -43, 46, -79, -58, -12, -36, 15, -84, 39, 24, 91, 37, -48, 36, -35, -82, 3, 35, 37, 62, -56, 6, 57, 35, -30, 59, -4, -23, 36, 11, 19, 22, -44, -28, -2, 9, 52, 31, 31, -56, 10, -41, -7, 19, -28, -69, 29, 26, 24, -58, 25, -24, -28, -67, -35, 10, -35, 23, 37, -8, -30, -4, 7, 10, -57, -7, -62, -7, -43, 51, 23, 15, 51, -51, 31, 52, 29, -12, 5, -16, 46, -3, -6, -22, 58, -55, -9, 24, 38, -52, -44, -26, 37, -38, 20, -22, -67, -38, -47, 54, 15, 25, -35, -34, 7, -5, -30, -48, -76, 77, -79, 1, 12, -78, -22, 19, -15, 29, 3, 70, 35, -29, -58, 25, -28, -43, -52, -23, -3, -16, -54, -35, 58, 58, -32, 50, 2, 50, 13, 11, -47, -71, -33, 53, 10, -27, -13, 36, 31, 58, 5, -48, -60, 33, 43, 37, 23, -14, 19, -55, -22, 20, 21, 17, 59, -27, -15, 18, 54, -34, 41, 52, 11, -14, 35, -26, 15, 19, 52, 52, -44, 5, 51, 42, 43, 12, 42, 26, -42, -27, 46, 57, 29, 34, -42, -40, -2, 38, -48, -59, 50, 14, -36, -72, -10, -68, 44, -9, 23, 61, 1, -24, -59, 28, -22, -40, 21, -34, -11, 53, 64, -54, -42, -52, 25, 7, -11, 36, 18, 63, -29, 41, 43, -16, 20, -20, -18, 45, 28, 38, 57, 55, 34, 52, -2, -57, -59, 42, -41, 16, -57, -33, -54, -31, 25, 48, 39, 55, 36, -13, 53, 40, 18, -54, 39, -57, 50, -27, 11, 5, 3, 43, 11, -57, -9, 7, 16, -63, -22, -41, 1, 9, -10, 30, -42, -51, 46, -37, 57, -15, 57, -51, -54, -25, -43, 4, -4, 56, 58, 23, -9, -41, -6, -12, 60, -27, -22, 8, -36, -46, 51, 45, -45, -23, -53, -13, 57, 30, 33, -60, -37, 27, -7, 55, -49, 5, 33, 30, 55, -4, 36, 80, -18, 42, 7, -13, 51, -16, 6, -3, 30, -8, -50, -16, -68, -15, -51, -10, -32, 11, 6, -13, -54, -31, 72, -24, 44, 43, 35, -16, 22, -53, 39, 20, 17, -44, 28, 56, -5, 54, -54, -12, 13, 10, 55, -65, -33, 56, 39, -8, 51, -31, 32, 21, -42, 58, -52, -60, 43, 46, -18, 4, -42, -54, -18, 12, -46, -4, -21, -33, 53, -19, -48, 62, -58, -2, -67, -63, 23, 43, -40, -13, -4, 62, -28, -13, -37, 12, 54, 40, 26, -13, 60, -50, -31, -4, 33, -31, -42, -11, -60, 43, 59, -2, 67, 14, -52, 31, 1, -9, 17, 72, 40, 44, -68, -43, -23, -78, 35, -31, 51, 25, 43, 2, 25, -5, 41, 7, -45, 6, 44, 7, -18, 50, -48, 32, -35, -52, -22, -8, 40, 51, -13, -53, -63, -15, -43, -42, 30, 52, 15, -51, 43, -56, 63, -5, 34, 16, 59, 1, 37, -39, -62, -53, -28, 20, -14, -1, -39, 11, 58, -28, 0, 44, 12, 18, -42, -45, -59, 33, 35, -6, 40, -2, -6, -14, -57, 28, -32, 29, -35, 36, 45, -4, 24, -15, -8, -46, 17, 62, 38, 33, 10, -53, 5, -45, -24, -11, -62, -27, -35, 60, 6, 64, -45, -7, -12, -41, -33, -40, -30, 35, -46, 33, 35, -19, -27, 8, -17, 21, 28, 21, 64, -45, 38, -2, -33, -1, 47, -64, 26, 7, -53, 44, 11, 13, -59, 0, -14, 10, -53, 53, 35, 54, -23, 46, 46, -35, -40, 16, 28, 2, 4, 4, 36, 49, 31, -12, -41, -21, -56, 15, 1, 58, 18, -8, 41, -50, -24, -49, -52, -49, -24, -46, 10, 14, 20, 20, -30, 32, -31, 46, -49, -27, 37, 39, 3, 58, 12, -2, 6, 41, 3, -30, 40, -63, 45, -48, 1, -64, -43, 10, 50, 52, -58, -56, -61, 40, -64, -21, -3, 6, -42, 4, -24, -55, -32, 20, 24, 46, 10, -54, 28, -50, 6, 22, -66, 10, -62, 52, 40, 9, 7, 23, -33, -54, 27, 50, 15, -21, -50, 5, 45, -54, -32, 20, 13, 60, 53, 51, -39, 5, 92, 84, 54, -47, 19, 33, 13, -38, 25, 5, 59, 31, 54, 1, 50, -46, -38, -23, -48, -38, -29, 46, -25, -8, 56, 34, -31, -21, 46, 1, -5, 64, -16, 20, 22, 43, -51, -16, -55, 26, 10, 30, 34, -38, -11, -22, -43, 41, 57, 5, -50, -8, 65, 25, -46, 50, -43, -26, 14, -2, 25, 10, 65, 6, 27, -28, 47, -61, -19, -46, -26, -25, 37, 19, -51, -44, 0, 40, 52, -30, 47, -11, -36, -53, 68, -24, -46, 46, 14, -23, -57, 45, 9, -48, 37, -51, 44, 58, 60, -63, 12, -8, -35, -52, -51, 13, 3, -37, -5, -43, 59, 10, -19, -44, -55, 24, -17, -37, -31, -14, -47, -35, -48, 25, -33, 13, -62, -63, -68, -30, -7, -20, -54, -19, 29, 18, -18, -47, -18, -26, -22, -57, -26, -61, -27, 21, 47, -13, -30, -7, -60, 31, -59, 53, 7, -40, 10, -62, -63, -15, 58, -48, 74, 9, 27, -13, 8, -60, -56, -1, -51, 54, -39, 6, -39, 20, -58, 22, -22, -64, -39, 39, 43, -10, -57, -38, 24, -42, 10, -37, -18, -56, 27, 11, -1, -29, -52, 31, -60, 10, 24, -69, -68, -55, -58, 5, -30, 7, 46, 33, 37, 31, 40, 36, 6, -57, -38, 41, 8, -18, 46, 0, 13, -38, -63, 44, 59, 27, 13, 28, 16, 28, -45, -45, 26, 0, 39, 57, -37, 46, 55, 35, -57, 33, 55, -7, 19, -4, 38, -46, -39, 66, -48, 10, 15, 26, 52, 60, -6, 55, -37, -11, -58, -3, 12, -14, -51, 6, -26, -17, -59, -4, 27, -34, -17, -11, 24, -58, 7, -30, -56, -40, 3, 62, -7, -38, -64, -54, -43, -19, -16, 12, 60, -19, -6, -60, -22, -30, 17, -48, -60, -21, 47, 57, 29, 11, 40, -55, -57, 7, -19, 8, -28, 45, 27, -52, 47, -64, -65, -30, -19, -56, 67, -1, -20, 38, 28, 41, -59, 4, 11, 43, 66, 56, -25, -58, 31, -18, 29, 34, 63, -3, 45, -42, -30, -41, 7, -59, 13, 40, -14, 47, 47, 32, -45, -36, -2, 4, 21, 20, 30, 11, 8, -20, -54, -6, -9, 57, -59, 1, -33, 57, -42, -34, 2, 42, -52, 18, -54, -33, 40, -66, 14, -51, 26, 50, -15, -21, 36, -2, 32, -12, 26, 8, 26, 35, 13, -4, 25, 47, 8, 11, 6, 10, 13, -60, -10, 4, 50, -3, 21, 55, 36, 4, -65, 45, -50, -61, -18, -37, -32, 48, -32, 39, -51, -25, 62, -15, -31, -46, 50, -19, -54, -60, -48, -21, 28, -59, 17, 24, -3, 16, 56, -38, -53, -10, -32, 51, -50, 33, -25, -28, 56, -63, -5, 40, -44, 22, -41, -56, -9, -23, 1, 22, 8, -24, 16, -54, -38, 50, -11, -57, 25, -70, -36, 58, 29, 13, 2, -15, -58, 30, 49, -47, -8, -39, 49, -42, -3, 53, 50, 54, 60, -4, 7, 31, -4, -28, -33, -46, -17, -52, -45, 35, 29, 6, -14, -50, -22, 48, -18, 63, -42, -23, -47, 42, 43, -51, 53, -47, 21, 65, 32, 22, 28, -56, -26, -11, -20, -63, -54, 55, -32, 51, 55, -41, -24, 37, -46, 33, -21, -22, 0, 10, -34, 23, -51, -28, 37, 35, -34, -48, -15, 52, -62, -46, 22, 59, -36, 53, 2, -38, 54, -50, 8, 2, -13, -15, 11, 51, -58, -11, -22, -64, -26, 42, -10, -54, -48, 55, 34, 41, -48, 28, 60, 25, -21, -25, 44, -29, -10, -46, -45, -46, 29, -49, 47, -52, -52, 13, 45, -63, 45, 57, 0, 13, 23, -62, -54, 66, 34, 45, 40, -64, 51, -4, -18, 40, -52, 62, 21, 31, -50, -8, 25, -19, 32, -51, 15, 40, 23, -8, -15, 41, 61, 7, -38, -26, 1, -7, 54, -38, -9, -10, 17, 9, -19, -37, -21, -44, 52, 39, -51, 9, -41, -59, -19, 50, 9, -35, -25, 13, 61, -42, -28, -34, 3, -63, -4, 6, 28, 17, -34, 40, 24, 48, 1, -16, -27, -47, 30, -20, -16, 57, -11, 53, -37, 10, 11, -6, -61, 44, 28, -18, -14, 42, 6, -35, 59, -16, 16, 8, 41, 39, -32, -59, -59, -43, 5, -31, -21, -46, -34, 29, -27, -35, 15, 46, 59, -39, 58, 50, 36, 49, -23, 60, -36, -20, -63, -11, 35, 56, 15, -62, -6, 14, -32, 5, 63, 18, 37, -28, 39, -11, 45, -41, 34, 10, 38, -35, -53, 33, -54, -35, 70, -42, 60, 39, -61, -58, -51, 4, -13, 9, 8, 41, -21, 44, -26, 43, -47, -40, -44, -63, -63, -48, 22, -43, -43, 11, -23, 6, 49, 26, -8, -36, -1, 51, 29, 24, 35, -72, -29, 8, -48, 28, -11, -31, -39, -22, 42, -19, 23, 1, -15, -46, -56, 45, 12, -5, 7, 1, 5, 27, -49, -64, -11, -26, -30, -30, 12, 15, 34, -40, -13, -49, -34, -46, -40, -12, -6, -53, -55, 43, 5, -63, 20, 10, -42, 37, -11, 48, 28, 50, -9, -42, -44, -27, 57, 32, -21, -23, -11, -42, 54, -1, 7, -49, -35, -62, -27, 35, 58, -4, 55, 34, 23, 14, -53, 61, -29, 9, -40, 19, -43, 12, 21, 53, -8, -31, 38, 38, -35, 52, -50, -26, -30, 29, 43, 24, -17, 44, -14, 26, -62, -34, -34, 2, -58, -72, -15, 59, 53, 49, -19, -15, 2, -11, -43, -12, -9, -52, -45, 4, 16, 27, 27, 18, -18, -27, -25, -26, -22, -6, 0, 51, 43, -20, -28, -22, -63, 55, 59, -28, 64, 28, 11, -28, 59, 7, -41, 59, -50, -33, -40, -46, 38, 43, 57, -20, -42, 63, -61, 59, 60, -19, -59, -55, 43, 25, 48, 1, -62, -64, -1, 20, 9, 52, -8, 58, -21, 32, 53, -37, -10, 12, -43, -54, -58, -36, 21, 0, 15, 42, 39, -38, 46, 16, -62, 34, 36, -30, 50, 5, 57, 35, 4, -32, 32, 29, 29, 28, -14, 20, 59, 10, -11, 41, -13, -55, -4, 59, -1, 9, -48, 31, 58, -6, -35, -59, 55, 13, 50, -61, -8, 15, 23, -46, -56, 29, -15, -53, -60, 16, 25, 12, -36, 11, 35, -36, 61, 50, 47, -7, 28, 17, -1, 60, 8, 2, 29, 2, -32, -25, -37, -8, 2, 48, -33, -16, -11, -22, -51, -62, -30, -14, -5, -38, 3, 30, -9, 12, -37, -9, -34, -14, 9, 49, -29, 33, -28, -8, 23, 8, 56, -26, 35, 16, -24, 60, 61, -38, 15, 34, 23, -38, -2, -58, -19, -21, 25, 58, 6, -53, 44, -3, 24, 62, -34, -36, -49, -56, -63, -5, -25, -4, 49, 57, -23, 31, -27, 0, -31, -50, -5, -34, -44, 41, 2, 47, 30, -58, 32, -9, 36, 8, -11, -41, 32, -26, -5, -54, 2, 50, 3, -3, 3, -20, 34, 25, 13, -2, -58, -67, 37, -29, 45, -8, 34, 22, -16, 55, 35, 48, 12, -23, -19, -8, 51, 33, 28, 24, -51, -24, 19, 53, 5, 55, -50, -55, -11, 22, -33, -6, 3, -37, -10, -30, -52, 58, -30, 19, 3, 13, 23, 30, 35, -11, 40, 27, -14, 12, -33, -46, -20, 37, 27, -55, 51, 40, 33, 39, 58, -10, -41, 56, -2, 34, -48, -53, -11, 22, -46, -54, -55, -36, 26, -4, 9, -38, -16, 51, -2, 10, 21, 11, 54, 28, 39, -10, -9, -19, -32, 58, -58, 1, 40, -38, -18, 0, 20, -57, -11, -46, -26, -24, 40, 14, -50, -3, -32, 44, 2, -48, -62, -1, 71, 10, 22, 45, -9, 32, -48, -57, 21, 1, -59, 15, -58, 51, 21, -26, 32, 7, 33, 65, 49, 33, 7, -26, 43, -30, -47, -35, 50, -25, 35, 31, -21, -18, 42, 17, -20, 43, 30, 61, -18, 36, 1, 15, -47, 28, -19, 11, -10, 46, 0, -48, -28, -54, -59, -43, -58, 59, 12, -2, 38, 0, 7, 53, -20, 64, 52, 29, 32, 5, 33, 31, 4, -35, 35, -7, -14, 15, 15, -47, -11, -44, 35, -58, 45, -71, 43, -11, -62, 5, 40, -62, -31, 3, -20, 17, 66, -3, -74, -6, 55, -27, -43, 60, 29, -29, 54, -19, -25, -37, -11, -34, 53, 54, -26, 53, 20, 26, 57, -27, -56, -25, 34, 13, -48, 57, 29, -54, -69, 41, 34, 26, -52, -18, 24, -33, 16, -8, -57, -24, -7, -37, -54, -58, -43, -27, 60, 54, -31, -21, 23, -31, 41, 8, -29, -45, 18, -16, -42, 59, 43, 15, -15, 24, -19, -23, 25, -25, -35, -43, 10, -5, 59, -33, -3, -29, -16, -56, 11, 31, 0, -63, 8, -2, -63, -2, -42, -43, 1, 22, 40, 5, -18, -46, 29, -3, 38, 48, 63, 26, -14, 9, -55, -30, 65, -4, -18, -7, 72, -6, 13, -54, 49, 11, 9, 18, -12, 6, 59, -63, 55, -24, 46, -17, -10, -23, 58, -6, 24, 46, 23, -49, 78, -25, -51, 53, 47, -31, 15, 18, -39, -38, 37, 5, 22, 18, 34, 63, -28, -62, 46, -31, -6, 17, 29, 53, 48, 43, -16, 35, -36, 56, 12, 52, 31, -38, -7, -11, 31, 56, 38, 7, -13, 61, -42, -64, 63, 26, -22, -62, -21, 26, 9, 29, -13, -52, 48, -39, -26, -4, -10, 27, 57, 30, 36, 0, 54, 30, 18, -26, 50, 62, 18, -14, 50, 47, -21, 7, 46, -54, 23, -35, 1, 7, -42, 49, -59, -42, 28, 55, 10, -37, -41, 25, 28, 48, 46, -27, 58, 39, 9, -51, -8, 26, 1, 26, 1, -7, -35, -25, -26, 65, 9, 21, 9, -62, 32, 35, 17, 24, 43, 41, 10, 37, 15, 4, -23, -12, 27, 3, -8, -11, 1, -17, -32, -54, -14, -48, 10, 9, -6, -13, -36, 5, -16, -8, -52, 13, 38, -58, -66, -57, -27, -43, -25, -17, 54, -18, -30, 52, -26, 61, 77, 46, 56, -39, 24, 12, 7, 49, -10, 21, -52, -38, 62, 34, 43, -20, 7, 43, -9, 35, 36, 7, 51, -22, -21, -41, 55, -16, -22, -32, -54, -29, 60, -43, -52, -53, 51, 34, -33, -39, 9, 47, 29, -39, 35, -28, 25, 3, -42, 60, 12, -42, -55, 7, -18, -3, -34, -53, 30, -14, -30, 43, -66, 41, 55, -67, 42, -65, -10, -13, 36, 2, 15, -26, -15, -3, -37, 6, -48, -48, -49, -43, 57, -43, -9, -36, -60, 1, -4, 36, -60, 7, -23, 7, 53, 5, -1, -35, 5, 40, 26, 25, -5, -58, 20, -31, 64, 39, -36, -30, 52, 34, 47, -19, 38, 48, 3, 8, 19, 48, -61, -4, -40, -26, 32, 28, 43, -78, -65, 22, 30, -38, -30, 44, 32, 3, -51, -14, -8, -34, 48, 11, -51, -58, -38, -45, 1, -69, -74, 40, -27, 26, -44, -16, -53, -22, 58, 22, -35, -27, 59, 11, -24, 15, 1, -5, -32, -43, -31, -15, 41, 41, 32, 54, 14, 31, -10, 4, -6, 8, 54, 53, 21, -32, 46, 62, -61, -58, -51, -18, 49, 63, -59, -21, -17, 2, -18, 6, 24, 21, 41, -49, -20, 52, -32, -43, 31, -6, -14, -22, 16, 14, 19, -47, 45, 31, -62, -10, -7, 62, -13, -16, -53, 56, -36, 38, -20, 38, -25, 52, 49, 26, -20, -20, -31, 6, -34, -16, 19, 15, -3, 33, 52, -48, -16, -37, 52, 56, 11, 5, 7, 35, 61, 33, 24, -14, -36, 63, -42, 37, -51, -35, 23, 42, -8, -21, 6, -52, -22, -44, -30, 41, 31, -15, -30, -7, -30, -12, 49, -7, 29, -11, -5, -45, -64, 65, -14, 35, 33, 41, -31, -64, 19, -35, 49, -46, 48, -21, 21, -49, -8, 31, -35, -40, -1, 53, -42, -16, -39, -26, 55, -23, -6, 13, 57, 25, 60, -49, -48, 46, -35, 3, 31, -13, 55, 38, 39, -10, -24, -43, -52, -59, 25, 33, -65, 19, -7, -60, 59, -3, 28, -13, -51, -34, -55, 2, -21, -17, -30, 1, 35, 2, -55, -53, -46, 7, 9, 38, -38, -5, 48, 40, -34, 8, -57, 9, 54, -15, 47, 46, -34, 33, -38, -7, 17, 30, 9, 52, -13, -8, 63, -53, 46, -26, -36, 9, -19, 22, -48, 26, 2, -25, -62, 19, -45, 38, 35, 34, 8, 15, -24, 43, -30, -1, 47, -27, 64, 49, -13, -18, -54, -37, 12, 57, 14, -43, -37, 8, -7, 57, -36, 20, -30, -45, 45, -23, -50, 46, -7, 39, 44, 63, 61, -28, 33, 19, 43, -4, -63, -23, -13, 3, 38, -2, 23, 40, -14, 27, -72, -21, -10, 18, -6, -38, -30, -32, -41, -50, 25, 8, 58, 4, -63, -12, -19, -2, -34, 26, -33, -5, -47, 20, -36, 14, -22, 56, -1, 54, 3, 41, 20, -45, -67, 34, 50, 30, -3, -56, 7, 62, -30, 56, 1, 23, -28, 61, -41, -17, -30, -33, -28, -26, -19, -35, 45, 20, -20, 41, 43, -12, 38, -61, 24, 54, 17, 28, 68, 51, -10, -23, 17, 44, -18, -40, 33, 15, 47, -43, -63, -1, -36, -49, -32, 27, 22, 19, 12, -9, -61, 35, 45, -52, 23, 23, 23, 70, -36, 36, -67, 49, -35, 16, -46, 12, -9, -38, -18, -13, 1, 8, 67, -19, -31, -44, -42, 51, -12, 6, -49, 47, 49, -1, -36, 0, -33, 56, 61, 53, 56, -18, 20, 16, 60, -10, -25, 41, 37, 36, -27, 50, 35, -29, 44, 39, 6, -10, 22, -1, 45, -15, -34, 13, 47, 34, 61, -64, -50, 46, 16, 58, 49, 8, 4, -69, -57, -7, -24, 35, -8, 25, 24, 37, -5, -51, -29, -52, 11, 9, -49, -29, -49, -21, -74, -38, -2, -57, 32, 18, -53, -43, -37, -18, 50, 34, 36, 34, -35, -8, -59, -48, 46, -3, 9, -14, -26, -4, 16, -4, 18, 57, -44, -4, 28, 3, 46, -56, 44, -2, 59, -29, 59, 54, -62, -74, -29, 13, 1, -34, 52, -4, -11, 68, -7, 53, -27, -40, 78, -33, 21, 15, -64, -33, 64, -1, 51, -43, 60, 56, -48, -18, -43, -41, 6, 9, -47, -31, 43, -25, -38, -40, 28, -17, 40, -50, 38, 39, -33, 48, -36, 22, 25, -49, -38, -29, 29, 37, 52, -33, -14, -20, -10, -47, -49, -71, -18, 26, -59, -30, -13, -22, -65, -34, -67, -64, -54, -60, -48, 56, 53, -31, -34, 26, 28, 23, -7, 40, 35, 13, 52, -18, -49, -21, 45, -9, 45, -62, -34, -61, 2, -50, -58, 45, 11, -28, 40, 11, -36, 37, -59, 45, -58, -7, 10, -39, -38, -60, 19, -30, -21, 46, -14, -45, 36, 60, -46, -15, 6, -49, 6, -40, -53, -45, -17, -41, -16, -41, -6, 37, -36, 36, 7, 63, -6, -29, -63, -28, 13, 46, -68, 33, 26, 3, 36, 23, 63, -23, -34, -37, 73, 13, 25, -22, -2, 2, 84, -38, -9, 28, -59, -63, -28, 11, 5, -5, 45, -6, 10, -48, -31, -9, 26, -29, 12, 18, -38, 1, -66, 35, -59, -69, -38, 43, 54, -11, 42, -46, 58, -28, 28, -12, 57, -64, 24, -60, 7, -8, 15, -46, -50, 57, 59, 11, -21, 27, 41, 54, -52, -56, 83, -21, -63, -32, -1, 1, -60, 28, 45, 25, -53, -21, -62, -7, -12, 1, -8, -40, -16, -14, -62, 54, 12, -37, -52, -16, 7, 5, 48, -51, -57, -41, -20, -29, 17, 14, 59, 20, -35, 23, -21, 7, -17, 12, 5, 44, 50, 29, 8, -61, -35, -51, 23, -13, -16, 24, 44, -34, 32, 5, -37, 49, 20, 41, 23, 18, -46, 37, 17, 8, 54, 2, -11, -13, -63, 25, 44, 43, 13, -24, 11, -14, 49, -7, 13, -24, -28, 2, -27, 59, 6, 3, -34, -63, 29, 9, 63, 28, -43, 3, -74, -72, -62, -19, -94, 30, -53, 49, 13, 56, -20, 38, 33, -9, -28, 21, -40, -26, -53, 49, -1, 5, -18, -6, -21, 47, -38, -33, -12, 45, -55, -9, 20, 6, -48, -24, -44, -34, -55, 12, 3, 1, -35, 47, 2, -12, 2, -3, 18, 47, 32, 47, -57, -82, -8, 18, -19, 4, 32, -17, -32, -7, 27, -10, -58, 51, 50, 15, -18, -43, -29, 38, 33, 21, -1, -44, 3, 31, 26, 59, 29, -17, -9, -33, -54, 57, -58, -58, -57, -14, 11, 4, -24, 11, -36, 56, 63, 12, 37, -35, -9, -27, 42, -39, -62, 53, 6, 12, -40, 32, 16, -43, 7, 63, -29, 36, -14, -76, 51, -41, -59, -55, 22, 14, -51, -44, -2, -26, 9, -67, -38, -10, -44, -29, 4, 54, -44, -39, 16, 38, -65, -38, -52, -5, -4, -26, -66, 13, 10, 31, -32, 54, 27, -3, -63, 19, 37, -2, 70, -55, -38, 76, -50, -65, -27, 15, -41, -14, -19, 13, -46, -50, 60, 31, 19, -38, 8, 36, 31, 77, 17, 35, 39, 14, 6, 8, 50, 46, 34, 54, 23, 74, -56, 61, 61, -10, 6, 46, 56, 36, -17, 28, 58, -28, 34, 7, -60, -31, 2, -79, 32, 27, -16, 15, 19, -61, -49, -15, -51, -53, -8, -45, 62, 19, 19, -54, 49, 23, 28, -42, -27, -20, -19, -60, 73, 45, 52, 18, 25, 48, -25, 1, -11, 13, -49, -2, -36, 60, -29, 42, -4, -22, -73, 49, -46, 19, 20, -23, -29, 27, -16, 4, 49, -35, -55, -64, -45, -56, -29, -67, 42, 25, 34, 34, -14, 44, 52, -25, -57, 58, -26, 4, -57, 44, -3, 3, 26, 12, -26, -24, 15, 59, -17, -45, 1, 7, 26, 45, -49, -27, 3, 18, 21, -9, 19, 38, -41, 33, 23, -22, 32, 27, 2, -12, -27, 51, -40, -28, 8, 20, -63, -17, -44, -45, -5, 4, 15, 60, -21, 20, -29, 16, 60, 8, -16, -34, 6, 9, 16, 56, 36, -2, -48, 14, -10, -58, -59, -31, -17, -38, -40, -20, -48, 41, -50, -19, 0, -58, 32, 40, 27, 41, -52, -15, 9, -36, 5, 59, -18, -45, -42, -52, -9, 35, 24, 4, -11, 21, -39, 37, 59, -47, 36, 2, 54, 32, 58, -1, 28, 49, -15, 40, -38, 3, 9, 37, -8, -19, -39, -32, 52, 12, 57, -34, 40, 42, 23, -56, -2, 28, -11, 2, -67, -43, -10, 45, 34, -46, 15, 17, -14, 21, -30, -5, -50, 34, -37, -10, 50, -37, -24, -49, 58, -57, -17, -45, -23, 52, 16, -3, -19, 23, -16, -19, -17, 57, -43, 28, -25, 32, 10, -44, 6, -34, -3, 2, -55, 40, -1, -23, -43, -3, 5, -15, 11, 56, 65, -47, 42, 48, 9, 22, -34, -35, -26, 6, 56, -40, 61, -21, -44, 33, 36, 24, -53, -59, -53, -31, -12, -11, 3, 44, -53, -36, 6, 48, -20, 32, -10, 57, -37, 9, 34, 48, -64, 22, -29, 0, 6, 32, -2, 5, 21, -32, -37, -19, 18, 17, -41, -26, 1, 44, -23, 12, 53, -15, 6, 48, 8, 17, -22, -29, -21, -53, 52, -36, 50, -1, -16, -37, 22, 9, 39, -22, -4, -17, -56, -5, 2, 13, 50, 11, -1, 22, 48, 6, 41, 59, 71, 47, 60, 17, 44, 72, -58, 56, -5, -14, -26, 1, 54, 52, -39, 56, 26, 8, -31, 78, 48, 67, -30, 72, 35, 25, -25, 53, -35, -35, 43, -22, 18, 56, -52, -12, -18, -62, 58, -46, -46, 0, 62, -62, -64, -17, 30, -65, 55, 32, -33, 21, -71, -54, 37, 9, 56, -68, 32, 38, -23, -24, -50, 41, 55, -52, -47, -37, -39, 29, 10, 17, 54, 24, 60, 29, -6, -62, -47, 40, 7, -54, 22, 49, -19, 54, 39, 24, -5, 45, 51, 5, -32, -10, 72, 68, 12, 52, -23, 4, -25, -20, -19, 20, 20, 16, -30, 50, -5, -57, -63, 7, -36, -11, 69, 20, 30, 14, -53, -44, 20, 49, -61, 60, 50, -16, 3, 2, 41, -17, 33, -54, -29, -42, 28, -4, 46, -18, -11, 59, -13, 44, 49, 8, -28, 3, 31, 29, 48, 48, 7, 37, -39, 15, -33, 8, 12, -43, -37, -43, -15, -7, 25, 9, -19, -13, 55, -52, -29, 4, -9, -5, -16, -28, -39, -15, 63, 47, -51, -29, -41, 51, -45, -61, 9, -59, -1, 62, 0, -23, 26, 51, 35, -6, 1, 12, 50, 6, -51, 29, -27, 50, -11, -21, -21, -4, -36, 38, -36, -49, 49, -33, 11, -36, 24, 46, -44, -20, 23, 26, -23, -34, 22, -51, -14, 17, -13, -25, 67, -37, 43, 48, -17, -35, 24, -71, -18, 41, -11, -40, -8, 21, 24, 48, 13, 26, 30, -16, -46, 38, -59, -70, -31, 19, 58, -29, 36, -23, -25, -60, -29, 17, 18, 13, -19, 46, -23, -9, 19, -30, 49, 51, 17, -20, 3, 20, -33, -11, 44, -24, 21, -7, -3, -35, -40, -22, 5, -33, -40, -41, 29, -19, -74, -62, 42, 40, 37, -35, -4, -49, -50, -52, -57, 21, 64, -40, -24, 19, 35, 25, -7, -9, 8, 42, 27, 15, -58, 17, 58, 66, 62, 21, -14, 35, -25, 30, 10, -35, -36, -41, -49, -47, -67, 45, -71, -18, -44, 5, -1, 8, 41, 77, -5, 36, 55, -19, 23, -16, -19, 25, -34, -49, 42, -36, 21, -41, -60, 15, 6, 35, -7, -61, 28, 37, -25, 0, 50, -5, -1, -45, -68, 29, -38, 12, 51, -60, -50, 40, 49, -13, -68, -3, -9, 42, 7, 28, 3, 21, -10, 46, -51, 62, 9, -32, 13, -10, 10, -44, 53, 18, -21, 28, -41, -34, 37, 21, 16, 22, -20, -58, 5, -24, 28, 27, 59, -35, -30, 0, -5, 4, -24, -68, 35, 45, 16, 43, -35, 28, -2, 42, -60, 28, 4, -19, -57, -5, 27, -24, 20, 19, 59, 45, 35, 24, -18, 12, -64, 43, -34, 24, 94, -5, 49, -68, -71, 8, 55, -55, -61, 56, 22, 2, -27, -72, 28, 17, -36, -47, -7, 27, -46, 3, 25, -10, 12, -24, 46, 70, -34, 3, 29, 50, -12, 43, 31, -64, 33, -23, -34, 4, 27, 61, -47, -26, 6, 62, 16, -57, 52, 49, 27, -7, -19, 19, -26, -66, 35, 17, 1, 46, 45, 55, 10, -32, -3, 61, 49, -43, 46, 28, -20, -35, -33, -49, -29, -48, -47, 40, -15, 1, 14, -12, -19, -44, 19, 1, 35, 41, 68, -36, 20, -36, 0, -13, -61, -11, 20, -32, -52, -62, 7, -25, -65, -55, -43, -8, -4, -5, -14, -20, 42, 20, -45, -35, 36, -36, -42, -1, -4, -46, 3, 33, 36, -50, 23, 3, -9, 58, 26, 34, -52, -62, -12, 24, -48, 52, -57, 46, -1, -13, 25, 22, -6, -31, 23, -10, -49, 53, -35, -45, 39, -30, 7, 11, -15, -26, 41, -7, 13, -20, 13, -11, -72, 26, 47, -41, -43, 12, 16, -54, 26, 35, 37, 35, 31, 33, -5, -38, -54, 34, -69, -25, -18, -31, -56, -58, -81, -54, -19, -68, 51, -62, 20, -31, -40, -47, 4, 0, -32, -65, -44, -56, -47, -21, 23, -44, -48, 36, 12, 42, -20, -42, 27, -25, 58, -38, 25, 28, 38, -79, -14, -51, -5, -42, -17, 16, 44, -23, -39, 11, 27, -39, -2, -26, 56, -19, -19, -64, 12, -17, -56, -50, 28, 13, -61, -3, -18, -62, 30, -2, -37, -40, -59, -31, 1, 43, 12, -42, -12, -56, 57, -3, 24, -27, 55, -64, 32, -10, -12, -18, 12, -66, 37, 70, 14, -81, -48, -15, -70, -13, 19, 29, -41, -14, -63, 47, 61, -11, -52, -64, -7, 31, 5, 6, -19, -39, -15, -8, -52, 14, -34, 30, -57, 23, -10, -56, -29, -29, 2, 23, 72, 27, 57, 75, 54, -52, -64, 8, 0, -9, 36, 55, 21, 16, -33, 0, 29, -31, -3, -20, -24, -30, 23, -9, -8, 21, -20, 28, -3, -42, 56, -50, 11, 59, -11, -16, 0, 8, 6, 15, -22, 47, 14, -11, 47, 42, 29, -7, -36, 12, -60, -25, 48, 10, 62, -2, -24, 26, 57, 16, -61, 54, 63, 7, 29, -19, 35, 22, -84, -72, -8, -61, -46, 56, -14, 69, -43, 19, 18, 14, 16, 32, 34, 25, -24, -55, -22, -42, -1, -17, -22, 48, 7, -32, 38, -58, -31, -28, 54, 2, -58, 50, 34, 27, 15, 72, -9, -42, 18, 13, -63, -31, 55, -40, 29, 31, 52, -27, 24, 26, 44, -10, 28, -62, -3, 14, -12, 7, -24, -27, 37, -62, 0, 59, 47, 16, -45, -22, 42, -40, 9, -5, 58, 49, 39, -26, 26, 48, 5, 45, 38, 72, -17, -4, -35, 26, 72, 40, 51, 1, -8, 1, -22, 30, 11, -10, 13, 2, -58, -27, 40, 50, -27, 5, 11, -9, -12, -44, -21, -11, -55, -8, 24, -17, -24, 38, -5, -5, 51, -12, 30, -56, -12, 19, -4, -47, -19, 20, 32, -1, -70, 1, 56, -21, 42, -39, 17, -28, -40, 63, 13, 57, -44, -51, -24, 23, -20, 11, 7, -42, 30, -43, -51, 50, -28, 59, 0, -59, -23, 31, -58, 10, 62, -38, -25, -21, -4, -47, -47, -12, 0, 50, -19, -60, 21, 30, 15, -45, 2, 17, -55, 15, -42, 35, -17, -56, -47, -57, -8, -11, 52, 70, -47, -35, 70, -8, 54, -35, 26, -1, 30, -15, -17, -18, 57, 61, 39, -30, 52, -67, -16, 2, 27, 50, 48, 1, -58, -62, -38, -13, -41, 49, -54, -41, 61, -20, -70, 52, 71, -5, -17, 7, 41, -16, 21, -27, -74, -13, 43, 16, 15, 54, -1, -54, 43, 0, -62, -56, -38, 20, -68, -16, -22, -22, 71, 9, -32, 59, 4, 6, 37, 10, -67, -5, 19, -41, 6, 18, -36, 11, 22, -34, -65, 7, 24, 25, -4, 40, -5, -59, -59, 13, 10, -27, -57, 10, -44, -1, 65, 14, 13, -13, 42, -36, -21, -18, -23, -50, -17, 3, -44, -16, 19, -61, -17, 30, 71, -58, 51, -8, 62, -13, -38, -29, -4, -27, -32, -51, 5, 38, -64, -9, 25, 14, 46, 10, -53, -33, 35, 34, 3, -59, 41, -17, -42, -31, -52, -15, 29, 42, -64, 4, 19, -32, -9, 69, 24, 12, 41, -38, -38, 53, 12, 11, -13, 53, 23, 28, -53, 33, -33, -15, -64, 21, 4, -31, 61, -72, -11, -35, -6, 4, 31, 9, -21, 31, 46, -44, -15, 36, -53, 3, 50, 3, 21, -40, -10, 39, 34, -51, 28, 32, 58, -52, 21, 46, -5, -23, 7, 4, 20, -17, -20, -17, -45, 29, 30, -4, 55, 54, -38, -8, -35, -54, -14, -17, -31, 27, 54, 35, 2, -40, 15, -55, 15, -21, -12, -43, -40, 32, -27, 33, -55, 9, -37, 40, -38, 25, -51, 47, -32, 1, -26, 63, 4, -14, 50, -4, -26, 30, -33, 17, -2, 24, 24, 37, -48, -19, -67, -9, 15, -44, -2, -16, 42, 32, -31, -43, -48, 4, -32, -64, 39, -5, 17, 29, 34, -2, -2, -16, 20, 57, -12, -6, 18, -58, 12, 65, 48, 12, -26, -63, -49, 32, -13, -42, -36, -7, -33, 24, 5, 15, 0, -4, -29, -40, -33, -61, -37, 32, -40, -28, 39, -36, 39, 31, 43, 63, 0, -59, 55, 37, -56, -63, -30, 43, 54, 31, 10, 12, -53, 29, -38, 24, -2, 9, 60, 59, 51, -44, -32, -46, 3, -46, -13, -30, -10, -38, 40, -41, 33, 44, 37, -27, -3, 15, 44, 54, -45, 25, -53, 42, -30, -17, 47, 51, 25, -51, 8, 35, -14, -50, 62, -25, 11, -1, 4, -83, -36, -26, -18, 13, -79, -42, -51, 55, -30, 0, -54, 45, 60, 27, -29, -42, 8, -12, 11, -6, 40, 18, 38, 19, 33, -33, 35, 70, -35, -33, 75, -44, 82, 30, 46, 15, -31, -13, 24, -11, 27, -32, 29, 47, 21, 4, -57, 58, -43, -50, 7, -45, -19, 8, -51, 47, -60, 55, -31, 44, -39, -21, 1, -37, -12, -73, 35, 40, -9, 57, -39, 23, -42, 36, 54, 36, 14, -34, -67, -55, -36, 63, -51, -5, -52, 49, -36, 18, -7, -33, -24, 45, 44, 24, 65, 53, -47, -27, -30, 52, -35, -46, -31, 40, -1, 64, 63, -7, 65, 70, 26, -57, -44, -34, -7, 20, 38, -23, 12, -16, -42, -5, 72, -28, 61, -34, 16, -7, -4, 10, 32, -58, 40, -16, 26, 11, -18, 61, -54, -50, -47, 47, 18, 41, 27, -3, 19, -40, 0, 3, 28, 29, -53, 7, -14, 53, 47, 29, 12, -70, -36, -21, -27, 48, -31, 1, -51, -56, -7, 4, -20, -48, 2, 59, 62, -29, -16, 14, 28, 37, 63, 46, -36, -12, 28, 57, 8, 60, -30, -6, 13, -41, -63, -9, 48, -16, 26, 11, 11, -41, -60, -17, -6, -58, 29, 5, -59, -2, -18, -52, -45, 1, 43, 1, 13, -51, -63, 37, 62, 60, 35, 62, -60, -3, 60, -14, 43, -63, 2, -32, -4, 47, -63, -31, -20, -17, -18, -20, -42, -10, 0, -17, -9, 49, -7, -13, -21, 10, -24, 57, -46, -15, -58, 14, 42, 19, 30, 23, 20, -22, -56, 62, 31, 62, 48, 64, -59, -64, 6, 13, -14, -62, 44, 48, 9, 22, 44, 56, 42, -17, -7, -58, 5, -21, -2, -11, -10, -13, 46, 29, 59, -48, 53, -10, 62, 34, 16, 16, -11, -43, -48, 25, -27, -54, 14, 12, 52, -32, -7, -57, 21, -66, -35, -4, 10, 10, -5, 18, 17, 15, 14, 3, -50, -27, 18, 41, 25, -37, 55, -3, -60, 21, 38, -2, 54, -29, 17, 34, 7, -24, -61, -33, 24, -38, -62, -38, 8, 55, 9, -18, -30, 10, 39, -51, 20, 28, 50, 60, -17, 55, 56, 20, -65, -61, 38, -9, 35, -34, -5, 45, -45, -15, 48, 29, -57, 31, -51, -31, 17, 25, 37, -20, 13, -10, -18, 3, 31, -47, -51, 13, 53, 52, -11, -34, 47, 45, -29, -57, 13, 0, 32, -32, 24, -20, 64, 38, -15, 16, 22, 17, -18, -1, -55, 43, 36, -43, 46, 25, -40, 2, -40, -9, -61, 26, -62, -14, -28, -27, 5, 49, -26, -20, -14, -27, 53, 50, -64, -3, -38, -28, 45, 35, -41, -29, 58, 55, 54, -23, -60, 68, -28, 0, 20, -15, 19, -44, -4, 52, -17, -15, 40, -52, 36, -25, 42, 16, 64, 13, -40, 14, -8, -10, 5, 49, -46, -58, -2, 51, -18, -15, 37, -23, 0, 51, -15, 5, -62, -43, 27, 37, -18, 24, -45, 41, 11, 22, 13, -55, -60, 7, -44, 33, -44, -21, -51, -23, -16, 50, 17, 59, 18, 64, 13, 59, 11, -26, 56, -57, 25, -54, -50, -18, 48, 40, -4, -21, -8, 53, 0, 15, 11, 13, -36, -44, 59, 19, 43, 20, -54, 61, 14, 58, -64, 57, 57, -34, -23, -49, 40, 33, -42, 44, -6, -22, -51, -42, -33, 1, -2, 14, 26, -35, -23, -39, -22, -53, -11, -29, -44, 5, 22, -10, -5, -36, -63, -18, 0, -7, -51, 50, -17, 16, -54, -23, -9, 41, 2, -64, -3, -20, -20, -16, -2, 6, 2, 16, -32, -29, 47, -45, 50, 30, 16, -2, 19, -45, -10, 32, -42, 7, -7, 8, 27, 14, -15, -20, -60, 7, -45, -44, -48, 15, -40, 6, 31, 15, -43, -58, 12, 53, -26, 12, -24, 49, 54, 15, -9, 22, -66, 34, 48, -53, 59, -56, -36, 48, -50, 3, -31, -42, 43, 11, 16, -4, 54, -6, 57, 6, 55, 38, -60, -32, 44, 16, -19, -4, -29, -49, 28, 43, -61, -36, 38, -9, 24, -54, -13, 7, 45, 48, -62, -9, -58, -56, 8, 33, 9, -33, 36, -35, 19, 37, -8, -22, -35, 12, -13, -5, -42, 38, 8, -19, 33, -37, 44, 55, 42, -19, 49, -8, -5, 23, 27, -43, -15, -53, -9, 23, -57, 61, 32, -31, 26, 8, -22, 55, -59, -23, -37, -46, 31, 24, 1, 50, 45, 60, 57, -22, 20, -61, -36, 25, 20, -34, 32, -58, 40, 35, 2, -39, 28, 1, 57, -48, -22, -15, -6, 41, 14, 22, 16, -57, -24, -5, 12, 56, 14, -3, 9, 35, 49, -42, 46, 44, 36, 13, 19, 46, -59, 24, -19, 45, 26, -60, -36, 47, 57, 5, -13, -38, 52, 18, 30, -20, 41, -42, -14, -9, -50, 22, 32, 15, 42, 49, -56, -65, 22, -63, -18, 12, 3, -47, 35, 31, -62, 54, 23, 63, -20, -13, -20, 12, -54, -39, -50, -25, -35, 25, -58, 33, 57, -39, -15, 8, -59, 58, 30, 59, 13, -20, -51, 24, -26, -8, -2, -54, -37, -21, 30, -29, -18, -63, 10, 22, 0, 30, 35, 61, -43, -12, 44, 62, 62, -24, 48, 60, -59, -19, -14, -55, 23, 26, -14, -33, -3, -6, -36, -12, 2, 13, -64, -60, -15, 55, 53, 6, 20, 62, -58, -26, 51, -40, 69, -44, -60, 39, 31, -44, -17, -44, -51, -57, 12, 42, 6, 57, -45, 41, 49, 37, 18, 53, -51, 45, -27, -17, 45, -59, -49, 29, -54, 52, -26, -11, -53, -48, 52, -50, 38, 26, -50, -61, -47, -57, 22, 22, -41, 11, -1, 4, 13, 25, -25, -31, 55, -54, 53, -55, -55, 20, -25, -6, -61, -52, -33, -65, -33, -27, -23, 48, 59, -38, -14, 55, -35, 4, -46, 17, 3, 23, 61, -29, 50, -10, -42, -28, -43, 1, -30, -56, 61, -15, 56, 13, -55, -26, 45, 2, -2, -54, -21, 51, 31, -63, -47, -47, -42, -38, 28, -45, 30, 17, -1, 29, -60, 21, -13, 14, 29, -44, 8, -6, -6, 27, -6, -6, -8, -1, 57, 61, -51, -2, 49, 62, -20, 17, -27, 17, 19, -22, -64, -12, 52, -61, 63, 50, -19, -12, 27, -49, -37, 48, 5, 4, -28, 47, -8, 42, 46, 39, 14, -35, 47, 23, -57, 5, -22, -42, 10, 48, -6, -27, 52, -2, -11, -42, 15, -2, -64, 44, 2, -11, 60, -42, 7, -25, 6, 64, -20, 7, 60, -13, -38, -23, -29, 46, -47, 42, 0, 60, 4, -21, -19, -12, 10, 57, -16, -17, -33, 39, -6, -9, -25, 10, -60, -28, 17, -5, 50, 16, -10, 36, 58, 52, 15, -14, 54, -12, -14, -52, -16, 47, 29, -7, 18, -48, 58, 2, -59, -15, -37, -53, -13, -34, -2, 29, 17, -68, -31, 25, 7, -12, -50, -62, 1, -21, -14, -49, -15, 27, 44, -53, -11, 0, 60, 33, -13, 29, 58, 10, 3, -33, 25, 32, -35, -49, 4, -37, -37, -5, 29, 13, -2, 57, -45, 56, -73, -49, -11, 35, 29, -53, -55, -69, 13, 12, 44, -37, -2, 60, 21, -52, -29, 40, 31, -32, 4, -45, 18, 56, 23, -57, 46, -20, -24, -40, -26, -4, 2, 52, 52, 28, 13, 32, -45, 38, 59, 33, -42, 15, 43, -52, 6, -61, 7, -48, -22, -9, 21, 42, 51, 41, -63, -67, -12, -5, 10, -13, -42, 6, 4, 53, -20, -8, 5, -64, -23, -16, 21, 4, 5, 9, 22, 46, -56, 47, 66, -45, -48, -42, -29, -5, 38, -40, -35, -48, -8, 46, 60, -44, 13, 46, 57, -7, -21, -2, -54, -46, -26, -62, 61, 65, 38, -4, 26, 44, -12, 19, 60, 31, -52, -14, 38, 51, 33, -55, 13, -41, -61, 39, 2, -17, 7, -59, 4, -47, -61, -45, 22, -3, -54, 12, 49, 19, -45, -4, -55, -37, -20, -32, 60, 29, -45, -24, -66, 36, 27, -61, -2, -37, -58, 56, -67, 14, -32, 28, 28, -8, 31, 8, -14, 92, 5, -56, 51, -27, 47, 15, -57, 15, 52, -26, 28, -10, -21, 20, -44, -65, 26, 12, -38, -37, -7, 71, -26, -7, -18, 20, -14, -9, 61, 23, -41, 54, 63, -31, -47, -63, 61, 35, -44, 2, -61, -7, 13, -7, -7, -7, 34, -18, 41, 2, -26, -40, 36, 10, 53, 17, -73, -47, 1, -1, -18, 11, 0, -6, -35, 32, -7, 56, -24, 32, 6, -33, 21, -64, -7, -56, -51, -6, -20, -44, -53, -58, 46, 38, -7, 4, 11, 3, -23, 23, 54, -2, 56, -22, -32, -42, 41, -23, 41, -61, 25, 15, -35, -17, -25, -58, -19, -32, 21, 4, 4, 40, 45, 15, 9, 56, 57, -97, -18, 73, -53, 6, 51, -39, 1, 74, 42, -15, 73, 41, 68, -74, -69, 43, -22, 32, 17, -4, 13, -53, -56, -13, -10, 19, -27, -8, 10, 16, 6, -25, 69, 26, 95, 74, -5, 41, 57, 34, -3, 30, -59, -58, -1, -42, -40, 28, 15, 15, -4, -30, 28, -73, 24, 59, -11, -41, -27, -20, -21, -33, 19, -21, 24, -17, -69, -56, -6, -32, -64, 29, 7, 13, -33, -52, -59, 39, -9, 1, -75, 46, 20, 25, -42, 7, -69, -15, -52, -8, 43, 59, 56, -7, 32, 30, 13, 5, -34, 48, -47, -14, 6, 83, 49, -89, -26, 15, 23, 9, -34, -12, 56, 9, -44, 17, 22, 15, -56, 20, 70, 30, 81, 30, -11, -16, -21, -7, -22, 44, 26, 60, 45, -20, 51, 7, 23, 29, 22, -74, 43, 15, -9, 6, -10, -33, 32, -38, -40, -33, -14, 17, 46, 27, -26, 48, 36, -3, -75, 38, 97, -22, -51, 32, 57, -28, -2, -43, 18, -10, -9, 38, -1, 49, 12, -57, -55, -12, 36, -29, -35, -26, 49, 18, 5, -69, -31, 28, 12, 19, -6, 47, 44, -4, 1, 38, -1, -2, 3, 44, 19, -21, 10, 18, 40, -30, -38, -9, 13, -48, -41, 11, 51, -17, -32, 25, 60, -4, -17, 10, -46, 22, -18, -57, -43, 32, 23, -48, 46, -3, -8, -26, -16, -36, -55, 48, 14, 4, 33, 47, -40, -3, -63, 23, 53, -33, -47, 31, 64, 11, 39, -18, 45, 24, -40, 8, 47, 8, 10, 47, -10, -30, 73, 36, -10, -48, 20, 9, -44, 22, -36, 56, -9, -5, -40, -44, -37, -51, 27, -59, -48, 0, -15, 52, -14, -4, 7, -62, 49, -55, -19, -25, 27, -24, 16, -50, 24, -46, 21, 28, 15, 12, -56, -12, 21, 3, 33, -4, -75, 68, -4, 29, -31, -25, -54, 17, 1, 58, 12, -32, 44, 48, -28, -33, 4, 62, -56, 11, 55, 54, -32, 12, 1, 39, 55, -23, 10, -27, 26, 11, 75, -68, -35, 69, 11, -20, 16, 19, -11, 14, 32, -3, 26, 55, -44, 35, -64, -36, -40, 54, -21, -60, -9, 57, -52, -13, -48, -34, 39, -11, -5, 41, 43, -44, 3, 36, -11, -63, 46, -67, -52, -36, -30, -20, 10, -17, 29, -32, -51, -27, -51, 10, 52, -47, -23, 23, -24, -12, -86, 9, -40, -17, 12, -14, -75, 14, -34, -18, -25, 42, 18, 24, -10, 27, -13, -60, -30, -25, 5, -16, 37, -1, -4, 25, -52, 36, 16, -60, -14, -34, -17, -54, 8, -21, -51, 34, 20, -32, -53, 18, 25, 36, -34, -17, 39, 54, -12, 39, -62, 40, -11, 54, -49, 51, 47, -3, -62, -16, 19, 11, -53, 9, 43, 49, 50, -59, 58, -58, -13, -6, -45, -49, -59, 39, -57, -70, 39, -18, -41, 32, 58, 55, -11, 55, 46, -10, -28, -19, 59, -19, -20, 3, -3, -101, -8, -9, -83, -17, 12, 12, 37, 29, -72, -50, -2, 37, 7, -52, 62, 54, 67, 43, 20, 14, 14, -35, -32, -36, 1, -16, 0, 8, 0, 29, -30, 24, 6, 29, 52, -33, -2, -28, 86, -69, 58, -63, -2, -28, 35, -22, 48, -23, -52, 60, 34, -43, 43, 56, 28, -29, -17, -37, -14, 10, 10, -63, 0, 43, -37, 2, -8, 8, 7, -61, 21, 4, -46, -37, -35, 57, -49, 43, 45, -40, -29, 22, 34, 2, 9, 17, -8, 10, 36, -18, -62, -6, 21, -13, 8, 41, -55, 39, 1, 36, -11, 17, -47, 29, -50, -55, -59, 45, -51, -33, 19, 34, -61, -6, 22, -50, -45, -50, 18, -5, 31, 1, -62, 63, -30, -17, 19, -52, 55, -8, 58, 7, 54, 24, 64, -33, -26, -13, -24, 16, -32, 24, 11, 3, 91, 43, 26, -15, 25, 2, 10, -51, 33, -49, -32, -15, 0, 11, 24, 19, 39, 20, 36, -19, 61, 55, -65, 36, 3, -12, -45, -17, -3, 5, -60, -48, -41, 11, -57, 14, -67, 0, -5, 39, 3, -33, -39, 46, -9, 58, 46, -82, -49, 51, 43, 40, 50, 0, -54, 11, 63, -64, -55, -43, 26, 21, 21, -38, 5, -62, -34, -53, 31, -1, 6, -41, -1, -18, -65, 0, 48, -9, 22, -37, -18, 62, 51, -13, -13, -41, -61, 0, -31, -16, 10, -16, -23, -59, -43, 7, -7, 32, 46, 34, -63, 8, 4, 72, 54, -39, -21, 43, -34, 14, -62, 49, 58, -51, 34, -18, 17, -52, 47, 42, -28, 10, 45, -54, -49, 11, -54, 45, -55, -44, -33, -35, 54, -14, 61, 3, 6, 40, 41, 26, 8, -30, 46, -57, -55, -3, 66, 16, 38, -8, 30, -39, 12, -22, -4, -14, -66, 63, -44, 1, 10, 37, 2, 49, 55, 49, -60, -22, -2, 24, -15, 53, -14, -4, -14, -30, 38, 2, -20, -11, -77, -27, -48, -20, -74, 20, -8, -1, -67, 50, 64, -28, 41, -6, 52, -28, 7, -26, -34, 49, -1, -15, -4, -23, 37, -2, -43, -4, -11, 13, -32, -64, -28, -34, 38, -38, 5, 12, -18, -27, 38, 59, 6, 15, -19, -48, -24, -25, -43, -10, -6, 81, -71, 1, 69, -7, -27, -37, 24, 8, -48, 43, -28, -32, 31, 60, 48, 58, -15, -64, 7, -50, -30, 27, 11, -14, 52, 50, -10, 19, 12, 56, -8, 25, -43, -38, -87, -58, -79, 31, -13, -22, -33, -41, 48, 38, -18, -5, 41, 5, -20, 48, 66, 3, 5, -14, 10, 60, -45, -33, 19, -71, -16, 16, 9, -19, 45, 37, -51, 58, -81, -21, -18, 61, 47, -68, -56, 38, -41, -63, 33, -51, -28, 30, 9, 24, -15, 3, 3, 19, -24, 23, -22, -11, -23, -2, 4, -19, -47, -31, -23, 61, 80, 11, -78, -32, -40, -26, -24, -8, -16, 16, -40, -30, -31, -53, -40, -22, -16, -26, -17, 15, -59, -27, -40, 6, -57, 5, 24, 63, 48, -48, 1, 15, 35, 51, -41, -63, 35, 0, -71, -27, -7, 31, -1, -56, -10, 13, -21, 37, -11, -36, -7, -31, 13, 5, -35, -20, 17, 31, -34, 40, 32, -42, -62, 39, -10, -21, 5, 31, 24, 40, -71, -50, -4, -29, -43, -41, -42, 59, -34, -50, 23, 58, 45, -21, 13, 53, 35, 60, 40, -50, 35, 50, -30, -19, 28, -55, -52, 22, 38, 54, 43, 11, -46, -40, 57, 37, 27, -35, -31, -45, -6, 1, -25, 52, -50, -36, 38, 30, -32, 18, 22, -18, -20, -23, -30, 21, -15, 58, 43, 2, 50, 0, 60, -40, 52, 16, 58, -58, -52, -5, 33, 25, 62, -37, -11, 1, 48, -19, 54, -40, 9, -44, 33, -62, -3, -55, -47, -56, -42, 16, 23, -33, 48, -42, 56, 31, -56, 60, -53, -40, -25, 58, -17, -40, -44, -12, -50, 18, -2, 7, -16, -17, -41, 18, 50, 9, -9, 32, -67, -44, 10, 5, 30, -34, -34, 22, -31, 66, 70, 51, 9, -43, 40, -6, 53, 54, 8, 38, 13, 39, 32, 14, -54, -15, -36, -23, -40, 34, 13, -71, -13, 17, -60, -4, 57, 26, 33, 25, -8, 17, -54, 27, -3, -23, -7, 12, 18, 43, 65, -61, -56, -38, 32, -47, 37, -45, 2, 34, -9, -41, 70, 27, 51, 46, 10, 33, -45, 23, 21, 24, -34, -20, -18, 41, -37, -27, -39, 60, 5, -27, 47, 7, -3, -36, -10, -59, -57, -28, 13, 54, -17, -18, -22, -32, -42, 25, -44, -58, 49, 14, 30, -56, -6, 8, 29, 45, 16, 42, 56, -48, -35, -10, 11, -80, 43, 21, -57, -57, 0, -14, -1, 36, -23, -30, 5, -37, -56, 51, 12, 67, 10, -35, 18, 60, 1, 64, 17, -40, 50, 17, -36, 16, 16, 31, 2, -46, -43, -33, -19, 30, -56, 32, -47, 28, -47, -1, 22, -58, -46, -8, -40, -45, 30, -18, 61, -1, -65, -26, 0, -51, -69, -33, -48, -3, -53, -55, 39, -47, -39, 50, -44, -69, 31, -16, 11, -22, 19, -33, -24, -24, -18, 4, -1, -30, 11, -25, 27, -37, 16, -4, 33, 38, -46, -37, -3, 22, 53, -10, -35, 28, -35, -17, -34, 61, -31, 16, -59, 4, 29, 47, 33, 8, -61, -33, -25, 6, 54, 12, 31, -44, -58, -2, 29, -50, 33, 37, -33, -43, 67, -24, -13, 12, 53, -10, 20, -15, 50, 25, -79, 44, -23, 59, -8, 15, 26, 82, -20, 73, 18, 45, 63, -11, -16, 15, -30, 9, 35, 24, -31, 8, -63, 43, 20, 15, 30, -25, 62, -53, 47, -59, -34, 13, -34, 33, 27, 52, -50, 29, 46, 45, 40, -13, 20, -46, -58, 21, 17, -19, 35, -7, 1, 7, 2, 43, 52, -63, 51, 3, 32, 43, 60, 32, -40, 44, -1, 53, 15, 8, -8, -23, -21, -61, -19, 52, -57, 40, -60, 45, -18, -25, 15, -46, 32, 5, 41, -77, -39, 3, 13, 42, -8, -56, 30, 30, -21, -45, -19, -41, 36, -7, -3, -2, -37, -12, -61, 18, 50, -39, -22, -16, -23, -56, 23, -27, 35, 46, -31, -2, 58, 29, -3, 23, -9, 63, -46, 29, 14, -17, -14, -4, 7, -1, 54, 6, -51, 50, -59, 7, 73, -28, 61, -14, -17, 29, -5, -25, -27, 3, -7, 16, 63, -54, 3, 53, -46, 3, -58, -8, 60, -54, -64, 41, 47, -53, -65, -53, -29, 54, 2, -35, -9, 34, -55, -9, 41, 31, -31, 22, -44, -37, 53, -38, 30, -13, 23, 3, 36, -19, -20, 22, -64, 22, 47, -2, 19, -35, 35, -52, -40, -14, -47, 58, -18, 15, 4, 20, -2, 13, 29, 59, -44, 14, -5, 19, 55, 13, 29, 1, -28, 69, 4, -37, -12, -42, -37, -36, 59, 39, 36, 24, 64, 6, -59, -38, 27, 8, 2, 41, 15, 24, -33, -4, 82, 4, -3, -3, -51, 34, 15, -32, 4, 40, -32, -9, 17, 48, -47, -6, 43, -28, 32, -29, 37, -11, 13, 2, 46, -43, 13, 24, -37, -62, -28, 22, -31, -46, -9, 20, -13, 9, 42, 6, 26, -64, -35, -35, 10, -5, 36, -36, -29, -58, -54, -24, 59, -18, 53, 1, 54, -46, 11, 22, -8, 8, 70, 51, -28, 66, -59, -19, 59, -10, -7, 41, -16, 39, -39, 8, 59, 67, 58, 10, -4, -19, -38, -35, -20, 64, 18, -19, 12, -16, 10, 23, 11, 2, 33, -27, -23, -21, -20, -22, 45, -49, 1, -55, -61, 54, 20, 49, 6, 58, 2, -24, 28, 29, 3, 5, 34, -42, 7, 23, 59, -39, 61, -3, 25, -44, 50, 45, -18, -12, 22, 33, -10, 45, -36, -72, 26, -51, 12, -66, -37, -32, 21, 3, 14, -13, -25, 62, -65, 11, 63, -46, 58, 54, 50, 0, -12, 17, -19, 38, -39, -64, -28, 58, 17, -20, 57, 28, -40, 64, 59, 49, -59, -17, 14, 34, -31, 24, -41, 30, 20, -44, 40, -23, 52, 8, 21, 23, 44, 67, -58, 28, -59, -19, 51, 54, 62, 65, -19, -23, -1, 37, -40, 3, 38, -38, 53, -30, 3, -35, 31, 29, 31, -28, -10, -44, -59, -22, 28, -5, 6, -8, -29, 52, 17, 47, 25, 39, 55, 11, 20, -40, -1, -57, -45, -17, 37, -5, -60, 25, -8, -36, -57, 20, 11, -55, -21, -49, 44, -5, 41, -50, -60, 20, -16, 0, -48, -3, -37, -22, -39, 12, 39, 58, -48, -27, -12, 62, 37, 52, 13, 27, 5, -6, -20, -60, -30, 11, 47, 45, 34, -46, -33, -26, -32, -64, 54, -56, 19, -29, -15, -55, 42, -42, 58, -2, -38, -36, -3, -43, -54, -10, -35, -42, 4, 52, -11, -21, -31, 23, -54, -52, -34, 3, 33, 4, -2, 26, 58, 35, 46, -31, -44, -8, 6, -37, -21, -49, 10, 59, -29, 42, -37, 22, -55, -11, -47, -21, 16, -27, -1, 1, -31, 35, -79, -59, -61, 27, -22, 58, -8, -36, -40, -24, 18, -52, 32, -25, -33, -47, -18, -5, 53, 60, 58, -30, -25, -17, -56, 19, 54, -65, -47, 45, -4, -6, 17, 55, -77, 6, -22, -12, 19, 11, 22, 54, 18, -63, 8, -9, -33, -7, 32, -21, -12, -31, 10, -33, -3, 29, -52, -30, 4, 55, 5, 42, 13, -46, 12, 32, 45, -16, 6, 24, 7, -12, -62, -38, -5, 59, 52, 30, 51, 13, 60, -19, 44, 3, -26, -33, 68, 1, 49, -38, 45, 36, -3, -17, -55, -20, 49, 56, 47, 10, -27, -47, 30, -26, 17, -15, -35, -47, 14, 51, -49, 7, -67, 16, 14, -54, 24, -9, 5, -59, -23, -23, -37, 43, 58, 39, -53, 60, -6, 71, 17, -22, -30, -31, -28, 38, -22, 14, 40, -31, 14, -5, 6, -12, 32, 36, 5, -28, -31, -5, -61, -34, 11, 3, 8, 42, 51, 56, 34, -50, -64, -25, -44, -50, -21, 26, -30, 33, 38, 18, -63, 43, 9, 37, 54, -37, -25, -37, 39, 52, -35, -5, -35, 36, -63, 23, -5, 53, 19, 58, 26, -41, 40, 35, -35, -56, 19, 49, 50, -32, 36, -28, -20, 35, -45, 33, -26, 5, 31, -50, 24, 8, -37, 47, 50, 44, 9, 11, -21, 36, 11, -11, 47, 38, 11, -36, -45, 18, 3, -52, 38, -43, -52, -26, 29, -6, -3, 41, -15, 31, 35, -26, 19, -4, -40, -47, -35, -6, 39, 32, -37, 22, 45, -17, 8, -3, -66, 11, -36, 36, 53, -39, 63, 13, -41, -32, -7, 19, 52, 14, -36, -55, 21, -31, -44, 23, -24, 58, -30, 2, 14, 2, 45, 21, -28, -1, -4, -32, -25, -4, -56, 37, 40, -2, -1, 41, -8, -19, -40, 53, 44, -52, -20, 28, -26, -59, -17, 21, 44, 6, -19, -61, -23, -43, 37, -50, -36, 6, 49, -17, -39, -46, -56, 48, -68, -23, -23, 20, -21, 3, -64, 19, -11, -46, -55, -6, 32, -42, -67, 30, -57, 12, -8, -8, 39, 39, -12, -32, -16, -45, -12, -54, 8, 22, -34, 24, -53, -22, 7, -40, -48, 42, -67, -36, -43, -13, -26, -28, 39, -30, 50, 66, 68, -40, 4, 31, 39, -47, 46, 11, 9, 36, -11, 29, 17, -45, -49, 13, -49, 36, -14, -27, 53, -18, 0, -6, 45, -45, 3, -40, 51, 47, -58, 2, -55, 23, -33, 16, -4, 37, -10, -54, 34, 9, 40, 44, 23, 40, 23, -14, 11, 36, 45, 7, -1, -50, 43, 40, -74, -64, -21, 29, 13, -15, 28, -17, 41, -38, -1, -18, -34, -61, -32, 58, 57, 0, 50, -49, 34, -55, -59, -4, -48, -45, -13, 1, -41, -50, -21, -8, -4, -24, -28, -15, -51, -23, 17, -18, -63, 18, -15, 58, 85, -50, -25, 58, 42, -13, 15, -10, -25, -48, 57, -28, 36, 43, 8, 44, 6, -18, -41, 42, 46, 38, 45, -25, 47, -41, -52, -58, -48, -22, 56, 11, 39, -1, 50, 34, 16, -71, -7, -2, -22, 69, 34, 15, -33, 30, 24, 40, 59, 16, 39, 13, 54, 59, -50, -43, 42, -54, 12, -23, 35, -10, 66, 33, 40, 30, 6, 54, -45, 51, -48, 3, 0, 31, -23, 49, -65, 2, 35, 62, 0, 17, 41, 35, -10, 36, -16, -34, -37, 46, 4, -53, -22, 30, -76, 19, -26, -10, 12, -16, -27, 42, 33, -13, -39, -18, 31, 5, 44, -6, -24, -62, -50, -10, 19, -56, 59, 55, 0, -32, -23, -40, -20, -19, 42, -71, 40, -15, -41, -33, 32, -4, -38, 34, -68, -36, 35, -45, 33, 38, 60, 40, -29, -15, 47, 48, -65, -9, 52, 24, -46, -52, 48, 40, -8, -50, 11, 13, 13, -54, 61, 52, -11, -22, 27, 25, -25, -49, -11, -45, 12, 25, 50, -39, 10, -6, -12, -47, -44, 6, 31, -3, -34, 65, 11, -76, -7, 39, -76, -37, 48, -61, -28, -31, -24, 14, 21, 1, 28, -57, -45, -14, 44, 24, 10, -10, 55, -54, -58, 59, -13, 56, -2, 48, 39, -48, -36, 53, 6, -13, 37, -27, -50, 41, -3, 63, 40, 6, -66, 32, 9, -54, 22, -37, 62, 42, -28, -50, -48, -8, -22, -32, 31, -19, 54, -47, -50, -24, -4, 39, -28, -32, 4, -17, 35, 9, -52, -52, 9, 23, -28, -27, 47, -27, 20, -52, 44, 20, 32, -36, -30, 8, 20, -30, -32, 34, -45, -59, 11, -2, 43, 14, -36, 33, -47, 40, 16, -68, -11, 55, 22, 19, -1, 19, 19, 59, 29, 51, -16, 38, 13, 36, -8, 13, 31, -2, 0, 36, 48, -56, 59, 32, 51, 42, -47, -2, -63, 30, 44, 34, 14, 59, 38, 21, 39, 32, -16, -42, -52, -9, 46, -42, 31, -10, 16, 50, 15, -8, -45, -42, -46, 17, -47, -37, -27, 10, 31, -59, -46, -32, 24, -36, 33, -34, -50, 40, -31, 43, 52, 0, -41, -27, -4, 5, 53, 25, -34, -60, -29, 1, 10, 51, 34, -51, 57, 3, 25, -31, -4, 25, -8, -33, -7, -4, 39, -15, -13, -13, 53, -28, 15, -17, 33, -10, -49, -34, 61, 9, 52, 54, -59, 17, 13, 54, -50, 35, 12, 58, -52, 13, 12, 18, -22, -22, -49, 61, -32, 59, 53, 57, -3, -41, -38, -45, 47, -25, 20, -49, 24, -28, 26, -16, 3, 35, 2, -19, 4, 1, -43, -63, -64, -11, 19, -34, 31, 53, -10, -20, -8, -54, 57, 7, 38, -53, -1, 36, 0, 3, 30, 56, -51, 25, 12, -52, 40, 2, 1, -34, -37, -36, -34, -3, -40, -22, 11, 2, -56, -22, 32, 0, 54, -36, -32, -46, 39, -40, -12, 10, -60, 49, -16, 25, -12, -14, -7, -48, 50, -44, 6, -32, -43, 58, -64, -18, -3, 11, -20, -10, -9, 43, -25, 59, -15, -48, -65, -44, -5, -48, 72, 35, 3, -52, 36, 52, 14, -21, -21, -50, -57, 11, -18, -53, 2, 7, -19, -2, 56, 2, -63, 58, -46, 7, 26, -44, -60, 24, 51, -3, -48, -3, 34, 36, 22, -50, -70, -42, -46, 16, 34, 53, 17, -30, 25, 49, 43, -25, 15, 60, 27, 14, -21, 32, -38, -37, 46, 15, 6, -64, 49, 29, -29, 2, -45, -10, -42, 42, -29, 36, -63, 50, 3, 54, 16, 9, -62, 1, 60, -16, 20, -37, -45, 28, 10, -16, -56, 29, -57, 30, -4, -30, -49, 20, -37, -2, -32, 59, 38, 14, -41, 13, -44, 14, -53, 19, -68, 22, 54, -46, 16, -49, -5, -51, -61, -46, 16, 29, 45, 1, -14, -45, -45, -28, 45, 11, -50, 27, -31, 14, 15, 21, 51, -19, 27, 40, -12, -11, -65, 0, -64, -6, -37, -4, 42, -8, -19, 39, -40, -54, 36, 31, 26, -40, 14, -28, 12, -38, -33, -6, -12, -64, -23, -46, 22, -62, 9, 55, 36, -26, 30, 33, 4, 11, 42, 9, -49, -26, -23, -54, -40, -47, -30, 40, 6, 1, -4, 53, -12, 35, 5, -53, -82, 13, -45, -47, -26, -29, 15, -7, -1, 41, 12, 9, -44, -19, -20, -62, 4, -1, 3, -24, -56, 8, -53, 56, 22, -20, -60, 20, 30, -3, 30, -46, -28, -13, 14, 40, 54, 42, -32, -34, 38, 65, -10, -8, 36, 30, 57, 18, 56, -16, 10, -46, 62, 5, 20, 48, 22, 32, 0, -16, 0, 50, -48, 18, 42, -3, -62, -27, -16, -33, 19, 44, -53, -9, -42, 35, 31, -62, 0, -33, 47, -29, -57, -60, 7, -15, 50, 30, 50, 1, 3, -47, 8, 59, 15, 10, -36, -23, 15, 33, 58, 9, -7, -60, -20, -13, 43, -6, -52, 53, -22, -28, 5, 19, -32, 40, 25, 10, -47, -38, -27, -14, 53, -40, 4, -46, -50, 34, -4, -24, 56, 72, 45, 59, -5, 62, 70, -31, 32, -33, 30, -42, -14, 40, 34, 13, -19, 41, 55, 23, 24, 29, 56, -36, -23, 57, 49, -6, 17, 49, -31, -36, -64, -54, 29, 56, -44, 36, 28, -49, -64, -34, -66, -63, 61, -14, 45, -17, 25, 58, -40, 55, -17, 60, -4, 39, -10, 40, -38, -62, 47, -60, 38, 54, 20, -25, 19, 8, -59, -17, -21, 49, 16, 53, -4, -25, -11, 32, 16, 51, -46, 6, 44, 43, -39, 25, 56, -23, -18, 16, 59, 46, -27, -12, 53, 34, 20, 63, 62, -41, 33, -43, -15, 3, 16, -35, -14, -36, 61, 33, -62, -34, -50, 6, 36, -3, -54, -62, 7, -1, 44, 45, -42, 37, -44, -55, -42, 21, 37, 19, 7, -41, 19, 16, 26, -18, 46, 33, -5, -45, 50, -12, 40, -50, 35, 49, 4, -48, 14, 36, -17, 1, 37, 35, -39, -44, 23, 36, -7, 29, -38, -14, -46, -7, 15, -1, -18, 7, -24, 62, -24, -42, 33, -26, -63, 16, -6, -54, 50, -51, -30, -18, 24, 52, -60, 24, -12, -55, -2, 15, 48, -8, -14, -44, 53, -24, -20, -51, -53, -27, -46, -62, 12, 43, 52, 20, -2, -48, -10, 38, -53, 21, 20, -54, 29, -39, 39, -59, 13, 45, -2, -59, 17, 14, -42, 8, -22, -1, -8, 51, 36, 10, -23, -12, 35, -6, 49, 29, -39, 55, -17, -5, 32, -62, -33, 17, 28, -35, 8, -56, -6, -8, 5, -50, 6, -42, 36, 7, 34, 7, -21, -35, -27, 45, -52, 25, -4, -19, 38, 59, 47, 25, 21, 0, 11, 35, -49, -46, -37, 29, 44, 52, -57, -19, -29, -37, 48, 7, -56, 8, -56, -17, -42, -30, 27, 3, -25, -15, -69, -49, 32, 27, -34, 15, -45, -35, -45, -41, -63, -61, 46, -32, 13, -45, 49, -33, 25, -28, 15, -10, 27, 5, -59, -41, -19, 34, 31, 10, 13, -29, -31, 40, -17, 62, 53, -23, -59, 9, -63, -9, -20, 26, 61, -29, 15, -47, 48, 0, 54, -47, 58, -41, -13, 42, 29, -59, -10, -14, -9, 40, 23, -13, 8, -20, 55, 64, -18, -31, -19, 29, 1, 5, 35, 32, -1, -22, -64, -9, -57, 17, -26, -52, -59, -45, -57, -20, 10, -58, -43, 60, -31, -45, -29, 59, 11, -44, -46, 54, -11, -41, 59, 9, -25, -19, -40, 32, -47, 34, -60, 31, 18, -6, -45, -59, 44, 44, 4, 47, 4, 42, 18, 44, 32, 52, -33, 50, 31, 43, -27, -31, 50, -40, 50, 4, -51, 57, -12, 25, -23, 55, 0, 7, -62, 43, 50, 39, 22, -55, -38, -28, -19, -58, -15, 17, 8, 40, -56, 2, 41, 46, 29, 7, 7, -57, 33, -50, 59, 32, -15, -6, 23, 16, 18, 6, 30, 13, -21, -9, 7, -38, -18, -49, -36, -12, 19, 9, 29, -15, -53, 42, -62, 3, 9, 38, 50, -66, 36, 38, -34, 14, 37, -21, 43, 19, -49, -20, 22, 12, 38, 33, -38, -14, 24, 9, -5, 37, 36, -5, 34, -60, -64, 15, -54, 45, -43, -8, 2, -21, 31, 32, -25, 6, 8, 44, 9, -48, 4, -15, 55, 5, -61, -63, -18, -21, 61, -65, 7, 24, -29, 27, -44, -8, 29, -64, -50, 40, 62, 17, -2, -17, 44, 23, -2, 39, -19, 57, 59, -41, -10, 9, 42, -45, 9, 41, -25, -17, -55, 53, -40, 22, 11, -61, 59, -45, 15, 18, -4, -64, 10, 27, -11, 30, -3, 50, 7, 33, -33, -4, -36, -50, -24, -61, -11, 51, -39, 22, -49, 55, 4, 37, -9, -38, -43, -16, -35, -33, 27, -20, 24, -8, 50, -34, 64, -11, -42, 41, -27, -30, 5, 61, 37, -7, -41, -54, -3, 39, -10, 20, -38, -65, 11, -56, -38, 37, -7, -13, -52, -41, 30, 47, -58, 19, 43, -44, -13, -9, -9, 11, -39, 11, -3, -38, -28, 1, -43, -18, -19, -33, 10, 59, 5, 52, -36, 11, -60, -32, 22, -49, -65, 25, -18, -23, 27, -6, 50, -43, -20, -30, -26, 32, -25, 19, -24, 42, -33, -5, -59, -21, -42, -46, -5, -27, 11, 50, -59, 31, 12, 51, 30, -44, 34, -10, 59, 30, 31, -5, 50, 24, -27, 12, 33, -35, -2, -12, 7, -43, 27, 24, -50, 56, 1, 36, 46, -60, 1, -5, 44, 46, -47, 41, -28, 15, -58, 59, -48, -51, 62, 25, -35, 55, 33, 19, 26, -51, -24, 44, 27, -28, -57, -32, -31, -45, 56, 57, 32, 14, -43, -28, 4, 7, 56, -3, 48, 53, -55, -1, -13, 28, -14, -50, -55, 12, 9, 4, -24, -65, -54, -51, -24, -10, -23, 2, -63, -1, 54, -9, -26, -27, 8, 53, 15, 63, 52, 60, -12, -27, -32, 53, -53, -22, 4, 43, -15, -59, -27, -46, -6, 24, -22, -40, -23, -31, -52, 13, 5, 25, -46, -9, -55, 36, -2, -65, 0, -33, -31, 31, -36, 1, -10, 21, 27, -64, 30, 7, 30, 28, 56, -40, -52, 29, 57, -35, 36, 58, 9, 17, 26, -24, -59, -23, 56, 48, 37, 1, 19, 20, 35, 33, 2, -1, 12, 11, -41, -36, 54, 40, -64, -25, -37, 4, -46, -10, -20, -35, 12, 22, 42, 56, 8, -54, -57, 26, 57, 24, -21, 21, 33, -41, -36, 10, -36, 26, 28, -23, -39, -60, -23, 57, 3, -50, -10, 19, 14, 11, -51, -23, -33, -6, 60, 18, 2, 27, 55, 10, 43, 0, 53, 60, -27, -32, 54, 18, -24, 12, -56, 38, -7, -27, 37, 31, -55, -60, 33, -39, -11, 30, -31, 57, 27, 16, 63, 20, -55, -14, -30, -39, 45, 15, 13, 26, -58, -1, -48, 20, -26, -55, -23, 18, -39, -45, 16, 10, -65, 30, 1, -29, 2, 37, 53, 13, 39, -53, 24, 42, -23, 33, 48, -6, 3, 14, -2, -9, -42, -46, -35, -24, 15, -28, 42, -33, -15, 40, -4, -4, 43, -40, -14, -41, 36, 1, -27, -46, -16, -10, 37, 0, -65, -41, -53, 22, -36, -45, -57, 1, -10, 6, 61, -9, 51, 13, 60, 3, -46, 59, 53, 41, 3, 35, -30, 38, 32, -36, -51, -53, 21, -48, -25, -8, 24, 28, 28, 56, 22, 56, 31, 57, -17, -38, -61, -34, -36, 16, -6, 34, -46, -12, -50, -40, -20, -46, -60, -25, 55, 18, -14, 52, -25, -32, 55, 44, -8, -1, -47, -53, 47, 27, 21, 32, -47, -47, 28, -56, -6, 53, 59, 31, 35, 25, 29, -8, -28, 47, -62, -58, -21, 54, 0, -56, 63, -30, 2, -47, 22, 26, -64, -5, -26, -46, 39, 40, -55, 37, 57, -62, -61, -54, -9, 63, 53, -54, -60, 33, 34, -53, -58, 10, 51, 29, -5, -45, 11, -40, 10, -59, 18, 61, -34, -33, 52, -25, -8, 30, -52, 6, 28, 57, -4, 25, -31, -33, -53, -42, -8, -35, -44, -2, 55, 23, 2, 48, -2, 46, 2, 8, -43, 46, 21, 51, -46, 51, 3, -25, -11, 36, 52, 10, 6, -10, -30, -41, -8, -47, -11, 11, 8, -9, 40, 22, 25, 21, -23, 9, -2, 2, 33, 1, -20, -16, -16, 9, -22, -63, 29, -64, -49, -31, 20, -25, -29, 9, 9, 5, 31, 42, -58, 52, 15, -6, -25, -7, -45, -13, -6, -48, -25, -16, -41, 57, -19, 58, -40, 11, -3, -52, 7, 43, -45, 29, -6, -18, -17, -58, 58, -12, 62, 40, -7, 13, -35, 62, 38, -26, -9, -21, -8, -14, 61, 21, -36, 18, 54, -32, -46, 39, 26, 8, -53, -44, 18, -18, -39, -38, -17, 41, -40, -64, -20, -52, 12, 27, 60, 8, 61, -15, -43, 31, -40, 13, 33, 59, 54, -59, -54, 10, -29, 4, 15, -13, -65, -31, 23, -61, 52, 31, -2, -25, 1, 47, 61, -6, 54, 58, -20, 61, 52, -60, -43, -9, 29, 14, -17, -53, 14, -28, -19, -10, -20, -75, -1, -52, -7, -4, -24, 53, 5, 25, 28, 3, 42, -40, 59, 15, -9, 14, 4, 25, 42, 28, -14, -45, -53, -46, -10, -19, -39, -1, 3, 56, -14, 6, -22, 35, 60, 57, 27, 12, -20, 13, -64, -7, 44, -2, -64, -18, -53, 38, -4, -47, 14, -6, 40, 7, -16, 48, 32, 10, -20, -25, -34, -14, -5, -52, -30, -34, -5, -6, -3, -50, 27, 15, -53, 55, -31, -33, -61, 0, -48, -35, 60, -47, -9, -1, -6, 47, 55, -41, -47, 29, 60, 1, 8, -42, -11, -24, 15, 7, -40, 34, -30, 26, -15, -64, 49, -41, -15, -19, 53, 31, -58, 25, -18, -12, 39, 61, 41, -27, 32, 19, -58, -33, 30, -67, -32, 0, 54, 28, 42, -32, 50, -52, -41, 55, 19, 27, -27, 12, 20, 59, 29, 13, -53, -65, 54, 40, 32, -18, 59, -9, -17, 15, 16, -2, 45, 26, -42, 51, 0, -17, 63, -32, -38, -18, 8, 43, 53, -43, -9, 10, 23, 4, -25, -58, -56, 43, 2, 4, 15, 15, -22, 39, 16, 0, 6, 46, -8, -14, -33, 10, -40, 55, -43, 51, -55, -63, -62, 60, -35, -31, -41, 4, -51, 13, 16, 1, 13, -65, -27, 19, 40, 63, 42, -17, -61, -33, 11, -5, 56, -44, -53, -28, 52, 49, -7, -63, 53, 52, 33, -22, 53, 48, -38, -64, 53, 15, 20, -19, 53, 39, -47, 13, 60, 47, -63, 2, 15, 44, -51, 31, 24, 36, 52, -5, -55, -64, 13, 16, -60, -43, 16, 31, -50, -4, 20, -46, 48, 61, -22, -3, -9, 58, -34, 20, -36, 58, 12, -28, -26, 35, 38, 44, -60, -39, 52, 29, -66, -24, 50, -44, -47, 9, -20, 45, 61, -42, -51, -56, 51, -33, -29, 9, 10, 31, -56, -15, 46, -40, -47, 20, 36, -51, 3, -29, -15, -25, -2, -33, 39, -46, 38, -36, -27, 39, -46, -35, -43, -24, -38, 56, 36, 2, 16, -43, 48, -6, -40, -39, 26, 61, -56, 48, 23, 55, 30, -50, -7, -62, -50, 12, -30, 11, -40, -47, -64, -46, 24, -20, 21, 57, -28, -32, -23, -5, 4, 25, -44, -36, -56, 40, -41, -44, -49, 51, 58, 53, -53, -7, -15, 37, 21, 59, 49, 55, 16, -25, 3, -17, -4, 31, -56, 36, 60, 57, -25, -57, -19, -39, -36, 10, 13, -29, -22, 45, -32, 41, -16, -55, 25, -49, -28, -5, 42, -42, -23, -48, 48, 60, -11, 18, -37, 16, -31, 19, -2, -15, -59, -53, -49, 22, 63, -64, -20, 24, -66, -30, 59, -18, 55, 49, -20, 14, 57, -15, 24, -24, 48, 32, 31, 37, -9, -1, -14, -56, -11, 37, -29, 16, 13, 37, 23, -36, 51, 21, -42, 6, 29, 44, -62, 63, 5, -50, 28, 27, 59, -50, -46, 19, 9, 42, 2, -59, -50, -37, 25, 11, -37, -51, -46, -54, -40, -39, 13, 7, 4, -22, 57, -55, -28, 24, -24, 5, -63, -17, -6, 44, 55, -60, 31, -23, -14, -50, -51, -5, -27, 14, 52, -47, -44, -9, -28, -12, 54, -3, -24, -45, 46, -9, 60, 38, -60, 41, 23, -56, -39, 14, -20, 7, -2, 16, 18, -15, 49, -50, -52, 39, 56, -46, 3, -38, -2, 35, -27, -31, 32, 23, 27, 13, -28, 14, -44, 15, 28, 51, -32, 22, 61, 55, 15, -28, -57, 30, -23, 52, -11, -44, 4, -10, 58, 1, 0, 56, -11, -27, 39, -16, -21, -16, 13, -17, -19, -32, 13, -23, 5, -38, 28, 47, -57, -32, 47, 52, 58, 35, -47, -33, 60, -19, 0, -51, -50, 29, -32, 38, -6, 50, -7, 11, -24, 13, -48, -4, 60, 38, -54, 8, -34, -53, -46, 59, 10, 28, -60, -39, 42, 12, 44, -21, -1, -41, -3, -32, -34, -64, 26, -23, -5, 9, -63, -10, 41, 33, 1, -20, 1, -60, 57, -63, 7, 54, 49, 21, 37, -63, -57, 62, -3, 29, 49, 19, -35, 50, 43, 10, -23, -5, -15, 9, -31, 46, 31, 15, 41, 56, 27, 58, -58, 41, 9, -60, -30, -14, -57, 38, -18, -36, 22, -30, -2, 20, 61, -43, -42, -57, -11, 40, 14, -64, 24, 60, 35, 32, -17, 37, -30, -58, -9, 4, -54, -32, -10, -56, -2, -11, -21, 25, -18, -50, 56, -20, 18, -1, -15, -63, 4, -10, 10, 37, -36, -21, 35, 37, 61, -62, -67, 45, -6, -7, -54, 32, 39, -56, 39, -48, -14, 51, -55, -2, 42, 19, 24, 25, 42, -5, -62, -23, -37, -55, -60, -36, -5, 20, -46, -45, -56, -1, 37, -25, -20, 6, 51, -12, -70, -51, 5, -46, -63, -8, -14, 50, 63, -61, -9, -36, -47, -63, 31, 31, 16, -21, -63, -24, -15, -4, 48, 36, 0, -39, -16, -54, -28, 32, -37, -34, -25, -4, 26, 36, -3, -53, 36, -19, -10, -4, 29, 26, -46, -39, 21, -67, -14, -49, -32, 25, -47, -21, -12, -61, -58, -10, -13, 51, 24, -32, 44, -6, -7, -12, 44, -41, -32, -49, 42, 7, 46, -47, -22, 36, 54, 20, -62, -66, 8, -8, 58, -25, -28, 10, 34, -48, -55, 22, 16, -30, -56, 46, -64, 47, 23, -64, -4, 42, -8, 11, 18, 4, -44, -31, 41, -9, -27, -23, 32, 30, -27, 54, -61, -41, -29, 8, -17, -36, 47, 6, 27, 50, -7, 54, -22, 29, 61, -12, 52, -40, 1, 42, -46, 54, 17, -2, 48, -6, -12, 47, -38, -44, -10, -7, -47, -26, -7, 36, -23, -23, -4, 55, 52, 1, 49, -58, -16, 50, 47, 19, 53, -44, 57, -38, 0, 24, 60, 2, 32, -56, 42, -33, -39, 10, -1, 8, -44, 37, -18, -62, -27, 13, 2, 1, 3, 49, -60, 49, -46, 28, 52, -20, -76, 26, -26, -49, 23, -25, -29, -64, -45, 7, -37, -51, 4, -74, 46, -44, -2, 39, -33, -41, 10, -29, -77, -67, -47, 21, 17, 72, -30, -9, 16, 35, -7, -62, 21, -30, 45, -1, -3, -4, -64, 21, -14, 59, 58, 3, -4, 43, 53, -16, -57, -70, 47, -1, -58, 34, 45, -34, -42, -56, 4, -52, 36, -25, 32, -5, -7, 4, 16, -71, 35, 2, -2, 72, 33, 64, -11, 68, -14, 35, 7, 4, 12, 43, -13, 43, 6, 19, -21, 6, -43, 42, 62, 63, -23, 55, -39, 12, 46, -24, 5, 18, -32, 1, 44, 60, -37, -8, -26, 45, -11, 59, -31, -6, 0, -58, 40, 8, -53, 37, 31, 26, -10, -42, -56, -41, -44, -9, -40, -48, 8, 17, -6, 14, -48, 38, -28, -33, 47, -30, -18, 29, 30, -9, -58, 31, -39, -7, -62, 55, -24, -66, -38, 4, 19, 27, -6, -32, 4, -9, -61, 49, 13, 41, -28, -58, -21, 21, -61, 5, -14, 26, 64, 35, -46, 53, 41, 28, -53, 25, -56, 23, -45, -8, 19, -40, 39, -68, -16, -20, 1, -33, 39, -64, -8, 61, 36, -16, 25, 66, 18, -15, -54, -40, -30, 35, -36, -11, 2, -6, -6, -11, 29, 7, -40, -50, 31, -19, -22, -21, 10, 6, -20, 49, 23, -29, -1, -62, -1, -10, 1, -2, 44, -2, -61, -65, -38, 64, -17, 60, 31, -52, 3, -91, -53, -55, 44, -9, -41, -38, 36, -26, 10, 37, -53, 43, -64, -39, -16, 14, -58, -35, 34, -38, 21, -38, 2, 1, 18, 3, -40, -67, -4, -34, -76, -55, 20, 48, -25, -43, -53, 20, 25, 8, -60, -46, 33, -15, 52, -10, 43, -3, -16, -65, 34, 11, -39, -17, 49, 25, 8, 24, -4, 41, 53, 47, 2, -35, 61, 27, 48, 16, 3, 32, -40, -10, -38, 43, -35, -46, -15, -37, 9, 26, 11, 2, -46, 6, 24, 23, 27, 2, 11, 35, -23, -19, 38, 56, 47, 2, 9, 8, 63, -58, 32, 36, 34, -39, -32, 37, 44, 19, 22, 35, 32, 34, -24, 10, 21, 50, -80, -13, -11, -57, 29, -9, -9, 61, -51, 16, 16, 32, 40, -17, -59, -58, -42, 49, 9, 27, 54, 39, 34, -35, 24, 42, -10, -52, -9, 15, -60, -21, -45, -76, 54, 70, 42, 8, 48, -8, 46, -36, 23, 12, -19, -72, -50, 9, -9, 11, -42, 6, -40, 45, 29, -14, -14, -1, 27, -62, 23, -30, -25, 2, 19, 30, 14, -19, 23, -21, 21, -72, -3, -9, 59, -11, 47, 34, 17, -9, 40, 8, -21, -7, -42, -50, -31, 8, 20, 4, -47, -24, -17, -20, -11, -17, -26, -53, -73, 60, -41, -27, -4, -8, -64, 19, 81, 29, -34, -20, -49, -35, 6, 10, -67, -54, 33, 3, -12, 10, -43, 26, 57, -8, 8, 14, 2, 24, -14, 11, -38, -13, 31, 69, 9, -50, 67, -49, -23, 29, 28, 38, -64, -16, 1, -15, 17, 13, 58, 17, -50, -23, -28, -58, -69, -52, -62, 2, 33, -21, -47, -43, -64, 10, 52, -39, 13, -33, -19, 31, -35, -48, -42, -50, -49, -25, 40, -22, 50, -61, 22, 5, 52, -48, -43, 20, -45, 15, 29, 36, 33, 2, 12, 20, 63, -12, -53, -18, 61, -12, -57, 62, 51, 11, -4, -23, -2, 11, -54, -30, 45, -61, -20, 51, -61, -34, 50, 39, 1, -29, -55, -30, 56, -16, -12, -47, -52, 37, -62, -64, 60, -13, 56, -43, 50, 27, 2, -8, 0, 36, 10, -17, -64, -52, 56, -55, 7, -16, 35, -5, -59, -10, -32, 1, 25, -49, -27, 35, 16, -32, -31, -20, 58, 59, 12, -36, 43, 28, -18, -3, -25, 55, -24, 2, -56, 5, 28, 12, -13, -4, -76, -43, -30, 2, 15, -20, -13, -37, -41, -44, 32, -29, 13, 13, 52, -57, -31, -41, 60, -19, 52, 8, -29, -73, -56, -15, -2, 50, 48, 19, 19, -54, -24, 29, -48, 42, -2, 46, 59, 28, -18, 23, -52, -62, -25, 44, -18, 19, -58, 19, -30, 59, 24, 32, -12, 49, 50, 29, 57, -61, -59, -56, -50, -25, 45, 5, -6, -36, -77, -56, 28, -8, -15, -24, -35, 51, 27, -31, -41, -2, -4, -1, 19, -56, 51, 26, -15, -50, 8, -12, 10, -17, 55, -24, -50, -28, -8, -45, -27, -6, 17, 46, -47, -49, 46, 22, -53, -74, 5, -22, 9, 49, 46, 29, -11, 9, -22, 6, 29, 58, -15, 18, -13, -41, 63, -4, 0, -25, -37, 51, -56, 14, 26, 42, 1, 10, -25, -34, -2, 42, 35, 25, 49, -27, -6, -74, 56, 95, 7, 34, 52, -56, 33, 32, 57, -39, -3, 24, -17, -26, -40, -28, -25, -71, -38, 1, 18, -42, 50, -26, -30, 54, 14, 2, -26, -14, 38, -13, -22, -6, 19, -31, 37, 48, 40, 15, 40, -1, 22, -59, -34, -43, 55, 55, -2, -63, 12, -66, 25, 0, 30, -51, -14, -53, 47, 16, 12, 41, 34, -16, -72, -10, 10, 9, 4, 12, 41, 62, -12, -58, 13, 30, -39, -45, 39, -9, -39, -9, -27, -50, -22, -61, -43, 49, -43, -1, 28, 4, 39, -42, -31, -47, -28, 19, 31, 17, 6, -25, 12, 45, 0, 20, -30, -4, 34, 7, -65, -65, 41, -16, 19, -14, -27, 1, -27, 2, -55, -36, -41, 23, -22, 57, -54, -11, -38, 44, -52, -7, 35, 4, 45, 0, 37, 7, -37, -38, -12, 58, -62, -13, -55, -40, 41, 23, 45, 55, 56, -54, -61, -55, -1, 54, -3, -37, 48, 48, -28, 32, 4, 24, -37, 34, 37, -31, 18, 57, -18, 21, 2, 20, 8, 34, 53, -27, 52, 1, 5, -23, -39, 8, 28, -8, -46, -70, -41, -47, 27, 15, -53, -32, -63, -20, 69, 49, -59, 12, -19, -64, -13, -38, -45, 6, 10, -42, -15, 50, -20, 10, -41, -11, 35, -61, -45, 51, 5, -52, 70, 26, -76, 43, 38, -49, -18, -35, -26, -25, -55, -11, 49, 5, 15, 44, -1, -40, 34, 68, 37, 64, 69, 14, -41, -41, 19, 71, -34, -53, 53, -11, 45, 19, -14, -3, 21, -33, 17, -19, -62, -51, -50, 60, 51, -17, -24, 42, -26, -2, 57, -6, 31, 14, 42, 24, 37, -30, 37, -10, 35, -11, 5, 30, -14, -7, 7, 53, 63, 42, -12, -19, -56, -17, 27, 42, -7, 17, 18, 7, -10, -31, -2, -44, -32, -41, -27, 43, 18, 7, -28, -3, 44, 63, 38, -60, 0, -9, 47, -5, 36, -8, -35, 22, -3, -44, 16, -49, 33, 16, 56, 19, 21, -1, -13, -51, -46, 49, 11, -29, -15, 12, 23, 44, -43, 28, -9, -10, 59, 17, 35, 3, 24, -20, 33, -53, -19, 18, 21, -48, -48, 47, 54, -20, 17, 37, 30, 2, 24, 50, 11, -22, -28, -23, -63, -44, -50, -2, -12, 7, -6, -62, 2, -47, -55, -65, -42, -24, 12, -57, -63, 10, 5, 60, -47, -48, 26, 14, 62, 22, -42, 59, 38, 11, 14, 14, 35, 56, -41, -8, 38, -61, 52, -29, -60, -10, -63, -58, -1, -5, 22, -55, -56, 53, 22, 8, -38, -59, -20, -28, 38, -3, 37, -35, 58, -5, -12, -38, 25, 36, -28, -61, 50, -9, 28, -10, -54, -23, 19, -33, -18, -4, 25, -47, 29, 63, -41, -23, -50, 0, -37, -58, -63, 59, -43, -52, 62, -48, 62, -48, 25, -30, 57, 11, -16, 64, -37, -51, 54, 58, 42, 17, -11, 39, -33, -27, -47, 9, -30, 33, 31, -18, -31, 46, -55, -16, 24, -58, -10, -15, -4, 32, 19, -12, -44, -26, 52, -61, 22, -7, -15, -2, -3, -7, 39, 17, -28, 10, -23, 6, -61, -17, 31, 46, 20, 17, -37, -45, -40, 35, -20, 63, -16, 50, 15, 19, -49, -43, 19, -26, 39, 1, 39, -38, -6, -18, 27, 46, 44, -47, 29, -23, 39, -62, 4, -22, 17, 2, -31, -1, 25, -27, -18, -25, 62, 46, 29, -32, 21, 54, 8, -44, -26, -55, -38, -28, -59, -4, -4, 16, 19, -56, -47, -14, 33, 39, 0, -5, 52, 61, -4, 4, -51, 34, -20, 54, 53, -56, 7, -34, -24, 54, -52, -14, 11, 13, -3, 47, -47, -60, -1, 42, -8, -13, -32, 41, -39, -23, 7, 48, -12, -39, -26, 62, 28, 3, -20, 55, 12, -49, 23, -45, 42, 42, 15, -1, 36, -22, 16, -3, 53, 42, 32, 43, 10, -24, -45, 48, -26, 44, 21, -45, -27, -22, -3, -10, -39, -68, 18, 53, 19, -23, -56, -14, 46, 39, -3, 38, -14, 59, 54, -6, 13, 15, -21, -27, 3, 54, -25, 12, 33, -38, 13, -35, -40, -8, 4, 63, 30, 18, 31, 13, 0, -26, -58, 44, 39, 57, 24, 12, 53, -44, 29, 32, 54, -21, 31, -30, -50, 35, 50, 32, -48, -56, -44, -11, -63, -32, 39, -33, -63, -40, -47, -3, -40, -14, 63, 54, 24, -29, 57, -17, -59, -57, 43, 50, 64, 52, -52, -53, 62, 15, -37, -55, 48, -54, -5, 52, 50, 50, 43, -59, -28, -57, 51, -36, 47, -5, -38, -22, -10, 59, 5, 47, 62, 37, -45, 22, -3, -65, -33, -12, -49, 54, -10, -32, 11, -6, -3, -34, -39, -60, 47, 19, -47, 21, 30, -27, 37, 23, -36, -4, -42, -62, 14, -3, 30, 56, 24, -46, -21, -44, -34, 49, 18, 9, 25, 24, -55, 10, 46, -11, -55, -39, -44, -28, -46, 56, -17, 34, 48, 60, -65, -36, 11, 45, -33, -41, -29, 25, 8, -19, 31, -29, -55, -13, 32, -51, 14, 45, -16, 56, 61, 60, -59, 52, -1, -9, 31, -48, -29, -7, 6, 16, -55, -23, 13, -44, 16, 45, 2, 7, -29, -16, 42, -37, 10, -28, -61, 14, -58, 55, -26, -38, -4, -58, 7, -63, -28, -56, -14, -40, 24, 42, 16, 1, -28, 56, 25, 11, -46, 40, -50, 63, -3, -62, -58, -49, -37, -41, -33, -60, -1, -56, 15, 8, -18, -65, 64, 54, 4, -42, 24, 26, 64, 5, 15, 5, 21, -9, -15, -29, -19, -39, -10, 24, 57, 5, -34, 62, 8, 54, 3, -60, 39, 65, -34, 59, -40, 13, 1, -39, -29, 9, -28, -3, -64, 61, 27, 8, 18, 44, -14, 63, -45, -13, -52, 15, -58, -37, 36, -22, -22, -11, 37, -51, 26, 25, 26, 15, 39, 25, -58, -7, -54, 14, -8, -26, 1, -3, 46, -19, -42, 23, -27, 56, -2, -58, 11, 12, 38, 27, 9, 29, -57, 34, -34, -47, -5, -29, 14, -66, 56, -36, 17, 11, -23, -32, -27, 40, 37, 18, -62, -13, 9, 47, -11, -61, -17, -65, -28, 52, 44, -42, 16, -17, -55, 10, 16, -22, -63, -19, 25, 20, -12, 36, 33, -51, 6, -29, -12, -5, 30, -42, 64, 17, 49, 5, 18, 60, 63, -20, -55, 29, 40, -26, 3, 3, -15, 49, -42, 57, 25, 54, 38, 51, 62, -46, -54, -3, 37, 7, 4, 9, -59, 55, 31, 51, -11, -29, -34, 30, -52, 46, -38, 15, 41, -8, -46, -50, -26, 54, 31, -21, -65, 14, 23, 4, -31, -3, 31, -11, -49, 41, -60, 51, 6, -19, 41, 23, -32, -61, 61, 3, 43, 37, -14, -60, -24, -60, 5, -30, -13, 40, 15, 34, 62, -16, 46, -4, -9, 45, 32, 51, 15, 45, -35, 24, 59, 24, 21, 4, 30, -32, -62, 54, -35, -25, 7, -19, -19, 23, -16, -23, -28, 56, 33, -43, 19, 52, 30, -48, -5, 44, 28, -24, 8, 33, -32, -19, 52, -51, 17, 49, -55, -58, -35, -16, 51, 52, -12, -16, 28, -40, 34, -25, -40, 34, 62, 23, -12, 58, -20, -21, -53, 36, 61, -43, 9, 56, 55, 53, -44, 35, -55, 43, 57, -34, 58, 19, 14, 46, -20, -42, 11, 64, 16, 56, -13, 5, -47, -20, 45, 44, 59, -18, 3, -39, -31, 26, 20, -1, 7, 63, 23, -39, 53, 29, 14, 5, 37, -10, -6, 63, -57, 8, -14, -36, 47, -33, 57, -6, -30, -26, -58, 15, -39, 3, -4, 12, 23, -28, -44, 7, 45, -8, -27, -57, -28, -31, -41, -7, 9, 57, 14, -61, 45, 26, -52, -62, -47, -7, -61, -53, -1, 54, -57, 33, 23, 28, -61, -13, 59, 58, -51, -15, -2, 20, 40, -56, -8, 45, -9, -53, 14, 42, -58, 16, 11, 11, -44, 21, -31, 41, 49, 55, -40, 17, -26, -53, -52, -22, -43, 26, -55, 6, -33, 34, 15, -4, -57, -48, -3, 31, 10, -7, -18, -19, -55, -5, 40, -48, -20, -14, 60, 56, 38, -11, -52, -46, -29, 50, 55, -50, 42, -6, 3, 18, -24, -37, -36, 6, 5, 30, 7, -23, -8, 57, 6, 54, -17, -17, 1, -19, -56, 39, 53, -44, 49, 14, -11, -48, 7, 36, 47, -19, -21, -12, -36, 21, 15, -38, -14, -47, 63, -29, 36, 31, 60, 54, 48, 41, 34, 34, -41, 26, 29, -30, 23, -3, 6, -54, -43, 10, -51, 9, 42, -22, -18, 31, 37, 23, 39, -19, -11, 58, 52, 19, -9, 28, 17, 60, -13, -44, -29, 12, -36, -58, 44, 52, 16, 48, -28, -23, 48, 31, 51, 2, 30, -42, -39, 42, -54, 4, 2, -46, 53, -52, 2, -29, -13, -45, 25, 5, -63, -46, -57, -61, -58, 47, 63, -22, 13, 8, 32, -35, -16, -21, -44, 39, -34, -13, -10, 14, -58, 27, 18, 3, 13, 9, 25, -32, 55, 61, -21, -27, -33, -31, 48, 15, 20, -33, 7, -2, 54, 6, -30, 8, -20, -2, -5, -45, -16, -36, 46, 12, -58, -41, -26, 21, 12, -55, -52, -25, -47, 17, 69, 0, -36, -8, -36, 6, -51, -18, -53, 64, -28, -11, 41, -25, 35, 26, -51, -4, -51, 21, 23, 40, -88, 18, -47, -62, -22, 3, 20, -11, 12, 37, 49, -68, -11, -12, -2, 56, -40, -31, -65, 37, -60, -25, 45, -58, -65, -40, -42, -2, 30, -74, -40, -8, 57, -12, 38, -27, 55, -47, 49, 5, -80, -5, -7, 8, 56, 17, 35, 17, -19, -15, -38, 10, 13, -56, 33, -2, 3, 51, -19, 4, 65, -58, 49, -11, 14, -15, 21, -52, 35, -31, 48, 15, 43, -63, -36, 57, -66, 5, -54, 58, 60, -62, 0, 41, 50, 2, 49, 59, -39, -27, 26, -41, 59, 62, 59, 39, -55, -46, -58, 51, 3, -49, -63, 35, -25, 3, 57, -55, -18, 20, -5, -2, 25, -23, 0, 14, -57, 5, -35, -53, -39, 56, 15, 6, 36, 34, -31, 83, 10, -27, -32, 39, -59, 33, 54, -55, -31, 58, 42, -50, 47, -68, -45, 33, 25, 21, -48, -25, -22, 2, 29, -37, -61, -16, -32, 42, 48, 55, 10, 4, 5, 47, -11, 1, 44, -19, 32, 6, 8, -62, -59, -49, -63, -38, 55, -25, -42, 17, -64, -55, -57, -3, -4, 52, -10, -7, -18, 52, 18, -28, 61, 31, 54, 34, -7, 17, 30, 27, 4, 22, -59, -41, -27, 10, 16, -23, 40, 4, -54, 11, -13, 21, 25, -41, 34, 31, -57, -59, 23, 22, 41, -3, 52, 61, 34, 25, 45, 20, 11, -40, 25, -71, -54, -19, -6, 10, -25, 12, 34, 18, 9, 46, 31, -27, -45, -9, -27, -64, 13, 32, -28, -24, 16, 58, 59, -85, -30, 58, -43, 24, -24, -11, 69, 3, -32, 17, -16, -33, 5, 7, 0, 55, 33, -42, -21, -37, -22, 22, 37, 34, -24, -7, -47, -39, -27, 30, 62, 44, -71, -45, 22, 58, -42, 18, -8, -45, 12, -79, -41, -60, 54, -68, -29, 10, 6, 51, -42, -19, 50, -12, -26, 21, 52, 45, -57, -38, -13, -20, 29, -37, 25, 59, 20, -59, -13, 53, -17, 10, 3, -13, -8, 62, 32, 26, 12, 58, -18, -10, 37, -33, 52, 55, 28, 28, -15, -29, -61, -28, 25, 19, 9, -7, 50, -54, -22, -55, -31, 7, -17, -18, 41, -37, 29, -1, 4, -18, -12, -68, -36, 64, -41, -43, -23, 33, 55, 56, -16, 4, 0, 5, -16, 40, 8, 49, 13, 47, 44, 7, -20, 56, -4, -18, -39, 46, 3, 40, -30, -30, -38, 9, -21, 25, 19, -35, -45, 7, 46, -51, 71, -31, 29, 6, 38, 2, -25, -9, 23, 43, 5, 33, -9, -63, -65, -3, -1, 3, 12, 66, 64, 15, -9, -29, -24, 56, 56, 5, 40, 56, -38, 10, -46, 8, 53, -24, -48, 43, 48, -40, 14, 18, -43, 22, 31, -20, 17, 31, 60, -7, 48, 20, 45, -56, 27, 30, 33, -26, 11, -28, -54, 57, 36, 7, -20, 48, 62, -44, -68, -4, -8, -50, 16, -20, 39, 47, 17, -10, -43, -17, 4, 0, -14, 26, 28, -16, -7, -30, -44, 37, 39, 28, 17, -22, 54, 10, 36, 67, -25, 34, -21, 57, 37, -31, -31, 49, -12, 32, 32, 17, 61, 63, -34, 46, -15, -37, -7, 40, -48, -16, -50, -39, -32, -62, -51, -1, -19, 40, -27, -33, -74, 6, -21, -19, -61, -31, -50, -13, 23, 48, 66, 40, 46, 17, 53, 0, 9, -56, 50, 30, -4, 26, -19, 51, 48, -30, -29, -24, 37, 25, -63, 16, 61, 38, 45, 39, 23, -15, 49, -7, 4, 18, -38, -15, 35, 21, 9, -43, -39, -9, -17, -46, -61, -7, 39, -9, 48, -13, 0, 7, -57, -34, -16, -36, 18, 54, 23, -45, -7, 11, 25, -7, -43, 23, 57, 27, 22, -50, 33, 19, -9, -36, 2, -28, 34, 36, 5, -56, -47, 14, 10, -29, -60, 51, 62, -37, 58, -8, 50, -70, -4, 17, 36, 11, -50, -66, 2, -25, -15, 13, -53, -12, 43, 54, -17, 22, -51, 26, 56, 9, 29, -12, 9, 64, -6, 37, -35, 14, -51, 36, 7, -31, 17, -11, -56, 63, 17, 40, -39, 57, 33, -17, -30, 29, 20, 16, -69, -14, 20, -16, 8, -43, 64, 30, -20, -58, -63, -7, -17, 43, -23, -43, -51, 23, 49, 68, 69, 43, 3, -61, 55, 46, 10, -28, 44, 49, 54, 53, 16, -19, 32, 17, 16, -42, -2, -41, 4, -16, 25, 58, -24, 40, -12, -55, -43, -3, 15, -8, -33, 23, -45, 60, 33, 35, -1, -35, -27, -46, -67, -14, -92, -82, -20, -57, 5, -59, -36, -47, -2, 44, -53, 22, -29, 5, -41, 7, -8, -80, 1, 28, -12, -43, 34, -19, 79, 76, -24, -8, -46, -22, 74, 41, 50, 32, -13, 45, -50, -19, -15, -51, -20, -20, 27, -54, 7, 5, 6, 7, 4, -48, -49, 55, -15, -13, -56, 43, 32, 22, -45, 34, 10, 28, 43, -42, 24, 31, 12, -15, 46, 65, 34, 8, -2, 20, 5, 59, 3, 67, 13, -54, 49, -40, 38, 25, -25, 61, 2, -9, 56, -7, -9, 24, -56, -22, -33, 70, -19, 6, 23, -74, -68, -60, 35, 63, 19, 31, -36, -35, -26, -22, 41, 55, 16, 39, 47, 54, -62, -9, -54, -44, 56, 66, 74, -61, 5, 41, 56, 57, 34, 22, -2, 28, -47, -46, -46, -22, 44, 65, -46, 6, 46, 34, -12, -27, -55, 9, -61, -77, -19, -13, -63, -43, -51, -28, -19, -28, -48, -13, 5, 59, -4, 21, -42, 4, 10, -19, 6, -11, -47, 18, -40, 4, -48, 22, -15, 50, 27, -39, 32, -30, -33, -14, -25, -39, 44, 15, 21, -30, -8, 20, 9, -43, -51, 50, 20, -39, -33, -13, 35, -34, -12, -45, -5, -36, 31, -11, -75, 10, -72, -10, 5, 7, 2, 20, -52, -30, 30, -16, 19, -57, 0, 39, -40, 5, 64, -44, 1, -29, 23, -39, 33, -60, -61, 47, -28, 21, 30, -17, -30, 8, 17, 64, -80, -8, -51, -24, 15, 49, 40, 22, -34, -11, -56, 21, 23, -58, -27, 30, 56, 1, -8, 6, 34, 31, -40, 3, -43, 12, 65, -58, -11, -64, 66, 40, 25, -13, 59, 59, -47, 42, -15, -24, 1, 3, 46, -2, 30, 56, 35, -26, -5, 41, 18, -12, 7, -36, -35, 62, -2, -7, -9, 21, 2, -24, 50, 55, 68, 65, -23, -42, 13, -25, 26, -26, -49, -31, -52, -60, 14, 20, -22, -50, 16, 43, 2, 27, 14, 30, -31, 69, -1, -64, -5, 60, -35, 40, -10, 19, 32, -26, -26, 14, 33, 54, -36, -47, 54, 32, -6, -57, 29, -9, 3, 44, -18, 52, 35, 3, 8, 2, 35, 4, 31, -5, 58, 44, -60, 47, -56, -19, 20, -59, -52, 34, 27, 11, -24, -56, 33, -46, -45, -63, -32, 43, 22, 10, -3, 35, -9, -9, -17, 53, -42, -1, -7, 30, -13, -66, -35, -12, -15, 36, -49, -16, -8, -29, 14, 47, -63, -6, -9, -14, 29, -17, -1, -15, 22, 3, -12, -6, 7, 29, 43, 35, 59, 8, -2, -33, -61, 32, 46, -54, -23, -44, -5, 27, 41, 37, -10, 0, -19, 42, 49, -21, -25, -11, 22, 28, -64, -61, 21, -39, -52, -38, -54, 30, -63, 18, -52, 59, 61, -16, -8, -52, -15, 27, 17, 13, 10, 24, 58, 25, -3, -62, -56, 22, -57, 43, -4, -37, -46, -33, -51, 30, 9, 13, 42, 24, 18, -34, 6, 2, -13, -15, -23, -56, 34, 61, 54, 19, -39, -52, -48, -34, 15, -47, -51, 15, 0, 7, 20, 36, -47, 40, -5, 47, -3, 39, -4, -9, -22, -67, -64, -40, 26, 52, 38, 56, 42, -54, 27, 49, 24, -13, -19, 1, 11, 10, -24, 13, -29, -40, -17, 15, -28, -18, -56, 27, -4, -25, -64, 59, -53, 48, 16, 18, -30, 41, 59, -30, -24, 59, 50, 48, -45, -50, -6, -13, -19, -15, 43, 46, 40, 41, -49, 24, -58, 23, -61, 9, -10, -62, -54, 32, -58, -22, -34, -29, -34, -12, 8, -58, -47, 21, 0, 7, -46, -20, 9, 17, -54, 37, -25, 26, -1, 63, -43, -52, -6, -11, 51, 7, 58, -51, -10, -14, -38, -35, -53, -44, -61, 23, -18, -64, 36, 46, -26, 11, -43, -63, 62, 14, 56, 29, -53, 48, 59, -64, 24, -28, -11, -56, -33, 21, -31, 20, 43, 15, 10, -5, -38, 29, 43, -19, 27, 59, 56, 17, -64, 19, -19, -34, -33, -56, -67, 45, -18, 10, -59, -63, 23, 38, 42, 8, -26, 5, 35, 26, 4, -62, -43, -28, 31, -56, -52, 23, 6, 60, 50, 61, -21, -28, 33, -16, -28, 1, -35, -18, -48, -35, -28, -16, 6, 9, -16, 60, -48, -47, 51, 8, -62, -10, -30, -25, -10, 8, -9, -36, -41, -2, 62, -13, 27, 32, 44, -48, 36, 32, -61, -57, -44, 23, -61, 43, 0, -24, 49, -20, 4, 46, -32, -18, -41, -50, 56, -11, 51, -8, -49, -37, 40, 48, 25, 15, 17, -59, -13, 2, -29, -64, 17, 51, 31, -42, -37, 41, -48, -37, -57, -30, -8, -55, -29, -32, -34, 2, 50, 26, -32, -46, -28, -11, 39, -5, -52, 37, 9, -45, 1, 15, 61, -28, 54, -12, 4, 2, 54, 32, 10, 19, 51, 31, -23, -5, 6, -53, -48, -28, -65, -40, -14, -12, -33, 42, -11, 50, -36, 16, 37, 46, -24, -47, 59, 21, 41, -58, -35, 48, -34, -34, 28, 50, -13, 40, 9, -26, -16, -20, 27, 55, 19, 60, -8, 14, 14, 34, 1, -56, 22, -59, -14, 12, -49, 15, 47, -49, -17, -54, -1, -21, -23, 57, -8, 17, 1, -35, -46, -64, -24, 37, -58, 39, -60, 35, 34, 0, -26, -39, -30, 17, 38, 41, -41, 1, 57, -49, -56, -2, 43, 21, 26, 32, 22, 49, -56, -50, 53, 62, -26, 26, -23, 32, -39, 6, 24, 34, -20, -56, -12, 51, -21, -67, -29, 12, -48, 36, -26, -47, 18, 9, -60, 32, -32, -10, -27, -53, -23, 56, -60, -59, 44, -7, -39, 48, 41, -59, -16, -44, -36, 15, -14, -49, 17, 59, 26, 42, 42, 3, -42, -6, -5, 18, 20, -3, -18, 51, 56, -22, -15, -5, 42, 4, -17, -12, 19, 59, -48, -32, 13, -28, -66, -37, -8, -31, -16, -57, -64, 43, -45, 59, -14, 20, -2, 24, -48, -28, 29, -1, 3, -43, 16, -27, -29, 8, -49, -45, -56, -51, -36, 19, 13, -47, 23, -24, 12, -75, -16, 29, 22, 51, -16, 42, 53, -18, 45, 1, 30, -65, -51, -42, -46, 55, 15, -8, 27, -8, -39, 32, 46, -8, 16, -4, 40, -51, -59, 49, 17, -62, -37, -44, -59, -70, 53, -7, 50, 47, -45, -27, -53, 24, -40, 8, 13, -51, 34, -13, -58, -32, 35, -52, -38, 3, 40, 32, -40, 3, -24, 40, 18, -11, -43, 9, -63, 51, 3, -26, 64, 1, 52, 33, -60, 62, -48, -68, -20, -10, -12, -9, -52, -49, -7, 21, 19, -54, 35, 45, 31, -46, -29, 12, -48, -4, -33, 53, 22, 14, -25, -11, 7, 45, -46, -46, -2, 54, 33, -47, 34, 32, 29, -35, -23, 28, 15, 20, -57, -47, 50, -26, 29, -31, 42, 6, -1, -49, -16, -55, 42, -4, -48, 11, 16, 54, -2, 45, -53, -59, 29, -17, 13, -50, -40, 27, 38, -30, 34, -26, 44, 52, 21, 22, -40, 58, -11, -51, -20, 10, 24, -57, 61, -23, -33, -66, 35, -39, 41, -53, 17, 12, 31, 55, -52, -30, -53, 19, 66, 5, 28, -28, 61, -38, -38, -51, 9, 53, 31, 38, -28, -54, 3, -50, -46, -3, -27, 44, 26, -7, 26, 15, -62, 4, -20, 23, 7, 12, 61, -20, -58, 45, 31, -3, -52, 57, -60, 62, -14, -35, 43, 9, -61, 51, 23, -53, -49, -6, -4, -3, 11, -51, -45, 46, 27, 10, -14, -43, 30, 25, -61, 29, 56, -1, -14, 40, 3, -20, 7, 62, -17, -10, 39, -31, -2, -62, 5, 52, 55, -20, 40, -8, -38, 24, 10, -22, 49, 38, -44, -33, 30, 19, 34, -12, 17, 56, -43, -22, -2, 1, 14, -63, 43, -34, -25, -22, 14, -48, 12, -11, -60, 33, -9, -32, -39, -2, 32, -41, 33, -62, -33, -34, 12, 15, -29, 1, 27, -35, 2, 28, 42, -10, 59, 32, -61, 5, 5, 44, 43, 22, -6, -64, 56, 46, 30, -4, -38, -50, 46, 6, 46, 49, 9, 15, -44, 36, 11, 23, -31, 11, 7, 40, -31, -21, 7, 29, 54, -4, 0, -43, -51, -15, -3, 12, -37, 48, 48, -8, -19, 55, 43, -50, 11, -1, -46, 57, 37, -8, 22, 36, -60, -12, 47, -55, -7, -27, -70, -5, -6, 43, 14, 11, -48, -26, -27, -38, 12, 55, 25, -17, -16, 51, -50, -61, -3, -52, 22, -37, 52, 60, 15, 4, 61, 42, -41, 14, 33, 2, 35, 20, 35, 5, -16, -35, -16, -25, -7, 0, -38, 49, 6, 3, -26, -49, 63, 17, 6, -55, 1, 31, -20, -58, 23, 1, 41, -33, 53, 13, -45, 45, 38, -8, -48, 5, -21, 13, -41, 62, 12, -16, 9, 12, 31, 26, 34, -63, 37, -59, -20, -32, -10, 30, -58, -26, -27, -5, 1, -16, 5, -6, 29, -17, -47, -21, -8, 15, 2, 46, -37, -15, 40, 54, -25, 60, 26, -29, -10, -60, -40, -43, -32, -12, 2, 49, -17, -7, -32, -37, -32, 16, 21, -2, 16, 21, -22, -57, -6, 51, 20, -16, 28, -59, -2, -50, 1, 57, 55, -20, 26, -46, 22, -25, 27, -47, -37, -44, -41, 53, -56, 26, -50, 11, 42, 3, 11, 55, -51, 37, -52, 49, -5, 52, 22, 39, -1, 57, -45, 8, 64, 56, 9, 46, -16, -25, 8, -42, 6, -41, 23, -1, -18, 17, -31, -33, -58, 52, 63, -18, -13, -41, 27, -11, 27, 55, -18, 18, 61, -39, -20, -57, 3, 2, 4, -30, 26, 15, 25, 68, -29, 29, 12, 68, 42, -25, 24, -28, 44, 22, -44, 55, -41, -59, -59, 4, -8, 25, 60, 58, -41, 15, 28, 16, -23, 11, -28, 57, -40, 5, 53, 19, -38, -36, 51, -37, -5, -51, -59, 44, 53, 48, -58, -9, -40, 45, 0, -43, -2, 59, 33, 12, 14, -62, -8, 48, 29, -44, -45, 9, 12, 55, -13, -56, -43, 14, 46, 67, 19, -66, -57, -12, -53, 3, -10, -32, 58, -50, -72, -58, -41, 7, -43, -12, -29, -47, 43, 25, 30, 31, 6, -54, -23, -36, -52, 29, -59, 4, -51, 1, -53, 26, 7, 10, 9, -7, 57, 4, 27, -39, 22, 11, 37, -59, 64, -51, 6, 9, 63, 19, 55, -26, -19, 19, -23, -5, 26, 6, -20, -34, 1, 50, -10, 27, 16, -15, -21, 49, 10, 50, 46, 30, 41, -22, 13, -12, -53, 37, -1, 59, -42, -6, 28, 20, 32, 7, -66, -18, -5, -55, 40, -35, 34, 25, -63, -9, 31, 18, -26, -7, 57, -16, 19, -58, -31, 40, -49, 18, 24, -49, 31, -38, -34, 13, -61, 50, -59, 10, -29, -49, -48, 54, -40, -9, -35, -43, 25, -54, 45, -35, 37, -61, -50, -38, -4, 13, -21, -38, -26, 34, 12, 5, 33, -1, -38, 8, 7, -37, 42, 54, 15, -51, -3, -43, -60, 41, 24, 8, 62, -53, 35, 32, -60, -53, -58, 38, 31, -19, 17, -62, -25, -49, 4, 56, -52, -23, -41, 0, 2, 2, -32, -38, 53, -42, -45, 15, -50, 44, -37, -1, 2, 17, 2, 64, 42, 35, 23, -45, -14, -23, 27, -19, -32, -53, -43, 40, -33, -9, -23, -42, -11, 28, -34, -56, 63, 1, -50, 5, -43, -15, 46, -61, -58, -23, 6, -9, -13, 32, 2, -38, 25, 8, 15, 37, 35, 6, -53, 33, -25, -27, 44, -13, -38, -66, 45, 0, 34, -65, 45, 14, -48, -12, -63, -38, 6, 55, 49, 5, -9, -8, -16, 17, 21, 23, 5, 21, 5, 13, 10, -41, -57, 44, -21, -15, 29, -33, 48, -58, 27, 59, -44, -33, -57, 37, -33, 18, -30, -66, -21, 9, 24, -39, 22, -49, -54, 39, 52, 7, 56, 14, 32, 35, -33, 15, -50, -45, -3, -22, 30, -32, 61, 26, 10, -13, 18, -27, -34, 8, 45, -45, 9, -15, -18, 13, 19, -6, -22, -14, -55, -47, -49, 49, -34, 16, -46, 54, -20, -38, 32, -24, -54, 69, 34, 22, -35, 0, -12, -12, -33, -13, -8, 60, 33, 13, -17, 18, 31, -51, -55, -16, -47, 58, -51, -33, 7, -11, 37, -7, -62, 2, -52, -14, 58, -50, -27, -27, -27, -63, 19, 34, -22, -59, 40, -15, -64, 31, 62, -47, -52, 14, 38, 51, 7, 36, 31, -4, -20, -10, -31, -10, -40, -64, -59, 57, 27, -27, 40, -23, -18, 34, 6, -58, -42, -21, 6, 0, 54, -20, -42, 42, 44, -53, -47, -55, -18, -2, -16, -36, 13, -3, -57, -57, 10, 18, -62, -1, 40, -16, -59, -51, 1, 53, 23, -29, 10, 19, 56, -14, 27, -58, -55, 4, 50, -49, -19, -54, 14, 59, 69, 41, 34, 64, 62, 2, -34, -28, -58, 61, 10, 41, 31, 17, -10, -46, 14, -35, 26, 33, -21, -11, -17, 9, -26, -10, 4, 32, -1, -14, -15, 39, 56, -49, 22, 49, -32, 27, 47, -46, -40, 51, -29, 54, -58, 21, 49, 36, -30, -32, 40, -6, 27, 44, 17, 0, 16, 7, 58, 10, -12, 27, 9, 0, 5, -39, 58, 34, -29, -46, -46, -24, -27, -18, 2, 25, -42, -45, 9, -55, -26, -4, -57, -22, -39, 38, -28, -43, -49, 6, 23, -47, 40, -43, 40, 59, -41, -14, -15, 28, 30, -31, -40, -23, -13, 39, 1, 55, -42, 42, -36, -28, 31, -10, 64, 40, 10, 40, -13, 2, 12, 28, 1, -30, 45, -27, -46, -13, -62, 5, 34, -49, -36, -14, -41, 26, 53, -14, -12, 61, 50, -35, -49, -19, -62, 30, -45, -4, -31, 2, -27, 31, 44, 25, 36, 59, -16, 47, 29, 1, 63, 53, 33, 12, -35, 16, -31, -7, -20, -40, -44, -54, 19, 46, -17, -16, -67, 27, -4, -67, -6, -30, -64, 1, -23, 13, 43, 41, 26, -26, 48, -31, -28, -16, -18, -21, 0, -47, 38, -51, 9, 55, 33, -15, 3, 62, -50, -46, -58, -11, -39, -67, 39, 22, -12, 41, -39, -34, -14, 9, 36, -59, -57, 63, 53, -14, -35, 67, -54, 22, -39, 0, 33, 51, -24, -27, -26, -37, -11, 5, -19, 30, -52, -11, -47, 62, -4, 30, -10, 11, 0, 42, 12, -27, 52, -59, -48, -58, -27, 39, 54, 24, 24, -52, -48, 23, 64, -41, -27, -8, 13, 59, -23, 11, -8, 53, -11, 48, 34, 2, -8, 63, -16, -34, 24, 14, -33, -12, 44, 10, 33, 51, -10, -51, 30, 68, -56, -40, 28, 6, -27, -57, -5, 51, -51, -32, 26, -18, 32, 38, -42, -37, 60, -60, 0, -33, 31, -52, -18, -49, 39, -19, 30, 47, 40, 7, -39, 27, -41, -37, -68, 22, -75, -50, -7, -42, -40, 35, -49, -22, 34, -21, -40, 26, 52, 25, -25, -22, -9, 2, -4, -29, -45, -30, 5, -50, 32, 29, -45, -57, -15, -16, 30, -15, 32, -16, -44, 6, 19, -50, -2, -11, 42, -37, -2, -78, -26, 29, -39, 30, 15, 39, -31, -29, 26, -52, -52, -65, 28, 22, -43, -5, -14, 20, 57, -46, 26, 39, 13, 34, 54, 50, 7, -56, 17, 24, 58, 60, -48, -63, -29, 12, -65, -21, -41, -21, -59, 6, 12, -17, 51, 55, 50, -45, 24, -29, -29, 63, 26, 19, 2, -43, -36, 11, -45, -50, 11, -15, 18, -50, -29, -67, 30, 0, -10, 34, -13, -45, 37, -23, -45, -13, -35, -45, -3, 24, -20, -57, -20, -35, 52, -7, -21, -14, -54, 23, -6, -40, 62, -2, 50, 28, 58, -7, 22, -58, 33, 20, -8, -6, 9, -58, -44, 29, 37, -18, 5, -1, -43, 46, -38, -58, -53, -44, 3, 22, -57, 66, 29, 51, 23, -34, 31, -3, 6, -30, 31, -52, -9, 2, 56, -4, -51, 49, 1, 29, 43, 3, -31, 60, -62, 29, -35, 12, -9, -12, 31, 6, 39, -59, 17, 2, 48, -6, 28, 44, -39, 54, -16, 54, -33, 18, -40, 17, 31, -74, 35, -48, -49, 35, -31, 14, 25, -50, -4, -4, 11, 20, -43, 39, 21, 57, -58, 35, -16, -51, -31, 3, -34, 12, -57, -19, 27, -35, 57, 43, 52, -13, 10, -33, -4, 8, 26, -60, -25, -51, 41, -45, 40, -49, -36, 29, 42, -56, 58, 19, 28, 24, -21, 6, -59, -32, -51, 44, 40, -21, 4, 14, -19, 1, -49, 20, -20, -49, -26, 39, -17, -16, 23, 35, 29, -44, -58, 49, 48, 6, -5, 5, -10, 50, 30, -65, -15, -67, 58, -58, 51, 20, 17, 44, -39, 56, -44, 5, -27, -27, 19, -5, 16, 34, -42, -30, -24, 33, -12, 47, 51, 58, 29, -48, -39, -17, 45, -16, -54, -27, 51, -31, 31, -17, 12, 71, 35, -33, -48, -61, -29, -10, -1, 20, 7, 0, -24, -9, -19, 22, 51, 50, -58, -16, -19, -14, -15, -23, -41, -33, 20, -47, 46, 37, 0, 49, -28, -40, -47, 48, 35, -28, 12, -8, -22, 34, -33, -22, 23, -23, 20, 48, 7, -13, -50, -19, -50, 59, -1, -19, 58, -56, -33, -46, 40, -78, -25, -5, -50, 67, -17, 0, -9, -56, -69, 38, 53, 16, 26, -41, 46, 5, -48, -60, -18, -67, -46, 58, 19, -26, 33, -20, -37, -24, -24, -44, 41, 19, -12, -54, -52, -41, -18, 46, -22, 47, -42, -62, 2, 19, 2, -57, -32, 34, -40, 41, 22, 55, 52, 53, 21, -18, 26, 38, 62, 15, -50, 33, -34, -26, -3, 54, -57, -40, 0, -54, -1, 12, -19, 35, 18, 51, 20, 11, 27, -8, 20, 11, -8, 31, 38, -13, -12, 40, -19, 19, 18, 44, 20, 23, 46, 42, -26, 59, -35, -32, 3, 43, -62, -58, -42, 2, -3, 36, -56, 35, 27, -44, -42, -38, -25, -3, -63, -35, -11, 6, 4, 36, 8, 65, -3, -35, 14, -2, -41, 32, -59, -52, -25, 65, -48, 2, 30, 13, 44, -4, 54, -41, 27, -55, -65, 43, 3, 11, -35, -59, 36, -16, 44, 52, 5, -53, -61, -52, 15, 58, -43, -52, 61, 21, 58, -29, 5, -12, 23, -10, 69, -11, 59, -15, 13, -14, -10, 6, 24, 9, 20, 35, -50, 23, 26, 41, 5, -54, -35, 11, 45, -33, 58, 7, 27, -14, 8, 36, -6, 37, -11, -32, 71, 0, -27, -34, 30, 41, -47, -27, 62, 12, -11, -15, 58, 33, 30, 28, 37, 28, 44, 30, -21, 43, 10, 3, -23, -37, 58, -62, -16, -1, -24, 28, 48, 44, 59, 3, 4, 23, -29, -33, 36, 34, 22, 49, 60, -18, 49, -61, -23, 41, -20, -16, 66, -24, 8, 12, 26, -56, -16, 8, 41, -61, -23, -47, -15, -8, 60, 39, 42, 40, 20, 10, -42, -37, 50, 63, 32, 44, 33, -32, -1, -39, -26, 18, 52, -2, -58, 3, -16, -30, 39, -10, -57, -28, -56, -31, -22, 0, -29, 41, -34, 6, 24, 22, -38, -45, -28, -54, 37, -27, 7, 65, -6, -35, 49, -58, -43, 0, -51, 52, -42, -27, -31, -23, 58, -58, -26, 12, -18, 15, 42, 59, 61, -1, -54, 45, 57, 47, 49, 5, 25, 19, 42, 33, -1, 35, -47, 24, -42, -59, -34, -18, 38, 57, 48, 46, 30, 39, 12, 19, -51, 44, 9, 46, -57, -62, 6, -44, -16, 0, -57, 46, -10, -31, 56, -56, -27, -32, -2, 10, 25, -46, 37, 35, -51, -54, 39, -59, -43, -5, -40, -50, 34, 19, 37, 38, 6, 3, 60, -45, 15, -37, 41, 59, 34, -53, 17, -34, -20, 10, -59, 45, 58, 36, -17, 41, -6, 17, -41, 65, -70, 25, -57, 17, -13, -64, 55, -2, 4, -15, -14, 64, -11, -25, -39, -2, 6, 48, -65, 66, 29, 18, -39, -16, 24, -51, 61, -22, 20, 5, 38, 32, 52, 24, -11, 59, 42, -49, 12, 8, 13, -46, -7, -42, -36, 13, 62, -52, -28, -22, 12, 10, -35, -11, 3, -10, -58, 26, -35, -8, 14, 31, 20, 21, 51, 7, 38, 41, 22, 25, 14, -56, -22, 3, -8, 25, -49, -53, 49, 44, 47, -60, -57, -52, 32, -37, 8, 39, -46, -55, -2, 25, 8, 34, -62, -11, -46, 20, -52, -21, 45, 55, 45, 25, -7, 20, -55, 34, 22, -3, 15, -30, 60, 41, 36, 23, 29, 3, 1, -17, -32, -57, 6, 49, 19, 22, -55, 28, -56, -24, -18, -47, 61, 49, 36, 64, 26, 50, 31, -31, 44, -21, -45, -56, 1, 43, -14, 62, 29, 33, 34, 36, 8, 39, -41, -19, 10, -42, -41, 50, -19, -35, -14, -42, 2, -12, 46, -29, 16, 1, -9, 32, -44, -9, 30, 51, 31, 25, -27, 30, -62, -61, 52, -29, 5, -12, 27, 48, 31, -42, 13, -6, -16, -1, 24, 37, -48, 48, 30, 55, 32, -41, -11, 55, 24, -50, -50, -5, 61, -36, -10, -37, 51, -39, -41, 55, -57, -48, 39, -38, -15, -59, -50, 27, -62, 37, 2, 42, 21, 54, -5, -41, -18, 17, -18, -49, -35, 62, -45, 38, 25, 26, 25, 54, -65, 30, -31, 26, -33, 49, -52, 6, -50, 29, -37, 45, 38, 50, 29, -41, -35, 51, 22, -61, 36, -27, -38, -1, -3, -38, -46, -32, -45, 0, -21, -39, 50, 44, -29, -42, 8, -62, 15, -9, 26, 22, 62, -63, 55, 33, 32, -42, 37, -39, -37, -7, -15, 29, -37, -15, -16, -9, -58, -49, -61, -37, -18, -8, -27, -15, -58, 5, -29, -54, 35, -61, 10, -56, 65, 45, -8, -1, 50, -57, -31, -19, -13, 22, 36, 5, 20, -54, -47, -24, 55, 16, 20, 57, -55, 20, -58, -60, -57, 52, 13, -46, 31, -51, 17, -54, -19, -59, -4, -24, -40, 17, 10, -23, 1, 58, 52, 21, 18, -54, -44, -8, -46, -18, -22, -3, -42, 47, 37, -14, 39, -53, -72, -46, -23, 3, 2, -16, 0, -10, -25, 56, 47, 38, -7, -25, -53, -61, -26, 15, 26, -26, 60, -62, 26, -46, -13, 50, -59, -19, -33, -11, 18, -45, 67, 0, 65, 41, 42, 4, 5, -68, 4, -55, 4, -44, -42, -38, 28, 44, 29, -42, 53, -18, -61, 56, -55, 46, -58, 32, 51, -55, -14, -20, 52, -26, 43, -17, 14, -13, -6, -56, -29, 5, 61, 27, -58, -14, 57, -29, 28, -15, -7, -11, -40, 37, 42, 0, 24, -6, -34, -66, 36, 42, 37, 2, 22, 0, 48, 65, 30, -1, -51, 34, 56, 20, -17, 7, 8, -19, -29, -13, 59, -24, 65, -13, -60, -24, -58, 26, 41, 4, -63, 40, 9, 24, -52, -1, 52, -50, 43, -47, -31, -59, 46, -13, 28, 17, -24, -44, -51, -52, 17, -44, 12, -25, -52, 9, 17, -52, -52, -52, -25, 14, 10, -28, -55, -56, -30, -48, -8, 32, 39, -2, 22, -26, 4, 24, 43, 10, 62, -18, 53, -27, -70, -22, -42, -35, 35, -49, -8, -9, -6, -45, 4, -5, -51, 47, -37, 52, -42, -58, -41, -50, 60, 19, 70, -56, -30, -42, 16, -49, 18, 24, -12, 23, 47, -46, 71, -28, -57, 44, -58, -25, 8, -55, 12, 17, -49, 6, -23, -3, 62, 52, 34, -53, -29, -19, -20, 53, -37, -41, -4, 6, -60, 33, 7, 22, -56, 8, -33, 45, 10, -6, 28, -8, -40, -2, -33, 5, -15, -38, 56, 40, 19, -46, 102, 59, 48, 35, -42, 54, -70, 22, 27, -31, -44, -16, -36, 19, -35, 44, -16, -58, -15, 1, 44, 54, 39, 56, 11, -17, -16, 12, 32, -1, -55, 53, 13, -19, 16, 57, -36, 32, 53, -22, 74, -28, 13, -22, -50, 66, -19, -33, -38, -46, -12, 41, 35, 41, -64, 6, 31, 37, 25, 26, -4, 43, 16, 49, -45, -14, 35, -17, -39, -2, 48, 75, 13, 22, 41, -19, 0, 12, -27, 50, 74, 61, 24, 27, 32, -20, -21, -57, -7, -35, -52, 60, -52, -40, -67, -24, 60, -12, 50, -5, 15, 26, -29, 17, -25, 8, -58, -34, 8, -23, 35, -3, -34, -66, 24, -5, -14, -11, -43, 60, 27, 38, -51, -73, -1, 2, 41, -40, 30, -21, -2, -27, -62, -72, 51, -80, 5, 7, 29, 66, 0, 47, -10, 22, -50, 54, 48, 58, -4, 25, -16, -16, -22, 34, 34, 44, -37, 40, -21, 5, -58, -34, -52, -29, -39, 42, -72, 59, -73, 14, -46, -11, 45, 29, 30, -27, -60, -65, -16, 21, -7, -54, 10, -38, -19, -34, -62, 24, 43, 14, -23, -55, -24, 24, 18, -21, 54, 10, -9, 27, 17, -23, 17, 6, -45, 43, -30, -21, -36, 1, 25, -10, 26, 91, -48, 16, 49, -24, -34, 19, -21, -3, -77, 28, -35, -59, -19, 11, 1, -37, 47, 27, -41, 4, -44, 23, -20, -69, 26, -35, -34, 29, -60, 38, -23, 1, 45, -47, -33, -29, -30, 0, -31, -42, -58, 42, -39, -37, 50, -40, -19, 102, 62, -78, -28, -7, -64, -35, 21, -55, 9, -18, -62, 58, -35, 7, -15, 16, 8, -52, -9, 32, 31, 44, -6, 9, -7, 11, 37, 10, 64, 3, 25, -9, -22, -45, 38, -38, 32, 38, 22, -45, -25, -17, -36, -1, -30, 42, 41, 15, -31, -62, -68, 29, 34, 58, -50, 9, -4, -30, 41, 48, -60, 24, 75, 31, -58, -10, 28, -32, -72, 34, -12, 8, -25, -19, -21, -40, -26, 59, -53, 45, 55, -55, -46, 11, -6, 33, -11, 18, -57, 8, -22, -56, -36, 19, 32, 59, 33, 30, 67, 70, -24, 37, -17, 8, 73, 51, -21, 17, -40, 49, 15, -7, 28, -53, 6, 44, 37, -35, -33, 18, -2, 35, -31, 16, 25, -35, 13, -17, -38, -24, -30, 40, 9, -9, -8, -33, -5, -30, 24, -28, -44, -39, 15, 0, -10, -38, -28, -75, -32, 50, 23, 28, -54, -37, 47, 19, 46, 32, -23, -12, -7, 12, -46, 15, -62, -32, 23, 15, 34, 39, -38, -22, 7, -29, 45, -7, 3, -18, -63, 1, 15, -19, -58, -7, 49, -8, -52, 0, -15, -50, 40, -47, 7, 11, 31, -15, 4, -29, -11, -75, 4, 12, 16, 23, -12, -6, -51, -33, 61, -27, -22, 60, 64, -39, -26, -44, 46, -62, 12, 44, -20, -61, -11, 42, 0, -41, -5, -15, 40, -41, 22, -57, 50, -32, 50, -7, 37, -52, -54, -17, 66, 9, -7, 2, -22, -60, 49, 22, -6, 45, 55, 29, -45, -27, -12, 55, 30, -24, 21, 70, 22, 7, 34, 56, 8, 17, 7, -44, 44, -47, -28, 6, 34, 18, 16, -11, -62, 4, -65, 58, -55, 5, 9, -11, -51, -39, 16, -30, 39, 30, -59, 39, 50, 27, 3, 30, 19, 46, -11, -31, -57, -7, -5, -9, 18, 21, 39, 56, 5, -40, 26, 27, 41, -9, 9, 35, -5, -30, -38, -56, -29, 18, 47, 36, -36, -11, -46, 36, -28, 17, -45, 16, 33, -51, -38, 7, -10, -37, 13, -65, 57, 46, -19, -28, 27, 48, 46, 50, 39, -13, -37, 56, -40, 49, -19, 48, 19, -18, -52, -10, 14, -45, 25, -46, -49, -45, 60, -51, 30, 54, 24, -53, 44, -22, -28, -43, -3, 39, -31, -46, -17, 70, -5, 24, -2, 5, -9, -5, -19, -15, -47, -75, -67, -32, -7, -37, -40, -27, -9, -37, 57, -23, -48, 34, 60, -60, -4, -49, -21, -25, -14, 55, -49, 69, -59, -54, -60, 51, 40, -4, 27, -35, -19, 25, 6, -48, -13, 30, 54, 7, -40, 48, 40, -31, -54, 8, -37, -57, -5, 51, 10, 1, 38, -2, 38, 15, 66, 17, -31, -3, -3, 56, -34, -23, 18, 46, -28, -56, 8, -28, -9, 27, -76, 33, -39, 24, 26, -24, -51, -4, 23, 23, -64, -3, -42, -7, -10, 7, -31, -31, -23, 53, 61, -51, 41, -48, -6, -10, 12, 52, 35, -54, 61, -77, -37, -15, 54, 6, 5, 3, 8, -32, -4, 36, -19, -35, 39, 53, -48, -8, 6, -37, 41, -28, 53, 26, 2, -28, 54, 48, 52, -15, 60, -52, -36, -31, 56, 4, 40, 9, 47, -60, 11, 34, 33, -17, 18, 24, -41, 44, 1, -10, 26, 61, -52, -46, -56, -42, 50, 63, 1, 63, -31, -18, -9, -23, 29, 43, 27, 3, 52, -50, 15, 20, -9, -37, -6, -42, -47, -53, -42, 34, -8, -33, -33, -10, 57, 26, 25, -21, 0, -22, -34, -60, -34, -9, -11, -7, 41, 55, -13, -63, 42, 41, 51, -61, 36, 32, -25, 43, 0, 12, 16, -4, 14, 14, -64, 8, -53, -39, -55, 49, 9, 41, 22, 4, 2, 28, -47, -37, -77, 70, 42, -2, -27, 37, -37, -24, -26, -62, -11, -9, 48, 18, -37, 26, -35, 6, -1, 21, 22, -29, 15, -41, -35, -64, 29, 5, 6, -62, -48, -22, -10, 61, -1, 13, 38, -45, 33, 52, -9, 13, 10, -46, 67, -50, -21, 21, -71, -78, -49, -61, -25, -39, 4, -49, 15, -12, -18, -63, 76, 30, 63, -43, -25, -4, 0, -31, 32, -36, 40, 9, -58, -48, 2, 27, 60, 53, 10, 13, 53, 12, -48, -12, -13, 22, -30, 23, 25, -50, -54, -55, 53, 16, 11, -15, 34, 15, -18, -15, -56, -7, -4, 12, -33, 8, 37, 2, -66, 56, 52, 16, 38, -44, -25, -52, -47, -53, 34, -37, 9, 63, -35, 4, -55, -18, 31, -55, 28, -25, -59, 14, 41, 15, 51, 32, -64, -16, 37, 14, 11, 15, -24, 32, 22, 48, 7, 37, 62, -8, 11, 37, 48, 39, -21, -9, -55, -55, 32, -5, 18, 26, -30, 22, -37, 57, 63, -1, -45, 28, -29, -21, 4, -43, -8, -18, -31, -6, 6, -26, -26, -60, -59, -11, -16, -57, -9, 5, 25, -12, 16, 64, -76, 44, 37, 19, -8, 55, -13, -13, -14, 2, -26, 46, 0, 19, -33, -26, -17, 42, 42, -36, 7, 72, 60, 50, 28, -57, 20, 10, 66, -31, -33, 42, -38, 60, -13, 48, -18, 20, -27, -16, 36, 42, 13, 38, -42, -51, 20, -56, -21, 4, -47, -50, -12, 44, 44, 48, -54, 49, -26, -48, 32, -1, 34, 50, 3, -55, -13, 49, 25, -68, -43, -10, -38, -33, 40, 55, 77, -17, 64, 31, 41, -45, 25, -16, -1, -29, -46, 50, 62, -19, -7, 40, -6, -35, 1, 35, 26, 30, -56, 54, 51, -62, -3, 2, -47, -53, -45, -11, 47, 54, 54, -7, 4, 28, 9, -49, 23, -45, -14, 24, -74, -34, 27, -32, -23, 45, -17, -19, 45, 37, -51, 45, -60, -51, 17, 28, 44, -21, -49, 38, 69, 54, -42, -62, 20, -45, -2, 49, -36, 34, -65, 53, -29, 2, 12, -21, 70, 2, 52, 11, -11, 48, 10, 12, 27, -18, -34, 30, -37, 0, -30, -15, 15, -18, -33, -55, -50, -42, -12, 36, 4, -38, -47, -59, 11, -61, 9, 58, 1, 20, 36, -17, -28, -61, 39, -15, -55, -59, -21, -4, 37, 62, -32, 31, 5, -25, -28, -56, -51, -15, -75, 37, 39, -67, 35, -27, 36, -28, -32, -6, 48, -52, 59, -21, -18, 11, 12, 1, 57, -45, -22, 8, -32, 43, -40, 7, -53, -21, 60, 58, 20, 46, -33, 5, -18, -4, -12, 47, 41, 34, -70, 67, -72, -21, 65, -12, 10, -63, 17, 4, 29, 58, -21, -40, 4, -13, -30, 2, 30, -15, -16, 29, 55, 6, 38, -34, 24, 40, -39, -2, -56, 1, 3, -58, 48, 16, 49, 86, -65, 68, -21, 84, 13, -32, 11, -40, -23, -35, 30, -46, 33, 51, 36, 19, 36, 13, -39, -5, -20, -51, 4, 5, 48, -43, -20, 56, -20, -56, 16, -50, 36, -26, -27, 37, 57, -21, 19, -58, 28, 4, -10, 2, 16, 39, 64, -53, 53, 15, 66, -18, -45, 54, 47, 17, -63, 22, -17, -39, 26, -46, 40, 55, 41, -53, 25, -56, -26, -7, 3, 3, -12, -23, 25, -54, -20, -49, 50, -39, -8, 42, 32, -37, 50, 58, 40, 7, 23, -49, 50, -38, -39, 46, 0, 69, 8, 55, 41, -35, 1, -25, 24, 10, -62, -49, 28, -24, -52, 68, 19, -31, 27, 42, 10, -54, -13, 23, -34, -39, 10, -59, 7, 21, -77, -36, -17, -43, -36, 5, -51, 51, -14, -14, 16, -70, 27, 42, 45, 11, -55, 14, -38, -35, -3, -21, -10, 78, -16, -57, 26, 41, 58, 33, -59, -5, 60, -14, -52, 1, -49, 30, -9, 61, -22, 8, -30, 8, -38, -52, -34, 29, -23, 25, -49, -33, -76, -57, -8, -39, 6, 3, -42, -23, -55, 49, 37, 30, 25, 64, -45, 16, -20, 40, 72, 58, -36, 46, 22, -37, 29, -8, 7, -36, -27, -39, -10, -16, 9, -54, 28, 13, -18, -49, -53, 0, 15, -5, 22, -58, 38, -6, 46, 44, 3, -29, -15, -43, 50, -22, 59, -55, 33, -6, 12, 41, -14, -12, -12, -20, -61, 14, -41, -47, 24, 25, -23, 47, -42, -45, 13, -9, 0, 36, -51, -16, 47, -22, 24, -8, -17, 37, 42, 58, 3, 8, -12, 7, 32, 45, 18, -3, -19, -42, -43, -28, 12, -2, -34, -35, 61, -22, -46, 40, 51, -38, 61, 35, -12, 48, -43, 59, -18, 33, -53, -37, 1, -17, -45, 8, -29, -31, 36, -54, 9, 57, -9, 56, -34, 33, -54, 36, -30, -11, -37, 13, 49, -8, 47, -43, -4, -7, -42, 17, 53, -34, 62, 42, -32, 54, -23, 50, -39, 57, -20, -4, 42, 13, 34, -55, 21, 18, -6, -23, -5, 67, 32, 26, 68, 0, -29, 39, -63, -71, 21, -11, 6, -88, 20, -57, -19, -30, 20, -6, 44, -21, 44, 7, -1, 61, -22, 49, -22, -27, 48, -11, 20, -9, 5, 52, -31, 19, -12, -22, -54, 35, 1, -50, -21, -50, 21, 3, 23, -51, 42, 62, 24, -28, 20, 29, 3, -28, -24, -6, -45, 20, 3, -14, -13, 52, 41, -11, -23, -7, -1, 26, 11, 13, -15, -19, 54, -10, -43, -5, -67, -27, -74, -6, -59, 14, -11, -68, 34, -15, -20, -53, -32, -9, 6, -13, -70, 28, -6, -1, 7, -61, 27, -69, -70, -17, 33, -30, -57, 11, -35, 7, -32, -2, 40, -28, 42, -24, -9, 8, -43, 17, -19, -20, -7, -45, -19, 40, -32, -4, -31, 59, 32, 12, -50, 8, -52, 32, 22, -48, -2, 64, 8, -43, 11, 48, -53, -7, 13, -9, 5, -4, -22, 47, 31, -17, 36, -23, -12, 22, -3, 1, -24, 40, 42, -55, -49, 32, -10, 25, -46, 48, 61, 37, 1, -67, -10, 60, -12, 13, -46, 16, -21, 16, -29, -31, 32, 13, 17, -36, 34, -71, -44, 18, 43, 10, -50, 35, -28, 48, 33, 17, 22, -58, 6, 38, -19, 38, -64, 10, -65, -36, -37, -45, 16, -19, -36, -33, 13, 19, 1, -49, -51, -42, -65, -47, 32, 5, -24, -21, 17, 2, 52, -3, -55, 2, 14, -6, -12, -42, 36, -33, -38, 42, -18, 40, -55, -48, 11, -35, 48, 44, 54, 37, -32, 33, 16, -59, -40, -33, 33, -21, -13, -16, 5, -65, -10, -4, -59, -34, 28, -28, 58, 45, -69, -36, 58, -23, 5, -13, -19, 48, 31, -40, -60, 41, 17, 56, 50, -1, 24, -17, 39, 31, 0, -53, 67, 58, 48, -41, -3, 41, -36, -12, -31, -64, -18, 38, -31, -9, -19, 23, 20, -19, -61, -13, 50, 12, -12, -9, -28, 53, 18, 35, -47, 34, -60, -11, -11, 43, 54, -33, 24, 31, -42, -29, 30, 4, -14, -15, -33, 66, 34, -53, -16, 31, 50, 32, -8, -47, 22, -52, -48, -75, -34, -35, 42, -46, -30, 41, -46, -36, -57, 59, -19, 48, -14, 24, -65, -23, -8, 33, -21, -24, 22, 14, 14, -58, -50, 16, 0, 36, -17, 38, 77, 2, 25, 10, 54, -26, -33, -31, -61, -58, 40, -20, -59, 43, -59, 52, -12, 22, 25, -59, -47, -46, -33, 21, -47, -63, -35, 69, 4, 59, -20, 21, 12, 61, 35, -51, 27, -38, 62, 59, 19, 71, 38, 19, -28, -49, -46, 45, 1, 19, -55, -27, -42, -2, -27, 18, 36, -21, -10, -21, 37, 51, 43, 14, 35, -5, 46, 27, -21, 28, -60, 64, 2, -30, -56, 63, 22, -8, 15, -66, -17, 47, 14, 46, 33, -3, 58, 42, 1, -36, -63, 53, 5, -31, 1, -45, 54, 25, 9, 46, -50, 1, -19, -3, 58, -51, 6, 49, -58, 63, -53, -28, -41, 22, -4, 48, -8, 57, -41, -32, -28, -50, -42, 30, 38, 5, -34, -24, -49, -11, -18, 14, -51, -77, -19, -9, 29, -65, 43, 30, -65, 65, -24, -4, -97, 12, 24, 38, 10, -5, -66, -48, 0, -53, 28, 32, 56, -36, 26, -16, -54, -49, -45, 41, 54, 18, 19, -31, 8, 10, 37, 20, 5, 39, 25, -21, -20, 1, -11, 47, 43, -43, -42, -32, 34, 41, 40, -37, -48, -7, -63, 26, 15, -62, 22, -29, -3, -33, 42, 2, 4, -59, 51, 26, 63, 28, -48, -1, -18, 32, -17, -5, -12, 4, 60, -1, -36, -9, -26, 59, 48, 8, 57, 47, -9, 18, -28, -1, -40, -22, -46, 34, 58, -60, 13, -55, -39, -34, -50, 6, 8, 54, -34, 50, -23, -26, -44, 54, -55, -19, 16, -14, -65, 21, -22, 48, -53, -1, 73, -30, -13, -40, 30, -34, -24, 65, 8, 20, 59, -21, 5, 20, 41, 12, -12, 1, 49, 58, 56, -31, 66, -62, -21, 11, -54, 43, 14, 6, -1, -31, -49, -3, -1, -40, -17, 86, 68, -54, -60, 52, -18, -40, -56, 32, -34, 61, -21, -6, -15, 19, 49, 34, -64, -13, 8, -48, -27, 38, 64, 55, -41, -27, 26, -47, -59, 21, 14, -26, 21, -28, 45, -2, 0, 54, -35, -9, 49, 48, -25, -18, -27, 30, 47, 38, 47, 38, 39, 54, 14, 0, 4, -37, 56, 1, -14, 25, -35, -44, -2, -15, 7, -9, 37, 47, -28, -59, -24, 58, 7, -36, 50, 16, -59, 19, -10, -39, 15, -28, -6, 32, 15, -68, -29, -24, -73, 45, 48, 32, 34, -42, 40, 4, -32, -23, -5, 53, -7, -41, -57, -60, 26, 34, 6, -19, 53, -29, 29, 63, 15, -20, 54, -33, -32, 32, 15, 32, 44, 7, 40, 60, -81, 69, 42, -75, -49, 56, -30, 11, 80, 39, -34, 37, -41, -6, -8, -6, -69, 2, 30, -93, -25, -5, 5, -8, 38, -33, 11, 17, 52, 36, 60, 19, -44, -14, 36, -59, -52, 50, -18, -18, -52, 6, -35, -59, 14, -43, -6, -53, -52, 44, -32, 56, -21, 6, 38, -55, 9, -50, 5, -37, -12, 14, 22, -38, -3, -44, 44, -36, 25, 13, 36, -25, 8, -21, 11, -57, -14, 53, 32, 70, 68, 11, 72, -22, -70, 1, -41, -37, 18, 0, -39, -15, -48, 7, 45, -54, -5, 49, 25, 28, 57, 30, 18, -17, -14, -8, 21, -10, 36, 49, 21, -6, -68, 40, 50, 3, -35, 49, 46, -3, -12, 16, 42, 9, 40, -19, -63, -10, 8, 58, -1, -42, -6, -28, 19, -10, -38, 48, 15, -27, 16, 28, -32, -30, 11, 25, -43, -7, -9, -36, 10, 43, -37, 27, -36, -73, 2, -2, 44, 33, -14, 33, -23, 15, 72, 25, -21, -69, -13, -44, 17, 35, 22, 51, 1, 24, -43, 65, 52, 28, -3, -62, -33, -30, -2, 26, -17, 33, -23, -32, -73, -51, -36, -59, 48, -10, 36, -60, 27, 12, 16, -5, 46, -6, -20, 79, -54, 38, -22, -27, 22, 12, 44, 1, 8, 32, 59, 35, -27, 36, 34, -41, -33, 66, 7, 38, -38, 53, 49, 49, -6, 9, 16, -14, 26, -21, 27, 2, -34, 38, -4, -21, 56, 41, 39, -49, 0, 21, -43, -4, 14, -57, 33, 59, 29, -55, -66, -49, 3, -13, 20, 22, -38, 25, 49, -33, 26, -58, -56, -7, -11, 59, 25, 33, 55, 51, -24, -32, -8, -40, -10, -34, -58, -55, -18, -9, -58, -38, -68, -41, -8, -46, 38, 13, 15, 26, -30, -58, -26, 1, -8, 57, 48, 57, -1, -52, -26, 50, -61, 0, -1, -47, -25, 29, -7, 51, -52, -67, 33, 14, -36, 26, 34, 42, -6, -24, 53, -19, -1, -21, -9, -62, 56, 24, 6, 14, -27, 18, -11, -23, -2, 33, 27, -7, -50, -6, -50, 7, -47, 11, -39, -3, 62, 10, 51, -42, -14, 64, -70, 62, -48, 22, 50, 61, 16, -44, -40, 26, 35, 22, 72, 42, -45, -4, 40, -77, 10, -44, -37, 49, 12, 25, 3, -13, 17, -1, -24, 9, -68, -63, -43, 42, 14, 6, -61, -14, -3, 46, 24, 13, -8, 21, 48, -26, 0, -17, -23, -65, 34, 52, 71, -1, 13, 3, 12, -47, -21, -36, 54, -11, -9, -22, 47, -66, -5, -44, -29, 41, -50, -59, 66, -30, 42, 52, -35, -65, 3, -11, -35, -24, 41, -29, 18, 64, 4, -16, -50, -32, 26, 43, 10, 74, -6, -19, 36, 43, 24, 1, 12, 16, -39, 48, 28, -25, 22, -12, 14, 10, -42, 31, 33, -63, 1, 57, -4, -63, 4, -9, 21, 51, 33, 61, -55, 11, -57, 6, 29, -57, -36, 10, 1, -2, 8, -42, 3, 15, 30, -14, 59, -52, -33, -4, -36, -61, 25, 31, -4, -10, 25, -30, 47, 30, -59, -7, 11, 66, -51, 63, -63, 21, 23, -22, 58, -23, 3, -53, -24, 68, -56, 19, 51, -28, -34, -29, -18, -50, 54, 7, -10, -9, 18, -61, 30, 56, 6, -34, -26, -57, -53, 30, 3, -41, -38, -12, 52, 39, 29, -8, 34, 3, 32, 37, -53, 0, -48, 27, -29, 49, -34, -30, -47, 51, 58, 36, 5, 27, 23, -26, 15, -12, -2, 39, -9, 37, 61, 11, 46, 14, 60, 37, -2, 5, -40, -24, 16, 12, 47, -7, -28, 11, -56, -27, 43, -33, -28, 52, 63, 7, 18, -30, 25, 31, -44, 15, 55, 21, 22, 23, 41, 12, -56, 48, -17, -58, 50, 0, 29, -45, 24, -45, -19, 49, 57, 59, 58, -26, 44, 52, 37, 0, 20, -48, 31, 26, 28, 74, 8, 27, 11, 40, 19, 6, -18, -6, -47, 13, -34, 23, -8, 32, -43, -49, -14, 57, -63, 64, 62, 39, 17, -37, -4, 45, -38, 49, -34, 17, 49, 43, 6, -1, -29, -51, -14, 23, 30, -118, -8, 29, -53, -15, -39, 15, 36, 2, 39, 25, -90, 21, 3, -72, 21, -56, -28, -3, -76, 50, 34, -22, 46, 29, 33, 6, 13, -65, -35, 56, 18, -63, -11, 58, -34, 21, 23, 26, -57, -52, -6, 14, -28, 23, 31, -23, 54, 17, 56, 4, -35, 34, -23, 36, 16, -40, 56, 24, 49, 59, -17, -37, 7, -25, 41, 69, 37, 10, 49, 12, 43, 13, -55, -12, 41, -19, 20, -45, -81, 37, 5, 13, -50, 63, -47, -14, 19, -59, 76, 16, -19, -27, 60, -67, 18, 47, -26, -12, -10, -33, -9, 55, -3, -12, 40, 41, 1, -27, 34, -7, 47, -38, -21, 34, -3, -32, 55, 53, -12, -5, 58, 33, 46, -58, -3, 32, -19, 31, -25, -31, 60, -3, 27, -35, -41, -60, -47, -24, -49, 65, -9, 8, -36, 43, -37, 38, 55, -10, -35, 37, -8, -52, 33, -31, -4, 23, 48, -2, 37, -55, 57, 56, -13, 56, -27, 17, -30, 42, -43, -61, 39, -40, -12, -7, 7, -12, -30, -23, -74, 20, 5, 29, 59, 5, -46, -50, 25, 51, 49, -45, 3, 58, 49, 15, -47, 3, -37, -19, 42, -11, -18, 27, 6, 16, 44, -2, 2, -27, -34, 40, -51, 35, 2, -23, -64, -4, -37, -7, -79, 31, 15, 26, 8, -35, -65, -21, -15, -41, 28, -18, -11, -60, -18, -53, -15, 50, -61, 17, -11, -11, -64, 36, -17, -48, -59, -25, 12, 6, 55, -28, -12, -43, -49, 4, 37, -48, 72, -76, -4, -43, 6, 10, -20, 30, -11, 48, -7, -48, 11, 46, -59, 39, -25, 0, 15, -54, -6, -40, -49, -65, -32, -4, 2, -4, 45, -52, 38, 23, -42, -34, 57, 42, 0, -4, -30, 10, 62, -17, 6, 27, -39, 50, -17, -1, 32, 24, -65, 14, 32, 1, 68, -52, -55, 32, -19, -23, -64, 40, 36, -15, 19, -6, 22, -40, 5, -38, -6, 29, -69, -50, 47, -70, -67, -67, -23, 66, 37, -29, 8, 53, 8, 11, -31, -20, -24, -42, -30, 27, 60, -23, 16, -63, -34, -63, -3, 17, -74, -56, -22, -64, 24, -17, -27, 39, -36, 54, 39, -24, 10, -64, 16, 22, 12, 51, -9, 11, -59, 55, -52, -50, -17, 42, -13, -6, 32, -32, -6, 49, 47, 2, 6, 7, -17, -4, 39, -31, 5, 29, 50, 36, 42, -25, -21, -30, 8, -6, -35, 45, 4, 6, -38, 62, 25, 19, 14, 7, 9, -10, 5, -45, 63, -7, 38, -53, 17, 46, 54, -50, -66, 41, 1, 49, 21, -40, 58, -33, 9, -25, -53, -36, 34, 34, 21, -51, -30, -53, -57, 33, 37, -28, -34, 53, 34, -16, -55, 24, -44, -19, -6, 44, -27, 60, -42, -6, -58, -45, 77, 64, 51, 33, -25, 33, -30, -35, -34, -26, 69, -27, 38, 42, -66, -11, 10, -17, -52, 42, -58, 53, 31, -41, 37, -15, -44, 6, 25, 7, 47, -44, -29, 40, -27, -20, -65, 21, -31, -21, 30, 36, 28, -3, 20, 25, -62, -35, 23, -35, 0, 29, 22, 31, 21, -33, 28, -6, -39, 44, -42, 13, 7, 38, -3, 14, -64, -23, 36, -5, 31, -1, 43, 58, 42, -1, -30, -44, -50, -38, -14, -22, -39, 17, 17, -7, 30, -35, -23, -12, 34, -7, 43, 31, 33, 43, 39, 58, -8, -47, -50, -22, -69, -54, -19, -18, 17, 13, -38, 30, 31, -24, 27, 33, -25, -30, -59, -62, -24, -66, 64, 22, -51, 20, 4, -40, -5, 35, 5, 36, 1, 42, -43, 35, 6, 35, 9, 52, -46, 8, -52, -38, -36, -29, -88, -42, 14, -23, -17, -31, 12, 9, 8, 33, 36, -28, 32, 4, 22, 42, -57, -45, 38, -52, -29, -40, 9, -7, 22, -57, 23, 32, 61, 45, 18, -31, 50, 12, -21, 10, 34, -15, 35, -6, 17, -39, 49, 35, -30, -40, 16, 46, -34, 2, -24, 45, -13, -24, -7, -58, -38, 14, 35, 15, 14, 29, -44, -49, 39, -17, -36, -17, 25, 27, -16, -11, 43, -56, -55, 17, 45, -66, -43, -38, -11, -28, -3, -12, 13, 31, 37, 30, -22, 23, -31, -59, 2, 56, -63, -22, -21, -59, 2, 56, 15, 26, -43, 52, -7, 7, -30, -30, 32, 37, 6, -45, -36, 2, -19, -4, 17, -3, -17, 7, 52, 50, -31, -35, 32, 6, -47, 10, 51, 52, -21, -18, 2, 60, -30, 20, 40, -1, -39, 36, 12, 52, 51, 7, 5, -6, 46, 35, 17, -33, -38, -30, 2, -57, 37, -64, 29, -19, 12, -22, -43, 41, 40, -20, 40, -10, 57, 38, 46, 26, 67, -43, 57, 25, -33, 47, 0, 9, 62, 59, -31, 62, -24, 19, -3, -52, 17, -69, -54, 46, 13, -43, -65, 23, -7, -6, 43, 34, -42, -8, 12, -30, 32, -13, -40, 43, -43, 71, 8, -10, 33, -11, 32, -28, -11, 5, 27, 14, -25, 36, -33, 17, -25, 48, 48, -42, 15, -11, -15, -35, 22, -24, 51, 5, -39, 44, -27, 8, 13, 26, -11, -9, -35, 18, 30, -1, 13, -30, 16, -56, 58, 51, -27, -61, -49, 4, 18, -17, 38, 54, 2, -23, -49, 44, -42, -5, 60, 6, -8, 0, -33, 56, 1, -37, 23, 57, -11, 19, 22, 50, 3, -62, 14, -10, 41, 47, 35, 41, 9, 13, 35, 1, 14, -30, 22, -2, -28, 8, 54, 2, -47, -57, 33, -8, 37, -54, 37, -32, 48, 1, -58, 63, 20, 5, 33, -57, 1, -18, 25, 32, 38, -12, -58, -58, 41, -53, -8, -59, -4, 58, 37, -1, -62, 63, 27, 39, -36, -23, 31, 54, 41, 22, 32, -8, 38, 0, 4, 30, 1, -47, -29, -56, -63, -62, 73, -15, -49, 26, 58, 29, 55, -15, -52, 32, 22, -34, -43, 14, 38, 30, 2, -67, 38, -36, -57, 8, -3, -60, -18, -31, 36, -30, -16, 42, 15, -50, 8, 42, -35, -43, -49, 5, 18, 41, -28, 3, -61, 55, -13, 37, -45, 19, -9, 16, 43, 4, -22, 28, -41, -30, -31, 63, 57, -35, -2, 10, 36, -55, -29, -1, 6, 40, 52, 3, 6, 26, 36, -59, 50, -37, -69, -44, 51, -23, -28, 46, 25, -20, -29, 32, 34, 30, 67, 33, 46, 13, 11, -50, 9, -9, 36, 27, 53, 47, 8, 34, -41, 23, -57, 11, -55, 43, 47, -5, 5, -17, -29, 56, -58, 41, -18, -12, 35, 44, 7, -49, 5, -54, -32, -37, 6, -30, -25, -4, 14, 18, -36, 7, -37, 18, -7, -59, 31, 17, -25, 31, -23, 33, -1, -34, 42, -48, -67, -71, 17, -7, -70, -13, 15, -9, 1, 24, 50, 58, -1, 11, 4, 40, 45, 61, -44, 4, -49, -15, -9, -48, -22, -34, -26, 52, 52, 3, 74, 51, 11, -48, -30, 9, 4, 41, -7, 30, 52, -25, 55, 28, 18, 44, -3, -61, -21, -27, 13, 21, 28, -42, -49, -38, -68, -59, -68, 52, 9, -38, -7, -63, -4, 12, 27, 17, -33, -48, 43, 18, -47, 10, -11, 47, 19, 63, 22, 45, 31, -25, -55, 37, 8, -46, -65, 25, -37, -31, -66, 20, -78, 39, -66, -57, -15, -43, -4, -3, -24, -8, -37, -36, -28, 19, 10, -44, -34, 11, 37, 43, 56, 44, -15, 1, 50, -35, -19, -33, 34, -28, 69, 78, -45, -49, 25, -47, 26, -17, -15, 52, -2, 41, 68, 35, 55, 24, 47, 50, 8, 64, -44, -14, -52, 39, 35, -43, -5, -5, 1, -26, 56, 7, 45, 38, 50, 39, 3, 44, 32, 66, 16, -17, 44, -8, 21, -22, 54, -21, -57, -43, -7, -29, -17, -61, -60, -3, -61, 27, -65, -8, -48, -66, 58, 55, -44, -1, 35, -7, 35, -28, -56, 14, 3, 4, -26, -39, 21, 15, 15, 44, 24, -25, 6, 27, 35, -57, -1, -16, 11, -12, 41, -7, 2, 5, 12, 21, 1, -48, -44, 42, 54, -2, -57, 52, -25, 38, 5, -25, 35, 29, -50, 12, -56, -13, -55, -41, -42, 7, -2, 24, -8, 62, 19, 47, 7, -13, -35, 4, -43, 5, 61, -43, -16, -47, -8, -22, 62, 15, 51, -63, 59, -50, 44, -27, 33, -11, 35, 9, -24, -6, 40, 30, 7, -16, 58, 33, 9, 27, -41, -65, 22, 6, 27, 11, 51, 3, -3, -17, -5, -59, 56, -36, 39, -37, 53, -50, -26, 40, 7, -1, -55, 47, 55, -41, -38, -10, -60, 7, -63, -44, -40, 62, 18, 59, -29, 56, 37, 48, -20, 22, -55, 5, -10, -59, 16, -13, -54, -46, 41, 3, -36, -6, -26, 10, -53, 11, -70, 25, 22, 31, 35, 8, 46, -32, -8, 10, 48, -48, 50, -44, -36, -33, 50, -8, -47, -56, -57, 51, -41, 69, -71, 15, 9, 27, 48, -28, 15, -45, 59, -11, -7, 27, -26, -57, -22, -40, 53, -29, -57, 11, 61, -32, 42, -51, -41, -21, -17, 3, -18, -63, 9, 26, -52, -32, -61, 44, 11, 27, -20, -71, -48, 1, -50, 32, 32, 2, -50, 26, 22, 51, 14, 55, -3, 6, -41, 20, -50, 45, -7, -39, -9, 32, 41, -32, 4, 56, 2, -58, 53, -38, -58, 33, 29, -41, 9, -22, 55, -9, 6, 42, -51, -24, 23, -24, -22, -14, -44, -60, -28, 39, -7, 15, -42, -59, 23, -14, 19, -25, 37, 11, -50, 63, 58, -30, 5, -67, -32, -60, -36, 12, 11, 3, -35, 2, -58, -36, 2, -27, -52, -57, 10, -5, 29, 6, 29, 9, -54, 47, -31, -55, 13, -59, 43, 17, 34, 4, -32, 55, 48, 3, 20, 42, -13, 15, -3, 62, -41, 2, 27, 40, 54, -34, -37, 9, 48, -42, -23, -21, -31, -55, 45, -2, -43, 2, -17, -41, 63, -61, 37, -22, -8, 19, -30, -54, 37, 47, -5, 50, 34, 41, 42, -51, -44, -39, 54, 3, -41, -3, 46, -2, 9, -52, 35, -28, 54, -13, 28, -20, 35, -29, 36, -63, -30, -57, 57, -19, 3, -38, -51, -1, -68, -54, -10, 48, -5, -64, 23, -29, -36, -51, -30, 29, -4, 54, -43, -27, -61, -11, -20, -63, 25, 8, 47, 25, 37, 19, -29, 26, -54, 21, 53, 51, 31, 31, -6, 17, 28, 40, -46, 52, -18, 32, -41, -36, -53, 49, -36, 0, -11, 17, -63, -22, 4, 22, -28, -2, -34, 9, 17, -56, -12, -52, -53, -35, 21, -16, 31, -2, 33, -18, 6, 48, -24, 67, 14, -13, 52, 62, 49, 8, -17, -45, -33, -32, 55, -24, 29, 5, 1, -51, 30, -28, -61, -7, -54, 66, 48, 25, 53, 29, 46, 15, -14, -55, -24, -36, 40, -27, 27, 30, 61, -58, -60, -2, -51, -49, 6, -61, -18, 9, 48, 45, 27, 53, -4, -46, 4, 10, 4, 62, 40, -30, -21, -8, -32, -46, -12, 3, -18, -23, 0, -41, -71, 26, 22, -52, -25, 5, -31, -17, 25, -57, 8, -57, -52, 40, 54, -43, 33, 4, 14, 8, 18, -26, -35, -44, -26, -17, -9, 29, -37, -2, 63, -16, 45, 58, -28, -4, -42, 7, 1, -60, 10, -19, 32, -53, 44, -59, 9, 42, -8, -23, -6, -45, 29, 55, -59, 55, -24, 60, 22, 2, -59, 8, -61, 60, -19, 50, 0, 12, 32, -21, 42, -51, 46, -20, 1, 39, 32, 9, 58, -31, -25, 32, -25, 10, -50, 17, -59, -21, 39, 54, -26, 31, -32, 0, 18, -59, -14, 45, 54, -10, -15, 2, -25, -40, 53, -53, -58, 7, 7, -22, 29, 12, 8, 26, 3, 2, -33, 15, -26, 1, 57, -31, -60, 12, -22, 60, 23, -57, -55, 38, -34, -40, -15, 58, 49, 8, -37, -18, 35, 39, -43, -5, 63, 22, 27, -52, -41, -36, -56, 6, 61, -61, 41, -48, 40, 59, -29, 24, 62, 31, 25, 21, 31, 29, 37, -8, -8, 35, -56, -32, -46, 20, -16, -39, 19, 48, 59, 62, 57, -7, -38, -53, 46, -14, 40, -15, -54, 50, 57, 44, -10, 50, -22, 52, -9, 23, -62, 6, 23, 1, -50, 39, -58, 10, -54, 31, -57, 52, 46, -24, -24, -10, -12, -37, 33, 56, -6, 24, -38, 58, -51, -15, 62, 34, 9, -26, 30, 65, 11, 28, -41, 18, -61, -39, -3, 29, 22, 22, 42, 22, -40, -18, 25, -18, -45, -16, -13, 0, 38, 20, 33, 23, -40, 34, -36, 7, 53, -54, 34, -46, 44, -61, 33, 55, -43, 1, -39, -18, 45, 39, -59, 30, 41, 54, 35, 56, 16, 15, -50, -46, -25, -2, 60, 16, 33, -8, -34, -38, 52, -58, 2, 32, -56, 60, -61, 2, -29, 60, -17, 55, 50, 17, 47, -29, 47, 6, -62, 36, -3, 55, -39, 57, -49, 15, -15, 3, -40, 42, 62, -58, -52, -46, -3, -26, -43, 30, -17, -28, 43, 11, -49, -38, -20, 55, 27, -37, 43, -46, -23, -54, 61, -57, 49, -20, -35, -29, 53, 21, -63, 30, 6, -42, 55, 38, 14, 14, 45, 27, 60, 37, -29, -4, 4, -43, 27, 9, 61, 53, 38, 28, -54, -29, -57, -57, -25, -49, -24, -35, -26, 23, 10, 65, -12, 45, 39, -57, -11, 22, -15, 21, 22, 55, 32, 34, -5, 5, 9, -62, 2, -30, 48, 26, 39, -32, 27, -18, -34, 25, -15, -15, -48, 59, 16, 48, 44, 7, -16, 48, -40, 36, -53, -33, -18, 39, 16, -20, 42, 12, 18, 30, -21, -7, 50, -45, 25, 55, 45, 12, 35, -6, 2, -36, 34, 20, 40, 24, -28, 9, 16, -59, 10, 63, 3, 2, -58, -37, -62, 1, -22, -11, -2, -19, 52, 47, 6, 24, 40, 52, 15, -57, -21, -13, -23, -38, -53, -28, -17, 31, 23, -14, 37, 47, 13, -52, -58, 6, 0, -22, -43, 21, 12, -14, -13, 24, -48, -44, 50, -16, -21, 3, 31, 23, -31, 52, 17, -4, -3, -30, 54, -22, 28, -3, -20, 49, 43, -63, -35, 2, -34, 24, -30, -54, 21, 39, 12, 21, -23, 20, -29, 32, -34, 50, -41, -19, 25, -21, -54, -50, -52, -43, -18, -24, 30, 35, 8, 11, 3, -57, 3, 12, 39, -43, -56, 7, 39, 21, 31, -12, -7, -31, 48, -61, -58, -45, 13, 4, 51, 31, -14, 0, 29, 58, -44, -10, -39, -31, 26, -6, -60, -1, 5, -62, 32, 18, -40, 19, -37, -34, -27, 23, 30, 29, 31, -53, 20, -59, 39, 38, -47, -51, -37, 61, 8, 21, 63, -54, -5, 57, 56, -66, -23, 41, 0, -63, -51, 33, -3, 52, -20, -48, 24, 24, 46, 28, 21, -28, -58, 14, 34, -44, 8, 26, -59, -28, -43, -41, -55, 18, -3, -2, -2, -61, -14, -62, -20, 10, 61, -62, 38, -41, -59, 35, 42, 3, -14, -28, -19, -17, -28, -50, 28, 0, -21, 59, -61, 36, 27, 0, 22, 26, 26, -15, -10, -39, 31, -48, 30, -45, -61, 5, -35, 32, 38, -9, -46, 16, -21, -71, 58, -20, -7, 10, 20, 2, -67, 44, -2, -23, 16, -30, 15, 58, 19, 29, 22, -37, -2, 17, 48, 20, 56, -34, 6, -46, -55, 31, -14, 53, 23, -9, -13, 12, 44, -47, 24, -13, 51, -21, 22, -37, 56, -43, -50, 13, 5, -6, -23, 4, -30, 33, 4, 13, -42, 36, -5, -63, -23, -28, -59, 60, -28, -19, -20, 9, -2, 20, 46, -44, -2, -28, -35, 21, -14, 2, -30, -48, 55, -18, -56, -38, -10, 42, -62, -22, -27, 35, -24, -39, 48, 14, 6, -46, 33, -41, -47, -30, -22, -55, 12, 63, 15, 40, 0, 11, -29, -2, 17, 34, 18, 26, 1, -33, -2, -37, -27, -12, 37, -44, -2, 36, 31, -8, -33, -17, -4, 54, 39, 1, 13, 16, -35, 28, -28, 20, 11, 5, 55, -63, -4, 22, 36, -50, 11, 1, -42, 24, -4, -10, 35, 27, -23, 49, -14, 31, 6, -17, 45, 51, 37, 17, 14, -66, -6, 17, -41, -13, -7, -2, 9, 40, 27, -43, -11, -30, -12, -45, -48, 1, -4, -41, -9, 58, 28, 25, 28, 49, -50, 39, 56, -39, 41, 14, 28, -54, -36, 13, -17, -33, -34, 42, 51, -49, -41, 39, -14, 49, 10, -33, 14, 46, -35, -19, -58, -14, 18, 55, -57, -32, -14, 9, 59, -30, -46, 47, 59, 36, 62, -29, 66, 44, 33, 0, 6, -26, 58, 40, -40, -28, -19, -52, -4, 43, 64, 28, -27, 25, 50, 34, 3, -43, 45, -64, 23, -48, 42, 64, 16, -54, 6, -28, 25, -72, 3, 56, -31, -38, -15, 12, -57, 26, 49, -6, 44, -29, -30, 29, 14, 12, 42, -18, -34, 27, -35, 11, 26, -1, -48, 5, -31, 0, 32, 24, -35, 53, -54, -23, 48, -45, -32, 15, 22, 47, 62, -42, -62, -28, 27, -49, -56, 27, 51, 2, 13, -59, 34, -55, 35, 37, 24, -47, 62, -21, 26, 62, -26, -18, 33, -44, -15, -27, -59, -10, 32, 52, -57, -33, 7, 33, -40, -37, -23, -25, -40, -54, 60, -37, 22, -18, 8, 3, 32, 26, 22, -71, -60, 50, 0, 11, 2, 50, 65, -18, 1, -37, 0, -30, 4, 16, 22, -26, 2, -43, -21, 69, 14, 18, 24, 39, 51, -10, -67, -42, 1, 59, 5, -21, 30, -5, -42, -20, -36, 53, 40, -73, -40, -24, -42, 33, -30, 43, 26, 47, 4, -51, -18, -33, -5, -22, -24, -23, -53, -10, -10, 19, -29, 21, 6, -4, 33, 11, 11, 51, 49, -18, 19, 61, 21, 47, 54, -35, 47, 53, -40, -84, 37, 5, 5, -66, -18, -11, 24, 62, -53, -58, -46, 35, -31, -40, -59, -11, 28, 10, -8, -40, 30, -6, 25, -12, -35, -10, 4, -29, 67, -25, -60, -23, -30, 15, 4, -37, -28, 3, 61, -55, 20, -34, -38, -58, -44, 37, -50, 39, -35, 38, -53, 1, -46, 18, 36, 40, -44, -47, -30, -65, -38, 53, 14, 58, -61, -12, -20, 9, 51, -34, -38, -61, -63, -35, 2, -20, -34, -23, 58, 4, 7, 50, 37, -29, -23, -21, -53, 52, -46, -39, 20, -11, -40, -20, 35, -62, -51, -57, 24, -33, -7, 51, -57, 46, -33, 12, 50, -52, 18, -9, -24, -37, -57, 5, -51, 10, 48, -19, -44, -4, 63, 27, -49, 39, -50, -45, 14, -48, 13, -27, -42, -15, 26, 36, 27, -63, 10, 68, -49, 10, -56, -46, -20, 60, 19, 53, 39, -58, 0, -53, 52, 13, -16, -68, -19, 44, 28, 25, -49, -21, 28, 53, -32, 46, 38, -48, 23, 37, 47, 24, 53, -39, 20, -29, -6, 10, 7, 16, -3, 26, 6, -26, -3, -38, -14, 5, 24, -48, -15, 47, -34, 5, -52, -8, -71, -60, -35, -28, 45, -30, 57, 61, -39, 3, 51, -61, -56, 4, 36, -12, 52, 11, -31, 29, 21, 17, 47, -33, 32, -2, 57, 34, 14, 45, 5, -14, 6, 0, -37, -60, 5, -27, -34, -25, 23, 0, 37, 62, -26, -66, 15, -32, 45, 51, 28, 32, 66, 4, 31, -15, -55, 43, 40, 45, -9, -26, -13, -20, 8, 24, 29, -44, 4, 66, 16, 62, -60, -51, 27, 28, -34, 46, 32, 52, 32, -13, 29, 31, 50, 25, 7, 40, -34, 44, -45, -44, 37, -51, -59, 12, 26, 21, -43, 45, -39, 2, 27, -35, -49, -46, 60, 19, -5, 10, -34, 28, 35, 39, 23, -39, 8, 18, -20, 26, -62, -60, -53, 61, 55, -48, 40, 38, 6, -18, -47, -27, -38, -49, -58, 26, 1, -28, -48, -30, -34, -33, 63, -47, 17, -21, -51, -50, 17, 66, -20, 58, 32, -16, -19, 14, -23, 34, -28, 30, -64, 46, -53, -64, 54, 17, 52, 17, 8, -61, -44, 54, -46, 23, 33, -34, -3, 26, -16, 62, -31, 49, -51, 60, -2, -18, -61, 5, 19, 71, -74, 0, -48, 13, -29, 7, 32, 19, -38, -51, 43, 10, -37, 25, 4, 49, -20, -61, -52, 1, 61, 45, -35, -46, -13, 41, -24, 57, 7, -51, -32, 34, -57, 37, 14, -11, 46, 45, 57, 24, 46, 59, 16, 14, -58, 15, 36, -59, 31, 29, 25, 45, -56, -13, -28, -48, -40, -53, -56, -40, 50, 8, 42, -55, -61, 3, -36, 30, -42, 20, 19, 66, 48, 34, -52, -45, -23, 42, 21, -38, -50, -5, 62, 49, -51, 11, 48, 39, 48, -6, -47, 46, 3, 49, -30, 39, -63, 55, 4, -28, -62, -38, -51, 5, -54, -21, 14, 40, -65, 32, 5, 16, -28, -62, -58, 37, 3, -43, 1, 64, -10, -4, -5, -13, -56, 19, 55, -70, -37, -44, -6, 50, 43, -72, 37, 17, -12, 62, 36, 69, 13, 63, -64, -46, -36, 15, -25, -16, -21, -49, 50, -4, 41, 9, -48, -54, 50, 36, -55, -62, -28, -41, -36, -43, 7, 34, 6, 33, -14, 8, 55, -15, 61, 15, -61, -42, 58, 52, -44, 23, 40, 23, 13, 16, -47, 40, 13, -33, -49, -56, -23, -9, -15, -14, 27, -31, -29, 19, -10, 41, 47, 72, -51, -31, 11, -41, -62, 31, 8, 14, 42, 75, 52, -13, -48, 26, -62, 1, 28, 43, -31, 18, 57, -11, 49, 10, 22, -36, -52, 25, 31, 47, -57, 18, -16, -29, -24, -24, -49, -24, 18, -8, -6, 36, -58, -16, 0, 6, -52, 31, -45, -13, 32, -1, 11, -7, 22, 21, -2, 60, -44, 24, -24, -57, 10, 20, -35, -53, 36, -50, -18, 66, -12, -45, -24, -17, 64, -19, 53, -21, 18, -8, -16, 3, -55, 2, 34, 37, -24, -59, 0, -37, 2, 63, 54, -49, -48, 54, -21, -22, 11, 48, 57, 20, -21, -10, 36, -38, 22, 36, 28, -12, -42, 40, -41, 55, 3, -43, -35, 31, -44, 3, -6, -56, 56, 13, -22, -34, 36, 9, 68, 9, -50, 29, 41, 4, -76, 30, -34, 42, 59, 2, 26, 51, 63, 31, 25, 32, -56, -18, -46, -13, 25, -42, 0, -61, -22, -3, -24, 13, 5, -52, 11, -28, 5, 39, -27, -25, 12, 53, -36, 8, -20, -44, -49, -28, -55, -49, -23, 10, -11, 41, 34, 52, -53, -30, 63, 53, 10, 57, -42, 20, -59, 34, -15, 48, -63, -53, -12, 54, -50, 7, 27, -56, 6, 49, -40, 21, 55, 28, -63, -44, 42, -64, -37, -14, -19, 50, -9, 36, -11, 41, -19, -42, -46, 0, 24, -27, 5, 27, 44, -2, 8, -3, 17, 61, 22, -49, 33, 19, 20, 4, -49, 38, -57, -54, -37, -56, -15, -9, -12, 44, 2, 57, 12, -22, 2, -44, 19, -10, 16, -31, -39, 44, 13, -49, 53, -56, -62, 22, 48, 29, -61, -29, -6, 50, -50, -45, -51, -69, -45, 37, 21, 49, 7, -9, -18, -30, -40, 17, 65, -48, -26, -8, 15, -9, 46, 39, 56, -48, 55, -3, 50, 21, -19, -44, -25, 11, 49, 34, 6, 56, 55, -57, -42, -61, -42, 21, -38, 6, -44, -21, -2, 19, -22, -56, -59, 35, -6, 28, 59, 25, -49, 7, -22, -6, -58, -38, -44, -14, 11, 57, 39, 58, -48, -62, 26, -64, -31, 8, 5, 11, 6, -52, -46, 52, 3, -16, -55, 43, -14, -27, 21, 11, 11, -24, -45, 33, -52, 34, 0, 46, 48, 59, 38, -35, 49, 12, 26, -57, -1, 18, 10, 34, -23, -25, -50, -61, -49, 56, 19, -5, 23, -61, 46, -41, -31, -55, -39, -59, -49, 33, -47, 33, -60, 39, -64, 42, -27, -6, 12, -12, -35, 31, 9, 44, -25, -42, 16, -52, -21, -28, -36, 29, -11, -20, 27, -18, -50, -18, -25, 7, -35, 15, -57, -38, -22, 13, 10, 39, 14, -42, -53, -11, 43, 4, -44, 4, 29, 5, -44, 60, 43, -23, 11, 29, 6, -53, 7, -40, -1, -23, 58, -57, 16, 41, -58, -19, -40, -7, -33, -70, 42, 37, -60, -57, -22, 14, 11, -26, -13, 31, 0, -54, 22, 63, 8, 43, 36, -38, 2, 61, 60, 3, -16, -39, 43, -34, 14, 11, -42, 6, 9, -2, -31, 45, -29, 15, 19, -69, 34, -36, 39, 54, -35, 40, 4, 22, 41, 33, -47, -22, -46, -59, 16, -5, -31, 14, -46, 3, -57, -15, 44, -26, -33, -19, 48, -19, 13, 34, -50, 51, -24, 35, 59, 7, -58, -61, 45, 57, 22, 3, -24, 17, -33, 58, -62, 54, 24, -46, -23, -43, 52, -34, -1, 40, -2, -67, -55, -34, -52, -8, -53, 18, 32, -41, 38, -26, -33, 36, 65, 62, 25, -16, 21, -63, -54, 41, 21, -13, -15, -43, -41, 30, -38, 12, 32, 51, -8, -53, -7, 25, 50, 20, -42, 46, 44, 27, -31, -50, -23, -27, -9, -62, 54, -49, 5, 61, 65, 28, -21, 42, -47, 49, 58, 14, 13, -33, -48, -28, 11, -14, -50, 37, -66, -10, -22, -33, -28, 49, 22, -30, -54, 11, -32, 46, 15, -7, 12, 39, -26, -35, 53, -64, 26, 39, -57, 54, 43, -21, 41, 17, 51, -12, -16, 45, 46, 56, 54, -39, 33, -62, -12, -59, 50, 39, -59, -30, -3, -56, 47, -9, 24, -7, 2, -22, 59, -33, -56, 49, -27, 47, 42, 52, 54, 41, 28, -61, -34, -61, 38, -53, 12, 50, 28, -5, -8, 18, 11, -8, -41, -43, 36, 16, -56, 7, -7, -24, -38, 6, -5, -27, 30, -25, -61, 12, 54, 55, -20, -42, -61, 26, 2, -58, -37, 12, 38, 47, -46, -46, -32, -57, 23, -3, -41, -28, -17, 63, 39, 13, -23, -54, -5, 48, 15, -1, 40, -28, 5, 15, 42, -26, 24, -8, -54, -30, 13, 16, 34, -15, -63, -48, 40, 47, 46, -42, -33, 9, 32, -24, 49, 17, -62, -1, -6, -37, -21, -44, 2, 13, -11, -43, 35, -41, -29, -41, -21, 47, 59, 35, -3, 42, -32, -32, 29, -37, 31, -5, -12, -12, -14, -8, -55, 36, -4, 39, -22, 52, -35, 36, 41, 19, 1, -63, 7, 40, 21, 40, 49, 31, 6, -18, 42, -45, -14, 2, 38, -42, 4, 14, -17, 0, -53, -55, -51, -53, -50, -36, 49, -58, -31, 51, -1, 55, -26, -7, 45, -9, -4, 40, 12, -30, -9, 5, 39, -9, 60, 33, 39, -13, -59, -19, -36, 43, -25, -14, 21, -4, -6, -41, 6, 48, -56, 60, 43, -58, -25, 31, -20, 57, 38, 9, -12, -12, 16, -23, 28, 7, -62, 13, 20, -35, -14, 53, 28, -23, 2, -35, 55, -63, 10, -67, 30, 51, 43, 18, -34, -31, -8, 44, 58, -59, -32, 34, 54, -45, -2, -19, -8, -19, 11, 11, 25, 42, 32, -18, 55, -35, 36, 8, -5, 0, -26, 49, 19, 27, -36, 57, 6, 27, -23, 9, 19, -8, -49, 22, 22, 0, -12, -49, 60, 33, 4, -23, 26, 48, -27, -7, 31, -27, 23, 25, 44, -57, 5, 58, 23, 36, 22, 3, -20, -19, 62, 53, -23, -58, -58, -39, -47, 24, -27, -15, -38, 46, -15, 49, -30, -39, 50, 57, -5, 53, 51, -1, 28, 14, -38, -5, 58, 18, 15, -35, -26, -21, 17, 48, -63, -18, 37, -36, -56, 9, -50, 15, 36, 16, 20, 52, 65, -18, -33, -39, 30, 63, 33, -16, -65, 9, -53, 53, 47, -50, 38, -62, -49, 18, -24, 8, -36, -33, 4, 44, 42, -6, 12, -39, 1, 56, -45, 60, -33, -52, -39, -30, 18, -31, -6, -56, 42, -36, 63, 15, -24, 9, 48, 13, -8, -24, -57, -53, 5, -46, -26, 11, 49, 59, 26, -22, 51, -44, -50, 17, -21, -34, 52, 58, -64, -21, 5, -52, 39, -11, -39, 60, -12, 2, -29, -43, -9, -21, 3, 9, 8, 44, -44, -49, 30, -7, -66, 53, -63, -27, 37, 48, 32, 24, -34, 47, -31, 18, -12, -34, -21, 33, 15, -54, -53, -56, 6, 34, -9, 34, 56, 41, -57, 16, -49, 32, 2, 10, -19, 0, -63, -67, 8, -50, 53, -56, -59, 3, 36, 30, 51, -3, 32, -48, 61, -49, -12, 58, 33, 13, -50, -8, -33, -1, 51, 29, -33, -37, 37, -18, -32, -58, 23, -38, 49, 5, 40, -30, 22, 44, -6, -31, -9, 69, 11, 3, 54, -34, 36, -17, -55, -32, 24, 1, -17, 5, 18, 33, -16, 21, 47, 29, -6, -51, 60, -51, 30, 36, 10, 29, -62, -1, 54, 21, 59, -32, -52, 25, -2, 26, 54, -5, 46, -4, -28, 11, -31, -39, -50, 45, 54, 58, -47, 9, 40, -24, -43, 16, -29, -70, 30, -53, -29, 16, -53, -25, -35, -5, 21, -37, -20, -32, 25, -64, -26, 14, 56, 51, 55, -51, -39, 48, -24, 21, -65, -56, 18, 33, -43, 7, -25, -5, -4, 13, 50, 22, -48, -64, 40, 55, -55, -47, 49, 42, 3, -16, 10, -61, -15, -52, 8, -23, -52, 32, 49, -63, -10, 1, 33, -44, -5, -3, 20, 40, 54, 55, 44, -19, 55, -27, 14, 2, 45, -32, 46, 15, 52, 11, -66, -43, 19, 42, -37, 4, 26, -49, -43, 56, -49, 12, -54, 49, 46, 38, -38, -15, -11, 49, -27, 26, 59, -19, 38, 49, -18, -10, 49, -21, -30, 5, -9, 23, 40, 6, -45, -5, 52, 14, 37, -24, -12, -53, -19, 42, 19, 23, 53, 7, 10, -62, 59, -50, -18, 2, -7, 34, -21, 28, 31, -15, -26, -45, 8, 9, 34, 22, -55, -8, 54, -14, -58, -68, -52, -20, -44, 9, 50, -54, -62, -21, 43, 42, 23, 46, 36, -12, 41, 42, 13, 28, -44, 19, -12, -23, -45, 54, -9, -61, 41, 42, 9, -16, -46, -2, -31, 23, -53, 59, -51, -63, -49, 22, 2, -42, -49, 8, 16, -55, 11, 31, 32, -29, -38, 59, 51, -6, 52, 14, -55, -31, -36, -44, 54, 60, 25, 42, 62, -7, -30, -26, 56, -23, -38, 11, -52, 50, -37, 5, 11, 2, 43, -11, 37, 44, -11, -9, 50, -18, 59, 16, 28, -19, -28, -19, -3, -3, -34, -41, 23, -61, -27, -59, -38, 36, 34, -13, -7, -14, 64, 11, 17, 15, 5, -26, 20, -31, 51, 11, 0, 48, 32, 54, 3, -21, 26, -59, -21, 34, 45, 13, -5, -29, -38, -13, -39, -55, -50, -52, 18, -48, 34, -56, 18, -17, -14, -51, -38, -41, 13, 47, -9, 14, 45, 27, 47, -23, 28, -26, -55, -33, -54, 30, 17, -42, -12, 28, -14, -40, -50, 24, -27, 4, -35, 44, 7, 16, 37, -14, -36, -15, 24, -52, -5, -56, -9, -51, 16, 4, 55, 29, -35, 58, 38, 41, -62, -33, -53, -14, 15, 4, 3, 21, 62, 24, -32, -12, -8, -53, 52, 0, -9, -30, 0, 18, 24, 8, -16, -54, -25, 50, 8, -5, 50, 34, -38, 25, 36, -39, 37, 48, -21, 48, -65, 37, -19, -33, -33, 36, -55, 41, -60, -39, 15, -49, 13, -18, 18, -39, -8, 37, 48, -41, 6, 11, -6, 60, -19, -62, 14, -63, 26, -16, 51, -39, 60, -53, -46, 50, -9, 63, -5, -63, -12, -63, -2, -6, 30, 20, -32, -23, 18, 3, 37, -40, -10, 32, 41, -61, 38, 21, 6, 52, -18, -15, 36, -11, 56, -14, 41, 4, 8, 21, 50, 59, -27, -22, -33, -28, -43, 6, -35, 25, -30, -68, 2, -59, 11, -62, -45, -27, 13, 29, -57, -40, 5, -6, 46, 54, 31, 10, -46, -11, 38, -48, -19, -47, -55, 28, 45, -37, 50, 16, -9, 28, 59, -18, -29, 6, 40, -61, -26, 61, 61, 19, 15, 0, -34, 22, 56, -43, 44, -59, -6, -24, 17, 3, 32, 10, -38, -29, -17, -53, 53, -27, 14, 22, -14, -50, -58, -24, 46, 16, -6, -6, 15, 44, -42, -43, 11, 27, 57, -38, 15, 30, -19, -59, 51, -31, -40, -54, -65, -52, 59, 12, -59, -19, 35, -61, 40, 49, 20, -21, -2, 34, 31, -55, 39, -27, 19, 6, -37, 43, 22, -59, 46, -42, 39, -13, -52, 46, 34, 58, 29, 4, -32, 59, -69, -37, -43, -3, -62, -59, 30, -12, 18, 57, -28, -44, -36, -67, 51, -33, -4, -25, 22, 22, 57, -41, -6, -19, -8, 27, -31, -7, 29, -64, -54, -43, 56, -51, 7, -14, 44, 31, 59, -29, 19, 29, 52, 6, 6, 1, -52, -36, 4, 36, -52, -54, 17, 25, 26, -20, 1, 43, -47, 30, -3, -11, 24, -20, -10, -58, 39, -21, -44, 33, 57, -62, 4, -37, 46, -28, -30, -17, -41, 22, -5, -38, -16, -34, 25, 29, 13, 16, -26, -36, 42, 40, 10, -1, -13, -19, 21, 6, 19, -9, -56, -7, 12, 55, 55, 55, 45, -26, 27, -58, 15, 61, 26, 26, -28, -65, -35, 7, -42, -64, -38, 40, 36, -42, -3, -21, 52, -20, -10, -36, 7, 6, -19, 20, 2, 23, 22, -2, -46, -6, 42, -7, -52, 51, -51, 18, 4, -30, -49, -57, -46, 44, -62, -24, -36, 28, -41, 43, -43, -49, -50, 12, 12, -36, 33, 12, 37, 19, 47, -55, 2, -10, -14, 12, -28, -20, -14, 44, 51, -33, -2, -34, -56, 61, -30, -61, -56, -56, -41, 17, -57, -56, -59, -31, 47, -25, 30, -20, -26, -55, -66, 49, 26, -57, 55, 50, 29, -38, -23, -50, 16, 56, -15, -57, 19, 55, 2, -36, 6, -41, -47, -32, 9, -36, 40, 2, 9, 14, -10, 27, -28, -45, 0, 29, 4, -60, 23, 6, 48, 18, -1, -17, -52, 47, 40, 12, 29, 48, 42, 47, 60, -21, 56, 53, 18, 9, 9, 23, 20, 45, 26, -44, -60, -32, -33, 5, -49, -62, 59, -52, -51, 7, 22, 46, -2, 60, -51, -5, 45, -19, 3, -49, 14, -47, -25, -46, 32, -47, -64, 7, 41, -53, -44, -26, 56, 23, 57, -46, 37, 39, 7, -63, 63, 59, 29, 42, -59, -47, -16, 23, -50, 4, -50, 3, -13, -13, 8, -51, -47, -8, -60, -61, 55, -61, 23, 8, -31, 57, 51, 54, -30, -61, -32, -35, -45, 57, -33, 29, 31, 4, 27, 14, -34, 15, 49, -11, 14, -40, -64, 24, 11, 49, 55, -33, 42, 46, 45, -12, 24, 14, 59, 40, -21, 15, -38, -46, -64, -2, 56, -16, -27, 36, 48, 42, -68, 31, -49, 6, 34, 36, 55, -40, 21, -60, -15, 2, -1, -61, 52, 36, -56, -65, 5, -26, 20, 12, 12, -10, 53, -53, -62, -46, 44, -18, -67, 50, -27, -58, -67, 6, -5, -10, -60, 37, 27, -21, -58, 62, 37, -6, -47, -27, -41, -64, 24, -56, -21, -9, -37, -11, -13, -69, -55, -52, -8, 56, 32, -31, 20, 54, -18, 59, 11, 41, -5, 46, 46, -22, 55, 42, -35, -1, -11, 28, 9, 6, -61, -58, 53, -29, 21, -35, -32, -30, -36, -27, -40, -25, 59, 50, -39, 33, -6, 46, 34, 30, 44, 2, -54, 15, 55, 8, 53, -18, -56, -49, -13, -27, 54, -9, -40, -23, -26, 59, -41, -19, -23, -63, -36, -12, -20, 10, -35, -34, 0, 52, -47, 1, 11, 24, -31, -64, -20, -24, 21, -46, 15, 26, 22, 51, -24, -17, -36, 15, -23, 5, 18, -27, 31, 5, 14, -35, 26, -1, 56, 56, -19, 49, -33, -42, -44, -13, 35, 9, -49, -49, 14, -5, 34, -63, 17, -53, -19, 54, -23, -25, 5, 3, -59, 19, 5, 16, 12, 17, -43, -49, -29, -12, 49, -16, -43, -10, -14, -10, -61, 50, -9, -6, -59, -58, -6, 29, 57, -48, 21, 25, 20, 32, 18, 48, 11, 31, -39, -57, -33, 37, -47, 37, 50, 29, 32, 53, -46, 7, 5, 10, -67, -38, -66, -15, -16, -25, 48, -4, -3, 6, -14, 45, -59, 35, 51, 11, -31, -66, -35, -55, 47, -67, -3, -30, 55, -72, 12, 13, -14, -41, -33, 49, 53, 31, 32, 41, -51, -25, -11, -91, -3, 12, -62, 19, -41, -13, -49, 4, 38, 28, -7, -29, -19, -7, -28, -25, 15, 43, -12, 35, 44, -41, 47, 17, 26, -47, 37, -35, -52, 47, 40, 25, -27, -16, 21, -5, 13, -55, -65, -37, -42, -23, -38, -56, 1, -34, -41, -27, -52, -29, -13, 24, -58, -36, -9, -59, 47, -27, -23, -32, -19, 13, -62, 36, -38, -42, -21, -41, 1, 40, 26, 27, -50, -74, -16, 18, 45, 61, -18, -20, -6, -32, -49, 13, -41, 12, 23, 50, -55, -55, 57, 11, 35, -16, 41, -35, -65, -3, -47, -71, -68, -57, -49, 47, 0, -40, 11, 13, -34, -11, -20, 41, 35, -41, -22, -10, -38, -51, 18, -14, 43, -61, 31, 44, 27, 38, 53, -2, -13, 27, -43, -57, 27, -27, -9, 8, 27, 35, 42, 53, -30, -3, 19, 38, 20, 12, 56, -47, -58, 24, 39, -47, 22, -44, -41, -53, -50, -59, 28, -3, 62, -40, -15, 14, -59, 30, 72, 14, 33, -42, 59, 33, 51, 66, 58, 33, 23, 41, 45, 6, -60, 65, 2, -20, -50, 30, 2, 27, -38, 39, -39, 30, 18, 23, -32, 14, -40, -48, -19, -8, 19, 9, -17, 51, -30, -56, 50, 19, 35, -24, -39, 23, 42, 8, 62, 13, -44, -84, -58, 61, 55, -20, 31, 6, 17, 25, 5, -54, 6, 8, -59, 15, 36, -34, -57, 16, -13, -10, 30, 21, -50, -25, -57, 7, -63, 35, -4, 4, -9, -60, -4, -3, 55, -67, 15, 56, -8, -27, -35, -25, -89, 40, -39, -4, 44, 19, 53, -3, -67, 32, 22, 56, 19, -55, -15, -43, 21, -13, -51, -14, 1, 63, 62, 6, 15, 9, 49, 76, -6, -26, 48, -4, 63, -33, 65, 51, 35, 7, 35, 47, 18, -38, 11, -41, -63, 9, -42, -1, -66, -64, 55, 33, 67, 61, 8, -31, 6, 19, -71, 45, -14, -64, 50, 44, 23, 8, 30, 76, 5, 62, 40, -36, 9, -22, -23, 11, -22, -27, -41, -42, -45, -1, 9, 17, 7, 62, 13, -34, 11, -55, 42, -5, -9, -40, 44, 46, 55, -43, 19, 8, -22, 40, -57, -20, -53, -50, 31, -3, 18, 37, -23, -61, 2, -40, 24, -4, -24, -30, 3, -33, -15, -8, 8, -62, 32, 32, -36, -7, 55, 0, 49, -51, 36, 65, -25, 24, 30, 21, -61, 24, -20, 6, 9, -6, -67, 44, -56, 7, 1, -57, 54, -55, -25, -12, -14, -8, 33, -35, 56, -12, 15, -3, -60, -6, -28, 55, 34, -27, 36, 13, 12, -52, 37, -9, -29, -63, 55, 17, -43, -44, -5, -6, -52, -45, -61, -45, -17, -17, -6, -1, 39, 2, -56, -36, -17, -9, 7, -41, 38, 28, 26, 58, -47, 32, 40, -36, -46, 10, -97, -9, 49, -34, -8, 58, -8, 24, -54, 41, -29, 27, -54, 40, 29, -45, -56, 22, -34, -51, 8, 1, 50, 27, 35, -40, 68, -22, -10, -1, -26, -46, 43, 2, -5, -14, 4, 54, -39, 34, -13, -4, -61, 20, -71, -33, -39, -15, -17, 4, 20, 6, -19, 29, -70, -66, -33, 33, -8, 35, 55, 28, 22, 57, 57, 44, -13, 25, -52, 80, 29, 46, 35, -17, 30, 50, 61, 1, 39, -53, 49, 61, 38, 53, -21, -6, 58, -29, 51, -35, 30, -1, -70, -55, 41, -27, 53, -47, 5, 63, 44, 10, 2, 40, 18, -5, 42, -2, 41, 51, -36, -6, -37, 2, -8, 5, 11, 0, 22, 6, 40, -22, 21, -8, 37, 0, 38, 36, -46, 77, -5, 35, -52, 2, -46, 8, -9, -50, -38, 35, 55, -49, -69, -56, -43, -52, 33, -57, -12, 18, 0, 54, 46, 56, -49, 21, 53, -54, -19, 41, -4, 19, -6, 28, -40, 20, -47, -18, 37, 9, 43, 53, 28, 9, 36, -8, -34, 27, 10, -54, 58, 12, 70, -22, 15, 62, 14, -34, 34, -27, -55, -35, 28, -24, -44, 28, 21, -30, -36, -14, 51, -4, -15, 50, -5, 4, 16, 47, 58, -27, -6, -46, 49, -4, -43, -11, -33, -18, -16, 22, 43, 36, 57, -2, -27, -19, 32, 36, -53, -94, -45, -51, 30, 2, 8, 32, -43, -33, -17, -45, 8, 35, -5, -9, 38, 2, -34, 0, -55, 40, 10, -16, 50, -5, -44, 43, 6, 4, 37, 55, 33, 25, 16, -42, -9, 44, -20, 32, -56, 7, 2, -17, 12, -57, -34, -33, -1, 67, 24, 3, 57, 5, -33, -12, 30, 44, -38, 34, 55, -37, 35, -5, -18, 43, 2, -17, 46, -59, -44, 35, 14, -34, 19, -15, 26, 50, -37, 51, 27, 40, -21, 3, -33, 7, 35, 16, -41, 50, 16, 36, 48, 5, 24, -45, -27, -4, -30, 5, -65, -42, 27, -11, 40, 37, 26, 39, 32, 53, 15, 52, -53, -6, -16, -39, 71, -17, -6, 12, 38, 58, 27, -4, 67, -43, 53, 11, -49, 14, -38, 55, 30, 42, 47, -24, -52, -25, 8, 8, 26, -17, 19, -50, -58, 55, 66, 55, 51, -42, 8, -21, 0, -38, 58, 7, 21, 12, 16, 16, 32, 65, 28, -4, -23, 64, -28, 5, 57, 25, 43, 25, -3, -48, -27, 45, -30, -15, -24, 23, -16, -21, 66, 6, 34, 22, -22, 30, -43, -11, 40, -22, 63, -3, -86, -38, -54, 18, 85, -57, 39, 27, 9, 37, -88, 16, -54, -21, 38, -28, -58, 14, 68, 26, -31, 11, 24, 25, 36, 1, 36, 9, -11, -21, -20, 56, -19, 26, -50, 0, 18, 12, -41, 65, -30, 31, 15, -7, -68, 27, -93, -22, -9, -69, -72, 22, -2, 28, -29, -38, -66, -55, 21, -56, -45, -25, 54, 50, -37, 23, -39, -20, 12, -13, -20, 24, 8, -34, -57, 33, -10, -18, -46, 27, -15, 15, 26, -48, 72, 56, 62, 44, -18, 35, 47, 48, 33, -46, -43, 65, -36, 33, -39, 40, 89, 45, 69, 91, -65, -51, 35, 33, -50, -45, -23, -55, 57, 31, -1, 50, 53, -17, -9, -35, -60, 43, -32, -5, 51, 23, -46, -83, -43, -26, 16, -43, -57, -15, 3, 33, 6, -42, 14, -9, 47, -26, -51, 35, 40, -22, -25, -54, -40, -28, 61, 24, -1, -23, 57, -34, 27, -4, -44, -4, 28, 32, 10, 13, 35, 36, 34, 60, 7, -21, 24, -9, 57, 18, -57, -17, -22, 4, -28, -49, 16, 51, -31, 5, -10, -51, 55, 57, -12, 6, 57, -38, -1, -11, -2, -37, 17, -40, 46, 25, 2, -65, 56, 58, -5, 51, 9, -13, 5, -45, -39, -6, -59, 42, 29, 46, -29, -6, -19, 22, 30, 5, 45, 50, 2, 21, -29, 40, -47, 32, 8, -28, -34, -48, -38, -10, -9, -18, -47, -20, -41, -39, 0, -32, 24, 16, 17, -50, 51, -2, 3, -21, -9, -58, -25, -44, 27, -73, -74, 57, 12, 41, -15, 31, -9, 38, 34, 47, 20, 53, 34, 28, -57, -5, -19, 49, 23, -61, -63, 45, 16, -44, -11, 34, -65, 25, -14, 3, 27, 39, 3, -54, -44, -50, 27, -52, -20, 26, 17, 53, -1, 52, 4, 26, 18, 1, 13, 59, -53, 29, 31, -41, 34, -26, 58, 52, 15, 13, 20, 4, 50, 17, 33, 22, -64, -10, -33, 6, 9, 61, -24, 53, -24, -58, 15, 30, 32, 53, -15, 3, -19, 56, 26, 40, -31, -20, -59, -21, 58, 62, 42, 52, -28, -22, -16, -23, 30, -4, -20, -14, -24, -18, 27, -4, -67, 26, 39, 48, -4, -12, -23, -22, 10, -16, 62, -18, 20, -22, 23, -1, 3, 7, -25, 61, -40, -37, -46, 40, 16, -32, 24, -12, 12, -29, -14, -69, 30, -70, 20, 7, 48, -15, 5, -10, -41, 2, -18, 12, 31, 10, -62, 3, -40, 38, -48, 26, 3, -9, -58, -52, -40, 54, 17, 26, -9, -14, -21, 8, 12, -10, -53, -50, -22, -3, -51, -6, -58, -28, 68, -51, -27, -56, -14, 28, -15, -19, -16, -17, -52, 5, 3, 17, 31, 32, 36, -2, -35, -37, 17, -56, -1, 8, 61, 33, 5, 36, -10, 27, -46, -54, 49, 39, 33, -13, -20, -6, 25, 33, -43, 49, -53, 44, -45, -47, 28, -23, -23, -47, 16, -10, -42, 59, 1, 3, -3, 48, 0, -58, 32, 6, -29, -58, 30, 6, 16, -7, -52, 45, -16, -50, 6, -24, 54, -12, 8, -23, 30, 15, 67, -68, -44, -20, -62, -17, 36, -21, -29, 39, 35, -54, 21, 40, -47, 12, -34, -19, -53, -1, -39, 63, -20, -28, -63, 33, -2, -20, -58, -22, 16, -71, 31, 41, -69, 39, -54, 35, 11, -63, 45, -4, 27, 58, -15, -59, 4, 51, -13, -47, -17, -28, -15, -35, 6, -42, 14, -60, 46, -53, 40, 19, -38, -16, -30, 18, 47, -38, -29, -26, -32, -6, -12, -46, -39, -15, -43, 15, 63, 20, -57, -21, -14, -8, -51, 0, -9, 55, 60, -3, 56, -42, -32, 36, -2, -17, 7, -56, 24, 27, 18, -5, 3, -51, 5, 8, 21, 55, -59, 0, 55, 1, -4, -20, 16, -59, -19, -5, 3, -66, -17, -53, 21, 59, -47, 34, 0, -53, 60, -26, 34, 32, -67, 33, 24, 9, 16, -61, 3, -69, -67, 23, -12, -2, 28, -10, 15, 66, -8, 5, 2, -4, 37, -17, 2, 37, 34, 25, -39, -27, -35, -31, 8, 41, 59, -27, 59, -6, -50, 45, -44, -54, -46, 55, -3, 4, -11, 37, 28, -4, -57, -26, 50, 53, -11, 65, 24, -48, -61, -51, 6, 10, -20, -60, -12, 48, -32, 38, -4, 70, 30, -22, 26, 47, 35, -20, 53, 4, -60, 50, 10, -13, -6, 35, -29, 34, 33, -49, 33, -35, -60, -19, -29, -43, 57, -48, 26, 16, -44, -17, 33, -24, 13, 0, 23, 38, 54, 28, 54, -34, 29, -20, 50, -25, 2, -28, -52, 33, -7, 8, 38, 14, 47, -47, -12, 55, 27, 20, 34, -37, -18, 25, -50, 4, -64, -25, -10, 32, 1, 19, -6, 21, -63, 29, -27, -5, -14, 23, -22, -2, -42, 22, -50, -17, -12, 39, 10, 68, -9, 53, 59, -3, -4, -39, 0, -47, -55, -52, 48, -3, -50, 43, 60, 36, 46, 27, -62, -14, -50, 37, -21, 32, 2, -46, -8, -18, -30, -15, 2, 11, -53, -48, 27, -22, -15, -22, -10, -10, -18, 10, -21, 12, 3, -12, -40, 44, 28, -49, -38, -52, 35, -29, -55, 49, -58, 2, 3, -19, -60, 61, -52, 5, -41, -41, -53, -25, -55, -45, -45, -44, 0, -24, -55, 1, 23, -15, 24, 51, 39, 21, 4, 53, 10, -39, -27, -27, -21, -26, -44, 30, 12, -59, 3, -67, -26, -33, 18, -29, 60, -4, 33, 25, 9, 16, 28, 21, 37, -5, 9, -46, -47, -61, -24, 45, -16, 24, 32, 45, -60, 42, -48, 42, -11, 23, -46, -36, -66, -38, -36, 28, 21, 29, 51, 32, 41, 12, 59, 35, -22, -35, 53, -49, -61, 8, -23, -36, 7, 27, 22, -58, -33, 56, -40, -38, 62, 15, -38, 30, 28, 47, 27, -23, -38, 10, -23, 21, 66, -63, 57, 27, -40, 12, -59, -25, -18, 14, -30, -44, 62, -44, -45, -32, 52, -32, 27, -38, -9, 8, -39, 41, -55, 49, -32, -30, -58, -35, -28, 26, -32, 33, 36, 64, -13, 7, -18, 58, -58, 4, -34, -4, -52, -58, 14, -46, 7, -59, -41, 12, -23, -12, 46, 48, 46, -21, 64, -10, -37, 25, 13, 57, -17, -11, 42, -45, 2, -9, -4, 52, -60, 11, -50, 38, -40, -17, 56, 38, 39, -39, -6, 26, 0, -17, 36, 50, -18, 47, 6, -35, -47, 53, 39, -56, -44, -21, 16, -3, -38, -45, -50, -63, 45, -13, 37, -54, 48, -28, -56, -48, -13, 57, -59, -68, 54, 48, 20, -28, 11, 60, 30, 42, -16, -53, -49, 33, -64, -63, 6, 53, -43, -13, 61, -11, 11, 57, 14, -6, 40, 5, -41, 47, 35, -58, -15, 3, -56, -19, -61, -22, 16, -38, -9, 3, 6, 40, 51, 13, -23, 28, 30, -35, 14, 13, -51, 48, 11, -33, 10, -44, -11, 21, 20, -22, -61, -40, 2, -40, -32, 26, -8, -48, 32, 13, -26, 6, 4, 60, -3, 41, 83, 68, -27, 26, -9, 35, 11, 31, 33, -1, -61, 3, -84, -18, 47, 28, -23, -35, 41, -30, -1, 60, 18, 35, -44, 29, 56, 6, 9, -73, -51, 17, 38, 26, 53, -37, 24, 42, 0, 34, -38, 16, -44, 31, 26, 59, -18, 28, 36, -21, -27, -29, -10, -63, 46, 45, 0, 14, -46, -35, 28, 63, 13, 18, -15, -53, -38, -10, -66, 22, -59, 50, -65, 10, -34, -7, -21, 17, -8, 7, -25, -28, 22, 49, 56, 13, -3, -60, 38, 42, 33, -38, 6, 57, 63, 13, -36, 32, -51, 34, -19, -37, 18, 41, -53, 32, -15, 19, -6, -30, 42, -59, -42, -4, -1, -47, -12, -41, 10, -15, 48, 0, -63, 0, 2, 10, -58, 4, 42, -9, 46, 59, 15, -43, 30, 54, 60, -47, 52, 26, -28, 61, -52, -49, 34, -4, 52, -2, 45, -15, -28, 11, -60, 20, 16, 33, -27, 35, -2, -49, -48, -63, 34, 57, -29, 34, 34, -48, -21, 32, -51, -59, -53, 47, -19, 11, -32, 55, 56, 45, -25, -28, 52, 41, 7, -27, -31, 1, 26, 51, 24, 4, -43, -3, -11, 41, 3, 45, -5, 43, 54, -16, 28, -30, -23, -66, -43, 18, -42, 1, -54, -57, -14, 7, -14, 7, 12, -22, -34, -48, 16, -5, -63, -25, -32, -54, 59, -51, -59, -59, -48, -2, -40, -62, 4, -50, 15, -29, -36, -35, -8, 58, 18, -64, 18, 24, -32, -6, 26, -11, -2, -1, -15, -39, 38, 6, 40, 59, -46, 56, -30, 18, -13, -24, 50, -20, 11, -22, -23, -46, 58, 45, -56, 20, -61, -17, -30, 16, -39, -47, -32, -56, -14, 45, 2, 46, -17, -19, -53, -14, -20, -6, 53, -21, -64, 29, -57, -17, -28, 54, -44, -60, -50, 3, 20, 3, -19, -65, -11, 44, 18, -52, 18, 9, -28, 2, -32, -13, -25, -2, 44, 12, -35, -28, 24, -23, 52, -62, 49, -31, 18, 27, 19, -46, -62, 34, 57, 12, 18, -53, -50, 55, -47, -2, -51, -56, 55, -64, -41, -7, -17, 19, 9, 29, -21, -56, 2, -50, 18, -22, 26, 30, 56, -28, -6, 44, 51, 55, -28, -29, -45, -56, 13, 35, -42, -34, -55, -20, 17, -35, 16, -29, 3, -54, -58, -3, 36, 20, 41, -31, -48, -27, -27, -40, -56, -56, -40, 61, 25, 62, -17, 42, 25, 23, -18, 59, 38, 46, -38, -19, 50, 63, -32, -18, -6, -56, 34, -28, 17, -27, -57, 34, -64, 24, -29, -46, -41, -40, 13, -52, -49, -27, -16, 17, 7, -40, 1, -41, 61, -41, -48, 36, 46, 10, 43, 11, -34, 63, 45, -3, 7, 9, -16, -33, 32, -7, 50, 13, 28, -65, -24, 58, -23, -31, -63, -6, -16, -6, -13, -53, 12, -7, -35, -27, -59, -56, -6, 52, -48, 10, -47, 23, -58, -63, -32, -16, 5, -59, -28, 30, -56, -30, 22, -16, 53, 44, -26, -52, 12, -64, 34, -34, -56, 29, 4, -33, 31, 50, -15, -25, 26, 56, -36, 2, -51, 19, 61, -63, -55, -16, 15, -10, -30, -55, 18, 43, -59, 49, 15, 51, 36, -50, -11, 34, -25, 7, 17, 16, 40, 10, 0, 48, 24, 7, 54, -53, -24, -12, 7, -27, 0, 58, -21, -1, -36, 18, -54, 15, -22, 17, -40, 34, -3, -23, -13, -28, 41, -19, 17, 10, 53, -60, -49, -34, 7, -49, 38, -45, 52, -59, -69, 37, 44, -12, 14, -17, -19, -59, -38, -24, -48, 13, 44, -26, -36, -25, -53, -25, 34, 17, 33, -21, 36, 8, 44, -34, 10, 55, -65, -13, -7, 42, 46, 56, 30, 10, 53, -58, 61, 31, 18, -53, 54, 57, 58, 45, -62, -16, 43, 32, 28, -50, -60, 5, -48, -34, -4, -7, 25, -22, -23, 17, -13, -40, 19, 49, 15, 5, 30, -30, -61, -47, -27, -42, 21, 33, -48, -27, 16, -31, 53, 19, -30, -4, 49, 22, -7, 39, -20, -45, 0, 36, -23, -15, 42, -64, 30, -2, 4, -41, -49, 2, 33, 39, -9, 47, 0, 19, 16, -25, 7, -10, 1, 48, 1, -7, -56, -59, 1, 0, 49, 32, 12, -27, -51, -32, 0, -30, -37, 3, 16, 15, 8, -8, -12, -64, 46, 27, -42, -40, 29, 10, 61, 49, -50, 48, 6, 31, 27, -39, 2, -58, 61, 57, 35, 49, 51, -56, 61, -22, -39, -27, -41, -52, -56, 38, -2, 7, -26, 36, -28, -46, 63, -50, 24, 62, 8, 0, -48, -23, 45, -47, -42, -27, -30, -40, -9, 36, -24, -62, 32, -10, -13, 0, -23, 28, 11, 36, -21, 54, 39, 50, 16, 56, 43, 18, -58, 47, -61, 45, 34, -35, 2, -31, 52, -3, -46, 45, 26, -19, 20, -3, 40, 52, 23, 42, 49, -13, -9, 38, 54, -64, -34, -24, -11, 6, -22, 3, -7, 47, -50, -17, 62, -36, 44, -44, 15, -61, 47, -22, 56, 50, 59, 38, 26, -8, 30, -7, 26, 48, -46, 6, 17, -39, 21, -1, -59, -26, -6, -12, 33, -17, -15, -18, 49, -60, -48, -52, 3, -17, 15, 48, -43, -48, -43, -38, -62, -23, -29, -35, 17, 45, -56, -43, -42, -60, -28, -45, 37, 53, 45, 24, 16, 11, 38, 38, -50, 28, 37, -24, 17, 55, 35, -55, -19, 8, 42, 57, -3, -24, -59, -35, 32, -54, -4, -19, 56, 52, -11, -10, -16, -26, -30, 43, -4, 56, -16, -57, 20, 44, 25, 28, 52, 16, 34, 57, 14, -11, 4, 0, -53, 55, 46, -42, 49, 52, 59, -25, 6, -14, -62, -60, 56, 48, -33, 29, 34, -8, -10, 1, 31, 58, -35, 34, 4, -40, -10, 62, 11, 24, 8, -58, 59, -53, -20, 39, -28, -26, -41, -2, 55, 43, -46, -53, -37, -41, 26, -51, 26, -30, 47, 21, -38, -2, 12, -40, -3, 57, -23, 41, 37, 43, -54, 31, -59, 57, -39, -24, 19, -55, -38, 24, -43, -61, 15, 4, 2, -56, -17, -4, -51, 47, -15, -18, 46, 49, 3, -23, -27, -3, -39, 24, 62, -42, 12, -21, 3, -28, -4, 12, 57, -9, -22, -63, -43, 7, 5, -39, 54, -35, -34, 35, -1, -33, -64, -35, -6, 12, -32, 12, -29, -1, 35, 2, 7, 24, -33, -26, -46, -41, 33, 25, 32, 47, -47, 61, -58, 27, -60, 46, 1, -49, -38, 42, 29, 48, 49, -40, 37, -22, -2, -60, 27, -58, 35, -13, -4, 25, 26, -62, -11, 41, -59, -49, -17, 13, 45, -29, 22, 31, -34, 55, -9, -36, 2, 21, -15, 2, 31, 43, 26, 60, 57, 16, -25, 28, -16, 14, -48, -47, -32, -17, 26, 2, -51, 41, -11, -31, -43, -54, -28, -28, 28, -26, 21, 11, -46, -47, -48, 24, 40, -3, -17, -11, 6, -19, 47, 26, -61, -62, 14, 22, 59, -29, -60, -35, -51, -3, -32, 10, -19, -46, 27, 47, 31, 44, -8, -14, -2, -62, 23, -52, -7, 22, -1, -30, 6, 55, -64, -6, 3, -46, 52, 38, 16, -7, -38, 37, 55, -51, 3, -40, -17, -4, -28, -45, 29, 4, -13, 62, 25, -51, 40, 7, 2, 16, -64, 49, -30, -26, -64, -10, 30, 52, -3, -2, 38, 32, 15, 14, 10, -22, 9, 17, -11, -37, -48, -65, 29, 11, 49, -45, -15, 58, 14, -22, -61, 49, -28, -26, 20, 21, 34, 27, -8, -24, -56, -60, 8, -29, -52, 7, 46, 34, 55, 41, 37, -11, -48, 20, -55, -14, -16, -48, -17, 35, -9, -9, 57, 55, 28, 26, 35, -1, -63, 39, 47, -44, 62, 38, 33, -31, 46, -57, 39, 24, 50, -3, -37, -27, 13, -23, 54, -34, 26, 34, 2, 62, -29, -50, -25, 23, -55, -35, -52, 31, 5, 63, -41, -47, 50, -44, -27, 59, -3, -23, 21, -61, -22, -59, 44, -36, -55, 39, -55, 45, 58, 18, -10, 12, 11, -26, -74, -24, 11, -85, -1, 12, -42, -31, -8, -16, 35, 39, 54, 39, 29, -61, 28, 51, 25, -33, -16, -38, -6, 0, -20, -50, 49, 25, -61, -2, -9, -17, 37, -42, -5, -58, -25, -42, 42, -8, -50, -6, -37, -40, 22, -23, -30, 29, 51, -65, -21, 15, 35, 45, 17, -10, -33, -37, -24, -77, -71, -25, -68, -61, -69, -37, 19, -49, -52, -36, -29, -68, -20, 4, 5, -15, -47, 55, 22, 13, 32, 7, -69, 9, 51, 0, -36, -38, 49, 36, -60, -61, -9, 31, 9, 20, 8, -44, 40, -45, -3, -63, -1, 15, -8, -17, 14, -54, 56, 11, 44, 5, -18, -43, 10, -11, 21, 65, 28, -23, 17, 41, 39, -1, -37, -33, -13, -7, -16, -3, 23, 41, 18, -37, 49, -1, 33, 78, 10, -53, -39, 22, -36, 67, 40, -48, -31, 24, -4, 6, 22, -2, 44, -58, 20, 47, 28, -53, 57, -30, 39, 1, -23, -10, -69, 18, 30, 51, 14, 22, 69, 4, 17, 24, -40, -23, -26, -5, 0, 48, -35, 56, 32, 2, 8, 6, -48, 31, -6, -3, -81, -48, 9, -76, 7, -52, -61, 21, -44, 58, -11, 31, -21, 37, 41, 38, -21, -30, 3, -31, -10, 20, -8, -49, -39, 55, -12, 39, 54, 20, 19, 60, 14, -32, 66, 13, 55, -41, 41, 61, 43, 62, 60, 43, -57, -44, -29, 17, -29, 36, -57, 9, -8, 31, 12, 47, -90, 61, 39, -22, -11, 6, -12, -62, 51, 0, -79, 9, -60, -77, -51, 17, 56, -16, -20, 46, -26, 27, 62, -9, 52, 11, 41, 5, -4, -2, 43, -10, 10, -34, 48, 5, 13, 52, -28, -37, 29, -14, -45, 69, -21, -32, 39, 25, 40, 14, -12, 33, -38, 12, 0, -67, 38, -36, -45, -63, 31, 39, 15, 9, -11, -45, -8, 24, -26, 24, -24, 22, -45, 16, -53, -79, -7, -19, 44, 33, -39, 8, -13, 52, 6, -5, 37, 16, -74, -31, 11, 21, 13, -35, -47, -41, 68, 45, 41, -42, 1, 24, 37, -37, 16, 25, 16, -41, 34, 70, -80, 23, -23, 18, -48, 36, -38, -55, 42, 27, -39, -4, -29, -63, -41, -19, -29, 19, 20, -16, 56, -37, 27, 45, 27, -5, 12, 37, 51, 62, -19, -20, -11, 29, 34, -7, -57, 27, 2, -4, 12, -24, -57, 50, 47, 58, -17, -30, 15, 4, 31, 11, -54, -34, 11, -40, -55, -7, -15, 57, 28, -9, 14, 40, -36, -52, -28, -33, 3, -7, -35, 20, -29, 31, -41, -7, 48, -3, 61, 68, 31, 16, 38, -12, 52, -3, 11, -25, 43, 8, 38, 16, 44, 37, 66, 74, 48, 74, 39, -14, 37, -2, 27, 0, 27, -56, -50, -32, -21, -68, -26, 49, -17, 65, -48, -35, -26, -43, 50, 27, -2, 26, 21, -46, 13, 11, -4, 18, 17, -34, 66, -54, -55, -9, 48, -22, -15, 40, 36, -13, -36, 53, -24, 58, 55, 33, -22, -46, 37, 25, 18, -24, -8, -36, -50, -56, -8, -8, 33, -4, -36, -4, -17, -54, -23, 32, 7, -7, 0, -14, 34, -15, 48, -65, 45, -19, -14, 22, 50, 38, -60, 23, -54, -35, -39, 32, -12, 16, -48, -43, 36, 58, 37, -14, -19, 18, 53, -7, 9, 28, 21, -62, -75, 3, 27, -61, -8, 32, -68, 34, -41, 33, 49, -3, 56, 1, 56, -30, 55, -6, -24, -18, 51, -44, 4, 44, -30, -39, 44, -12, 13, -22, 51, 47, 34, 29, -39, -23, 34, -18, -38, -43, -43, -49, -17, -6, -39, 1, 27, -18, -18, 21, 51, 12, -56, -24, 23, -61, 12, 14, 65, -11, -53, 21, 23, 34, 13, 15, -31, -42, 28, 45, 69, 47, 30, -9, 31, 25, 32, 38, -8, -7, 1, -34, 24, 48, -52, -7, -2, -34, -52, 8, 19, 57, -33, -57, -31, -12, -11, -50, -6, 1, 6, 45, -13, 36, -15, 6, 44, -60, -23, 32, 44, -5, 45, -21, 35, 45, -2, -51, 36, 2, 18, 39, -32, -71, 4, 43, -12, 15, -30, -11, 45, 24, 39, -45, 47, 71, 6, 27, 52, -4, 53, -66, -46, 2, 6, 74, 35, 35, -12, 35, -50, -46, 23, -70, 6, -51, 30, 72, -43, 49, 33, -3, -40, 42, 41, -39, -20, -19, 36, 8, -14, 41, -36, 39, -7, -59, 16, -15, 8, -11, -29, -14, 75, 15, -22, -1, -8, -45, -57, -62, 58, 20, 40, -7, 35, 14, 64, 25, 36, -32, 10, -51, -19, -15, 24, 14, -16, 43, -49, -30, -13, 20, 21, -4, -34, -15, -13, -29, -67, -22, -37, -9, 43, 54, 13, 36, -7, -46, 22, 33, -27, -41, -60, 39, 59, -50, -24, -37, 46, 32, -18, -41, 8, -57, -4, -12, -47, -30, 18, -60, 15, -37, 8, -35, 36, -67, 42, -40, -70, -9, -70, 52, -29, -16, -37, -32, -1, -45, -59, -52, -53, -22, 31, -38, 60, 31, 32, -41, 50, 59, -50, -55, -8, -47, -55, 15, -46, 36, 50, -34, -55, -51, -40, -19, 28, -32, -16, 2, -21, 54, -45, 27, 14, 44, 97, 8, -60, 65, -54, 36, 56, -24, 30, -43, -25, -65, -40, 34, 36, -13, 5, -30, -33, -37, 28, -13, -46, 59, -57, 10, 25, 50, -23, 58, -13, -4, -45, 2, 21, 30, -32, -40, 15, -30, 20, -58, 19, 30, 25, 40, -24, -52, -14, 4, 27, 44, 62, 54, -39, 13, -4, -58, 32, -18, -29, -15, -6, 20, 23, 53, -56, -4, -54, -33, 0, -58, -56, 25, 26, -49, -10, -37, -27, -43, 30, 2, 3, 27, -9, 47, -16, 24, -10, 17, -52, 29, -21, 2, -43, 4, -78, -75, -52, 41, -19, -25, -6, -20, 11, 9, -81, 7, 1, -68, -19, -30, 71, 5, -23, 10, 0, -44, -25, 61, -7, 26, 53, -20, -1, 32, 17, 22, 21, 7, -26, 39, -19, 62, 53, 44, -49, 13, -35, -60, -13, -60, 33, -4, 34, 22, 113, -56, 79, 11, -13, 73, 69, -7, 57, 57, 55, -60, -56, 29, -42, -31, -23, 26, -4, -1, -58, -14, -46, 27, -9, 6, 12, 43, -34, 34, -68, 40, 0, 10, 29, 28, 18, 7, -36, 64, -6, 13, 3, -51, -40, -56, 23, 34, -34, 4, 20, -72, -4, -12, -62, 13, -39, -50, 58, -31, 20, 44, -22, -12, -16, 58, -18, -11, 60, -54, -19, 23, 26, -56, -27, -52, 52, 10, -3, 14, 44, 23, -38, 34, 34, 44, 8, -39, 35, 16, 20, 44, 19, -43, 36, -64, 38, -36, 7, -50, -62, 21, -43, -49, -53, -29, -1, -2, -54, 47, 17, 42, 19, -20, 10, -7, 33, 30, -7, -53, 22, 51, -28, 42, -54, 7, 8, -56, -52, -40, -32, -2, 18, 21, 42, 24, 40, -45, 63, 21, 30, -14, 30, -41, -47, 30, -59, -44, -59, 15, -78, -40, 58, 15, -2, -53, -38, 0, 63, 33, 30, -60, 9, -14, -10, -6, -11, 29, -38, -16, -26, 43, 16, 16, 47, 10, -15, -2, -77, -33, -4, -56, -64, -17, 61, 50, 34, 53, 51, -11, -6, -62, 5, 60, -47, 4, -21, 55, -2, 43, 55, -57, -46, -60, 36, -21, -23, -24, 32, 28, 18, -64, -77, 24, 29, -100, -52, -19, 26, 48, 19, 48, 45, 61, -38, 50, -28, 13, 18, -8, -15, 50, 9, -4, 33, -20, -45, -37, -28, 28, 31, 8, 51, 31, 1, -26, -51, 29, -42, -24, 59, -32, 39, -50, 2, -60, -46, -41, -74, 20, -24, -33, 38, -38, -4, 26, 59, -59, -8, 20, -21, -19, -33, -27, -16, -39, -25, -24, 2, -14, -21, 34, 75, 42, -17, 23, -34, 27, 16, 52, 72, 13, -31, 40, -14, 8, 7, -16, -15, 51, 21, -42, -9, -23, -27, -12, 15, -13, -63, -30, -27, -26, -81, 9, -8, 37, 24, -10, 16, -11, -73, 36, -32, -14, 50, 47, 0, -46, -36, 30, -3, -23, 37, 51, -46, 37, 58, 65, -24, 25, -9, -42, -6, 2, 45, -6, 8, 15, -17, -26, 5, 20, -9, 43, -1, 21, 40, 48, 43, -18, 6, -31, -18, 24, -8, -35, -1, -1, -8, 26, -50, -32, -49, 3, -57, -9, -6, -7, 62, -69, -76, -19, 32, -48, 11, 6, 57, -37, 41, 41, 59, 0, -14, 42, -2, 50, -29, 36, -2, -4, 50, -34, -33, -33, -35, 7, 22, 17, 60, 49, -41, -19, -40, 46, -5, -17, 33, 62, 63, 38, -1, 40, -23, -27, -33, 8, -37, -35, 86, -67, -58, -43, 27, 15, -43, 42, 14, 44, 4, -21, 48, 31, 3, 30, -12, 7, -34, 34, 62, 9, -16, -56, -22, 12, 16, 35, 36, 37, 0, -34, 13, -3, -36, -45, -57, 36, 57, 22, -47, 64, -17, 23, -37, -31, 59, -45, -45, -15, 52, 52, 54, 76, 27, 74, -48, 35, 48, 30, 55, 4, 5, 45, 16, -27, 59, -41, -21, 43, -1, -11, 10, -20, -26, -20, -34, 13, 33, 55, 32, -22, -52, -61, -11, 34, -50, 34, -2, 59, 50, -27, -22, 55, -12, -19, -59, -40, -33, -12, -49, 29, 43, 81, 8, 27, 0, 6, 47, 17, -12, 51, 18, 45, -51, -21, -60, 22, 22, 10, 14, -24, -13, -23, -8, -39, 11, 6, 4, -64, -55, 23, 7, -39, 38, 11, -8, 55, 10, -52, 56, 65, -31, -63, 49, -80, 46, -51, 49, 6, 26, 26, 55, 55, 43, 17, 8, 16, -59, 23, 38, -34, 64, 21, 40, -52, -14, -28, -31, -31, -38, 46, -34, -59, 41, -48, 8, -34, 46, -3, 30, -25, 28, 7, -11, 4, -15, 5, -19, -24, 57, -33, -24, 22, -20, 3, -23, 1, -43, 17, 30, -47, -3, -53, 53, -10, 28, -55, 13, 45, 2, -16, -44, 40, 3, 71, -5, 20, 34, 47, -12, -45, 10, -38, 51, -7, -16, 13, 31, -7, -56, -23, 35, 44, -28, 15, 57, 2, 53, 6, 8, 59, 46, -7, -10, 29, 23, -30, 16, 1, 0, -40, 22, -39, 4, 32, 46, -54, -31, -64, 10, 14, -19, -30, -42, 35, -65, 31, -15, 48, 37, 64, 27, 16, -35, -11, -34, -18, -51, 11, 11, -57, -17, -61, -8, -44, -44, 43, -59, 45, 5, 34, -9, -27, 51, -3, 52, -25, 5, -41, -70, -14, 33, -56, 57, 2, 29, -23, 10, 12, 24, 18, -23, -38, -38, -38, 5, 22, -4, -56, -53, -30, 40, -21, -32, -44, -41, -51, -49, 48, -3, 59, 57, -41, 29, -4, 1, 49, 8, 27, -8, 15, 57, 33, -13, 37, 50, 10, -34, 59, -43, -37, -47, -29, -41, 58, -35, -24, -7, 24, -11, 6, 21, -23, -32, 1, -63, 27, -19, 39, 28, -24, 26, 6, -12, -58, -50, -14, -38, -46, 20, 50, -11, -24, -47, 19, 29, 63, 27, 58, 8, -39, 5, 36, -45, 12, -53, -2, -10, 18, 63, -32, -9, -25, -55, 52, 9, 19, -4, 0, -50, -70, 37, -53, 13, 30, -29, -31, -26, -36, 30, -10, 61, -68, -3, 23, -44, -48, 36, 2, 46, 67, 27, -36, -33, -63, -45, -33, -42, 61, 39, 48, 18, 34, -36, 36, -48, -2, -10, 42, 34, 30, 64, 33, 9, -22, 13, 58, 4, -2, 38, 11, -14, -55, -3, 60, -34, 16, 57, 41, 8, 38, 63, -41, 45, 53, 63, -38, 42, -14, -6, -27, -43, -41, -44, 22, 50, -21, -11, -9, 26, 38, -30, -24, 64, -3, -39, 41, -30, -9, -36, -34, -7, 37, 2, 4, -49, 2, 12, 14, 46, 37, 25, 1, 63, 12, -28, 22, 23, -49, -65, -12, 5, -40, -23, -6, -30, -30, 35, -21, 3, 58, 18, -76, 15, 2, 57, 48, 51, 24, -53, 13, 27, -6, -18, -1, -43, 46, 23, 49, 9, 61, 52, 1, 63, 51, 7, -39, 47, -57, -15, -25, 56, 5, -3, 13, 62, 8, -38, 27, 12, 64, 35, -23, -20, -8, 16, 14, -10, 19, -35, 51, 36, 11, 11, -50, 54, 41, -44, -16, -20, 0, 10, 7, 11, 32, 62, -28, -5, -5, 24, -13, -43, -27, -25, 25, 52, -60, -39, -12, -4, -24, 34, -53, -25, 10, 27, 21, -46, -56, -14, -3, 6, -35, 38, 14, -50, 48, -77, -39, -56, 21, 42, -22, 25, -23, -21, 22, -23, -17, -14, 30, -1, 66, 44, -41, 58, 33, -39, 15, -64, 21, 5, 34, -47, -9, 28, -39, -50, -18, 47, 52, 17, 63, 54, -26, -72, -20, -12, -3, 18, 24, -34, 48, 52, -28, 44, 0, -15, -46, -42, -29, 2, -7, 18, 6, -9, -69, 23, -28, 23, 65, 42, 46, 87, 77, 52, 13, 6, 25, -54, -15, -10, -61, -28, -26, -59, 61, 35, -42, 64, -45, -21, 3, 47, 11, -25, -16, -21, 24, 18, 34, 44, 83, -17, 46, -26, 48, -41, -82, -14, -31, -46, 45, -21, 2, 41, 17, -9, 56, -42, 0, 24, 61, -22, 56, -17, 44, 29, 68, 18, -61, -8, -3, -7, 48, -55, 60, 15, 15, 28, -21, 41, 73, 88, 3, 62, -18, 19, 9, 4, -15, 16, -22, 8, 70, 20, -74, 64, 53, -20, -53, -45, -14, 18, 75, -31, 16, 27, 54, -22, 14, 49, -60, -52, 5, -23, -23, 40, 1, 27, 37, -74, -68, -25, 8, -54, 54, 32, -52, 3, 32, -9, -43, -38, -41, 14, 30, -40, 8, 26, -19, 34, 54, 47, 16, 38, -53, 3, 17, -22, -58, -9, 31, -62, -13, 27, -34, -44, 7, 9, 9, 33, 29, -7, -59, 41, -4, -26, 12, 47, 9, -68, 48, -3, -38, 18, 36, 40 };
signed char f3loc[3456] = { 5, -13, 13, 0, -26, 3, -25, 9, 9, 20, 22, 6, 26, -26, 22, -2, -19, -19, 12, -7, 12, 7, 61, -48, 9, 33, -28, -21, 33, -14, 51, -17, -58, -15, 40, -27, -18, -23, 22, -18, -6, 9, 18, -3, 8, 14, -37, 26, 60, -55, -17, 22, -28, 14, 8, -13, 1, -1, 23, -10, -12, 8, 19, -4, 12, 20, 13, -1, -9, -6, 27, -19, -12, 19, 22, 10, -8, -14, 23, 20, -20, 21, 2, 6, 20, -25, -22, -27, 24, -12, -14, 30, 7, 5, 9, 4, -22, -13, 9, -1, -7, -9, -11, 25, -20, 1, 4, -22, 6, 2, -15, 13, -7, -12, -1, 12, -5, 2, -22, -22, -13, -5, -22, -21, -7, 15, 12, 1, 17, -19, -12, 24, -4, 18, 15, -10, -10, 20, -12, 43, -28, -23, 39, -1, 18, 0, 5, 1, 15, -11, -11, 21, -19, 25, 22, 1, 15, -6, -18, -3, 12, 26, -15, -1, -21, 29, -31, 36, -19, -16, 7, -21, -15, -26, 12, 19, -18, 14, 14, 23, 8, 24, -21, 12, -82, 43, -9, -19, 8, -1, -11, 5, 4, -34, 27, 0, -6, 3, 8, 8, -25, 0, -14, 2, -12, 6, -5, 13, 7, -22, -5, 4, 16, 7, 1, -3, 12, -9, 5, -7, 14, -3, -2, 19, -23, 5, 13, 11, -1, 7, 12, -12, -3, 1, -4, 1, -1, 8, -48, 42, -8, -1, 11, 6, -1, -3, -31, 22, 27, 12, -28, 27, 6, -6, -5, 17, -10, -17, 2, -16, 6, 12, -5, -17, -21, -8, 20, 8, -24, 16, 11, -28, -4, 5, -4, -11, -9, 9, 3, 1, 2, 12, 7, 3, -1, -4, 6, -1, 12, 6, 2, -19, 4, 0, -6, 16, -11, -5, 5, -11, -12, 1, 19, -8, -7, -8, 21, 51, 20, -18, -9, -30, 15, -23, -3, -2, -10, 28, -3, 96, -3, 2, -63, -9, -6, -22, 25, -22, 1, -23, -24, 1, 25, -2, 54, -22, 15, -2, 37, -12, -16, 3, -11, 23, -11, 25, -11, -27, 15, 26, -21, -21, -7, 12, -14, 10, -19, -11, 23, 10, -4, 5, 6, 23, 3, -14, 8, -2, -3, -24, -14, 6, 15, 7, -24, -20, -16, 19, 27, -22, -17, 18, -21, 21, -20, 7, 10, 25, -22, 55, 13, 16, -60, -31, 29, -4, 8, -10, 4, 2, 45, -10, -13, 2, 8, -19, -1, 15, -17, 27, -23, -7, -10, -27, -26, -11, 17, 11, -13, 10, -16, 24, 3, 13, 59, 10, -14, -126, -10, 6, 47, 3, 10, 12, 3, -14, -34, -4, -19, -8, -24, 22, -1, 15, -11, 5, -26, -14, -20, -16, 8, -7, -19, -13, -11, 8, -6, 30, -6, 19, -4, 16, -17, 24, 7, 3, -10, 21, -19, 8, 6, 19, -22, -7, 18, 44, 11, 0, -36, -27, 14, -31, 7, -14, 53, 5, -7, -20, -43, -5, -77, -11, -2, 4, 48, -31, 27, 11, -2, -15, -2, 33, 6, 13, 21, 2, -13, 24, 16, 6, 0, 14, 9, 18, -20, 10, 18, -2, 9, -18, 25, -12, 0, -24, 8, -21, -30, -11, 34, 46, 6, -4, -56, -24, 14, 88, 14, -42, -52, -2, -2, 13, 6, 12, -30, -7, -10, -14, -12, 25, -13, 28, 16, 29, -11, 22, 11, -9, -8, 16, 14, -22, 19, 9, 4, -22, -7, -13, 30, -42, -6, 11, -17, -11, -19, 52, 3, 16, -20, -18, -25, -14, -7, 21, 12, 20, -20, 22, 14, -19, -13, 1, -4, 24, 27, -25, 0, 21, 5, -12, 20, -8, -35, -7, -11, -3, -56, -19, 7, -12, -21, -3, 6, -8, 2, 24, -6, -19, -14, -7, -6, -23, -23, -3, 15, 9, -13, 15, -5, 9, -7, -12, -22, -24, -11, -3, 20, -24, -15, -5, 27, 22, 3, 17, -1, -10, -3, -17, -19, 11, 17, -13, -16, -3, 25, -20, 19, 5, 25, 14, -4, 25, 6, 6, 10, 21, 14, -21, 8, 26, 19, 2, 25, -6, 13, -1, 0, -1, -4, -8, -14, -15, -3, -3, -13, -6, -7, -16, 3, -7, -4, -11, 3, -12, 25, -20, 21, 26, -2, 6, 25, -7, -19, -17, 24, 0, -10, -21, 19, -13, -13, -6, -48, -12, -25, -70, -39, -6, -22, -25, -20, 24, -23, -34, 16, -4, 9, 3, -16, 19, -2, -18, 10, -25, 16, 5, -11, 0, 25, 14, -12, 7, 4, 16, -10, 1, -13, -2, 5, 16, 9, 22, -2, 0, -6, -11, 32, 6, 10, 27, -3, 14, 13, 5, 2, -18, -19, -6, -5, 21, 13, -10, 26, -6, 20, 37, 42, 6, 31, 43, 19, 44, 34, 16, -11, 7, 13, -10, 15, 3, -1, 31, -15, -10, 0, 2, -56, 20, 27, -13, -10, -18, -20, -19, -4, -9, -20, -4, 13, 22, -12, -7, -16, -51, -42, -38, -11, -50, -41, 10, -13, 25, 5, -87, 23, 10, -43, 14, 1, -14, -7, -16, -13, -11, -3, -21, -1, 5, 4, -3, -19, 18, 18, 21, 9, 3, -2, -11, 7, 0, 38, 12, 11, 33, 33, 10, -18, 3, 4, -4, -32, -3, 6, 34, -10, -12, 5, 8, 4, 2, -6, -4, -9, 14, 5, 19, 20, 26, -26, -17, 18, -19, 21, -24, -13, 14, -7, -28, 2, -47, -44, -9, -16, 2, -45, -22, 13, -1, -20, 15, -17, 24, 16, -11, 4, -17, -8, 7, -1, -17, -22, 1, 21, 20, 0, 35, 16, 17, 16, -10, 22, -13, 20, -12, -9, -2, 10, -14, 25, -11, 17, 16, -3, 7, 26, -3, 4, -20, 17, -17, 8, 1, 14, 11, 31, 12, -15, 14, 20, -18, 11, -24, 10, -25, 10, 20, 13, 10, 7, 12, -9, 24, 26, -24, 6, -11, -20, 24, -27, -31, -12, -20, -15, 6, -8, 4, 22, -8, -9, -3, 12, 25, 23, -1, -1, -21, 7, 19, -13, -17, 12, 6, -5, 5, -6, 27, -8, -2, 11, 13, 10, 12, 5, 30, -2, 32, 46, 19, -2, 29, -1, -23, 0, -18, 8, 8, 4, -3, 8, 1, -1, 6, 9, -6, 11, -21, 19, 37, 14, 2, 9, -4, 26, 13, -2, 20, 7, -15, -18, 13, -22, 10, 15, -23, 34, 31, 9, 36, 13, 7, 13, 4, -13, -28, -20, -14, 10, 20, 0, -9, 38, -9, 11, 43, 55, 0, 62, 19, 9, 43, 39, -3, -21, 15, 4, 18, 24, 17, 48, 33, -9, 36, 8, 27, 16, -26, -18, -4, 4, -5, -22, -2, 5, -25, -9, -5, 28, -1, -16, 2, -23, -48, -32, -43, -2, -47, -40, -20, 23, 15, -5, -69, 3, -34, -44, -5, 0, -10, -3, -9, 5, -6, -1, -24, -11, -7, 31, 26, 9, 23, 4, 25, 19, -2, -26, -2, -15, -2, 4, 6, 2, 8, 19, 5, 18, 37, 3, 3, -36, -1, 7, 39, -15, 5, 9, -6, -12, 13, 14, 2, -15, -22, 21, 13, -6, 16, 27, 24, -8, -24, 11, 16, 4, -3, 70, -28, 14, 51, -30, 0, 4, 6, 42, -49, -13, 0, 9, -23, -21, 13, -11, 7, 12, 7, -14, 3, -16, 13, -23, -1, 29, -23, -12, 14, -1, 7, 15, -4, 6, 18, 13, 19, 18, 22, -19, -23, 12, 0, 21, -3, 19, -22, 22, 5, 18, -5, 4, -7, -16, 15, 12, 5, 16, 11, 1, -12, 2, 10, 6, 4, -17, -17, 4, -21, -7, 1, -27, -13, -11, -1, -10, -6, -7, 0, -13, 0, 5, 7, -14, -31, -11, 8, -3, -27, 4, 1, 1, 4, -15, -20, 4, 21, -6, -26, 14, 22, -20, 6, 27, 29, 20, -12, 16, 1, 22, 3, -12, -8, 19, -10, -16, 24, -8, -19, 35, 10, 9, 19, -22, -6, 8, -2, -27, 9, 13, -7, 12, -24, 19, -14, 14, -27, -7, -21, 11, -8, 25, 13, -8, 18, -3, -24, 19, 23, -22, 9, 22, -3, 14, 9, 20, -24, 4, -3, 10, 21, -71, 20, -7, -23, 6, 18, -10, -3, -18, -24, 22, -8, -9, 6, -14, -15, 11, -5, -13, 5, -2, 1, 11, 2, 4, 15, 6, 33, -1, -17, 13, -2, 14, 4, -19, 22, -2, 4, -3, -23, 13, 9, 24, 7, -4, -6, 8, -10, 2, 11, -3, -2, 18, 20, -21, 29, 14, 5, -1, -15, 4, 12, -13, 9, 9, 18, -20, 3, 10, -4, -4, 13, -15, -3, 2, -1, -5, 22, -14, -1, -23, 13, 12, 13, 13, -20, -16, -10, -8, -14, -37, 34, -12, -12, 4, -7, 24, 9, -2, -7, -2, 1, 9, 3, 9, 2, -4, -21, 14, 7, 10, 0, 11, 20, -1, -3, -23, -11, -9, -6, -14, 2, -3, 27, 17, -10, -30, -20, 15, 6, 3, -14, 1, -6, 5, 64, 4, -15, -34, -14, 8, -17, 10, 19, -15, 19, -21, -9, -25, 15, 23, 2, -33, 19, 23, -1, -18, 10, 4, -18, 13, -25, 7, 15, 7, 10, -14, -7, 25, -10, -20, 9, -15, 0, -16, -26, -18, -3, -41, -8, -10, 8, 3, -5, 27, 16, -27, -24, 10, 16, -20, 16, 5, 22, 3, -3, 26, 13, 5, -40, -4, -3, 54, 27, 2, 12, 1, -7, -7, -2, 25, -8, -7, -5, 2, 16, 35, 2, 42, 94, -7, 4, 6, 6, -18, -7, 17, 1, -1, -26, -14, -21, 5, -15, 6, -25, -6, 26, 16, -16, 16, 11, 14, -57, -8, 9, -4, 1, 23, -21, -15, 4, -32, -11, -23, -19, 9, 15, 25, 3, -11, 3, 20, -21, -25, 0, 22, -13, -5, 12, -18, -8, -3, 23, -7, -10, -9, -7, 27, -18, 20, 27, 26, 12, -19, 0, -19, 15, -35, -5, 18, 40, 32, 15, -37, -3, -30, -70, -16, 17, 35, 18, 0, -75, -29, -3, -22, -3, -4, -4, 34, -19, -4, -12, -6, -58, 6, 10, 23, 10, 21, 5, -22, 29, 23, 20, -22, 5, -2, 10, -1, 0, 8, -3, -5, 6, -14, 30, 3, -5, -8, -6, 0, 9, 4, 14, 7, -29, 41, -8, -7, 37, 8, 17, -28, 8, 9, -70, -15, -3, -52, -47, -2, 1, 8, 1, 6, 5, 35, 51, 35, 7, 14, 11, 8, 15, 3, -21, -26, -6, 1, 4, -1, -3, 23, -26, 0, 0, 4, -7, -23, 1, -24, 4, -20, 12, -23, 8, 5, -27, 6, -9, 3, 12, -11, 19, -22, 22, 16, 9, 12, 12, 7, 14, 26, -1, -3, 20, -16, -18, 6, 18, -25, 18, 13, -21, 6, 0, -17, 14, -15, 20, -20, 16, 23, 7, -19, 8, 1, -9, 5, 16, -5, 10, 12, 6, 15, -13, -1, 24, -20, -25, -11, -13, -3, -19, -23, 4, 2, 27, -9, 16, -10, -6, 7, 2, 3, 11, 12, -21, 8, 9, -1, 22, -7, 4, -16, 22, 23, 20, -6, -5, 15, -8, -2, 9, -6, -10, 8, 9, 9, 9, -6, 25, 22, -18, 27, 19, -9, 5, 9, -3, 18, 29, 26, 15, 16, 33, 13, 25, -10, 25, 15, -7, -7, 26, 10, 22, 24, 11, -23, -16, -13, 24, -19, -13, -19, -21, -44, -35, -17, -44, -22, -10, -47, -39, 9, -18, 6, -16, -13, -13, 7, -3, 12, -18, -26, 26, -27, 6, -12, 11, -7, 25, 9, 0, 17, 8, 10, 33, 4, 8, 15, -2, -14, 25, 0, 6, -9, 25, -2, 11, 2, 0, 8, -6, -31, 0, -12, -12, -2, -11, -11, 12, -1, -8, 1, 8, 16, 19, 12, 38, 28, 6, 7, -9, 14, -15, 18, 8, -13, 17, -16, -38, 1, -10, -16, 12, 13, -10, 17, 4, -53, -2, -3, -21, 10, -1, 1, -10, -10, -20, 4, -10, -42, -5, -27, -26, -25, -62, -59, -67, -41, -69, -61, 7, -45, 12, -1, -42, 0, 7, -15, 7, 1, 19, 10, -3, 11, 26, 0, 5, 11, -18, -14, -1, 8, -14, 2, 24, 6, -9, 1, 1, -9, 42, 21, 12, 20, 4, 14, -1, -7, -10, -13, -20, -7, -8, -19, -18, 17, -13, 21, -14, 3, -14, -13, -13, 3, -26, -19, 25, 24, -11, -16, -19, -20, 4, 14, -2, -3, -1, -6, -11, -11, -9, -14, -11, -7, 23, -10, 6, 17, -13, 0, 15, 7, 15, 18, 0, -14, -9, 15, -4, -6, 7, 8, -11, 13, 25, 10, 24, 35, 15, -4, -21, -21, -18, -11, -21, 25, 20, -19, -7, 12, -14, 1, -22, 7, 8, 2, 4, -8, 15, 35, 3, 12, -3, 10, 16, 26, -16, 20, -18, 26, 14, -2, 18, 10, 17, -3, -7, 12, -10, -5, -4, 15, 4, 29, -4, 8, 12, -5, 8, 3, 1, 10, -23, 13, 10, 17, 29, 51, 14, 31, 63, 20, -23, 25, -13, 12, 18, 22, 20, -13, 24, -14, 13, 7, 25, 9, -27, 26, -10, 17, 6, 22, -6, 14, 45, 6, -1, 17, 11, -13, -22, 11, -9, -18, -24, -8, 4, -5, 2, 10, 16, -3, -22, 26, 5, 1, 3, 3, 7, -5, 14, 17, 6, -12, 16, 5, -20, 20, 5, 4, 0, 7, -6, 8, 26, 10, 16, 8, 1, -20, -8, -4, -4, -6, -17, -10, 0, -1, -23, -19, 21, 37, 19, 9, 56, 31, -5, 17, -30, -4, -12, 16, 5, 15, 30, -18, -9, 10, 3, 26, 18, 2, 21, 13, -11, 15, -5, -4, 26, -8, 12, -26, 5, -23, -36, -20, 7, -10, 7, -28, -17, -29, -60, -60, -78, -48, -71, -66, -3, -16, 5, -13, -56, -30, -18, -6, 7, 5, 40, 23, 7, 36, 29, 2, 22, 12, 8, 16, 12, 24, 27, -4, 23, 0, 7, 9, -16, -10, 6, -14, 2, 8, -7, -4, -5, -19, -4, -6, -6, -10, 1, -17, -26, -14, -1, 25, -4, 16, 11, -3, 11, 14, 5, -21, -5, -19, -4, -21, -9, -22, -26, 2, 43, -4, 10, 72, -1, 15, 36, -5, -3, -23, 15, 27, -49, 9, 12, -23, -18, -6, -24, 23, -12, -10, 5, -20, 19, 13, -2, 2, -16, 12, -1, -22, 9, 8, 0, 21, -20, 1, 25, 15, -19, -4, 14, 6, 10, 7, -25, 15, -11, 25, 5, 12, -10, 32, -8, 0, 11, 0, -5, 26, -18, 4, -1, 27, 0, 6, 5, -12, 15, -25, -26, 6, -11, -4, 17, -24, -5, 3, 6, 1, -4, 1, -14, -5, -16, -4, -4, -12, -8, -6, -10, 19, -28, 8, 33, -21, 15, 7, -25, 1, -3, 12, -18, -22, -25, 2, -25, -16, 2, 18, 18, -8, -6, -22, 5, 20, -2, 14, -13, -4, 8, 9, -1, 7, 15, 13, 11, -8, -8, 9, 0, -1, -5, 10, -25, -11, 3, -8, -20, -10, -6, -10, -6, 6, -2, 2, -24, 13, -11, 0, -2, 9, 24, 22, -13, 5, 4, -22, -14, -11, -13, 6, -15, 7, 11, -49, 2, -7, -26, 1, 19, -17, -4, -15, -21, 21, -19, -14, 19, -26, -1, 18, -13, -4, 5, 2, -2, 5, -1, -3, -4, 2, 43, -3, -13, 37, -9, 4, 4, -11, -5, -7, 2, 24, -28, 4, -4, 7, 20, 11, -10, 8, 5, 2, -17, -10, 2, 10, 7, -1, 5, 18, 2, -9, -7, 4, -1, 0, -3, 9, 12, -15, 16, 1, -11, 7, -12, -12, 11, -20, 3, -4, -1, 12, -12, -11, 16, -10, -2, 9, 13, -43, 9, -9, -46, -10, 16, -38, -27, 27, 9, 7, 13, 17, -28, 2, -3, -8, -1, -10, 11, 18, 11, 11, -4, 25, 29, -6, -23, 15, 16, -25, 25, 23, 20, -9, -2, -5, 11, 9, 3, -21, -16, 5, 2, 4, -6, 0, -13, 12, 55, 17, -18, -16, 4, -25, -15, -23, -24, 2, 25, 7, 6, 3, -12, 20, 22, 0, 10, 10, -4, -16, 13, -11, -23, -25, 23, -4, 15, -19, 3, -4, -11, -8, 12, 10, -24, -15, 1, 27, -8, 29, -19, 35, 12, -6, -10, -2, -2, -51, -6, -6, -13, 0, -25, -25, 3, -4, 9, -11, -1, -6, -6, 22, 13, -20, -19, -12, 7, 23, -3, 2, -16, -11, -5, -8, -3, -9, -2, -3, -4, -7, 21, 85, 121, 21, 10, -3, 23, 6, 20, 3, -21, 14, -6, -21, -15, -24, 11, -17, -26, 3, -18, -14, -30, -7, -17, 17, 0, -2, 5, -7, 15, -10, 9, -6, -4, -5, -13, -24, -21, -12, -2, 21, -1, 10, 1, -19, -2, -8, -11, -11, 8, -25, 5, -5, 3, -13, -23, 1, -13, 22, 19, 7, 1, 19, 1, -23, -7, -5, -4, -12, 1, -16, -9, 16, 14, 23, 1, -38, -2, -26, -73, -23, 4, 1, 9, -19, -42, 3, 13, 7, -9, -7, -4, 1, -5, -8, -16, 0, -36, 14, -8, 11, 2, 28, 16, -10, 30, 15, 30, 1, 9, -22, 6, 2, -15, -9, 19, -6, 11, 1, 15, 5, 12, 6, 7, 21, 15, -13, -7, -8, -21, 22, 8, 14, 24, -4, 18, -9, 24, -12, -127, -99, -16, -42, -36, 13, 4, 20, 0, 28, 1, 54, 35, 14, -9, 31, 28, -6, -18, -11, 5, 1, 0, -4, 2, 6, 20, -18, -15, -5, -3, -5, 9, 10, 22, 2, -11, 28, -5, -33, 10, 6, -16, -7, 7, 4, 17, -22, -27, 20, -14, -3, -1, -3, 23, 15, -5, 25, 16, 3, 12, 14, -4, 11, 12, -1, -1, -4, -12, 0, -1, -2, -15, -1, 16, 20, -22, 9, 26, -24, 18, -5, -17, -3, -8, 1, 1, -4, -1, 21, 26, 25, 22, 16, 2, -27, -26, -6, 22, -22, -27, 6, -8, -1, 11, 9, -17, -21, 6, -17, 20, 10, -2, 6, -1, -6, -22, 7, 1, -7, 18, -17, -1, -27, -7, -1, -26, -8, 2, -28, -8, -2, -22, -28, 1, 1, 23, 12, 6, -1, 18, -17, 9, 4, -4, 22, 8, -3, 24, 38, 22, 14, -12, 24, -6, -9, 0, -21, -21, -13, 1, 21, -2, 20, 22, -22, 12, -14, 26, 9, -13, -43, -20, -11, -37, -22, -10, -50, -25, -15, -33, 8, -20, -21, 7, -1, -6, 8, 5, -17, -18, 24, -25, 9, 0, 20, -18, 22, -4, 8, 19, 11, 18, 14, -12, 1, 22, 9, -14, -7, -13, -16, -16, 16, -11, -14, -20, -2, -17, -38, -14, -11, -37, -7, -5, -2, 6, -5, -25, 6, 5, -15, 9, 26, 2, 14, 17, -18, -11, 15, -10, -8, -8, -31, -12, -11, -72, -5, -20, -55, -13, 8, -15, 9, -15, -50, -20, -12, -32, -12, 4, 14, 28, 9, 5, 15, -15, -15, -16, -9, -26, -32, -13, -31, -36, -20, -22, -22, -3, -22, -5, -1, 1, 17, 6, -9, 24, 1, 33, 35, 9, 12, 20, 18, -8, 15, -17, -11, -6, 6, 4, 7, 4, 10, 20, 45, 25, 0, 54, 8, 9, 40, 14, 23, -24, -13, -16, -21, -36, -21, -7, -30, -12, 0, 17, 12, 7, -10, 15, 7, 22, -9, 25, 14, 11, -25, -21, 16, 16, 21, 0, 2, -2, 8, -13, 3, -1, -15, -11, 1, -2, 11, 24, 9, -2, -5, -9, 1, 6, 14, -17, -10, 5, 16, 9, -7, -2, -27, 16, 5, -21, -7, 7, 9, 13, 18, 14, -18, -25, -13, 20, -22, -12, 20, 23, -15, 7, -26, 16, 25, -10, -3, -15, -13, -8, -16, 37, 2, -7, 22, 14, -3, 16, -6, -10, -27, 17, -27, -7, -6, -22, -13, -22, 15, -5, -2, -7, -10, -8, 1, -10, -24, 1, 5, 11, -2, 12, -6, 7, -4, -8, 9, 12, 13, 5, 15, 14, 58, 72, 24, 12, 11, -13, 14, 1, -2, -11, -14, -15, -24, -8, -9, 22, 17, -16, 8, -21, -3, 15, 27, 13, 11, 34, 1, 4, 10, 6, 5, -23, -4, -37, -44, -15, -18, -13, -18, 4, -17, 19, -14, 6, 0, 20, 12, 25, -3, -12, -3, -4, 7, -4, -6, -30, -13, -23, -25, -7, 3, -10, 17, -15, -13, 21, -7, -13, 3, -8, -18, -13, 2, -13, -5, -7, -7, -3, -19, -47, -21, 6, -5, 5, 22, 21, 3, -1, -7, -24, 2, -7, -6, 3, 14, 15, 1, -18, 8, -5, -11, -5, -15, -6, 16, -26, -7, -14, 5, 28, 23, 3, -7, 23, 1, 4, -8, -4, -3, -4, -12, -31, -35, -18, -30, -39, -31, -25, -26, 0, 3, -10, -23, -5, -15, -10, -3, 13, 11, 73, 62, 15, 42, 28, 12, 28, 17, 10, 12, 7, 20, 12, 9, -9, 30, 8, 16, 14, 5, 2, 1, -7, 17, -3, 9, -7, -1, -5, -20, -23, -20, 5, -16, -15 };
signed char f3conf[1728] = { -9, 3, -14, 21, -5, 25, 19, 15, 20, 23, 22, -14, 14, 8, -1, -3, 0, -2, -4, 6, -17, 19, -1, 7, -2, 5, -15, 18, 14, 11, 1, -4, 21, 17, -1, -24, 13, 11, 6, -18, -2, 2, -7, 25, 18, -9, 7, 23, 2, 4, -22, -22, 10, 21, -7, -1, -13, -11, -7, -9, 25, -20, -18, -16, 23, 20, 22, -10, -4, 3, -18, -2, 11, 5, 15, 9, 29, 11, 10, -13, 15, -20, 12, -24, -17, 25, 21, 19, -13, 1, 9, 22, 21, 18, 0, -4, 9, -4, 15, 0, -13, -7, -7, -7, -5, -6, 15, 8, 7, 15, -6, 11, 16, 19, -7, 17, -16, -10, 11, 24, 7, -10, 0, 8, 13, 25, 6, -18, 3, -19, 12, 12, -2, 20, -3, 2, 3, 5, 24, 0, -18, 15, 1, 9, -12, 2, 10, 19, 21, 27, -10, 12, -6, 22, 12, 19, -26, 21, 8, 11, 12, -14, -17, 6, 9, -14, 26, 43, -4, 17, 3, 26, -8, 9, 18, -14, 26, -19, 24, 23, -12, -4, 11, -12, 20, -3, 13, -24, -10, 6, 10, 0, 2, -1, 2, 0, 13, 5, -6, 1, 7, 3, 9, 1, -1, -17, -1, 12, 12, 5, -2, -6, -2, -10, 19, 12, -10, 10, 6, 7, 41, 12, 18, 7, -5, -3, -3, 13, -21, -2, -11, -20, 9, -3, 16, 8, -16, 23, -4, 0, -7, -12, 6, -13, 10, 3, 18, 34, 7, -5, 7, 10, -2, -14, -17, 23, 3, 19, -15, 8, -17, -14, 4, -15, 15, 2, -14, -4, -5, 4, -6, -19, -9, 7, -7, 2, 14, 14, -8, 10, -18, 2, -17, -1, -103, -5, 5, 3, -5, -8, -21, 14, 2, 13, 23, -12, 6, 24, -22, 0, 3, 15, 18, 12, 1, 20, -6, 1, -19, 17, -12, 1, 0, -2, -15, 20, 12, 7, 1, -14, 17, 19, -7, -26, 20, -7, -24, -12, -1, -21, -4, -1, 19, -9, 3, 21, 1, -4, -26, -25, 6, 18, -3, 8, -14, 13, -21, -3, 22, 14, -5, -18, -25, -2, 4, 17, 0, 13, -20, -6, -1, -10, -18, 13, -19, -39, -1, -20, -7, -9, -26, -26, -13, -18, -12, -23, -8, -4, 1, 15, -7, 10, -11, -4, 6, -5, 3, -2, -15, -12, -10, -14, -11, -11, 9, 2, 5, 13, -8, 8, 10, 17, -8, 13, -19, 13, 2, 21, 27, -2, 20, 7, -21, 0, 15, 16, -14, -21, 12, 17, 24, 6, 17, 4, -4, 3, 24, -9, -21, 16, -1, 5, -18, -17, -18, -7, -15, 1, -10, 6, -8, -26, -4, -15, 15, -18, 24, 17, 10, -6, -14, -24, -15, -10, -46, -48, -2, 2, -6, -22, 8, -1, 7, 10, -3, -15, -13, 12, -10, -6, 10, -12, 15, -6, 16, -26, -11, 5, 5, -2, 0, -6, 0, -2, 7, 2, -8, 0, 4, 2, 4, 2, -3, -18, -4, 9, 3, -2, -2, -20, -8, -12, 9, 4, -5, -7, 10, -1, -20, 3, -22, -27, -6, -5, -2, 8, -22, -7, -15, -22, 6, -7, 17, 7, -19, 21, -8, -3, -8, -17, 3, -13, 0, -6, 14, 10, -4, -5, -14, 2, -3, -17, -19, 22, -4, 15, -15, 3, -23, -14, -1, -15, 12, -2, -12, -7, -11, 0, -8, -20, -9, 5, -12, -3, 11, 11, -11, 12, -26, 0, -13, -16, 95, -4, -2, 11, 20, 26, 15, 41, 40, 26, 35, 23, 38, 8, 20, 4, 2, 25, 18, -11, 18, 9, 0, 5, 4, 19, 14, 25, 1, -2, 10, 1, 6, -16, -5, 9, -9, -5, 10, 5, -11, -19, -5, 11, -19, 10, -17, 11, -16, 12, 8, 5, -14, 12, 10, -8, 21, 3, -13, -20, -17, 2, -4, 7, -16, 11, 24, -18, 25, 11, -22, 17, -7, 25, 11, -13, 15, 30, -20, -13, 37, 7, -7, 43, 13, -1, -7, -5, 12, -11, -9, -24, -24, 1, 5, 22, -82, -3, -4, -109, -14, 19, 2, 6, -4, 11, 6, 11, 7, 4, -5, 1, -12, 4, 1, 20, 6, 15, 3, 5, 6, -8, 1, 22, -26, -15, -3, -12, -20, 3, 6, -18, 5, 0, -1, 26, 15, -2, 9, -7, 24, 15, 1, 3, 7, -15, -14, -11, 8, 26, -5, 8, 6, 16, 2, -11, 16, -21, -7, 19, 3, 4, 6, 1, -23, 21, -6, 7, 15, 2, -46, -24, 12, 5, 24, 2, -15, -24, 15, -17, 3, 10, 5, -18, -12, 16, -17, 3, 26, 9, -1, 10, 0, 14, 19, 24, 7, -2, -7, 5, 13, 15, -10, 1, -9, 4, 18, -1, 5, 4, -10, -7, -13, 7, -4, 7, -11, -10, 16, -4, 6, 18, -14, 13, 40, 7, 21, 36, -14, 19, 1, 4, 13, -11, 19, -2, -16, 19, 6, 23, 2, -7, 7, 14, 4, 2, -18, -23, -7, 4, 9, 16, 9, 5, 8, 5, -12, -3, 23, 8, -13, -2, -23, 23, 10, -21, 12, -12, 24, 11, 16, 1, 5, 14, -11, -11, 6, 3, -13, 4, -1, -15, 2, 8, 7, 36, 10, 7, -95, -2, 2, -5, -32, -27, -29, 5, -73, -33, 15, -42, -22, -26, -20, -11, -14, -24, -1, 9, 16, 1, -1, -1, 1, 17, 5, 18, 2, -10, 6, 1, 2, -20, -5, 2, -11, -2, 4, 4, -27, 6, 27, 0, 23, -6, -4, 17, -12, 10, 4, 2, -14, 8, 6, -8, 17, 3, 3, 24, -24, -24, 3, 7, 6, 27, -18, -5, 8, -24, 22, -3, -18, -10, -9, 1, 18, -2, 4, -8, -46, -19, -6, -7, 23, -8, 5, 1, 23, -3, 7, 1, -4, -6, 6, 16, 77, -3, -11, 72, -13, 8, -3, 4, -8, 6, 4, 2, 3, 0, -11, -8, -12, 2, -2, 18, 1, 11, 2, 1, 4, -1, 26, -24, -15, 11, -3, -7, -9, -10, -7, -25, -25, 10, -8, -24, -19, -15, 7, -7, 19, 9, 1, -6, 1, -13, -20, -14, 4, 17, -9, -18, -22, -15, 2, -13, 8, 23, 22, -2, -2, -12, 9, 8, 19, 23, -5, 33, -2, -5, 60, -7, 18, 31, 18, 27, 18, 20, 2, -7, -11, 23, 26, -21, -10, 13, -18, 2, 22, 5, 1, 6, -2, 13, 15, 21, 5, -9, -9, 5, 9, 14, -11, 2, -11, 4, 16, 0, 5, 4, -11, -9, -23, 4, -5, 0, -16, -10, 11, -7, 13, -5, -7, 3, -30, -6, -8, 4, -15, 16, -3, -2, 12, -18, 13, -6, -21, 14, 5, 20, -1, -9, 0, 11, 3, -4, -21, -22, -18, -5, 6, -8, -2, 7, -13, -2, -12, -8, 20, 8, -18, -5, -24, 20, 6, -17, 10, -12, 19, 6, 15, 2, 0, 10, -12, -13, 4, 0, -21, -2, -4, -20, -2, 10, -11, 12, 11, 10, 85, -3, -10, 0, 36, -12, 37, 42, 9, 31, 47, -3, 14, 19, 2, 23, -11, 5, 17, -25, -6, -10, 19, -11, -10, -14, -8, 18, -18, 17, 3, -9, 5, 6, 5, 10, 14, -10, 2, -17, -14, 18, 24, -11, 22, -16, 19, -22, 16, -5, 23, 13, 8, 0, -10, 1, -9, -12, 12, -25, -2, -26, 3, 26, 22, -23, -9, 7, 1, 23, 2, -24, -19, -12, 21, -20, -8, -5, -89, -1, -33, -42, -7, -18, -85, 25, 9, -8, -21, -4, 21, 7, -22, -8, -13, -7, -47, -4, -24, -41, -23, 9, 46, -6, -3, 5, 14, -7, 11, 3, 10, -14, 5, -6, 1, -7, -22, -7, 11, 9, -6, 2, -9, 6, 22, -10, 25, -18, 25, 1, -8, 24, -13, 27, -4, 17, 6, 5, -20, 0, 4, 17, 3, 15, -3, -3, 26, 16, 13, 5, -12, 33, 42, -1, -16, -13, 23, -5, -5, 3, 8, 17, -11, 12, -17, 4, 23, -40, -4, -15, -127, -97, 11, -36, -2, -19, 19, 9, 19, -5, 15, -2, 18, -5, 3, 9, -13, -11, -8, -1, -15, 7, 7, 6, -20, 2, 2, 4, -2, 1, -10, -6, -1, 12, 3, 2, -13, -11, -12, 7, -12, 22, -1, -13, -1, -9, 20, 1, 14, 6, -13, 3, -2, -7, 51, -2, 13, 10, -9, 16, -6, 7, 14, 24, 4, 4, 11, -6, -1, 5, -11, -15, 12, -7, 5, -5, 22, 1, 14, 2, -9, 2, 13, -1, 21, -5, -4, 1, -6, -5, 23, 4, 18, -15, -10, 7, 8, 12, 5, -3, 1, -2, -9, 15, 0, -9, 10, -20, 22, -12, 11, -2, 2, -15, 57, 44, 5, 11, -9, -17, 23, 23, -39, 3, -10, -25, 5, -15, -25, -1, -43, 21, 26, 5, 20, 5, -20, -21, 4, 10, 18, -16, -13, -16, -17, 11, -17, 10, -2, -10, 0, 4, 6, 4, 11, -9, -3, -19, 7, -12, 11, 23, 16, -21, 5, 12, -1, -6, 17, 9, 8, -4, -12, 2, -11, -14, -20, -3, -26, -2, 9, -6, 6, -2, -17, -5, -17, 16, 2, 13, -6, 13, 6, 6, -8, 31, 76, -11, 25, 70, -4, 21, 82, -18, 15, -24, -10, -9, 7, -16, -14, -27, -5, 29, 60, -2, -7, 40, -16, -48, -16, -9, -8, 1, 13, -12, 4, -1, 3, -23, 7, -9, 0, -6, -27, -9, 13, 7, -8, -13, 4, -24, -10, -18, 2, 7, 4, 14, 19, -19, 21, 21, 9, -19, 7, -23, -20, -1, -3, 11, 6, 9, -8, -3, 20, 13, 4, -7, -20, 2, 10, -28, -17, -20, 19, -20, 2, -27, -11, -26, -13, 16, -18, -13, 5, 36, 23, -8, 81, 95, 3, 35, 18, 2, -6, 0, 8, -7, 15, 19, -20, -4, 3, 5, -15, -12, -13, -4, -14, 2, 4, 4, -25, 0, 0, -5, -6, 3, -13, -4, 0, 11, 4, 5, -15, -10, -12, 4, -12, 21, -12, -15, -3, -19, 13, 0, 9, 3, -10, -12, 3, -36, -29, -9, 3, -26, -11, 13, -8, 1, 12, 16, -4, 1, 3, -10, -3, 1, -14, -17, 5, -12, 3, -10, 20, 1, 1, -4, -10, -20, 1, -2, 1, -13, -5, -3, -8, -4, 18, 1, 18, -18, -14, 11, 7, 15, 2, -10, 0, -1, -14, 11, -1, -10, 7, -21, 16, -16, 6, -6, 0, -17, -16, -68, -9, 0, -20, -25, -6, -15 };
signed char f4loc[4608] = { 16, 4, 12, -12, -4, 6, -10, 9, 10, 15, -3, 7, -4, 6, -5, -3, 10, -10, 2, 7, -8, 5, 9, -1, 0, 7, 1, -4, -12, -1, 5, 15, 15, -10, 18, 3, 3, -21, 4, 25, -1, -5, 11, -14, 0, -11, 5, 9, -3, 10, 5, -1, 3, -3, 2, 3, 8, 3, 7, -3, -2, 23, 2, -8, 0, 10, 10, 12, -6, 6, 3, -11, -2, -8, 2, 3, 51, -14, -4, 15, 2, 11, -14, 5, 5, -10, 6, 14, -8, -7, 12, -31, 8, -2, -34, 4, 4, -5, -6, -10, 2, -12, -11, -2, -1, 1, -15, 2, -14, 7, 12, 4, 14, 3, -2, 3, 9, -1, 2, -14, -14, 13, -12, 4, 8, -10, 4, -2, 4, 7, 2, 30, -5, -3, 3, 0, 1, -2, -23, 8, 54, -10, 3, 14, -15, 17, 4, -21, 16, 5, -8, 4, 6, 3, -5, 3, -3, -3, 10, 2, 0, 3, -10, -8, -1, -3, 9, -8, -8, -2, 5, -3, 3, 3, -4, 13, 4, 16, -21, 5, -7, -6, 1, -3, 1, -3, 3, 12, -3, 6, 0, 28, 11, -6, 42, 6, -15, -4, 12, -13, 11, 19, -14, 11, -3, -7, 11, -4, 1, -2, -18, 12, -2, 26, -21, -10, 0, -5, -10, -7, 0, 10, 1, -12, 6, -8, -14, -3, 11, -67, 6, -5, -38, 1, 3, -4, -5, 10, -16, 8, 9, 2, -14, -5, -6, -6, -2, -14, 13, 2, -2, -2, -17, 11, 4, -10, -11, 18, 2, 8, -3, -15, 3, 10, -2, 12, 9, 0, -7, 13, -4, 15, 3, -2, 8, -9, 2, -9, -2, 7, -9, -1, -4, -1, 9, -5, 1, 3, -7, 2, -2, -3, -28, -10, 4, 2, -2, 15, 5, -11, 4, 2, 2, -14, -5, -6, -6, -5, 8, 9, -9, 7, -4, 3, 5, -2, -2, -11, -10, 1, -2, -9, -13, -2, 10, -2, 11, -14, 15, 5, -1, 12, 1, 0, 5, 10, 2, 13, -10, 0, -1, 6, 2, 9, 4, 28, -89, 18, 0, -16, 10, 5, -8, 8, 7, -5, 16, 14, 7, -4, -10, 27, 35, -5, 42, 3, 8, -12, 1, 2, 4, 15, -6, -6, 5, -3, -13, 1, -9, -13, 6, 10, -17, -3, -4, 13, -5, 3, -15, 4, -14, -7, 6, 14, -8, 2, -2, 13, -3, 3, 21, -1, 8, 14, -5, -4, 1, -10, 9, 10, 17, 1, -10, 5, -26, -4, 37, -27, -11, 39, -3, -8, 19, -1, 18, 2, -4, 72, -12, -4, 25, -1, -12, 26, -18, -24, 26, -16, -8, 8, -5, 0, 6, 0, 5, 5, -7, -7, 0, 1, 0, 2, 8, -8, 2, 3, -1, 4, 5, -2, -12, 6, -9, -54, 4, -6, 21, 13, -11, -9, 0, -1, -47, -14, 5, -30, -8, -3, 0, -1, -11, 3, 10, -14, 11, 12, 2, -8, -1, 14, 2, -19, 4, 4, -3, -7, 10, 8, -3, -8, -5, 0, 10, -12, -2, -9, -4, 1, -9, -10, -2, -14, -15, 7, -11, 0, 14, -4, -8, -5, -22, 10, -3, 0, 3, -36, 8, 30, -46, 10, 36, 11, 14, -9, 11, 6, 9, 6, -14, -3, -8, -2, 3, -5, -13, 0, 2, -1, -3, 2, -4, -4, -3, -6, 6, -7, -12, -3, -1, 5, 14, -9, 10, -8, 1, -15, 5, 6, -9, -12, -10, 10, 1, -14, -8, -1, -6, -4, -7, -9, 0, -1, 3, -1, 12, 11, 0, -15, -13, -23, -2, 5, -3, -3, 4, 10, 2, 5, -4, -3, 6, 16, 2, 4, 12, 12, -9, -3, 0, -10, 5, -6, 16, -22, -27, -6, -14, -5, -3, 29, 3, -5, 2, -2, 3, -4, 16, 0, -21, 0, -8, 1, -4, 0, -7, 8, 8, 3, -12, -4, -10, 0, -8, 11, -13, -5, -10, -2, -2, 42, -5, -9, -81, 0, -8, -7, 4, -10, 3, -1, -8, 8, -8, 4, 8, -6, 0, 2, -17, 11, -4, 12, -1, 2, -6, 10, -4, 8, -3, -2, -2, 12, -4, 11, -20, -7, -7, -10, -13, -1, 20, 7, 6, -3, 0, 4, 17, 14, -3, -4, 116, 9, 11, 26, 12, 3, 8, 5, -12, 15, -9, 0, -26, 0, -8, -31, -21, 10, 31, 20, 1, -10, 1, 2, -48, -6, -2, 7, -5, 9, -79, 3, -12, -63, -36, 5, 2, -6, -9, -3, 16, -9, -2, -21, -3, -9, 0, 0, -3, -4, 20, 7, 0, -17, -18, 5, -5, 23, 12, 23, 52, 28, 6, 2, -10, -12, -37, -6, -4, 21, 14, -2, 4, -8, 16, -16, -18, -20, 2, -8, 6, 24, 49, -9, -14, 1, 32, 41, 13, -14, -21, 5, 2, 2, -10, 3, 0, -4, 7, 8, 15, -2, -8, 5, -1, 44, 10, 1, 4, 2, -2, 2, 8, -3, -15, -6, -5, 2, -13, -1, -36, -1, -5, -66, -39, -8, -15, 1, -19, 3, -5, 5, -9, 13, -9, 34, 2, -5, -6, 6, 4, 3, -2, 18, -21, 12, -4, 12, -5, 2, 10, 29, -1, -1, -7, 7, 0, 2, -11, -20, -24, 3, -16, 3, 1, -8, -4, -5, -1, 2, -4, -19, -10, 10, 0, 11, 17, 2, -12, -1, -1, -2, 0, 8, 6, -6, 44, -4, -1, 2, -17, 2, 11, -5, -12, 0, -13, 8, 12, 5, 13, 11, 11, -9, 15, -9, -1, 0, 15, -5, 23, 6, 15, 23, 8, 12, 11, 16, -1, 12, -4, 15, -69, -28, -7, 12, 11, -22, -2, 4, 12, -9, -8, 25, -11, 9, 6, 14, 10, 16, 40, -8, 1, -25, 15, -11, -9, -5, 3, -12, -13, -8, -4, -2, -3, 33, -3, 0, 53, 21, 13, -42, -1, -9, -7, 4, 2, -5, 9, 6, 19, 3, -7, 14, 4, 5, 4, -2, -11, -7, 2, -1, 1, -2, 2, -4, -9, -3, -9, 4, -9, -18, -10, 8, 12, 10, 8, 56, 13, -5, 2, -2, 7, 37, -1, 6, 2, 2, -12, -11, -6, 9, 11, -2, 15, 30, -15, 6, -8, 7, 16, 53, 14, 22, 32, 21, -6, 2, -4, 41, 40, -29, -7, -27, 1, 0, -3, -18, 8, 1, 6, 12, -6, 40, -7, 6, -35, -4, -2, 2, 3, 8, -14, 3, -59, 19, -12, -29, -13, 6, -2, 12, -8, 29, 4, -8, -42, -2, 7, -35, 5, -12, -3, 0, 3, 11, -11, -14, -7, 5, 15, 15, -7, 7, -5, 1, -13, -7, -6, -2, 5, 14, 4, 13, 10, 0, -8, 3, 12, 5, 6, -19, -11, -25, -5, -6, -7, 5, 1, 14, 12, 8, -1, 1, 5, 6, 0, 31, 1, -16, 11, -8, -8, -12, -15, -17, -18, 15, 6, 11, -15, 12, 6, 6, 8, 7, 10, 19, 3, -7, -3, 7, -5, 4, -12, -2, -10, -10, 8, 1, -16, -11, -5, -10, -3, -12, -23, 9, -11, -1, 4, 2, 1, 8, 0, -13, -9, 2, -8, 0, -3, 4, 6, 6, 1, 3, 12, 6, -16, 6, -1, 5, 10, 4, 3, 11, 11, 0, -3, -31, -5, -9, -47, -19, -15, -32, -8, 10, 5, -10, 3, -9, -5, 1, -4, 8, 5, -26, -14, -6, -35, -11, -13, -33, -13, -6, -5, 9, -4, -11, -4, -11, 11, -11, 4, 15, 14, 0, 35, 11, 14, 30, 2, 7, 3, 8, 5, 6, 2, -5, 4, -12, -1, 11, 0, 12, 16, 14, 15, 11, 5, 5, 15, 1, -8, -9, -9, -4, 4, 10, 18, 7, 16, 9, 25, 10, 13, 18, 13, -14, -9, 2, -34, -14, -4, -15, 6, -7, -7, -19, 3, 2, -9, 22, -1, 11, 12, -2, 0, -1, 6, -8, -4, 2, -12, -10, 7, -6, 8, -5, -29, 8, -10, -28, 8, 7, 8, 7, 4, 6, 7, 7, -3, 0, 4, -4, -6, 6, -11, 3, -2, -13, 6, 3, 10, 6, -2, -11, 13, -3, -13, 12, -4, -4, 7, -24, -8, 4, -13, -10, 12, 12, -7, -3, -5, -23, -30, -4, -20, -21, 2, 6, 6, -3, 10, 9, 1, 3, 7, 9, 9, 6, 11, 9, 10, -4, 11, 17, -11, -10, 13, -12, 15, 10, 12, 9, 3, -5, -20, -4, -10, -50, -16, 4, -8, 3, -6, 11, -7, -7, -17, 7, -3, -10, 5, -6, -16, -6, -13, -9, -5, -14, -22, -14, 12, 3, 5, 8, -1, 18, 5, 10, -1, 5, 0, 13, 0, 5, 6, 6, 7, 0, 9, -7, 6, 1, 2, -2, -5, -6, -1, -4, -11, 1, -12, -11, -23, -4, -3, -7, 4, -3, 2, -1, -5, 4, -4, -11, -10, 12, 11, -3, -1, -15, 3, -3, 8, -1, 5, -2, 12, -4, -3, 6, 15, -12, -4, 1, -7, -2, 7, -15, -13, -11, -4, 0, 5, -7, 1, 12, 10, 3, 12, 3, -3, 0, 6, -11, 0, -6, 6, -7, 1, -13, 0, -7, 8, 1, -45, -21, -1, -15, -1, -9, 1, -4, -1, -18, 8, 6, -5, -8, 11, 30, 21, 19, 41, 6, 14, 4, 4, 15, 8, 9, 13, -10, -1, 5, 14, 13, 5, 11, 3, -7, 15, -4, -10, -37, -4, 5, 19, 4, -1, 3, 6, -9, 18, 8, 4, 8, 11, 5, 1, -1, 10, 16, 5, -3, -17, -1, -3, -22, -11, -4, -19, -1, 21, 4, 24, 17, 2, 18, 2, 5, 3, -8, -43, -13, -15, -60, -12, 1, -23, -10, 10, 2, -7, -8, -8, -8, 6, 3, -8, 14, -3, -12, 4, 15, -16, 8, 1, 1, -7, -10, 11, -12, -10, 9, -9, -1, 10, 6, -8, 7, 5, -21, 4, 5, -9, 5, 16, 15, 27, 11, 41, 11, 6, 40, 12, -3, 6, -5, 6, -1, 10, 19, 1, 7, -5, -8, -10, -6, 11, -12, 2, -8, -1, -2, 7, -7, 1, -2, 13, 5, -6, 4, -4, -9, -13, -14, -11, -13, 13, -6, -13, 5, 3, 16, 18, 0, 18, 12, 19, 9, 7, 2, 5, 21, 22, 17, 44, 14, 31, -11, -13, -7, 8, -15, 8, -3, -2, -2, -3, -24, -11, -18, -17, -14, -24, 11, -9, 3, 7, -9, -2, -1, 6, -2, 11, 2, -13, 4, -9, -16, 10, -8, 10, 3, -9, -6, -2, -4, 3, -17, -11, 11, -3, -4, -2, 2, -7, 11, -6, 9, -9, 10, 9, 7, -11, -3, -5, -9, -16, -13, -9, 3, 3, -1, -4, 12, 0, 4, 8, 9, -5, -4, 2, 5, -16, 0, -4, -2, 8, -12, -2, 20, 7, 4, 2, 1, 1, 35, 5, 9, 9, -11, 3, -18, -1, 8, 4, 12, -1, 16, -1, -2, 11, 3, -4, 5, -12, 3, 13, 7, 2, 10, -12, -1, -7, -11, 3, 15, 5, -2, 22, 6, -2, 9, -9, 8, -5, -7, -12, 2, 3, 14, 9, -14, 1, 11, 12, 4, -6, 4, 22, -6, -5, -6, 6, 6, -1, -6, -4, -14, -4, -9, 23, 12, 11, 19, 28, 2, 24, 16, 6, -5, 5, 1, -7, 32, 11, 9, 62, 7, -8, -14, -4, 8, -3, 7, -6, 26, 2, -9, -25, -17, -12, -30, -37, -6, -27, -15, 7, 25, 1, 12, 17, 4, -2, 10, 1, 8, 44, 10, 18, 50, 18, 11, 18, 6, 2, 15, -11, 5, 8, -1, -5, 5, 6, 6, 18, 3, 2, 9, 16, -3, 10, 1, 8, 14, 9, -7, 0, -1, -10, -13, 16, 18, 38, 17, 7, 20, 5, 1, 30, 5, -5, 28, 19, 11, 27, 10, 3, 18, 16, -23, -18, -5, -33, -44, 0, -8, 2, 3, -12, 6, -10, 16, 4, 13, -12, 13, 4, 0, 3, -3, 1, -20, -8, 0, 8, 1, -12, -1, 7, -9, 12, -9, -3, 7, 0, 7, 25, 17, 1, 41, 21, -3, 12, 4, 13, 16, 8, -10, -6, 13, 2, 13, 7, 6, 3, 0, -1, 0, 1, 30, 6, 0, 1, -4, 1, 4, -10, 9, -3, 1, -22, -4, 16, 13, 13, -16, -14, 7, 10, 4, 6, 11, 3, 7, 11, -5, -4, 2, -1, 2, -13, 10, 7, -12, 11, -6, 4, -4, 2, 1, 4, 1, 4, 5, 1, -5, -12, 3, 0, 6, 11, 13, -6, 2, 6, 5, 2, -5, 8, -3, -11, 3, -13, 8, 1, 8, 4, -4, -6, -7, -6, 0, -21, -1, -12, 5, -7, 0, -43, -33, -2, 1, -4, 4, -1, -3, 17, -2, 7, 15, -4, -6, -1, 4, -4, 13, 15, 3, -6, -10, 9, 16, 11, 6, 8, -12, 2, 2, 1, 7, 7, 32, 8, 10, 35, 17, 7, -27, 4, 10, 10, 3, -11, 1, 2, -7, 11, 4, 7, -15, -3, -2, -14, -4, 0, -10, -6, 1, 8, 1, 11, 2, 4, 2, 1, 4, 3, 2, 2, -4, 13, 3, 12, 18, 21, -4, 3, -5, 6, -12, -1, 2, 2, -4, 7, 17, -9, -6, 6, -10, 22, 25, 5, 6, 5, -1, 10, 44, 1, 21, 40, 21, 0, -8, 18, 7, 13, 13, 5, 7, 15, 6, 15, 21, 0, 19, 20, 15, 16, 33, 11, 8, 19, 12, 19, 12, 5, 8, -8, 10, 26, 1, -3, 8, 5, 6, 12, 6, -7, -25, -4, 1, 35, 4, 16, 24, 30, 12, 15, -6, 5, -3, 4, -12, 15, 8, -1, -3, 2, 11, -5, -11, 12, 5, -14, 3, 6, -1, 11, -7, -1, 9, 11, -5, -3, -12, 0, -8, -20, -8, -3, -2, -15, -12, 11, 11, 4, 9, 7, 6, -15, 4, -5, -22, -14, -11, -24, 1, -17, -3, -17, 8, 13, 0, -5, 1, 0, 1, 16, 8, -11, 1, -14, 11, 9, -9, 8, -5, 10, 13, -1, 0, -9, -1, -10, 5, -4, -1, 14, -10, -9, 4, 3, 15, -5, 1, -10, 11, 7, -4, 6, -4, -8, -7, 12, -5, 0, 21, 4, 10, 21, 9, -3, 20, -11, 2, 1, -4, 5, 5, 12, 9, -4, 21, 13, -32, -4, -1, -9, -11, 27, -19, -5, -12, 10, 8, -4, 3, 15, 5, 2, 1, 0, 14, -9, 3, 28, 4, 3, 38, -14, -8, -8, -23, 0, -10, -6, 0, -12, -1, -16, -4, 13, 0, 29, 0, 5, 7, 10, -2, -5, 7, 7, 6, 1, 2, 3, 3, -33, -17, 5, -25, -29, 3, -1, -13, -3, 8, 14, 3, -4, -5, 3, 7, -15, -11, -6, 16, -1, -7, 25, 5, 6, 12, 1, -7, -8, 1, -21, -10, 11, -15, -5, 13, -3, -11, 10, 6, 1, 11, 2, -4, 11, -2, 1, 6, -11, 2, 37, -12, 9, 15, -4, -2, 9, -11, 10, 4, -9, 10, -1, -8, -4, 16, -17, 0, 22, -14, 8, 13, -7, -2, 5, -2, 9, -9, 6, -14, -4, -4, 1, 3, -5, 4, 1, 0, -33, 10, -3, -7, 1, 3, -6, 3, 15, 12, -4, -23, 11, 38, -15, -1, 45, -6, -8, 14, 15, -4, 7, -8, -3, -1, 31, -11, 3, 3, -7, 0, 11, -17, -3, 14, -18, -7, -2, 9, 11, -4, 0, 4, -8, -2, -13, -8, -33, 3, 6, -61, -1, 4, -14, -2, 6, -5, -8, -6, 2, -7, -1, 1, 1, -2, 0, 1, -4, -16, 5, 1, -5, -2, -5, 3, 8, 14, -19, 12, 4, -17, 18, -8, 5, -5, 0, 12, 7, 2, 1, -1, -4, 3, 3, -3, 10, -1, -12, 12, 9, -8, -8, -1, -11, 13, -5, -7, -7, 13, 2, -8, 0, 16, -10, -1, 0, -18, -4, 12, 14, 5, -1, -9, 5, 7, 1, -8, -14, 0, 6, -14, -7, 10, 4, -4, -3, 6, -5, 10, 7, -11, 9, 14, 5, -1, 9, 6, -7, 14, -14, -7, 7, 9, -4, -16, 18, 2, -9, 15, -4, -1, 4, 8, 10, 7, 2, 22, -23, -5, 0, -16, -3, 4, 9, 5, 10, 1, -7, 10, 3, -16, 0, 9, 61, -11, 30, 55, -11, 14, 4, -6, 4, 10, -11, -5, -3, -17, -8, 2, -10, -7, 3, 7, -14, -5, 2, -3, 1, -26, -18, 6, -38, 0, -8, -22, -5, 6, -4, 10, 2, 3, 32, -6, 1, 11, -8, -6, -14, -5, 4, -3, 1, -12, 10, -7, -19, -8, 13, -22, -6, 12, -17, -8, 18, 10, 22, 1, 13, 61, -11, 1, 12, -8, 6, 15, 25, 12, 9, 11, -8, 10, -8, 8, -8, 7, 2, -7, 8, -6, 5, 4, 4, -2, -7, -3, 8, -7, -9, 4, -1, 2, -13, 7, 8, -59, 1, 4, 4, 1, -2, -26, 0, -9, -56, -8, 1, -37, -7, 0, 7, -13, -6, 0, 16, -3, -2, 25, 0, -4, -5, 14, -1, -11, 4, 13, -3, 12, -3, -3, 4, 13, -11, 12, 3, -9, 0, -10, -5, -3, -7, -16, -4, 6, -2, 0, 17, 3, 3, -22, 15, -34, -11, 7, -24, 14, 4, -15, -1, 29, -16, 6, 21, -6, -11, -13, 13, 7, 12, 5, 9, -1, -3, -1, -2, -7, -12, 0, -4, 1, -3, -24, -4, 31, -28, -4, 32, -31, -1, 31, 3, -12, 13, 7, 8, 12, -5, 0, -11, 10, -4, -4, 18, -4, -5, -4, 5, -6, 1, 5, 16, -11, -10, 4, -8, -1, 9, 10, 4, -13, 5, -8, -12, 13, -2, 6, -2, 17, -4, 4, 11, 12, 14, 14, -3, -12, 5, 7, 6, 3, -6, 1, -3, -10, 3, -6, 0, -1, -14, -1, -11, -4, 2, -11, -8, -5, 10, 22, 0, 32, 50, 35, -6, -3, -4, -1, -8, -6, 6, 2, 3, 2, -7, -16, 1, 9, 6, 6, 18, -11, -14, 2, -11, -7, -45, 13, -9, -35, 11, -1, 5, -6, 10, 7, 17, -7, -1, 5, 2, 2, -4, -14, 3, 8, -8, 1, 32, 1, -15, 11, 11, 13, 12, -8, 5, -12, -19, -23, 0, 3, -19, -2, -6, 20, 8, -12, -6, -15, 6, 1, 2, 14, 83, 50, 13, 14, -16, 6, 1, 10, -1, 6, 17, -11, -19, -8, -4, -10, -11, 9, 14, 19, 0, 6, -4, -5, -27, -6, 2, -14, -11, -49, -127, -81, -19, -42, -25, 13, 2, 9, -6, 9, 13, -8, 7, -4, -4, -4, -2, 8, 13, -1, 0, 3, -15, 6, -19, 14, 6, 15, 9, 45, 43, 35, 3, -9, 0, -29, -8, -17, 14, 16, 14, 4, 0, 4, 1, -20, -11, 3, 4, -4, -11, 18, -6, 4, 7, -4, 35, 40, 10, -9, -29, 1, 5, 6, -7, 10, 7, 1, -2, 14, 11, -4, 14, 8, -3, 30, 9, -4, -13, 4, -2, 12, 14, 1, 0, 5, -9, -14, -12, 4, -48, -33, 4, -25, -18, -8, 0, 12, -1, 0, -17, 8, 2, 6, -1, 2, 16, 2, 2, 0, 9, 15, 3, 3, 10, -1, -1, -8, -8, -3, 12, 6, 10, -9, -23, -2, 18, 11, -18, -40, -34, 5, 5, -6, -5, -7, -1, 9, 11, 4, -9, 1, -7, 7, -2, 11, 0, -12, -8, 14, 10, 1, 4, 6, -4, 8, 27, 14, -13, 7, -14, -13, 3, -2, -10, -16, -4, -1, 7, -3, -5, -6, -4, 3, 0, -7, 3, 7, -10, 16, 22, 15, 11, 7, -2, -2, 11, -10, 3, 17, -9, 0, -41, -21, -2, -25, -4, 27, 3, 12, 6, 13, 1, -2, 10, -16, 11, 16, 3, -2, 28, 13, 32, 15, 3, 7, -14, 10, 3, -12, 1, -12, 17, 8, 1, 25, 0, 8, 65, 15, 4, -5, 3, -4, 13, 12, 7, 11, 10, 18, 15, 5, -8, 18, 0, 2, -1, -3, -4, -5, 0, -1, -11, -8, -3, -11, -5, 4, 8, -8, -5, 12, -9, 5, 8, 5, 13, 12, 10, -2, 13, -5, 7, 30, 4, 7, -12, -2, -7, -3, 2, 8, 18, 3, 33, 33, -15, 5, 8, 0, 14, 10, 3, 44, 82, 20, -29, -19, -22, -7, -9, -17, 56, 73, 11, 3, 2, -12, 5, 4, 4, 11, 3, 19, -6, -15, -21, -1, -24, 0, 5, 9, -15, -5, -16, 20, -6, -21, -11, -7, 0, 5, -1, 23, -2, -24, -35, -3, -3, -33, 0, 13, -15, 2, 5, -13, -9, 9, -15, 0, -4, 0, 0, 6, 9, 5, 6, -1, 9, -9, 19, -5, 0, -7, 3, -10, 5, 9, 11, -2, 6, -22, -28, -27, -17, -12, -13, -8, 0, -1, -14, -11, -8, -7, -5, -11, -4, 9, 7, 0, -23, -5, 1, -9, -3, -10, -29, -9, 4, -6, -3, 13, 1, 6, 5, 12, 3, -7, 13, 2, -5, 1, 10, 7, 5, 15, -4, -1, -1, -13, -9, -7, 13, 6, -4, -15, -27, -19, -9, -2, 8, -4, 2, -5, -11, -5, -7, 2, -6, -2, 12, 17, 21, -3, 18, 17, 7, 9, 3, 16, 6, 7, 14, 6, 14, -5, 2, 2, 1, -46, -21, -8, -46, -22, -9, -51, -12, 13, 9, 6, 20, 20, 4, 11, 13, 11, 0, -36, -14, -18, -45, -19, -11, -41, -8, 8, -4, -17, 1, -6, -17, 6, -10, -12, 2, 12, 11, -1, 10, 9, 3, -3, 6, 14, 12, -5, -4, -16, -9, -4, 12, 10, 34, 13, 5, 21, 30, 15, 6, 23, 25, 14, 10, -5, 11, 8, 9, 2, -10, -2, 9, 1, 11, 8, 4, 10, -1, 6, 9, -9, -5, 6, -28, -26, -7, -15, -13, 7, -13, -10, 13, -1, 4, 10, -2, 2, 23, -4, -15, 1, -16, -30, -29, -14, -32, -22, -4, -4, 12, -15, -25, 5, -11, -20, 2, 18, 17, 29, 16, 1, 13, 19, -7, 6, -20, -6, -15, -3, -19, -5, -10, -12, -8, -4, -2, 7, 0, -5, 10, -10, -10, 12, -9, -6, 3, -13, -12, -10, -6, -16, -12, -10, -41, -39, -15, -33, -50, 6, -23, -29, -8, -13, -3, 5, -8, 7, -9, -7, 2, 10, 8, 8, -1, 10, 4, 0, 4, 1, 9, -8, 6, 2, -10, 4, -10, -1, -3, -3, -35, -11, -12, -45, -17, -2, -16, -3, 1, 11, 6, 1, 12, 8, -12, -5, 0, -4, -13, -1, -6, -19, -10, -18, -23, -9, -2, -5, 15, -7, -6, 13, 2, -11, 19, 6, 3, -3, 2, 5, 3, -9, 8, 0, -3, 0, 8, 2, -3, 3, 0, -8, -13, 1, 7, -2, 0, -7, -13, 7, -8, 3, -16, 3, 7, -10, -2, 8, -14, -10, -5, 10, 3, -4, 9, -3, 5, 5, 17, -7, 0, -8, 0, -1, -16, -4, -14, -15, -16, 8, -14, -12, 8, -15, -7, -4, -16, -9, 5, -4, -5, 9, -3, 6, 15, -9, -5, 7, -9, -2, -15, -7, 0, 2, 12, 7, -8, -10, 2, -6, -23, -16, 3, -20, -12, -17, -6, -5, -16, -15, -12, -9, -8, -11, 4, 13, 45, 12, 22, 40, 23, 14, -2, -6, 8, 5, 1, 3, -10, 12, -2, 11, 0, -11, 2, -1, 2, -5, -7, -5, -5, 33, 8, 7, 34, 16, 3, 27, 16, 12, -2, 2, 14, 8, 8, 1, 9, 13, -1, 0, 1, -16, -18, -9, -2, -4, 11, -10, 12, 0, 10, 10, 1, 12, 14, -2, 13, -14, -40, -9, -20, -46, -15, -6, -28, -12, 6, -3, 23, 1, -6, 14, 0, -14, -1, 5, -22, -5, 8, -5, -9, 9, 6, -7, -7, -15, 1, -12, -18, 8, 1, 3, 4, 0, -22, -5, -6, -45, -9, -7, -14, -4, 3, 2, 11, 12, 3, 3, 12, 11, 1, -5, -4, -8, 1, -12, -4, 5, -8, -10, 3, 5, -9, -1, 0, -7, -4, -13, 3, -2, 0, 7, -6, -14, -11, 1, -3, 11, 2, -6, 9, -14, -6, -2, -9, -6, -5, 12, 10, 9, 6, 33, 22, 30, 26, 18, 16, 9, 7, 13, 3, 24, 14, 8, 26, 1, 0, 6, -13, -9, -6, -11, -9, 8, -5, -1, -19, 5, 16, -7, 1, 8, 6, 24, 17, 27, 23, 4, 27, 34, 16, 28, -14, -9, 4, -10, -12, 10, 9, -5, -12, 6, -12, -17, -21, -7, -4, 3, -10, 2, 2, -5, 7, 4, -25, -11, -6, 2, 5, -8, -6, -8, 0, -5, -11, -11, 5, 5, 12, 8, 11, 10, 15, 7, 11, 14, 8, -4, -11, 5, -7, -14, 7, -13, -3, -13, 8, 14, 11, 7, 5, 2, -3, 9, 8, 15, 11, 4, 24, 26, 4, 31, 35, 17, -2, 13, 0, 2, 11, 6, 5, 17, -2, 9, 16, 5, 4, 6, -8, 14, 13, -3, 4, 6, 0, -2, -5, 0, -11, -23, -5, 18, -8, 6, 8, -6, -11, 3, 5, -8, 2, 3, 15, -2, 1, 12, -6, -1, 21, -5, -1, -14, 10, 4, -9, -8, 12, 16, 18, 14, 8, 16, 16, 3, 11, 24, 7, 10, 15, 17, 5, 11, 14, 11, 42, 36, -10, -6, 12, 9, 9, 9, 1, 19, 22, -13, -37, -14, -33, -51, -53, -32, -54, -29, 5, 11, 8, -3, 0, 1, 2, 5, 2, 38, 77, 56, 29, 41, 24, 24, 19, 12, 8, -10, 9, -14, -15, -6, -10, 0, -5, -4, -8, 0, 1, 1, 6, 4, 13, 10, -1, 2, -3, -25, -17, -28, -16, 6, -15, 17, 11, 4, 1, 16, 3, 10, 20, 10, 5, 29, 16, 6, 21, 10, 0, 16, -7, -22, -20, -6, -32, -35, -7, -5, -18, 0, 2, 8, -5, -4, 15, -8, -3, 22, 6, 4, -15, -16, 0, -20, -15, -1, -2, -2, 3, 9, 1, -1, 9, -13, -2, 8, 10, 3, 23, 21, 4, 19, 8, -3, 10, 10, 2, 7, 17, -7, 4, 5, 3, -7, 8, -6, 2, 2, -5, 4, -12, 3, 7, 1, -11, 3, 8, -8, -1, 4, 7, -9, -15, 6, -11, -10, -5, -21, -14, 7, 7, -3, 9, 11, 7, -7, 11, 8, 9, 14, -5, -1, -14, -13, -10, -7, -1, 10, -12, -6, -8, -12, -6, -6, -18, -7, -14, -9, -2, 5, 12, 7, 8, 11, -1, 3, 1, -2, 6, 1, -3, -14, 0, -13, -2, 0, 1, 1, 8, -2, -10, 4, -1, 1, 2, -7, -4, 0, -1, -3, -14, -14, 2, -14, -11, -12, -1, -4, 0, 4, -13, 0, 17, -1, -3, -8, 5, -2, -4, 7, 4, 0, -3, 2, 3, 11, -13, 3, 8, -9, 6, -3, 2, 13, 7, 8, 26, 3, 4, 7, 3, 15, -8, -3, 7, 15, 8, 12, 6, 3, 0, -8, 4, 3, 0, -11, 6, -7, -1, 2, 10, 4, 3, -3, -7, 13, 3, -6, -3, -18, 0, -3, -5, -2, 16, -7, 5, -4, -8, -1, 0, -8, -4, 2, -4, -4, 4, 9, 9, 6, 9, 1, 21, 22, -7, 0, -14, -10, 17, 22, 6, 39, 72, 21, -2, 0, 4, -11, -17, -3, 42, 43, 10, 2, 6, 14, 1, 6, 16, 9, 18, 22, 10, -2, 4, 8, -1, 2, 9, 2, -12, -6, -10, -3, -7, -10, -14, -7, -4, -4, 0, -8, 4, 12, 17, 4, 1, 0, 17, -3, -12, 8, 14, -8, 3, -4, -8, 12, 9, 12, 14, 4, 2, 16, -7, -8, 12, 10, 3, -2, 12, 14, 2, 9, 15, 2, -2, -12, -1, -17, -26, -23, -25, -12, -13, -6, 13, -5, -12, -10, 0, 9, 0, -7, -3, 2, -17, 9, 16, 0, 4, 5, -6, 11, 37, 22, 9, 16, 21, 12, 17, 16, 1, -6, 4, 1, -1, -8, -1, 11, -15, -9, 5, -11, 3, 15, 2, -4, -1, -2 };
signed char f4conf[2304] = { -3, 11, -8, -6, 1, 9, 15, 9, 1, -5, 8, -9, 16, 9, 1, 6, 17, 15, 3, 0, 11, -3, 0, -4, 3, -10, 12, 11, 13, -7, -18, -20, 3, 20, 9, -10, 8, -4, -8, -4, 4, 7, 0, 10, -14, -5, 1, 4, 5, 4, 5, 4, -6, 9, 9, 13, -3, 1, 20, 0, 9, 14, 3, 3, 22, 10, 10, 1, 9, 0, 7, 14, 9, 18, -9, 14, 13, 2, -3, -6, 16, 2, 11, -1, 1, 10, -7, 9, -1, 2, 6, 3, -4, 4, -1, 1, 12, 11, 0, 6, 10, -12, 6, 1, 1, -20, -21, 9, 11, -1, 3, -12, 8, -5, -4, 0, 0, -7, -5, -6, 2, 7, -1, 14, 9, -1, -12, 7, 0, 7, 16, 0, -1, 4, 7, 7, 2, -2, 2, -1, 3, -3, 5, -11, 15, 4, 8, 7, 11, -5, -1, -9, 7, 8, 14, -2, -9, 12, -1, -9, 1, -3, 0, 2, 5, 10, 9, 16, 1, 17, -68, 5, 7, -3, -13, 17, 5, 5, 11, -8, 1, -2, 6, 12, 33, 12, 4, 5, -3, 1, -8, -3, 9, -5, 4, -4, 0, 2, 3, -2, 2, 2, -2, 1, 10, 3, -1, 11, 2, 3, 1, 18, 5, 4, 9, -9, 17, 0, 7, 23, 10, 0, 15, 9, -3, 5, 4, 6, 0, -6, 5, 0, 7, -11, 16, 7, 7, 32, 7, 0, -3, -2, 0, -6, -10, 2, 1, -1, 3, 1, 12, -7, 0, -2, -12, -13, -1, 7, -2, 6, -4, -8, 23, 7, -33, 14, 2, 1, -7, -12, -7, 9, -4, 8, 22, 20, 12, 9, -5, -6, 1, -3, 8, 40, 13, -10, 3, 3, 12, 31, -14, -5, 12, -74, -1, 6, 0, -16, 10, 10, 14, -3, 1, 8, -3, -8, 4, -124, -27, -4, -28, 5, -5, -8, -6, -2, 6, 11, 8, 9, 0, 8, 34, -19, -8, -11, -6, -10, 16, -12, 3, -13, -11, -8, -4, 3, -4, 20, -4, 10, 12, 16, -13, 12, -9, -5, 8, 0, 2, -1, 1, 4, 16, -8, 12, 16, -6, 16, 1, -9, 11, 12, 5, 16, 16, 9, 8, -1, -10, -8, -5, 2, -7, 0, 9, -6, 0, -7, -6, 11, 2, 0, 11, -7, -3, 2, 4, 2, -2, 8, 0, 7, 10, -3, 12, 9, -8, 16, 10, -3, 8, -3, -5, -6, 5, 0, -5, 8, -26, 13, 10, -2, 2, -6, 30, -19, 15, 41, -22, 20, 19, -27, 6, -1, 4, 3, 10, 5, 11, 2, 11, -3, 26, -7, 3, 18, -17, -8, 18, 19, -4, 9, 2, -11, -3, 8, 10, 10, 6, 9, 2, 12, 6, -9, 0, -7, 3, 16, -3, 1, -5, 7, 0, 12, -3, 2, -6, -9, 7, 4, 6, -2, 7, -1, 6, 1, 5, 8, 10, 6, -18, -45, 15, -13, -75, 10, 4, -10, 0, 5, 8, 15, 11, -1, -5, 6, 16, -13, 13, 17, -13, 8, 1, -2, 4, 0, 2, -2, 2, 4, -7, -4, 12, 2, 0, -9, 1, 4, 3, 8, -4, -3, -9, -4, -3, 13, -2, 1, 1, -1, 0, 2, 1, 16, 7, -4, 1, -12, -3, 8, 10, -2, -8, -6, 11, 10, -7, -4, -1, 15, 44, 16, 24, 33, 28, 22, 28, 32, -14, 12, 6, 12, 15, 8, 9, 8, 12, 8, 3, -6, -6, 11, 32, 18, -4, 11, 0, 1, 9, -4, 6, -7, 2, 0, 5, -7, -3, -14, 3, -19, 3, 14, 8, -2, 0, -5, 9, -5, -7, -6, 1, -14, 11, -16, -15, 10, 8, 19, -12, -27, -23, -13, 4, -19, -7, -11, -12, 4, -3, -7, -16, -6, -3, 3, 1, 0, 2, 0, -11, 5, 8, -20, -4, -8, -20, -20, 7, -25, -5, -20, -19, 1, -10, -14, 8, -2, 0, 8, 4, 11, -11, 8, 3, -1, -8, -18, 14, 1, -3, -2, -9, 6, -7, -2, 4, -13, -1, -4, -5, -1, -12, -3, 8, 1, -4, -3, -13, -1, -10, -3, -4, 15, 2, 3, 9, -4, 4, -16, 2, -7, -4, -4, -1, -11, -10, -6, -2, 1, -4, 8, 5, -5, -17, 0, -3, 1, 9, -1, -5, -1, 5, 2, -4, -5, -1, -6, 4, -7, 4, -10, 11, -1, 7, 4, 6, -6, -3, -13, 9, 5, 5, -6, -13, 5, -3, -14, -6, -6, -1, 2, 7, 9, 12, -11, 6, 7, 69, 6, 6, -6, -14, 13, 3, 5, 5, -10, 0, -9, 4, -11, -32, -10, -1, -8, -9, -1, -9, -6, 9, -8, 2, -5, -5, -2, 8, 3, -3, 2, 2, 14, 14, -8, 10, 6, -5, 1, -6, 11, 3, -1, 2, -11, 11, 11, 4, -8, -17, 12, -12, -10, 2, -2, -2, 5, -6, -11, 4, -4, -3, -13, -21, -5, -1, -26, -6, -14, -23, -10, -8, -8, -12, 2, -2, -5, 1, -2, 9, -6, 0, -5, -11, -13, -5, 6, -5, 1, -5, 4, -22, 5, 33, -20, 4, 0, -12, -7, -4, -7, 12, -11, 0, -19, 6, -3, 3, -12, -11, -5, -14, -26, 7, -9, -6, 7, 5, -9, 12, -5, -4, 64, 4, 7, -17, -6, 7, 0, -17, 4, 6, 10, 10, 17, 7, 127, 25, -20, 30, -6, 1, -7, -1, -9, -5, -2, -2, -20, 7, -13, -46, 3, 9, -11, 13, 2, -15, -6, -14, -9, -3, -8, -10, -5, -5, -5, -10, 0, -2, 8, -13, 6, -12, -10, 4, -1, -2, -7, -2, -9, 0, -13, -30, -22, 5, -2, -10, -15, 7, 6, 3, 10, 6, 6, 2, -7, -11, -15, 2, 9, 1, 5, 4, -11, -9, 9, -11, 1, 4, -5, -2, -9, -7, -5, 4, -2, -6, 8, -4, -1, 8, -9, 3, 6, -11, 6, 10, -7, 0, -5, -7, -18, 5, -15, -19, 8, 44, -16, 8, -15, -4, -3, -11, 44, -19, -38, 16, -34, -6, 6, -15, -5, -5, -1, 1, -5, 8, -4, 0, -4, -17, 1, 5, -10, 9, 1, -34, 0, 3, 4, -2, -12, -11, -1, 12, 2, -4, 8, -5, 8, 2, -10, 0, -11, -5, 10, -5, -2, -10, 9, -2, 10, -3, -1, -9, -12, 5, -2, 3, -4, 0, -6, 2, -6, 5, 0, 3, 10, -2, 37, -2, 8, 79, 0, -2, -17, -4, -2, -3, 11, 4, -11, -8, 3, 12, 4, -3, -22, -18, 9, -3, -12, -19, -14, -11, -7, 0, -2, -7, -7, 4, -2, -7, -11, -4, -4, -1, 3, -11, -6, -13, -12, -5, 4, -13, -7, -4, -12, -5, -13, 8, -15, 4, 10, 4, -8, -4, -5, 5, -8, -10, -9, 2, 6, -13, -12, -5, -9, -43, -15, -23, -27, -15, -17, -22, -8, 23, 8, -7, 6, -1, -9, -13, -3, -13, 1, 7, -13, -6, -20, -38, -11, -5, -14, 11, 1, 6, 9, 22, 2, 1, 21, -6, 6, 7, 3, 4, -2, -6, 10, 24, 22, -4, -3, -3, -7, 9, -6, -7, 4, -6, 2, -1, 5, -1, -16, -7, -30, 6, -3, 2, 10, -6, -2, 9, -9, -1, 19, 10, 3, 2, 4, -1, 16, 11, -8, 5, 18, 6, 23, 8, -7, -7, 13, 8, 34, 0, 10, 42, 0, 18, 23, -6, 15, 20, 14, 15, 2, -5, -2, 10, -12, 1, 12, 16, -8, 3, 20, -1, -2, 3, 11, 3, 20, -3, 5, -5, 2, 1, 8, 10, 12, 9, 9, 3, 0, -10, 2, -8, 13, 16, 17, -2, 3, 3, -3, -8, -2, 3, 7, -8, -5, 7, -8, 5, 3, -5, -2, 5, -9, 2, 20, 8, 0, 0, 1, 11, -8, 3, -3, -6, -3, -1, 8, 6, 4, 0, -1, 0, 16, -14, -1, 1, -10, -4, 3, 5, 3, 1, 13, 0, -13, -4, 15, -5, -8, -5, -10, -12, 13, 20, 22, -7, 32, 2, -8, 8, -4, 3, 0, 6, 9, -3, 0, 6, 5, 4, 27, 30, 10, -14, -9, 2, 2, 8, -1, -2, -5, 9, 3, 8, 7, 3, -12, -43, 27, -38, -59, -1, -21, -48, -12, -1, 0, -4, -2, -9, 16, 1, 4, -13, -12, 3, 9, 5, 7, 10, -10, 12, 4, 0, 9, 13, -5, -11, 7, 9, 6, 19, -6, -2, 32, 17, 7, 29, 6, -6, -3, 0, -1, 2, 6, 11, -6, -3, -2, 4, 0, -6, 0, 4, 2, 11, 12, -4, -52, -43, -15, -30, -18, -9, 7, 19, -3, 2, 2, -6, 15, 14, 52, 6, 5, -12, 1, 9, 5, -1, 38, -2, -1, -11, 0, 8, 7, -8, 10, 28, 7, -7, 20, 20, -1, 0, 13, -7, 11, -8, 3, 18, -1, -13, -45, -32, 11, 4, 7, 5, 35, 8, 4, 1, -3, 5, 29, 30, 15, -26, -4, 12, 4, -13, -11, 16, -1, -5, -8, -4, 0, 10, -9, -2, 14, 8, -2, 7, 2, -8, -1, 17, 8, 6, 7, 7, 4, -3, -55, 15, -2, 8, 45, 5, -37, 15, -4, 2, 6, -4, 2, 17, -8, -13, 3, -1, -6, -7, -5, -13, -3, 14, 6, 0, -6, 5, 5, -14, -7, -9, -2, -2, 0, -9, 8, 1, -8, 5, -3, 0, 0, 14, 15, 1, -9, 12, 0, 7, 9, 5, 7, 4, 16, 5, -1, 19, 5, 3, 13, 24, -9, -7, -105, -32, -14, -77, -57, 16, -55, -13, 5, 3, 0, 1, 4, 6, 3, 4, 8, -74, -62, 44, -48, -33, 41, -8, -10, -12, 4, 11, 3, -6, 1, -7, 9, 2, 9, 0, -2, 6, 1, -2, -11, 12, 8, 8, -5, 7, -1, 8, 1, -14, 8, -8, 3, 6, 3, -12, 8, -4, -12, 0, 3, -14, 5, 26, 11, -26, -32, -6, -54, -64, -5, -3, -11, -1, 17, 6, 1, 5, 4, 5, 11, 4, 0, 5, 12, -7, -9, 8, -14, 19, 24, 2, 20, 30, -7, 27, 35, 36, -7, 5, -5, 5, 5, 8, 4, 0, 1, 1, -3, -4, -1, -6, 6, 16, 8, 7, 15, -8, 13, 1, 1, 11, -3, -6, -12, 4, 0, 0, 5, 4, 3, 11, 6, 8, 29, -3, 14, -2, 2, 15, 25, 0, 34, 10, -22, 6, 14, -6, 3, -20, 20, 13, 3, 12, -26, -8, 79, 20, 0, 19, -26, 3, 1, -9, 2, -21, -7, 7, 0, -5, -2, -2, -3, 1, -7, -8, -18, -21, -15, -6, -8, -6, -9, 2, -8, -9, 1, -7, 22, -21, 4, 12, -11, -3, 22, 16, -3, 0, -7, -6, -12, -3, -10, -6, 0, 6, 2, -1, 1, -3, 12, 9, -12, -3, 11, -6, -42, -24, -1, -14, 4, -1, -28, -10, -27, -20, -8, -26, -20, 1, -13, -29, -13, 9, -5, -8, -9, 2, -15, -7, 2, 13, -12, 0, 0, -7, 4, -8, 9, -2, 7, -7, -4, -2, -7, -7, 11, 7, -1, 10, 15, 7, -1, -2, 2, 4, -10, -9, 8, -3, 0, 5, -4, -11, -3, 4, 5, -9, -11, -1, -10, -1, -2, -5, -7, 2, -10, -5, 10, 2, -5, -5, 1, 7, -13, 2, -9, -12, -6, -3, 3, 7, 0, -2, -1, -4, 10, -14, -5, -4, -10, -7, -2, 8, 0, -4, 11, -4, -18, -5, 13, -10, -6, -10, -7, -7, -7, -19, -5, -12, -30, 3, -9, 5, -8, 3, -4, 6, 10, -7, 0, 7, -4, -1, -14, -42, -13, -13, -11, -4, 1, 7, -3, -2, -9, 11, 1, 2, 3, -13, 26, 39, -16, 44, 47, 4, 6, 35, -19, -9, -3, -9, -8, -9, 10, -5, 3, -8, 8, 10, 0, 10, -21, 8, 18, -1, -2, -6, 7, 6, -12, -12, 4, 1, 5, -30, -9, -14, -17, -18, -1, -7, -9, -9, -4, -3, -1, -2, 1, 9, -8, -5, 0, 4, -3, -6, -2, -1, 4, 8, 7, -4, 57, 45, 27, 36, 38, 9, -17, 2, 2, 1, -2, 9, -23, -12, -28, 1, 3, -1, -5, -4, 1, -16, -43, -10, 2, -16, -3, 10, -5, 1, 2, -37, -29, -3, -23, 1, -4, -3, 9, -10, -15, -2, -13, -10, 8, 11, 60, 21, -23, 15, -9, 0, -34, -19, -1, -6, -10, 9, -7, -39, -6, 43, 14, 9, -11, -9, 11, 8, -15, 14, 14, -9, 3, 5, -12, -3, -26, -25, -10, -7, 8, -11, -6, 13, 4, 1, 6, 3, 0, -3, 55, -16, -2, -19, -53, -3, 32, -19, -1, -3, 0, -3, -4, 9, -7, -15, -2, -3, 0, -7, 6, 1, -12, -2, 4, 21, 6, -1, -3, -14, -12, -18, -3, -7, -7, -8, 4, -4, -6, 3, -9, -1, -6, 5, 12, -2, -18, 12, -3, -2, 7, 4, -2, 2, -36, -12, -5, -42, -11, -5, -29, 4, -20, 7, 96, 25, 26, 85, 66, -18, 63, -17, -2, -8, -6, -7, -6, 2, -3, -4, 8, 62, 51, -44, 50, 36, -45, -2, -12, 1, 0, 8, 3, -15, -8, -9, 2, -3, 7, -9, -8, 1, 0, -1, -13, 3, 5, 3, -7, 3, 2, 7, 0, -12, 5, -9, 2, 4, -2, -13, 6, -10, -17, -4, -1, -13, -18, 0, -2, 13, 45, -4, 26, 66, 14, -10, -19, -6, 10, -3, -2, -4, -5, 3, -8, 1, 10, 4, -7, -1, -13, 3, -13, -17, -21, 1, -13, -14, -18, -31, -42, -13, -7, -2, -9, -5, 0, 9, 2, -7, -3, -4, -11, -8, -9, -16, 1, 11, -4, 5, -4, 6, 7, -6, 12, -11, 9, -1, 13, -2, -8, -4, 1, -3, 0, 3, -3, 3, -13, 19, -26, -19, 4, 6, -38, 9, -19, -8, 23, -4, -4, -15, 12, 18, 6, -1, 7, -30, 9, 0, -74, -42, -5, -11, 25 };
signed char f5loc[9216] = { 0, 13, 8, 4, -17, 4, 7, -10, -10, 11, 0, 4, -10, 9, -2, -8, 15, 0, -3, 1, 9, -30, 35, 11, -17, 25, 52, 10, 8, 7, -13, -10, 10, 13, 10, -11, -2, 2, -1, -9, -7, 10, 10, 48, -12, 12, -17, 18, 8, -9, 5, -13, 11, 14, -5, 1, -1, 3, 7, -6, 2, -5, 1, 13, -41, -19, 14, -69, -17, -9, -9, -15, 2, -2, -12, -13, 11, -3, 6, 8, 7, -5, -2, 10, -2, -17, 6, 6, -9, 9, -11, 11, -2, -10, 2, 47, -13, -26, 42, -13, -7, -5, -10, -5, -3, -4, 0, 7, 14, -37, 2, 4, -26, -7, -24, 21, -19, 7, -8, 9, -6, -2, 1, 3, 1, 4, 2, 43, -5, -22, 55, -17, -16, 44, -16, -4, 2, -6, 12, 9, 5, -8, 10, 9, -4, -13, 6, -4, -1, 13, -6, 10, 2, -14, 6, -5, 12, -13, -3, -11, 13, 10, -13, 19, 17, 19, 2, 0, -10, 10, 13, 14, -53, -13, 2, -45, -22, 0, -10, -3, 8, -2, 2, -5, 0, 0, 5, 14, 14, 0, -2, -8, -1, 7, 16, 12, -13, 8, 12, -10, -4, 5, 0, 12, -7, -3, -6, -16, 24, -20, -15, 16, -12, -20, 25, -15, -30, 6, 45, -1, -7, 32, -1, 12, -8, -1, 2, -14, -10, -8, 7, -25, -17, -7, 6, -2, -3, -23, -23, 7, -7, -6, 8, -11, 7, 1, -3, -9, -31, -15, 9, -10, 3, 5, 15, -10, 7, -21, -6, 9, 3, -3, 20, 12, 10, 21, -7, -4, -14, 3, -17, 11, -3, -14, 8, -5, 7, 10, -2, -8, -11, 9, 14, 7, 5, 2, -6, -14, 7, 4, -6, -8, -5, -4, -6, -10, -7, -2, 36, -9, 2, 27, -14, 17, 7, -5, 7, -7, 14, -5, 2, 11, 16, -2, -2, -4, 1, -2, 10, 5, 1, -10, 2, 7, 2, 11, 8, 19, 0, -2, -3, 9, -11, -15, 64, -22, -4, 16, -9, 16, -40, 3, -12, -9, 5, 4, 37, -9, -6, 52, 3, -19, 7, 18, -6, 6, 15, -3, -3, -5, -12, 3, -2, -8, 12, -12, 15, -8, 8, 9, -19, 13, 12, -9, 16, 12, -7, -1, -1, -6, 7, 10, -5, -11, 12, -15, -10, -13, 16, -15, -22, 20, -10, 6, -14, 1, -7, -11, 3, -4, 72, -9, -22, 47, -7, 6, 1, 3, 11, -36, 16, 10, -35, 8, 18, -28, 3, 21, 21, 3, 26, 47, -11, 0, 5, 13, -2, 10, -5, -8, 3, 6, -14, 16, -1, 13, 28, 2, 11, 7, -10, -14, -22, 25, -20, -30, 29, -9, -17, 22, 6, 1, -21, 13, 10, -20, 18, 7, 7, -2, 6, -10, 17, 15, 2, -8, -13, 9, 2, -3, 11, -22, 29, 14, -9, 13, 11, -11, -33, 2, 11, -38, 28, -7, -9, 1, -6, -3, 32, -5, 8, 10, 4, -3, 11, -2, 6, 6, 7, -5, -4, -5, 13, -9, 5, -1, 11, 19, -24, 8, 6, 7, -6, -7, -10, -1, -13, 8, 7, -14, -13, 28, 10, 14, -8, -10, 6, -6, -5, -16, 0, 5, 3, -13, -9, 6, -5, 8, 15, 0, 0, -29, 22, 32, -35, 30, 2, -22, -4, -6, -10, 4, 2, 6, -9, -10, 9, 0, 3, -10, 7, -4, -1, 2, 11, -10, 8, -24, 6, 12, 11, -19, -11, -4, -7, 3, -30, 29, 17, -32, 28, 26, -9, 8, -3, -5, -2, -5, -13, 6, -13, 11, -13, 12, 6, -3, -14, -1, 12, -5, 2, -1, -10, 9, -2, 1, -2, -13, 25, -4, 9, 2, 10, -19, -7, -9, -38, -28, 1, -4, -13, -4, 11, -10, 25, -29, -3, 12, -3, -1, -13, 7, 8, 5, -1, -3, 1, 0, -4, 7, -18, -16, -4, -33, 6, -3, -8, -9, -21, 10, 23, -13, 6, 7, -1, 0, -5, -14, 1, 12, 7, -65, 24, 32, -77, 5, 3, -9, -8, -12, -3, -23, 6, 1, -17, -10, -23, -4, -19, -48, 2, 13, -25, -17, 10, 5, 8, 4, -7, -15, 0, -10, 9, 12, -1, -6, 1, -25, 5, 10, -19, 10, 10, 10, 4, 6, -24, 8, 1, -21, -4, -3, -29, -19, -13, -5, 13, 9, 6, -10, -1, -16, 11, -4, -26, -2, 20, -15, -9, -1, 9, 1, -14, 12, 20, -24, 20, 21, 8, 24, -1, 8, 37, -6, 4, -22, 1, -4, -15, 14, 26, 3, -21, -44, -24, 5, 2, 9, -9, -11, -8, 1, 9, -8, 5, 3, -2, 9, -8, -11, -13, -12, -6, 9, -6, 0, -8, 7, -27, -12, 6, -28, 1, -5, -13, 11, -2, -17, 3, 8, 5, 13, 8, -17, -6, 7, -4, 3, 8, 2, 8, -2, 42, -2, 21, -13, 3, 4, -2, 4, 3, -12, 2, -7, 3, -14, 0, -10, -16, -44, 10, 30, -78, 28, 48, -25, 22, 6, 26, -15, -9, 21, -31, 9, 8, -27, 28, -17, 4, 10, -22, -8, 14, 5, -12, -14, 6, 2, -2, 4, -2, -1, 2, -12, 2, -4, -11, -1, 22, -9, -9, -7, -12, 10, 16, -18, 8, 9, -29, 41, 13, -25, 7, -13, 0, -12, -16, -5, -13, 2, 9, -6, 7, 12, 11, -15, -6, 14, -9, -6, -4, -12, -6, 15, -8, 15, -3, -2, 16, -14, -1, -5, -10, 8, 2, 8, 2, 3, 3, 4, 36, 1, 18, 60, -22, -12, 30, -1, -12, 8, 4, 8, -15, -9, 14, 2, 10, -12, -5, -14, 13, 13, 13, -11, -8, 10, 1, -5, 2, -4, -7, 12, -7, -16, 6, -9, 22, -6, -2, 41, -3, -6, 53, -21, 12, -1, -11, -8, 9, -7, 7, 6, -4, -12, -3, 7, -1, -12, 6, 6, -7, 9, 7, -6, 4, -6, -5, -3, -5, 15, 10, 9, 13, -14, 1, -2, -13, -14, -10, -5, 5, -10, 7, 8, 3, -10, 7, 10, -2, -21, -7, -7, 8, 1, 7, -5, -13, -9, -8, 9, -9, 7, 15, 10, 5, 23, -9, 9, -12, -4, -32, -20, 27, -30, -14, 10, -13, -5, 4, -5, -10, -8, 2, -15, 1, 2, -12, -1, -7, -9, -5, 3, -1, -22, 4, 17, 6, -2, 23, 4, -3, -12, 11, -4, 22, 7, -31, 39, 31, -2, 41, -3, -13, -4, 1, 0, -13, 3, 4, -1, 8, -6, 20, 13, 14, 20, 5, 14, -9, -13, -9, -7, 8, 1, 3, 18, -4, -7, 10, -4, 7, -7, -12, 6, -7, 4, 2, 0, 11, -7, 4, -11, 6, -12, 12, -3, -12, -17, 4, -2, -46, 1, 13, 8, 7, 8, -5, -2, 0, -42, 6, 27, -32, 4, 18, -9, -5, 4, 12, 14, 14, -1, -4, 9, -8, -9, -3, -31, -10, 5, -26, -19, 26, 18, 12, 0, 32, 36, -8, 40, 3, -6, 12, 0, -6, -10, -6, 3, 4, -9, -11, 4, 13, 5, -4, 2, -4, 7, -11, 6, -18, 3, 5, -58, -87, -21, 1, -19, -19, 7, 14, 14, -13, -4, 12, -2, 14, 8, -11, 10, -11, -24, -13, -3, -11, -19, 16, -2, -38, -11, -8, -5, -4, 17, -10, 1, -7, -4, 9, -2, -6, 12, 0, -4, 2, -11, -13, -27, -3, 50, 38, 9, -20, 17, 8, 6, 1, -7, 4, 3, 8, 9, -10, 0, 6, 1, 3, -25, -22, -32, -33, -6, 6, 22, 45, -19, -62, -50, 2, 28, 29, 14, -9, 9, -6, -23, -22, -7, -24, -12, 13, 0, -15, -13, -21, 11, 5, 14, 6, -13, -8, -8, 36, 53, 27, -6, -24, 5, -12, -53, 8, -11, -35, 4, 31, 56, 3, 8, -2, -4, 4, 7, 10, -12, 5, 4, -39, -43, -2, -13, -18, 2, 16, 29, -3, 7, -14, -13, -5, 0, 7, 9, 2, 10, 20, 45, 20, -7, 5, -8, 12, -50, -10, -5, -1, -20, -4, -1, 39, 4, -8, -8, 8, -1, 11, -5, -5, 9, -2, -1, 11, -1, 7, -7, 8, -3, 5, 14, -2, -4, -2, -15, -1, 4, -4, 10, -7, 7, -11, -12, -14, -2, -19, -33, -13, 8, 20, 15, -2, -3, 4, 16, 52, 40, -9, 29, -1, -22, 2, -3, 8, -13, -18, -15, -3, -8, 4, -34, -8, 9, 14, 6, -5, 10, 11, 2, -1, 3, 12, -10, 1, -7, 8, -15, 0, -9, 11, 4, 37, 7, 10, 15, -13, -5, -3, -2, -2, 3, -7, 59, -11, 7, -12, 17, -3, -7, 17, -10, 3, -10, 5, -13, 8, 8, -7, -11, 5, 0, -3, 1, -19, -28, -26, -37, -86, -35, 2, -9, -11, -2, 16, -20, 30, 61, 14, 9, -29, -4, 12, 18, 16, 13, -18, -11, 5, 11, 3, -28, -7, -10, 19, 9, -11, 18, 2, 16, -6, 7, 1, 2, -1, -1, 10, 11, 4, -21, 3, -12, 16, -6, -33, -1, -24, -4, -56, 6, -4, -16, 21, 12, 23, 47, 16, 4, -12, 11, 37, 76, 26, 24, 69, 15, -11, 2, 3, 6, 16, 10, -13, 8, 12, 8, -6, 9, 5, -11, 13, 3, 11, 0, -11, -2, 14, -16, -8, -8, -13, -13, -11, -2, -20, -1, 2, 5, -5, -15, -5, 3, -9, 5, 2, -20, -29, 18, 21, -3, -4, -5, -2, -35, -2, -23, -40, -6, 19, -8, -22, 24, -3, 2, -17, 18, 7, 5, -13, 10, -8, -5, 8, 10, 1, -12, 4, 2, -23, 8, 12, 10, 5, 5, 10, 8, 6, 7, -21, -28, -1, 25, 16, -6, 33, 27, 1, 6, 15, -33, -43, -13, -25, -26, -14, 8, -12, 2, -6, 0, 5, 22, -8, 1, -2, -5, -5, -5, 10, 9, 12, 4, 8, -4, -7, -10, 10, 37, 46, -2, 38, 25, -1, -5, -35, 14, 29, -8, -18, 23, 3, 5, 8, 11, -10, -9, -9, 3, -11, -14, -7, -16, 6, -4, -41, -30, 2, 3, -3, -14, -20, 8, -31, -42, -2, -1, 0, 0, -44, -4, -14, -22, -14, -1, -10, -13, 13, 6, -56, -15, 1, -25, -4, 11, 23, 6, -7, -28, -17, 22, 44, 14, 1, 38, -1, 11, 3, 8, 10, 6, 9, 8, -7, 14, -6, -18, -11, -33, -53, -36, -16, -44, -21, 35, 42, 20, -37, -4, -34, -1, -26, 15, -13, 4, -7, 30, 34, -2, 18, -1, 2, 8, -9, -12, 20, 15, -11, -6, 9, 3, -12, -9, -3, 3, -4, -11, 7, -3, 4, 11, 15, -1, 39, 18, 61, 5, 37, 31, -5, -9, -10, 2, 0, -3, 10, 2, 22, 11, 33, 20, 48, 25, 40, -7, -9, -1, -10, -9, 9, 11, -2, 0, 0, -11, -9, 9, 5, -19, 10, -2, -11, -8, -9, 25, 3, 32, -1, 65, 67, 7, -29, -22, -14, -3, 7, -9, 4, -36, 8, 9, 30, 9, 2, -26, 9, 25, 22, 4, 21, -16, 0, 0, -18, -4, -16, -17, -10, 7, 18, 13, -8, -2, -9, 13, 11, -5, 0, 6, -12, -5, 0, -34, -8, -6, -3, -9, 6, -1, -1, 0, -9, -2, -14, -20, 17, -17, -13, -2, 6, 16, -5, 6, 22, -2, 9, 24, 6, -12, -27, 7, 1, 7, 5, 29, 17, -51, -56, 14, -35, -45, -17, 2, 2, 13, -11, 9, -12, 27, 39, -21, 38, -43, 5, 6, 19, -1, 27, -6, 17, -20, -57, -19, -6, -1, -6, -7, 3, 9, 15, -8, 8, 0, 3, 9, -10, 14, -1, -7, -2, 0, -5, -4, -18, -7, -4, -8, -4, -7, -14, 9, -10, 0, -1, 2, -8, -12, 14, 2, 7, 13, 7, -8, -9, -2, 11, -16, 3, 6, 5, -5, 21, -14, -7, 2, 1, 5, -4, 12, -10, 11, 5, 13, 3, -8, -3, -6, -4, 2, 18, 11, 14, 21, 22, 15, -21, 15, 1, 5, -12, -12, -3, -6, 6, 25, 24, -8, 15, 113, 41, -14, 19, -7, 11, -1, -13, 0, 6, 4, -3, 4, 5, -9, -9, -10, -8, -11, 13, -7, 12, 0, -5, -39, -4, -20, 11, -20, -9, 26, -7, 8, -9, -2, -14, -7, -16, -7, 2, -13, 13, 1, -3, -2, 1, -18, -4, -13, -15, -12, -6, 16, 1, 5, 26, 6, 2, -1, 10, -7, -1, 13, -4, 3, 3, -4, -13, -33, -10, -16, -2, -5, -9, 37, 18, 14, -7, -9, -11, -9, -1, -1, -8, 0, -6, 14, 11, -7, -9, -14, 0, 13, -2, -12, -5, 14, 10, -12, 4, -23, -1, -21, -10, -15, 18, -20, -3, 21, 20, -9, -45, 34, 2, 4, -2, 7, 2, 10, 8, 1, 2, 10, 15, 11, 12, 39, 18, 1, 20, -7, 17, -34, 7, -11, 29, 0, -11, 18, -20, -5, -10, 3, 5, -6, 5, -5, -4, 1, -13, 12, -2, -1, 21, 11, 1, 6, 6, -2, 5, 14, 14, 30, 9, -1, 6, -5, -15, 11, -6, -7, -13, 8, 3, 15, -12, 20, -27, -2, -3, 12, 0, 1, 12, 9, -9, 2, -10, -9, 6, 5, 1, 10, 14, 12, 11, -13, -3, 5, 15, 3, 0, 1, 2, 2, -9, 74, 65, -3, 21, 4, 17, -42, -59, -12, 8, 7, 11, 16, 49, 13, -11, -7, -4, 15, -4, -13, -10, 14, 0, -12, -9, 1, 5, -9, 1, 8, -2, 2, 8, -110, -44, -7, -22, -20, -3, 35, 51, 3, 6, -12, 58, 30, 24, 12, 36, 41, -10, 0, 2, -3, -11, -1, 0, -4, 10, -11, -24, 0, 23, 19, 5, -19, 59, -1, 7, -27, -7, -17, -32, -11, 31, 44, 15, -5, -6, 2, -8, -8, -6, -8, 2, 2, 1, -20, -14, 5, 7, -6, 14, 6, 15, 14, -2, 7, -7, -10, 4, 22, -2, 4, -5, 10, -2, -6, 1, 1, -13, 0, -8, -1, 11, -4, -8, 8, 8, 9, -1, 6, 16, 4, 13, 29, 28, 10, 30, 31, 27, 13, -14, 13, -2, -10, -8, -4, -12, -6, 34, -5, 8, 22, -20, -12, -5, 3, 2, -4, 0, 10, -4, -6, 6, 5, -9, 10, 9, -11, 4, 8, 3, -2, 1, 5, 6, 17, 14, 10, 16, 11, 17, 19, 17, 23, -12, -13, 7, 11, 3, 2, -14, -8, 12, 15, 3, 5, 2, -9, -3, 6, 19, 12, 16, -2, 16, -22, -39, 10, -8, -15, 9, 6, -18, 1, 13, 2, 5, 2, 8, 21, 5, -5, 6, -25, -56, -25, -25, -41, -14, 3, -19, -8, -6, -18, -10, 12, 1, 9, 0, -37, 5, -28, -85, -5, -13, -67, 12, 5, -3, -8, 4, -6, 11, 9, 0, 0, 1, 9, -15, -6, -4, 9, 12, 12, 4, -5, 6, 9, 11, 6, 2, 12, 1, -5, -22, -42, -19, -18, -33, -30, -21, -78, -20, 1, 3, 1, -11, -4, -9, 2, 6, 7, -3, 2, -2, -4, -4, 11, 13, -1, 12, -8, -15, -14, -1, -1, -1, 4, 7, -8, 6, -1, -6, -10, 12, 7, -6, 4, -4, -6, -8, -10, -12, -41, -19, -21, -37, -8, 7, -12, 12, 5, -3, 12, -1, -4, -3, 4, -13, 0, -18, -4, 4, 15, 5, 5, 0, 8, 10, -9, 3, 1, -12, 6, -2, -3, -10, 1, -5, 2, 17, 4, -7, -1, -12, -11, 0, 6, -5, 3, 1, 1, 9, -8, -3, -2, -3, -9, -10, 3, -1, 11, 10, -1, 2, 13, -9, 8, 1, 10, -4, 14, 7, -11, 2, 11, 1, 8, -3, -12, 0, -12, -10, -3, 9, -5, 10, -8, 9, -13, -19, -20, -9, -17, -28, 1, -27, -5, 1, 18, 8, 5, 15, 4, 15, 21, -7, -7, -15, -5, -15, -18, -4, -16, -32, -13, 12, -4, 10, -5, -3, -9, -3, -12, 2, -7, -24, 3, -6, -18, 1, 15, -7, 3, -9, -46, 0, 0, -58, 2, -18, -33, 5, 22, -5, 7, 9, -5, 7, -9, -4, -3, 8, -7, 7, -12, -7, 11, 9, -9, 1, -12, 10, -9, 4, 4, 7, -2, -11, -2, 2, -6, 9, 1, 9, 17, 0, 4, 1, -23, -20, 0, -19, -24, -16, -10, -9, -6, 0, -22, -3, -5, -2, -3, 14, -8, 5, 13, -13, 13, 0, -4, 1, -13, 2, 3, 12, 7, 10, 16, 11, 10, 18, 22, 3, 11, -7, -6, 12, 11, -10, 0, 7, 8, 16, -35, -14, -18, -30, -3, -3, -16, -16, -3, 16, 12, 7, 16, 12, 11, 15, 16, 2, 4, -1, -7, 16, -19, 10, -6, 10, -1, -4, 0, -7, -16, -10, -20, -14, 5, 14, 9, 1, 21, 19, 1, 22, 0, 16, 8, 17, 26, -10, 13, 30, 10, -3, 9, 4, -14, -3, 9, -25, 3, 0, -13, 7, -2, -6, -7, 8, 0, 9, 0, -10, 6, -9, 10, 2, -7, -16, -9, -5, 5, -5, 5, 13, -11, 7, 12, 23, 27, 19, 10, 5, -10, 6, 1, -27, 2, -17, -32, -11, 7, -20, 6, -11, -25, -13, -8, -13, 8, -21, -38, -20, -19, -44, -23, -5, 2, 6, 6, -2, 11, 4, 4, 9, 2, -2, -3, 2, -5, -8, 1, 5, 10, 5, 7, 9, 12, 11, 5, -31, -16, -17, -14, -29, -17, 17, 25, 18, 23, 16, 17, -5, -1, 15, -9, 0, 14, -1, 1, -1, 4, 17, 17, 9, -6, 20, 3, -8, 7, 5, -6, -4, -4, -28, 6, -5, -35, -12, -6, -7, 9, -5, 9, 23, 5, 23, 15, 7, 1, 5, 3, 2, 9, 1, 0, -7, -10, 1, 6, 6, 3, -11, 1, 9, 8, 10, -9, -1, -2, 13, -6, -5, 11, -7, 8, 15, 5, 15, 6, 5, 17, 24, -1, -20, -2, -13, -7, -52, 7, -2, -58, -5, -7, -52, -15, 0, 5, -2, 6, -14, 3, 0, 2, 20, 25, 41, 16, 27, 52, 15, -8, 42, 31, -4, 2, -8, 0, -8, 3, -7, -12, -7, -8, -10, 9, 1, 24, 1, 0, 1, 12, -1, 1, 12, 6, -15, 10, -21, -23, -30, 5, -8, 11, -7, 16, 0, -6, 3, -6, 0, 26, 17, -6, 17, 2, -18, 26, 18, 5, 2, -6, 19, -5, 5, 14, 2, 11, -4, 4, 13, -9, 19, 19, 20, 2, 19, -10, -21, -2, -35, -11, 1, 10, -5, 17, 5, -6, -9, 9, -10, 2, 10, -6, -8, 11, -3, 6, -2, 0, 8, -5, -8, -10, 2, -2, -17, -9, -22, -20, -6, -32, -14, -7, 4, 2, 12, -13, -1, -11, -7, -8, -15, -4, -3, -13, -2, -21, -14, -3, 10, 1, 45, 4, 19, -22, -19, -2, -13, -10, 14, -10, 1, 8, 4, -12, 9, 6, 8, 37, 32, 26, 47, 46, 43, 11, 18, 26, -2, -5, 6, -11, -39, 6, 13, -39, -17, 12, -7, 11, -7, 4, -6, 5, 0, -4, -10, -10, -11, -2, -13, 0, -5, -11, 12, -5, 0, -5, -9, -6, -14, 2, -11, -3, -2, -23, -19, -1, -79, -28, 12, -35, -9, -7, -1, 6, 4, -8, -10, 0, -9, -4, -7, -11, -2, -5, 3, -2, -9, -7, -12, 15, 32, 15, -9, 6, 23, -5, 4, 0, -17, 6, -12, 2, -14, 0, 14, -9, 2, 12, 14, -4, 18, 33, 0, 44, 15, 7, 2, -10, -4, -9, 13, 8, 12, -6, -4, 2, 4, 10, 8, 1, 9, 13, -5, -14, 5, -12, -11, 10, -1, 4, 6, -8, 5, -8, -26, -10, -12, -22, -11, 3, 0, -26, 5, -10, -7, 5, -12, 14, 7, 0, 11, 19, 10, 27, 9, -1, 11, -12, -4, -10, -6, -15, -20, -5, -4, 2, -11, -6, -13, 3, -5, 4, 8, 7, -10, 9, -7, -8, 4, -1, 3, -10, -14, -2, 0, -5, 9, 19, -6, -10, -2, -12, -15, 15, -14, -3, 10, -9, 9, -6, -10, 11, 3, 12, 5, -10, 18, -1, 24, 9, 9, 4, 3, 9, -15, -10, -18, 3, -10, -4, 13, 10, -1, -12, -8, -5, 10, -4, -1, 12, -8, -1, 13, -1, -17, 28, -8, -15, 9, -11, 6, 26, -9, 15, 30, -3, 23, 21, 7, 1, 10, -6, 5, 12, 8, 10, 0, -9, -16, 10, 16, 2, 20, 7, 12, 27, -3, 18, 3, -15, 6, -10, -49, -3, 7, -21, -7, -13, -29, -5, -22, -25, -15, -5, -9, -23, 5, -1, 4, 13, 4, -6, -3, 11, 3, 12, -9, 9, -1, -18, 2, -17, 2, -13, -5, 0, -13, -11, -29, -9, -21, -14, -6, 8, -8, -2, 0, 11, 9, -12, 4, -4, -20, -42, -17, 14, -30, 0, -3, -37, 6, 10, 19, 19, 13, 10, 15, 24, 5, 9, -1, 10, 3, 12, -11, -9, -2, 5, 0, -7, 13, -10, -6, -5, 8, 4, 3, 10, 22, 13, 13, 28, 45, 12, 30, 34, 15, -9, -4, 10, -1, 7, 10, -1, 1, 5, 20, 3, 5, 12, -11, -17, -3, -1, -9, 9, 40, 12, 8, 39, 7, 10, 27, 19, -9, -9, 9, 14, 5, -8, -9, -1, 1, 16, 29, 16, 4, 9, 8, 13, 21, 10, -9, 5, -4, -11, -13, 14, 8, 0, 13, -10, -6, 9, -7, -1, -25, 1, 21, 17, 24, 47, 28, -24, -46, -31, -28, -43, -44, 14, -3, 5, 5, 11, 10, 11, 24, 20, 6, 0, -13, -27, -51, -32, -13, -14, 3, -8, -11, -12, -32, -27, -27, 7, -6, 6, 20, 23, 0, 2, 7, -3, 22, 37, 17, 2, 8, 1, -6, -9, 5, -13, 6, -7, 31, 26, 8, 17, 16, -7, 10, 37, 15, 6, -12, -7, -8, -14, 3, -4, 6, 14, -4, 13, 12, -4, 27, 0, 19, 19, 23, 11, 11, 24, -9, -4, -4, 4, -3, 8, -1, -1, 5, -12, 11, 5, 8, -3, -12, -10, 5, -14, -7, -4, -2, -5, -7, 7, 4, 7, 9, 11, -12, -8, -13, -4, 5, 23, 27, 8, 23, 39, -16, 19, 32, -11, 1, 10, 7, 3, 9, 13, 4, 11, -8, -10, -9, -15, -12, -6, -4, 13, 0, -5, 8, -8, -11, -15, -5, -18, -9, 5, 9, -3, -6, -2, 6, 18, 17, 8, 6, -5, 15, 23, 7, -8, 10, -9, 11, 6, -7, -1, 2, 9, -8, -1, -8, 33, 3, 11, 1, 0, 5, 12, 9, 2, 5, 8, -5, 1, -6, -8, -12, -3, -4, -8, 2, 8, 24, 12, 16, 20, 55, 25, 10, 42, 0, 14, 17, -1, 14, 17, -28, 0, -20, -4, -2, -1, 0, 17, 5, 12, 0, 5, 5, 12, 5, -3, 4, 7, -2, 2, -1, -8, 14, 17, 16, 5, 16, -10, 16, 13, -6, 9, -7, 16, -8, -19, 4, 0, 4, 10, 31, 15, 13, 16, 12, 2, 15, 13, 12, 24, 38, 28, 16, 63, 18, 8, 46, -4, 15, 11, -1, 0, 10, -10, 6, 9, 1, -14, -17, 0, 6, -14, 2, -8, 6, -1, -6, -8, 8, 4, 8, 13, -1, 23, -2, 4, 2, -6, 3, -15, -13, -16, 8, -12, -8, -12, -3, -36, -30, -16, -23, -2, -5, 8, 15, 24, -4, -3, 3, 14, 7, 3, -5, -8, -14, -4, 2, -2, -22, -21, -2, 7, 7, -13, -7, -4, -9, 0, -3, 4, 8, 25, 4, 6, 5, 2, 11, 0, -8, -6, 23, 1, 9, 17, 11, -5, 29, 18, 7, -7, -8, 11, 0, -19, -2, -9, -12, 10, -4, 13, -11, -3, -11, -4, -12, 6, -20, -5, -14, -6, -8, 4, 9, 5, -2, -1, 18, 33, 8, 27, 39, 14, 27, 15, 0, 35, 38, 0, 29, 13, -10, 28, 22, 8, -1, -5, -13, 5, -14, -6, -8, -1, 15, 15, 19, -3, 13, 14, 5, 8, 3, 1, 6, 2, 12, 20, 20, 19, 29, 27, 28, 25, 7, 12, -2, 19, -10, -21, 12, -1, 14, 8, -1, 25, 13, 13, 30, 7, 12, 21, -9, 2, 14, -3, 10, 28, 17, -11, 0, 0, -5, -4, -4, 3, 8, -3, 0, 16, 11, 22, 25, 34, -4, 27, 21, 19, 3, 11, 2, 0, -10, 14, 10, 11, 11, 10, -4, 6, 5, -8, -1, 4, -11, 10, 3, 7, 4, 14, 7, -5, 24, -10, -5, -1, 10, 3, -14, 2, 3, 12, 12, 12, 1, 2, 20, -16, -11, -5, 21, 14, -1, 10, 6, -11, 9, -14, -13, -9, 10, -16, 12, -2, -8, -24, -18, -4, -9, -12, -9, -8, -1, 2, 11, -3, -6, 10, -1, 8, 10, 6, -5, -9, -3, 9, 5, 6, 6, -7, 5, 23, 21, -1, -22, -22, 2, -2, 23, 8, 6, 34, 16, -4, 8, 16, -13, -10, 8, -1, -9, -17, 9, 1, -8, -7, -7, -14, -8, -16, -16, -28, -15, -35, 3, 20, 1, -1, 13, 1, 0, -3, -10, -4, 1, 25, -2, 15, 10, 2, 15, -4, -3, -7, -2, -2, 1, 8, 9, 6, 1, 6, -1, -2, -4, 15, -2, 15, -16, 0, 14, 26, 28, 16, 3, -2, -14, 19, 8, 19, 30, 12, 29, 20, 4, 15, 14, 7, 20, 6, 14, 22, 26, 4, 29, 15, 7, -20, -30, -4, -60, -6, -6, -10, -19, -5, 8, -7, -3, -11, -15, -12, 6, 2, 7, 4, -12, 4, 0, 0, 12, -6, 0, -8, 15, -5, 16, -4, 2, 11, -7, 4, 6, 6, 10, -11, 7, 4, -5, -12, 12, 3, -2, -1, -17, -6, -12, 2, -2, -3, 5, 13, 22, 25, 1, -30, -22, 6, -9, 6, -5, 7, 4, -4, 14, 0, -3, -4, -2, 12, 5, 1, -2, 6, 10, 4, 14, -6, -3, 23, 4, -12, 0, -2, 1, -22, -22, 22, 30, 23, 11, 70, 23, -6, 32, -1, 3, 2, -2, -5, -15, 13, -15, -5, -4, -13, 15, 1, -15, 0, -3, -7, 2, -15, 17, 1, -7, 12, -45, -25, 27, 15, -2, -8, -1, -8, -17, 7, -14, 5, -13, -1, 7, 1, 5, -9, -4, 2, -9, -8, -2, 18, 15, 4, -28, -13, 12, -10, 3, -5, 0, -3, -1, 11, 11, 5, -3, -2, -13, 17, 11, 1, 23, 16, -8, 27, 12, 0, -3, -4, -6, 8, 11, 5, -10, -3, 1, -11, 15, -1, -4, 11, 12, -2, 7, 13, -1, -2, -7, -7, 6, 4, 0, -10, 12, -6, -23, 8, -9, -25, 13, 2, 4, 9, -4, -11, 12, 6, 9, 2, 12, 12, 4, 9, 7, 9, -5, 5, 22, 6, 21, -4, 2, 32, -17, 12, 52, -6, 11, 19, 1, 14, 20, 6, 5, 9, 12, 10, 19, -3, 16, -12, 3, -7, -12, 4, 16, -1, 12, 3, 21, -4, 1, 28, 15, 6, -5, 7, -6, 10, 5, -16, 11, -10, 7, 1, 7, 3, 8, 20, 10, 5, 18, -5, 12, 12, -14, -8, -7, -13, 4, -7, 4, 0, 14, -13, -5, -7, -2, -2, 8, -9, -6, 2, 13, 27, 14, 41, 45, 26, 18, 23, 15, -4, -15, 1, -22, -30, -1, -16, 2, 3, 14, -9, 1, -8, -6, 8, -11, 4, 11, -3, 2, 2, -13, -8, -14, -16, -12, 6, -8, 58, 47, 6, 34, 30, -1, 56, 31, 16, 1, 17, 35, 13, 12, 18, 26, 22, 7, -8, -11, 3, 11, 3, -8, 15, 3, 11, 8, 11, 6, 5, 1, 8, 5, -13, -2, -20, -12, -28, -57, -35, -27, -35, -17, 11, -2, 0, 4, -3, -10, 1, -12, 1, -17, -12, 10, 9, 11, 26, -5, -21, 8, -2, 3, -17, 14, 1, 5, -8, 10, -4, -1, 0, -7, -1, 8, -5, 12, -10, 2, 0, -7, 0, 14, 9, 8, -7, 6, 8, -20, 16, 3, -21, 33, 41, -9, 13, 64, -1, -8, -7, 7, -9, 13, 9, 10, -8, 5, 9, -2, 21, 23, 3, 16, 46, 4, -11, -1, -10, -9, 1, -2, -6, 5, -3, -6, -7, 3, -2, 13, -9, 10, -12, -4, 10, -54, -11, 11, -66, -11, -14, -14, 0, 6, -2, 1, 12, -4, -2, -13, 3, 1, -8, -6, 2, 5, -4, -13, -10, -12, 10, -3, -5, 23, -5, -4, 15, -13, -16, 15, 0, -11, -11, -16, -19, -1, -17, -19, 7, -6, -27, 4, 10, -42, 13, 3, 3, 6, 7, 8, -9, 1, 6, -7, 3, 6, 2, 17, 24, -12, 4, 50, -4, -1, 39, 6, -1, -6, -2, -2, -13, 5, 7, 0, 9, -3, 4, 10, -10, 6, 17, -10, 20, 34, 10, 14, -9, -5, 3, -9, -9, 13, -9, -10, 22, 5, 6, 39, 6, -13, 16, 26, 17, -66, -12, 32, -65, -27, 7, -41, -8, 1, 2, 1, 11, 10, -9, -2, 5, 14, -16, -8, -10, 11, -9, 5, -7, 13, 10, 2, 13, -8, 11, 7, 5, -7, 13, -2, -10, 31, -7, -10, 10, 3, -21, 23, -3, -14, 5, 16, -20, -3, 37, 5, -1, -2, -1, 2, 1, -16, 5, 9, -22, -4, 2, 2, -8, 8, -17, -6, 6, 8, -11, 3, -4, 0, 2, -10, 21, -11, 3, 12, -5, -1, 6, 0, 10, -7, 7, 8, -6, -11, -3, 27, -1, -1, 33, -2, -8, 5, 4, 5, -3, 9, -4, 8, 5, 7, 14, -12, 6, 11, 0, -10, 4, 7, -6, -2, -14, -4, -7, 9, -14, 0, 10, -3, -14, 7, -3, 26, 0, 1, 25, -12, -6, 12, -15, -9, 14, 16, 10, 14, 16, 5, 27, 5, 6, 2, -1, 9, 14, 8, 14, 4, 6, 8, 11, 4, 5, 21, -2, -6, 4, 6, -4, 66, -7, 12, 6, -13, 11, -45, -1, -8, -5, 9, 6, 22, -17, 4, 51, -5, -2, -1, 21, 0, 3, 10, -18, -3, 20, 8, -6, 9, 6, 7, 4, 12, 13, -11, 7, -7, 6, 3, -19, -9, 3, -17, -7, 3, -17, 14, -6, -20, -6, -10, -24, -9, -6, 9, -5, -5, 6, -8, -7, -2, 9, -3, 13, -2, 7, 29, -9, 2, 51, -7, 7, -5, 0, 3, -19, -8, -16, -33, -6, 16, -11, -3, 15, 33, -1, 16, 47, -1, 8, 8, -5, 12, -12, 14, -7, -1, -7, -13, 31, 8, 13, 46, 3, 8, 26, -6, -49, -14, 10, -54, -14, 6, -16, -34, 14, -2, 17, 5, 5, 29, 11, 12, 21, 7, -1, 29, -2, -8, 14, -2, 10, -9, 8, -33, 18, 14, -34, 13, 48, -19, 10, 60, -17, -22, -15, -18, -24, 0, 10, -18, 8, 2, -13, 3, 15, -14, -2, 11, -26, 7, 18, 5, 3, -5, -6, -9, -6, -8, -10, 10, -19, 17, -2, -31, 19, 7, -20, 16, -8, 3, 13, -31, -2, 20, -38, -2, 19, 1, 1, -9, 0, -9, -8, 4, -1, -12, -18, -6, 9, -10, 9, 27, -15, 8, 26, -3, -9, -11, 3, 6, -6, 6, -13, -12, 1, 0, 12, -1, -13, -10, -10, -12, -10, 0, 0, 4, 2, -5, 8, 0, 5, 10, -10, 1, -3, 5, 2, -10, 3, -5, -16, 4, -4, 24, -4, 13, 22, -15, 15, -1, -36, -16, 27, -30, -15, 21, -33, -7, 15, 10, 8, -8, 12, 11, -15, 10, 7, -11, 5, 6, -3, 5, -2, 11, 12, 3, 5, -8, -27, -15, -7, -33, -14, 7, -8, -10, -7, 6, -9, 15, -11, -15, -9, 4, -6, -11, -9, -6, -2, 3, -10, -10, -10, -9, 5, -25, -14, 19, -42, -2, 18, -13, -4, -21, 6, 38, -28, 22, 25, 4, 2, 8, 0, -35, -3, 19, -54, 2, 14, -73, -10, -5, -15, -3, -3, 0, -16, 9, -3, -22, -34, -20, 17, -57, -27, -2, -22, -43, 3, 2, 4, 17, 10, -6, -20, -6, -12, 2, 16, -10, -10, -4, -19, -3, -10, -4, -16, 8, 1, 12, -6, -2, 0, -3, -4, -1, 3, -21, 8, 13, -31, 6, 3, 4, 9, -45, -20, 20, -67, -24, 2, -30, -16, -4, -10, 13, -16, -1, 15, 20, -5, 9, 14, 6, 12, 5, 0, 21, 8, 3, -5, 10, -8, -4, -3, -7, -31, -18, -45, -23, 7, 1, -5, 4, 3, 7, -11, -10, 6, 10, -11, 8, 10, 3, 10, -13, 12, -3, 0, 11, -5, -18, 10, -34, -11, 12, -27, 0, -10, -4, 20, 4, 7, -2, 0, 2, 7, -11, -21, -6, -7, -2, 0, -12, -9, 7, 5, 35, 39, 7, 37, 5, 3, 11, 4, 0, 5, -12, 1, 14, 3, 10, -4, -11, -35, 3, 61, -29, 3, 92, -50, 2, 70, 0, -12, 11, 14, 0, 3, 3, -7, 7, -37, 2, 21, -42, -6, 24, -5, -12, 13, 1, -2, 12, -11, 4, -11, -10, 11, -7, 16, -11, -9, 10, 14, -9, 2, -2, 7, -2, 6, 0, 1, -3, 3, 2, 3, 6, 2, -3, 1, -7, 14, 6, 15, 11, 5, 7, -3, -4, -11, -4, -11, -7, -15, -4, -31, -8, 19, 9, -37, 29, 13, -19, 8, -9, 2, 7, -8, -10, 14, -3, -11, 9, 10, 27, -8, 3, 34, -8, 14, 41, -24, 1, 0, -11, -3, -8, -13, -12, -2, -7, -14, -13, 6, 11, -3, -2, -8, 6, -2, -11, -12, -11, 10, -1, -6, -15, -4, 2, -6, -14, 0, -4, -9, -13, -5, 34, -23, 3, -3, -15, -1, 6, 12, -2, 4, 7, 0, -9, -7, 2, -17, 5, -8, -11, 4, -14, -9, 27, -13, 17, 33, 4, 12, 22, 6, -5, -10, -3, -14, 5, 5, 13, 11, 9, -6, 8, 6, 15, -10, 10, 32, 2, -21, 2, 0, -11, -8, 4, -15, -3, 4, 7, 15, 7, -11, -6, -5, -7, 20, -8, -6, -28, 4, -34, -9, -11, -29, -8, -1, -11, 11, 1, 6, -6, -1, -4, -12, -3, 1, 0, 4, -10, -34, -9, -8, -31, -1, 9, 34, 6, -5, 40, -19, 4, -1, 10, -3, 26, 3, -8, 27, 30, 1, 29, 9, -12, 4, 10, -3, -9, 11, 11, 8, -1, 17, 6, 12, 17, 32, 4, 23, 20, 3, 9, -10, 8, -32, -12, 28, -13, -18, 22, 2, -7, 4, 2, -14, -1, 7, 1, -8, 11, -14, 6, 1, -8, -13, -2, -13, -16, -30, -5, 4, -42, -3, 1, 0, -8, 4, 4, -10, 2, -9, -7, 22, -23, -3, 27, 5, 14, 3, -1, -6, 0, -9, 7, -10, -2, -24, 0, -21, -19, -2, -10, -16, 14, 0, 39, 4, 22, 52, 0, 16, 37, -8, -8, -12, 11, 0, 0, -9, 5, -2, 10, 13, -6, 1, -10, 7, 8, -6, 5, -8, -30, -34, 5, -55, -83, -41, -12, 3, -6, 11, 0, -3, 6, -13, -3, -10, 13, -1, -31, 14, 4, -15, -24, 5, -7, -30, 2, 0, -10, -11, 2, 3, -21, 13, 0, 15, 9, 4, 1, -2, 6, -3, 7, 6, -5, -14, -4, -8, -14, 42, 19, 18, -3, 14, -11, -2, -13, -5, 11, 1, -6, 8, -8, 24, 11, 8, -14, -43, -28, 2, -20, -9, 14, 29, 9, 5, -15, -22, -10, -13, 5, -10, -44, -60, -16, -49, -20, -7, -24, -12, 11, 7, -5, -12, 14, 16, 7, -3, 1, -1, 15, 4, 31, 21, 11, -5, -30, -12, -3, -8, 7, -13, -29, 1, 8, 18, -3, 12, 1, -10, 5, 14, -8, 4, 12, 9, -39, -55, -10, -16, -17, -13, -19, -8, 18, 0, 2, 1, 9, 13, -4, 13, -6, 12, 15, 36, 24, -1, 20, 2, -8, -36, -20, -5, -17, -26, -2, 8, 14, -3, 3, 5, -3, -2, 0, 3, 9, 6, 2, 0, -3, -3, -13, -7, 13, -2, -3, 6, -3, 4, 0, -4, 5, 3, -2, -6, 5, 11, -6, -42, -28, -10, -14, -9, -1, 14, 8, 2, 3, 4, 5, 16, 48, 32, -5, 22, -4, 8, 2, -4, -18, -18, -25, -25, -23, -15, 9, -10, -9, 14, 3, 12, -5, 15, 29, -2, -1, -13, -5, -5, 1, 9, -1, 11, 3, 0, 21, 4, 22, 5, -2, -3, -13, 5, -5, -6, 10, 11, 0, 21, 6, 3, -2, 14, 2, 1, 15, 3, -7, 8, -13, -10, 13, 9, 4, -3, 7, 6, 9, -13, -72, -107, -40, -52, -69, -28, -9, -7, -12, 1, 11, 3, 31, 53, 18, 8, 2, -13, 13, -2, 6, 29, -1, -2, -4, 10, 3, 1, 10, 3, 0, 2, 7, -5, 13, 7, -30, -17, 3, 8, 10, -4, 27, 33, 14, -9, 12, -15, 20, -23, -21, 2, -13, -3, -10, 9, -6, -10, 12, 16, 5, 10, 12, 15, 22, 0, 37, 42, 29, 54, 81, 36, 3, -2, -9, -13, 11, 11, 4, -5, 4, 10, 13, 18, 5, 8, 4, 5, 6, 1, 8, -24, -30, -9, -3, 9, -10, 4, 15, -10, 5, -7, -7, 6, -2, 3, -7, -9, 3, 15, 12, -20, -23, 11, 0, -16, -3, 6, 0, -28, 2, -24, -20, 1, -7, -14, -27, 22, -4, -17, -9, 25, 3, -4, -6, 11, -13, 2, 9, 11, 12, -4, 12, 8, -13, -13, 11, 12, 7, -4, 3, 14, -2, -7, -5, -4, 3, 13, 21, 6, 24, 15, -18, -14, 2, -11, -22, -17, -4, -20, -21, 2, -19, 7, 3, 9, -8, 3, 1, 1, -19, -1, -7, 4, 3, 13, -9, -8, 12, -9, 10, 6, 7, 46, 44, -7, 36, 64, 8, -6, -19, 14, 10, 15, -4, 13, 9, 5, -10, -8, 1, 7, -12, 7, 4, 10, -8, -9, -12, 22, -27, -19, -1, -19, 5, -16, -61, -24, -43, -49, -37, 1, -21, 9, -9, 4, -3, 11, 14, 16, 7, 0, -5, -20, -13, -24, -11, -8, -10, 8, -3, 18, -7, -5, -12, 13, 12, 6, 42, 41, 11, -10, -12, -10, -13, -4, -10, -3, -3, 11, -17, -65, -77, -11, -47, -44, -7, -13, -20, 21, 32, 13, -13, 16, -22, -13, -24, 8, -1, 3, -1, 23, 24, 15, 24, 21, -1, -10, -24, -12, 13, 17, 10, 22, 45, 26, 8, 2, 8, 16, -1, -12, 5, -9, 10, 10, 15, -2, 36, 33, 51, 20, 0, 38, 6, -6, -12, -7, 3, 13, 2, 10, 36, 15, 23, 1, 55, 39, 39, -8, -11, -8, 12, 14, -9, 8, 10, 10, 12, -10, -6, 9, 1, -11, -7, -9, -6, -1, 11, 9, 6, 20, 17, 65, 56, 30, 11, 19, -11, 5, 4, -2, 5, -21, 3, 7, 0, 9, 12, 5, 1, 26, 20, 9, 2, -10, 15, -15, -15, -15, -4, -11, -1, 17, 11, 0, -17, -19, 8, 5, 9, -10, 15, 1, -5, 14, -20, -4, 0, -6, -6, -11, 6, -25, -11, 1, -2, 11, -10, -11, 4, -8, -11, -13, -5, 7, 4, 28, 14, -9, -7, -2, -13, 3, 2, 10, 25, 8, 30, 47, 18, -30, -44, 8, -33, -24, -10, -8, -13, -2, -4, -20, -33, -3, 21, -14, 18, -13, 11, 22, 12, -3, 7, -30, -1, -46, -52, -20, 7, -8, 0, 12, 8, 9, -3, -2, -9, 1, 3, -10, 0, 2, -12, -4, -3, -12, -2, 7, -9, 2, -27, -12, -11, -1, 2, -5, -3, 2, 3, -17, -10, 6, 1, -7, 0, 16, -3, -2, 12, -1, 8, 4, 0, -6, 15, 14, 31, 39, 4, 47, 25, 6, -9, -4, 3, -4, 9, -11, -1, -13, -12, -12, 2, -6, 19, 8, 7, 27, 26, 24, 0, 3, -19, 3, 13, 17, -12, 2, 26, 5, -8, -17, 42, 69, 47, 41, 127, 79, 5, -1, -7, 6, 13, -7, -10, -6, -6, 2, -6, -10, 0, -10, -5, 13, 5, 3, -29, 5, -4, -7, -14, -23, -7, -14, -18, 9, 10, 15, -6, -2, -15, 0, 6, -3, -13, 8, -6, 9, -4, -3, -12, -1, -9, 1, 4, -14, 0, 32, 19, -12, 28, 56, -5, -6, -1, -4, -12, 7, -14, -1, 9, -2, -23, 6, 2, 4, -7, -3, 30, 5, 2, 7, -11, -11, -6, 1, -6, -8, -11, 9, 12, -11, 0, 1, -1, -5, -13, -6, 3, 4, -10, 6, -16, 3, -8, -24, -15, -8, 7, -14, -9, 11, 20, -16, -41, 14, -7, -3, -11, 10, 9, 4, -6, -6, 2, 16, 15, 7, -7, 8, 13, -1, 10, 15, -49, -45, 0, 10, 18, 17, 41, 31, 3, -10, -19, 2, 5, 1, -1, 6, 20, -8, -2, 11, 11, -5, -4, 20, 10, -7, -5, 8, 26, 10, 8, 24, -3, -4, 6, -15, 2, -3, -1, -21, -7, -13, 0, -6, 4, 9, -4, 7, -4, 12, -1, -6, -6, -3, -12, 3, -4, -7, 9, -2, 10, 4, 8, 7, 12, 1, -4, 9, 1, 0, 12, -1, 3, 15, 3, 50, 61, 0, 63, 23, 1, -39, -43, -12, 7, 8, 5, 25, 39, 11, 8, 7, -10, 11, 2, -2, 2, -10, 0, -6, -2, -1, -9, -7, -13, 18, -7, -4, -15, -31, -24, -3, -8, -24, 7, 16, 15, -7, -5, 0, 28, 21, 26, 57, 67, 45, -4, 2, -10, 10, 6, 2, 12, 11, -8, -11, -7, -8, 28, 24, 15, -1, 11, 12, -7, -10, -10, -8, -28, -27, 21, 22, 17, 8, 13, 0, 13, 0, -6, 13, 14, 6, -3, -3, 3, -10, 6, -1, 9, 8, 12, -5, -2, 6, 2, 14, 20, 4, -12, -16, -1, -5, -6, -10, -9, 6, 8, 9, -15, -5, 8, -7, 8, 9, -1, 8, 9, 7, 17, 10, 11, 9, 3, 9, 3, -4, 21, 0, -8, 2, 9, -2, -12, 11, 4, 7, 3, -5, -13, -3, 5, -6, -5, 0, -6, -10, -32, -28, -17, -27, -27, -3, -33, -21, 11, 6, 10, -14, -13, -8, 10, -5, -9, 4, -34, -2, 2, -23, 3, 16, 1, 11, 5, -10, -8, -14, -4, 2, -13, 3, -11, 3, -7, -9, 1, -4, 10, 12, 2, 15, -3, -15, 14, -10, -33, 10, -3, -29, 5, 6, -6, 2, 8, 18, 0, 3, 4, 10, 4, -19, 6, 1, -28, -5, -13, -32, -9, -12, -23, -12, -17, -10, -11, -6, -3, 8, -19, -34, 8, -24, -61, -4, -16, -72, -5, 1, 1, 12, 4, 0, -12, 10, 9, -6, 20, 15, 3, 10, 15, 11, 7, 10, 21, 10, -8, -3, -5, 8, 0, 2, 2, 6, -27, -55, -20, -2, -46, -2, -14, -69, -12, 3, -7, -6, -11, -3, -4, -4, 1, 11, -5, -2, -5, 14, -2, 3, 3, -2, 6, -11, -15, 1, 1, 3, -7, 7, 0, 2, -2, 3, 7, -9, 13, -1, -6, -13, 10, -20, -39, 1, -30, -41, 3, -33, -51, 3, -14, -15, -16, -3, -20, -21, -14, -7, -12, -8, -16, 8, -8, 9, 19, 20, 7, 8, 6, 4, -4, -4, -10, 1, -13, -4, -18, 10, -4, -3, -11, -18, 3, -17, -19, -1, 4, -10, -2, -15, -2, -6, -4, 4, 3, -2, -23, -1, -5, -26, -16, -16, -20, -19, -8, 3, 9, 8, 1, 10, -14, -11, -6, -8, 2, 4, -7, 3, 5, -7, 8, 7, 4, -2, -2, 16, 2, 4, 9, -20, 12, 3, -32, -3, -8, -14, -16, 8, -1, -3, 0, 25, 22, -8, 26, 4, 4, 13, -4, -11, -26, -2, -20, -17, -10, -13, -1, 2, -6, 13, 18, -2, 3, 4, 11, -2, 4, -5, -20, 0, -19, -25, -1, -12, -33, -9, -29, -36, 5, -36, -49, -1, -25, -41, -5, -4, -30, 2, 6, -15, -2, -8, -21, -14, -6, -4, 10, -5, 9, 0, -9, -7, 6, 11, -2, 9, 3, 8, -4, -1, -4, -11, 11, 15, 4, 11, -3, 3, 12, 8, -7, -21, -2, -16, -13, 0, -11, 6, 10, 7, -5, -17, -16, -21, -42, -11, -4, -32, 9, -10, -6, -15, -16, -23, -17, 4, -8, -9, 11, -5, 2, 5, 7, 11, 10, 15, 9, 2, 12, 4, 8, 14, 11, -6, -9, 11, 12, -41, -10, -16, -34, -16, -6, -21, -3, 30, 5, 19, 36, 2, 15, 15, 6, 17, 22, 15, 17, 7, 20, 20, 6, -6, -1, -12, -21, -12, -21, -20, 3, -15, 2, -16, 34, 17, 11, 21, 18, 29, 18, 0, 41, 6, -27, -3, 5, -14, -3, 2, -6, -1, -1, -25, -21, 7, -27, -21, -2, -7, 8, -8, -17, -1, 5, -7, -4, 2, -14, 13, -17, -7, 13, -19, -14, -2, -13, -9, -1, 7, 34, 27, 23, 30, 26, 27, 6, 24, 5, -1, -16, 2, -14, -14, -8, -12, -18, -17, -27, -2, -9, -11, -1, -19, -33, -6, -13, -28, -16, -9, -27, -17, -12, -22, -10, -8, -9, 3, 9, 12, 10, 9, 1, 4, 6, 2, 7, -8, 17, 6, 13, 2, 5, -10, -9, -5, -21, -14, -8, -14, -28, -21, 12, 7, 27, 1, 1, 13, 3, 1, -5, 15, 11, 11, 15, 5, 21, 29, 14, 28, -10, -2, 7, -12, -4, -4, 9, -7, 7, -1, -20, -11, -9, -25, -21, 9, -3, -17, -3, 5, 9, 13, 21, 6, 11, 0, 3, -1, -2, 10, -13, -14, -2, 12, 14, 0, -7, 4, -5, -9, -1, 10, 7, -6, -10, -16, -10, -15, -3, -27, 7, -19, -6, -2, 12, 2, 22, 23, 21, 41, 15, 28, 1, -7, -50, -11, -16, -62, -30, -5, -73, -31, 11, 16, 6, -1, 11, -4, -8, 8, 0, 21, 29, 13, 54, 46, 17, 34, 31, 21, -10, -24, 11, -2, -20, 2, 4, -10, 6, -4, 4, 1, 0, 13, -1, 20, 21, -6, -8, -13, -13, -7, -18, -9, -5, -25, -27, -3, -16, -1, -14, -4, -11, -1, -9, 5, 51, 12, 14, 55, 31, 15, 29, 23, 9, -14, -16, -13, -9, -23, -11, -9, -16, -12, 1, -14, 16, 1, 3, 19, 6, 5, 9, 5, -6, 12, 26, 18, 7, 9, -7, 3, -5, -10, -8, -10, 8, 7, -3, 11, 8, -10, -11, -10, 7, 8, -9, 2, -7, 7, -2, -24, -13, -5, -38, -18, -4, -36, -11, -3, -6, 12, 10, -10, 9, 9, -7, -19, -13, -20, -15, -10, 10, -14, -11, -7, 1, 22, 33, 24, 20, 42, 13, 24, 14, -18, 12, -17, -1, -4, 7, 7, -9, 1, -15, 32, 31, 61, 35, 27, 72, 33, 28, 67, 15, 12, 14, -3, 1, 13, -6, -9, -2, 18, -8, 6, 23, 3, 0, 16, 1, 8, -5, 8, -6, 2, -9, 10, 2, 9, 10, 10, 5, 2, 3, -3, -5, -5, -4, -11, 9, -15, -7, -17, -46, -29, 3, -31, -24, -14, 5, 11, -6, -17, -11, -4, -10, 12, 6, 2, -11, 9, 9, -6, 0, -3, 1, 25, 23, 22, 10, 28, 26, -13, 19, 27, 10, 3, -2, 5, 10, -3, -6, -5, 3, -3, 5, 12, 13, 7, 20, 11, 5, 12, -5, 7, 5, 2, 4, -1, -1, 13, 0, 5, 4, -11, -12, 4, 6, -11, -7, -9, 9, -1, -14, 7, -16, -9, 13, -14, -5, 5, -28, -16, 5, -29, -36, 0, -36, -20, 9, 3, 6, -7, 1, -13, -8, -8, -8, -15, -7, 4, 0, -11, -15, -10, -18, 8, 3, -14, -16, -8, -10, -13, -8, -27, -17, -13, -13, 5, 7, -20, -9, 7, -18, 0, -4, -7, 7, -8, -13, 2, -17, 1, 7, -12, -21, -3, -5, -22, -11, 1, -3, -13, -12, -4, -2, 6, 4, 0, 12, 11, 1, 8, 9, 4, 24, 22, -6, 19, 11, -1, 2, 6, -6, 1, -19, -20, -11, 10, -3, 8, 17, -17, -3, 20, -5, 10, -1, -14, -2, -26, -22, 6, -14, -17, 13, -9, -8, -6, -23, 6, -15, -38, 6, -9, -30, 16, -13, -7, -7, -11, 9, -12, 12, 7, 3, 9, 16, 0, 9, -5, 0, 10, 9, 2, 15, -27, -23, -10, -73, -27, -9, -55, -29, -26, -19, -3, -21, -26, -19, -18, -22, -21, 13, -2, 7, 6, -13, -9, -4, -13, -9, -26, -29, -9, -37, -36, -26, -8, -19, 0, -13, -9, -12, -16, -36, -31, -29, -30, -25, 8, 0, 1, -5, 2, 5, -9, -10, -5, -9, -37, -17, -12, -30, -15, -16, -29, 0, 15, 20, 14, 17, 18, 22, 4, 27, 7, 11, -12, -8, -12, 6, -1, 2, 0, 10, 3, 9, 14, -1, 13, -11, 9, -15, 4, 18, 30, -1, -1, -12, -2, -1, 6, 7, 2, 0, -13, -6, 8, -6, -3, 8, 1, 28, 18, 0, 16, -5, -10, 8, 3, 8, -4, 1, 11, 0, 13, 20, 1, 28, 23, 5, -6, -4, -3, -13, -6, 14, 4, 4, 15, 4, -2, 8, -9, -5, 8, 9, 8, 8, -11, 3, -8, -12, -14, 1, 4, 4, -1, -19, -2, -24, -11, -23, -4, 1, 11, 9, 26, 23, -21, -44, -34, -30, -53, -41, 14, 30, 27, 23, 15, 17, 10, 12, 2, 11, 5, -12, -14, -26, -17, -7, -8, 0, -11, -18, -27, -37, -16, -23, 0, -7, 1, 8, 24, 17, 12, -1, 6, 1, 12, 8, 11, 11, 6, 12, -8, -6, -13, 9, -4, 45, 54, 8, 23, 39, 9, 1, 21, 15, -14, -4, -1, 10, -10, 6, 5, 0, 10, -5, 11, -2, 4, 27, 17, 5, -2, 4, 5, 12, 11, 13, 13, 7, 10, 10, 13, -10, -14, 3, -11, -4, -12, 6, -14, 11, -13, 1, -7, 1, 11, 1, 0, 2, 7, -14, -5, 6, -6, -5, 4, -6, 4, -5, 31, 31, 8, 21, 21, -7, 28, 22, -7, -12, -14, -25, -16, -22, -24, -7, -9, -15, 3, -15, -1, -8, -13, -14, -16, 11, -17, -1, -33, -19, -15, -19, -22, -1, -6, -16, 5, -5, 14, -3, -17, -3, -1, 5, 10, 3, 25, 3, -10, 15, -11, -5, -6, -8, 0, -3, -1, 1, -8, -12, 4, -2, -8, 4, 7, -10, -4, -12, -11, -5, 11, -1, -2, -12, 10, 7, -4, -7, 5, 14, -10, 53, 77, 30, 30, 51, 32, 7, 40, 16, 7, 14, 1, -9, -7, -1, 2, 3, 3, 0, 5, 7, 6, 9, -2, 0, -11, 5, -6, -8, -3, 2, -13, -4, 0, 1, 1, 28, 25, 21, -5, 9, 25, 28, 34, 10, -5, -4, 7, -24, -34, -15, -9, -14, -3, 9, 1, 17, -9, 4, 0, 5, 7, 8, 21, 18, 22, 30, 36, 29, 29, 60, 29, 10, -3, -8, 9, -7, -4, 6, 12, -4, -15, -2, -5, 3, 2, 2, 2, -16, -15, -9, 24, 28, -2, 17, 9, 5, 24, 10, -6, 10, -3, -3, 8, 1, -11, -7, -7, -12, -19, 0, -41, -32, 0, -20, -10, 7, -2, -6, -1, 2, -17, -9, -6, -13, -17, -13, -17, -10, -11, -5, -11, -18, -19, 2, -10, 4, 2, -11, -2, 7, 12, -8, -13, 13, 23, -1, 6, 3, -3, 6, 9, 3, 7, 8, 4, 6, 11, 4, 2, 16, 11, 18, 16, -8, 19, 3, 6, -3, -9, -27, 14, 5, -1, 10, 6, 9, -4, -12, -3, 10, -2, 13, 6, -1, 11, 10, 13, 17, -13, -7, 10, 5, -11, -3, 0, 5, 18, 10, 19, 29, 2, 19, 16, -6, 26, 25, -1, 9, -8, -15, -12, -7, 5, 4, 5, -2, 10, 17, 5, 8, 2, 6, 10, 9, 19, 43, 27, 28, 49, 31, 18, 25, 28, 3, -1, 3, -12, 2, -8, -14, -17, -6, 12, -1, 14, 14, 3, 23, 19, 3, 15, 8, 21, 2, 11, 11, 3, 36, 35, 12, 6, -4, -8, -6, -8, 1, 5, -11, -8, 10, 50, 54, 10, 36, 23, 5, 21, 10, -11, -13, -10, -5, -4, -7, -9, 3, -3, -5, -9, -15, -13, -13, -19, 1, -13, -9, 12, 26, 16, 10, 16, 9, 20, 48, 18, 3, -7, -15, -12, -3, -7, 13, 7, -5, 4, -6, -4, 10, -7, -17, 6, 8, 13, -10, 5, -15, 5, -7, -12, 5, -9, -3, -18, 0, -4, -38, -6, -21, -8, -11, -15, 8, 10, -12, 5, -13, 10, 2, 10, 7, -8, 7, 0, -4, 1, 12, 6, 12, 15, -3, -3, -6, -3, 8, 4, 2, 19, -5, 5, 25, 12, -7, 10, 0, 3, -17, 4, -12, 11, 3, -10, -8, -13, 0, 2, -12, -6, 0, -7, -17, -25, -17, -12, -31, -30, 8, 19, -5, 4, 12, 6, 14, -4, -12, -4, -5, -5, 12, 17, -5, 4, 4, -10, -1, 9, -12, -8, -7, -10, 3, 5, -1, -5, 4, 6, -5, -3, -9, 8, -6, -13, 20, 16, 22, 28, 15, 9, 18, 22, 6, -1, 3, -3, -3, -5, -5, -2, -4, 1, 18, 8, 21, 14, 9, 2, 18, 14, 1, -15, 6, 15, 3, 6, 7, -7, -2, -6, -6, 12, 6, 1, -7, 1, 10, 13, -5, 14, 0, 6, 9, 10, 5, 2, 3, -11, 11, -3, 7, -3, -1, 8, -9, 0, -1, 0, -8, -3, -12, 3, -3, 10, 14, 0, 2, -8, -3, -12, 2, -8, 0, -3, 11, 21, 26, 23, 27, 39, 12, 40, 30, -16, -3, -4, -6, -5, -4, 13, -8, 13, -2, -14, -10, 7, -11, -2, -4, 5, 6, 11, 1, 32, 18, -3, 33, 16, -14, 24, 25, 28, 29, 18, 40, 53, 40, 38, 82, 27, -7, -5, 13, 7, -14, 13, -8, -3, -4, -4, 1, -6, -1, -10, 5, -13, -14, -10, 20, 1, 2, -4, -14, -18, 11, 10, 5, -7, -5, 5, -20, -11, -18, 3, -4, 6, 10, -3, -2, -4, 14, 12, -4, 12, 9, 7, 13, 1, -3, 6, 10, -24, 21, 41, 2, 2, -8, 2, 3, -8, -4, -14, 6, -6, 7, -6, 10, 18, -1, -11, 16, 10, -5, 7, -11, 14, 4, -3, -3, 12, -4, 9, 10, -12, 12, -11, 11, 10, -13, 3, -12, 8, -6, -11, -7, 5, -2, -12, -4, -1, -2, -3, -2, -3, -13, -7, -13, 3, 6, -12, -10, -6, 10, -9, -14, 8, 13, -11, 8, -2, -5, -13, -14, 4, -4, 15, 38, 41, 8, 36, 33, 8, 27, 43, 11, 2, 17, -5, -4, 10, 5, 6, 24, -2, 13, 3, -5, -7, 7, 3, 1, 19, -6, 2, 5, -5, 8, -9, 9, -2, 10, 8, 10, -2, 7, 4, -7, 5, -2, -7, 2, 0, 15, 10, -2, 14, 8, 6, 7, -7, -12, 1, 8, -9, -2, 1, 0, -4, 9, 3, 12, 9, -12, 10, 9, 2, -2, 9, 11, 11, 9, 20, 16, 11, 35, 18, 15, -41, -37, -6, -58, -72, -27, -43, -49, 5, 6, 10, -7, 15, 3, 1, 5, 3, -10, -9, -3, -5, -17, -9, 5, -24, 7, -1, 18, 31, 23, 6, 6, 11, -3, 21, 18, 14, 30, 24, 21, 17, 15, 29, 32, 24, -5, -3, -8, -11, -6, -9, 3, 6, 5, -19, -14, -1, -13, -23, -13, -8, -11, -5, -3, -11, -4, -39, -63, -52, -32, -65, -34, -8, -8, -8, 12, 14, -2, 11, 5, -10, -9, -15, -4, -22, -13, 0, -10, -9, 1, -1, -7, -13, 12, -12, -8, -6, -7, -9 };
signed char f5conf[4608] = { 4, -6, -5, 5, 3, 9, -9, 2, -3, 9, 13, 0, -5, -5, -6, -1, 0, 0, 0, 4, 1, 0, 9, 11, -6, 10, 0, 6, -1, -6, -3, -2, 10, -8, 2, -7, 0, 6, -4, 9, 7, -3, 5, -1, 4, 4, 3, 3, 3, -5, -2, -4, 10, 9, 6, 4, 10, 2, 5, 8, -6, 11, -3, -7, 4, -11, 10, 11, 2, -5, 10, 2, -6, 10, -2, 0, 0, 8, -3, -1, 1, 3, 1, 2, 14, 11, 15, 1, -4, 1, -1, 11, 5, -3, 9, 8, 6, 8, -2, 5, 5, -4, 4, -1, -2, -6, 3, -3, 4, 4, -2, 7, 18, 3, -11, 7, 11, 4, 0, 3, -2, 13, 5, -5, 5, 3, 4, 11, -3, 12, 3, 2, -4, 3, 1, -1, -7, -3, 9, -2, 10, 3, -2, 6, 11, 18, -6, 7, 3, 9, 15, 14, 6, 3, -3, 12, 3, 9, -3, 1, 3, 1, -4, 9, -7, 3, 12, 0, 5, 9, 5, 0, 4, 2, 1, 5, 7, -5, 7, -1, 3, 6, 5, -7, 4, -7, 1, -1, -5, -8, 1, 5, -1, 17, 0, 8, 2, -4, -2, 8, -6, -6, 6, 9, -6, 4, -9, 2, -4, -5, 5, 11, 2, -6, -3, -6, 2, -120, -15, 17, -23, 20, -4, 4, -1, 6, 4, 2, 1, 18, 8, -4, 4, -2, -2, 13, 14, 15, -51, -51, 2, 14, 19, 1, -1, -3, -2, -4, 13, 6, -5, 21, -7, -5, 16, 12, 23, 8, -2, -1, 4, -48, 17, -6, -83, 8, 2, -11, -3, -1, 0, 13, 5, -1, 3, -2, 1, 6, -6, 3, 5, -2, -5, 0, -1, -7, -7, 7, 3, 3, -7, 7, 1, 0, 4, 8, 5, 1, 3, 1, -4, 13, -2, -2, 4, -1, -3, 6, -2, 3, 11, 6, 8, 7, 5, 11, -16, 8, -47, 9, 14, -2, 16, 7, 23, 13, 0, 13, 9, 0, 19, 12, 2, -10, 1, -4, 5, 6, 1, 5, 6, 5, -1, -9, 0, -1, 12, -9, -6, 10, -8, 17, 7, 25, 3, 17, 5, 4, 8, 7, -12, -10, 6, 0, 1, -3, -3, -6, -5, 5, 3, 0, 8, 16, -2, 0, -2, 10, -2, 9, 13, 3, 16, 1, -1, 3, -1, -2, -1, 1, 1, 11, 10, 10, 17, 4, 5, 2, 1, -5, 17, 11, 1, 5, 2, -5, 13, 3, 0, -1, -14, 2, -8, -17, -5, 2, -4, 1, 14, 11, 0, 2, -5, -7, -3, -8, -5, 8, -8, -5, -5, -4, 1, 11, 2, 7, 10, 2, -6, 13, 5, 4, 3, 19, 17, 21, 32, -3, 10, 11, -1, 4, 7, 8, 12, 8, 2, 2, -4, -9, 28, -3, -41, 1, 0, -3, 11, 6, 8, 4, -3, 10, 11, -1, 19, 6, 10, 4, 1, 4, 9, 9, 5, 6, 10, -1, -5, -2, -2, 3, 4, 1, 0, -1, -4, 11, -4, -5, 20, -3, 2, -9, 0, 5, 3, 1, -2, -6, 6, 8, 6, -10, 4, 7, 7, 1, 9, 8, 0, 15, 4, 2, -5, 7, -3, 1, 9, 10, 1, 2, -8, 7, -24, -2, 13, -9, 20, 9, -21, 1, 10, 9, -3, 9, -1, -7, -1, -3, 0, -2, 8, 1, 3, -6, -6, -2, 7, -8, -4, -6, 11, 6, 10, -1, 2, 3, 6, -5, -3, -10, 5, 25, 9, -5, 4, -4, 1, 5, 5, 3, 6, -1, 1, 12, -4, 6, 20, -1, 7, 12, 11, 2, 17, 12, -5, -2, 8, 5, -2, -6, 2, 4, -2, -4, 4, -2, 1, 19, -2, 10, 6, -1, -4, 22, -8, 9, 13, -34, -2, 8, 1, -4, 20, -9, 17, 28, 2, 9, 1, 8, -5, -3, -2, -2, 8, 6, -5, 16, -10, -6, 6, 9, 9, 18, -2, -3, -2, -7, 3, 6, -1, 13, 8, 12, 3, 5, 1, 0, 6, 1, 7, 11, -5, -3, 3, -4, 10, -1, -1, 4, 11, 1, 6, -3, 8, 6, 2, 7, 8, 0, 12, -1, 3, -3, 9, 9, 5, 11, -2, -2, 1, 1, 1, 4, 1, 4, 6, 3, 8, -4, 16, -5, 8, 12, 15, -17, 25, -32, 14, 3, 6, 2, 5, -56, 3, 12, -14, 0, 1, -9, -1, 3, -5, -1, 5, -1, 8, 16, 3, 10, 20, -6, -19, -18, 0, -10, -26, -5, -3, 6, -6, 8, 7, 3, 3, 0, -2, 2, 4, -5, 12, 12, 9, 8, 1, 3, 2, -1, -5, 8, -3, 11, -3, 3, -2, 5, 5, 0, 0, -7, -9, 8, 0, -7, -6, 7, 7, 11, 15, 12, -1, 6, 5, -9, 4, -8, 3, -5, -1, -7, 11, 4, -5, -2, 7, -1, 7, 6, 2, -2, 1, -4, 6, 9, 8, 14, 0, 6, 4, -3, 9, 2, 5, -5, 1, 9, 0, -9, -11, -4, 4, -1, -3, 2, 9, 12, 8, 11, 2, -2, -6, 4, 13, 5, -5, 7, -1, 6, 2, 5, 14, 12, 2, -2, 6, 3, -2, 6, 7, 7, 10, 10, 2, -6, -7, -2, 8, 0, -2, -4, -6, -5, 11, -7, 6, 2, -1, 8, 9, 9, -5, 9, 1, 7, -1, 11, 3, 12, -1, 4, 4, -1, -1, 1, 6, 2, -8, -3, 2, 12, 0, 3, 10, -1, 2, 3, 6, -2, 2, 5, -7, -4, 1, 4, 5, 4, -6, 7, 9, -5, 3, 1, -10, 4, 4, -2, 15, -5, -8, 3, 4, -1, -6, -2, 5, 2, -1, 3, 4, 7, 0, -4, 0, 9, 4, 0, 0, 1, -2, -2, 10, 14, 4, -5, -7, 5, 4, 2, 1, 5, 0, -3, 4, 2, 20, 13, -1, -1, -5, 1, 4, -8, 0, -5, 13, -3, -1, 10, -2, -4, 4, 7, -2, -7, -3, -1, -2, -5, -4, 6, -1, -5, 8, 2, 6, 13, 0, 4, 7, 7, 10, -2, 3, 2, 22, 11, 6, 16, 11, -6, -2, -4, -7, 2, 2, 6, -8, -2, -1, 9, -3, 1, 4, 3, 0, -2, 0, 3, 2, 3, 0, 14, 7, 12, 0, 4, -4, -5, -41, 1, 12, -6, 6, 2, 6, 3, 12, -9, -5, -3, -6, -2, -3, -2, -5, -1, 6, 5, 8, 2, 0, -3, 9, -4, -2, 3, 7, 6, 0, -3, 1, 3, -7, 0, 6, -5, -5, 9, 11, 1, -8, -8, 7, 3, -14, 2, 4, 7, 11, 8, 2, 6, -6, 0, 5, 4, -1, 2, -3, -2, -3, 8, -1, 9, -4, 0, 1, 2, -6, -6, -1, 6, 12, 9, 1, 9, -8, 11, -25, 3, 13, -43, 2, -8, 4, -3, 2, 6, -2, 10, 5, 4, 8, 9, 4, -6, 6, -6, 6, -2, -7, 8, -9, 0, -3, 5, 5, 5, 21, -8, 0, -3, 7, 1, 5, 3, 2, 4, 1, 4, -1, 10, -1, 12, 0, -2, 5, -9, -1, -6, -1, -4, -10, -2, -6, -11, 5, 7, 2, 8, 4, 2, -1, -6, -3, 4, 4, 3, 1, 7, 9, -6, -4, -6, -2, -4, 5, 1, 0, 4, -1, -1, -6, -1, 3, -6, 3, 1, -11, -10, -2, -13, -3, -14, -3, -11, 8, 4, 8, -1, 0, -7, 0, 6, -9, -10, -7, -3, 2, -13, -3, -11, 0, -4, -5, 5, -10, -5, 7, 4, 3, -3, -8, 0, -9, -2, -13, -18, -16, -3, -3, 2, 1, 7, 5, -10, -15, 5, 2, 5, -2, 1, -6, -1, 2, -12, -5, -2, -1, -3, 7, -1, -6, -1, -11, -4, -6, 5, 2, 10, -1, 4, -5, -20, 0, -1, -9, 2, 6, -2, -4, 2, -14, -4, -2, -8, 0, 4, 7, -4, 4, -11, 1, -1, -2, -7, -15, -6, -1, -11, -19, 9, -5, -7, -1, -2, -10, 0, 5, 4, -6, -2, -9, 2, -4, 1, 1, -7, 0, -7, 8, 0, 7, 0, -1, 4, 0, -4, -3, -4, -5, 3, -12, 3, -8, 7, -7, 6, -1, -2, -6, 2, -6, -9, -2, -16, -6, 7, -2, -8, 6, 1, 4, 7, 2, -3, -9, 3, 0, -1, -9, -3, -3, 1, -4, -2, 8, 7, 11, 127, 16, -2, 14, -8, 7, 2, 3, -1, -5, 4, -6, -16, 3, -9, -12, -6, 1, -21, -12, -9, 53, 55, 7, -23, -7, -6, -9, -10, -13, 1, -19, -19, -7, -14, -1, 0, -9, 6, -6, 0, -5, 2, -6, 44, -12, 10, 80, -19, 9, 10, 2, -1, 3, -7, 6, -10, -10, -3, -3, -7, -2, -7, -9, 9, -8, -3, 6, 7, -2, 2, 2, -6, -7, 0, -17, -5, 1, -11, 2, 10, -7, 1, -11, -9, -2, 0, -4, 3, -14, -5, -10, -2, -7, -5, -7, -2, 4, 0, 20, 1, 36, -2, -2, 6, -10, 4, -24, -18, -4, -21, -7, -11, -12, 3, -15, -6, 1, -2, 4, -14, -5, 0, -5, 4, 2, -10, 3, -3, -5, -9, -6, 2, -7, -13, 2, -10, -14, -7, -1, -5, -9, 4, 8, 1, -12, 0, 3, 6, -6, 2, 7, -1, -10, -11, -7, -7, -9, 0, -10, 2, 0, -2, -1, -7, -3, -13, -1, -8, -8, -3, -6, 0, -8, 1, -2, -8, -12, 0, -5, -7, -3, -9, -9, 3, -6, -2, -7, -6, 0, -11, 0, 6, 5, 9, 1, 22, -5, -1, -7, -6, -15, -5, -1, -4, -4, 6, 6, -3, 8, -7, 3, 2, -1, -7, 8, -22, -10, -6, -21, -5, -5, -19, 3, -11, -3, -17, -7, -13, -30, 1, -12, -27, -4, -3, 5, -3, 0, -3, 3, -8, -4, 15, -22, -4, 36, -7, -12, -8, -3, 4, -9, -6, 1, -17, -19, -14, -15, -14, 2, 6, -3, 10, 4, 0, -1, 8, 2, -7, -9, -1, -5, -2, -3, -5, -1, -7, -3, -13, -1, 3, -15, -11, -7, -3, -3, -6, 0, -3, -4, -8, 6, 4, 5, -9, -2, -5, -5, -3, -4, -16, -17, 0, -11, -14, 1, 1, 8, -4, -2, -2, -3, 7, -3, 1, 19, -10, -24, 9, -17, -8, 29, -10, 4, -1, -8, 5, -19, -11, -3, -10, -4, -5, 8, 10, -6, 2, 7, 7, -5, -10, -10, -10, -9, 2, -6, -15, -12, -6, -2, 5, -2, -5, -1, -25, 1, -6, -11, 1, -1, 1, 3, 0, -12, -9, -8, -10, -3, -9, -10, -8, -5, -15, -8, -17, -18, -6, -10, -4, -2, -5, -9, -1, -10, -3, -6, 4, -5, 3, -8, -5, -9, 4, -2, -4, 1, -9, -1, 9, -6, 25, 4, -1, -10, 9, -12, 2, -16, -43, -12, -8, -5, -6, 3, -3, -7, 6, -10, 4, 2, 2, 8, -9, -11, -6, -11, -21, 15, -15, -7, 6, 1, -8, -1, 2, -13, 2, 3, 1, -2, 2, -8, 3, -2, -8, -10, -4, -6, 0, 4, -10, -2, -7, -1, -3, 3, -4, 9, 0, -10, -4, 0, -18, 0, -3, -4, -7, -7, 0, -3, -10, -12, -3, -12, -2, 0, 0, -11, -10, 7, -16, -10, -7, -3, -5, -2, 3, -10, 13, -12, 36, -2, -6, -4, 6, -4, 60, 8, -18, 12, -3, 5, 4, -3, -3, 0, -9, -12, -8, 1, -3, -3, -1, -4, 5, 4, 15, -10, 13, 30, -5, -4, -5, -6, -2, -6, 2, 3, -10, -2, 1, -4, -7, 5, -5, -4, 5, -10, 1, 7, -1, -3, 0, -11, 0, -3, -8, -2, 6, 4, -6, -8, -10, 1, -2, -3, 5, -9, -2, -2, 2, -12, 2, -5, 0, 8, -3, -2, -2, -1, -11, -8, 3, 2, -3, -6, -5, -12, -2, -9, -5, 6, -12, -4, -2, 0, 8, 1, -3, -7, 5, -5, -7, -8, -5, 8, 5, -6, -2, 1, -5, 1, -4, -7, -12, -4, 6, -9, -11, -11, -10, 3, -10, -5, -4, -2, 3, -6, -1, -3, 5, -7, 2, 5, -5, -6, 0, -4, 1, -2, -1, -10, 4, 1, -4, -1, -8, -8, -1, -4, -6, 9, -10, -12, 8, -9, 6, 5, -10, -4, 3, -3, -3, -6, -5, 2, 5, 4, 1, -2, -14, -4, 2, -4, 4, -3, -6, 7, 2, -2, 6, -6, 5, -9, -3, 0, 0, -5, -10, -1, -6, -8, 0, -3, 6, 8, 4, 2, 7, -7, -10, -2, 10, -9, -3, -8, 1, 6, 3, -4, -4, 3, -3, -4, 1, -8, -9, -5, -1, 4, 6, 0, 9, 7, -3, -3, -7, 2, -8, 1, -8, -5, 3, -14, 2, 1, -2, 15, 5, -5, 2, -1, -3, 0, 7, -1, 4, -17, -5, 5, 1, 5, -6, 7, -11, -1, -8, -16, 3, -6, -10, -6, 2, 1, 5, -2, -9, -2, 0, -10, -6, -1, 1, 2, 8, 5, 5, -2, 1, 1, -1, -12, -4, -12, -12, -3, 6, -16, -11, 3, -9, 6, -3, 14, -1, -4, -14, -9, -17, -4, -2, 5, 4, 3, -11, 3, -7, -2, -7, 0, -7, -14, -9, -15, -7, 11, 0, 6, 5, -11, 4, 42, 2, -15, -3, -6, 9, -5, -5, 7, -5, 2, -8, -1, -2, -3, -2, -3, -4, 0, -3, -3, -4, 1, -2, 6, -2, -10, 1, 2, -9, -8, -2, -6, 4, -10, 1, 1, 0, 2, 2, -2, -7, 7, -5, -7, -7, 2, -6, -6, -8, 5, -2, 7, -1, 0, -8, 4, 0, 2, 3, 1, 7, 1, 9, -11, -10, -7, -4, -8, -5, 1, 3, -3, 0, -2, 7, 6, -4, 0, -11, 29, -16, -7, 51, -7, -8, -3, 11, -4, -8, -1, 7, 6, 1, 7, 2, 7, 1, -3, -7, 7, 7, 8, -2, 3, 0, -5, -7, 6, -7, -7, -4, -2, -2, 4, 1, -4, -1, -9, -10, 1, 3, -8, 4, -3, 9, 5, 0, -2, 5, -8, 4, 4, -1, -4, -7, -5, 9, -2, -6, 3, 0, 3, 0, -7, -6, 8, -5, -5, 10, -4, 10, 0, 0, 1, 9, 4, -2, -5, 6, -2, -8, -1, 5, 4, -5, 5, 7, 0, -2, 11, 9, 4, 21, 0, 4, 15, -6, -3, -1, 1, 5, -5, -9, -9, 5, -4, -3, -3, -3, 3, 15, -2, -6, 8, 7, 7, -9, 2, -1, 1, 8, 6, 0, 5, -2, -3, 4, 19, 19, 13, -6, 5, -10, -4, 14, 1, 6, 4, -4, -4, 9, 2, 6, 6, -1, 2, 13, 3, 1, -2, -4, -3, 0, 2, -2, 12, -4, 9, 7, -6, -4, 4, 8, 5, 14, 8, 5, 5, -8, 2, 10, 5, 8, 14, 5, -7, 8, 6, 4, -4, 7, -1, 0, 8, -7, -1, -1, -12, -11, 5, 3, 6, 7, -26, -33, 9, -4, -3, -5, -8, -7, -5, 0, 6, 5, 6, 7, 3, 3, 1, 5, -3, 3, 3, 7, 4, 2, -6, 1, 8, -7, 0, 7, -6, 4, 0, 12, 6, -1, 5, 6, 2, -9, -3, 4, -3, 8, -7, -4, 7, -5, -4, -2, 5, -9, 11, -7, -5, 0, 10, -5, 8, 9, 1, 18, 10, -11, -4, -5, -16, -18, -11, 8, -1, 10, -2, 23, 9, 12, 2, 0, 6, 8, 2, 7, 0, 7, 5, 6, -9, 12, 0, -14, 3, 23, -7, 1, 10, 9, 4, -8, 22, 11, 15, 10, 6, -11, 4, 18, 10, 23, -1, 9, 11, -35, -7, 0, -26, -1, 6, 10, 16, -1, -7, -11, 1, -3, -2, 2, -3, 4, 5, 5, -8, -5, 9, 0, -6, 5, -8, -1, -3, 8, 7, 9, 13, 3, -2, 11, 1, -3, 9, 0, 2, 14, 3, -5, 1, -3, -2, -3, 8, 17, 14, 13, 14, 5, 12, 32, 34, 7, -2, 20, -6, 4, 38, 1, 15, 32, 17, 16, 41, 15, 27, 34, 7, -9, 9, 7, -2, 5, 5, 0, 1, 1, -2, 2, -5, 5, 10, 3, -4, 5, 1, -23, -77, -13, 17, -10, 11, -3, -30, -8, 5, 4, 2, 2, -6, 11, 6, 1, 2, -4, 7, 6, 1, 3, 11, -6, 4, 11, -4, 10, 3, 10, 6, 9, 2, 11, 2, -4, 7, 9, -2, 0, 0, 6, 6, 5, 10, 8, 5, 5, 5, 4, 9, 11, 11, -11, 9, 8, 14, -10, -11, 8, -14, -30, -4, -2, -2, 0, 14, 8, 0, 2, 1, -7, -1, 0, -7, -5, -8, -8, 6, -1, -1, 20, 0, 10, 17, 5, -3, 15, 9, 16, -44, -49, 19, -21, -38, 21, -10, -25, -2, 15, 2, -1, 7, 1, 9, 12, 1, 17, -2, -3, 19, 10, 12, 24, 9, -4, 23, 20, 4, 17, 24, -4, -2, -1, 1, 0, -3, -5, -3, 4, -8, -9, 7, 6, -3, 3, -4, 0, 1, -4, 8, 12, 2, 12, 9, -2, 14, 10, -4, 5, 3, 4, -8, 1, 2, -4, 4, 2, 5, -9, -7, 14, 1, 15, 5, 13, 6, -1, 2, 4, -11, -1, 3, -3, 7, 3, 2, 12, -5, 3, -25, 11, -8, -32, -4, -1, -28, 8, 0, 5, 2, 0, 8, 3, -6, 11, 0, 4, -2, 3, 2, 10, -8, 9, 8, 5, 10, 3, 1, 6, 4, -6, 4, 9, -8, 1, 2, 0, 7, 21, 1, -8, 10, 0, -97, -91, 2, -57, -33, -6, 9, 20, 11, 40, 8, 19, 52, 5, 26, 42, 13, 34, 0, 8, 9, -6, 1, 0, 2, 1, 6, -6, 7, -9, 10, 18, 3, 4, 4, 0, 3, 12, -34, -3, 0, -37, -8, 30, -4, 4, 10, 7, 21, 36, 33, 7, -2, 7, 4, -4, -3, 2, 6, 10, 2, 4, -4, -11, 15, -6, -2, 7, -9, -10, -1, -13, -7, 0, 0, 9, 1, 1, 1, 3, 2, 8, 12, -3, 7, 11, 5, -4, 11, -1, 2, 11, -3, 12, 6, 1, 9, 5, 6, 3, 5, 2, -1, 17, 13, 10, -7, 1, -18, -12, 1, 6, 20, 2, 11, 15, 6, -8, 18, -21, 7, 6, -6, -10, -14, -45, 7, -8, 8, -8, 16, 30, 9, 14, 5, -1, -10, -11, 1, 4, -7, -3, -7, 0, 0, 11, 0, -3, 7, 9, 2, 14, 0, 15, 18, -1, -49, -32, 6, -46, -56, -3, 3, 1, -8, 11, 10, -5, 1, 9, -4, 0, -8, 2, 5, 6, 5, -3, 4, 3, 5, -7, -4, -5, 4, -6, -6, -1, -7, 8, -4, -5, -8, 10, 5, -3, -3, -2, -1, 1, 6, -1, 0, -1, 6, 11, 4, 4, 17, -9, -3, -1, 9, -3, -3, -12, -4, 9, 7, 10, 15, 9, 5, 5, 11, -5, -1, -2, -1, 11, 8, 2, 5, 5, 4, 6, 4, 1, 6, -1, -7, -4, -10, 1, -5, 10, -15, -6, -8, -3, -13, 7, -5, 1, -6, -1, 7, 1, 2, 7, 1, 3, 2, -4, 10, 2, -3, -2, 12, 5, 4, -7, -1, -1, -2, 5, 2, -7, -3, -8, -1, -9, 10, 9, -2, -4, -6, -2, 1, 6, 8, -4, 8, 11, -4, 1, 3, -2, -6, -5, 12, -2, -5, 1, 4, 1, -6, 9, -1, 3, 1, 3, -8, 5, -10, -4, 14, -3, 4, 6, 9, 5, 9, 3, 5, -6, 9, 8, -7, 8, -8, 1, -8, -46, 9, -5, -12, -12, 3, -44, 1, -13, -7, -5, 4, -3, -1, -6, 10, -5, -7, -7, 0, 9, 2, 3, 4, -3, -7, -6, 6, -3, 4, -3, 3, 8, 5, 3, -5, 1, 10, 5, -1, 0, -5, -4, 0, 5, -3, 12, -2, -3, 1, -8, 3, -4, -6, 2, 14, -2, 13, 13, -4, -7, 9, 6, 0, 4, -3, -6, -3, -1, 4, -1, 12, -3, 3, -11, 1, -15, 10, 4, -1, 9, 3, 10, 6, -5, 25, 5, -17, 11, -2, -9, -5, -3, 9, 11, 16, 13, -3, 5, 3, 5, 6, 1, 9, 11, 5, 1, 6, 18, -1, -7, 11, 1, -10, 12, -10, 0, -4, 11, -10, -3, 21, 15, -2, 10, 3, 6, -2, -7, 5, -3, -11, 7, 1, -8, -10, 4, 8, 7, 16, 2, -7, 5, -9, -3, 0, -8, 5, 11, 2, 3, 3, 2, -3, -1, 10, 0, 2, 4, 5, 10, -3, -21, 8, 11, -26, 10, 8, 3, 20, -6, -4, 8, 1, -6, -7, -2, -2, 5, -4, -3, 4, 4, 9, 6, 3, 4, 6, 10, -1, -2, 9, 7, 5, -7, 5, -5, -6, 7, -5, 6, -15, -4, -8, 14, 0, 11, 9, 2, 5, 10, 1, 3, 0, 4, -6, 5, 5, 2, 1, 4, -9, 2, -5, 6, -2, 4, -2, -1, 6, -4, 6, -3, 1, 6, -2, 8, 6, 11, -2, 5, 6, 3, -7, -9, -3, 5, 4, 6, 8, 5, 0, 5, -10, 8, 1, 6, 9, 0, -9, -4, 9, -3, -5, 0, -3, -8, 8, 3, 5, 3, -4, 2, 9, -10, 3, -11, 3, 9, 3, -4, -1, -6, -4, 2, 1, -2, 1, -7, -13, -4, -10, -15, -8, -10, -8, -7, -8, 6, 4, -10, 5, -4, -2, -11, -4, -5, -7, 7, -5, -9, -3, -12, -7, 10, 7, 0, 5, 4, 4, 8, -3, 8, -1, -3, -10, -2, -18, -16, -18, -5, 2, 10, 0, 1, 0, 1, -9, -5, -7, 1, 2, 6, -7, 1, 1, -1, -1, 3, -12, -7, 0, -4, 2, -4, -2, -3, 1, -8, -4, 6, -10, -1, 0, -10, 5, 0, -3, -4, 2, -2, 3, -7, -12, -1, 3, -1, 5, 10, -7, 2, 7, -11, 2, 7, 0, -3, 2, 9, -5, 1, 1, -21, 37, 27, -11, -4, 4, 6, 5, 5, -8, 0, 6, -6, 3, -2, 4, -3, -4, 2, -5, -3, 3, 7, -4, 0, -8, -8, -4, -3, -5, 7, 0, -2, 8, 2, 2, 6, -3, -7, -5, -2, -2, 1, 5, -7, 5, -5, 5, 9, 7, 3, -5, 2, -4, 8, -10, -9, -8, -2, -7, -4, 14, -7, 3, 2, -2, -3, 3, 22, 27, -6, 3, -2, -3, -18, 6, -2, 3, -1, -13, -14, -8, -7, -2, 3, -9, -15, 14, -5, -5, 9, -1, -23, 4, -7, 1, -19, 0, 7, -10, 5, -14, -23, 7, 7, 1, -17, -23, -19, 2, 6, -3, 21, -6, 7, 33, 15, 6, -10, -17, 11, 2, 13, -6, 8, 7, 3, -7, 1, -5, 7, 2, 8, 6, -9, 8, -3, -5, 2, 0, 2, 6, -1, -11, 0, 4, -7, 3, 2, 0, -1, 1, -3, 1, -3, -7, 0, 4, -8, -3, -3, -6, 0, -11, -6, 0, -35, -21, -5, 3, -26, 3, -15, -28, -7, -14, -25, -14, -1, -40, -21, -18, -33, -15, -6, 7, 8, -3, -12, 0, -5, -11, 4, -2, -3, 5, -1, -15, 0, -9, -3, 0, 35, 64, 20, -9, 14, -18, -9, 18, 0, 0, 10, 7, 5, -7, -7, 7, -1, -5, -7, -6, -6, -2, -16, -12, -8, -6, -3, -3, -12, -3, -2, -10, -5, 1, -16, 2, -11, -7, 2, -10, -17, -7, -9, 2, -1, 2, -3, -1, -6, -15, -4, 3, 0, 2, -5, -16, -15, -3, -5, 12, -17, 16, 39, -7, -5, -5, 2, -13, -6, -2, -12, 2, 5, -7, -2, -5, -8, 1, 1, -1, -6, -4, -20, -1, -11, -13, -5, 3, -18, -11, -23, 49, 47, -17, 21, 36, -19, 17, 18, -8, -1, -7, -15, -15, -14, 7, 1, 3, -5, -5, -12, -11, 1, 0, -21, 4, 6, -24, -29, -8, -9, -5, 5, 1, -7, -6, 6, 2, 15, -6, -4, -5, -4, -3, 5, -1, 0, 9, -6, -3, 2, -3, -2, 2, -10, 6, -11, -31, 0, -15, -12, -10, 2, 4, 1, 2, -4, -7, 5, -2, 2, 1, -6, -12, -23, -8, 0, -11, 4, -5, 0, 2, -3, 5, -7, -6, 1, -1, -3, -2, -9, 17, -6, 17, 19, 9, 0, 22, -14, -5, -11, 7, 4, -6, -1, -1, 1, -5, -5, 3, 10, -9, 0, 9, -1, -9, -12, -6, 2, -3, -11, -10, -12, -4, -6, -2, -3, 0, -11, -11, -26, -6, -4, -11, -7, 95, 88, 1, 60, 34, -6, -16, -9, -16, -51, 3, -37, -36, -14, -31, -49, -5, -41, -2, 6, 4, 0, -1, 7, -16, 0, -9, 0, -3, -9, -5, -5, -7, -1, -11, -4, 1, -12, 38, -5, 5, 24, 3, -17, 2, -3, -1, 5, -20, -42, -35, 1, -7, 3, -9, 3, -9, -9, -9, -10, 7, 2, -8, 3, 0, 4, -4, -8, 14, 2, 9, 12, -6, -12, 0, 2, -19, -10, 0, -4, -1, 4, -3, -10, 1, -6, 1, -7, -5, -4, -7, -1, 1, -3, -5, -3, 7, 4, 8, -7, -7, -11, -3, -6, -10, 0, -3, -7, 7, 14, -4, -4, -1, -5, -6, -15, 2, -3, -27, 29, -8, -1, 7, -2, 3, 50, -1, -8, -16, -8, -16, -26, -10, -10, -14, 2, 14, -2, 6, -21, 7, 4, 8, -11, 3, -2, 11, -7, -20, -6, 3, -9, -2, -5, -13, -3, 37, 38, -3, 58, 53, 10, 5, -5, -4, 1, -4, 2, 8, -3, 1, 0, -10, 2, -4, -10, -4, -5, -9, -5, 0, -4, 5, -3, -4, -6, 3, -6, 5, 8, -10, 5, -2, 3, 10, -7, -4, -5, -4, -12, -13, -9, -4, 2, 1, -6, -1, 3, -14, 10, -5, 5, 9, -8, -5, 6, 0, -8, -4, -3, -6, -10, 3, 4, -4, -1, -10, -3, -8, -8, 3, 0, -9, 2, 1, 5, -3, -6, -10, -12, -3, 7, -9, 1, 12, -4, 17, 5, 11, -4, 16, -8, -7, -7, -8, -12, -5, 0, -3, -5, 0, 6, -12, -2, 4, -14, 2, -1, -1, 3, 7, 4, -8, 2, 0, 5, 3, -4, 3, -2, 4, 5, -4, 4, 8, -7, 6, 0, -1, -2, 1, -12, -9, -1, -8, -7, 1, 7, 5, -2, -8, -16, 3, -17, -12, 5, 7, 5, 8, -7, -8, -8, -11, 13, 11, -8, 4, 3, -7, -13, 5, -7, -8, -3, 2, -12, 1, -10, -8, 6, -4, 1, -7, 46, -15, 5, 24, 9, 5, 33, -10, -3, 3, -1, -1, -6, -5, -13, 3, -4, -9, 3, -8, 7, 9, 2, -2, 7, -10, 8, 5, 3, 5, -9, -13, -6, -9, -7, 3, 3, 0, 1, 0, -4, -6, 2, -6, 3, -6, -13, 2, 0, 4, -4, -6, -6, -5, -10, -23, 2, 1, -17, -2, 0, -1, 3, 3, 4, 0, -7, -11, -3, 2, -10, 7, 9, 0, 5, 15, 5, 3, -11, 0, 7, -1, -24, -9, 0, -15, -5, 12, -17, 1, 4, 15, 18, 2, -7, -11, -13, -9, 0, 3, -1, 4, -9, -6, -4, 1, 1, -9, -16, 7, -2, -10, -6, 3, -5, 7, 16, -7, -6, 2, 6, -12, -7, -8, 9, -12, -8, 2, -3, 7, 2, 3, 7, 3, 10, -5, -1, 5, 7, 0, -8, 2, 2, -2, 2, -9, -8, -2, -1, -2, 0, -9, 1, 1, 0, -5, 6, 7, -6, -9, 1, -2, 22, -7, 0, 25, 4, -15, 2, -10, 1, 2, -4, 4, -10, 1, 7, 4, 2, 3, 8, 0, 5, 7, -7, -2, -1, -10, 5, -10, 4, -6, -8, -10, -4, 6, -10, -3, -4, -6, -4, 13, -5, -2, -8, -13, -4, -4, -4, 3, -2, -18, -6, -4, -2, -9, -3, -5, -10, 7, 8, 4, -3, 3, 9, -4, -8, -5, -8, -14, -5, 2, -11, 5, 4, -12, 0, -5, -1, -4, 0, 0, -1 };
signed char f6loc[13824] = { 15, -3, 1, 22, -32, 1, 3, -1, 13, 5, -8, -18, -13, 6, -1, 2, -9, 19, 20, 39, -23, 8, 46, -2, 9, -12, 13, 14, 6, 7, 0, -9, 44, -13, -7, -19, 36, 11, 3, 36, -15, -8, -7, -28, 4, 2, -7, 16, 3, -29, -2, 11, -34, -6, -4, 13, -1, -32, 43, 8, 3, -18, -27, 12, 6, 4, 6, -30, 15, -25, -16, 2, 10, -23, -5, 27, 1, -22, -9, 8, -25, 0, -14, -36, 7, 2, 11, 7, 8, -13, -5, 16, -23, -15, 4, -17, -15, -12, 16, -24, 12, 3, -43, 35, 1, -1, 20, -9, -10, 1, -18, 3, -39, -20, -12, -16, -6, 23, -5, -13, 7, -45, 11, -8, -12, -25, -6, 15, 19, -9, -25, -4, -4, 0, 1, -25, -6, 12, -6, -17, -15, -7, 32, -10, 17, -23, -9, -17, -6, 18, -12, 28, -5, -30, 18, 11, -32, 31, 44, -70, 34, 42, 15, -31, -20, 13, -23, -24, -18, -45, 16, -9, -6, -1, -2, -3, 14, 2, -29, 25, -19, 5, 19, -3, 6, 1, -5, 5, -24, -18, 13, 9, -21, 43, 15, -11, 6, -11, 4, 42, 6, -41, 71, -4, 4, 40, -18, -5, 13, 15, 17, 9, 3, -11, 18, 0, 16, -12, 10, -6, -20, -11, 7, -23, -8, 21, 10, 6, 34, -18, 7, 21, -29, 24, -14, 17, -17, 4, 19, -18, 25, 18, -17, 3, 8, 19, -14, -1, 3, 0, -17, 20, -33, -28, -5, 3, 7, -12, -8, 29, -10, -32, 4, 31, -11, 8, 3, -27, -11, -9, 17, 10, -20, -9, 14, 12, -12, -4, 5, -20, -7, 8, -29, 14, 7, -52, -11, 70, -9, -8, 4, 4, -11, 8, -31, -44, 6, -43, -47, 58, -34, -59, 76, -14, -13, 39, -10, 26, -25, -10, 14, -5, -22, -3, 14, -27, -20, 50, -11, 35, 3, -3, 75, -16, 17, 12, -17, 32, 10, 6, 3, 1, -10, 4, 12, -6, -50, -15, 44, -4, -41, 46, -11, 14, -10, 6, 21, -21, -21, 12, -17, 9, -11, 22, -14, -31, 60, -11, -15, 38, 7, -23, -22, -21, -18, -25, -29, -34, -23, 12, 15, -18, 10, 66, -25, 9, 78, -17, 3, -19, 4, 20, -12, -19, 17, 18, 18, -21, -9, -2, 6, -2, -9, -9, 1, 16, 6, 11, 6, -21, 18, -19, 4, 12, -6, -12, 43, -16, -14, 30, -3, 7, 29, -18, -15, 34, 16, -50, 40, 19, -33, 31, -9, -58, 25, 88, -44, 20, 96, 2, 19, -9, 15, 17, 0, 0, 67, -3, -22, 7, -7, -4, -34, 4, -12, -16, -20, -18, -20, 22, -10, -4, -8, -12, -7, -5, 15, -6, -20, 10, -10, 13, 31, 22, -12, -20, 30, 19, -19, 3, -8, 6, 8, -24, 2, 51, -32, -9, 3, -5, 12, 8, -5, 14, 12, 14, 8, 14, 2, -20, -3, -24, 21, -12, -11, 6, -17, 16, -5, -10, -18, 5, 14, -8, 28, -22, -22, 16, -4, 12, -10, -3, 1, 3, -9, -27, -5, 51, -17, -76, 76, 45, -4, -7, 20, -4, 53, 10, 14, 26, -8, -1, -4, -17, 12, -18, 22, -3, 19, -5, 11, -23, -3, 10, -15, 20, -3, 15, -9, 12, -7, -15, -9, 2, -19, 20, 16, 0, -7, 16, 12, 6, 27, -13, 17, 15, -2, 2, -34, -14, -1, -70, -13, 17, -48, -12, -34, -31, 8, 3, -56, -11, -9, -25, -17, 9, -18, 10, 4, -10, -4, -1, -11, 20, -5, -20, -20, -7, 17, 9, -6, 2, 17, 3, 8, -2, -10, 2, 12, 18, -6, -13, -17, 6, -6, -22, 5, -1, 14, -19, 8, 18, -19, 0, -18, -31, -4, -48, -18, 31, 18, -13, -13, 7, -31, -5, 7, -48, 14, 5, 47, 7, -25, 37, -9, 6, 4, -17, -3, -30, 22, 1, -27, 33, 6, 1, -10, -42, -5, 9, -1, -3, 15, -18, 40, 7, 3, 4, -4, -14, 6, -20, 11, -7, 5, 7, -23, 8, -12, -29, 56, -2, -19, 12, -20, 7, 15, -11, 22, -12, 22, -10, 14, -3, 7, 6, 25, -10, -13, 29, -5, -3, 8, -46, 8, 8, -54, 19, -8, -64, 50, 24, 5, 3, 23, 9, -11, 19, 0, -16, 2, 4, 2, -12, -15, -2, 20, -28, -1, -11, 15, 34, -20, -22, 2, -6, -5, -8, -2, -30, -5, -9, 2, -48, -17, -11, -35, -15, -16, 9, 2, -9, 8, -19, 14, 10, 17, 10, -1, 7, -5, -14, -9, -16, 22, -2, 21, -17, 30, 8, 2, 19, 2, 3, -14, 2, -21, 3, -20, 16, -25, -20, 32, 15, 32, -19, 5, 51, -2, 29, 45, 5, 2, -4, 20, 4, -16, -17, 11, -27, -5, 26, -8, -16, -19, -17, 20, 2, -20, 14, -14, 10, -8, -19, 14, -19, -5, -15, -6, 15, -5, -5, 13, -84, 7, 4, -51, -6, 17, 18, 6, -18, 32, -6, 12, 23, 15, -12, -16, 17, -10, 13, 19, -28, 5, 1, 23, -18, -1, 14, 0, -8, -6, 10, 19, -18, 27, 13, 29, 12, 11, 18, 21, -8, 1, 43, 49, -5, -7, 61, -28, 21, 75, -14, 20, 3, -21, -21, -13, -5, -28, -4, -2, -21, 23, 13, 8, 16, 3, -20, -6, -27, -10, 10, -4, 6, -9, 2, -5, 8, 1, 4, 12, 29, 12, -23, 30, 27, -3, 40, -1, 6, 44, 4, 15, 29, 18, -15, 12, -53, 8, 2, -51, 28, 9, -57, -1, 1, -14, 2, 0, 14, 9, 18, 0, 1, -7, 22, 16, -32, 36, 21, -57, 16, 39, -7, 28, -24, 0, 3, -43, 6, 22, -19, -44, 24, 8, 7, 29, 10, 11, 8, 1, 0, 16, -4, -1, 12, 7, 15, -16, -3, -15, 11, -21, -15, 8, 15, 9, 15, -19, -22, 2, 34, -72, 19, 62, 1, -16, 44, -13, 11, 7, -17, -1, 7, 0, 11, -3, -4, -16, 19, -5, -26, 8, 3, 48, -19, 17, -26, 17, 3, 0, -8, 12, -17, -20, 16, 3, -12, -18, 22, -18, 5, -11, 11, 17, 13, 0, 19, 21, 18, -14, 0, 15, -15, 16, -19, -28, 16, 16, 13, -11, -20, -15, -4, -11, -2, -28, 15, 7, -17, 9, 26, -85, 14, 48, -109, 28, 6, -36, 29, -25, -22, 18, -19, -27, -12, -20, -23, -1, 7, -20, 12, 12, 4, -13, 16, -5, 10, -36, 10, 34, -17, 4, 11, 17, -8, -16, 5, -19, -10, -11, -11, -3, 7, -6, 6, 21, -15, -2, -1, 15, -13, -7, 1, 18, 7, 41, 12, 14, 6, -22, 39, -47, -1, 0, 17, -5, -8, -40, -26, -21, -12, -4, -6, -9, -16, -11, -10, 11, 17, 10, -20, -15, 51, -6, -50, 24, 6, -25, 4, 12, -14, -79, 15, 5, -35, 8, -34, 39, -21, -18, -3, -34, -6, -51, -26, 0, -27, 2, 17, -7, -12, -5, -14, 8, -12, 6, -23, -34, 10, -3, -4, 10, -9, 39, -22, -11, 17, -33, -2, 45, 19, 51, -2, 17, 11, 11, -6, -25, -4, -49, -35, 12, 18, -29, -15, -31, -10, -23, 0, 25, 11, -1, 52, 6, 16, -12, -8, -18, 33, 20, -26, 28, -16, 2, -20, 4, 28, -9, 3, -7, 41, -9, 10, 3, 13, 16, -9, 21, -19, 6, -1, -19, 25, 8, 8, 5, -21, -3, -11, -20, -2, -16, 2, 22, -16, 1, -2, -7, 7, 10, 38, 60, 68, 18, 56, 120, 11, -6, -22, -46, -10, 7, 19, -7, 5, 24, 7, 10, 5, 17, 49, 0, -4, 14, 18, 0, -14, 4, -1, -14, 0, -4, -49, -26, 8, -7, 3, -29, 17, 0, -3, 0, -11, 15, 56, 41, -25, 14, 43, 8, 1, -4, -25, -43, -14, -26, -15, -22, 15, 49, 26, 16, 26, -6, -22, -11, 5, 15, 30, 22, -10, -5, -1, 18, -26, -10, 5, 18, -11, 19, -7, -2, -33, -5, -18, -17, -7, -23, -42, -77, -31, 15, -4, -20, 49, 70, 4, -9, -39, 9, 10, -2, -20, 7, 38, -10, 11, 3, 17, 18, -2, -7, -12, 6, -19, 5, -11, 14, -7, 10, -1, -9, -3, 2, -9, 33, 38, -8, -5, -29, -1, -60, -31, 11, -16, 7, 15, 59, 25, 13, 12, -11, 11, -2, 12, 12, 10, -5, 17, -6, 16, 9, 37, 32, -3, 73, -6, 2, -13, -1, -5, -58, 3, 20, 76, 14, 34, 68, 28, 12, 13, 10, -19, -16, 17, 13, -2, 8, -21, -6, -3, -30, -84, -19, 30, -2, -23, -20, 9, -32, 3, -69, -57, -18, -34, -19, -8, -18, -6, -12, 24, 29, 2, 58, 30, -20, -16, 12, 19, -24, -4, 15, -13, -13, 9, 33, 23, -37, 2, 18, -18, 8, -22, -1, 17, 1, -4, 17, -19, 7, 16, 6, 24, -31, -9, 12, -8, -17, -14, 52, 29, 8, 3, 20, -2, -14, -18, 17, -13, 20, -4, -79, -15, -93, -95, -59, -46, -38, 9, -1, 7, -39, 11, -52, -2, -32, -29, -11, -54, -4, 17, -28, -40, -36, 3, 32, -23, 19, -14, -7, -6, -21, -1, -13, 0, 14, 1, -10, 18, -11, -34, -24, -14, -23, -28, -18, -10, -13, -1, 3, 18, 17, 2, 19, -14, -28, 15, 7, 5, -13, -1, 8, 4, -26, -76, -21, -12, -4, 11, 43, 27, 19, -13, -70, -16, 52, 85, 65, 66, 70, 24, 12, 7, 5, 34, 1, 0, 50, 20, -1, -25, -37, -26, -38, -65, -17, -27, -5, -26, -1, -10, -16, 0, -15, 8, 8, -24, -20, 2, 10, -12, -35, -74, -17, -44, -80, -39, -48, -23, -31, -28, 1, 11, 58, 60, 38, -21, 6, 28, -11, 28, -1, -8, 2, -9, 21, 4, 14, 19, 23, -3, -9, -6, -17, -19, -1, 19, 13, 3, 7, 9, 5, -20, -15, -20, 7, 28, 4, -2, -10, 18, 19, -11, 21, 13, -60, -111, 9, 6, -13, -7, -43, -6, -1, 25, -17, -2, 47, 20, 8, -12, 21, -13, -6, -15, 4, -5, -18, 8, 3, 10, 9, 0, 2, -8, -21, -1, -7, 9, -7, 12, -17, -1, 12, 13, 16, -15, -2, -3, -5, -6, 9, -2, -12, -35, -15, -3, -28, -48, 1, -30, -16, 7, 34, 38, 5, 22, -26, 4, 44, 37, -8, 0, 13, -19, 16, -19, -13, -12, -20, 8, 16, 6, -12, 3, 20, -9, 20, -1, -2, -3, -12, -15, 4, -18, -15, -27, -9, -7, 45, 22, -15, -7, -32, 110, 99, 67, 24, 26, 48, 18, 14, -14, -14, -24, 4, 7, -5, -14, -3, 2, 7, 12, -57, -13, 7, 23, 17, -14, 5, 7, 10, 3, -18, 19, 19, 4, 19, -4, -1, -16, -58, -21, 4, -12, 15, -9, 14, 8, -9, 48, 52, -10, 7, -17, -6, 12, -1, -1, -2, -13, -18, -8, 11, -10, -7, -13, 13, 2, 8, -2, 23, -3, 9, -21, -11, 1, -6, -11, -11, -1, -5, -22, -14, -11, 19, -13, -14, -10, 3, 10, -6, 23, -18, 1, -44, -47, -8, -10, 8, -18, -22, 14, 6, 9, 2, 9, 9, 19, 0, 12, 21, -20, 3, -24, 19, 3, 12, 34, 38, 5, 30, 27, 23, -5, 10, 40, -1, 40, 11, -14, 30, 40, 16, -37, -36, 13, -24, -13, 15, 0, 20, -17, 21, 13, 21, -21, 20, 24, 23, -1, -11, 3, 0, -5, -10, -27, 30, 72, 58, 24, 58, 52, 10, 18, 3, -40, -31, -12, -26, -10, -23, 2, 3, 10, 9, 15, 22, 30, -8, -14, -15, -34, 13, 32, 43, 36, -23, 2, -6, 13, 6, 21, -29, 4, -1, 0, 21, -10, 17, 1, 0, -14, -9, -15, 2, -22, 5, -3, 15, -49, -4, 1, -43, 12, 25, 48, -14, 18, 17, -21, -9, -19, 9, 22, 8, 9, -11, 8, -25, 2, -21, -19, 6, 6, 8, 5, -1, -15, 43, 39, -9, -10, -9, -17, 25, -14, 18, 15, 13, 10, -15, 16, -18, 17, -1, 37, -37, -11, -11, -6, -17, -19, -14, -24, 21, 7, 27, 3, -7, 20, 16, 3, -25, -35, -1, -39, -10, -19, -31, -14, 18, 2, 2, 30, -7, 6, -13, -18, -5, -53, 18, 11, 20, 22, 1, 15, 4, -4, 24, -3, 5, 35, 20, -16, -23, -2, 0, -59, -46, -15, 10, -28, -3, 29, 18, -17, -14, -1, -11, -10, 0, 6, 1, 6, -58, -127, -11, -22, 14, 2, 99, 97, 6, -3, 28, 5, -2, -20, 4, 35, 37, 4, -4, -1, 13, 46, 43, 27, -7, -2, 7, -4, 5, 2, -17, 6, 2, -3, -1, 14, -9, 3, 16, 15, 12, -12, 12, 13, 16, -22, -28, -2, -2, 4, 13, 24, 60, 22, -4, 19, 19, -2, -1, -6, 18, 3, 21, -47, -14, -33, -8, 70, 57, -38, 8, 14, -17, -22, -4, 3, 6, 24, 18, 13, -5, -16, -32, -5, 0, -23, 28, 4, -9, 4, 21, -15, 9, -18, 10, -27, -4, -18, -15, 9, -57, -3, 15, 39, 1, 0, 47, -3, 2, -1, 8, -17, 9, 0, -17, 34, -8, 4, -46, -22, -34, 3, 33, -1, 57, 62, 5, -9, -24, -8, 2, -22, -6, -12, -6, -12, 22, -11, 13, -13, 3, -3, -19, 14, -1, 18, 7, 6, 49, 25, 20, 11, 13, 5, -26, 7, 14, 9, 10, 16, 21, 14, -10, -6, 24, 20, 1, 8, -11, -13, -18, 1, 12, 13, 40, -28, -49, 29, -41, -2, 9, -3, -48, -10, -21, -35, 16, 18, 45, 18, 5, 0, 14, 8, -17, 8, -16, -19, -72, -37, -34, 27, 27, -28, 73, 40, 16, -9, 11, -1, -21, 21, 34, -3, 10, 26, -7, -5, 17, -21, 28, 19, -21, 26, 18, -14, -5, 13, -10, 6, 12, 10, -19, 2, -7, 15, -9, -19, -24, -16, 1, -15, 0, 26, -37, -17, 1, -25, -13, 24, 18, -13, -6, -8, 2, -3, -42, 16, -19, -47, -17, -19, -1, 25, -6, 27, 2, -10, 9, 13, 11, -41, -22, -24, -27, -25, 5, 5, 3, -18, 18, 13, -12, 9, -17, 14, 20, -8, -5, -2, 3, -12, -6, 20, 17, -5, 16, -6, -16, -15, 9, -9, 8, 23, 16, 5, -12, 14, 19, -5, 21, -8, -7, -4, -13, -16, -35, -5, -32, -101, -40, -13, -68, -21, -14, 6, 20, 11, 15, -8, 20, 19, 23, 9, 17, 7, 16, -10, -5, 12, -6, 0, 1, -5, 18, 4, -1, 13, -2, -19, -19, 14, 11, -8, -8, 5, -15, -7, 16, 13, -8, -15, -7, 8, 7, -3, -23, -37, -6, 21, 28, 16, 21, 26, 15, 32, 30, 41, -15, 5, 10, 8, -46, 13, -9, -46, 10, -8, -8, 18, -3, 16, 20, -10, -3, 14, 6, 12, 17, -2, -20, -15, 7, -12, -10, 18, 42, -8, 1, 17, -5, 0, 15, -3, -11, 14, 0, -1, -26, -17, -20, -6, -25, 3, -4, 5, 21, 10, 4, -5, -8, 6, -18, 20, 15, -18, 21, 8, 9, -11, -1, -9, -32, 15, -30, -29, -32, -4, -19, -15, -1, 16, 34, 20, 21, 40, 28, 22, 2, 13, 3, -7, -8, -21, -2, 19, -1, -2, 5, -7, 18, -18, -7, -12, -3, -7, -4, -5, 1, -8, -5, -19, 1, 2, -27, 4, -13, 15, -10, -17, -19, -7, 12, 10, 17, -14, 20, -16, 10, 32, 11, 38, 15, 25, 17, -4, -11, -1, 24, 26, 5, 23, -2, 17, 14, 31, 24, 42, 64, 9, 28, 33, 6, 17, -5, -4, -20, 23, -19, -12, 16, 19, 8, 18, 27, 26, 5, 20, 37, 2, -12, -7, 18, -17, 10, 16, 9, 31, -7, -7, 13, -13, -4, -26, -23, -8, -13, -30, 20, -3, 10, 0, -10, -19, -18, -11, 13, 8, -31, -26, 6, -21, -13, 3, -28, -29, -19, -14, 7, -24, -29, 2, -3, -53, 8, -11, -23, 16, 17, -19, -14, 1, -9, -15, -11, -20, 5, 7, -18, 18, -6, -20, -17, 20, -1, 4, 3, -2, -7, 0, 0, 36, 1, -14, 18, -1, 20, -11, 5, -15, 9, 21, 11, -8, 7, -54, -6, -7, -13, 0, 3, -64, -19, -27, -82, -17, -11, -63, -23, 73, 8, -1, 50, 10, -2, 25, 11, -5, -7, 6, -10, 7, -28, -25, -1, -19, 10, 3, -20, -24, -4, 1, -1, 30, 12, 11, 18, 8, 10, 18, 9, 16, 5, 5, 10, -6, 9, 6, 17, 16, 7, 26, 33, 5, 9, -26, -17, -6, 12, 4, 24, -8, 22, -18, -15, -14, 5, -1, 16, -19, 8, -21, 4, 17, 5, 0, -13, -21, 12, 1, 8, -2, 0, -16, -4, 7, 0, 15, -16, 13, 7, 12, 1, 15, -56, -8, -8, -23, 14, 21, -14, 14, 17, -23, 0, 10, -39, -8, 0, -14, -1, -12, -7, -8, -11, 14, -18, -1, 12, 4, -11, 20, 9, -14, -11, 3, -14, -14, -8, -17, 14, -9, 9, 6, -15, 6, 0, 3, 23, 17, 10, 15, 19, 8, -14, 1, -3, 3, 7, 0, 25, -4, -13, -23, -22, 3, -26, -28, 28, 13, -24, -8, -3, 4, -3, -9, -14, 13, 12, 24, 21, -21, -10, -16, -19, -3, 14, 1, 21, 15, 7, 9, 10, -13, -20, -10, 11, 12, 2, -19, -19, -9, -29, -61, -25, -1, -12, -23, -34, -30, 25, -16, -16, 13, -13, 2, 19, -17, -6, -18, -3, 10, 4, 2, 24, 27, -23, -30, 27, 3, -43, 1, -25, -33, -20, -8, -26, -8, -26, -56, -2, -5, -34, 12, -13, -43, 5, -44, -82, -48, -33, -22, -33, -6, 11, 30, -13, 48, 10, 13, 12, 18, 14, 17, 12, 9, -2, -15, 22, -7, -7, 11, 34, 11, 21, 25, 33, 14, 11, -1, -16, -3, 1, 11, 13, -12, -10, -2, -9, -13, -11, 0, -8, -4, -2, 15, -25, -17, 11, -37, -9, -13, -47, -1, -36, -97, -37, 21, -14, -11, 17, 27, -4, 27, 1, -7, 21, -5, 5, -18, 2, -20, 16, 9, -12, 8, 17, 25, 10, 16, 22, 18, 9, 20, -12, -2, 24, -15, -10, 17, 22, -18, 17, -3, -8, 14, 5, 17, -10, -18, -16, -7, -15, 1, 21, 2, -1, -21, 10, 5, -12, 1, -6, 28, -13, -4, 13, -5, -32, 21, 18, -11, -5, 7, 16, 23, -5, 4, 23, 22, 10, -7, 11, -15, -6, -4, -6, 0, -15, -66, -27, -14, -73, -1, -12, -24, 17, -15, 13, 4, -7, -9, -6, 0, -8, -6, 0, -17, 19, -4, -21, 19, 12, 17, 0, 10, 20, 34, 7, 3, 25, -21, -4, 16, 17, -4, -9, 4, -2, -4, 30, -11, 15, -4, -15, 22, 29, -14, 20, -3, 20, 13, -12, -8, -19, -16, -29, 2, -21, 10, 19, 12, -13, 18, 5, 18, -3, 18, -6, 5, -5, -15, -7, 5, -50, -40, -7, -7, 24, -8, 1, 2, 27, -31, 19, 26, -33, 4, -9, 19, 17, 24, 16, 11, 15, 23, 24, -27, -10, -23, 0, 11, -10, 3, -17, -2, -17, -38, 1, 3, -35, -4, -2, -39, -18, 16, -41, 2, 7, -48, 3, -3, -39, -15, -2, 12, 4, -3, 11, -13, -18, 4, 3, 5, -11, 18, -6, -9, -17, -10, 2, 10, -10, 6, 11, -5, -1, 36, 18, 27, 21, -13, -36, -5, -35, -40, -24, -12, -25, -21, 32, 12, 18, -9, -20, 28, -8, -4, -9, 13, -9, 18, -12, 0, -7, 6, 18, -13, 0, -9, 3, -9, 4, -4, -15, 21, 11, 38, 11, 0, 52, 3, 50, 0, -1, 13, 11, 5, 2, 21, -17, 20, 5, 15, -15, 12, -25, -32, -1, -63, -39, 1, -27, 8, 10, -7, 8, 10, -7, 10, 4, -17, 7, -17, 8, 7, 12, 3, 0, -2, -13, -22, -1, 14, -12, 3, -25, -7, -5, -7, -10, -23, -48, -16, -2, -21, -15, 6, -24, -1, -1, -30, 12, 12, -23, 9, 0, -25, 19, 5, -48, -15, -20, -65, -23, 0, -42, -3, 2, -17, -5, -18, -18, -4, 19, 12, 5, -18, -8, 9, 17, 10, 16, 14, -19, 12, 15, 20, 17, 1, 38, 13, 0, 0, 7, 13, 15, -2, 8, -1, 30, -5, 19, -3, -16, -13, 20, 8, -2, 17, 14, 3, 15, 21, 26, -6, 31, 35, -24, 28, -36, -40, -5, 11, 17, -16, 15, 2, -10, 7, 15, -14, -3, -5, 11, -11, -16, 4, 21, -3, -18, -65, -26, -28, -83, -43, 7, -24, -5, 35, 44, 37, -34, -4, 21, -56, -48, 27, -28, -2, -12, -37, -20, -38, -25, -33, -6, -1, 19, -2, 4, -17, -1, -5, -16, 15, 7, 14, 5, 25, 20, -3, 37, 5, 25, 12, -13, 0, 6, -46, 7, 19, -8, -8, -8, 20, 5, 7, 7, -8, 17, 8, 10, -9, 1, 15, -22, 39, -10, -11, 10, 21, -4, -13, -10, -22, -13, -21, -9, -30, -16, -2, -10, 25, 12, -5, 20, -2, 18, 22, 6, 8, -9, -11, -20, 11, 7, -12, 12, 14, 0, -20, -10, 1, -10, 9, -6, -9, 12, 10, 10, 18, 9, -13, -22, -7, -2, 27, 79, 64, 30, 35, 30, 14, 39, 9, -15, 18, 35, -2, 9, -8, 16, -2, 35, 15, 10, -13, 16, 17, -6, -17, -7, -9, -27, -24, -2, -27, -9, -31, 6, 4, 5, -6, 0, 18, 3, -15, -13, 9, 18, -20, 18, 24, 23, -32, 5, 24, 3, 9, -10, 19, 16, -7, 16, 26, 15, 15, 10, 4, 8, -10, -8, 2, 4, 18, -18, -21, 5, 6, 9, 9, -10, -21, -11, 15, -4, -3, 18, -24, -3, -3, 15, 17, 33, 22, -12, 30, 34, 25, 8, 6, 4, 18, 53, -2, -11, -5, -21, -53, -52, -27, -21, -6, -16, -14, -12, -14, 17, -14, -8, 19, 18, -3, 8, -10, -16, 15, -7, 14, 17, -16, 1, 17, 8, 11, -19, 18, 21, -9, 6, 20, -30, -10, 28, -40, -39, 8, -28, -19, -18, -16, 3, 3, -17, -8, 9, 0, 6, 14, 15, 30, 24, -15, 8, -13, -14, 18, -19, 17, 64, 17, 10, 67, 19, 17, 46, -7, 11, -11, -14, 4, -18, 1, -21, -16, -1, -12, -4, 8, -3, -28, -1, 0, -5, -3, -1, 14, 0, 4, 23, 29, 5, 34, 23, 7, 16, -6, 6, 19, 17, -8, 30, 32, 7, 0, 4, -20, -22, -1, 17, 28, 8, 6, -19, 15, -9, -40, -2, -19, 9, 8, -6, -1, -15, -19, -12, -18, -10, -3, 19, 2, -13, -9, -34, -62, -36, -31, -46, -34, 6, 4, -4, -5, -10, -11, 14, 13, 6, -18, 15, 5, 59, 62, 47, 30, 50, 41, 16, -5, 4, 7, 8, -4, 13, 1, -21, 30, -17, 9, 21, -8, -4, 15, -5, -13, -15, -3, -13, 13, 14, 15, -12, -11, -20, 0, 7, -26, 15, -15, -35, 11, -7, 21, 2, -1, -8, 9, -4, 2, 18, -9, -20, 5, 2, 13, -32, -34, -45, -14, 16, 5, 34, 52, 20, 59, 52, 25, 57, 47, 0, 12, 20, 24, -6, -16, -7, -9, 23, -25, 10, 18, 25, -4, -27, 1, -5, -25, -14, 11, 20, 18, 21, 25, 23, 36, 46, 37, 1, -7, 10, -14, -6, 0, 1, -7, -18, 14, -8, 1, 40, 33, 24, 25, 48, 32, 48, 43, -4, 10, 10, 15, 45, 45, 7, 14, -1, -9, -8, 20, 5, 14, 13, 25, 4, 13, 19, -13, 20, 2, -7, -9, 1, -1, -18, -9, -13, 3, 8, 18, 16, 17, -9, -12, 19, 10, 0, 0, 8, 6, -11, 4, -17, -9, -15, -17, -17, -13, -24, 6, 25, -3, 17, 5, -14, 18, 18, 17, -10, 7, 12, 3, -12, -14, -21, 2, -14, 9, -16, -6, -4, -7, 17, 18, -5, 2, -13, 8, -1, -19, -17, -8, 1, -7, 8, -5, 1, -19, -7, -9, 20, 1, 18, 5, 19, 9, 0, 1, 11, 15, -4, 9, 6, 0, -10, -38, -3, -32, -8, -26, 19, -18, 17, -21, 10, 2, -18, 3, -12, 3, -9, -15, -11, 9, -7, -14, -3, 6, -12, -14, 3, -18, 4, -4, -18, -56, -30, -8, -26, 10, 9, 5, 30, 33, 24, 32, 14, 22, 19, -13, -12, 8, 13, -16, 13, 10, 3, -5, 4, 11, 35, -31, -60, -33, -24, -59, -47, 10, 19, -9, 10, -17, 6, -3, -19, -9, -10, -11, -3, -2, -12, 15, 33, 11, 34, 17, 20, -20, -13, -5, 20, -20, -2, 7, 4, -9, 30, 14, 5, 9, -12, -12, 22, -20, 15, 25, -9, 21, 17, 17, -1, 19, -5, -15, 1, -2, -6, -1, 19, -1, 8, -2, -14, 6, -13, -3, 5, -3, -7, -16, 13, 3, 9, 9, 10, 18, 4, 5, 11, -14, -13, 16, 27, 4, 16, 12, -8, 14, -15, 12, -7, 15, -9, 16, 7, 10, -15, 9, 23, 26, 24, 9, 24, 12, -2, 4, 20, 19, -12, -21, -1, 26, 23, 24, -8, -5, -5, 19, -20, 10, -7, -5, 6, 19, -18, -3, 12, -9, -2, 13, -19, 2, -12, 36, 50, 43, 41, 73, 36, 19, 41, 29, 15, 2, -1, 24, 28, 18, 5, 25, -7, -3, 5, 18, -34, -21, 3, -13, -14, -23, -5, -14, 0, -3, -14, 12, 12, 18, 15, -18, -6, 8, 3, 5, 2, -1, -6, -18, 16, 6, -15, -19, -12, 2, -4, 5, 12, 16, 36, 64, 2, -4, 14, -14, 25, 15, 26, -9, 0, -14, -16, 10, -15, -1, -19, -4, 21, 7, -8, 13, -4, 26, 10, 7, 4, 5, -15, -9, 14, -25, 2, -12, 12, -9, -29, 8, -27, -8, -21, -5, -27, -6, 11, -5, -4, -3, 6, -45, -4, -4, -11, 2, 41, 21, 32, 18, -5, 27, -7, 3, 16, -13, 2, 3, -16, -16, 33, 30, 45, 18, -2, 4, 1, 19, 18, 7, 6, -9, 13, 35, -9, 14, 33, 23, -3, 32, -18, 21, 12, -4, 14, 1, 3, 0, -3, 18, 0, 3, 22, -19, 12, -18, -18, 12, 1, 23, -8, -8, 2, 12, -9, -7, 11, -19, 10, 66, 12, -1, 52, -6, 52, 47, 14, -11, 1, 0, -44, -19, -31, -17, -34, -1, -6, 26, -6, -20, -24, 5, -10, 7, -20, 7, -16, -3, 10, -10, -15, -9, 10, -4, 9, 22, -6, -12, -20, -3, 15, 16, -4, -8, 7, 21, -2, -10, -1, 2, 25, 9, -6, 19, 3, 21, 5, 17, 15, 10, -10, 15, -20, -10, -6, -42, -12, -16, 2, 1, -22, -22, -3, 14, 13, 4, -2, 2, -10, -33, -11, -17, -8, -9, -25, 22, 29, -3, -8, -19, -15, -13, -3, 8, 5, -18, -14, 12, 31, -1, -7, 22, -6, 15, 32, 15, -1, -14, -15, -2, -15, -21, 1, -11, 7, 0, 26, 3, -8, -13, 0, 10, 5, 35, -12, -58, -40, -43, -40, -25, -17, -28, -22, 7, -9, 24, -4, 6, 2, -18, -17, -12, 6, 14, 3, -16, 0, 21, -9, 10, -14, -16, -25, -1, 1, -25, -23, -2, 15, -20, -18, 10, -6, 15, -22, -6, -5, -21, -17, 4, 7, 0, 22, 15, -6, -10, -40, -41, 14, 23, 2, -3, -9, 9, -9, 1, 17, 16, 6, 13, 4, 17, 13, 13, -2, -21, 12, -4, -2, 24, -20, 21, 61, 42, 13, 16, 43, 21, -36, -13, -3, -30, -57, -33, 19, -8, -24, 12, -26, -9, 6, -11, -9, -18, 1, -10, -9, -20, -10, 13, 4, -3, 22, 56, -16, -13, 56, -1, 0, 36, -17, 9, 33, 0, 3, 17, -3, -16, -16, -20, 21, 9, -22, 33, -16, -8, 9, -24, -3, -40, 4, -10, -38, -14, -12, -5, -58, 17, 7, 13, -15, -13, 1, -10, 7, 4, -23, -1, -30, 5, 8, -39, -9, -11, -37, -9, -12, -1, 11, 15, -24, -20, 13, -23, -2, 18, 16, -14, 12, -28, 10, -13, 15, 13, 0, 13, -6, -11, 12, -12, 0, 18, -12, -29, 42, 46, -15, 38, 21, -13, 19, -3, -6, 0, -11, 19, -35, -12, 10, 1, -10, 14, -8, -8, 25, -46, 27, -1, -4, 9, -6, -17, 4, 7, -19, 16, 22, -5, -13, 9, 15, 2, -4, -1, 7, -3, 29, -9, 10, -25, -12, 10, 8, -18, -1, -10, -10, -49, 20, 53, -36, -2, 57, -48, 27, 54, -6, -9, 1, 14, -39, -17, 10, -17, -4, -2, 10, 22, -24, 5, 1, -37, 22, -9, 7, -7, 3, -1, 19, 12, -13, 14, -11, -9, 36, 22, -14, 29, 41, -15, 26, 13, -4, 38, 8, 3, 20, -9, 10, 46, -4, 12, 16, -17, 11, 5, 10, -16, -2, -2, 9, -16, -5, -23, -4, 23, 12, 4, 19, -16, -16, -7, 5, -3, -14, -11, -4, 24, 5, -9, 7, -8, 20, 5, 26, 8, -12, -9, -12, -10, 3, -18, -19, -21, 1, -22, -16, -30, 16, -25, 11, 2, 9, -8, 10, -37, 16, 25, -11, -8, 0, -4, 1, 18, 3, -3, 7, -2, 4, -13, -14, -7, 15, 15, -7, 8, -38, -5, 26, -58, -5, 61, 16, -13, -6, -23, -14, 13, -51, -16, -4, -67, -24, 23, -72, -22, 16, -5, -38, 27, -23, -8, 12, 8, 18, 11, -29, 10, -11, -13, 7, 8, -8, 25, 6, -3, 66, 33, 2, 5, 18, 1, 5, 7, -10, 8, 7, -12, 16, -6, -5, -22, 18, -16, -2, 11, -8, 13, -14, -3, -5, -18, 13, 19, 1, 5, 1, 13, -23, 1, 43, -25, 9, 34, -9, -22, 2, -12, -17, -20, -11, -32, -7, 17, 32, -34, 10, 63, -37, 8, 63, -23, 16, -16, -19, -11, -15, 9, 21, 12, 5, -16, -3, 17, -4, 3, -11, -14, -10, 11, 3, 3, 15, -5, -12, 13, 0, -6, 18, 13, 41, -18, 0, 24, -15, 9, 26, -26, -17, 3, -8, -23, 19, 18, -43, 25, 18, -35, 25, 58, -44, 34, 86, -25, 18, 19, 18, 36, -10, 16, 56, -3, 11, -9, 11, -10, -11, 17, -31, 12, 8, -28, -29, 43, 9, 15, 5, -14, 27, -14, -12, 12, -5, -1, 19, 15, 6, 25, -9, -21, 42, 46, -22, 15, -16, -6, 53, -5, 4, 58, -7, -12, -22, 14, -15, -10, 7, 6, -3, -17, -5, 16, -9, -11, -14, 8, 5, -5, -12, 5, 4, 8, -5, -1, -1, -9, -9, 11, -12, -20, 5, 17, -19, -19, 9, 11, -9, 19, 12, 1, -10, 45, -14, -43, 38, 27, -3, 14, 12, 8, 52, 4, -15, 20, 12, 18, 9, -20, 3, -14, -16, 3, 7, -10, -16, 6, -11, -10, -10, 17, 10, -6, -19, 11, -17, 3, -15, 21, -14, 20, 3, 9, 10, -14, 7, 3, 6, 14, 21, 2, -12, 24, -47, -19, -2, -72, -21, -12, -45, -20, -17, -20, -12, 17, -41, -4, -15, -33, -23, -17, 20, -14, 0, -22, -18, 9, -5, -13, -3, -16, 11, 4, -7, -17, -9, 15, -15, -12, -21, 12, -14, 19, 17, -18, 16, 23, -8, -28, 0, 0, -33, 17, 15, -53, -20, -17, -10, -7, -13, -1, 21, -25, -21, 42, 2, -44, -14, 19, -58, -5, -4, -52, -19, -4, 26, 0, -6, 28, -8, 16, 0, -7, 13, -34, 17, 31, -52, 21, -28, -24, 11, -57, -9, 44, -44, 2, 50, -14, 22, 42, -14, -6, -4, -17, -18, 1, -6, -16, 11, -16, -4, 16, -47, -9, 23, -11, -9, 31, -7, 20, 4, 15, -19, 13, 15, -11, 9, -15, 18, -7, 0, -2, 5, 12, 0, -13, 8, -40, -11, 15, -66, -16, 19, -45, 4, 23, 9, -2, -9, 25, -7, -2, 14, -21, -21, 12, 4, 10, -7, -7, 5, -24, 16, -18, 0, 21, -39, -13, 11, -3, -18, -16, -32, -29, 12, 5, -30, -23, 14, -40, -25, -1, 6, -5, 6, 18, -2, -12, -5, 15, -8, -10, -23, -22, 17, 8, -15, -15, 14, -15, 13, 3, -20, 2, 11, 1, 21, 3, 6, -14, 11, -11, 1, -1, -1, -11, 28, 9, 16, 5, 19, 32, -25, 2, 10, 17, 19, -28, 7, -1, -13, -28, -13, -34, -27, -9, 11, 12, 8, 13, 13, -2, 1, -9, 5, -12, 19, 14, 7, 17, 4, 12, 7, -20, -32, 8, 15, -69, -15, 13, -71, -23, -14, 16, -9, -15, 27, 2, -6, 41, -16, -6, -1, 26, -34, 15, 24, -9, 25, 16, -3, -5, -5, -12, -20, -7, 4, -18, -2, -10, 8, 3, 19, 14, -8, 18, -18, 14, 0, 36, 28, 8, 42, 51, -31, 19, 31, -11, 8, 5, -29, 6, 20, 2, -18, -12, 6, -21, 0, -16, -17, 22, -32, -22, 18, -24, -10, 11, 2, 11, 6, -6, -2, 11, 7, 5, -6, -4, -4, 24, 17, 33, 9, 15, 1, -17, 41, 20, 3, 34, 5, -3, -9, -3, -6, -9, -15, 12, -14, -36, 11, 9, 8, 8, -14, 18, -4, 16, 13, 2, 5, 0, 30, -15, -5, 72, -51, 21, 36, 1, 10, -10, 14, 4, -31, 6, -3, -9, -30, 27, 16, 6, 27, 18, 21, -14, -17, -14, 18, -10, -17, 1, -16, -10, -21, -16, 16, -23, -12, 16, 6, 14, -14, 14, 13, -28, 4, 42, -22, 12, 23, -19, 12, 35, 10, 2, 16, 14, -10, -18, -4, 15, 20, -3, 1, 24, 5, -6, 3, 15, 34, -33, -16, -17, 11, 9, -7, -10, -3, 14, 9, -15, -7, 0, 13, -20, 2, 1, -7, 18, 16, -20, 14, 14, 10, -11, 2, -14, -4, -16, -3, 12, -34, 17, 1, -20, -8, 26, 9, -10, 1, 6, -8, 23, -14, -26, -5, 11, -64, 23, 39, -62, 9, 18, -35, 34, 15, 9, -17, -10, -17, -20, -8, -28, 7, 11, -11, 14, 8, 14, 10, 8, -11, 17, -30, 14, 49, -8, 5, 48, -1, -9, 14, -4, -1, 7, -23, 4, 13, 1, -20, 0, -17, -4, -21, -8, 8, 16, 9, -20, -1, 12, 70, 22, 4, 71, 33, 8, 21, -10, 16, -9, 16, 1, -47, -3, -8, -46, -6, -12, 11, 1, -5, -10, -15, 3, 5, -9, -20, 32, -20, 0, 35, -14, -5, -11, -16, -64, -83, 23, -44, -64, 19, -1, -10, -15, -7, -28, -13, -19, -34, -38, 3, 0, -21, -16, 3, 14, 2, 7, 8, -3, 17, -15, -28, -20, -8, -3, 8, -10, 26, 25, 3, -9, 33, 10, 30, 39, 19, 6, -13, -3, -22, -8, -2, 19, -40, -41, 14, -28, -15, -26, -32, -16, 5, -1, -9, 11, 22, 12, 0, 15, 12, 10, -18, -14, 5, -24, 21, 6, -28, -23, -13, -3, 12, -5, -4, -13, -7, 22, -5, 22, -6, 10, -4, -11, -6, -13, -4, 10, -2, -6, 7, 7, -10, -13, -12, 19, 9, 13, 24, -22, -5, 14, 19, -16, 20, 16, 50, 52, 28, 44, 54, 30, -21, -2, -6, -19, -12, -11, 18, 38, 11, 17, 20, 27, 7, 43, 17, -11, 14, 5, 2, 5, 9, -13, -11, -11, -15, -37, -14, 3, -6, -2, -27, 6, 13, -10, -16, 11, 20, 49, -2, -22, 24, 33, -3, 5, 1, -41, -51, -6, -3, -14, 5, 37, 42, 1, 5, 16, -24, 16, 7, 8, 19, -8, 10, -15, 11, 3, -18, -7, 5, 17, 4, -7, 14, 6, -14, -15, -14, 1, 16, -33, -1, -38, -53, -19, 1, 8, -16, 76, 55, 14, 8, -16, 0, 2, 22, 23, 2, 20, -21, -16, 19, -2, -1, 15, -18, -7, -17, 8, 20, -3, 16, 18, 11, -7, 2, -13, -13, -3, 16, 11, -5, -4, 25, -22, -34, -10, 2, 3, -24, 18, 63, 56, 2, 16, 4, 10, -6, 14, -4, 1, -27, 7, -14, 7, 7, 0, 25, -13, 46, 7, -2, 17, 0, -2, -6, -6, 41, 58, -6, 35, 40, 29, 10, -9, 16, -6, -1, -6, 9, 5, 19, 6, -39, -2, -28, -74, -33, -23, -13, -7, 12, -22, -48, -31, -68, -43, -10, -13, -32, -17, -27, -26, 12, 15, 6, 18, 50, 64, 2, 6, -13, 20, -30, -3, 0, -19, 8, -29, 7, -6, -28, 6, 34, -21, -20, 7, -22, 16, 5, 29, -1, 9, -15, 13, 21, 16, -3, -24, 31, 9, 13, 4, 46, 27, -11, -1, 5, -10, -21, 18, -1, 4, 9, -29, -60, -44, -56, -82, -67, -24, -11, -2, -2, 10, -37, -14, -10, -2, -24, 1, 1, -38, -19, 17, -23, -54, -30, -8, -4, -16, 17, 15, -9, -15, 7, -11, 12, -16, -2, -15, 14, 8, -16, -34, -43, 5, -29, -26, -11, 12, -5, 19, -12, -10, -12, 2, -2, -30, -20, -11, 1, -16, -21, 3, -37, -27, -37, -28, -15, -8, -19, 10, 11, 20, -1, -12, -19, -2, 66, 86, 30, 78, 63, 31, 9, 28, 4, 30, 23, -12, 33, 3, 0, -22, -38, -17, -71, -51, -37, 3, -22, 21, 7, -9, -2, -5, 2, -11, -25, -32, -21, -36, 8, -13, -57, -82, -7, -45, -49, -25, -45, -17, 8, -7, -11, 6, 31, 42, 29, -14, 4, -10, -3, 17, 5, -21, -20, 5, 16, 10, -4, -11, 8, -20, 19, -9, -10, -3, -13, -18, -9, 3, 5, 18, 20, -13, 4, -9, 11, 8, 16, 23, -11, 5, -9, -1, 13, 21, -47, -67, -3, -18, -24, -22, -10, 4, 2, 25, 9, 0, 16, 35, -9, 12, 5, -4, -14, -3, 0, 8, 8, -4, 18, 8, 7, 9, -21, 19, 19, -19, 6, 12, 3, 16, 14, -6, -10, -14, 1, 0, -3, 0, 10, -2, 17, 0, -7, 0, 6, 16, -12, -21, 2, -22, -4, 18, 5, 17, 17, 26, -13, -7, 8, 28, -3, -17, 18, 6, -8, -15, -11, -23, -2, -2, 19, 16, -16, -9, -9, -2, -21, 10, 7, 11, 15, -16, 7, 2, 17, -17, -2, 8, 13, -1, -16, 4, -31, 59, 53, 39, 27, 25, 45, 3, -24, -12, -29, -30, -7, -9, -15, -18, 13, 18, -12, 19, -1, 1, -17, -9, 8, 0, -2, 14, 23, 15, 2, 22, 9, -10, 14, -7, 11, 8, -32, -31, -5, -28, 6, -18, 13, -14, 10, 42, 40, -8, 35, 17, 14, -18, -14, 16, 6, 17, -1, 28, 10, 8, -6, -12, 18, 13, -8, -10, 11, 28, -18, -1, 14, 0, 11, 8, -3, -5, 12, -13, 18, -16, 10, 13, -11, 15, 0, 6, -7, 11, -25, 1, -1, -23, 8, -21, 10, -6, 16, -2, 18, 13, 18, 18, 22, 7, -21, 0, -12, 6, 6, 18, -20, -12, -9, 12, 18, 11, 20, 43, 35, 25, 36, 40, 12, 12, 6, 8, 21, 5, -15, -5, 18, -7, -22, -11, -7, 8, 2, -12, -17, -2, 5, -17, -7, 4, 9, -6, -7, -6, -15, -23, -3, -33, 53, 63, 51, 54, 87, 57, 13, 10, 18, -30, -12, -11, -25, -15, 6, -19, -11, -6, 11, 28, 21, 7, -3, -9, -9, 7, -19, 30, 21, 7, -1, 15, 18, -13, -20, -11, -21, 13, 12, 5, -5, 13, -14, 6, -8, 11, -17, -8, -4, -23, 1, 18, -2, -18, -3, -16, 4, -14, 28, 32, -16, -3, -7, -14, -19, -1, -7, 21, 5, -17, -44, -20, -28, -11, 11, 12, 14, -3, 25, 2, 12, 1, -5, 18, 0, 5, 13, 12, 19, 23, 11, 24, -6, -12, 1, -15, -14, 22, -8, 19, -38, -26, 4, 0, -24, -28, -26, 13, 36, 25, 16, 5, 27, -6, -19, 12, -24, -50, -32, -60, -22, -45, -5, 12, 3, 5, -11, 0, 18, -12, -24, -15, -14, -27, 7, 0, 22, -9, -1, -4, 16, -18, 23, 25, 2, 10, 4, 21, -11, 15, 8, -39, -29, -3, 12, 9, 6, 6, 13, -26, -21, 17, -17, 8, 10, -5, -14, -19, -13, -86, -17, -14, 22, 6, 65, 49, 34, 4, 32, -10, 8, 18, 11, 11, -5, 19, 8, 19, 5, 28, 64, 12, 14, -9, -1, -2, 9, -20, 21, 15, -20, 14, -13, -14, 12, -7, 12, -7, -20, 19, -10, -17, 13, -44, -37, -36, 15, 19, -4, 26, 39, 10, -15, 13, -6, 22, 5, 7, 3, 4, -12, -35, -21, -27, 15, 9, 42, 4, 13, -2, -15, -20, -2, 14, 8, -17, 16, 12, 9, 12, -18, -13, -23, 12, 29, -7, -26, 10, 2, -18, -4, -19, 7, 10, 4, -16, -8, -11, -30, 15, -13, -17, -9, 21, 28, -10, -2, -13, -13, -11, 7, -14, -19, 0, -20, 7, -6, -32, -22, 35, 18, -16, 12, 25, 24, -2, -9, -11, -9, -13, -8, -31, -23, -9, 16, 0, 6, -27, -11, -16, -17, -9, 2, 7, 15, 19, 24, 37, 22, -3, -13, 2, -24, -9, 8, 0, -1, 11, -4, -4, 7, 20, -12, 3, 17, 16, -16, 12, -15, -21, -15, -23, 34, -4, -4, 41, 3, -19, 15, -16, -40, -14, -1, -13, -11, 2, 17, 9, -13, 1, -2, -19, -5, 18, 0, -20, -37, -1, -8, 21, -1, -7, 12, 27, 2, 5, -24, -6, 11, 58, 58, 20, 37, 50, -10, 3, -2, -18, 14, 9, -19, 14, -13, 19, 15, -15, 3, -9, -20, 7, -15, -25, -28, -12, -15, -20, -42, 5, -20, -26, 12, 8, 1, -22, -8, 10, -21, 15, -16, -1, 5, -4, 10, -18, -25, 1, 4, -35, -3, -7, -7, 9, 30, -4, 23, 23, 25, -7, -27, -15, 2, -11, -29, -22, 0, -6, 3, -10, 1, -19, 3, -24, -4, -12, -18, -5, -10, 18, 13, 7, -10, 23, -19, -17, 3, -14, -12, 1, -10, -25, 1, 15, 3, 14, 7, 5, 0, -21, 11, 14, 5, 3, 10, -37, -68, -26, -19, -84, -30, -8, -49, -13, -16, -11, -15, 2, -6, -17, 16, -2, -7, -5, -36, -40, -24, -23, -13, -12, 14, 3, -5, -12, 10, 23, 21, 17, 24, -30, -10, -10, 2, -1, -12, 18, -14, -9, -16, -7, 4, -7, 4, 0, -9, 1, -9, -18, -6, 39, 18, 37, -2, 13, 48, 10, 16, 23, -17, -30, -1, 16, -37, -8, 21, -12, -26, 12, 21, 6, 14, 14, 0, 22, 11, -1, -5, 5, 1, -18, -5, -15, -17, -21, -10, 24, 5, 17, 10, 12, -4, 10, 11, 13, -18, -18, 9, -15, -22, 19, -26, -9, -15, 5, -14, -4, -12, -6, -21, 10, 1, 15, -9, -18, 13, -6, -15, -13, -8, -14, -6, 1, -28, -20, 18, -22, -10, 19, -30, -50, 17, 22, -10, 10, 13, 21, 4, -17, 6, 16, 5, -4, 10, 12, -5, -8, 10, 12, -22, -15, -7, -23, -30, 16, 25, -9, 8, -20, -40, -37, -57, -43, -39, -39, -44, -32, -16, 20, -11, -20, 12, -11, -2, 1, -20, 8, 5, -13, 10, -18, 0, 16, -20, 18, 4, -8, 15, 0, 15, 6, -5, 20, 2, 12, 4, 20, 35, 16, 17, 9, -9, 30, 16, 16, 6, -14, -23, 8, -37, -8, -8, -19, -24, 3, -17, 3, 16, 22, 3, 5, -11, -3, 7, 23, 6, 17, 21, 22, -10, 12, -12, -11, 7, -44, -16, -1, -37, -34, -2, 6, 15, -7, 16, 6, 1, -18, 5, -8, -42, -26, -8, -37, -51, -26, -81, -49, 15, -21, -1, 2, -8, 10, -25, -32, -2, -15, 12, 6, 2, -28, -5, -16, -29, 11, 3, -17, 16, 14, -5, 15, -4, 2, 14, 10, -10, -17, -8, 23, 2, 3, 28, 6, 9, 13, -23, -7, 15, 15, 8, -15, 10, 27, 7, -3, -6, -14, -17, -6, -8, 20, -17, -63, -8, -22, -56, -9, -15, -59, -33, 21, -34, -31, 8, -22, -20, 0, -4, 0, 4, -32, -16, -21, -16, -15, -18, -28, -26, 14, 9, -7, -27, -5, -24, 0, -30, 7, -10, 21, -9, 3, -1, 11, 2, 10, 24, -4, 3, -12, 18, 37, 30, 7, 17, 21, -8, -29, -30, -6, -9, -3, -13, -13, -24, 12, -5, 16, -5, -31, -25, 16, -16, -5, 3, -14, -18, 3, 13, -8, 2, -5, -8, 3, 3, -14, 13, 20, -11, -7, 13, 18, 18, -24, -5, -8, -14, -9, -17, -25, 5, 11, 20, 2, 1, -4, -15, -23, -33, -15, 11, -21, -16, -14, -21, -23, -17, -10, 6, 17, -18, -15, -11, 12, -10, 11, -12, 10, -8, 14, 2, -10, 16, 2, -7, -9, -18, 7, 4, 7, 4, 1, -10, 13, 16, 3, 1, -18, 3, 4, 12, 10, 4, -8, -22, -27, -35, 21, -31, -56, -10, -31, -39, -5, -5, -18, -39, 2, 2, -17, -6, -18, -10, -5, -1, 9, -18, 4, -11, 8, -28, -22, -1, -17, 7, -6, -15, -19, 16, -2, -10, 2, -8, 14, 1, -22, -5, -19, -32, -13, -28, -44, 16, -66, -53, 9, -8, -28, 8, -16, 20, 0, 30, 16, 7, 12, 18, 37, -9, -1, -1, -28, -26, 12, 3, -15, -10, -3, -37, -5, -5, -7, -13, 4, -27, 12, -13, -13, -19, -25, -58, -42, -3, -54, -26, 42, 12, 35, 30, 51, 49, 4, 45, 33, -2, -11, 13, -21, -22, 17, -2, -25, -16, 30, 17, 24, 46, 12, 8, 31, 10, 5, -3, 14, -19, -18, 19, -10, -5, -17, -7, -9, -6, 12, -7, -7, 7, -1, 8, -18, -17, -57, -20, -27, -80, -25, -31, -100, -43, -9, 20, -19, -6, 14, 18, 4, 5, 15, -15, -17, 12, 12, 6, -2, -5, 0, -5, 4, 1, 43, 7, 17, 9, 3, 7, 3, -17, -1, 18, -26, 3, 9, -15, -16, 7, -13, -10, -16, 12, 10, -8, 8, 8, -12, -18, 6, 8, 11, -9, -19, -20, 10, -9, 19, 5, 10, -1, 2, 3, 8, -14, 22, 10, -6, -11, 3, -17, 5, 15, 8, 0, 7, -14, 17, -4, -35, -19, 6, -7, 13, 5, -19, -8, 1, -32, 1, -19, -24, 19, -8, -3, 2, -28, 6, -23, -4, -2, -13, 6, 15, 1, 19, 4, 16, 6, 4, -19, 10, 10, 14, -9, -17, -10, -1, -10, -27, 1, -22, 18, -17, -35, -27, 17, -20, -4, 23, 29, -9, 18, 25, 35, -3, 3, 34, -1, -41, -2, -19, 4, -8, 2, -10, 15, -15, -1, 13, -15, -16, -20, -9, 20, 0, -6, -43, -23, 18, -56, -42, 14, -44, -2, 16, -36, -2, 5, -27, -6, 3, -9, -31, 11, -11, 11, 7, 2, 14, 0, 39, 10, -32, -9, -31, 14, 18, 15, 20, -8, 1, -19, -4, 12, -24, -35, -25, -4, -20, -6, 22, 4, -30, 29, 8, 10, 23, -3, 14, 12, -38, -22, -20, -16, -20, 2, -11, 3, -5, -6, -11, -13, 15, 15, -9, 9, -8, -22, -17, -13, -21, -45, 19, -2, -12, 34, -11, 0, 15, -15, -40, -9, 3, -5, -1, 19, -21, 35, -3, -27, -23, -18, 17, 3, -20, -5, -6, 5, 12, 10, 3, -21, -10, -15, 9, -5, 3, -1, -18, -17, 17, -7, 31, 0, 33, -7, -16, 4, 16, 4, 7, -3, 6, -21, -4, 9, 4, 4, 5, 1, -10, -57, -34, -11, -45, -38, 8, -1, -18, -17, -18, -14, 11, 10, -14, -6, -17, -1, -1, 9, -20, 9, -11, -11, -11, -23, -11, -8, 11, -9, -5, 4, -13, 16, 6, 18, -31, -59, 5, -16, -45, -42, 1, -32, -14, 5, -27, 8, -18, -28, -8, -5, -31, -2, 1, -54, -14, 2, -71, -51, -21, -33, -32, 6, -11, 19, 16, -17, -3, -1, 19, 0, 3, 10, -17, -8, -14, 8, 13, -12, 6, 11, 16, 31, 7, 12, 31, 5, -11, 4, 19, 11, -10, -6, -8, 14, 0, -17, -17, -15, 13, -1, -18, -4, -21, 11, 14, 14, 29, 10, 5, 22, 50, -14, 21, 1, -49, -19, -19, -1, -14, 7, -11, -23, 9, -26, 7, -2, -3, -6, -19, 1, 8, 16, 15, -18, -51, -27, -54, -72, -41, -28, -53, -40, 20, 31, 41, 22, 45, 54, -23, 0, 20, 6, -10, -19, -36, -31, -40, -38, -35, -25, -21, -13, 17, -19, 5, 4, -6, -10, -3, -11, 13, 1, 3, 3, 15, 24, 23, 13, 11, 8, 13, -31, -22, -13, 7, 13, -9, 0, -8, -19, -20, 8, -8, -6, 3, 18, 18, 33, 24, 2, 6, 13, 26, 45, 25, 10, 19, -7, -22, 13, -4, -15, 3, -18, -18, -15, 14, 12, 10, 26, -15, 13, 24, 14, 0, 1, -12, -4, 11, -13, -1, -4, 1, 7, 20, -9, 13, -10, -14, -15, 19, -21, 12, 5, 12, -5, 6, 2, 6, -5, 39, 29, 54, 4, 44, 22, 38, 11, -3, 13, 22, 4, 14, 0, -9, 8, 14, -15, 18, -10, -25, -2, -6, -31, -11, -6, -2, 7, -21, -9, -18, -25, -28, -5, -12, 7, -23, -24, -11, -10, -26, -18, -14, -32, 0, 2, 21, 4, -17, -12, 7, -8, 21, 0, 36, 16, 31, 5, 4, 7, -4, -14, -4, -13, 6, -14, 2, -8, -22, -5, 5, -10, 8, -10, -2, 14, -14, 14, -1, -9, -17, 17, 13, -21, 2, -11, -24, 0, -1, -15, 27, 49, 17, 14, -8, 34, 43, 36, 33, -3, -22, 7, -42, -48, 4, -28, -13, 8, -13, 5, -3, 1, 12, -10, -10, -19, -7, 0, 15, -10, 10, 14, -15, 14, -22, -4, 17, -3, -5, -30, 13, 0, 10, -15, 3, -37, -36, -9, -59, -59, -7, -12, -18, -2, 21, -15, -16, 1, 8, 4, 18, 5, -12, -2, 10, -1, -14, 10, 16, 1, -24, -24, 36, 29, 14, 21, 23, 3, 7, 51, 27, 4, -17, 5, 18, 2, 19, 0, -23, 0, -26, 9, -10, -43, -60, -31, -32, -38, -3, -5, -3, 2, 18, 13, 38, 2, 14, 12, -23, 9, -7, -11, -27, -17, -11, -1, 5, -17, 17, 21, -26, -16, 12, -16, -4, -10, -22, -11, -24, -50, -36, 0, -19, -13, 7, -15, 18, -6, 2, 7, 16, 7, -15, 3, -4, -8, -28, -9, -64, -37, -31, -42, -37, 0, -4, 19, 6, -10, 10, -16, -11, -14, -3, 8, 23, 59, 59, 24, 22, 35, 50, 20, 19, 6, -1, -9, -18, -8, -11, -20, 33, 10, -5, -8, -3, 0, 5, -14, -10, -12, 1, -15, -6, -13, -16, -10, 4, 20, -2, -2, -9, -3, -3, 4, 6, 16, 1, -3, 1, -7, -12, -5, 10, 7, 18, -3, 4, -19, 24, -23, -25, -14, 17, -11, 5, 28, 42, 28, 23, 45, 20, 26, 34, -2, -41, -22, -25, -34, -45, -48, -24, -13, -21, -2, 20, -8, -26, 3, -6, 5, -13, 11, -8, 11, 1, 12, 14, -15, 5, 3, 15, -8, -6, -19, -8, -19, -16, -3, -16, -6, 18, -19, -1, 18, 22, 6, 8, 21, 7, 25, -6, 4, 1, -15, -7, 11, 37, -11, -1, -9, -18, -4, -9, -24, 9, 9, 8, -10, -5, 3, -5, 10, 1, 3, 2, 15, 22, -4, -7, -17, -14, -10, 7, -17, -17, 28, -4, 9, 2, -8, 14, 4, -20, 20, 22, -7, -16, -28, -57, -12, -50, -60, -21, 12, 11, 13, -9, -4, -6, 10, -6, -9, 18, 10, 15, -7, 18, 14, -12, 18, 11, 11, -16, 3, 18, -12, -8, 4, -16, 8, 20, 20, -16, 12, -7, -3, 6, 10, -21, -8, -14, 3, -11, 8, -9, 14, 1, -12, 2, 14, 9, -12, -7, -31, 15, -18, -12, -1, -18, -41, -8, -16, -48, 10, -4, -9, -1, 6, 4, -11, -7, -2, 14, -22, -14, -15, 20, 19, -14, 17, 7, 17, 0, -19, 0, 22, 21, -12, -5, -13, -6, -25, -1, 16, -25, 19, -45, -28, -7, 3, -4, -7, 15, 6, 6, 9, -2, -7, 17, -21, -25, 6, 35, 18, 2, -27, -15, -21, -36, -42, -11, -2, -8, 4, -4, 7, -17, -15, 7, 5, 23, -8, -18, 9, 17, 3, 8, 19, 30, 10, 22, 15, 25, 14, -9, 31, -2, -2, -4, 24, 16, 22, -3, -16, 23, 24, 6, 12, 0, -18, -18, -11, 17, 20, 25, 12, -14, 15, 11, 16, 16, -14, 1, 9, -11, 12, -15, 18, 2, 5, -20, -1, 21, 5, 29, 22, 9, -3, 3, -9, 12, 25, 14, 9, 0, -3, 5, 19, -4, -17, 7, -19, 4, -15, 19, -10, -15, 18, 10, -11, 26, 22, 8, 5, 37, 30, -7, 35, 27, -10, -7, 4, 1, -4, -2, 21, 15, 9, -4, -23, 0, 16, 10, -8, -13, -23, 8, 12, -9, 16, 18, 3, 5, -21, -1, 8, 51, 65, 26, 40, 85, 21, 24, 65, 68, -7, 16, 4, 7, 13, -3, -6, 21, 23, 6, 6, -2, -7, -14, -2, -25, -26, 6, 18, -10, 24, -18, -13, 15, -3, -4, 7, 8, 4, -1, -1, 15, 15, 10, -21, 19, -14, 1, 19, -8, -12, -6, -6, 17, 21, 15, 35, 30, -13, -14, 15, -4, -5, -27, 16, 15, -2, -13, -15, 1, -9, 1, -13, -5, 14, -3, 16, 35, 6, 17, -4, 32, 10, -23, 0, -2, -15, -20, 0, -4, -8, -15, -26, 3, -11, 6, 12, -22, 9, 1, 23, 6, 16, 0, -18, -31, 11, -27, -28, 0, 11, 2, 26, 23, -9, 26, 16, -25, -2, -22, 17, 5, -9, 27, 14, 49, 46, -4, -9, -6, -12, -12, 15, -1, 20, -11, 22, 20, -1, -6, 12, -3, -18, 11, -11, 24, 4, -6, 25, -5, -13, -11, 14, 17, 18, -28, -17, -23, -9, -28, -8, 0, 1, 23, 3, -8, 2, -5, -8, 1, 15, 6, 34, 53, 19, -10, 0, 13, 14, 12, 8, -8, -12, 19, -29, -20, -1, -18, 2, 4, -20, -1, -16, -24, -17, -29, -5, -4, -13, -9, -2, -20, 18, -19, 13, -19, -4, -19, 11, 11, -15, 19, -14, 2, 1, -2, -19, -32, -26, 4, -31, -6, -1, 7, -16, -7, -22, -10, 2, -12, 16, 10, 5, -15, 4, -24, -32, -27, -12, -27, -5, -16, -6, 23, 14, -14, -10, 5, -5, 10, -10, -2, -20, 13, -28, -24, 10, 3, -14, 9, -11, -15, 2, 17, 12, 5, -9, -18, 14, -4, 5, -13, -3, -7, -27, -25, -27, -10, 6, 15, 4, -15, -7, -19, 0, -11, -2, -29, -6, 21, -11, -3, -11, -39, -33, -9, 1, -6, 0, -29, -24, 6, -17, -29, -17, -13, -2, -2, 9, -14, 22, 15, -6, 19, -1, 0, -6, 11, -19, -22, -23, 0, 3, -17, -13, -26, -18, -2, -6, -2, -6, -17, -20, 13, 2, -8, 19, 13, 6, -4, -20, -5, 12, 9, 15, 29, 17, 27, 7, 8, -3, -23, 0, 23, 5, -15, 17, -1, -21, 17, -20, 0, -19, -17, -1, -7, 8, -6, -1, -19, 17, -7, -4, 3, 9, -7, 36, 44, 21, 15, 24, 17, 16, 38, 26, -16, -21, -17, 0, -11, -17, 16, -16, 0, -14, -29, 9, 7, -15, -15, -14, -17, 13, -8, -2, 21, 1, 45, 9, -14, 35, -4, 8, 17, -9, -1, 22, 7, 7, 22, 13, 3, 22, -14, 1, -8, 9, 11, 5, -16, -4, -3, -10, -23, -4, 0, -39, -6, 9, -48, -33, 0, -2, 1, 5, -9, -20, -6, 12, 11, -30, -4, -11, 7, -11, -10, 0, 6, -7, 1, 1, -19, -6, 1, -5, 8, 18, 6, 0, -17, -5, -1, -13, -22, 0, 15, -14, 7, -13, 14, -6, -20, -15, -14, 18, 14, 11, 0, 36, 34, -2, 18, 17, 13, 28, 6, -8, -11, -10, 3, -27, -3, 1, -1, -24, 0, -18, 5, 21, -31, -7, 5, -16, 8, -4, -8, -13, 0, -12, 6, 10, -9, 7, 10, 0, 20, -18, -12, 1, 4, 4, 17, 15, -29, 9, 21, -14, -26, -2, 4, 7, -25, -11, 34, -27, -11, 62, -31, 6, 64, 18, -1, -10, -5, -15, -4, 1, -12, 6, -12, -15, 15, -6, -21, -6, -25, 22, -8, 2, 10, 17, 14, -14, -18, 9, -14, -23, -16, 13, 65, -18, 15, 37, -24, 22, 17, 6, 16, 6, 19, 36, 6, 7, 0, -10, -6, 19, -1, -10, -17, 21, 4, -3, -10, 7, 2, 7, 6, -12, 18, 3, -21, 5, 4, 4, -18, 2, 14, 12, 1, 0, 24, -2, -29, 13, 6, -25, -4, 14, -4, -21, 1, -1, 1, -13, -11, -3, 4, 5, -18, -8, -17, 14, 3, -10, -14, -14, -14, -2, -29, 20, -5, -36, 9, 11, -17, 2, 8, 18, 0, 21, -4, 12, 9, -4, 4, -18, -11, -10, 9, -29, -14, 11, -32, -8, 31, 10, -5, -7, -8, -16, 5, -32, 2, 15, -66, -18, 11, -80, -22, 16, -18, -21, 6, 0, -12, 19, 24, -1, -6, 6, -8, -13, -11, -14, 7, -6, 28, 8, 0, 51, 37, -12, 26, 0, 8, 19, -12, -9, 22, 11, -28, 0, -2, 11, 10, 19, 10, 6, 15, -15, -20, -8, -13, -5, 10, -10, -9, -4, -16, 21, -5, -7, 23, 23, -31, 14, 29, -21, -40, -3, -9, -47, -14, -15, -57, -10, 5, 38, -23, 28, 27, -8, 1, 28, -2, 18, -21, -7, -7, 11, 1, 20, 15, 17, -5, 13, 11, -8, -10, 18, -34, 23, 2, -10, 19, 5, -12, 3, 10, -10, 16, -8, -1, 30, 9, 33, 34, -27, 19, 31, -8, -24, -11, 1, -33, 18, 19, -36, 5, 15, -4, 19, 59, -28, 43, 39, -2, 31, 35, 14, 29, -1, 1, 36, 14, 21, 8, 0, -21, -16, 21, -38, -13, 5, -28, -18, 41, 3, 24, -9, 8, 28, 8, 17, -5, 7, -1, 10, 16, 11, 27, 22, 4, 17, 40, -9, 21, 22, -1, 53, 28, 8, 52, 25, 3, -5, 9, 18, 13, -12, 12, -17, -12, 0, -17, 5, 14, 0, -12, -12, 16, 8, 8, -14, 19, -11, -4, 20, -21, -16, 20, -13, -2, -21, -9, -7, -15, -4, -24, -14, 22, -13, -3, 12, 30, 2, 2, 35, 21, -13, 24, -18, -1, 37, -13, -5, 31, 2, 8, -14, 6, 17, -12, -6, 3, 3, -14, 5, -5, -16, 13, -10, -4, -17, -4, -17, 18, 1, -6, 7, 10, 15, -9, 16, -15, -3, 18, 16, 21, 0, -11, 21, 36, 0, 20, -20, -6, 6, -58, -14, -21, -55, 2, 8, -14, -11, -9, -15, -15, -11, -26, -11, 17, 17, -3, -1, 11, -3, 11, 2, 6, -16, -14, 6, 8, 8, 13, -1, -20, 18, -11, -16, 9, 18, 4, 4, 0, 21, -12, -11, -45, -1, -20, -43, -17, 8, -63, 2, -12, -22, 23, -38, 4, 10, -21, -24, 4, -7, -30, 1, -6, -29, 7, 0, -45, -19, -8, 11, -11, 14, 13, 16, -4, 1, -1, -2, -14, -9, 17, -34, -20, -27, -16, -22, -49, -20, 50, -32, 0, 47, 1, -5, 35, 16, 14, -17, -9, -6, 18, -4, 8, 0, -31, 7, 0, -31, 2, 1, -4, -10, 12, -17, 4, 7, -8, 6, 19, 27, 5, 1, 22, 7, -15, 6, -11, -13, 5, 35, 14, 19, -12, -19, -1, -43, -29, 7, -42, -20, 14, 18, 9, 10, 5, 18, 24, 22, 18, 11, 5, -3, -2, 1, -18, 7, 14, 0, -35, -10, 11, -39, -22, 29, 10, -32, -12, -25, -31, 14, -21, -31, -23, -12, -31, -16, 3, -19, 6, 4, 8, 6, 11, 7, 1, -17, 5, 22, 11, 5, 7, 11, 4, 23, -31, -3, 29, -10, 8, 23, 20, 18, -6, -17, 1, 3, -13, 2, 9, -2, -11, 18, -10, 20, 17, 2, 2, 9, 2, 26, -15, 6, -6, 0, 12, -11, -19, 9, -50, -21, 3, 9, -11, -17, -9, 9, -4, -11, 20, 12, -8, -14, 4, 5, -15, 10, -15, 4, -16, -53, -21, -5, -63, -13, -5, -63, 4, 13, -13, 7, -3, 21, -2, -12, 30, -25, 4, 8, 0, -2, 3, 24, -22, 17, 18, -8, -17, 4, -3, -18, 15, 6, 9, 17, -16, 14, 0, 12, 5, 11, -5, 17, -6, 12, 56, 38, -4, 62, 37, -11, 43, 27, -21, 15, 4, -1, 14, 12, -8, 4, 17, 1, -7, 17, -12, 7, 10, -50, -2, -2, 13, 8, 22, -7, -14, -13, 5, 2, -8, 2, 13, 5, -7, 9, 23, 6, 18, 5, 28, 14, 17, 33, 33, -2, -3, 13, -17, 4, -23, -6, -34, -37, -9, -26, -27, 1, 0, -3, -4, 4, 11, -3, 21, -17, 3, -25, 15, 27, -15, -13, 56, -20, 8, 53, 13, -5, -17, 4, 9, -38, 19, -2, -23, -8, 5, 13, 0, 23, 13, -18, -1, 15, -2, -18, -5, -11, 7, 2, -1, -12, -16, 7, -18, 19, 11, -5, -17, -2, 9, 15, -36, 18, 30, -10, 1, 7, -12, 5, 37, -2, -9, -10, 11, -10, 18, -10, -12, 15, -7, 17, -12, 22, 35, -3, -5, 41, 7, -2, 19, 0, -12, 9, 13, -18, 7, 10, 6, 17, 12, -9, 14, -7, 2, 20, 25, -2, -6, 10, -2, -13, -23, 13, -9, -6, -4, 11, -1, -24, -1, 2, 0, 14, 17, -21, 11, -9, -13, -19, -18, 5, -13, -19, 10, -35, 1, 19, -23, -29, 24, 10, -16, 1, 2, -29, -14, -38, 3, 6, -17, -7, 5, 18, 1, 17, -8, -17, -11, 11, 9, -1, 11, 33, -14, 2, 45, -23, 15, 10, 19, -9, -20, -3, -15, -18, -5, -4, -12, 3, 14, 9, 5, 13, 11, 2, 9, -20, 10, 53, 59, -1, 65, 32, 6, 23, 19, -10, -17, 13, -1, -43, 5, -2, -10, 4, 9, 7, -21, -12, 6, 13, -13, 3, 19, 15, 31, -4, 6, 25, 8, 10, -7, 0, -39, -54, -2, -47, -65, 20, -22, -43, -13, 3, -31, -36, -19, -30, -38, -7, -10, 6, -19, 2, 11, 9, -3, -17, 10, -5, 9, 5, 0, 5, -18, 1, 18, 15, 28, -2, 26, 50, 29, 44, 43, 35, -5, -2, 3, 10, 14, -2, 21, -29, -19, 11, -14, 0, 0, -30, -44, 9, 12, 6, 21, 25, 34, -4, 20, 15, 1, -1, -15, 13, -3, -11, 9, 6, 10, 3, 1, 2, 5, 2, -11, -16, 14, 9, 12, -3, 1, 0, -7, -13, 21, 3, 2, 18, -4, 2, 1, 5, -8, 11, -8, -15, -1, -4, -13, 24, 17, -13, -20, 12, 8, 40, 50, 35, 49, 20, 13, 6, -8, 16, 18, -3, -19, 0, 23, 27, 21, 0, -1, 19, 21, 10, 13, 18, -4, 13, -18, -16, -34, -28, -5, -33, -9, -30, -7, -14, 15, -28, -14, 15, -11, -20, 13, 7, 22, -8, -6, 21, 12, -7, -9, 3, -30, -45, -30, 5, -11, 6, 29, 15, 10, 16, 0, -12, -15, 9, -10, -3, 15, -1, -1, -1, -5, 1, -5, -17, 14, -13, -5, -1, -8, 6, 9, 8, -26, 6, -37, -15, -16, -15, -19, 9, 13, 6, 51, 39, 23, 15, 15, -11, 22, -4, -9, 18, 17, 3, 15, 19, -21, -14, 15, 19, 19, -4, -6, -1, -15, 3, 9, 0, -7, 12, -8, 14, 17, 17, 7, -22, -17, 30, -29, -33, -12, -1, -10, 6, 23, 49, 35, -7, -2, 36, -14, 2, 15, 0, -10, -16, -20, -20, -10, 1, 11, -9, 1, 21, 12, 6, 8, 26, 6, 4, 0, 32, 21, 11, 25, 27, 6, 7, 18, 17, 20, 11, 9, -6, 1, -10, -1, -28, -27, -49, -55, -48, -28, -33, -13, 8, -5, -15, -34, -47, -51, -20, -9, 5, -21, -9, -20, 23, 9, 17, 2, 35, 50, -14, -8, -17, 14, 11, 15, -3, -11, 12, -26, 13, -1, -47, -23, 5, -13, 1, 9, -22, -21, -16, 10, -15, 18, 8, -3, 2, 2, 13, 5, 37, 0, 11, 12, 6, 21, 20, -20, 19, 0, -19, -12, -14, -3, -15, -38, -35, -43, -57, -66, -30, -9, -30, -24, -22, -24, -36, 10, -32, -8, 0, 2, 2, -13, -30, -2, 0, -9, 2, -8, -15, -22, 7, -18, -16, -15, -12, 2, -9, -20, 19, -11, 0, 8, -35, -49, -38, 7, -10, -3, 19, -13, -1, 11, 14, -11, -6, 9, 7, 2, 9, -20, 3, -15, -9, 4, -33, -16, -3, -38, -5, 3, 15, -10, 1, 8, 19, -5, -14, 23, 62, 66, 50, 76, 57, 19, -10, 15, 10, 37, 40, 3, 0, -8, 9, -30, -30, -17, -43, -47, -25, -15, -16, -3, -7, -15, 8, 14, -9, 11, -15, 6, -23, -42, -7, 10, -48, -48, -45, -18, -25, -4, -10, -27, 6, -12, -25, 14, 9, 18, 14, -14, -10, 2, 9, -1, -10, -17, 15, 19, -5, -15, -4, 3, 11, 0, 12, 17, 14, -17, -7, 7, 18, 3, 17, 13, -5, 9, 11, 9, -9, -14, -13, 4, -15, 16, 22, -10, -26, -17, -22, -15, 15, 6, -23, -32, -15, -25, 12, 13, -16, -4, 2, 13, -10, 21, -9, 12, 2, 20, 17, 9, -3, 11, 0, 20, -19, 11, -6, 10, 2, 12, 15, 19, -10, -9, 3, 6, 14, -17, 0, -13, -23, 10, 3, -23, -10, -16, 7, 5, 6, -15, 1, -12, -9, 4, 24, 16, -5, 13, 12, 33, 6, -1, -7, 6, 7, 12, 0, -19, 3, -7, -2, 4, -6, -2, -21, 11, 5, -18, 14, -13, -2, -2, 10, 15, 0, -15, 5, -1, 13, 23, 2, -10, 17, 15, -12, -13, -19, 37, 24, 28, 36, 43, 36, -7, -32, -35, -23, -29, -15, -24, -2, -27, 9, -2, 2, 15, 24, 33, -7, 6, 2, 17, -5, 0, 13, 14, -4, -3, -6, 18, -3, 1, 13, 7, -34, -27, 6, -17, 10, -12, -7, -10, 28, 10, 35, 14, 39, 22, 10, -20, 3, 13, -7, -14, 16, 1, 10, -21, -24, -15, -11, -4, 16, 5, 3, 20, -20, -12, 10, -21, 6, -12, 5, 6, 14, 18, 17, 14, -13, -11, 11, -15, -9, 20, 2, -3, -18, 2, -16, 1, -14, 12, 16, -17, 13, -10, 13, 12, -15, 7, -6, 14, -12, -2, 18, 9, 15, 6, 12, 5, -5, 17, -14, -7, 17, 55, 24, 8, 25, 40, 8, 25, -20, 10, 0, 3, 4, 3, 6, 1, 8, 4, -16, -18, -14, 0, 15, -15, 1, -7, -13, 9, -12, -4, -14, -5, 3, -26, -15, -15, 40, 37, 34, 57, 79, 59, -6, -26, -4, -35, -11, -34, 8, -2, -2, -7, -14, -14, -5, 25, 18, -10, 9, -5, -4, 17, -2, -2, -2, -17, -12, 4, -5, -7, -14, 18, -16, -11, -9, 6, 7, -9, -2, -11, -19, -21, -19, 17, -6, 0, 22, 20, -16, -32, 8, -22, 3, -9, 23, 24, 7, -4, -18, -14, -4, -1, 7, 11, 7, -31, -37, 5, -21, -7, -7, -8, -8, 0, -17, -8, -11, -4, -6, 1, -8, -15, -8, -14, -11, 10, -2, 27, 12, -14, 13, 12, -18, -7, -12, 5, -19, 2, 14, -11, -9, -17, 0, -14, 4, 35, 22, 5, 35, 9, -3, -4, -22, -41, -46, -55, -22, -34, 7, 9, -6, -8, 16, 10, 17, 8, 1, -11, -4, -15, 7, -6, 8, 12, -11, 18, 18, -26, 13, -5, 20, -15, 6, 30, -9, 8, -7, -8, -21, -20, 4, -11, 18, -8, 2, -25, -5, 6, -25, 11, 14, 16, 2, -8, -14, -46, -25, -2, 19, 10, 43, 28, 17, 16, 19, 2, -5, 2, 21, 9, -25, 7, 27, 1, 24, 43, 39, 12, 16, -12, 2, -1, -2, -5, 6, 8, 8, -11, 17, 3, -8, 10, 21, 18, -5, 19, -14, 20, 14, -22, -19, -10, -9, -6, -9, 20, 11, 21, 13, 10, 17, 4, 14, -6, 15, -10, 0, -3, -27, -12, -7, -10, 16, 13, 7, 14, 8, 5, 2, -18, -5, -6, -13, -1, 6, -5, 13, 13, -25, -21, -5, 5, -17, -7, 5, 3, -18, 11, 1, -24, -19, -15, 11, -5, -10, 17, -1, -4, 16, -8, 5, 21, -17, -18, -9, 12, 15, 8, -13, -19, 17, 12, -9, 5, -2, 19, 2, -11, -3, -8, 12, 10, 6, -12, -12, -36, -24, -25, -17, -14, 12, -12, -6, -20, -8, -22, 8, 1, 3, 15, -5, 39, 30, 10, 29, 19, -5, 19, -22, -3, -13, 17, 12, 9, 1, -2, -4, -14, 21, 9, 18, 10, -8, 4, 19, -38, -33, -22, 16, 15, -15, 52, 22, 2, -1, -2, -37, 10, -7, 19, -15, 24, -2, -19, 2, 4, -8, 17, 12, -9, 12, -5, -11, -14, -24, 15, -22, -8, 21, 34, 1, 0, -14, -25, 37, 47, 49, 29, 64, 45, -13, -4, -6, -3, -3, -1, -25, 4, 2, 0, 1, 21, -7, 17, 10, 3, -26, 11, -42, -44, -12, -17, -50, 9, -26, -17, -16, 11, -5, 11, -5, -7, 11, 2, 9, -11, -1, 12, 11, -3, -1, -10, -26, -38, -2, 0, -36, -9, -7, -14, -1, 24, 12, 12, -21, -21, 16, 13, 6, -12, 13, -5, -20, -8, -25, -22, -17, -35, -23, 5, -33, -3, 12, -3, -7, 13, 6, 21, 4, -13, 16, -19, -19, -17, 15, -8, -15, -4, -27, 14, -8, 20, -1, -20, -8, 1, -12, 0, -13, -45, -45, -47, -33, -63, -47, -25, -29, -12, 6, 2, -22, 2, -1, -16, 13, -4, -36, -6, 3, -21, -10, -13, 3, 19, -7, 1, -4, -20, -13, 22, 3, 10, -3, 5, -2, -14, -1, -8, -20, 8, -10, -17, -15, 10, -5, -7, -24, 15, -11, -18, -1, -3, -8, 13, 18, 16, -11, -9, 10, 6, -23, 9, 12, -19, -10, 9, 6, -3, 11, -23, -9, 2, -7, 11, -7, -25, -9, 3, 9, -4, 20, 7, -20, -24, -7, -11, -18, -20, 6, 14, -4, 15, -12, 2, -8, -2, 5, -7, -11, -30, 8, -7, -14, 9, 1, -27, 13, -6, 2, 1, -16, -7, 12, -12, -2, 21, 19, -1, 14, 14, -10, -3, 17, 1, 9, -19, -18, 4, 25, -20, -18, 25, -1, -40, -13, 2, 1, -11, 9, -11, -10, -8, -13, -20, -8, -8, -3, -12, 9, 10, -4, 13, -29, -29, -17, -12, -25, -15, -13, -11, -8, -67, -71, -51, -41, -66, -50, -10, -45, -21, 14, -17, 14, -13, 17, 11, 5, -2, 17, -1, -12, 14, 3, -5, -7, -12, -21, 0, 5, 4, 7, 9, -1, 0, -4, 2, 16, -18, -7, -13, 1, -15, -30, 11, -21, 3, 0, 15, -16, -7, -7, -17, -33, 8, -9, -20, -19, -9, -13, -24, -8, 16, -29, 6, 11, 2, 20, 20, 0, -8, 14, -7, 4, -14, 0, -20, 10, 5, -13, 12, 8, -13, 1, 11, -2, 5, 20, -2, -7, 6, 19, -18, -9, -5, -41, -76, -45, -49, -82, -74, -11, -25, 8, 9, -41, 9, -4, -28, 22, 5, 10, 4, -4, -26, -22, -13, -17, -19, -7, 5, -3, -9, -8, 17, 0, 3, 20, 17, 3, 1, 15, 2, -5, 19, -2, 16, 15, -12, -19, -20, 6, -19, 1, 10, 12, 18, 2, -6, -15, -6, -5, -7, -5, -14, -22, -49, 2, -28, -63, -28, -59, -68, -18, -33, -45, -16, -10, -46, -34, -31, -9, -28, -2, -46, 8, -17, -10, -24, -16, -11, 11, 9, -38, -6, -19, -38, -46, -17, -53, -31, 6, 5, 8, 1, -6, -2, 2, 6, -15, -8, -5, -10, -12, 3, 16, 3, 5, 21, -20, -25, -20, 4, -25, -31, -25, -35, -17, 13, -28, -2, 19, -8, -7, -14, 9, -12, 6, 17, 4, 21, 0, -15, 18, -4, -2, -2, 2, -5, -5, -5, -1, -9, -3, -3, 6, -8, 3, -15, -22, 5, -21, 3, -3, 11, 8, 2, 2, -10, -17, 4, -25, 7, -18, -1, -6, -20, -25, 7, -20, -7, -15, -6, -3, 7, 20, 5, -6, -10, -13, -19, -16, -13, 9, 20, 13, 16, 0, 16, -8, 12, 16, -18, 2, -9, -13, -3, 17, -6, 5, 4, 22, -16, 9, 15, -10, -1, 1, -31, -26, 0, 1, -65, -17, -10, -45, -32, 15, -9, -11, -1, 8, -4, -20, 6, -28, -7, 13, -9, -7, -7, -21, 6, -2, 9, 12, 3, 3, 14, -21, 1, -3, 3, 20, 2, 5, -17, -1, 14, 2, 17, -6, 7, -8, -64, -2, -59, -65, -25, -2, -45, -5, 12, -5, 9, 18, 23, 17, 29, 22, 35, 2, 3, 12, -29, 0, 2, 2, -7, -16, -15, -8, 13, -2, 5, 13, 14, -17, 13, -20, -20, -2, -6, -17, 6, 0, -23, -31, 38, 15, 45, 20, 30, 34, 25, 12, 41, 2, 3, -14, -9, -35, -24, -6, -6, -1, 37, -5, 3, 32, 19, 17, 8, -16, 9, 16, -20, -15, 7, -14, 0, -10, 21, -7, 12, -11, 4, -26, -9, 9, -11, 9, 16, -6, -29, -25, -23, -45, -26, -18, -81, -12, 18, -1, -5, 6, 20, 0, 6, 13, 11, 2, 4, -15, 1, 1, -16, -15, 14, -20, 20, -12, 43, 19, 24, 7, -2, 17, 24, -18, -11, 30, 5, -12, -11, 7, -10, 4, 5, -9, -8, -6, -7, -4, -13, -7, 2, 7, 6, 19, -14, -6, 1, 16, -3, 16, -3, -22, -4, 2, -19, -2, 8, -25, 8, 0, 6, 14, 5, -38, -4, -7, 7, -22, 1, -35, 4, 8, -46, -11, 17, -8, 4, -5, -16, 11, -7, 4, 16, -26, -4, -6, 16, -7, 22, -11, 6, 1, -9, -33, -20, -18, -7, 10, -2, 17, 20, 16, 16, 6, -9, -30, -2, -14, -21, -9, -28, -20, -5, 18, -19, 17, -20, -36, -15, -24, -45, -13, -1, 8, 2, 29, 30, 36, 27, 4, 29, -19, -24, -20, 15, 8, -3, 12, -8, 9, 6, -10, -2, 5, 7, 16, 13, 19, -16, 4, -34, 3, -15, -53, -10, 17, -39, -42, 19, -24, -3, 13, -36, 0, 3, -11, -23, -17, 5, 6, -3, 3, 17, 25, -1, -5, 14, -19, 16, -2, 18, -13, 20, 19, -14, 11, -46, -3, 6, -41, -27, -8, -43, -3, 8, 8, -8, 3, 17, -5, 0, -24, -2, 4, -43, -37, 3, -51, -29, 9, -46, -29, 1, -8, -13, -15, -3, 19, 18, 22, -13, -36, -54, -2, -49, -62, -17, -48, -41, -10, -2, -10, -8, -23, 10, 7, 0, -9, -18, -10, -18, 9, -6, -6, 7, 14, -14, -21, 16, -18, -9, 18, 1, 16, -7, -7, -21, -18, -22, -16, -16, 1, 10, -9, -18, -15, -8, 1, -16, -19, -24, -13, 0, -17, 0, -8, 0, 8, 17, -11, 20, -12, 8, 10, -21, -16, 1, -12, -23, -11, -10, -17, -9, -20, 13, 3, -2, -11, 14, 18, -9, -8, 12, 1, -8, 2, -7, 12, -14, -27, -21, -4, -23, -9, 19, 19, 17, -2, -12, 14, -20, -29, 15, -6, -1, 6, -21, -27, 3, 6, -3, -10, -18, -3, -28, -4, 6, 7, -17, -46, -32, -24, -49, -50, -3, -48, -28, -4, -14, 14, -12, 8, 3, 16, 6, 22, -20, -8, -3, -5, 3, -7, -12, 1, 11, 5, 19, 38, 2, 16, 23, 0, 5, -4, 3, 5, -2, -7, -4, 8, 18, 3, -16, -5, 12, 10, 18, -20, -8, 17, -11, -10, 21, -6, 11, 31, 21, -3, 8, 12, -32, 17, -10, 12, 1, -20, 3, -20, -17, 5, -15, 16, 6, 3, -1, -5, -19, 1, 2, -22, -48, -13, -50, -85, -14, -44, -47, -31, 28, 7, 27, 19, -3, 15, -3, 21, 10, 13, -18, -17, -29, -44, -18, -35, -47, -23, -17, 11, 14, -4, -20, -11, 13, 19, -16, -12, 13, 11, 7, 6, 15, 18, 23, 4, -16, 2, -1, -23, -21, -8, -16, 17, 15, -17, 11, -15, -2, -19, -12, -13, -9, -25, 11, 4, 23, 23, 26, 15, -9, 34, 14, 20, 22, 9, 20, 24, -4, -7, 16, 7, 15, -9, 9, 1, -19, 12, -9, -4, 6, -15, 7, -8, 16, 16, 13, 20, -17, 8, 14, -7, 11, -9, -9, -16, 10, 10, -9, -16, 9, 2, -1, -11, -15, 18, 3, 2, 36, 21, -2, 1, 9, 12, 22, -7, 3, 23, -26, -12, 15, -7, 4, -1, -3, -16, 21, -22, 5, -17, -9, -17, -2, -4, -10, -19, 20, -17, -9, 0, 7, -14, -33, -5, -6, 10, -21, -24, -2, -13, 6, -25, 16, -5, -4, 13, 24, -1, -5, -5, 17, -7, 12, 23, 18, -16, -18, -4, -36, -35, -18, -2, -5, 6, 7, 1, 3, 6, 8, -9, -17, -16, 4, 13, -23, -9, -26, -13, -37, 16, 5, -14, 0, 9, -5, -4, 5, -11, 43, 14, 16, 8, 21, 17, 21, 42, -4, 6, -15, 16, -29, -23, 18, 1, 3, 14, 17, 17, -8, -14, -3, 1, 7, 15, 19, -18, 12, -3, -20, 4, -24, 16, 16, -1, -4, 2, -4, -18, 3, -8, 19, 14, -1, -31, -32, -30, -25, -22, -29, -37, -18, 8, 0, 19, -19, 7, -11, 13, 18, 12, 12, -3, -11, -2, -25, 9, -1, -10, -18, 17, 11, 6, 18, 10, -15, 4, 12, 31, 22, 10, -19, 10, -18, -14, 3, 8, -5, -20, -7, -24, 3, -17, -43, -28, -43, -25, -19, 7, -14, -14, -12, 12, -7, 13, -4, -8, -27, -43, -18, -28, -30, -47, 7, -11, 5, -10, 12, -14, -18, -13, -4, -7, 3, 16, -3, -7, -9, -43, -41, -20, -17, -35, 12, -14, -9, 2, 5, -18, 15, -1, -34, -17, 5, -16, -6, 17, -12, 4, -17, -15, 2, -10, 15, -1, -15, -18, 1, 19, -5, -21, 2, -3, -7, 42, 42, 35, 27, 17, 20, -19, -8, -20, -2, -1, 8, -17, -24, -7, 3, -9, -3, -13, -16, -8, 1, -25, 3, -15, -6, 14, 15, 6, 21, 8, 5, -14, 4, 10, 14, 0, -5, -4, 7, -19, -20, -11, -7, 12, 8, 7, 10, -19, -19, -6, -14, 10, -6, -22, 12, 13, 14, -6, 16, 34, 24, 0, 23, 32, 15, 28, 7, 13, -66, -45, -45, -44, -70, -56, -60, -40, -28, -16, 18, 9, -25, 1, 14, -7, -11, 5, 21, 1, 19, 9, -9, -23, -1, -11, 6, 14, -5, -8, 15, -12, 2, 7, -37, -1, 15, -7, -3, -9, 1, 17, -13, -19, -12, 14, -3, 7, -6, -20, -16, -3, 8, -16, -11, 1, 0, -4, 3, 1, -9, -3, -18, -6, -23, 7, -23, 19, -13, -2, 3, -11, 16, -11, -7, 5, -11, 1, 2, 2, 10, 4, 17, 16, 19, 0, 17, -11, 10, 18, 9, 1, -18, -24, -21, -16, -39, -59, -30, 5, -17, -1, 12, -15, 11, 0, -6, 2, -10, -1, 14, -7, 12, 8, -16, 9, 19, -19, -21, 3, 4, -21, 2, 2, 11, 12, -16, 16, -2, -11, 17, -5, -9, 4, 19, -11, -24, 7, -10, 1, -1, 15, -7, -15, 18, 1, -24, 17, -12, -48, -12, -24, -18, -16, 11, -9, -17, 5, -30, -7, -5, -23, 5, 20, 10, -11, 2, -19, -13, -23, -14, 11, -14, 2, 9, 15, 2, -4, -19, -5, 9, -13, 17, -18, -10, -14, -23, -6, -16, 3, -32, 0, -45, -61, -27, 9, -21, -27, 14, -12, 0, -9, -21, 0, -22, 4, -6, 6, -1, 15, -11, 22, -1, -5, -9, -22, 14, 11, 3, -1, 3, 4, -4, 13, 19, 1, 6, 9, 12, -6, -9, -14, 6, 5, -2, 10, 7, 7, -8, -7, 1, 2, 23, 8, -5, 1, -1, -8, 7, -11, -7, 6, -26, -9, -9, 5, -26, -30, -17, -9, 15, -2, 1, 7, 9, 11, 3, -7, 19, 14, 22, 21, 0, 2, -3, 1, -9, 3, -20, 1, 6, 20, 8, 6, 12, 5, 6, 32, 13, 11, -19, -8, 12, -4, -26, 13, -9, 16, 19, 12, 8, 18, -3, 1, 12, 18, 12, -3, 25, 24, 15, 7, 0, 19, 3, -3, 1, 0, -20, 3, -28, 20, 9, 13, -2, -1, -17, 0, 7, -14, -6, 13, -3, -6, -9, 11, -14, 14, 16, 8, -15, 18, 48, 60, 42, 37, 57, 19, 54, 54, 46, -14, -14, -17, 15, 1, 12, -3, 3, 12, -11, -4, -1, 5, 4, -12, 0, -6, -13, -7, -8, 21, 2, 9, 18, -21, 2, 13, -8, -23, -4, 14, -16, -17, 1, -6, -19, -2, 2, 3, -5, 1, 12, 14, -18, 17, -4, 23, 13, -13, -19, -14, -15, -40, -3, -11, -4, 5, -20, -7, -16, 6, -26, 5, 22, 5, 20, 43, 36, 29, 25, 12, -5, 15, 8, -4, -17, -21, -10, 15, -21, 11, -4, -16, -24, -17, -3, -20, 6, 9, 11, -7, 5, 23, -15, -27, 0, -27, -26, -31, 28, 21, 6, 5, 32, 25, 8, -10, 4, 3, -11, -6, 6, -10, 22, 23, 24, 16, 5, 7, 15, -19, 17, 9, -20, 1, -11, 3, -3, 23, -4, 3, 24, 18, 8, 3, 26, 6, 3, -5, -15, 7, 6, 6, -14, 10, -18, -17, -12, -17, -32, -12, -22, -37, 24, 6, -4, 11, 13, -18, -4, 21, -8, 1, 2, 16, -12, -11, 9, 5, -22, 2, 0, -10, 4, 17, 4, 18, 6, -13, -2, -18, -12, -22, -7, -45, -30, -4, -13, -7, 7, 14, 19, -17, -7, 10, 3, 21, -15, 11, 10, 10, -5, -14, 20, -17, 18, 19, -23, -28, -8, -44, -11, -41, -40, -47, -47, 1, 2, -17, -8, 6, -19, -8, -3, 7, -22, -8, -15, -6, 8, -22, -12, 3, -9, 5, -6, 8, -12, -17, -3, 6, 16, 20, -8, 0, 16, -18, -28, 1, -3, -23, 1, 12, -13, 4, 1, 9, -20, -9, 11, -10, 3, -1, -18, 0, -23, -9, 18, -20, 11, -23, 12, 0, -12, -11, -18, -16, -24, -7, 7, -17, -9, -1, -37, -24, 11, -29, -18, 6, 4, -13, -5, 6, -17, -3, 9, -1, 6, -15, -3, 23, 18, 0, -16, -9, 18, 4, -10, -7, -13, -29, -9, 5, -13, 2, 5, -8, -21, 14, -11, -1, 15, -10, 8, 8, 7, 4, -4, -7, 0, 20, -18, -4, 6, -1, 1, 14, 14, -7, 4, 10, -6, -16, 0, -7, -15, 13, 18, -18, 16, -26, -18, 10, 20, 13, 3, -15, -18, 21, 3, 2, -16, -9, -8, 3, 12, 23, 28, 10, 1, 22, -7, 4, -10, -17, -12, 11, -28 };
signed char f6conf[6912] = { -3, 2, 17, 14, 62, -14, -23, 16, -13, -8, 19, -13, -19, -11, 26, -16, -23, 12, -18, -1, -13, -23, 36, 31, 1, 7, 9, -11, -8, 15, 18, 17, 47, -4, -5, 16, -4, 13, 27, 10, -8, 22, 43, -26, 34, 12, 13, 21, -21, 0, 28, -26, 15, -4, -9, -21, -17, -9, 27, 7, 36, 1, -9, -18, 16, -38, -8, -3, 4, -19, 12, 7, 0, -1, 26, -20, 1, 18, 3, 1, -18, 22, 10, -34, -12, 37, -16, 11, 13, 20, 18, 1, 11, 6, 2, -30, 2, -9, -5, 7, -34, 5, 4, -8, 17, -7, 13, 17, 14, -11, -13, -9, -23, -52, 13, 15, -16, -18, -19, -36, 17, 10, 9, -12, 8, 25, 18, 9, 23, 17, 8, 19, 6, -18, 5, 18, -18, 24, 23, -1, -6, -54, 31, 7, -6, -23, -29, -23, 0, 0, 12, -4, -7, 38, 4, 11, 34, -11, 13, 11, -52, 28, 19, 23, 13, -5, 14, 14, -16, 14, -12, 6, 17, 25, 16, 37, -10, 13, -12, -30, -5, -7, 14, 29, 8, 7, -50, 7, -17, 49, 33, -2, 42, 18, 29, 9, 25, 28, 31, 28, -1, -11, -2, -1, -32, 7, -4, -3, 5, -23, 17, -15, 0, -17, -20, -17, -4, 6, 22, 14, 2, 1, 23, -12, -3, 2, -5, 8, -9, 33, 50, -16, 6, -7, 3, -16, 16, 2, 14, 14, 16, -2, 23, 24, -3, 1, 22, 2, 5, -11, -13, 2, -15, -38, -8, 24, 37, -12, -30, 29, -16, -29, -32, -19, -16, 15, 23, 19, 5, -23, -5, 27, 4, -6, 3, 2, 14, 13, -5, 23, 19, 15, 27, 18, 9, -11, -7, 15, 10, 4, 23, 27, 28, 18, 21, 21, 12, 18, -30, -14, 32, 7, 4, 2, 0, 51, 18, 5, -6, 26, 49, 0, -21, -70, -1, -4, -19, -23, 19, 27, 18, -43, 29, 5, 14, 3, -8, -36, -9, 21, 0, 20, 10, 4, 33, 6, -6, -29, -19, 24, 16, 11, 13, 22, 22, -6, -4, -16, -13, -7, -14, 1, 13, 24, 1, 9, -21, 15, 14, -13, 18, -4, 20, 13, 49, 30, 4, 19, -37, 6, 2, -19, -15, 37, -11, -37, 20, 25, -14, 10, -21, 20, -13, 23, 10, 1, -11, 6, -4, 7, 20, 14, -12, 9, 1, 16, 20, -16, 6, -14, 21, -7, -18, 8, 16, -27, 34, 16, 29, 27, 6, -10, 27, 12, -35, 26, -19, -8, 37, 5, -5, 12, 4, 0, -31, 21, -11, -14, -11, -3, 14, 9, -18, 20, 9, -10, 12, 16, 29, -10, 0, 4, 24, 14, 29, 10, 35, 11, 1, 8, -9, 1, 9, 18, -3, -15, 34, 24, 19, 2, -7, -3, 13, 40, -9, 39, 17, 8, 29, 15, 17, -5, -18, 6, 31, 16, 19, 23, 7, -29, -18, 8, -51, -1, 23, -5, 1, -4, -9, -2, 26, 24, 11, -1, -14, 7, -20, -20, 2, -6, 23, 6, 7, 23, -18, 20, -12, 33, -16, 17, 0, 33, -21, 2, 4, -25, 18, 6, -8, -20, -51, -7, 15, 24, -15, -119, 10, -18, -13, 27, -12, 10, -12, 8, 7, 12, 27, -7, -17, -14, -3, -12, -12, 0, 24, -21, 15, 13, 12, 15, 15, 20, 8, -17, 8, 1, -8, -17, 1, -7, -24, -11, 31, 52, 29, 37, -42, 10, 12, 18, -5, 17, -14, -14, 24, -10, -10, 13, -36, -18, 36, 5, -5, 10, -1, 1, 16, 2, -13, 19, 15, -2, -30, -72, -6, -13, -19, -21, 7, 24, 5, 10, -20, -8, 33, -16, 17, 3, 38, 32, 6, 0, -58, 15, -11, 20, 45, 10, -16, 13, 25, 19, -4, 16, -5, 44, 11, 19, -2, -5, 1, 8, -16, 9, 11, 11, 28, 26, -6, -17, -2, -11, 6, 37, -2, 30, -3, -1, -9, 20, -13, -3, 25, -25, -21, 8, 12, -11, 13, 9, -5, 33, 14, -7, 32, 5, 4, 16, -29, -16, 20, -45, 13, 28, 9, 21, -15, 10, 5, 22, 23, 23, 23, 37, 19, 10, 3, -21, 23, -15, 10, 13, -14, 26, 32, 23, 36, 11, 17, 37, 19, 7, 14, 27, -6, 12, 50, -1, 6, -10, -3, 23, 19, -8, -29, 18, -17, -16, 25, -1, -11, 6, 20, 1, 29, 24, 1, -11, -11, -4, 45, -1, 2, 57, 24, 19, 16, 40, 20, 18, -16, 25, 25, 31, 11, 15, -9, -19, 0, 7, -11, 14, -19, 10, 21, 26, -36, -15, 10, -2, 15, -16, 25, 14, -7, 13, 22, 3, 19, 8, 6, -1, 8, 8, -13, 17, 3, 5, 9, 18, -5, -16, -20, -47, 28, -1, -12, 58, 9, -14, 16, 21, 26, 16, -10, -13, 22, 34, 13, 11, -6, 27, 6, 17, -30, 0, 13, -13, 13, 2, -17, -7, 30, -16, 30, 22, -5, 22, 26, 23, 32, -1, 15, 35, 3, 32, 26, -9, -6, 37, 25, -26, 66, 3, -105, 7, 22, -13, 9, 21, 28, 18, 28, 36, 37, 28, -9, -50, -85, 18, 26, -1, -13, 10, -15, 38, -1, 21, 18, 16, -20, -2, 3, 17, -5, 19, 11, 6, 76, -2, -28, 6, 4, 6, 40, -2, 12, 43, 1, 7, 18, -68, -10, -7, 23, 1, 17, 3, -4, 27, -8, -3, -31, 28, -15, 39, -15, -2, 16, -13, 10, -6, 14, 37, -17, 30, 20, 26, 5, 0, 13, 16, -15, 23, -14, 18, -11, -19, -14, 11, -17, -9, 19, -41, 2, -8, -90, 12, 22, 4, 18, 12, -12, -1, 33, -12, -23, 27, 10, -56, -48, 21, 22, 15, 16, -11, 6, 13, 19, 19, 9, 24, 29, 10, 0, -43, 5, 23, 7, 2, -11, 6, 11, 16, 15, -10, -10, -2, 12, 17, 3, -18, -14, -6, -8, 4, 2, -2, -3, -4, 1, -14, -12, 35, 2, -92, -26, 29, 10, 19, -4, 13, 9, -3, -16, -19, -7, -14, -8, 10, 7, 6, 0, 7, 4, 15, 36, 2, 19, 6, -2, -5, -1, 5, 21, -13, -12, 20, 10, -22, 17, 28, -11, 1, -9, -11, 2, -12, 23, -25, 20, 20, 14, 37, 19, -4, -28, -3, -11, -92, 7, 22, -11, 2, 35, -4, 5, 34, -84, -17, -47, 21, -14, -16, 36, -35, 25, 40, -25, -2, 5, 13, 0, 7, 10, -1, 19, 15, 4, 14, 9, 15, -24, -8, 13, 21, 15, 29, 27, 31, -4, -13, 22, 2, 30, 34, -5, -2, 11, -23, -13, 1, 19, -32, -8, 4, 27, -16, 13, 4, 22, 3, 19, 20, -3, 21, 6, 8, -1, -1, 15, 32, 24, 11, 34, -4, -12, -17, 7, 9, -6, -21, 5, 16, -5, -16, 9, 20, 9, -19, -21, 14, 17, -11, -33, 33, -23, -15, 39, -56, -8, 35, -43, 4, 33, -9, 36, 40, -5, -4, 23, 22, 22, -4, -6, -10, -27, -29, 14, -2, 1, -24, 13, 14, 18, 9, 1, -20, 28, 20, -5, -23, 7, 38, -28, 11, 19, -11, -22, -10, 6, -25, -13, -39, -49, -24, 7, -23, 1, -32, -41, -25, -31, -35, -28, 27, -16, -4, -13, -7, -4, -18, -16, 16, 10, -12, 6, 23, 36, 20, -25, 11, -22, 11, -23, -6, -29, 3, 0, -32, 16, -13, 12, -8, 20, 0, -29, -7, -21, -4, 17, -1, 11, 11, -6, 47, -18, -12, 13, -6, 3, -13, 14, 22, -4, -18, 2, 20, -17, -21, -16, -7, 15, -3, -27, -18, -29, 2, 3, -15, -2, -11, -20, 12, 1, 16, -13, -20, -11, 23, 7, 5, -13, -17, 13, -21, 12, -8, 2, -14, 18, -4, -17, -33, 14, -18, -22, -22, 5, -7, -2, -9, -20, 19, 3, -5, 5, -7, 6, 18, -33, 7, 11, -6, -5, -6, -16, -38, -43, 6, -42, -5, 33, 6, 3, -10, -13, 2, -7, 27, -1, -4, 19, 19, -26, -12, -14, -13, -21, 3, -12, 35, 22, -5, -24, -29, -29, -10, 30, -34, -3, -38, 1, 0, -36, -3, -11, -35, -2, 7, -21, -22, -20, -22, -36, 0, -2, 10, 15, -16, 0, -14, -23, -18, -17, 10, 2, 9, -19, 3, 7, -2, -4, 18, -12, 19, 28, 5, -31, -24, -19, -55, -11, 0, 0, 22, -13, 17, 15, -20, -21, -15, -11, 10, -7, 6, 9, 12, 12, 11, -27, 15, 24, -12, 11, 60, 5, -30, -41, 10, 8, 6, -3, -8, 41, -15, -9, -9, -23, -11, 18, 12, 8, 3, -6, -12, -3, 3, 2, 20, 1, -3, 14, -16, -1, -16, -22, 14, -2, -26, 10, -24, -20, 1, -27, -5, -10, -13, 16, -14, 42, 15, -38, 26, -39, -11, -20, -17, -21, -6, -14, -27, -49, -22, 16, 71, 8, -1, 35, 14, -20, -35, -19, 27, -9, -6, -30, -2, 16, 24, 9, -19, -7, -18, 17, -15, -25, 4, 0, 25, 22, -15, -19, -29, 12, -3, 15, 8, 9, 9, -11, -12, 25, -3, -15, -24, -12, 4, -19, 3, -14, -23, -5, -39, -16, 3, -23, -20, 10, -25, 40, -17, -26, -6, 27, -35, 9, 37, -9, -3, 11, -4, 21, -18, 22, 18, 11, 18, -8, -11, -2, 10, -38, -12, 16, -25, -20, -14, -18, 16, -24, 2, 15, 11, -24, -18, 7, -6, -24, -5, -34, -26, -26, -24, -32, -2, 1, 8, 6, -2, -31, 0, 19, -4, 12, 18, 36, -19, 22, -5, -3, -20, -42, -25, 0, -37, -9, 40, -39, 3, -27, -31, -1, 21, -11, 13, -25, -22, -26, -27, 18, 4, -32, -18, -20, 0, -27, -22, -33, -35, 9, 0, -26, -13, -26, -22, 9, -32, -24, -21, -8, -5, -22, 12, 4, 36, -4, -22, -14, -6, -30, 21, -10, -1, 41, 11, 18, -1, -8, 15, -18, -26, -7, -24, 4, 18, -11, -17, -10, 3, -6, -7, 8, -19, -9, 3, -22, -29, 5, -21, 9, -13, 1, -23, 3, 27, 13, 0, 20, -2, 9, 44, 17, -6, -19, -37, -15, 127, -28, 6, 27, -18, -16, 18, 10, 5, -18, 12, 11, -7, 18, 4, -14, 17, -17, -12, 4, -7, -15, -1, -10, -20, -17, 1, 3, -27, 14, -3, -15, 21, -6, -7, -8, -26, -22, -29, -35, -13, 34, 23, -5, -2, -5, -4, 46, 9, -5, 32, -34, 20, 12, -19, -26, -7, -1, -14, -20, 3, 7, 3, 22, -27, -9, -17, 31, 64, 7, 9, 16, 20, 19, 10, 9, 7, 6, -14, -14, -15, -22, -11, 4, -2, 1, 17, 42, -25, 33, -21, -85, 5, -6, -8, -2, 1, -1, -13, -13, -33, 3, 2, -28, -2, 2, 1, -4, 4, -21, -14, -7, -13, -20, 36, 15, 2, -45, -47, -13, 1, -35, 0, -11, -18, 28, -13, -26, -3, 33, 31, -12, 6, -28, 9, -24, -46, -29, -13, 5, -5, 13, 1, -10, -23, -31, 35, 3, -32, 34, 5, 20, 12, -4, 23, -40, -6, -10, -30, 16, 10, 20, 8, -11, -22, -14, -21, 9, -26, -49, -27, -23, -30, -21, -18, 4, -20, -16, -13, -3, 6, -49, -5, -11, 1, 11, -5, 2, -3, 27, 2, 5, -22, 9, -1, -16, -3, 23, -11, 13, -20, 17, -26, 41, 14, -12, -20, -23, -14, -38, 0, -34, -31, -9, -22, 24, 8, -25, -53, -20, -5, 0, 2, 11, 12, -19, 20, 14, -18, -18, -29, 23, 7, 14, -6, 4, -8, 19, -26, 15, -4, -30, 0, -16, -21, -24, 7, -23, -2, -24, 12, -11, -22, -13, 10, -19, 12, 26, 46, -14, 20, 6, -55, -4, -11, -9, 6, -26, 12, -12, -26, -47, -47, 21, -16, 20, 1, -15, 15, 18, 25, -3, 16, -22, 6, -22, -7, -14, 8, -30, -31, -4, -9, -16, 18, -21, -9, -26, -48, 12, -16, 7, 23, -1, -1, 5, 42, -48, -1, 114, -4, -8, 10, -11, 5, -14, -32, -25, -17, -40, -1, -26, 37, 49, -11, -16, 13, -6, 2, 5, -34, 8, 8, 12, -46, -19, 2, 10, 14, 5, -50, -36, -22, -69, -13, 33, 7, 3, -1, -47, 15, -30, -37, 24, -24, -7, 27, 6, -5, 10, -3, -50, -36, -18, 3, 3, -17, 29, 6, 14, -29, 17, -5, 12, 16, -8, -20, -6, -8, -3, -30, 7, -9, -22, -28, -11, -1, 15, 20, 13, -19, 14, 9, -10, -4, 33, -15, -4, 33, -24, -16, 88, 9, 2, -7, 5, 16, -22, -22, -24, -3, 3, -16, 4, 27, 3, 10, -25, 0, -26, -16, -2, -3, -13, -19, 2, -5, 10, -13, 35, 29, 19, -32, -24, 5, -15, -2, 3, 11, 1, -16, -20, -18, -23, -8, 5, -5, 15, -18, 4, 9, -14, -19, 19, -6, -21, -27, 19, -31, 31, 69, 30, 6, 23, -8, 12, 5, 8, -9, -23, 21, -1, 21, -6, -11, -8, -23, 27, -24, -4, -15, -26, -8, -2, 2, -1, -3, -7, -3, 17, -20, 13, -5, -17, -10, -24, -12, -7, 25, 12, 15, -6, 13, 8, 24, -8, -11, -4, 2, 8, 3, 47, 27, -28, 106, -17, -39, -15, 9, -34, 12, -27, -41, 90, -18, 14, -42, 11, 7, -3, 18, -7, -44, -6, 8, -11, 13, -24, -21, 14, -7, -22, -5, -13, 5, 16, -16, 2, -4, -12, 11, 12, -21, -18, -5, 21, -6, 16, -7, 2, -17, 0, -18, 8, 25, 19, -28, -27, 14, 13, 11, -21, -15, -14, 2, -24, -9, -9, 15, 4, -7, 3, 11, -10, 26, -18, -29, -18, 18, -14, -19, 1, -22, 0, 0, -1, 38, -16, -26, -1, -9, -10, 17, 13, 14, 9, 3, 18, 1, 41, -36, 28, 13, -36, 63, -1, -34, 26, -21, -7, 24, -26, -44, 5, -17, 2, -29, -4, 11, -10, -3, 46, 15, -7, 12, 17, 18, -7, -11, -12, 13, -19, -26, 0, 7, -1, 16, -16, 2, 10, -1, 15, 10, 1, -35, 10, 24, -6, 62, 8, -9, 23, -13, -21, 42, -8, 23, 44, -27, 27, 7, -36, 14, 5, -28, -3, 36, 32, -22, -2, 2, 10, 13, -1, 13, 30, -7, -20, 2, -11, -21, -28, -24, 11, -35, -14, -19, -13, 18, -13, 15, 4, 10, 26, 15, -24, 20, -14, -6, -32, -18, -21, 23, -4, -20, -2, 1, -13, -31, -5, 23, 16, 23, -12, 30, 1, 1, 12, -2, -7, 41, 24, 23, 42, 4, -18, -13, -44, -18, -38, -31, -38, 0, -9, 18, -9, -42, 20, 12, -41, -11, 4, 25, 11, 0, 18, 11, 26, 14, -1, 29, -7, -16, 23, 16, -12, 6, -18, -28, -5, -10, 3, -9, -30, -32, 11, 11, -22, 1, 4, 14, 25, 0, -37, -23, 34, -12, -91, 15, -21, 4, 19, -2, 33, 1, -7, 30, 19, -18, -2, 18, 8, -1, 5, 21, -61, -12, 32, -7, 3, 44, 33, 33, -16, 44, -18, -20, -29, 45, -35, -21, 1, 7, -3, 26, 4, 10, 12, 13, 38, -10, -18, 2, -18, 18, -19, -13, -20, 6, -8, 20, 14, 0, 13, -9, 23, -9, 5, -26, 11, -15, 2, -3, -14, -36, 20, 49, 26, 21, -9, 12, 3, -1, -19, 15, 43, 20, -7, -15, 15, -4, -17, -8, 13, 5, 22, -6, -21, -14, -18, -34, 4, 6, 52, 16, -43, 4, -19, -55, -88, -7, -10, -6, 15, -27, -3, -12, -9, 31, -9, 18, -2, -10, 12, -4, 18, 15, 20, -8, 41, 29, 21, -43, 31, 14, 17, 18, 20, 14, 7, 3, 2, -17, -89, 43, -77, -93, 52, -101, -87, 29, -12, 3, 8, 19, -11, 35, 32, 10, -18, -1, 4, 13, 25, -28, 18, 46, 33, -9, -8, -5, -17, -9, -11, -32, 36, -20, -59, 16, -9, 24, 9, 22, 15, -1, 13, 31, 2, 13, 17, 8, 16, -14, 26, 15, -12, -12, -19, 17, 4, 24, 17, -10, -23, 16, -8, 9, -2, 38, 28, 13, 35, 2, 1, 54, 9, 10, 18, 9, 10, 3, 6, 21, 15, 8, -14, -11, -5, -11, -12, 4, 9, -23, 12, 11, -1, 3, 1, 7, 14, -18, 25, -3, 12, -3, -21, -10, -5, -18, -21, -16, -19, -31, -9, -1, 7, 47, 18, 16, 14, 13, 19, -12, -19, 4, 4, 9, -38, 23, 7, -46, -35, -28, -17, -13, 2, -4, 16, 4, 1, 20, 5, 2, 36, 12, 16, 10, 3, -1, 18, 10, 2, 60, 27, -18, 26, -20, 20, 3, 6, -12, 8, 25, 20, 35, -11, -8, 8, -6, 29, 16, 16, 21, 29, -14, -19, 27, -9, -56, -13, -7, -41, 5, 20, -5, -18, 0, -22, 5, -23, -8, -2, 29, 14, -2, 1, -10, 0, -13, 3, -17, 3, 9, 1, 14, -19, 13, -5, -15, -8, -9, -11, 22, -6, 0, 28, 1, -5, 29, 10, -2, 12, -23, 24, 37, -6, 6, -15, 0, -19, 18, -10, -39, 16, 5, -19, -5, -5, 23, -13, 17, -9, 11, 5, 17, 15, 17, 16, 9, -2, 6, -17, -17, 14, 17, 8, 18, 8, 23, 2, 0, 14, 14, 15, -17, 22, 21, -12, 11, 40, 28, -2, -3, 3, -3, 15, 3, -17, 28, -13, -6, -24, -34, -10, 26, 16, -4, 34, -1, -14, 16, -6, -18, -2, -14, -12, -10, -20, 5, 3, -8, -18, 13, 13, -7, -9, 12, -18, 4, 8, -8, 20, -9, -14, 2, -21, 13, 1, -8, -32, 19, -23, 24, 59, 10, 24, 22, 13, -10, 23, 32, 28, 20, 15, -7, -11, -32, 0, -11, 3, 1, 14, 0, 2, 9, 16, -13, 3, 1, 53, 48, 25, 24, -2, 4, 15, -16, 6, -1, 23, 32, -11, -12, -26, -18, -3, 24, -6, 39, 23, 10, 19, -15, 14, 6, -11, 14, 18, -36, 11, 28, -10, 4, -21, -9, 25, -45, -9, -10, -17, 4, -5, 11, -18, -4, 2, 26, 12, -10, -3, 27, 19, 13, 12, 17, 30, -14, 25, -9, -3, -8, 19, -14, 29, 21, 10, 0, -11, -5, -18, 1, 3, -9, -6, -27, -7, -2, -12, 21, 15, -1, 29, 3, -23, 20, -24, -25, -34, -82, 23, -10, -19, 7, 27, -25, -15, 15, -41, 31, 36, 40, 8, 8, 15, -2, -12, -17, 16, 17, -18, 6, -22, 23, -31, -30, 37, 16, 34, 18, 30, 8, -13, -38, 31, -18, -2, 30, -8, 13, 10, -8, -20, 5, -17, 18, 19, 12, -14, -104, -38, -7, 14, 31, 3, 43, 16, 21, 21, -2, 21, 16, -3, 25, 25, 22, 0, -1, -1, 4, 19, 6, 11, 29, 22, 5, 7, 14, -17, 21, 25, 9, 8, -18, 3, 25, 2, 27, 28, 21, -12, 25, -8, 5, 23, -29, 29, 18, 23, 2, 20, 16, 18, 6, -18, 22, 13, 7, -11, -9, -3, -23, -1, -2, -10, -24, -6, 17, 51, 10, 11, 10, 12, 39, 19, 4, 2, 4, 17, 9, 10, 6, 0, 45, -3, 4, 53, 15, 25, -4, -8, 4, -11, 13, 0, 41, 5, -9, 36, 10, -12, -3, 2, 18, 40, -14, -14, 1, -15, 1, 24, -6, -15, 8, 15, 9, 7, -15, 2, 26, -25, 11, 14, -20, 11, 32, -13, -6, 4, 5, 25, 13, 12, 0, -1, -8, -2, 11, -14, 32, -15, -66, -10, 4, -47, 8, -15, -5, -24, 7, -10, -23, 5, 2, -42, 9, 35, -87, -85, -14, -19, -16, 0, 14, 9, 18, 27, -6, -7, -21, -13, 5, -9, -47, -10, 22, 12, 3, 21, -3, -7, 14, 0, -12, 12, 0, -11, 15, 13, 11, -9, -9, 20, -8, 7, -7, -19, 16, 23, 7, -22, 26, -28, -54, -64, 29, -18, 13, -4, 2, 13, -13, 15, -16, -17, 1, 5, 12, 22, 1, 35, 19, 33, 6, 24, 15, 18, -8, 24, 13, 12, -12, 1, -3, -19, -13, 28, 21, -9, 17, 1, -45, -2, -8, 6, -15, -3, -21, 3, 27, 20, 17, 17, 19, 29, -9, -4, 27, -7, -3, 23, 4, 19, 6, 20, 0, 6, 18, -22, 45, 2, 10, 20, -8, 42, 29, 2, 2, 29, -14, -25, -34, -27, -11, -1, 13, 0, 16, 17, -3, -5, -4, 29, 1, 22, -9, -28, 1, -20, -3, 16, 3, 2, 28, 7, 27, 4, -11, 13, -9, 22, 24, 30, 3, 13, 20, 1, 12, 12, -8, -18, 3, -23, -22, 2, -32, 9, -4, 5, 23, 7, -1, 3, 17, 14, 12, 14, -17, -15, -13, -12, -8, 10, 5, -14, -9, 9, 16, -4, -13, 14, -17, -32, 40, -17, -28, 54, -12, 5, 41, -11, 34, 14, -30, 14, 52, -6, 38, 50, 20, -9, -10, -27, 5, -45, -27, 12, -28, 20, 11, -3, -2, -22, -15, -6, -1, 24, 8, -5, -1, -8, 7, -13, 7, 17, -18, 0, 27, -23, -32, -8, -30, -33, -22, -25, -11, 17, -28, -18, -12, -49, 6, 0, 12, 7, -23, -13, 1, 7, -24, -7, -1, 19, -21, 7, -22, 9, -11, -22, -17, -14, -23, -15, -3, 34, 14, 9, 15, 33, 31, 5, -8, 1, -27, -5, -18, -1, 3, -11, 23, -23, 1, 30, 35, 4, -41, -15, -7, 13, -3, 6, 29, 7, -18, -13, -31, -18, -17, -8, 18, 29, 18, 20, -31, -12, 6, -31, 14, 14, -13, 44, 9, 23, 40, 11, 8, 44, -16, 21, 37, 6, 1, 22, -18, -13, -20, -8, 3, -7, 5, -31, -11, -20, -11, -28, -26, 1, 8, -8, -38, 16, 21, 5, -9, 4, -8, 8, 18, -21, -28, 13, -10, -17, -32, -2, -26, 37, 64, -5, 46, 66, -9, -9, -17, 12, 14, -7, -29, 21, -46, -1, -7, -18, -24, 0, 3, 12, -19, 64, 55, -35, -5, -13, -47, -5, -16, 17, -41, 36, 1, 25, -46, 17, 47, -36, 16, 14, -30, -7, -29, 6, -37, -17, -15, 23, 9, 14, -17, 12, -5, 19, -9, 10, 7, 18, -22, 15, -14, -7, 7, -7, 2, 5, 15, 12, -13, 12, 17, 1, -46, -54, -1, -10, 2, -3, -19, -2, -30, -35, 12, -4, -12, -20, 10, -18, 9, -22, -11, -24, 1, 9, 7, 6, 12, 24, -16, -59, -25, 24, 17, -3, 55, 62, 24, 19, 16, -5, -17, -11, -8, 2, 7, 8, -19, 3, 16, 10, -4, 10, -25, 8, 11, -10, 0, -36, 25, -6, -24, 9, -20, -38, -38, 3, 16, 2, -2, 91, -20, 94, 97, -29, 72, 121, -23, -12, 28, -25, -4, -1, 2, -53, 14, 20, -9, -6, -12, -14, 11, -19, -53, -34, 40, 17, 23, -9, -19, 9, 51, -24, -2, 64, -3, 10, -8, -5, 0, -15, -5, -23, -3, -7, -17, -21, 13, -20, -18, -17, -9, -20, -13, 1, -3, -44, -22, -31, -17, 25, 14, 12, -7, -23, -22, -41, -2, -13, -15, -14, -37, 7, 7, -26, 12, 3, -36, 2, -6, 10, -6, -5, 16, 23, -12, -7, 15, 9, 18, -19, -9, 13, -16, -22, 1, -5, 8, -24, -21, -5, 7, -2, 9, 10, 7, -22, -8, 1, 32, 2, -6, -6, -9, -39, -19, 4, 12, -18, 18, 1, -13, -32, 4, 8, 5, -19, 39, 40, 0, 1, -25, -22, -7, -41, -35, -17, -9, -2, -31, -6, -3, -12, -28, 12, 25, -13, 15, -22, -60, -22, 11, -19, 35, 13, 13, 0, 14, -7, 9, -14, -20, 6, -32, -1, 19, 0, -40, -19, -13, -26, -9, 12, -39, 11, 42, -13, -20, 18, -20, -9, -17, 29, -9, 5, 7, 19, -14, 13, 11, 22, 1, 11, 0, -20, 6, 2, 11, -21, 5, -5, -5, -10, 19, -19, -1, -21, 16, 25, -6, -14, -36, -20, -25, -4, 5, 2, 18, 18, 18, 1, -2, 10, 22, -9, -2, -3, -25, 5, 19, 17, -11, 1, -16, 18, 21, 21, 5, -10, 3, -23, -26, 13, 0, 4, -2, -8, -16, 16, -14, 8, 21, -17, 2, 9, 12, -1, -23, 22, -12, -23, 18, -17, -3, 35, 13, -41, -14, -6, -39, -40, -23, -44, 8, -5, -8, 7, -27, 14, 54, -19, -32, -26, -20, -49, -2, -7, 6, -5, -15, -2, -6, 10, -20, 25, 7, 27, 10, 11, 19, -22, 10, 6, -5, 14, -1, -12, 6, 5, -15, -11, 0, -14, 21, -2, -21, 13, -19, 22, -3, -38, -14, -8, -2, 15, -21, -9, 5, -34, -13, 18, 8, 7, 8, 6, 10, 8, 9, -7, -28, -9, -24, -28, 5, -12, -22, -39, -31, -17, -22, -33, -2, -3, -14, -17, 11, -29, -41, -9, -3, 14, -16, -43, -1, -10, -20, -7, 15, -24, -20, -20, -31, 20, 7, -16, -5, -8, -19, 2, -1, 1, 9, 0, 30, 42, -18, 28, -5, 8, -13, 12, -21, 8, 12, -16, -12, 4, -8, -23, -21, -6, -23, 10, -10, -20, -12, 4, -33, 2, -3, -37, -3, -4, -25, 7, 18, 2, 15, 29, 12, -11, 22, -23, -9, -7, 20, -5, 16, -26, 16, -13, 7, 14, -17, 39, 79, -32, -26, 20, -20, -46, 11, 14, 13, 28, -20, -28, -60, 5, -42, 22, -6, -16, 12, -22, 18, 21, -16, 25, -18, 33, 22, -37, 0, -27, 7, -26, -1, 10, 22, -10, 22, -22, -38, 8, 19, -23, -11, 11, -1, 11, -31, -20, 11, 15, 107, 48, 32, 4, 1, -23, -26, -7, 4, -30, 6, 2, 1, 10, -19, -13, -3, 16, -23, 17, -1, 14, -6, -15, -17, -7, 23, -21, 1, 5, 15, -10, -3, -25, 2, 22, -3, -1, -16, -37, -8, 11, -14, -2, 8, 8, 21, 7, 23, -8, 11, -19, 4, 8, -13, -11, -5, 5, -23, 1, 12, 5, -2, 21, 1, -15, -9, 43, 12, -55, -5, -15, -10, -4, -15, 0, -9, -4, -12, 9, -16, 14, -9, -24, -20, -15, 0, -49, -33, 15, -3, 8, 1, -17, -26, -19, -3, 23, 0, -28, 11, -17, -9, -15, -34, -1, -20, -16, -19, -13, 27, 2, -16, 11, -20, 0, 6, -6, 22, -18, 0, 5, -11, 1, 12, -23, 0, 8, -16, -15, 6, 17, 12, -8, -16, 14, 22, -25, -36, 30, -1, 4, 57, 10, -34, 45, -1, 9, -18, 9, -31, 14, 1, 17, -16, 42, 9, -14, 55, 77, 5, 33, 22, -21, 12, 4, 0, 7, 0, 4, -13, -17, -18, 49, 38, -3, -28, -30, -20, -9, 8, 13, -5, 8, -19, -23, -12, -5, -19, 8, -18, -10, 15, 4, 2, 15, 14, 17, -15, -23, -6, 15, -18, 31, 63, 44, -36, 46, -4, -19, -27, -18, -4, -25, 7, -16, 20, 0, -3, -33, 7, -35, -41, -8, 7, -26, -13, 18, 1, -1, -14, -9, 16, -17, -18, 13, -3, 8, 15, 16, -6, 8, 35, 15, -21, -15, 10, 16, -8, -7, -21, 13, -27, 4, 11, -49, 17, -9, -6, -19, -3, -15, -10, 2, 3, -22, -6, -50, -34, 5, -56, 12, -7, -13, 20, -8, -30, 7, 17, -32, 15, -14, -2, 33, -16, 16, 1, 6, 2, -15, 8, 17, -18, 2, 13, 14, -22, 8, 6, 25, 4, 20, -36, 3, -33, -26, -28, 11, 22, -7, -11, -19, -12, -5, 19, -16, -13, -4, 9, -18, -3, 4, -8, -10, 20, 8, 19, -32, -2, -16, -62, -44, 7, -4, -25, 24, -25, -24, -6, 11, -5, 0, 2, 22, -15, -23, 6, -6, 17, 18, 7, -11, 3, 1, -36, 3, 0, -41, 12, -10, -18, 13, -24, -6, 46, -35, -30, 15, -16, -44, 12, 20, 3, 30, 26, 27, 39, 21, 42, 26, -5, -10, 8, 9, -13, 17, -17, -3, 16, 12, 7, -5, 10, -3, 14, -1, -16, -19, -9, -7, 19, -9, 50, 28, 11, 11, -4, -25, 21, 27, -6, 40, 16, 33, 21, -20, 11, 0, -19, 6, 25, -2, 9, -8, 26, -16, 15, -10, 11, 10, -13, 7, 11, 23, 13, 28, 15, 22, -8, 17, 15, 8, 18, 3, -1, 6, 15, -4, 26, -22, 0, 8, 23, 11, 8, -5, 37, 35, 3, 14, 13, 11, -19, 1, -17, -4, 37, -13, 30, 22, -43, -7, 12, -1, 7, 11, 10, 22, 15, -7, -11, -31, 7, -11, -16, -12, 15, -21, 16, 29, 24, -2, 2, 19, -15, 13, 29, -11, 8, 2, 32, 32, 30, -8, 37, 25, 18, 16, -12, -5, 26, 7, 22, 0, -16, -16, -32, -27, -9, 16, 9, -20, -10, 0, -6, -15, 4, -69, -67, -21, -26, -47, 11, -15, 15, 16, -7, 30, -1, 4, 37, -18, 12, 11, 12, 9, -13, -21, -4, -19, -14, -12, -9, 28, 35, 23, -1, 35, 40, -25, -59, -33, -22, -100, -52, -21, -27, -34, -3, -7, 7, 24, 10, 12, 15, -14, -1, -22, 17, 2, -1, -5, 23, -9, -17, 3, -12, 0, 4, 0, 5, 27, 25, 8, 3, 10, 2, 3, -3, -3, 40, 30, 4, 19, 33, 18, 43, 12, 9, 46, -8, -2, -9, -13, 2, 24, -13, 3, 15, 21, -2, -12, -27, 1, -8, -18, 54, 55, 34, 6, 22, 4, -27, 23, -5, 1, 12, -24, -1, 22, 28, 3, 19, -12, 10, -12, -12, 20, 1, -13, -12, -2, 23, 6, 32, 2, -15, 31, 18, 20, 41, 24, 33, -12, -18, -14, -48, -60, 4, -45, -63, 16, -75, -108, 38, -17, -33, 26, 30, -31, 26, 38, -20, 11, -5, 0, 36, 40, -5, 7, 48, 28, -21, 16, 28, 5, 15, -3, -42, 23, 2, -48, -24, 3, 14, 22, 11, 3, 41, 16, -13, -4, 30, 15, 7, 10, 17, 12, 18, 1, -5, -3, 13, 50, 30, -3, 48, 11, -15, -7, -36, 27, 32, -1, 2, 39, 4, -7, 32, 7, 2, 17, 16, -8, 12, -13, -11, -27, -4, -3, -15, 12, 17, 10, 8, -21, 5, 23, 9, -3, 10, 7, 34, 19, 14, 36, -19, 21, -17, -25, -19, -14, -1, -5, -1, 23, -10, 5, 1, 9, 3, 0, -8, -7, -9, 6, -10, 13, 1, 7, 19, 11, 43, 3, -57, -24, -28, -8, 10, 28, 14, 37, 12, 8, -4, 20, 4, 9, 12, 23, 8, 1, 1, 30, -3, 26, 55, 28, -9, 8, -4, -17, 20, 6, -17, -1, -13, 7, 19, -1, 24, 10, 4, 8, 33, 34, -7, 31, -19, -25, 2, 26, -7, 29, 43, -24, -1, 0, -14, -10, -1, 20, 6, 26, -9, 4, -15, 11, 18, -12, 12, 17, -6, -6, 10, -21, 3, 22, -21, 12, 1, -9, -11, 16, -3, 6, -18, -41, 28, 8, -4, 3, 1, 4, 13, -19, 3, 21, 43, 16, 11, 20, 16, 23, 38, 23, 1, -8, 1, -21, -5, -8, -21, -4, -16, -11, 9, -16, -17, 13, 16, -20, -3, 11, 8, 7, -11, 23, -6, 2, -23, 30, -19, -2, 16, -21, -21, -12, 5, 27, 28, 3, -7, 7, 29, -22, 3, 28, 7, 39, -17, 10, 16, -1, 0, -5, -7, 1, 2, 27, 2, 40, 12, -9, -10, -28, 21, 20, 25, -21, 19, -20, 4, 31, 23, 21, -16, 8, 8, 23, -9, 18, 9, -27, 7, -16, -7, -8, -20, -6, -16, -9, -21, -7, 1, -1, 1, 53, 34, 10, 29, 17, -2, -1, 2, 11, 12, -19, -12, -22, -27, -12, 1, -8, 3, 2, 18, 10, 11, 13, -22, 3, 14, -1, 61, 6, 17, 31, -15, 1, 11, -10, 1, 30, 23, 10, 11, -32, -13, 15, 9, 16, 37, 22, -16, 25, -2, -12, 15, -16, -2, -27, -30, 17, -23, -14, 19, -35, -39, -4, -52, -46, -4, -20, -51, -11, -12, 14, 3, -17, -7, 7, -4, 8, 24, 21, -7, -6, 21, 16, 14, 12, -1, 13, -7, -8, -7, 6, 18, -6, 0, -10, 5, -16, 24, -12, -7, -9, -16, 6, -2, 24, -21, 15, 12, 22, -8, -13, 31, 7, -10, -49, -85, 27, -18, -19, 35, 12, -21, 23, 20, -3, 21, 56, 0, 2, 37, -14, 11, 2, 9, -17, -12, -14, -25, -9, -22, 8, 18, -4, 18, 10, 0, 0, -2, 10, -19, -35, -40, 1, 20, -7, 11, 9, -7, -15, 18, -10, 1, 10, 19, -20, -36, -30, 2, -2, 15, 35, 49, 6, 29, 25, -14, 11, 17, -17, 23, 25, 11, 10, 31, -25, -3, 13, 25, 4, 39, 16, -8, -5, 0, 3, 1, 10, -16, -2, -17, -10, -5, 18, 11, 30, 17, 1, 18, -14, 23, 19, -10, 29, -14, -3, 33, 10, 7, 8, 22, -15, -19, -33, 19, -40, 0, -6, -10, -23, -21, -5, 29, 44, 0, 50, 49, 20, 16, -12, -8, 10, 4, 4, 41, 10, -19, -2, -18, 2, 24, 12, -12, 36, 21, -6, 19, 7, -37, -50, -27, 4, 28, 13, 13, -1, 27, 16, 20, 14, 28, 12, -10, -14, -18, -34, 20, 6, 11, 5, 11, -16, -9, 19, -1, 20, 23, 20, -7, 31, 17, -10, 27, 10, 10, 23, 9, -12, 42, 0, -2, 3, -7, 7, 30, 23, 4, 16, 27, 6, 28, 7, -13, -6, 2, -8, -7, -5, -8, -4, 27, -40, -24, -17, -23, -21, -6, -29, 0, -36, -13, 10, -14, 6, -6, 17, 10, -1, -19, 26, -6, 18, 23, 3, 23, 9, 27, 11, -9, -23, -21, -12, -5, 6, -16, -21, -13, -5, 8, 22, 23, -7, 18, -18, -17, 22, -10, -9, -15, -18, -13, -8, -23, -40, 10, -8, 11, -17, -6, 7, 10, -21, 0, 2, 19, -4, -10, 34, 30, -7, -8, -11, 17, 17, 11, 2, 7, 1, -3, -11, 0, -2, -7, 1, -10, 19, 10, 4, 8, -4, -11, 8, 15, -4, -4, 8, 19, 6, 21, -7, 22, 6, -7, 21, 30, 15, 32, 8, 30, -9, 31, 13, -8, 37, 22, -8, 36, 12, 9, 31, -3, 16, 44, 38, -12, 29, 21, -26, 0, -25, 7, -26, 9, -21, 8, 13, -16, 9, 23, 14, -8, -4, -25, -19, -12, -16, 9, 11, -10, -28, 23, 9, 7, 27, -7, 7, 8, 8, 6, -2, 15, -4, 7, 19, 18, 21, -9, 13, 8, 4, 10, 4, -25, -1, 25, 26, 52, 30, 9, 38, 27, -2, 30, 8, 17, -17, -39, -3, -24, -37, -9, -14, 14, -18, 6, -2, -8, 5, -18, 37, 45, -8, 15, 33, 24, 30, -11, 27, 3, -9, -60, 6, 26, 5, -4, 10, 15, 12, -22, -11, -11, -62, -8, -19, -47, -17, 11, -16, 1, -24, -4, -17, -11, -24, 1, 2, -19, 4, -14, -3, 12, -4, -17, 2, 37, -1, 10, -16, -52, -29, -27, 8, -13, -4, -40, 2, 0, -54, -20, -20, -7, -5, 2, 11, 23, -19, -44, -13, -14, -10, -12, -6, -4, 1, -4, -29, 9, 18, -2, -6, -12, -4, -8, 0, 4, -20, 15, 1, -11, 5, 11, 3, -7, -21, -9, 2, 18, -9, -14, -22, 1, 15, -11, -3, 21, 12, -9, -13, 6, -28, 17, 15, -15, 5, -2, -26, 57, 12, 7, 23, -44, -18, -46, -38, -10, -19, 13, 22, -13, 24, 31, 24, -6, 28, 6, 6, -19, -4, -40, 1, -10, -9, -8, -13, -22, 4, -14, 0, -21, -16, -20, -22, -13, -4, -15, -13, 4, -4, -18, -12, 1, -24, 2, 20, -1, -2, -14, -4, 18, -4, 12, 4, 23, 52, 58, 27, 23, 51, -13, 21, -11, 2, -19, -36, -10, -3, -6, -7, 12, 11, 4, 4, 1, 17, 4, 9, 20, -14, -9, 1, -39, -39, -25, -6, -53, 19, 60, 31, 0, 106, 68, 45, 38, 4, -5, -28, -18, 13, 10, -19, 21, -12, -22, 16, 0, 22, 15, -6, 12, -4, -11, -18, 12, -19, 12, -13, 14, 11, -16, -8, -5, -24, 2, 8, 28, -23, -49, -14, 13, -24, 0, -19, -16, 0, -17, -56, -16, -11, -36, -16, -21, 12, 0, -17, 0, 0, -19, -11, 10, -16, 18, -7, -30, -66, -27, 7, -3, 6, 0, -19, 10, -4, -29, -5, -26, -50, 5, -13, 8, 10, -4, -10, -9, 16, -22, 4, -10, -20, -1, -21, -6, -27, 1, -6, 6, -18, -46, -12, -28, 6, 35, -4, 54, 81, 14, 35, 77, -7, 53, 85, -5, 12, 24, -15, -48, 44, -13, -15, -8, 5, -8, 12, -13, -31, -6, 0, -47, -36, 24, 23, -2, 12, -30, 0, 44, 1, -14, 21, 9, -19, -19, -21, 0, 8, -28, -49, -5, -34, -30, 14, 17, 17, 4, -22, -1, 12, 2, -18, 4, -24, -32, -19, -50, 15, 21, -5, 4, 14, -13, -18, -9, -50, -12, 2, -27, -13, 17, -27, -21, -20, -13, -26, -22, -9, 0, 6, -21, -20, -6, -8, -5, 15, -14, -1, -11, 8, 12, -25, -31, -4, 18, -4, -2, -9, -15, -4, 13, -23, 20, 8, -9, -10, -4, -33, 14, -3, -14, -12, 3, -1, -3, -22, 2, 7, -10, -26, 7, 1, -20, 4, 47, 31, -2, -17, -26, -37, -11, -21, -7, -14, -31, 11, -20, -8, -6, 16, -28, 14, 11, 6, -2, -6, -49, -24, 12, -9, 25, 9, -4, -16, 16, -13, 15, 19, -9, 31, -11, 4, -21, 2, -20, -13, -5, -14, -7, 11, -27, -32, 23, -18, -42, 34, 8, -14, 10, -6, -10, 18, -32, 1, 18, -24, -24, -16, -19, -24, 7, -16, -12, 0, -11, 21, 6, 15, 4, 3, -13, 18, -17, 4, -1, 10, -1, 42, -19, 3, 8, 5, 2, 2, 0, -13, -5, 3, 0, -2, -36, -29, -18, -10, -18, 9, 14, 13, -12, -18, -17, 0, 8, 18, -7, 10, -19, 26, -1, 9, -8, 14, -13, 9, -4, 12, -10, -8, -1, -9, -6, -30, 2, 18, -5, 17, -3, 8, 14, -35, -27, -19, 12, -40, -3, 17, -18, -9, -20, 5, -13, -28, -46, -12, -9, -26, 0, 4, -32, -17, -3, -21, 16, -13, 4, 15, -11, -24, -18, -23, 16, 16, 10, -17, -31, 7, -24, -17, 21, 14, 29, -19, 8, 25, -4, -3, -1, 22, 0, 11, -4, 16, 14, -1, -24, -17, -18, -51, -7, -24, -23, -1, -24, -33, 0, -1, 21, 10, 1, 32, 42, -14, -5, -15, 7, -11, 13, 13, -22, 3, 23, -33, -11, -27, -18, 1, 9, -17, 11, 2, -9, -6, -19, -14, 4, 6, 10, -7, -6, -27, 1, -8, -27, -22, -14, 10, -4, 22, -23, 2, 3, 24, 16, -1, 9, -2, -25, 24, 26, 8, 34, 52, 10, 43, 30, 5, -21, 17, 18, 5, -1, 11, 10, -17, 15, 12, 8, -31, -7, 10, -12, -22, -19, 9, -27, -8, 5, -9, 10, -19, -3, -28, 19, -16, -4, 5, 12, 14, 31, -23, -15, -10, 7, 14, -12, -20, -16, -1, -2, -20, 43, 69, 92, -29, 10, 8, -5, 12, 23, -31, 0, 31, -12, -23, -20, 1, -28, -4, 15, 20, 17, 2, -15, -24, 12, 11, -8, -12, -13, -20, -31, -29, -18, 10, -17, 13, 55, 9, 44, 30, 7, 9, -24, -5, -4, -4, 6, -7, -27, 11, -7, 40, 17, -2, -17, -4, -21, -24, -31, 7, 7, -4, 0, 15, -27, 2, 7, -3, -17, 0, -9, 20, 13, -13, -25, -21, -7, 8, -8, 23, -20, 9, 18, -15, -17, -10, -18, -17, -19, -14, -8, -25, -10, -13, -26, -19, -1, 2, 6, -11, -27, 14, -21, 3, -13, -33, -15, -2, -16, 11, 14, 45, 35, 34, 36, 6, -3, -11, -45, -44, 12, -16, -50, 12, 3, -1, -23, -2, -6, 6, -13, 2, -9, -22, -2, -19, -3, 4, -1, -7, -2, -6, 3, -17, 25, 34, 17, -23, 10, -1, -8, 0, -31, 15, -32, -11, -31, -14, -22, 5, 0, 14, 8, 14, 9, -1, 0, 22, 15, 20, 11, -25, -6, 9, -22, -1, -14, -18, -24, 6, 23, -3, -3, 17, -37, -4, 2, -9, 9, -24, -8, -34, -25, -24, -17, -19, -29, -15, -27, -6, 3, -12, 19, -20, 3, 35, -21, 14, 10, 6, 25, 16, 32, 46, -14, 37, -12, -15, -12, 5, -13, 21, -1, 6, 3, -1, 10, 3, -39, 0, -29, -23, -13, -5, 14, 9, 7, 10, 20, 4, 21, -22, -18, 15, -6, -23, 20, -10, -4, 14, -16, -6, 7, 10, 17, 33, 14, 14, 8, 4, -8, -6, 7, -13, 19, -18, 18, -20, -14, 7, -20, -30, 13, -59, -24, -9, -7, -26, -7, -7, -22, 8, -7, -4, -1, -14, 2, -22, 22, -11, 19, 20, 9, -19, -25, -27, 12, -9, -16, 23, -27, 5, -31, -18, -15, -21, -14, -17, 1, -19, -29, -29, -28, -24, -11, -16, -30, -6, -9, -54, -24, 6, -35, -4, 2, -11, -28, -23, -35, -13, -15, -11, -18, 4, 40, 8, 21, -14, 23, -16, 0, -11, 18, -20, 12, -1, -10, -6, 6, 7, 16, 14, 8, 2, 9, -3, 10, 8, -26, -25, 2, -25, 3, -1, -26, -27, -3, -13, 3, 13, -6, 11, -15, -5, 16, 6, 18, 21, 39, 2, -4, -26, -33, -24, 18, -21, -16, -1, -30, 13, -14, 6, 30, -21, 16, 14, 14, 22, -20, 16, 4, 11, -10, 13, 0, -26, -45, -24, -42, -23, -6, -13, -5, -19, -2, 27, 35, -26, -28, 8, -26, -28, 22 };
signed char * param_ppConvCoefInt8[24] = { f11,f12,f21,f22,f31,f32,f33,f41,f42,f43,f51,f52,f53,f61,f62,f63,f3loc,f3conf,f4loc,f4conf,f5loc,f5conf,f6loc,f6conf };
float param_pConvCoefScales[24] = { 132.763774410310f, 114.362496728599f, 153.349241244898f, 144.797613004250f, 240.639291070002f, 231.400376069275f, 384.138818158766f, 478.622265695767f, 506.944787629033f, 823.086381895940f, 1019.846273009683f, 829.463048967252f, 1373.793570521072f, 1851.613835790018f, 1023.417162635276f, 1913.889541411641f, 291.105605285927f, 286.438017753269f, 326.832960591184f, 333.029397371316f, 424.189927893703f, 299.370635379834f, 631.160857480994f, 684.609571219045f };
#endif